<?php
/*
 * Class Name : GFHANNANSMS_Pro_{strtoupper( php file name) }	
 */

class GFHANNANSMS_Pro_0098SMS {
	/*
	* Gateway title	
	*/
	public static function name( $gateways ) {
		$name    = __( '0098sms', 'GF_SMS' );
		$gateway = array( strtolower( str_replace( 'GFHANNANSMS_Pro_', '', get_called_class() ) ) => $name );

		return array_unique( array_merge( $gateways, $gateway ) );
	}

	/*
	* Gateway parameters
	*/
	public static function options() {
		return array(
			'username' => __( 'نام کاربری', 'GF_SMS' ),
			'password' => __( 'پسورد', 'GF_SMS' )
		);
	}

	/*
	* Gateway credit
	*/
	public static function credit() {
		return false;
	}

	/*
	* Gateway action
	*/
	public static function process( $options, $action, $from, $to, $messages ) {
		if ( $action == 'credit' ) {
			return false;
		}
		if ( ! extension_loaded( 'soap' ) ) {
			return __( 'ماژول Soap بر روی هاست شما فعال نمی باشد .', 'GF_SMS' );
		}
		$username = $options['username'];
		$password = $options['password'];
		ini_set( "soap.wsdl_cache_enabled", "0" );
		$to = explode( ',', $to );
		$i  = sizeOf( $to );
		while ( $i -- ) {
			$uNumber = Trim( $to[ $i ] );
			$ret     = &$uNumber;
			if ( substr( $uNumber, 0, 5 ) == '%2B98' ) {
				$ret = substr( $uNumber, 5 );
			}
			if ( substr( $uNumber, 0, 5 ) == '%2b98' ) {
				$ret = substr( $uNumber, 5 );
			}
			if ( substr( $uNumber, 0, 4 ) == '0098' ) {
				$ret = substr( $uNumber, 4 );
			}
			if ( substr( $uNumber, 0, 3 ) == '098' ) {
				$ret = substr( $uNumber, 3 );
			}
			if ( substr( $uNumber, 0, 3 ) == '+98' ) {
				$ret = substr( $uNumber, 3 );
			}
			if ( substr( $uNumber, 0, 2 ) == '98' ) {
				$ret = substr( $uNumber, 2 );
			}
			$to[ $i ] = '0' . $ret;
		}
		try {
			foreach ( $to as $phone ) {
				$parameters['username'] = $username;
				$parameters['password'] = $password;
				$parameters['mobileno'] = $phone;
				$parameters['pnlno']    = $from;
				$parameters['text']     = $messages;
				$parameters['isflash']  = false;
				if ( $action == "send" ) {
					$client = new SoapClient( "http://webservice.0098sms.com/service.asmx?wsdl", [ 'encoding' => 'UTF-8' ] );
					$send   = $client->SendSMS( $parameters )->SendSMSResult;
					$fp     = fopen( WP_CONTENT_DIR . '/sms0098_Log.txt', 'a' );
					fwrite( $fp, date( "Y/m/d-H:i:s" ) . ' ---- ' . json_encode( [ $send, $parameters ] ) . PHP_EOL );
					fclose( $fp );
				}
			}
		} catch ( SoapFault $ex ) {
			$errorstr = $ex->faultstring;
		}
		if ( $action == "send" ) {
			if ( $send == 2 ) {
				return 'OK';
			} else {
				switch ( trim( $send ) ) {
					case '-3':
						return 'عدم تطابق نام کاربری و کلمه ی عبور .لطفا با پشتیبانی تماس بگیرید';
						break;
					case '10':
						return 'نام کاربری یا کلمه ی عبور اشتباه است .لطفا با پشتیبانی تماس بگیرید';
						break;
					case '11':
						return 'کاراکتر غیر مجاز در متن وجود دارد.';
						break;
					case '-17':
						return 'متن پیامک خالی است.';
						break;
					case '-18':
						return 'خطای شارژ . لطفا با پشتیبانی تماس بگیرید';
						break;
					case '-19':
						return 'شارژ پنل شما برای ارسال کافی نیست .لطفا اقدام به شارژ پنل نمایید.';
						break;
					case '-22':
						return 'شماره موبایل صحیح نیست.';
						break;
					case '66':
						return 'عدم تطابق نام کاربری و کلمه ی عبور .لطفا با پشتیبانی تماس بگیرید.';
						break;
					case '1111':
						return 'کاراکتر غیرمجاز در متن وجود دارد.';
						break;
					case 'Hang':
						return 'حساب کاربری شما مسدود است .لطفا با پشتیبانی تماس بگیرید.';
						break;
					case 'No Doc':
						return 'مرحله دوم ثبت نام شما انجام نگرفته است .لطفا ثبت نام را کامل نمایید.';
						break;
					case '-23':
						return 'عدم مجوز شماره برای ارسال از لینک';
						break;
					case '-24':
						return 'خطا در شماره پنل. لطفا با پشیانی تماس بگیرید';
						break;
					case '-25':
						return 'اتمام تاریخ اعتبار شماره پنل. برای استفاده تمدید شود';
						break;
					default:
						return 'خطا هنگام ارسال پیامک | کد خطا: ' . ( trim( $send ) ?: '00' );
				}
			}
		}
	}
}
