/* DUPLICATOR-LITE (PHP BUILD MODE) MYSQL SCRIPT CREATED ON : 2024-07-11 07:15:05 */

/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

SET FOREIGN_KEY_CHECKS = 0;

CREATE TABLE `wp_commentmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `meta_key` varchar(255) DEFAULT NULL,
  `meta_value` longtext DEFAULT NULL,
  PRIMARY KEY (`meta_id`),
  KEY `comment_id` (`comment_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_comments` (
  `comment_ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_post_ID` bigint(20) unsigned NOT NULL DEFAULT 0,
  `comment_author` tinytext NOT NULL,
  `comment_author_email` varchar(100) NOT NULL DEFAULT '',
  `comment_author_url` varchar(200) NOT NULL DEFAULT '',
  `comment_author_IP` varchar(100) NOT NULL DEFAULT '',
  `comment_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_content` text NOT NULL,
  `comment_karma` int(11) NOT NULL DEFAULT 0,
  `comment_approved` varchar(20) NOT NULL DEFAULT '1',
  `comment_agent` varchar(255) NOT NULL DEFAULT '',
  `comment_type` varchar(20) NOT NULL DEFAULT 'comment',
  `comment_parent` bigint(20) unsigned NOT NULL DEFAULT 0,
  `user_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  PRIMARY KEY (`comment_ID`),
  KEY `comment_post_ID` (`comment_post_ID`),
  KEY `comment_approved_date_gmt` (`comment_approved`,`comment_date_gmt`),
  KEY `comment_date_gmt` (`comment_date_gmt`),
  KEY `comment_parent` (`comment_parent`),
  KEY `comment_author_email` (`comment_author_email`(10))
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_duplicator_packages` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(250) NOT NULL,
  `hash` varchar(50) NOT NULL,
  `status` int(11) NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `owner` varchar(60) NOT NULL,
  `package` longtext NOT NULL,
  PRIMARY KEY (`id`),
  KEY `hash` (`hash`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=latin1 COLLATE=latin1_swedish_ci;

CREATE TABLE `wp_e_events` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `event_data` text DEFAULT NULL,
  `created_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `created_at_index` (`created_at`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_e_submissions` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `type` varchar(60) DEFAULT NULL,
  `hash_id` varchar(60) NOT NULL,
  `main_meta_id` bigint(20) unsigned NOT NULL COMMENT 'Id of main field. to represent the main meta field',
  `post_id` bigint(20) unsigned NOT NULL,
  `referer` varchar(500) NOT NULL,
  `referer_title` varchar(300) DEFAULT NULL,
  `element_id` varchar(20) NOT NULL,
  `form_name` varchar(60) NOT NULL,
  `campaign_id` bigint(20) unsigned NOT NULL,
  `user_id` bigint(20) unsigned DEFAULT NULL,
  `user_ip` varchar(46) NOT NULL,
  `user_agent` text NOT NULL,
  `actions_count` int(11) DEFAULT 0,
  `actions_succeeded_count` int(11) DEFAULT 0,
  `status` varchar(20) NOT NULL,
  `is_read` tinyint(1) NOT NULL DEFAULT 0,
  `meta` text DEFAULT NULL,
  `created_at_gmt` datetime NOT NULL,
  `updated_at_gmt` datetime NOT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `hash_id_unique_index` (`hash_id`),
  KEY `main_meta_id_index` (`main_meta_id`),
  KEY `hash_id_index` (`hash_id`),
  KEY `type_index` (`type`),
  KEY `post_id_index` (`post_id`),
  KEY `element_id_index` (`element_id`),
  KEY `campaign_id_index` (`campaign_id`),
  KEY `user_id_index` (`user_id`),
  KEY `user_ip_index` (`user_ip`),
  KEY `status_index` (`status`),
  KEY `is_read_index` (`is_read`),
  KEY `created_at_gmt_index` (`created_at_gmt`),
  KEY `updated_at_gmt_index` (`updated_at_gmt`),
  KEY `created_at_index` (`created_at`),
  KEY `updated_at_index` (`updated_at`),
  KEY `referer_index` (`referer`(191)),
  KEY `referer_title_index` (`referer_title`(191))
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_e_submissions_actions_log` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `submission_id` bigint(20) unsigned NOT NULL,
  `action_name` varchar(60) NOT NULL,
  `action_label` varchar(60) DEFAULT NULL,
  `status` varchar(20) NOT NULL,
  `log` text DEFAULT NULL,
  `created_at_gmt` datetime NOT NULL,
  `updated_at_gmt` datetime NOT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `submission_id_index` (`submission_id`),
  KEY `action_name_index` (`action_name`),
  KEY `status_index` (`status`),
  KEY `created_at_gmt_index` (`created_at_gmt`),
  KEY `updated_at_gmt_index` (`updated_at_gmt`),
  KEY `created_at_index` (`created_at`),
  KEY `updated_at_index` (`updated_at`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_e_submissions_values` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `submission_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `key` varchar(60) DEFAULT NULL,
  `value` longtext DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `submission_id_index` (`submission_id`),
  KEY `key_index` (`key`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_links` (
  `link_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `link_url` varchar(255) NOT NULL DEFAULT '',
  `link_name` varchar(255) NOT NULL DEFAULT '',
  `link_image` varchar(255) NOT NULL DEFAULT '',
  `link_target` varchar(25) NOT NULL DEFAULT '',
  `link_description` varchar(255) NOT NULL DEFAULT '',
  `link_visible` varchar(20) NOT NULL DEFAULT 'Y',
  `link_owner` bigint(20) unsigned NOT NULL DEFAULT 1,
  `link_rating` int(11) NOT NULL DEFAULT 0,
  `link_updated` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `link_rel` varchar(255) NOT NULL DEFAULT '',
  `link_notes` mediumtext NOT NULL,
  `link_rss` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`link_id`),
  KEY `link_visible` (`link_visible`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_options` (
  `option_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `option_name` varchar(191) NOT NULL DEFAULT '',
  `option_value` longtext NOT NULL,
  `autoload` varchar(20) NOT NULL DEFAULT 'yes',
  PRIMARY KEY (`option_id`),
  UNIQUE KEY `option_name` (`option_name`),
  KEY `autoload` (`autoload`)
) ENGINE=MyISAM AUTO_INCREMENT=486 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_postmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `meta_key` varchar(255) DEFAULT NULL,
  `meta_value` longtext DEFAULT NULL,
  PRIMARY KEY (`meta_id`),
  KEY `post_id` (`post_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=MyISAM AUTO_INCREMENT=952 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_posts` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_author` bigint(20) unsigned NOT NULL DEFAULT 0,
  `post_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content` longtext NOT NULL,
  `post_title` text NOT NULL,
  `post_excerpt` text NOT NULL,
  `post_status` varchar(20) NOT NULL DEFAULT 'publish',
  `comment_status` varchar(20) NOT NULL DEFAULT 'open',
  `ping_status` varchar(20) NOT NULL DEFAULT 'open',
  `post_password` varchar(255) NOT NULL DEFAULT '',
  `post_name` varchar(200) NOT NULL DEFAULT '',
  `to_ping` text NOT NULL,
  `pinged` text NOT NULL,
  `post_modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_modified_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content_filtered` longtext NOT NULL,
  `post_parent` bigint(20) unsigned NOT NULL DEFAULT 0,
  `guid` varchar(255) NOT NULL DEFAULT '',
  `menu_order` int(11) NOT NULL DEFAULT 0,
  `post_type` varchar(20) NOT NULL DEFAULT 'post',
  `post_mime_type` varchar(100) NOT NULL DEFAULT '',
  `comment_count` bigint(20) NOT NULL DEFAULT 0,
  PRIMARY KEY (`ID`),
  KEY `post_name` (`post_name`(191)),
  KEY `type_status_date` (`post_type`,`post_status`,`post_date`,`ID`),
  KEY `post_parent` (`post_parent`),
  KEY `post_author` (`post_author`)
) ENGINE=MyISAM AUTO_INCREMENT=126 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_term_relationships` (
  `object_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `term_taxonomy_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `term_order` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`object_id`,`term_taxonomy_id`),
  KEY `term_taxonomy_id` (`term_taxonomy_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_term_taxonomy` (
  `term_taxonomy_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `taxonomy` varchar(32) NOT NULL DEFAULT '',
  `description` longtext NOT NULL,
  `parent` bigint(20) unsigned NOT NULL DEFAULT 0,
  `count` bigint(20) NOT NULL DEFAULT 0,
  PRIMARY KEY (`term_taxonomy_id`),
  UNIQUE KEY `term_id_taxonomy` (`term_id`,`taxonomy`),
  KEY `taxonomy` (`taxonomy`)
) ENGINE=MyISAM AUTO_INCREMENT=10 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_termmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `meta_key` varchar(255) DEFAULT NULL,
  `meta_value` longtext DEFAULT NULL,
  PRIMARY KEY (`meta_id`),
  KEY `term_id` (`term_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_terms` (
  `term_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(200) NOT NULL DEFAULT '',
  `slug` varchar(200) NOT NULL DEFAULT '',
  `term_group` bigint(10) NOT NULL DEFAULT 0,
  PRIMARY KEY (`term_id`),
  KEY `slug` (`slug`(191)),
  KEY `name` (`name`(191))
) ENGINE=MyISAM AUTO_INCREMENT=10 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_usermeta` (
  `umeta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `meta_key` varchar(255) DEFAULT NULL,
  `meta_value` longtext DEFAULT NULL,
  PRIMARY KEY (`umeta_id`),
  KEY `user_id` (`user_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=MyISAM AUTO_INCREMENT=43 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_users` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_login` varchar(60) NOT NULL DEFAULT '',
  `user_pass` varchar(255) NOT NULL DEFAULT '',
  `user_nicename` varchar(50) NOT NULL DEFAULT '',
  `user_email` varchar(100) NOT NULL DEFAULT '',
  `user_url` varchar(100) NOT NULL DEFAULT '',
  `user_registered` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `user_activation_key` varchar(255) NOT NULL DEFAULT '',
  `user_status` int(11) NOT NULL DEFAULT 0,
  `display_name` varchar(250) NOT NULL DEFAULT '',
  PRIMARY KEY (`ID`),
  KEY `user_login_key` (`user_login`),
  KEY `user_nicename` (`user_nicename`),
  KEY `user_email` (`user_email`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

/***** TABLE CREATION END *****/


/* INSERT TABLE DATA: wp_comments */
INSERT INTO `wp_comments` VALUES("1", "1", "یک نویسنده دیدگاه وردپرس", "wapuu@wordpress.example", "https://fa.wordpress.org/", "", "2023-07-15 22:38:43", "2023-07-15 19:08:43", "سلام، این یک دیدگاه است.\nبرای شروع مدیریت، ویرایش و پاک کردن دیدگاه‌ها، لطفا بخش دیدگاه‌ها در پیشخوان را ببینید.\nتصاویر نویسندگان دیدگاه از <a href=\"https://fa.gravatar.com/\">Gravatar</a> گرفته می‌شود.", "0", "1", "", "comment", "0", "0");

/* INSERT TABLE DATA: wp_duplicator_packages */
INSERT INTO `wp_duplicator_packages` VALUES("3", "20240711_d982d8a7d984d8a8d8a2d8b3d8aad8", "2ad2249ec47e21b11471_20240711071500", "21", "2024-07-11 07:15:05", "astra", "O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2024-07-11 07:15:00\";s:7:\"Version\";s:6:\"1.5.10\";s:9:\"VersionWP\";s:5:\"6.5.5\";s:9:\"VersionDB\";s:7:\"10.11.7\";s:10:\"VersionPHP\";s:6:\"8.1.29\";s:9:\"VersionOS\";s:5:\"Linux\";s:2:\"ID\";i:3;s:4:\"Name\";s:39:\"20240711_d982d8a7d984d8a8d8a2d8b3d8aad8\";s:4:\"Hash\";s:35:\"2ad2249ec47e21b11471_20240711071500\";s:8:\"NameHash\";s:75:\"20240711_d982d8a7d984d8a8d8a2d8b3d8aad8_2ad2249ec47e21b11471_20240711071500\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";s:85:\"20240711_d982d8a7d984d8a8d8a2d8b3d8aad8_2ad2249ec47e21b11471_20240711071500_scan.json\";s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";s:4:\"21.2\";s:6:\"WPUser\";s:5:\"astra\";s:7:\"Archive\";O:11:\"DUP_Archive\":26:{s:10:\"FilterDirs\";s:0:\"\";s:11:\"FilterFiles\";s:0:\"\";s:10:\"FilterExts\";s:0:\"\";s:13:\"FilterDirsAll\";a:0:{}s:14:\"FilterFilesAll\";a:0:{}s:13:\"FilterExtsAll\";a:0:{}s:8:\"FilterOn\";i:0;s:12:\"ExportOnlyDB\";i:0;s:4:\"File\";s:87:\"20240711_d982d8a7d984d8a8d8a2d8b3d8aad8_2ad2249ec47e21b11471_20240711071500_archive.zip\";s:6:\"Format\";s:3:\"ZIP\";s:7:\"PackDir\";s:35:\"/home/cp54407/test.filtersanaat.com\";s:4:\"Size\";i:0;s:4:\"Dirs\";a:0:{}s:9:\"dirsCount\";i:1572;s:5:\"Files\";a:0:{}s:10:\"filesCount\";i:7104;s:10:\"FilterInfo\";O:23:\"DUP_Archive_Filter_Info\":8:{s:4:\"Dirs\";O:34:\"DUP_Archive_Filter_Scope_Directory\":6:{s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:10:\"AddonSites\";a:0:{}}s:5:\"Files\";O:29:\"DUP_Archive_Filter_Scope_File\":7:{s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:10:\"AddonSites\";a:0:{}s:4:\"Size\";a:0:{}}s:4:\"Exts\";O:29:\"DUP_Archive_Filter_Scope_Base\":3:{s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:9:\"UDirCount\";i:0;s:10:\"UFileCount\";i:0;s:9:\"UExtCount\";i:0;s:8:\"TreeSize\";a:0:{}s:11:\"TreeWarning\";a:0:{}}s:14:\"RecursiveLinks\";a:0:{}s:10:\"file_count\";i:-1;s:10:\"\0*\0Package\";O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2024-07-11 07:15:00\";s:7:\"Version\";s:6:\"1.5.10\";s:9:\"VersionWP\";s:5:\"6.5.5\";s:9:\"VersionDB\";s:7:\"10.11.7\";s:10:\"VersionPHP\";s:6:\"8.1.29\";s:9:\"VersionOS\";s:5:\"Linux\";s:2:\"ID\";N;s:4:\"Name\";s:39:\"20240711_d982d8a7d984d8a8d8a2d8b3d8aad8\";s:4:\"Hash\";s:35:\"2ad2249ec47e21b11471_20240711071500\";s:8:\"NameHash\";s:75:\"20240711_d982d8a7d984d8a8d8a2d8b3d8aad8_2ad2249ec47e21b11471_20240711071500\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";N;s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";i:0;s:6:\"WPUser\";N;s:7:\"Archive\";r:21;s:9:\"Installer\";O:13:\"DUP_Installer\":15:{s:4:\"File\";s:93:\"20240711_d982d8a7d984d8a8d8a2d8b3d8aad8_2ad2249ec47e21b11471_20240711071500_installer.php.bak\";s:4:\"Size\";i:0;s:10:\"OptsDBHost\";s:0:\"\";s:10:\"OptsDBPort\";s:0:\"\";s:10:\"OptsDBName\";s:0:\"\";s:10:\"OptsDBUser\";s:0:\"\";s:13:\"OptsDBCharset\";s:0:\"\";s:15:\"OptsDBCollation\";s:0:\"\";s:12:\"OptsSecureOn\";i:0;s:14:\"OptsSecurePass\";s:0:\"\";s:13:\"numFilesAdded\";i:0;s:12:\"numDirsAdded\";i:0;s:10:\"\0*\0Package\";r:65;s:17:\"\0*\0origFileManger\";N;s:32:\"\0DUP_Installer\0configTransformer\";O:44:\"Duplicator\\Libs\\WpConfig\\WPConfigTransformer\":3:{s:17:\"\0*\0wp_config_path\";s:49:\"/home/cp54407/test.filtersanaat.com/wp-config.php\";s:16:\"\0*\0wp_config_src\";N;s:13:\"\0*\0wp_configs\";a:0:{}}}s:8:\"Database\";O:12:\"DUP_Database\":15:{s:4:\"Type\";s:5:\"MySQL\";s:4:\"Size\";N;s:4:\"File\";s:88:\"20240711_d982d8a7d984d8a8d8a2d8b3d8aad8_2ad2249ec47e21b11471_20240711071500_database.sql\";s:4:\"Path\";N;s:12:\"FilterTables\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"Name\";N;s:10:\"Compatible\";s:0:\"\";s:8:\"Comments\";s:14:\"MariaDB Server\";s:19:\"sameNameTableExists\";b:0;s:4:\"info\";O:16:\"DUP_DatabaseInfo\":23:{s:9:\"buildMode\";s:3:\"PHP\";s:11:\"charSetList\";a:0:{}s:13:\"collationList\";a:0:{}s:10:\"engineList\";a:0:{}s:17:\"isTablesUpperCase\";b:0;s:15:\"isNameUpperCase\";b:0;s:4:\"name\";s:0:\"\";s:15:\"tablesBaseCount\";i:0;s:16:\"tablesFinalCount\";i:0;s:20:\"muFilteredTableCount\";i:0;s:14:\"tablesRowCount\";i:0;s:16:\"tablesSizeOnDisk\";i:0;s:10:\"tablesList\";a:0:{}s:19:\"lowerCaseTableNames\";i:0;s:8:\"dbEngine\";s:0:\"\";s:7:\"version\";i:0;s:14:\"versionComment\";i:0;s:9:\"viewCount\";i:0;s:9:\"procCount\";i:0;s:9:\"funcCount\";i:0;s:11:\"triggerList\";a:0:{}s:33:\"\0DUP_DatabaseInfo\0intFieldsStruct\";a:0:{}s:42:\"\0DUP_DatabaseInfo\0indexProcessedSchemaSize\";a:0:{}}s:10:\"\0*\0Package\";r:1;s:24:\"\0DUP_Database\0tempDbPath\";s:156:\"/home/cp54407/test.filtersanaat.com/wp-content/backups-dup-lite/tmp/20240711_d982d8a7d984d8a8d8a2d8b3d8aad8_2ad2249ec47e21b11471_20240711071500_database.sql\";s:23:\"\0DUP_Database\0EOFMarker\";s:0:\"\";s:26:\"\0DUP_Database\0networkFlush\";b:0;}s:13:\"BuildProgress\";O:18:\"DUP_Build_Progress\":12:{s:17:\"thread_start_time\";N;s:11:\"initialized\";b:0;s:15:\"installer_built\";b:0;s:15:\"archive_started\";b:0;s:20:\"archive_has_database\";b:0;s:13:\"archive_built\";b:0;s:21:\"database_script_built\";b:0;s:6:\"failed\";b:0;s:7:\"retries\";i:0;s:14:\"build_failures\";a:0:{}s:19:\"validation_failures\";a:0:{}s:27:\"\0DUP_Build_Progress\0package\";r:65;}}s:29:\"\0DUP_Archive\0tmpFilterDirsAll\";a:0:{}s:24:\"\0DUP_Archive\0wpCorePaths\";a:3:{i:0;s:44:\"/home/cp54407/test.filtersanaat.com/wp-admin\";i:1;s:47:\"/home/cp54407/test.filtersanaat.com/wp-includes\";i:2;s:56:\"/home/cp54407/test.filtersanaat.com/wp-content/languages\";}s:29:\"\0DUP_Archive\0wpCoreExactPaths\";a:7:{i:0;s:35:\"/home/cp54407/test.filtersanaat.com\";i:1;s:35:\"/home/cp54407/test.filtersanaat.com\";i:2;s:46:\"/home/cp54407/test.filtersanaat.com/wp-content\";i:3;s:54:\"/home/cp54407/test.filtersanaat.com/wp-content/uploads\";i:4;s:54:\"/home/cp54407/test.filtersanaat.com/wp-content/plugins\";i:5;s:57:\"/home/cp54407/test.filtersanaat.com/wp-content/mu-plugins\";i:6;s:53:\"/home/cp54407/test.filtersanaat.com/wp-content/themes\";}s:31:\"\0DUP_Archive\0relativeFiltersDir\";a:2:{i:0;s:67:\"/home/cp54407/test.filtersanaat.com/wp-content/backups-dup-lite/tmp\";i:1;s:15:\"backups-dup-pro\";}s:24:\"\0DUP_Archive\0listFileObj\";N;s:23:\"\0DUP_Archive\0listDirObj\";N;}s:9:\"Installer\";r:86;s:8:\"Database\";r:105;s:13:\"BuildProgress\";r:144;}");

/* INSERT TABLE DATA: wp_options */
INSERT INTO `wp_options` VALUES("1", "siteurl", "https://test.filtersanaat.com/", "yes");
INSERT INTO `wp_options` VALUES("2", "home", "https://test.filtersanaat.com", "yes");
INSERT INTO `wp_options` VALUES("3", "blogname", "قالب آسترا پرو | آموزشگاع علمینه", "yes");
INSERT INTO `wp_options` VALUES("4", "blogdescription", "دمو رایگان قالب آسترا پرو | سیدامید قدسی زاده", "yes");
INSERT INTO `wp_options` VALUES("5", "users_can_register", "0", "yes");
INSERT INTO `wp_options` VALUES("6", "admin_email", "omidqodsi@gmail.com", "yes");
INSERT INTO `wp_options` VALUES("7", "start_of_week", "6", "yes");
INSERT INTO `wp_options` VALUES("8", "use_balanceTags", "0", "yes");
INSERT INTO `wp_options` VALUES("9", "use_smilies", "1", "yes");
INSERT INTO `wp_options` VALUES("10", "require_name_email", "1", "yes");
INSERT INTO `wp_options` VALUES("11", "comments_notify", "1", "yes");
INSERT INTO `wp_options` VALUES("12", "posts_per_rss", "10", "yes");
INSERT INTO `wp_options` VALUES("13", "rss_use_excerpt", "0", "yes");
INSERT INTO `wp_options` VALUES("14", "mailserver_url", "mail.example.com", "yes");
INSERT INTO `wp_options` VALUES("15", "mailserver_login", "login@example.com", "yes");
INSERT INTO `wp_options` VALUES("16", "mailserver_pass", "password", "yes");
INSERT INTO `wp_options` VALUES("17", "mailserver_port", "110", "yes");
INSERT INTO `wp_options` VALUES("18", "default_category", "1", "yes");
INSERT INTO `wp_options` VALUES("19", "default_comment_status", "open", "yes");
INSERT INTO `wp_options` VALUES("20", "default_ping_status", "open", "yes");
INSERT INTO `wp_options` VALUES("21", "default_pingback_flag", "1", "yes");
INSERT INTO `wp_options` VALUES("22", "posts_per_page", "10", "yes");
INSERT INTO `wp_options` VALUES("23", "date_format", "F j, Y", "yes");
INSERT INTO `wp_options` VALUES("24", "time_format", "g:i a", "yes");
INSERT INTO `wp_options` VALUES("25", "links_updated_date_format", "F j, Y g:i a", "yes");
INSERT INTO `wp_options` VALUES("26", "comment_moderation", "0", "yes");
INSERT INTO `wp_options` VALUES("27", "moderation_notify", "1", "yes");
INSERT INTO `wp_options` VALUES("28", "permalink_structure", "/%year%/%monthnum%/%day%/%postname%/", "yes");
INSERT INTO `wp_options` VALUES("29", "rewrite_rules", "a:114:{s:11:\"^wp-json/?$\";s:22:\"index.php?rest_route=/\";s:14:\"^wp-json/(.*)?\";s:33:\"index.php?rest_route=/$matches[1]\";s:21:\"^index.php/wp-json/?$\";s:22:\"index.php?rest_route=/\";s:24:\"^index.php/wp-json/(.*)?\";s:33:\"index.php?rest_route=/$matches[1]\";s:17:\"^wp-sitemap\\.xml$\";s:23:\"index.php?sitemap=index\";s:17:\"^wp-sitemap\\.xsl$\";s:36:\"index.php?sitemap-stylesheet=sitemap\";s:23:\"^wp-sitemap-index\\.xsl$\";s:34:\"index.php?sitemap-stylesheet=index\";s:48:\"^wp-sitemap-([a-z]+?)-([a-z\\d_-]+?)-(\\d+?)\\.xml$\";s:75:\"index.php?sitemap=$matches[1]&sitemap-subtype=$matches[2]&paged=$matches[3]\";s:34:\"^wp-sitemap-([a-z]+?)-(\\d+?)\\.xml$\";s:47:\"index.php?sitemap=$matches[1]&paged=$matches[2]\";s:47:\"category/(.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:42:\"category/(.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:23:\"category/(.+?)/embed/?$\";s:46:\"index.php?category_name=$matches[1]&embed=true\";s:35:\"category/(.+?)/page/?([0-9]{1,})/?$\";s:53:\"index.php?category_name=$matches[1]&paged=$matches[2]\";s:17:\"category/(.+?)/?$\";s:35:\"index.php?category_name=$matches[1]\";s:44:\"tag/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:39:\"tag/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:20:\"tag/([^/]+)/embed/?$\";s:36:\"index.php?tag=$matches[1]&embed=true\";s:32:\"tag/([^/]+)/page/?([0-9]{1,})/?$\";s:43:\"index.php?tag=$matches[1]&paged=$matches[2]\";s:14:\"tag/([^/]+)/?$\";s:25:\"index.php?tag=$matches[1]\";s:45:\"type/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:40:\"type/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:21:\"type/([^/]+)/embed/?$\";s:44:\"index.php?post_format=$matches[1]&embed=true\";s:33:\"type/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?post_format=$matches[1]&paged=$matches[2]\";s:15:\"type/([^/]+)/?$\";s:33:\"index.php?post_format=$matches[1]\";s:42:\"e-landing-page/[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:52:\"e-landing-page/[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:72:\"e-landing-page/[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:67:\"e-landing-page/[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:67:\"e-landing-page/[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:48:\"e-landing-page/[^/]+/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:31:\"e-landing-page/([^/]+)/embed/?$\";s:47:\"index.php?e-landing-page=$matches[1]&embed=true\";s:35:\"e-landing-page/([^/]+)/trackback/?$\";s:41:\"index.php?e-landing-page=$matches[1]&tb=1\";s:43:\"e-landing-page/([^/]+)/page/?([0-9]{1,})/?$\";s:54:\"index.php?e-landing-page=$matches[1]&paged=$matches[2]\";s:50:\"e-landing-page/([^/]+)/comment-page-([0-9]{1,})/?$\";s:54:\"index.php?e-landing-page=$matches[1]&cpage=$matches[2]\";s:39:\"e-landing-page/([^/]+)(?:/([0-9]+))?/?$\";s:53:\"index.php?e-landing-page=$matches[1]&page=$matches[2]\";s:31:\"e-landing-page/[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:41:\"e-landing-page/[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:61:\"e-landing-page/[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:56:\"e-landing-page/[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:56:\"e-landing-page/[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:37:\"e-landing-page/[^/]+/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:12:\"robots\\.txt$\";s:18:\"index.php?robots=1\";s:13:\"favicon\\.ico$\";s:19:\"index.php?favicon=1\";s:48:\".*wp-(atom|rdf|rss|rss2|feed|commentsrss2)\\.php$\";s:18:\"index.php?feed=old\";s:20:\".*wp-app\\.php(/.*)?$\";s:19:\"index.php?error=403\";s:18:\".*wp-register.php$\";s:23:\"index.php?register=true\";s:32:\"feed/(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:27:\"(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:8:\"embed/?$\";s:21:\"index.php?&embed=true\";s:20:\"page/?([0-9]{1,})/?$\";s:28:\"index.php?&paged=$matches[1]\";s:27:\"comment-page-([0-9]{1,})/?$\";s:38:\"index.php?&page_id=7&cpage=$matches[1]\";s:41:\"comments/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:36:\"comments/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:17:\"comments/embed/?$\";s:21:\"index.php?&embed=true\";s:44:\"search/(.+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:39:\"search/(.+)/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:20:\"search/(.+)/embed/?$\";s:34:\"index.php?s=$matches[1]&embed=true\";s:32:\"search/(.+)/page/?([0-9]{1,})/?$\";s:41:\"index.php?s=$matches[1]&paged=$matches[2]\";s:14:\"search/(.+)/?$\";s:23:\"index.php?s=$matches[1]\";s:47:\"author/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:42:\"author/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:23:\"author/([^/]+)/embed/?$\";s:44:\"index.php?author_name=$matches[1]&embed=true\";s:35:\"author/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?author_name=$matches[1]&paged=$matches[2]\";s:17:\"author/([^/]+)/?$\";s:33:\"index.php?author_name=$matches[1]\";s:69:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:64:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:45:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/embed/?$\";s:74:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&embed=true\";s:57:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:81:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&paged=$matches[4]\";s:39:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/?$\";s:63:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]\";s:56:\"([0-9]{4})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:51:\"([0-9]{4})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:32:\"([0-9]{4})/([0-9]{1,2})/embed/?$\";s:58:\"index.php?year=$matches[1]&monthnum=$matches[2]&embed=true\";s:44:\"([0-9]{4})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:65:\"index.php?year=$matches[1]&monthnum=$matches[2]&paged=$matches[3]\";s:26:\"([0-9]{4})/([0-9]{1,2})/?$\";s:47:\"index.php?year=$matches[1]&monthnum=$matches[2]\";s:43:\"([0-9]{4})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:38:\"([0-9]{4})/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:19:\"([0-9]{4})/embed/?$\";s:37:\"index.php?year=$matches[1]&embed=true\";s:31:\"([0-9]{4})/page/?([0-9]{1,})/?$\";s:44:\"index.php?year=$matches[1]&paged=$matches[2]\";s:13:\"([0-9]{4})/?$\";s:26:\"index.php?year=$matches[1]\";s:58:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:68:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:88:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:83:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:83:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:64:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:53:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/embed/?$\";s:91:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&embed=true\";s:57:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/trackback/?$\";s:85:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&tb=1\";s:77:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:97:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&feed=$matches[5]\";s:72:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:97:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&feed=$matches[5]\";s:65:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/page/?([0-9]{1,})/?$\";s:98:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&paged=$matches[5]\";s:72:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/comment-page-([0-9]{1,})/?$\";s:98:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&cpage=$matches[5]\";s:61:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)(?:/([0-9]+))?/?$\";s:97:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&page=$matches[5]\";s:47:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:57:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:77:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:72:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:72:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:53:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:64:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/comment-page-([0-9]{1,})/?$\";s:81:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&cpage=$matches[4]\";s:51:\"([0-9]{4})/([0-9]{1,2})/comment-page-([0-9]{1,})/?$\";s:65:\"index.php?year=$matches[1]&monthnum=$matches[2]&cpage=$matches[3]\";s:38:\"([0-9]{4})/comment-page-([0-9]{1,})/?$\";s:44:\"index.php?year=$matches[1]&cpage=$matches[2]\";s:27:\".?.+?/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:37:\".?.+?/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:57:\".?.+?/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:33:\".?.+?/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:16:\"(.?.+?)/embed/?$\";s:41:\"index.php?pagename=$matches[1]&embed=true\";s:20:\"(.?.+?)/trackback/?$\";s:35:\"index.php?pagename=$matches[1]&tb=1\";s:40:\"(.?.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:35:\"(.?.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:28:\"(.?.+?)/page/?([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&paged=$matches[2]\";s:35:\"(.?.+?)/comment-page-([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&cpage=$matches[2]\";s:24:\"(.?.+?)(?:/([0-9]+))?/?$\";s:47:\"index.php?pagename=$matches[1]&page=$matches[2]\";}", "yes");
INSERT INTO `wp_options` VALUES("30", "hack_file", "0", "yes");
INSERT INTO `wp_options` VALUES("31", "blog_charset", "UTF-8", "yes");
INSERT INTO `wp_options` VALUES("32", "moderation_keys", "", "no");
INSERT INTO `wp_options` VALUES("33", "active_plugins", "a:5:{i:0;s:25:\"duplicator/duplicator.php\";i:1;s:23:\"elementor/elementor.php\";i:2;s:31:\"elementor-pro/elementor-pro.php\";i:3;s:39:\"persian-elementor/persian-elementor.php\";i:4;s:25:\"duplicator/duplicator.php\";}", "yes");
INSERT INTO `wp_options` VALUES("34", "category_base", "", "yes");
INSERT INTO `wp_options` VALUES("35", "ping_sites", "http://rpc.pingomatic.com/", "yes");
INSERT INTO `wp_options` VALUES("36", "comment_max_links", "2", "yes");
INSERT INTO `wp_options` VALUES("37", "gmt_offset", "", "yes");
INSERT INTO `wp_options` VALUES("38", "default_email_category", "1", "yes");
INSERT INTO `wp_options` VALUES("39", "recently_edited", "", "no");
INSERT INTO `wp_options` VALUES("40", "template", "astra", "yes");
INSERT INTO `wp_options` VALUES("41", "stylesheet", "astra", "yes");
INSERT INTO `wp_options` VALUES("42", "comment_registration", "0", "yes");
INSERT INTO `wp_options` VALUES("43", "html_type", "text/html", "yes");
INSERT INTO `wp_options` VALUES("44", "use_trackback", "0", "yes");
INSERT INTO `wp_options` VALUES("45", "default_role", "subscriber", "yes");
INSERT INTO `wp_options` VALUES("46", "db_version", "57155", "yes");
INSERT INTO `wp_options` VALUES("47", "uploads_use_yearmonth_folders", "1", "yes");
INSERT INTO `wp_options` VALUES("48", "upload_path", "", "yes");
INSERT INTO `wp_options` VALUES("49", "blog_public", "1", "yes");
INSERT INTO `wp_options` VALUES("50", "default_link_category", "2", "yes");
INSERT INTO `wp_options` VALUES("51", "show_on_front", "page", "yes");
INSERT INTO `wp_options` VALUES("52", "tag_base", "", "yes");
INSERT INTO `wp_options` VALUES("53", "show_avatars", "1", "yes");
INSERT INTO `wp_options` VALUES("54", "avatar_rating", "G", "yes");
INSERT INTO `wp_options` VALUES("55", "upload_url_path", "", "yes");
INSERT INTO `wp_options` VALUES("56", "thumbnail_size_w", "150", "yes");
INSERT INTO `wp_options` VALUES("57", "thumbnail_size_h", "150", "yes");
INSERT INTO `wp_options` VALUES("58", "thumbnail_crop", "1", "yes");
INSERT INTO `wp_options` VALUES("59", "medium_size_w", "300", "yes");
INSERT INTO `wp_options` VALUES("60", "medium_size_h", "300", "yes");
INSERT INTO `wp_options` VALUES("61", "avatar_default", "mystery", "yes");
INSERT INTO `wp_options` VALUES("62", "large_size_w", "1024", "yes");
INSERT INTO `wp_options` VALUES("63", "large_size_h", "1024", "yes");
INSERT INTO `wp_options` VALUES("64", "image_default_link_type", "none", "yes");
INSERT INTO `wp_options` VALUES("65", "image_default_size", "", "yes");
INSERT INTO `wp_options` VALUES("66", "image_default_align", "", "yes");
INSERT INTO `wp_options` VALUES("67", "close_comments_for_old_posts", "0", "yes");
INSERT INTO `wp_options` VALUES("68", "close_comments_days_old", "14", "yes");
INSERT INTO `wp_options` VALUES("69", "thread_comments", "1", "yes");
INSERT INTO `wp_options` VALUES("70", "thread_comments_depth", "5", "yes");
INSERT INTO `wp_options` VALUES("71", "page_comments", "0", "yes");
INSERT INTO `wp_options` VALUES("72", "comments_per_page", "50", "yes");
INSERT INTO `wp_options` VALUES("73", "default_comments_page", "newest", "yes");
INSERT INTO `wp_options` VALUES("74", "comment_order", "asc", "yes");
INSERT INTO `wp_options` VALUES("75", "sticky_posts", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("76", "widget_categories", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("77", "widget_text", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("78", "widget_rss", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("79", "uninstall_plugins", "a:1:{s:23:\"elementor/elementor.php\";a:2:{i:0;s:21:\"Elementor\\Maintenance\";i:1;s:9:\"uninstall\";}}", "no");
INSERT INTO `wp_options` VALUES("80", "timezone_string", "Asia/Tehran", "yes");
INSERT INTO `wp_options` VALUES("81", "page_for_posts", "0", "yes");
INSERT INTO `wp_options` VALUES("82", "page_on_front", "7", "yes");
INSERT INTO `wp_options` VALUES("83", "default_post_format", "0", "yes");
INSERT INTO `wp_options` VALUES("84", "link_manager_enabled", "0", "yes");
INSERT INTO `wp_options` VALUES("85", "finished_splitting_shared_terms", "1", "yes");
INSERT INTO `wp_options` VALUES("86", "site_icon", "11", "yes");
INSERT INTO `wp_options` VALUES("87", "medium_large_size_w", "768", "yes");
INSERT INTO `wp_options` VALUES("88", "medium_large_size_h", "0", "yes");
INSERT INTO `wp_options` VALUES("89", "wp_page_for_privacy_policy", "3", "yes");
INSERT INTO `wp_options` VALUES("90", "show_comments_cookies_opt_in", "1", "yes");
INSERT INTO `wp_options` VALUES("91", "admin_email_lifespan", "1736229150", "yes");
INSERT INTO `wp_options` VALUES("92", "disallowed_keys", "", "no");
INSERT INTO `wp_options` VALUES("93", "comment_previously_approved", "1", "yes");
INSERT INTO `wp_options` VALUES("94", "auto_plugin_theme_update_emails", "a:0:{}", "no");
INSERT INTO `wp_options` VALUES("95", "auto_update_core_dev", "enabled", "yes");
INSERT INTO `wp_options` VALUES("96", "auto_update_core_minor", "enabled", "yes");
INSERT INTO `wp_options` VALUES("97", "auto_update_core_major", "enabled", "yes");
INSERT INTO `wp_options` VALUES("98", "wp_force_deactivated_plugins", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("99", "initial_db_version", "53496", "yes");
INSERT INTO `wp_options` VALUES("100", "wp_user_roles", "a:5:{s:13:\"administrator\";a:2:{s:4:\"name\";s:13:\"Administrator\";s:12:\"capabilities\";a:61:{s:13:\"switch_themes\";b:1;s:11:\"edit_themes\";b:1;s:16:\"activate_plugins\";b:1;s:12:\"edit_plugins\";b:1;s:10:\"edit_users\";b:1;s:10:\"edit_files\";b:1;s:14:\"manage_options\";b:1;s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:6:\"import\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:8:\"level_10\";b:1;s:7:\"level_9\";b:1;s:7:\"level_8\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:12:\"delete_users\";b:1;s:12:\"create_users\";b:1;s:17:\"unfiltered_upload\";b:1;s:14:\"edit_dashboard\";b:1;s:14:\"update_plugins\";b:1;s:14:\"delete_plugins\";b:1;s:15:\"install_plugins\";b:1;s:13:\"update_themes\";b:1;s:14:\"install_themes\";b:1;s:11:\"update_core\";b:1;s:10:\"list_users\";b:1;s:12:\"remove_users\";b:1;s:13:\"promote_users\";b:1;s:18:\"edit_theme_options\";b:1;s:13:\"delete_themes\";b:1;s:6:\"export\";b:1;}}s:6:\"editor\";a:2:{s:4:\"name\";s:6:\"Editor\";s:12:\"capabilities\";a:34:{s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;}}s:6:\"author\";a:2:{s:4:\"name\";s:6:\"Author\";s:12:\"capabilities\";a:10:{s:12:\"upload_files\";b:1;s:10:\"edit_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;s:22:\"delete_published_posts\";b:1;}}s:11:\"contributor\";a:2:{s:4:\"name\";s:11:\"Contributor\";s:12:\"capabilities\";a:5:{s:10:\"edit_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;}}s:10:\"subscriber\";a:2:{s:4:\"name\";s:10:\"Subscriber\";s:12:\"capabilities\";a:2:{s:4:\"read\";b:1;s:7:\"level_0\";b:1;}}}", "yes");
INSERT INTO `wp_options` VALUES("101", "fresh_site", "0", "yes");
INSERT INTO `wp_options` VALUES("102", "WPLANG", "fa_IR", "yes");
INSERT INTO `wp_options` VALUES("103", "user_count", "2", "no");
INSERT INTO `wp_options` VALUES("104", "widget_block", "a:6:{i:2;a:1:{s:7:\"content\";s:19:\"<!-- wp:search /-->\";}i:3;a:1:{s:7:\"content\";s:170:\"<!-- wp:group --><div class=\"wp-block-group\"><!-- wp:heading --><h2>نوشته‌های تازه</h2><!-- /wp:heading --><!-- wp:latest-posts /--></div><!-- /wp:group -->\";}i:4;a:1:{s:7:\"content\";s:242:\"<!-- wp:group --><div class=\"wp-block-group\"><!-- wp:heading --><h2>آخرین دیدگاه‌ها</h2><!-- /wp:heading --><!-- wp:latest-comments {\"displayAvatar\":false,\"displayDate\":false,\"displayExcerpt\":false} /--></div><!-- /wp:group -->\";}i:5;a:1:{s:7:\"content\";s:159:\"<!-- wp:group --><div class=\"wp-block-group\"><!-- wp:heading --><h2>بایگانی‌ها</h2><!-- /wp:heading --><!-- wp:archives /--></div><!-- /wp:group -->\";}i:6;a:1:{s:7:\"content\";s:155:\"<!-- wp:group --><div class=\"wp-block-group\"><!-- wp:heading --><h2>دسته‌ها</h2><!-- /wp:heading --><!-- wp:categories /--></div><!-- /wp:group -->\";}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("105", "sidebars_widgets", "a:10:{s:19:\"wp_inactive_widgets\";a:0:{}s:9:\"sidebar-1\";a:5:{i:0;s:7:\"block-2\";i:1;s:7:\"block-3\";i:2;s:7:\"block-4\";i:3;s:7:\"block-5\";i:4;s:7:\"block-6\";}s:13:\"header-widget\";a:0:{}s:15:\"footer-widget-1\";a:0:{}s:15:\"footer-widget-2\";a:0:{}s:24:\"advanced-footer-widget-1\";a:0:{}s:24:\"advanced-footer-widget-2\";a:0:{}s:24:\"advanced-footer-widget-3\";a:0:{}s:24:\"advanced-footer-widget-4\";a:0:{}s:13:\"array_version\";i:3;}", "yes");
INSERT INTO `wp_options` VALUES("181", "elementor_onboarded", "1", "yes");
INSERT INTO `wp_options` VALUES("183", "elementor_font_display", "swap", "yes");
INSERT INTO `wp_options` VALUES("176", "recently_activated", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("191", "_elementor_installed_time", "1689448438", "yes");
INSERT INTO `wp_options` VALUES("186", "persian_elementor", "a:12:{s:14:\"efa-panel-font\";b:1;s:13:\"efa-flatpickr\";b:1;s:13:\"efa-elementor\";b:1;s:17:\"efa-elementor-pro\";b:1;s:19:\"efa-ele-custom-skin\";b:0;s:39:\"efa-essential-addons-for-elementor-lite\";b:0;s:21:\"efa-dynamicconditions\";b:0;s:13:\"efa-woolentor\";b:0;s:11:\"efa-metform\";b:0;s:12:\"efa-all-font\";b:1;s:18:\"efa-templates-kits\";b:1;s:16:\"efa-iranian-icon\";b:1;}", "yes");
INSERT INTO `wp_options` VALUES("187", "elementor_version", "3.22.3", "yes");
INSERT INTO `wp_options` VALUES("188", "elementor_install_history", "a:2:{s:6:\"3.14.1\";i:1689448474;s:6:\"3.22.3\";i:1720677712;}", "yes");
INSERT INTO `wp_options` VALUES("189", "elementor_events_db_version", "1.0.0", "no");
INSERT INTO `wp_options` VALUES("192", "elementor_remote_info_library", "a:3:{s:10:\"types_data\";a:4:{s:5:\"block\";a:2:{s:10:\"categories\";a:28:{i:0;s:8:\"404 page\";i:1;s:5:\"about\";i:2;s:7:\"archive\";i:3;s:8:\"Benefits\";i:4;s:14:\"call to action\";i:5;s:7:\"clients\";i:6;s:7:\"contact\";i:7;s:4:\"Data\";i:8;s:3:\"faq\";i:9;s:8:\"features\";i:10;s:6:\"footer\";i:11;s:7:\"Gallery\";i:12;s:6:\"header\";i:13;s:4:\"hero\";i:14;s:11:\"Link in Bio\";i:15;s:9:\"portfolio\";i:16;s:7:\"pricing\";i:17;s:15:\"product archive\";i:18;s:5:\"Quote\";i:19;s:15:\"Service Details\";i:20;s:8:\"services\";i:21;s:11:\"single page\";i:22;s:11:\"single post\";i:23;s:14:\"single product\";i:24;s:5:\"stats\";i:25;s:9:\"subscribe\";i:26;s:4:\"team\";i:27;s:12:\"testimonials\";}s:4:\"sets\";a:5:{i:0;s:11:\"Boxing Club\";i:1;s:19:\"Business Consultant\";i:2;s:16:\"Marketing Agency\";i:3;s:9:\"Wireframe\";i:4;s:15:\"Workshop Center\";}}s:5:\"popup\";a:1:{s:10:\"categories\";a:6:{i:0;s:10:\"bottom bar\";i:1;s:7:\"classic\";i:2;s:6:\"fly-in\";i:3;s:11:\"full screen\";i:4;s:9:\"hello bar\";i:5;s:8:\"slide-in\";}}s:2:\"lp\";a:1:{s:10:\"categories\";a:15:{i:0;s:8:\"Business\";i:1;s:16:\"Coming Soon Page\";i:2;s:9:\"eCommerce\";i:3;s:9:\"Education\";i:4;s:6:\"Events\";i:5;s:18:\"Health and Fitness\";i:6;s:3:\"NFT\";i:7;s:14:\"Online Service\";i:8;s:7:\"Product\";i:9;s:11:\"Real Estate\";i:10;s:18:\"Social Involvement\";i:11;s:14:\"Thank You Page\";i:12;s:6:\"Travel\";i:13;s:18:\"Under Construction\";i:14;s:9:\"Wireframe\";}}s:2:\"lb\";a:1:{s:10:\"categories\";a:2:{i:0;s:4:\"post\";i:1;s:7:\"product\";}}}s:10:\"categories\";a:28:{i:0;s:8:\"404 page\";i:1;s:5:\"about\";i:2;s:7:\"archive\";i:3;s:8:\"Benefits\";i:4;s:14:\"call to action\";i:5;s:7:\"clients\";i:6;s:7:\"contact\";i:7;s:4:\"Data\";i:8;s:3:\"faq\";i:9;s:8:\"features\";i:10;s:6:\"footer\";i:11;s:7:\"Gallery\";i:12;s:6:\"header\";i:13;s:4:\"hero\";i:14;s:11:\"Link in Bio\";i:15;s:9:\"portfolio\";i:16;s:7:\"pricing\";i:17;s:15:\"product archive\";i:18;s:5:\"Quote\";i:19;s:15:\"Service Details\";i:20;s:8:\"services\";i:21;s:11:\"single page\";i:22;s:11:\"single post\";i:23;s:14:\"single product\";i:24;s:5:\"stats\";i:25;s:9:\"subscribe\";i:26;s:4:\"team\";i:27;s:12:\"testimonials\";}s:9:\"templates\";a:823:{i:0;a:19:{s:4:\"tmpl\";i:1280;s:2:\"id\";i:22403;s:5:\"title\";s:40:\"Hello Bar | Subscribe | Aesthetic Clinic\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/aesthetic-clinic-19.jpg\";s:12:\"tmpl_created\";i:1647354307;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:142:\"https://library.elementor.com/popups/hello-bar-subscribe-aesthetic-clinic/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:48:\"[\"Barbershop\",\"Business\",\"Discount\",\"Marketing\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:1;a:19:{s:4:\"tmpl\";i:1281;s:2:\"id\";i:22410;s:5:\"title\";s:32:\"Fly-In | Discount | Hair Stylist\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2022/03/hair-stylist-20.jpg\";s:12:\"tmpl_created\";i:1647354614;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/fly-in-discount-hair-stylist/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:32:\"[\"Barbershop\",\"Discount\",\"Hair\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:2;a:19:{s:4:\"tmpl\";i:1285;s:2:\"id\";i:22440;s:5:\"title\";s:32:\"Classic | Subscribe | Shoe Store\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2022/03/shoes-store-21.jpg\";s:12:\"tmpl_created\";i:1647418620;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/classic-subscribe-shoe-store/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:37:\"[\"Ecommerce\",\"Marketing\",\"Subscribe\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:3;a:19:{s:4:\"tmpl\";i:1286;s:2:\"id\";i:22446;s:5:\"title\";s:37:\"Full Screen | Subscribe | Denim Store\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2022/03/denim-store-22.jpg\";s:12:\"tmpl_created\";i:1647419614;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/popups/full-screen-subscribe-denim-store/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:35:\"[\"Ecommerce\",\"Fashion\",\"Marketing\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:4;a:19:{s:4:\"tmpl\";i:1287;s:2:\"id\";i:22452;s:5:\"title\";s:37:\"Fly-In | Subscribe | Pizza Restaurant\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/pizza-restaurant-23.jpg\";s:12:\"tmpl_created\";i:1647420733;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/popups/fly-in-subscribe-pizza-restaurant/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:19:\"[\"Business\",\"Food\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:5;a:19:{s:4:\"tmpl\";i:1288;s:2:\"id\";i:22458;s:5:\"title\";s:38:\"Full Screen | Subscribe | Fashion Shop\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2022/03/fashion-shop-24.jpg\";s:12:\"tmpl_created\";i:1647426379;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:140:\"https://library.elementor.com/popups/full-screen-subscribe-fashion-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:31:\"[\"Ecommerce\",\"Fashion\",\"Sales\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:6;a:19:{s:4:\"tmpl\";i:1289;s:2:\"id\";i:22464;s:5:\"title\";s:32:\"Fly-In | Contact | Makeup Studio\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2022/03/makeup-studio-25.jpg\";s:12:\"tmpl_created\";i:1647427026;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/fly-in-contact-makeup-studio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:22:\"[\"Business\",\"Contact\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:7;a:19:{s:4:\"tmpl\";i:1290;s:2:\"id\";i:22470;s:5:\"title\";s:32:\"Fly-In | Contact | Design Studio\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2022/03/design-studio-26.jpg\";s:12:\"tmpl_created\";i:1647428250;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/fly-in-contact-design-studio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:39:\"[\"Business\",\"Contact\",\"Digital Agency\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:8;a:19:{s:4:\"tmpl\";i:1291;s:2:\"id\";i:22480;s:5:\"title\";s:27:\"Classic | CTA | MasterClass\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2022/03/master-class-27.jpg\";s:12:\"tmpl_created\";i:1647428474;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/popups/classic-cta-masterclass/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:29:\"[\"cta\",\"Magazine\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:9;a:19:{s:4:\"tmpl\";i:1292;s:2:\"id\";i:22489;s:5:\"title\";s:29:\"Classic | CTA | Music Concert\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2022/03/music-concert-29.jpg\";s:12:\"tmpl_created\";i:1647429738;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/popups/classic-cta-music-concert/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:34:\"[\"cta\",\"Landing Pages\",\"Magazine\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:10;a:19:{s:4:\"tmpl\";i:1293;s:2:\"id\";i:22495;s:5:\"title\";s:27:\"Classic | CTA | Music Album\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2022/03/music-album-30.jpg\";s:12:\"tmpl_created\";i:1647430056;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/popups/classic-cta-music-album/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:34:\"[\"Ba\",\"Landing Pages\",\"Marketing\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:11;a:19:{s:4:\"tmpl\";i:1294;s:2:\"id\";i:22501;s:5:\"title\";s:37:\"Fly-In | CTA | Photography Exhibition\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/03/photography-exhibition-31.jpg\";s:12:\"tmpl_created\";i:1647430512;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/popups/fly-in-cta-photography-exhibition/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:33:\"[\"cta\",\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:12;a:19:{s:4:\"tmpl\";i:1295;s:2:\"id\";i:22507;s:5:\"title\";s:34:\"Classic | CTA | Clothing Shop Sale\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/03/clothing-shop-sale-32.jpg\";s:12:\"tmpl_created\";i:1647430774;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:136:\"https://library.elementor.com/popups/classic-cta-clothing-shop-sale/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:35:\"[\"Ecommerce\",\"Fashion\",\"Marketing\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:13;a:19:{s:4:\"tmpl\";i:1296;s:2:\"id\";i:22486;s:5:\"title\";s:30:\"Classic | CTA | Shop Promotion\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/shop-promotion-28.jpg\";s:12:\"tmpl_created\";i:1647430951;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/classic-cta-shop-promotion/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:32:\"[\"cta\",\"Magazine\",\"Photography\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:14;a:19:{s:4:\"tmpl\";i:1297;s:2:\"id\";i:22516;s:5:\"title\";s:32:\"Fly-In | CTA | Glasses Shop Sale\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/glasses-shop-sale-33.jpg\";s:12:\"tmpl_created\";i:1647431136;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/fly-in-cta-glasses-shop-sale/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:30:\"[\"Business\",\"cta\",\"Marketing\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:15;a:19:{s:4:\"tmpl\";i:1298;s:2:\"id\";i:22522;s:5:\"title\";s:30:\"Fly-In | Discount | Skate Shop\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2022/03/50-skate-shop-Discount.jpg\";s:12:\"tmpl_created\";i:1647434058;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/fly-in-discount-skate-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:32:\"[\"Discount\",\"Ecommerce\",\"Sales\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:16;a:19:{s:4:\"tmpl\";i:1299;s:2:\"id\";i:22532;s:5:\"title\";s:43:\"Classic | Subscription | Basketball Academy\";s:9:\"thumbnail\";s:95:\"https://library.elementor.com/wp-content/uploads/2022/03/21-basketball-academy-Subscription.jpg\";s:12:\"tmpl_created\";i:1647434608;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:145:\"https://library.elementor.com/popups/classic-subscription-basketball-academy/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:33:\"[\"Education\",\"Marketing\",\"Sport\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:17;a:19:{s:4:\"tmpl\";i:1300;s:2:\"id\";i:22543;s:5:\"title\";s:38:\"Classic | Discount | Veterinary Clinic\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/03/veterinery-clinic-small.jpg\";s:12:\"tmpl_created\";i:1647435581;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:140:\"https://library.elementor.com/popups/classic-discount-veterinary-clinic/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:19:\"[\"Discount\",\"Pets\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:18;a:19:{s:4:\"tmpl\";i:1301;s:2:\"id\";i:22553;s:5:\"title\";s:39:\"Classic | Contact | Business Consulting\";s:9:\"thumbnail\";s:94:\"https://library.elementor.com/wp-content/uploads/2022/03/27-business-consulting-Contact-Us.jpg\";s:12:\"tmpl_created\";i:1647439935;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:141:\"https://library.elementor.com/popups/classic-contact-business-consulting/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:22:\"[\"Business\",\"Contact\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:19;a:19:{s:4:\"tmpl\";i:1302;s:2:\"id\";i:22562;s:5:\"title\";s:28:\"Classic | Contact | Handyman\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2022/03/handyman-small.jpg\";s:12:\"tmpl_created\";i:1647440333;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/popups/classic-contact-handyman/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:33:\"[\"Business\",\"Contact\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:20;a:19:{s:4:\"tmpl\";i:1303;s:2:\"id\";i:22573;s:5:\"title\";s:40:\"Classic | Discount | Online Fashion Shop\";s:9:\"thumbnail\";s:92:\"https://library.elementor.com/wp-content/uploads/2022/03/31-online-fashion-shop-Discount.jpg\";s:12:\"tmpl_created\";i:1647462549;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:142:\"https://library.elementor.com/popups/classic-discount-online-fashion-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:32:\"[\"Discount\",\"Ecommerce\",\"Sales\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:21;a:19:{s:4:\"tmpl\";i:1304;s:2:\"id\";i:22583;s:5:\"title\";s:36:\"Fly-In | Discount | Personal Trainer\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2022/03/personal-trainer-small.jpg\";s:12:\"tmpl_created\";i:1647503781;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/fly-in-discount-personal-trainer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:31:\"[\"Discount\",\"Sport\",\"Training\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:22;a:19:{s:4:\"tmpl\";i:1305;s:2:\"id\";i:22592;s:5:\"title\";s:41:\"Classic | Contact | Illustrator Portfolio\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2022/03/illustrator-protfolio-small.jpg\";s:12:\"tmpl_created\";i:1647504218;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:143:\"https://library.elementor.com/popups/classic-contact-illustrator-portfolio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:49:\"[\"Contact\",\"Creative Portfolio\",\"Digital Agency\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:23;a:19:{s:4:\"tmpl\";i:1306;s:2:\"id\";i:22602;s:5:\"title\";s:46:\"Bottom Bar | Discount | Handmade Ceramics Shop\";s:9:\"thumbnail\";s:91:\"https://library.elementor.com/wp-content/uploads/2022/03/handmade-ceramic-shop-36-small.jpg\";s:12:\"tmpl_created\";i:1647507007;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:148:\"https://library.elementor.com/popups/bottom-bar-discount-handmade-ceramics-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:10:\"bottom bar\";s:4:\"tags\";s:48:\"[\"Business\",\"cta\",\"Ecommerce\",\"Interior Design\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:24;a:19:{s:4:\"tmpl\";i:1307;s:2:\"id\";i:22612;s:5:\"title\";s:51:\"Classic | Contact | Classic Car Restoration Company\";s:9:\"thumbnail\";s:90:\"https://library.elementor.com/wp-content/uploads/2022/03/restoration-car-shop-37-small.jpg\";s:12:\"tmpl_created\";i:1647507310;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:153:\"https://library.elementor.com/popups/classic-contact-classic-car-restoration-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:32:\"[\"Booking\",\"Contact\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:25;a:19:{s:4:\"tmpl\";i:1308;s:2:\"id\";i:22621;s:5:\"title\";s:30:\"Classic | Booking | Life Coach\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/03/38-life-coach-Booking.jpg\";s:12:\"tmpl_created\";i:1647508596;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/classic-booking-life-coach/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:33:\"[\"Booking\",\"Business\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:26;a:19:{s:4:\"tmpl\";i:1309;s:2:\"id\";i:22632;s:5:\"title\";s:42:\"Classic |  Subscription | Merchandise Shop\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/03/Merchandise-Shop-39-small.jpg\";s:12:\"tmpl_created\";i:1647509196;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:143:\"https://library.elementor.com/popups/classic-subscription-merchandise-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:32:\"[\"Ecommerce\",\"Marketing\",\"Shop\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:27;a:19:{s:4:\"tmpl\";i:1310;s:2:\"id\";i:22643;s:5:\"title\";s:48:\"Fly-In | Contact | Non-Governmental Organization\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2022/03/NGO-41-small.jpg\";s:12:\"tmpl_created\";i:1647509528;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:150:\"https://library.elementor.com/popups/fly-in-contact-non-governmental-organization/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:28;a:19:{s:4:\"tmpl\";i:1311;s:2:\"id\";i:22654;s:5:\"title\";s:35:\"Hello Bar | Contact | Family Doctor\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2022/03/family-doctor-44-small.jpg\";s:12:\"tmpl_created\";i:1647509732;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:137:\"https://library.elementor.com/popups/hello-bar-contact-family-doctor/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:31:\"[\"Contact\",\"Health\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:29;a:19:{s:4:\"tmpl\";i:1312;s:2:\"id\";i:22663;s:5:\"title\";s:36:\"Classic | Subscription | Sports Blog\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2022/03/45-sport-blog-Subscription.jpg\";s:12:\"tmpl_created\";i:1647509908;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/classic-subscription-sports-blog/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:16:\"[\"Blog\",\"Sport\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:30;a:19:{s:4:\"tmpl\";i:1313;s:2:\"id\";i:22673;s:5:\"title\";s:30:\"Hello Bar | Booking | Event DJ\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/DJ-service-46-small.jpg\";s:12:\"tmpl_created\";i:1647510160;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/hello-bar-booking-event-dj/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:31:\"[\"Booking\",\"Events\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:31;a:19:{s:4:\"tmpl\";i:1314;s:2:\"id\";i:22684;s:5:\"title\";s:36:\"Fly-In | Discount | Cleaning Company\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2022/03/51-cleaning-company-Discount.jpg\";s:12:\"tmpl_created\";i:1647510546;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/fly-in-discount-cleaning-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:31:\"[\"Discount\",\"Offer\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:32;a:19:{s:4:\"tmpl\";i:1315;s:2:\"id\";i:22693;s:5:\"title\";s:28:\"Fly-In | Contact | Carpenter\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2022/03/carpenter-53-small.jpg\";s:12:\"tmpl_created\";i:1647511972;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/popups/fly-in-contact-carpenter/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:22:\"[\"Contact\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:33;a:19:{s:4:\"tmpl\";i:1316;s:2:\"id\";i:22703;s:5:\"title\";s:31:\"Classic | Booking | Yoga Studio\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/03/55-yoga-studio-Contact-Us.jpg\";s:12:\"tmpl_created\";i:1647512209;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/classic-booking-yoga-studio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:30:\"[\"Booking\",\"Contact\",\"Health\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:34;a:19:{s:4:\"tmpl\";i:1317;s:2:\"id\";i:22714;s:5:\"title\";s:37:\"Classic | Discount | Pet Care Company\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/56-Pet-Care-Discount.jpg\";s:12:\"tmpl_created\";i:1647513031;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/popups/classic-discount-pet-care-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:17:\"[\"Offer\",\"Sales\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:35;a:19:{s:4:\"tmpl\";i:1318;s:2:\"id\";i:22725;s:5:\"title\";s:38:\"Fly-In | Discount | Online Coffee Shop\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2022/03/online-coffee-shop-57-small.jpg\";s:12:\"tmpl_created\";i:1647513325;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:140:\"https://library.elementor.com/popups/fly-in-discount-online-coffee-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:29:\"[\"Food\",\"Offer\",\"Restaurant\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:36;a:19:{s:4:\"tmpl\";i:1319;s:2:\"id\";i:22737;s:5:\"title\";s:44:\"Fly-In | CTA | Moving &#038; Storage Company\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/03/moving-company-59-small.jpg\";s:12:\"tmpl_created\";i:1647520956;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/popups/fly-in-cta-moving-storage-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:37;a:19:{s:4:\"tmpl\";i:1320;s:2:\"id\";i:22749;s:5:\"title\";s:47:\"Classic | Contact | Industrial Design Portfolio\";s:9:\"thumbnail\";s:92:\"https://library.elementor.com/wp-content/uploads/2022/03/60-industrial-design-Contact-Us.jpg\";s:12:\"tmpl_created\";i:1647528116;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:149:\"https://library.elementor.com/popups/classic-contact-industrial-design-portfolio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:40:\"[\"Contact\",\"Interior Design\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:38;a:19:{s:4:\"tmpl\";i:1321;s:2:\"id\";i:22759;s:5:\"title\";s:25:\"Classic | Contact | Drone\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2022/03/drone-61-small.jpg\";s:12:\"tmpl_created\";i:1647528899;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/popups/classic-contact-drone/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:22:\"[\"Contact\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:39;a:19:{s:4:\"tmpl\";i:1322;s:2:\"id\";i:22768;s:5:\"title\";s:46:\"Full Screen | Menu | Fashion Stylist Portfolio\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/03/62-Fashion-Stylist-Menu.jpg\";s:12:\"tmpl_created\";i:1647529434;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:148:\"https://library.elementor.com/popups/full-screen-menu-fashion-stylist-portfolio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:31:\"[\"Fashion\",\"Fullscreen\",\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:40;a:19:{s:4:\"tmpl\";i:1323;s:2:\"id\";i:22780;s:5:\"title\";s:31:\"Fly-In | CTA | Landscape Design\";s:9:\"thumbnail\";s:94:\"https://library.elementor.com/wp-content/uploads/2022/03/64-Landscape-Design-Click-Through.jpg\";s:12:\"tmpl_created\";i:1647530337;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/fly-in-cta-landscape-design/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:18:\"[\"cta\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:41;a:19:{s:4:\"tmpl\";i:1324;s:2:\"id\";i:22790;s:5:\"title\";s:48:\"Bottom Bar  | Contact | Architecture Photography\";s:9:\"thumbnail\";s:94:\"https://library.elementor.com/wp-content/uploads/2022/03/architecture-photography-65-small.jpg\";s:12:\"tmpl_created\";i:1647532358;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:149:\"https://library.elementor.com/popups/bottom-bar-contact-architecture-photography/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:17:\"essential-oct2023\";s:7:\"subtype\";s:10:\"bottom bar\";s:4:\"tags\";s:26:\"[\"Architecture\",\"Contact\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:42;a:19:{s:4:\"tmpl\";i:1325;s:2:\"id\";i:22800;s:5:\"title\";s:41:\"Fly-In  | CTA | Speech-Language Therapist\";s:9:\"thumbnail\";s:103:\"https://library.elementor.com/wp-content/uploads/2022/03/66-Speech-Language-Therapist-Click-Through.jpg\";s:12:\"tmpl_created\";i:1647532720;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:142:\"https://library.elementor.com/popups/fly-in-cta-speech-language-therapist/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:25:\"[\"cta\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:43;a:19:{s:4:\"tmpl\";i:1326;s:2:\"id\";i:22812;s:5:\"title\";s:35:\"Full Screen | Verification | Winery\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2022/03/67-Winery-Verification.jpg\";s:12:\"tmpl_created\";i:1647761384;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:137:\"https://library.elementor.com/popups/full-screen-verification-winery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:24:\"[\"Alert\",\"Verification\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:44;a:19:{s:4:\"tmpl\";i:1327;s:2:\"id\";i:22822;s:5:\"title\";s:36:\"Fly-In | Subscription | Nutritionist\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/03/nutritionist-69-small.jpg\";s:12:\"tmpl_created\";i:1647762620;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/fly-in-subscription-nutritionist/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:28:\"[\"Food\",\"Health\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:45;a:19:{s:4:\"tmpl\";i:1328;s:2:\"id\";i:22833;s:5:\"title\";s:40:\"Classic | Subscription | App &#038; SaaS\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2022/03/app-70-small.jpg\";s:12:\"tmpl_created\";i:1647762955;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/popups/classic-subscription-app-saas/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:14:\"[\"App\",\"SaaS\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:46;a:19:{s:4:\"tmpl\";i:1329;s:2:\"id\";i:22844;s:5:\"title\";s:41:\"Bottom Bar | Discount | Handmade Cupcakes\";s:9:\"thumbnail\";s:90:\"https://library.elementor.com/wp-content/uploads/2022/03/72-Handmade-Cupcakes-Discount.jpg\";s:12:\"tmpl_created\";i:1647763350;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:143:\"https://library.elementor.com/popups/bottom-bar-discount-handmade-cupcakes/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:10:\"bottom bar\";s:4:\"tags\";s:21:\"[\"Food\",\"Restaurant\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:47;a:19:{s:4:\"tmpl\";i:1330;s:2:\"id\";i:22855;s:5:\"title\";s:40:\"Bottom Bar | Subscription | Fashion Blog\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/03/fashion-blog-75-small.jpg\";s:12:\"tmpl_created\";i:1647763907;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:142:\"https://library.elementor.com/popups/bottom-bar-subscription-fashion-blog/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:10:\"bottom bar\";s:4:\"tags\";s:30:\"[\"Blog\",\"Fashion\",\"Subscribe\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:48;a:19:{s:4:\"tmpl\";i:1331;s:2:\"id\";i:22866;s:5:\"title\";s:28:\"Fly-In | CTA | Private Tutor\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2022/03/private-tutor-77-small.jpg\";s:12:\"tmpl_created\";i:1647764062;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/popups/fly-in-cta-private-tutor/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:49;a:19:{s:4:\"tmpl\";i:1332;s:2:\"id\";i:22876;s:5:\"title\";s:30:\"Classic | CTA | Tennis Academy\";s:9:\"thumbnail\";s:92:\"https://library.elementor.com/wp-content/uploads/2022/03/78-Tennis-Academy-Click-Through.jpg\";s:12:\"tmpl_created\";i:1647765192;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/classic-cta-tennis-academy/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:50;a:19:{s:4:\"tmpl\";i:1333;s:2:\"id\";i:22887;s:5:\"title\";s:31:\"Fly-In | CTA | Shared Workspace\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/03/shared-workspace-79-small.jpg\";s:12:\"tmpl_created\";i:1647765419;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/fly-in-cta-shared-workspace/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:18:\"[\"Business\",\"cta\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:51;a:19:{s:4:\"tmpl\";i:1334;s:2:\"id\";i:22899;s:5:\"title\";s:30:\"Bottom Bar | CTA | Art Gallery\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2022/03/80-Art-Gallery-Click-Through.jpg\";s:12:\"tmpl_created\";i:1647765652;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/bottom-bar-cta-art-gallery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:10:\"bottom bar\";s:4:\"tags\";s:13:\"[\"Art\",\"cta\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:52;a:19:{s:4:\"tmpl\";i:1335;s:2:\"id\";i:22910;s:5:\"title\";s:44:\"Fly-In | Subscription | Hiking Tours Company\";s:9:\"thumbnail\";s:90:\"https://library.elementor.com/wp-content/uploads/2022/03/hiking-tours-company-81-small.jpg\";s:12:\"tmpl_created\";i:1647765835;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:146:\"https://library.elementor.com/popups/fly-in-subscription-hiking-tours-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:29:\"[\"Subscribe\",\"Travel\",\"Trip\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:53;a:19:{s:4:\"tmpl\";i:1336;s:2:\"id\";i:22921;s:5:\"title\";s:26:\"Classic | CTA | Music Band\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/music-band-82-small.jpg\";s:12:\"tmpl_created\";i:1647769462;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/popups/classic-cta-music-band/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:21:\"[\"Marketing\",\"Music\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:54;a:19:{s:4:\"tmpl\";i:1337;s:2:\"id\";i:22935;s:5:\"title\";s:35:\"Classic | CTA | Computer Technician\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2022/03/comuter-technician-83-small.jpg\";s:12:\"tmpl_created\";i:1647769843;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:137:\"https://library.elementor.com/popups/classic-cta-computer-technician/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:18:\"[\"cta\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:55;a:19:{s:4:\"tmpl\";i:1338;s:2:\"id\";i:22945;s:5:\"title\";s:37:\"Classic | Discount | Delivery Company\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/03/delivery-company-88-small.jpg\";s:12:\"tmpl_created\";i:1647770834;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/popups/classic-discount-delivery-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:23:\"[\"Discount\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:56;a:19:{s:4:\"tmpl\";i:1339;s:2:\"id\";i:22959;s:5:\"title\";s:29:\"Classic | Discount | Eco Shop\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2022/03/echo-shop-89-small.jpg\";s:12:\"tmpl_created\";i:1647771211;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/popups/classic-discount-eco-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:24:\"[\"Discount\",\"Ecommerce\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:57;a:19:{s:4:\"tmpl\";i:1340;s:2:\"id\";i:22972;s:5:\"title\";s:54:\"Fly-In | Subscription | Health &#038; Mindfulness Blog\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/health-blog-91-small.jpg\";s:12:\"tmpl_created\";i:1647771461;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:149:\"https://library.elementor.com/popups/fly-in-subscription-health-mindfulness-blog/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:21:\"[\"Health\",\"Magazine\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:58;a:19:{s:4:\"tmpl\";i:1341;s:2:\"id\";i:22982;s:5:\"title\";s:31:\"Full Screen | Menu | Art Museum\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/art-museum-112-small.jpg\";s:12:\"tmpl_created\";i:1647771938;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/full-screen-menu-art-museum/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:21:\"[\"Fullscreen\",\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:59;a:19:{s:4:\"tmpl\";i:1342;s:2:\"id\";i:22992;s:5:\"title\";s:40:\"Classic | Discount | Urban Clothing Shop\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2022/03/health-blog-91-small-1.jpg\";s:12:\"tmpl_created\";i:1647773067;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:142:\"https://library.elementor.com/popups/classic-discount-urban-clothing-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:34:\"[\"Discount\",\"Ecommerce\",\"Fashion\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:60;a:19:{s:4:\"tmpl\";i:1343;s:2:\"id\";i:23004;s:5:\"title\";s:60:\"Full Screen | Menu | Digital &#038; Technology Design School\";s:9:\"thumbnail\";s:95:\"https://library.elementor.com/wp-content/uploads/2022/03/digital-design-tech-school-small-1.jpg\";s:12:\"tmpl_created\";i:1647773366;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:155:\"https://library.elementor.com/popups/full-screen-menu-digital-technology-design-school/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:8:\"[\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:61;a:19:{s:4:\"tmpl\";i:1344;s:2:\"id\";i:23015;s:5:\"title\";s:62:\"Bottom Bar | Contact | Digital &#038; Technology Design School\";s:9:\"thumbnail\";s:93:\"https://library.elementor.com/wp-content/uploads/2022/03/digital-design-tech-school-small.jpg\";s:12:\"tmpl_created\";i:1647773492;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:157:\"https://library.elementor.com/popups/bottom-bar-contact-digital-technology-design-school/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:10:\"bottom bar\";s:4:\"tags\";s:23:\"[\"Contact\",\"Portfolio\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:62;a:19:{s:4:\"tmpl\";i:1345;s:2:\"id\";i:23025;s:5:\"title\";s:32:\"Full Screen | Menu | Flower Shop\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/flower-shop-small.jpg\";s:12:\"tmpl_created\";i:1647773820;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/full-screen-menu-flower-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:21:\"[\"Fullscreen\",\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:63;a:19:{s:4:\"tmpl\";i:1346;s:2:\"id\";i:23037;s:5:\"title\";s:36:\"Classic | Subscription | Flower Shop\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/flower-shop-small-1.jpg\";s:12:\"tmpl_created\";i:1647773949;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/classic-subscription-flower-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:24:\"[\"Discount\",\"Subscribe\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:64;a:19:{s:4:\"tmpl\";i:1347;s:2:\"id\";i:23056;s:5:\"title\";s:48:\"Classic | Discount | Health &#038; Fitness eBook\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/03/fitness-ebook-small-1.jpg\";s:12:\"tmpl_created\";i:1647774468;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:143:\"https://library.elementor.com/popups/classic-discount-health-fitness-ebook/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:23:\"[\"Contact\",\"Marketing\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:65;a:19:{s:4:\"tmpl\";i:1348;s:2:\"id\";i:23067;s:5:\"title\";s:37:\"Fly-In | Menu | Baby Sleep Consultant\";s:9:\"thumbnail\";s:90:\"https://library.elementor.com/wp-content/uploads/2022/03/baby-sleep-consultant-small-1.jpg\";s:12:\"tmpl_created\";i:1647778954;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/popups/baby-sleep-consultant/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:8:\"[\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:66;a:19:{s:4:\"tmpl\";i:1349;s:2:\"id\";i:23077;s:5:\"title\";s:46:\"Classic | Subscription | Baby Sleep Consultant\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2022/03/baby-sleep-consultant-small.jpg\";s:12:\"tmpl_created\";i:1647779074;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:148:\"https://library.elementor.com/popups/classic-subscription-baby-sleep-consultant/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:12:\"[\"Discount\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:67;a:19:{s:4:\"tmpl\";i:1350;s:2:\"id\";i:23090;s:5:\"title\";s:33:\"Full Screen | Menu | Luxury Hotel\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2022/03/luxury-hotel-small.jpg\";s:12:\"tmpl_created\";i:1647779390;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/popups/full-screen-menu-luxury-hotel/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:21:\"[\"Fullscreen\",\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:68;a:19:{s:4:\"tmpl\";i:1351;s:2:\"id\";i:23100;s:5:\"title\";s:31:\"Fly-In | Booking | Luxury Hotel\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/luxury-hotel-small-1.jpg\";s:12:\"tmpl_created\";i:1647779500;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/fly-in-booking-luxury-hotel/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:20:\"[\"Booking\",\"Travel\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:69;a:19:{s:4:\"tmpl\";i:1352;s:2:\"id\";i:23109;s:5:\"title\";s:38:\"Full Screen | Menu | Design Conference\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2022/03/design-conference-35-small.jpg\";s:12:\"tmpl_created\";i:1647779675;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:140:\"https://library.elementor.com/popups/full-screen-menu-design-conference/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:21:\"[\"Fullscreen\",\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:70;a:19:{s:4:\"tmpl\";i:1353;s:2:\"id\";i:23120;s:5:\"title\";s:41:\"Full Screen | Booking | Design Conference\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2022/03/design-conference-35-small-1.jpg\";s:12:\"tmpl_created\";i:1647779793;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:143:\"https://library.elementor.com/popups/full-screen-booking-design-conference/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:35:\"[\"Booking\",\"Conference\",\"Creative\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:71;a:19:{s:4:\"tmpl\";i:1354;s:2:\"id\";i:23129;s:5:\"title\";s:29:\"Slide-In | Menu | VR Headsets\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2022/03/VR-headset-small.jpg\";s:12:\"tmpl_created\";i:1647781211;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/popups/slide-in-menu-vr-headsets/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:8:\"[\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:72;a:19:{s:4:\"tmpl\";i:1355;s:2:\"id\";i:23139;s:5:\"title\";s:31:\"Classic | Contact | VR Headsets\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2022/03/VR-headset-small-1.jpg\";s:12:\"tmpl_created\";i:1647781384;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/classic-contact-vr-headsets/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:73;a:19:{s:4:\"tmpl\";i:1356;s:2:\"id\";i:23149;s:5:\"title\";s:38:\"Slide-In | Menu | Portrait Photography\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2022/03/48-portrair-photography-Menu.jpg\";s:12:\"tmpl_created\";i:1647782336;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:140:\"https://library.elementor.com/popups/slide-in-menu-portrait-photography/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:8:\"[\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:74;a:19:{s:4:\"tmpl\";i:1357;s:2:\"id\";i:23159;s:5:\"title\";s:47:\"Hello Bar | Subscription | Portrait Photography\";s:9:\"thumbnail\";s:97:\"https://library.elementor.com/wp-content/uploads/2022/03/48-portrair-photography-Subscription.jpg\";s:12:\"tmpl_created\";i:1647782478;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:149:\"https://library.elementor.com/popups/hello-bar-subscription-portrait-photography/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:34:\"[\"Blog\",\"Photography\",\"Subscribe\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:75;a:19:{s:4:\"tmpl\";i:1358;s:2:\"id\";i:23169;s:5:\"title\";s:32:\"Full Screen | Menu | English Pub\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/49-englisg-pub-Menu.jpg\";s:12:\"tmpl_created\";i:1647782664;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/full-screen-menu-english-pub/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:21:\"[\"Fullscreen\",\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:76;a:19:{s:4:\"tmpl\";i:1359;s:2:\"id\";i:23179;s:5:\"title\";s:32:\"Classic | Discount | English Pub\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/03/49-englisg-pub-Discount.jpg\";s:12:\"tmpl_created\";i:1647782796;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/classic-discount-english-pub/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:20:\"[\"Discount\",\"Offer\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:77;a:19:{s:4:\"tmpl\";i:1360;s:2:\"id\";i:23189;s:5:\"title\";s:27:\"Full Screen | Menu | Singer\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/58-Music-Artist-Menu.jpg\";s:12:\"tmpl_created\";i:1647783070;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/popups/full-screen-menu-singer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:29:\"[\"Fullscreen\",\"menu\",\"Music\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:78;a:19:{s:4:\"tmpl\";i:1361;s:2:\"id\";i:23200;s:5:\"title\";s:31:\"Classic | Subscription | Singer\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2022/03/58-Music-Artist-Subscription.jpg\";s:12:\"tmpl_created\";i:1647783249;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/classic-subscription-singer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:21:\"[\"Music\",\"Subscribe\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:79;a:19:{s:4:\"tmpl\";i:1362;s:2:\"id\";i:23210;s:5:\"title\";s:38:\"Full Screen | Menu | Virtual Assistant\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/03/virtual-assistnt-73-small.jpg\";s:12:\"tmpl_created\";i:1647784292;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:140:\"https://library.elementor.com/popups/full-screen-menu-virtual-assistant/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:21:\"[\"Fullscreen\",\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:80;a:19:{s:4:\"tmpl\";i:1363;s:2:\"id\";i:23223;s:5:\"title\";s:39:\"Hello Bar | Contact | Virtual Assistant\";s:9:\"thumbnail\";s:92:\"https://library.elementor.com/wp-content/uploads/2022/03/73-Virtual-Assistant-Contact-Us.jpg\";s:12:\"tmpl_created\";i:1647784616;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:141:\"https://library.elementor.com/popups/hello-bar-contact-virtual-assistant/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:37:\"[\"Contact\",\"Psychologist\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:81;a:19:{s:4:\"tmpl\";i:1364;s:2:\"id\";i:23234;s:5:\"title\";s:32:\"Slide-In  | Menu | Personal Chef\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/03/74-Personal-Chef-Menu.jpg\";s:12:\"tmpl_created\";i:1647798194;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/slide-in-menu-personal-chef/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:8:\"[\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:82;a:19:{s:4:\"tmpl\";i:1365;s:2:\"id\";i:23244;s:5:\"title\";s:29:\"Classic | CTA | Personal Chef\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2022/03/74-Personal-Chef-Contact-Us.jpg\";s:12:\"tmpl_created\";i:1647798297;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/popups/classic-cta-personal-chef/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:24:\"[\"Booking\",\"Chef\",\"cta\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:83;a:19:{s:4:\"tmpl\";i:1366;s:2:\"id\";i:23254;s:5:\"title\";s:31:\"Full Screen | Menu | Food Truck\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/03/food-truck-76-small-1.jpg\";s:12:\"tmpl_created\";i:1647798447;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/full-screen-menu-food-truck/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:21:\"[\"Fullscreen\",\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:84;a:19:{s:4:\"tmpl\";i:1367;s:2:\"id\";i:23265;s:5:\"title\";s:30:\"Fly-In | Discount | Food Truck\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/food-truck-76-small.jpg\";s:12:\"tmpl_created\";i:1647798657;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/fly-in-discount-food-truck/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:20:\"[\"Discount\",\"Offer\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:85;a:19:{s:4:\"tmpl\";i:1369;s:2:\"id\";i:23323;s:5:\"title\";s:28:\"Classic | CTA | Black Friday\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/Black-Friday-6-Small.jpg\";s:12:\"tmpl_created\";i:1647855505;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/popups/classic-cta-black-friday/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:34:\"[\"Black Friday\",\"cta\",\"Ecommerce\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:86;a:19:{s:4:\"tmpl\";i:1370;s:2:\"id\";i:23329;s:5:\"title\";s:29:\"Slide-In | CTA | Black Friday\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/Black-Friday-5-Small.jpg\";s:12:\"tmpl_created\";i:1647855865;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/popups/slide-in-cta-black-friday/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:34:\"[\"Black Friday\",\"cta\",\"Ecommerce\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:87;a:19:{s:4:\"tmpl\";i:1371;s:2:\"id\";i:23335;s:5:\"title\";s:31:\"Slide-In | CTA | Black Friday 1\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/Black-Friday-1-Small.jpg\";s:12:\"tmpl_created\";i:1647856357;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/slide-in-cta-black-friday-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:34:\"[\"Black Friday\",\"cta\",\"Ecommerce\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:88;a:19:{s:4:\"tmpl\";i:1372;s:2:\"id\";i:23341;s:5:\"title\";s:30:\"Classic | CTA | Black Friday 2\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/Black-Friday-3-Small.jpg\";s:12:\"tmpl_created\";i:1647856493;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/classic-cta-black-friday-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:34:\"[\"Black Friday\",\"cta\",\"Ecommerce\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:89;a:19:{s:4:\"tmpl\";i:1373;s:2:\"id\";i:23347;s:5:\"title\";s:30:\"Classic | CTA | Black Friday 3\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/Black-Friday-2-Small.jpg\";s:12:\"tmpl_created\";i:1647856891;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/classic-cta-black-friday-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:34:\"[\"Black Friday\",\"cta\",\"Ecommerce\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:90;a:19:{s:4:\"tmpl\";i:1374;s:2:\"id\";i:23354;s:5:\"title\";s:30:\"Classic | CTA | Black Friday 4\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/Black-Friday-4-Small.jpg\";s:12:\"tmpl_created\";i:1647856996;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/classic-cta-black-friday-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:34:\"[\"Black Friday\",\"cta\",\"Ecommerce\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:91;a:19:{s:4:\"tmpl\";i:1375;s:2:\"id\";i:23394;s:5:\"title\";s:27:\"Classic | CTA | Halloween 1\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/Halloween-3-Small.jpg\";s:12:\"tmpl_created\";i:1647857351;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/popups/classic-cta-halloween-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:31:\"[\"cta\",\"Ecommerce\",\"Halloween\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:92;a:19:{s:4:\"tmpl\";i:1376;s:2:\"id\";i:23401;s:5:\"title\";s:33:\"Slide-In | Discount | Halloween 2\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/Halloween-2-Small.jpg\";s:12:\"tmpl_created\";i:1647857567;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/popups/slide-in-discount-halloween-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:36:\"[\"Discount\",\"Ecommerce\",\"Halloween\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:93;a:19:{s:4:\"tmpl\";i:1377;s:2:\"id\";i:23407;s:5:\"title\";s:33:\"Slide-In | Discount | Halloween 3\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/Halloween-1-Small.jpg\";s:12:\"tmpl_created\";i:1647857814;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/popups/slide-in-discount-halloween-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:36:\"[\"Discount\",\"Ecommerce\",\"Halloween\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:94;a:19:{s:4:\"tmpl\";i:1378;s:2:\"id\";i:23416;s:5:\"title\";s:31:\"Fly-In | Discount | Halloween 4\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/Halloween-5-Small.jpg\";s:12:\"tmpl_created\";i:1647858024;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/fly-in-discount-halloween-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:44:\"[\"Discount\",\"Ecommerce\",\"Halloween\",\"Offer\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:95;a:19:{s:4:\"tmpl\";i:1379;s:2:\"id\";i:23422;s:5:\"title\";s:36:\"Classic | Subscription | Halloween 5\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/Halloween-4-Small.jpg\";s:12:\"tmpl_created\";i:1647858246;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/classic-subscription-halloween-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:48:\"[\"Discount\",\"Ecommerce\",\"Halloween\",\"Subscribe\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:96;a:19:{s:4:\"tmpl\";i:1380;s:2:\"id\";i:23471;s:5:\"title\";s:28:\"Slide-In | CTA | Christmas 1\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/Christmas-2-Small.jpg\";s:12:\"tmpl_created\";i:1647859193;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/popups/slide-in-cta-christmas-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:19:\"[\"Christmas\",\"cta\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:97;a:19:{s:4:\"tmpl\";i:1381;s:2:\"id\";i:23477;s:5:\"title\";s:28:\"Slide-In | CTA | Christmas 2\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/Christmas-4-Small.jpg\";s:12:\"tmpl_created\";i:1647859838;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/popups/slide-in-cta-christmas-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:19:\"[\"Christmas\",\"cta\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:98;a:19:{s:4:\"tmpl\";i:1382;s:2:\"id\";i:23483;s:5:\"title\";s:26:\"Fly-In | CTA | Christmas 3\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/Christmas-1-Small.jpg\";s:12:\"tmpl_created\";i:1647860157;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/popups/fly-in-cta-christmas-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:31:\"[\"Christmas\",\"cta\",\"Ecommerce\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:99;a:19:{s:4:\"tmpl\";i:1383;s:2:\"id\";i:23489;s:5:\"title\";s:33:\"Slide-In | Discount | Christmas 4\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/Christmas-5-Small.jpg\";s:12:\"tmpl_created\";i:1647860302;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/popups/slide-in-discount-christmas-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:31:\"[\"Christmas\",\"cta\",\"Ecommerce\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:100;a:19:{s:4:\"tmpl\";i:1384;s:2:\"id\";i:23496;s:5:\"title\";s:32:\"Classic | Discount | Christmas 5\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/Christmas-3-Small.jpg\";s:12:\"tmpl_created\";i:1647860454;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/classic-discount-christmas-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:29:\"[\"Christmas\",\"Offer\",\"Sales\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:101;a:19:{s:4:\"tmpl\";i:1385;s:2:\"id\";i:23523;s:5:\"title\";s:30:\"Classic | CTA | Valentines Day\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2022/03/Valentines-Day-2-Small.jpg\";s:12:\"tmpl_created\";i:1647860912;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/classic-cta-valentines-day/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:25:\"[\"cta\",\"Valentine\'s Day\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:102;a:19:{s:4:\"tmpl\";i:1386;s:2:\"id\";i:23529;s:5:\"title\";s:39:\"Hello Bar | Discount | Valentines Day 2\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2022/03/Valentines-Day-1-Small.jpg\";s:12:\"tmpl_created\";i:1647861064;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:141:\"https://library.elementor.com/popups/hello-bar-discount-valentines-day-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:30:\"[\"Discount\",\"Valentine\'s Day\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:103;a:19:{s:4:\"tmpl\";i:1387;s:2:\"id\";i:23536;s:5:\"title\";s:32:\"Classic | CTA | Valentines Day 3\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2022/03/Valentines-Day-3-Small.jpg\";s:12:\"tmpl_created\";i:1647861536;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/classic-cta-valentines-day-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:25:\"[\"cta\",\"Valentine\'s Day\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:104;a:19:{s:4:\"tmpl\";i:1388;s:2:\"id\";i:23586;s:5:\"title\";s:51:\"Fly-In | Subscribe | Health &#038; Wellness Company\";s:9:\"thumbnail\";s:103:\"https://library.elementor.com/wp-content/uploads/2022/03/35-Subscribe-Health-Wellness-Company-Small.jpg\";s:12:\"tmpl_created\";i:1647862008;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:146:\"https://library.elementor.com/popups/fly-in-subscribe-health-wellness-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:24:\"[\"Business\",\"Subscribe\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:105;a:19:{s:4:\"tmpl\";i:1389;s:2:\"id\";i:23592;s:5:\"title\";s:34:\"Classic | Subscribe | Tech Company\";s:9:\"thumbnail\";s:92:\"https://library.elementor.com/wp-content/uploads/2022/03/36-Subscribe-Tech-Company-Small.jpg\";s:12:\"tmpl_created\";i:1647866706;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:136:\"https://library.elementor.com/popups/classic-subscribe-tech-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:25:\"[\"Marketing\",\"Subscribe\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:106;a:19:{s:4:\"tmpl\";i:1390;s:2:\"id\";i:23598;s:5:\"title\";s:36:\"Classic | Contact Us | Fight Classes\";s:9:\"thumbnail\";s:94:\"https://library.elementor.com/wp-content/uploads/2022/03/37-Contact-Us-Fight-Classes-Small.jpg\";s:12:\"tmpl_created\";i:1647866869;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/classic-contact-us-fight-classes/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:23:\"[\"Contact\",\"Marketing\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:107;a:19:{s:4:\"tmpl\";i:1391;s:2:\"id\";i:23611;s:5:\"title\";s:31:\"Classic | CTA | Mochi Shop Sale\";s:9:\"thumbnail\";s:99:\"https://library.elementor.com/wp-content/uploads/2022/03/39-Click-Through-Mochi-Shop-Sale-Small.jpg\";s:12:\"tmpl_created\";i:1647867750;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/classic-cta-mochi-shop-sale/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:23:\"[\"cta\",\"Offer\",\"Sales\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:108;a:19:{s:4:\"tmpl\";i:1392;s:2:\"id\";i:23618;s:5:\"title\";s:28:\"Classic | CTA | Fashion Shop\";s:9:\"thumbnail\";s:96:\"https://library.elementor.com/wp-content/uploads/2022/03/40-Click-Through-Fashion-Shop-Small.jpg\";s:12:\"tmpl_created\";i:1647868251;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/popups/classic-cta-fashion-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:19:\"[\"cta\",\"Ecommerce\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:109;a:19:{s:4:\"tmpl\";i:1393;s:2:\"id\";i:23624;s:5:\"title\";s:29:\"Fly-In | Login | Tech Company\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2022/03/41-Login-Tech-Company-Small.jpg\";s:12:\"tmpl_created\";i:1647868704;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/popups/fly-in-login-tech-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:9:\"[\"Login\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:110;a:19:{s:4:\"tmpl\";i:1394;s:2:\"id\";i:23630;s:5:\"title\";s:36:\"Fly-In | Verification | Liquor Store\";s:9:\"thumbnail\";s:95:\"https://library.elementor.com/wp-content/uploads/2022/03/42-Verification-Liquor-Store-Small.jpg\";s:12:\"tmpl_created\";i:1647870308;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/fly-in-verification-liquor-store/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:16:\"[\"Verification\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:111;a:19:{s:4:\"tmpl\";i:1395;s:2:\"id\";i:23636;s:5:\"title\";s:39:\"Hello Bar | Subscribe | Online Magazine\";s:9:\"thumbnail\";s:95:\"https://library.elementor.com/wp-content/uploads/2022/03/44-Subscribe-Online-Magazine-Small.jpg\";s:12:\"tmpl_created\";i:1647870465;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:141:\"https://library.elementor.com/popups/hello-bar-subscribe-online-magazine/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:20:\"[\"Blog\",\"Subscribe\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:112;a:19:{s:4:\"tmpl\";i:1396;s:2:\"id\";i:23642;s:5:\"title\";s:27:\"Fly-In | Login | Health Spa\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/03/43-Login-Health-Spa-Small.jpg\";s:12:\"tmpl_created\";i:1647872427;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/popups/fly-in-login-health-spa/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:20:\"[\"Login\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:113;a:19:{s:4:\"tmpl\";i:1397;s:2:\"id\";i:23648;s:5:\"title\";s:33:\"Fly-In | Verification | Wine Shop\";s:9:\"thumbnail\";s:92:\"https://library.elementor.com/wp-content/uploads/2022/03/45-Verification-Wine-Shop-Small.jpg\";s:12:\"tmpl_created\";i:1647872627;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/popups/fly-in-verification-wine-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:16:\"[\"Verification\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:114;a:19:{s:4:\"tmpl\";i:1421;s:2:\"id\";i:24235;s:5:\"title\";s:24:\"Ladydog Club &#8211; NFT\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2022/05/Ladydog_Club.jpg\";s:12:\"tmpl_created\";i:1651525072;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/lp/ladydog-club-nft/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:3:\"NFT\";s:4:\"tags\";s:100:\"[\"Art\",\"Author\",\"Business\",\"Creative\",\"Design\",\"Gallery\",\"Landing Pages\",\"NFT\",\"Products\",\"Virtual\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:115;a:19:{s:4:\"tmpl\";i:1422;s:2:\"id\";i:24166;s:5:\"title\";s:15:\"Dot &#8211; NFT\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2022/05/Dot-250_280.jpg\";s:12:\"tmpl_created\";i:1651525117;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:109:\"https://library.elementor.com/lp/dot-nft/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:3:\"NFT\";s:4:\"tags\";s:100:\"[\"Art\",\"Author\",\"Business\",\"Creative\",\"Design\",\"Gallery\",\"Landing Pages\",\"NFT\",\"Products\",\"Virtual\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:116;a:19:{s:4:\"tmpl\";i:1423;s:2:\"id\";i:24191;s:5:\"title\";s:28:\"Cosmic Neighbors &#8211; NFT\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/05/Cosmic_Neighbors-250_280.jpg\";s:12:\"tmpl_created\";i:1651525124;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/lp/cosmic-neighbors-nft/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:3:\"NFT\";s:4:\"tags\";s:100:\"[\"Art\",\"Author\",\"Business\",\"Creative\",\"Design\",\"Gallery\",\"Landing Pages\",\"NFT\",\"Products\",\"Virtual\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:117;a:19:{s:4:\"tmpl\";i:1424;s:2:\"id\";i:24255;s:5:\"title\";s:30:\"Happy Food Friends &#8211; NFT\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2022/05/Featured_Image.jpg\";s:12:\"tmpl_created\";i:1651525475;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/lp/happy-food-friends-nft/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:3:\"NFT\";s:4:\"tags\";s:100:\"[\"Art\",\"Author\",\"Business\",\"Creative\",\"Design\",\"Gallery\",\"Landing Pages\",\"NFT\",\"Products\",\"Virtual\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:118;a:19:{s:4:\"tmpl\";i:1443;s:2:\"id\";i:24599;s:5:\"title\";s:27:\"Wireframe &#8211; Courses 1\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Courses-1.jpg\";s:12:\"tmpl_created\";i:1653989626;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/lp/wireframe-courses-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:9:\"Wireframe\";s:4:\"tags\";s:180:\"[\"About\",\"Academy\",\"Booking\",\"Business\",\"Course Online\",\"Features\",\"Footer\",\"Landing Pages\",\"Online Service\",\"Professional\",\"School\",\"Services\",\"Subscribe\",\"Teacher\",\"Testimonial\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:119;a:19:{s:4:\"tmpl\";i:1444;s:2:\"id\";i:24614;s:5:\"title\";s:28:\"Wireframe &#8211; Services 1\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Services-1-2.jpg\";s:12:\"tmpl_created\";i:1653990084;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/lp/wireframe-services-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"Wireframe\";s:4:\"tags\";s:139:\"[\"About\",\"Business\",\"Contact\",\"Features\",\"Footer\",\"Form\",\"Header\",\"Landing Pages\",\"Online Service\",\"Professional\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:120;a:19:{s:4:\"tmpl\";i:1445;s:2:\"id\";i:24629;s:5:\"title\";s:28:\"Wireframe &#8211; Services 2\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Services-2-2.jpg\";s:12:\"tmpl_created\";i:1653990132;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/lp/wireframe-services-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"Wireframe\";s:4:\"tags\";s:123:\"[\"About\",\"Business\",\"Contact\",\"Features\",\"Footer\",\"Form\",\"Gallery\",\"Landing Pages\",\"Professional\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:121;a:19:{s:4:\"tmpl\";i:1446;s:2:\"id\";i:24644;s:5:\"title\";s:27:\"Wireframe &#8211; Webinar 1\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Webinar-1.jpg\";s:12:\"tmpl_created\";i:1653990164;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/lp/wireframe-webinar-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"Wireframe\";s:4:\"tags\";s:177:\"[\"About\",\"Academy\",\"Booking\",\"Conference\",\"Course Online\",\"Education\",\"Features\",\"Footer\",\"Form\",\"Landing Pages\",\"Online Event\",\"Online Service\",\"Subscribe\",\"Virtual\",\"Webinar\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:122;a:19:{s:4:\"tmpl\";i:1447;s:2:\"id\";i:24655;s:5:\"title\";s:28:\"Wireframe &#8211; Services 3\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Services-3-2.jpg\";s:12:\"tmpl_created\";i:1653990198;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/lp/wireframe-services-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"Wireframe\";s:4:\"tags\";s:143:\"[\"About\",\"Agency\",\"Business\",\"Contact\",\"Footer\",\"Form\",\"Gallery\",\"Landing Pages\",\"Portfolio\",\"Professional\",\"Project\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:123;a:19:{s:4:\"tmpl\";i:1448;s:2:\"id\";i:24677;s:5:\"title\";s:28:\"Wireframe &#8211; Services 4\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Services-4.jpg\";s:12:\"tmpl_created\";i:1653990233;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/lp/wireframe-services-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"Wireframe\";s:4:\"tags\";s:102:\"[\"About\",\"Business\",\"Contact\",\"Footer\",\"Form\",\"Landing Pages\",\"Professional\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:124;a:19:{s:4:\"tmpl\";i:1449;s:2:\"id\";i:24687;s:5:\"title\";s:28:\"Wireframe &#8211; Products 1\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Products-1.jpg\";s:12:\"tmpl_created\";i:1653990273;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/lp/wireframe-products-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:9:\"Wireframe\";s:4:\"tags\";s:128:\"[\"About\",\"Booking\",\"Business\",\"Clients\",\"Ecommerce\",\"Features\",\"Footer\",\"Landing Pages\",\"Products\",\"Sales\",\"Shop\",\"Testimonial\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:125;a:19:{s:4:\"tmpl\";i:1450;s:2:\"id\";i:24706;s:5:\"title\";s:28:\"Wireframe &#8211; Services 5\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Services-5.jpg\";s:12:\"tmpl_created\";i:1653990322;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/lp/wireframe-services-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"Wireframe\";s:4:\"tags\";s:149:\"[\"About\",\"Booking\",\"Consulting\",\"Contact\",\"Doctor\",\"Footer\",\"Form\",\"Header\",\"Landing Pages\",\"Online Service\",\"Professional\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:126;a:19:{s:4:\"tmpl\";i:1451;s:2:\"id\";i:23604;s:5:\"title\";s:38:\"Classic | Subscribe | Nail Polish Shop\";s:9:\"thumbnail\";s:96:\"https://library.elementor.com/wp-content/uploads/2022/03/38-Subscribe-Nail-Polish-Shop-Small.jpg\";s:12:\"tmpl_created\";i:1660205114;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:140:\"https://library.elementor.com/popups/classic-subscribe-nail-polish-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:20:\"[\"Blog\",\"Subscribe\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:127;a:19:{s:4:\"tmpl\";i:1452;s:2:\"id\";i:23047;s:5:\"title\";s:46:\"Fly-In | Contact | Health &#038; Fitness eBook\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/fitness-ebook-small.jpg\";s:12:\"tmpl_created\";i:1660205149;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:141:\"https://library.elementor.com/popups/fly-in-contact-health-fitness-ebook/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:28:\"[\"Contact\",\"Ebook\",\"Health\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:128;a:19:{s:4:\"tmpl\";i:1199;s:2:\"id\";i:18839;s:5:\"title\";s:27:\"Hello Bar | CTA | eCommerce\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2021/05/350x250.png\";s:12:\"tmpl_created\";i:1621870603;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/popups/hello-bar-cta-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:41:\"[\"Ecommerce\",\"Online Shop\",\"Sale\",\"Shop\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:129;a:19:{s:4:\"tmpl\";i:1247;s:2:\"id\";i:21907;s:5:\"title\";s:50:\"Fly-In | Team Details  | Electronic Music Festival\";s:9:\"thumbnail\";s:104:\"https://library.elementor.com/wp-content/uploads/2022/03/Kit-8-electronic-music-festival-CTA-image-1.jpg\";s:12:\"tmpl_created\";i:1646660881;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:157:\"https://library.elementor.com/popups/fly-in-team-details-popup-electronic-music-festival/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:130;a:19:{s:4:\"tmpl\";i:1253;s:2:\"id\";i:22162;s:5:\"title\";s:46:\"Full Screen | Menu | Electronic Music Festival\";s:9:\"thumbnail\";s:90:\"https://library.elementor.com/wp-content/uploads/2022/03/8-music-festival-Team-Details.jpg\";s:12:\"tmpl_created\";i:1647272934;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:154:\"https://library.elementor.com/popups/full-screen-menu-popup-electronic-music-festival/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:21:\"[\"Fullscreen\",\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:131;a:19:{s:4:\"tmpl\";i:1254;s:2:\"id\";i:22172;s:5:\"title\";s:45:\"Classic | Discount | Health &#038; Beauty Spa\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/03/health-beauty-spa-small.jpg\";s:12:\"tmpl_created\";i:1647273547;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:146:\"https://library.elementor.com/popups/classic-discount-popup-health-beauty-spa/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:36:\"[\"Hair\",\"Health\",\"Sales\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:132;a:19:{s:4:\"tmpl\";i:1255;s:2:\"id\";i:22183;s:5:\"title\";s:44:\"Hello Bar | CTA | Environmental Organization\";s:9:\"thumbnail\";s:104:\"https://library.elementor.com/wp-content/uploads/2022/03/11-Environmental-Organization-Click-Through.jpg\";s:12:\"tmpl_created\";i:1647274384;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:152:\"https://library.elementor.com/popups/hello-bar-cta-popup-environmental-organization/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:133;a:19:{s:4:\"tmpl\";i:1256;s:2:\"id\";i:22195;s:5:\"title\";s:39:\"Classic | Discount | Italian Restaurant\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2022/03/restaurant-small.jpg\";s:12:\"tmpl_created\";i:1647329432;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:147:\"https://library.elementor.com/popups/classic-discount-popup-italian-restaurant/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:22:\"[\"Restaurant\",\"Sales\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:134;a:19:{s:4:\"tmpl\";i:1257;s:2:\"id\";i:22210;s:5:\"title\";s:45:\"Bottom Bar | Discount | Technology Conference\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/03/tech-conference-small.jpg\";s:12:\"tmpl_created\";i:1647330423;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:153:\"https://library.elementor.com/popups/bottom-bar-discount-popup-technology-conference/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:10:\"bottom bar\";s:4:\"tags\";s:38:\"[\"Conference\",\"Sales\",\"Save the Date\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:135;a:19:{s:4:\"tmpl\";i:1258;s:2:\"id\";i:22221;s:5:\"title\";s:32:\"Hello Bar | Menu | Tattoo Studio\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/03/tattoo-studio-small-1.jpg\";s:12:\"tmpl_created\";i:1647330705;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:140:\"https://library.elementor.com/popups/hello-bar-menu-popup-tattoo-studio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:17:\"[\"Header\",\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:136;a:19:{s:4:\"tmpl\";i:1259;s:2:\"id\";i:22231;s:5:\"title\";s:37:\"Full Screen | Booking | Tattoo Studio\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/tattoo-studio-small.jpg\";s:12:\"tmpl_created\";i:1647331823;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:145:\"https://library.elementor.com/popups/full-screen-booking-popup-tattoo-studio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:32:\"[\"Booking\",\"Contact\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:137;a:19:{s:4:\"tmpl\";i:1260;s:2:\"id\";i:22251;s:5:\"title\";s:34:\"Classic | Discount | Dental Clinic\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/dental-clinic-small.jpg\";s:12:\"tmpl_created\";i:1647332171;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:142:\"https://library.elementor.com/popups/classic-discount-popup-dental-clinic/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:30:\"[\"Health\",\"Marketing\",\"Sales\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:138;a:19:{s:4:\"tmpl\";i:1261;s:2:\"id\";i:22261;s:5:\"title\";s:34:\"Slide-In | Contact | Makeup Artist\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2022/03/20-Makeup-Artist-Contact-Us.jpg\";s:12:\"tmpl_created\";i:1647333946;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:142:\"https://library.elementor.com/popups/slide-in-contact-popup-makeup-artist/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:33:\"[\"Business\",\"Contact\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:139;a:19:{s:4:\"tmpl\";i:1262;s:2:\"id\";i:22271;s:5:\"title\";s:24:\"Fly-In | CTA | Headphone\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2022/03/headphones-1-small.jpg\";s:12:\"tmpl_created\";i:1647334784;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/fly-in-cta-popup-headphone/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:41:\"[\"cta\",\"Ecommerce\",\"Marketing\",\"Product\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:140;a:19:{s:4:\"tmpl\";i:1263;s:2:\"id\";i:22277;s:5:\"title\";s:29:\"Classic | CTA | Online Course\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2022/03/online-course-2.jpg\";s:12:\"tmpl_created\";i:1647337110;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:137:\"https://library.elementor.com/popups/classic-cta-popup-online-course/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:35:\"[\"Course Online\",\"cta\",\"Marketing\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:141;a:19:{s:4:\"tmpl\";i:1264;s:2:\"id\";i:22283;s:5:\"title\";s:40:\"Bottom Bar | Contact | Virtual Assistant\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/virtual-assistant-3.jpg\";s:12:\"tmpl_created\";i:1647337517;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:148:\"https://library.elementor.com/popups/bottom-bar-contact-popup-virtual-assistant/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:10:\"bottom bar\";s:4:\"tags\";s:33:\"[\"Business\",\"Contact\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:142;a:19:{s:4:\"tmpl\";i:1265;s:2:\"id\";i:22289;s:5:\"title\";s:32:\"Fly-In | Contact | Private Tutor\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2022/03/private-tutor-4.jpg\";s:12:\"tmpl_created\";i:1647337676;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:140:\"https://library.elementor.com/popups/fly-in-contact-popup-private-tutor/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:27:\"[\"Contact\",\"Course Online\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:143;a:19:{s:4:\"tmpl\";i:1266;s:2:\"id\";i:22295;s:5:\"title\";s:31:\"Classic |  Login | Login Travel\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2022/03/login-travel-6.jpg\";s:12:\"tmpl_created\";i:1647339467;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/classic-login-popup-login-travel/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:9:\"[\"Login\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:144;a:19:{s:4:\"tmpl\";i:1267;s:2:\"id\";i:22301;s:5:\"title\";s:36:\"Full Screen | Login | Login Business\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2022/03/login-business-7.jpg\";s:12:\"tmpl_created\";i:1647339782;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:144:\"https://library.elementor.com/popups/full-screen-login-popup-login-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:16:\"[\"Login\",\"SaaS\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:145;a:19:{s:4:\"tmpl\";i:1268;s:2:\"id\";i:22307;s:5:\"title\";s:28:\"Classic | Login | Login Blog\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2022/03/login-blog-8.jpg\";s:12:\"tmpl_created\";i:1647339986;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:136:\"https://library.elementor.com/popups/classic-login-popup-login-blog/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:16:\"[\"Blog\",\"Login\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:146;a:19:{s:4:\"tmpl\";i:1269;s:2:\"id\";i:22313;s:5:\"title\";s:31:\"Classic | Login | Login Fashion\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2022/03/login-fashion-9.jpg\";s:12:\"tmpl_created\";i:1647340204;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/popups/classic-login-popup-login-fashion/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:19:\"[\"Fashion\",\"Login\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:147;a:19:{s:4:\"tmpl\";i:1270;s:2:\"id\";i:22319;s:5:\"title\";s:40:\"Classic |  Login | Login Design Platform\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/03/login-design-platform-10.jpg\";s:12:\"tmpl_created\";i:1647340531;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:147:\"https://library.elementor.com/popups/classic-login-popup-login-design-platform/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:25:\"[\"Design\",\"Login\",\"SaaS\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:148;a:19:{s:4:\"tmpl\";i:1271;s:2:\"id\";i:22325;s:5:\"title\";s:36:\"Fly-In | Contact | Digital Marketing\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/digital-marketing-11.jpg\";s:12:\"tmpl_created\";i:1647340770;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:144:\"https://library.elementor.com/popups/fly-in-contact-popup-digital-marketing/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:51:\"[\"Business\",\"Contact\",\"Digital Agency\",\"Marketing\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:149;a:19:{s:4:\"tmpl\";i:1272;s:2:\"id\";i:22331;s:5:\"title\";s:36:\"Fly-In | CTA | Dog Cat Food Delivery\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/03/dog-cat-food-delivery-5.jpg\";s:12:\"tmpl_created\";i:1647341069;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:144:\"https://library.elementor.com/popups/fly-in-cta-popup-dog-cat-food-delivery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:33:\"[\"cta\",\"Delivery Service\",\"Pets\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:150;a:19:{s:4:\"tmpl\";i:1273;s:2:\"id\";i:22337;s:5:\"title\";s:37:\"Full Screen | Contact | Design Studio\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2022/03/design-studio-12.jpg\";s:12:\"tmpl_created\";i:1647341370;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:145:\"https://library.elementor.com/popups/full-screen-contact-popup-design-studio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:39:\"[\"Business\",\"Contact\",\"Digital Agency\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:151;a:19:{s:4:\"tmpl\";i:1274;s:2:\"id\";i:22343;s:5:\"title\";s:44:\"Classic | Contact | Support Product Platform\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2022/03/support-13.jpg\";s:12:\"tmpl_created\";i:1647341972;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:146:\"https://library.elementor.com/popups/classic-contact-support-product-platform/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:21:\"[\"Contact\",\"Support\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:152;a:19:{s:4:\"tmpl\";i:1275;s:2:\"id\";i:22371;s:5:\"title\";s:38:\"Full Screen | Contact | Small Business\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/small-business-14.jpg\";s:12:\"tmpl_created\";i:1647342508;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:140:\"https://library.elementor.com/popups/full-screen-contact-small-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:40:\"[\"Business\",\"Contact\",\"Interior Design\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:153;a:19:{s:4:\"tmpl\";i:1276;s:2:\"id\";i:22377;s:5:\"title\";s:31:\"Classic | Contact | Online Shop\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2022/03/online-shop-15.jpg\";s:12:\"tmpl_created\";i:1647352786;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/classic-contact-online-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:154;a:19:{s:4:\"tmpl\";i:1277;s:2:\"id\";i:22383;s:5:\"title\";s:40:\"Classic | Booking | Children Optometrist\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/03/children-optometrist-16.jpg\";s:12:\"tmpl_created\";i:1647352963;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:142:\"https://library.elementor.com/popups/classic-booking-children-optometrist/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:53:\"[\"Booking\",\"Business\",\"Contact\",\"Education\",\"Health\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:155;a:19:{s:4:\"tmpl\";i:1278;s:2:\"id\";i:22389;s:5:\"title\";s:28:\"Fly-In | Contact | Open Week\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2022/03/open-week17.jpg\";s:12:\"tmpl_created\";i:1647353281;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/popups/fly-in-contact-open-week/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:34:\"[\"Business\",\"Contact\",\"Marketing\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:156;a:19:{s:4:\"tmpl\";i:1279;s:2:\"id\";i:22397;s:5:\"title\";s:43:\"Full Screen | CTA | Plant Pots Online Store\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2022/03/plant-pots-online-store-18.jpg\";s:12:\"tmpl_created\";i:1647353429;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:145:\"https://library.elementor.com/popups/full-screen-cta-plant-pots-online-store/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:33:\"[\"Ecommerce\",\"Marketing\",\"Sales\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:157;a:19:{s:4:\"tmpl\";i:1054;s:2:\"id\";i:15414;s:5:\"title\";s:32:\"Classic | Contact | Dance Studio\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/10/PopUp.jpg\";s:12:\"tmpl_created\";i:1603180596;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/classic-contact-dance-studio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:16:\"[\"Dance Studio\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:762;s:11:\"trend_index\";i:650;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:158;a:19:{s:4:\"tmpl\";i:1398;s:2:\"id\";i:23687;s:5:\"title\";s:32:\"Pizza Promotion &#8211; Business\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2022/04/48-Pizza-Promotion.jpg\";s:12:\"tmpl_created\";i:1649670575;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/lp/pizza-promotion-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:92:\"[\"Business\",\"Cooking\",\"Delivery\",\"Discount\",\"Fast Food\",\"Food\",\"Landing Pages\",\"Restaurant\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:159;a:19:{s:4:\"tmpl\";i:1400;s:2:\"id\";i:23751;s:5:\"title\";s:33:\"Baby Sleep Webinar &#8211; Events\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/04/63-Baby-Sleep-Webinar.jpg\";s:12:\"tmpl_created\";i:1649676065;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/lp/baby-sleep-webinar-events/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"Events\";s:4:\"tags\";s:227:\"[\"Baby\",\"Booking\",\"Business\",\"Children\",\"Course Online\",\"Education\",\"Events\",\"Health\",\"Landing Pages\",\"Life Coach\",\"Lifestyle\",\"Online Event\",\"Online Service\",\"Parenting\",\"Professional\",\"Remote\",\"Services\",\"Training\",\"Webinar\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:160;a:19:{s:4:\"tmpl\";i:1401;s:2:\"id\";i:23776;s:5:\"title\";s:34:\"Ski Hotel Promotion &#8211; Travel\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2022/04/64-Ski-Hotel-Promotion.jpg\";s:12:\"tmpl_created\";i:1649691720;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/lp/ski-hotel-promotion-travel/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"Travel\";s:4:\"tags\";s:118:\"[\"Accommodation\",\"Booking\",\"Discount. Landing Pages\",\"Lifestyle\",\"Luxury\",\"Services\",\"Spa\",\"Travel\",\"Trip\",\"Vacation\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:161;a:19:{s:4:\"tmpl\";i:1402;s:2:\"id\";i:23804;s:5:\"title\";s:30:\"Cake Delivery &#8211; Business\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2022/04/67-Cake-Delivery.jpg\";s:12:\"tmpl_created\";i:1649692909;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/lp/cake-delivery-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:101:\"[\"Bakery\",\"Business\",\"Cake\",\"Cooking\",\"Delivery\",\"Discount\",\"Food\",\"Landing Pages\",\"Products\",\"Shop\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:162;a:19:{s:4:\"tmpl\";i:1403;s:2:\"id\";i:23832;s:5:\"title\";s:32:\"Furniture Store &#8211; Business\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2022/04/87-Furniture-Store.jpg\";s:12:\"tmpl_created\";i:1649694812;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/lp/furniture-store-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:232:\"[\"Architecture\",\"Art\",\"Business\",\"Construction\",\"Coupon\",\"Creative\",\"Decor\",\"Designer\",\"Discount\",\"Fashion\",\"Furniture Design\",\"Home\",\"House\",\"Interior Design\",\"Landing Pages\",\"Lifestyle\",\"Products\",\"Professional\",\"Services\",\"Shop\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:163;a:19:{s:4:\"tmpl\";i:1404;s:2:\"id\";i:23746;s:5:\"title\";s:22:\"Nails &#8211; Business\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2022/04/62-Nails-1.jpg\";s:12:\"tmpl_created\";i:1649704635;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/lp/nails-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:173:\"[\"Art\",\"Beauty\",\"Business\",\"Colorful\",\"Cosmetics\",\"Creative\",\"Design\",\"Discount\",\"Fashion\",\"Girly\",\"Landing Pages\",\"Lifestyle\",\"Manicure\",\"Modern\",\"Professional\",\"Services\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:164;a:19:{s:4:\"tmpl\";i:1405;s:2:\"id\";i:23846;s:5:\"title\";s:29:\"Music Festival &#8211; Events\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/04/88-Music-Festival.jpg\";s:12:\"tmpl_created\";i:1649707763;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/lp/music-festival-events/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:6:\"Events\";s:4:\"tags\";s:128:\"[\"Author\",\"Booking\",\"Business\",\"Creative\",\"Discount\",\"Events\",\"Landing Pages\",\"Music\",\"Online\",\"Online Event\",\"Party\",\"Virtual\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:165;a:19:{s:4:\"tmpl\";i:1406;s:2:\"id\";i:23872;s:5:\"title\";s:40:\"Fashion Styling Course &#8211; Education\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/04/89-Fashion-Styling-Course.jpg\";s:12:\"tmpl_created\";i:1649708569;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/lp/fashion-styling-course-education/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"Education\";s:4:\"tags\";s:173:\"[\"Aesthetic\",\"Art\",\"Beauty\",\"Business\",\"Course Online\",\"Creative\",\"Discount\",\"Education\",\"Fashion\",\"Landing Pages\",\"Lifestyle\",\"Online\",\"Online Service\",\"Stylist\",\"Virtual\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:166;a:19:{s:4:\"tmpl\";i:1407;s:2:\"id\";i:23897;s:5:\"title\";s:33:\"Bags Online Shop &#8211; Business\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/04/90-Bags-Online-Shop.jpg\";s:12:\"tmpl_created\";i:1649709513;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/lp/bags-online-shop-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:170:\"[\"Art\",\"Bag\",\"Business\",\"Creative\",\"Design\",\"Discount\",\"Fashion\",\"Landing Pages\",\"Lifestyle\",\"Luxury\",\"Modern\",\"Online\",\"Online Shop\",\"Products\",\"Sales\",\"Shop\",\"Stylist\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:167;a:19:{s:4:\"tmpl\";i:1408;s:2:\"id\";i:23932;s:5:\"title\";s:32:\"Cooking Academy &#8211; Business\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2022/04/91-Cooking-Academy.jpg\";s:12:\"tmpl_created\";i:1649710216;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/lp/cooking-academy-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:145:\"[\"Academy\",\"Booking\",\"Business\",\"Chef\",\"Cooking\",\"Education\",\"Food\",\"Free Trial\",\"Landing Pages\",\"Professional\",\"School\",\"Teacher\",\"Testimonial\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:168;a:19:{s:4:\"tmpl\";i:1409;s:2:\"id\";i:23970;s:5:\"title\";s:45:\"Ophthalmology Medical Clinic &#8211; Business\";s:9:\"thumbnail\";s:92:\"https://library.elementor.com/wp-content/uploads/2022/04/92-Ophthalmology-Medical-Clinic.jpg\";s:12:\"tmpl_created\";i:1649711096;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/lp/ophthalmology-medical-clinic-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:165:\"[\"About\",\"Business\",\"Care\",\"Consulting\",\"Eye\",\"Free Trial\",\"Glasses\",\"Health\",\"Landing Pages\",\"Lifestyle\",\"Medical\",\"Modern\",\"Optometrist\",\"Professional\",\"Services\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:169;a:19:{s:4:\"tmpl\";i:1425;s:2:\"id\";i:24331;s:5:\"title\";s:24:\"Wireframe &#8211; Home 1\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Home-1.jpg\";s:12:\"tmpl_created\";i:1653988363;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/wireframe-home-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:102:\"[\"Business\",\"Contact\",\"Features\",\"Footer\",\"Header\",\"Homepage\",\"Professional\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:170;a:19:{s:4:\"tmpl\";i:1218;s:2:\"id\";i:20792;s:5:\"title\";s:26:\"Luxury Car &#8211; Product\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/11/250x280-1.jpg\";s:12:\"tmpl_created\";i:1636903770;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/lp/luxury-car-product/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"Product\";s:4:\"tags\";s:54:\"[\"car\",\"Ecommerce\",\"Landing Pages\",\"Luxury\",\"Product\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:171;a:19:{s:4:\"tmpl\";i:1428;s:2:\"id\";i:24398;s:5:\"title\";s:25:\"Wireframe &#8211; About 1\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-About-1.jpg\";s:12:\"tmpl_created\";i:1653988534;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/wireframe-about-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:83:\"[\"About\",\"Business\",\"Contact\",\"Features\",\"Footer\",\"Professional\",\"Services\",\"Team\"]\";s:10:\"menu_order\";i:2;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:172;a:19:{s:4:\"tmpl\";i:991;s:2:\"id\";i:13413;s:5:\"title\";s:33:\"Classic | Contact | Online Course\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/04/PopUp-Help.jpg\";s:12:\"tmpl_created\";i:1587474761;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/popups/classic-contact-online-course/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:29:\"[\"Course Online\",\"Education\"]\";s:10:\"menu_order\";i:2;s:16:\"popularity_index\";i:530;s:11:\"trend_index\";i:369;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:173;a:19:{s:4:\"tmpl\";i:1053;s:2:\"id\";i:15272;s:5:\"title\";s:32:\"Classic | Contact | Psychologist\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/09/PopUp.png\";s:12:\"tmpl_created\";i:1600170487;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/classic-contact-psychologist/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:34:\"[\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:3;s:16:\"popularity_index\";i:578;s:11:\"trend_index\";i:312;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:174;a:19:{s:4:\"tmpl\";i:899;s:2:\"id\";i:11839;s:5:\"title\";s:9:\"Portfolio\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/09/Header_small.png\";s:12:\"tmpl_created\";i:1569430015;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/portfolio-9/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:43:\"[\"creative portfolio\",\"header\",\"portfolio\"]\";s:10:\"menu_order\";i:3;s:16:\"popularity_index\";i:189;s:11:\"trend_index\";i:20;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:175;a:19:{s:4:\"tmpl\";i:1433;s:2:\"id\";i:24477;s:5:\"title\";s:27:\"Wireframe &#8211; Gallery 2\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Gallery-2.jpg\";s:12:\"tmpl_created\";i:1653988835;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/wireframe-gallery-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:82:\"[\"Business\",\"Contact\",\"Design\",\"Footer\",\"Gallery\",\"Header\",\"Portfolio\",\"Services\"]\";s:10:\"menu_order\";i:3;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:176;a:19:{s:4:\"tmpl\";i:1205;s:2:\"id\";i:20233;s:5:\"title\";s:32:\"Art Magazine &#8211; Coming Soon\";s:9:\"thumbnail\";s:95:\"https://library.elementor.com/wp-content/uploads/2021/10/Art-Magazine-Coming-Soon-250x280-1.jpg\";s:12:\"tmpl_created\";i:1633881371;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/lp/art-magazine-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:16:\"Coming Soon Page\";s:4:\"tags\";s:48:\"[\"Art\",\"Coming Soon\",\"Landing Pages\",\"Magazine\"]\";s:10:\"menu_order\";i:3;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:177;a:19:{s:4:\"tmpl\";i:1214;s:2:\"id\";i:20539;s:5:\"title\";s:31:\"Design Blog &#8211; Coming Soon\";s:9:\"thumbnail\";s:94:\"https://library.elementor.com/wp-content/uploads/2021/10/Design-Blog-Coming-Soon-250x280-1.jpg\";s:12:\"tmpl_created\";i:1634022706;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/lp/design-blog-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:16:\"Coming Soon Page\";s:4:\"tags\";s:47:\"[\"Blog\",\"Coming Soon\",\"Design\",\"Landing Pages\"]\";s:10:\"menu_order\";i:4;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:178;a:19:{s:4:\"tmpl\";i:1224;s:2:\"id\";i:21013;s:5:\"title\";s:24:\"Restaurant &#8211; About\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2021/12/7-About-Restaurant.jpg\";s:12:\"tmpl_created\";i:1638795588;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/restaurant-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:36:\"[\"About\",\"Chef\",\"Food\",\"Restaurant\"]\";s:10:\"menu_order\";i:4;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:179;a:19:{s:4:\"tmpl\";i:992;s:2:\"id\";i:13402;s:5:\"title\";s:29:\"Classic | CTA | Online Course\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2020/04/Popup-Course-Completed.jpg\";s:12:\"tmpl_created\";i:1587474772;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/popups/classic-cta-online-course/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:29:\"[\"Course Online\",\"Education\"]\";s:10:\"menu_order\";i:4;s:16:\"popularity_index\";i:619;s:11:\"trend_index\";i:582;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:180;a:19:{s:4:\"tmpl\";i:1206;s:2:\"id\";i:20254;s:5:\"title\";s:41:\"Digital Marketing Agency &#8211; Business\";s:9:\"thumbnail\";s:95:\"https://library.elementor.com/wp-content/uploads/2021/10/Digital-Marketing-Agency-250x280-1.jpg\";s:12:\"tmpl_created\";i:1633882427;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/lp/digital-marketing-agency-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:65:\"[\"Agency\",\"Business\",\"Digital Agency\",\"Landing Pages\",\"Services\"]\";s:10:\"menu_order\";i:5;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:181;a:19:{s:4:\"tmpl\";i:1235;s:2:\"id\";i:21281;s:5:\"title\";s:25:\"Law Firm &#8211; Services\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2021/12/16-Services-Law-firm.jpg\";s:12:\"tmpl_created\";i:1638819128;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/law-firm-services-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:56:\"[\"Consulting\",\"Law\",\"Law Firm\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:5;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:182;a:19:{s:4:\"tmpl\";i:1017;s:2:\"id\";i:14111;s:5:\"title\";s:36:\"Classic | Japanese restaurant | Sale\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2020/06/Pop-Up-Page-Small.jpg\";s:12:\"tmpl_created\";i:1592300400;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/classic-japanese-restaurant-sale/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:32:\"[\"Food\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:5;s:16:\"popularity_index\";i:717;s:11:\"trend_index\";i:697;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:183;a:19:{s:4:\"tmpl\";i:1213;s:2:\"id\";i:20509;s:5:\"title\";s:40:\"Dogs Adoption &#8211; Social Involvement\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2021/10/Dog-Adoption-250x280-1.jpg\";s:12:\"tmpl_created\";i:1634022353;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/lp/dogs-adoption-social-involvement/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:18:\"Social Involvement\";s:4:\"tags\";s:49:\"[\"Adoption\",\"Involvement\",\"Landing Pages\",\"Pets\"]\";s:10:\"menu_order\";i:6;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:184;a:19:{s:4:\"tmpl\";i:1233;s:2:\"id\";i:21205;s:5:\"title\";s:29:\"Photographer &#8211; Projects\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2021/12/25-Projects-Photographer.jpg\";s:12:\"tmpl_created\";i:1638818372;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/photographer-projects/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:43:\"[\"Black and white\",\"Photography\",\"Project\"]\";s:10:\"menu_order\";i:6;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:185;a:19:{s:4:\"tmpl\";i:993;s:2:\"id\";i:13422;s:5:\"title\";s:30:\"Classic | Menu | Online Course\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/04/PopUp-Menu.jpg\";s:12:\"tmpl_created\";i:1587474782;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/classic-menu-online-course/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:29:\"[\"Course Online\",\"Education\"]\";s:10:\"menu_order\";i:6;s:16:\"popularity_index\";i:516;s:11:\"trend_index\";i:432;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:186;a:19:{s:4:\"tmpl\";i:925;s:2:\"id\";i:12540;s:5:\"title\";s:33:\"Classic | Menu | Travel and tours\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/12/PopUp_Menu_s.png\";s:12:\"tmpl_created\";i:1575960267;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/popups/classic-menu-travel-and-tours/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:7;s:16:\"popularity_index\";i:690;s:11:\"trend_index\";i:714;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:187;a:19:{s:4:\"tmpl\";i:1208;s:2:\"id\";i:20361;s:5:\"title\";s:51:\"Exercise &#038; Fitness Equipment &#8211; eCommerce\";s:9:\"thumbnail\";s:97:\"https://library.elementor.com/wp-content/uploads/2021/10/Exercise-Fitness-Equipment-250x280-1.jpg\";s:12:\"tmpl_created\";i:1633883766;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/lp/exercise-fitness-equipment-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:50:\"[\"Fitness\",\"Health\",\"Landing Pages\",\"Online Shop\"]\";s:10:\"menu_order\";i:7;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:188;a:19:{s:4:\"tmpl\";i:1239;s:2:\"id\";i:21373;s:5:\"title\";s:28:\"Photographer &#8211; Gallery\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2021/12/18-Gallery-Photographer.jpg\";s:12:\"tmpl_created\";i:1638821177;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/photographer-gallery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:56:\"[\"Gallery\",\"Photography\",\"Portfolio\",\"Project\",\"Travel\"]\";s:10:\"menu_order\";i:7;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:189;a:19:{s:4:\"tmpl\";i:1426;s:2:\"id\";i:24348;s:5:\"title\";s:24:\"Wireframe &#8211; Home 2\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Home-2.jpg\";s:12:\"tmpl_created\";i:1653988444;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/wireframe-home-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:102:\"[\"Business\",\"Contact\",\"Features\",\"Footer\",\"Header\",\"Homepage\",\"Professional\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:8;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:190;a:19:{s:4:\"tmpl\";i:958;s:2:\"id\";i:13129;s:5:\"title\";s:28:\"Classic | Menu | Photography\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/02/PopUp_s.png\";s:12:\"tmpl_created\";i:1582092645;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/popups/classic-menu-photography/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:8;s:16:\"popularity_index\";i:646;s:11:\"trend_index\";i:521;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:191;a:19:{s:4:\"tmpl\";i:1427;s:2:\"id\";i:24366;s:5:\"title\";s:24:\"Wireframe &#8211; Home 3\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Home-3.jpg\";s:12:\"tmpl_created\";i:1653988491;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/wireframe-home-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:102:\"[\"Business\",\"Contact\",\"Features\",\"Footer\",\"Header\",\"Homepage\",\"Professional\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:9;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:192;a:19:{s:4:\"tmpl\";i:1207;s:2:\"id\";i:20299;s:5:\"title\";s:51:\"Interior Design Consultation &#8211; Online Service\";s:9:\"thumbnail\";s:99:\"https://library.elementor.com/wp-content/uploads/2021/10/Interior-Design-Consultation-250x280-1.jpg\";s:12:\"tmpl_created\";i:1633882989;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:145:\"https://library.elementor.com/lp/interior-design-consultation-online-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:14:\"Online Service\";s:4:\"tags\";s:65:\"[\"Consulting\",\"Interior Design\",\"Landing Pages\",\"Online Service\"]\";s:10:\"menu_order\";i:9;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:193;a:19:{s:4:\"tmpl\";i:952;s:2:\"id\";i:12726;s:5:\"title\";s:52:\"Classic | Newsletter | Subscribe | Magazine and Blog\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2020/01/PopUp_Newsletter_s.png\";s:12:\"tmpl_created\";i:1579061019;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:152:\"https://library.elementor.com/popups/classic-newsletter-subscribe-magazine-and-blog/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:9;s:16:\"popularity_index\";i:357;s:11:\"trend_index\";i:281;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:194;a:19:{s:4:\"tmpl\";i:883;s:2:\"id\";i:11468;s:5:\"title\";s:20:\"Classic | Sale | Gym\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/08/PopUp_Small.png\";s:12:\"tmpl_created\";i:1567393182;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/popups/classic-sale-gym/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:10;s:16:\"popularity_index\";i:696;s:11:\"trend_index\";i:740;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:195;a:19:{s:4:\"tmpl\";i:1216;s:2:\"id\";i:20623;s:5:\"title\";s:57:\"Luxurious Camping Accommodation For Events &#8211; Events\";s:9:\"thumbnail\";s:113:\"https://library.elementor.com/wp-content/uploads/2021/10/Luxurious-Camping-Accommodation-For-Events-250x280-2.jpg\";s:12:\"tmpl_created\";i:1634041681;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:151:\"https://library.elementor.com/lp/luxurious-camping-accommodation-for-events-events/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"Events\";s:4:\"tags\";s:43:\"[\"Event\",\"Events\",\"Landing Pages\",\"Travel\"]\";s:10:\"menu_order\";i:10;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:196;a:19:{s:4:\"tmpl\";i:1219;s:2:\"id\";i:20886;s:5:\"title\";s:28:\"Online Training &#8211; Home\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2021/12/2-Home-Online-Training.jpg\";s:12:\"tmpl_created\";i:1638784769;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/online-training-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:39:\"[\"Fitness\",\"Online\",\"Sport\",\"Training\"]\";s:10:\"menu_order\";i:10;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:197;a:19:{s:4:\"tmpl\";i:1065;s:2:\"id\";i:15570;s:5:\"title\";s:33:\"Classic | Subscribe | Travel Blog\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/11/PopUp.jpg\";s:12:\"tmpl_created\";i:1606215555;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/popups/classic-subscribe-travel-blog/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:17:\"[\"Blog\",\"Travel\"]\";s:10:\"menu_order\";i:11;s:16:\"popularity_index\";i:709;s:11:\"trend_index\";i:459;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:198;a:19:{s:4:\"tmpl\";i:1431;s:2:\"id\";i:24437;s:5:\"title\";s:25:\"Wireframe &#8211; About 4\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-About-4.jpg\";s:12:\"tmpl_created\";i:1653988733;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/wireframe-about-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:74:\"[\"About\",\"Business\",\"Contact\",\"Features\",\"Footer\",\"Header\",\"Professional\"]\";s:10:\"menu_order\";i:11;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:199;a:19:{s:4:\"tmpl\";i:1210;s:2:\"id\";i:20414;s:5:\"title\";s:45:\"Online English Courses &#8211; Online Service\";s:9:\"thumbnail\";s:93:\"https://library.elementor.com/wp-content/uploads/2021/10/Online-English-Courses-250x280-1.jpg\";s:12:\"tmpl_created\";i:1633884482;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/lp/online-english-courses-online-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:14:\"Online Service\";s:4:\"tags\";s:50:\"[\"Course Online\",\"Landing Pages\",\"Online Service\"]\";s:10:\"menu_order\";i:11;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:200;a:19:{s:4:\"tmpl\";i:1132;s:2:\"id\";i:16553;s:5:\"title\";s:31:\"Fly-In | Contact | Beauty Salon\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/12/PopUp.jpg\";s:12:\"tmpl_created\";i:1608622602;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/fly-in-contact-beauty-salon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:23:\"[\"Beauty Salon\",\"Hair\"]\";s:10:\"menu_order\";i:12;s:16:\"popularity_index\";i:691;s:11:\"trend_index\";i:428;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:201;a:19:{s:4:\"tmpl\";i:1441;s:2:\"id\";i:24574;s:5:\"title\";s:27:\"Wireframe &#8211; Contact 5\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Contact-5.jpg\";s:12:\"tmpl_created\";i:1653989135;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/wireframe-contact-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:88:\"[\"Business\",\"Contact\",\"Footer\",\"Form\",\"Google Maps\",\"Header\",\"Professional\",\"Subscribe\"]\";s:10:\"menu_order\";i:12;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:202;a:19:{s:4:\"tmpl\";i:1217;s:2:\"id\";i:20333;s:5:\"title\";s:40:\"Plant Pots Online Shop &#8211; eCommerce\";s:9:\"thumbnail\";s:93:\"https://library.elementor.com/wp-content/uploads/2021/10/Plant-Pots-Online-Shop-250x280-2.jpg\";s:12:\"tmpl_created\";i:1634042184;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/lp/plant-pots-online-shop-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:50:\"[\"Ecommerce\",\"Landing Pages\",\"Online Shop\",\"Shop\"]\";s:10:\"menu_order\";i:12;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:203;a:19:{s:4:\"tmpl\";i:1211;s:2:\"id\";i:20447;s:5:\"title\";s:33:\"Shared Workspace &#8211; Business\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2021/10/250x280-Shared-Workspace.jpg\";s:12:\"tmpl_created\";i:1633884934;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/lp/shared-workspace-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:28:\"[\"Business\",\"Landing Pages\"]\";s:10:\"menu_order\";i:13;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:204;a:19:{s:4:\"tmpl\";i:1237;s:2:\"id\";i:21313;s:5:\"title\";s:34:\"Spa &#038; Beauty &#8211; Services\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2021/12/Spa-Beauty-Treatments-page-1.jpg\";s:12:\"tmpl_created\";i:1638819709;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/spa-beauty-services/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:55:\"[\"Beauty\",\"Hair\",\"Health\",\"Services\",\"Spa\",\"Treatment\"]\";s:10:\"menu_order\";i:13;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:205;a:19:{s:4:\"tmpl\";i:1004;s:2:\"id\";i:13538;s:5:\"title\";s:32:\"Fly-In | Newsletter | Barbershop\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2020/05/Pop-Up-Page-Small.jpg\";s:12:\"tmpl_created\";i:1589893364;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/fly-in-newsletter-barbershop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:28:\"[\"Barber Shop\",\"Barbershop\"]\";s:10:\"menu_order\";i:13;s:16:\"popularity_index\";i:710;s:11:\"trend_index\";i:667;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:206;a:19:{s:4:\"tmpl\";i:924;s:2:\"id\";i:12550;s:5:\"title\";s:32:\"Fly-in | Sale | Travel and Tours\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2019/12/PopUp_s.png\";s:12:\"tmpl_created\";i:1575960263;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/flyin-sale-travel-and-tours/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:14;s:16:\"popularity_index\";i:754;s:11:\"trend_index\";i:791;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:207;a:19:{s:4:\"tmpl\";i:1212;s:2:\"id\";i:20479;s:5:\"title\";s:49:\"Teeth Straightening &#8211; Health &#038; Fitness\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2021/10/250x280-Teeth-Whitening.jpg\";s:12:\"tmpl_created\";i:1633886115;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:136:\"https://library.elementor.com/lp/teeth-straightening-health-fitness/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:18:\"Health and Fitness\";s:4:\"tags\";s:46:\"[\"Business\",\"Dental\",\"Health\",\"Landing Pages\"]\";s:10:\"menu_order\";i:14;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:208;a:19:{s:4:\"tmpl\";i:1234;s:2:\"id\";i:21234;s:5:\"title\";s:34:\"Insurance Company &#8211; Services\";s:9:\"thumbnail\";s:90:\"https://library.elementor.com/wp-content/uploads/2021/12/15-Services-Insurance-Company.jpg\";s:12:\"tmpl_created\";i:1638818688;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/insurance-company-services/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:51:\"[\"Faq\",\"Form\",\"Insurance\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:14;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:209;a:19:{s:4:\"tmpl\";i:1035;s:2:\"id\";i:15062;s:5:\"title\";s:35:\"Fly-In | Sign up | Flooring Company\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/08/PopUp.png\";s:12:\"tmpl_created\";i:1597739629;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:137:\"https://library.elementor.com/popups/fly-in-sign-up-flooring-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:39:\"[\"Flooring company\",\"Flooring website\"]\";s:10:\"menu_order\";i:15;s:16:\"popularity_index\";i:625;s:11:\"trend_index\";i:309;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:210;a:19:{s:4:\"tmpl\";i:1209;s:2:\"id\";i:20394;s:5:\"title\";s:30:\"Time Management &#8211; Events\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2021/10/Time-Management-250x280-1.jpg\";s:12:\"tmpl_created\";i:1633884077;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/lp/time-management-events/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"Events\";s:4:\"tags\";s:17:\"[\"Landing Pages\"]\";s:10:\"menu_order\";i:15;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:211;a:19:{s:4:\"tmpl\";i:1229;s:2:\"id\";i:21118;s:5:\"title\";s:28:\"Contact &#8211; Plants Store\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2021/12/12-Contact-Plants-Store.jpg\";s:12:\"tmpl_created\";i:1638802472;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/contact-plants-store/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:40:\"[\"Contact\",\"Info\",\"Plant\",\"Testimonial\"]\";s:10:\"menu_order\";i:15;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:212;a:19:{s:4:\"tmpl\";i:893;s:2:\"id\";i:11822;s:5:\"title\";s:30:\"Full Screen | Menu | Portfolio\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/09/PopUp_small.png\";s:12:\"tmpl_created\";i:1569429896;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/full-screen-menu-portfolio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:16;s:16:\"popularity_index\";i:654;s:11:\"trend_index\";i:626;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:213;a:19:{s:4:\"tmpl\";i:1203;s:2:\"id\";i:18591;s:5:\"title\";s:28:\"Coffee Sale &#8211; Business\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/04/250x280-7.png\";s:12:\"tmpl_created\";i:1633877319;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/lp/coffee-sale-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:33:\"[\"Coffee\",\"Landing Pages\",\"Sale\"]\";s:10:\"menu_order\";i:16;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:214;a:19:{s:4:\"tmpl\";i:1231;s:2:\"id\";i:21184;s:5:\"title\";s:28:\"Dental Care &#8211; Services\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2021/12/14-Services-Dental-Care.jpg\";s:12:\"tmpl_created\";i:1638807148;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/dental-care-services/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:45:\"[\"Dental\",\"Medical\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:16;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:215;a:19:{s:4:\"tmpl\";i:1064;s:2:\"id\";i:15580;s:5:\"title\";s:31:\"Fullscreen | Menu | Travel Blog\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/11/PopUp-Menu.jpg\";s:12:\"tmpl_created\";i:1606215358;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/fullscreen-menu-travel-blog/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:17:\"[\"Blog\",\"Travel\"]\";s:10:\"menu_order\";i:17;s:16:\"popularity_index\";i:673;s:11:\"trend_index\";i:348;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:216;a:19:{s:4:\"tmpl\";i:1133;s:2:\"id\";i:16645;s:5:\"title\";s:28:\"Headphones &#8211; eCommerce\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2021/01/lp_headphones.png\";s:12:\"tmpl_created\";i:1609944115;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/lp/commerce-headphones/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:39:\"[\"Ecommerce\",\"Landing Pages\",\"Product\"]\";s:10:\"menu_order\";i:17;s:16:\"popularity_index\";i:633;s:11:\"trend_index\";i:87;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:217;a:19:{s:4:\"tmpl\";i:1442;s:2:\"id\";i:24584;s:5:\"title\";s:27:\"Wireframe &#8211; Pricing 1\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Pricing-1.jpg\";s:12:\"tmpl_created\";i:1653989152;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/wireframe-pricing-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:146:\"[\"Booking\",\"Business\",\"Clients\",\"Contact\",\"Faq\",\"Features\",\"Footer\",\"Online Service\",\"Pricing\",\"Products\",\"Professional\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:17;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:218;a:19:{s:4:\"tmpl\";i:1138;s:2:\"id\";i:16762;s:5:\"title\";s:25:\"Conference &#8211; Events\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2021/01/Conference.png\";s:12:\"tmpl_created\";i:1610455119;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/lp/conference-events/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:6:\"Events\";s:4:\"tags\";s:60:\"[\"Conference\",\"Convention\",\"Event\",\"Events\",\"Landing Pages\"]\";s:10:\"menu_order\";i:18;s:16:\"popularity_index\";i:705;s:11:\"trend_index\";i:216;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:219;a:19:{s:4:\"tmpl\";i:1438;s:2:\"id\";i:24539;s:5:\"title\";s:27:\"Wireframe &#8211; Contact 2\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Contact-2.jpg\";s:12:\"tmpl_created\";i:1653989019;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/wireframe-contact-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:69:\"[\"Business\",\"Contact\",\"Footer\",\"Google Maps\",\"Header\",\"Professional\"]\";s:10:\"menu_order\";i:18;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:220;a:19:{s:4:\"tmpl\";i:981;s:2:\"id\";i:13281;s:5:\"title\";s:37:\"Hello Bar | Contact | Interior Design\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/04/PopUp.png\";s:12:\"tmpl_created\";i:1586148801;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/popups/hello-bar-contact-interior-design/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:19:\"[\"Interior Design\"]\";s:10:\"menu_order\";i:18;s:16:\"popularity_index\";i:763;s:11:\"trend_index\";i:679;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:221;a:19:{s:4:\"tmpl\";i:1052;s:2:\"id\";i:15259;s:5:\"title\";s:31:\"Hello Bar | Menu | Psychologist\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/09/Menu-PopUp.png\";s:12:\"tmpl_created\";i:1600170209;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/hello-bar-menu-psychologist/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:34:\"[\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:19;s:16:\"popularity_index\";i:739;s:11:\"trend_index\";i:583;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:222;a:19:{s:4:\"tmpl\";i:1434;s:2:\"id\";i:24494;s:5:\"title\";s:28:\"Wireframe &#8211; Services 1\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Services-1.jpg\";s:12:\"tmpl_created\";i:1653988874;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/wireframe-services-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:53:\"[\"Business\",\"Faq\",\"Footer\",\"Professional\",\"Services\"]\";s:10:\"menu_order\";i:19;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:223;a:19:{s:4:\"tmpl\";i:1194;s:2:\"id\";i:18701;s:5:\"title\";s:32:\"Digital Course &#8211; eCommerce\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2021/04/250x280.jpg\";s:12:\"tmpl_created\";i:1618995134;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/lp/digital-course-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:57:\"[\"Course Online\",\"Ecommerce\",\"Landing Pages\",\"Marketing\"]\";s:10:\"menu_order\";i:19;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:224;a:19:{s:4:\"tmpl\";i:1192;s:2:\"id\";i:18612;s:5:\"title\";s:34:\"Bag Product Sale &#8211; eCommerce\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Bag-Product.jpeg\";s:12:\"tmpl_created\";i:1618395406;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/lp/bag-product-sale-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:61:\"[\"Bag\",\"Ecommerce\",\"Landing Pages\",\"Product\",\"Sale\",\"Travel\"]\";s:10:\"menu_order\";i:20;s:16:\"popularity_index\";i:875;s:11:\"trend_index\";i:605;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:225;a:19:{s:4:\"tmpl\";i:1227;s:2:\"id\";i:21083;s:5:\"title\";s:26:\"Conference &#8211; Contact\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2021/12/10-Contact-Conference.jpg\";s:12:\"tmpl_created\";i:1638799208;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/conference-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:44:\"[\"Conference\",\"Contact\",\"Form\",\"Info\",\"Map\"]\";s:10:\"menu_order\";i:20;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:226;a:19:{s:4:\"tmpl\";i:1193;s:2:\"id\";i:18644;s:5:\"title\";s:37:\"Camera Product Sale &#8211; eCommerce\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2021/04/camera_sale_featured-img.jpg\";s:12:\"tmpl_created\";i:1618396388;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/lp/camera-product-sale-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:59:\"[\"Camera\",\"Ecommerce\",\"Landing Pages\",\"Photography\",\"Sale\"]\";s:10:\"menu_order\";i:21;s:16:\"popularity_index\";i:873;s:11:\"trend_index\";i:535;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:227;a:19:{s:4:\"tmpl\";i:951;s:2:\"id\";i:12736;s:5:\"title\";s:41:\"Slide In | Contact Us | Magazine and Blog\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2020/01/PopUp_contact_s.png\";s:12:\"tmpl_created\";i:1579060978;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/popups/slide-in-contact-us/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:21;s:16:\"popularity_index\";i:734;s:11:\"trend_index\";i:686;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:228;a:19:{s:4:\"tmpl\";i:1222;s:2:\"id\";i:20960;s:5:\"title\";s:26:\"Travel Agency &#8211; Home\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2021/12/5-Home-Travel-Agency.jpg\";s:12:\"tmpl_created\";i:1638788432;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/travel-agency-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:53:\"[\"Adventures\",\"Experience\",\"Explore\",\"Travel\",\"Trip\"]\";s:10:\"menu_order\";i:21;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:229;a:19:{s:4:\"tmpl\";i:1196;s:2:\"id\";i:18815;s:5:\"title\";s:25:\"Car Wash &#8211; Business\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2021/05/Library-Pic-Car-Wash.png\";s:12:\"tmpl_created\";i:1621336431;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/lp/car-wash-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:45:\"[\"Business\",\"car\",\"Discount\",\"Landing Pages\"]\";s:10:\"menu_order\";i:22;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:230;a:19:{s:4:\"tmpl\";i:1242;s:2:\"id\";i:21473;s:5:\"title\";s:40:\"Architecture Photography &#8211; Gallery\";s:9:\"thumbnail\";s:96:\"https://library.elementor.com/wp-content/uploads/2021/12/20-Gallery-Architecture-Photography.jpg\";s:12:\"tmpl_created\";i:1638822115;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/architecture-photography-gallery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:52:\"[\"Architecture\",\"Gallery\",\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:22;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:231;a:19:{s:4:\"tmpl\";i:1015;s:2:\"id\";i:14067;s:5:\"title\";s:37:\"Slide In | Japanese restaurant | Menu\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2020/06/Menu-Pop-Up-Small.jpg\";s:12:\"tmpl_created\";i:1592290352;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/popups/slide-in-japanese-restaurant-menu/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:32:\"[\"Food\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:22;s:16:\"popularity_index\";i:650;s:11:\"trend_index\";i:565;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:232;a:19:{s:4:\"tmpl\";i:923;s:2:\"id\";i:12229;s:5:\"title\";s:33:\"Slide In | Law Firm | Information\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2019/11/popup.png\";s:12:\"tmpl_created\";i:1572847842;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/popups/slide-in-law-firm-information/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:23;s:16:\"popularity_index\";i:547;s:11:\"trend_index\";i:413;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:233;a:19:{s:4:\"tmpl\";i:1198;s:2:\"id\";i:18824;s:5:\"title\";s:33:\"Design School &#8211; Coming Soon\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/05/250x280-1.png\";s:12:\"tmpl_created\";i:1621336756;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/lp/design-school-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:16:\"Coming Soon Page\";s:4:\"tags\";s:49:\"[\"Coming Soon\",\"Design\",\"Landing Pages\",\"School\"]\";s:10:\"menu_order\";i:23;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:234;a:19:{s:4:\"tmpl\";i:1236;s:2:\"id\";i:21259;s:5:\"title\";s:28:\"3D Designer &#8211; Projects\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2021/12/24-Projects-3D-Designer.jpg\";s:12:\"tmpl_created\";i:1638819185;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/3d-designer-projects/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:69:\"[\"3D\",\"Creative Portfolio\",\"Design\",\"Designer\",\"Portfolio\",\"Project\"]\";s:10:\"menu_order\";i:23;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:235;a:19:{s:4:\"tmpl\";i:1028;s:2:\"id\";i:14827;s:5:\"title\";s:39:\"Slide-In | Contact | Luxury Real Estate\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/07/PopUp.png\";s:12:\"tmpl_created\";i:1595323523;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:141:\"https://library.elementor.com/popups/slide-in-contact-luxury-real-estate/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:28:\"[\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:24;s:16:\"popularity_index\";i:559;s:11:\"trend_index\";i:284;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:236;a:19:{s:4:\"tmpl\";i:1197;s:2:\"id\";i:18819;s:5:\"title\";s:27:\"Dog Walker &#8211; Business\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2021/05/Library-Pic-Dog-Walker.png\";s:12:\"tmpl_created\";i:1621336601;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/lp/dog-walker-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:41:\"[\"Business\",\"Dog\",\"Landing Pages\",\"Pets\"]\";s:10:\"menu_order\";i:24;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:237;a:19:{s:4:\"tmpl\";i:1238;s:2:\"id\";i:21349;s:5:\"title\";s:29:\"Architecture &#8211; Projects\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2021/12/23-Projects-Architecture.jpg\";s:12:\"tmpl_created\";i:1638820870;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/architecture-projects/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:70:\"[\"Architecture\",\"Creative\",\"Creative Portfolio\",\"Portfolio\",\"Project\"]\";s:10:\"menu_order\";i:24;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:238;a:19:{s:4:\"tmpl\";i:1034;s:2:\"id\";i:15075;s:5:\"title\";s:34:\"Slide-In | Menu | Flooring Company\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/08/PopUp-1.png\";s:12:\"tmpl_created\";i:1597739605;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:136:\"https://library.elementor.com/popups/slide-in-menu-flooring-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:39:\"[\"Flooring company\",\"Flooring website\"]\";s:10:\"menu_order\";i:25;s:16:\"popularity_index\";i:383;s:11:\"trend_index\";i:162;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:239;a:19:{s:4:\"tmpl\";i:1414;s:2:\"id\";i:24079;s:5:\"title\";s:32:\"Fashion Shop &#8211; Coming Soon\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/04/Coming-Soon-Fashion-Shop.jpg\";s:12:\"tmpl_created\";i:1650988089;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/fashion-shop-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:88:\"[\"Aesthetic\",\"Business\",\"Coming Soon\",\"Ecommerce\",\"Girly\",\"Lifestyle\",\"Products\",\"Shop\"]\";s:10:\"menu_order\";i:25;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:240;a:19:{s:4:\"tmpl\";i:1195;s:2:\"id\";i:18761;s:5:\"title\";s:33:\"Fashion Store &#8211; Coming Soon\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2021/05/Library-Pic-Fashion-Store.png\";s:12:\"tmpl_created\";i:1621336146;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/lp/fashion-store-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:16:\"Coming Soon Page\";s:4:\"tags\";s:56:\"[\"Coming Soon\",\"Fashion\",\"Landing Pages\",\"Shop\",\"store\"]\";s:10:\"menu_order\";i:25;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:241;a:19:{s:4:\"tmpl\";i:1153;s:2:\"id\";i:17060;s:5:\"title\";s:36:\"Private Tutor &#8211; Online Service\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2021/01/Online-Tutor-2.png\";s:12:\"tmpl_created\";i:1610631042;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/lp/private-tutor-online-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:14:\"Online Service\";s:4:\"tags\";s:64:\"[\"Education\",\"Landing Pages\",\"Online Service\",\"Teacher\",\"Tutor\"]\";s:10:\"menu_order\";i:26;s:16:\"popularity_index\";i:780;s:11:\"trend_index\";i:628;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:242;a:19:{s:4:\"tmpl\";i:1430;s:2:\"id\";i:24434;s:5:\"title\";s:25:\"Wireframe &#8211; About 3\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-About-3.jpg\";s:12:\"tmpl_created\";i:1653988697;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/wireframe-about-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:76:\"[\"About\",\"Business\",\"Contact\",\"Faq\",\"Footer\",\"Header\",\"Professional\",\"Team\"]\";s:10:\"menu_order\";i:26;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:243;a:19:{s:4:\"tmpl\";i:1158;s:2:\"id\";i:17232;s:5:\"title\";s:33:\"Life Coach &#8211; Online Service\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2021/01/Life-Coach.png\";s:12:\"tmpl_created\";i:1610902793;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/lp/life-coach-online-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:14:\"Online Service\";s:4:\"tags\";s:38:\"[\"Coach\",\"Landing Pages\",\"Life Coach\"]\";s:10:\"menu_order\";i:27;s:16:\"popularity_index\";i:787;s:11:\"trend_index\";i:751;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:244;a:19:{s:4:\"tmpl\";i:1436;s:2:\"id\";i:24515;s:5:\"title\";s:28:\"Wireframe &#8211; Services 3\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Services-3.jpg\";s:12:\"tmpl_created\";i:1653988946;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/wireframe-services-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:66:\"[\"Business\",\"Contact\",\"Footer\",\"Header\",\"Professional\",\"Services\"]\";s:10:\"menu_order\";i:27;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:245;a:19:{s:4:\"tmpl\";i:875;s:2:\"id\";i:11241;s:5:\"title\";s:36:\"Classic | Digital Agency | Marketing\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/07/PopUp_small.jpg\";s:12:\"tmpl_created\";i:1564643043;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/classic-digital-agency-marketing/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:28;s:16:\"popularity_index\";i:362;s:11:\"trend_index\";i:315;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:246;a:19:{s:4:\"tmpl\";i:1146;s:2:\"id\";i:16932;s:5:\"title\";s:35:\"Finance Consulting &#8211; Business\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2021/01/Finance-Consulting.png\";s:12:\"tmpl_created\";i:1610532170;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/lp/finance-consulting-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:80:\"[\"Advisor\",\"Business\",\"Consulting\",\"Finance\",\"Investment\",\"Landing Pages\",\"Tax\"]\";s:10:\"menu_order\";i:28;s:16:\"popularity_index\";i:790;s:11:\"trend_index\";i:630;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:247;a:19:{s:4:\"tmpl\";i:1429;s:2:\"id\";i:24421;s:5:\"title\";s:25:\"Wireframe &#8211; About 2\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-About-2.jpg\";s:12:\"tmpl_created\";i:1653988579;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/wireframe-about-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:87:\"[\"About\",\"Business\",\"Contact\",\"Faq\",\"Features\",\"Footer\",\"Header\",\"Professional\",\"Team\"]\";s:10:\"menu_order\";i:28;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:248;a:19:{s:4:\"tmpl\";i:674;s:2:\"id\";i:8505;s:5:\"title\";s:11:\"404 page 01\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/001.jpg\";s:12:\"tmpl_created\";i:1526415501;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/404-page-01/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:28;s:16:\"popularity_index\";i:533;s:11:\"trend_index\";i:222;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:249;a:19:{s:4:\"tmpl\";i:1136;s:2:\"id\";i:16721;s:5:\"title\";s:35:\"Dental &#8211; Health &amp; Fitness\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2021/01/Dental.jpg\";s:12:\"tmpl_created\";i:1610448567;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/lp/dental-health-fitness/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:18:\"Health and Fitness\";s:4:\"tags\";s:44:\"[\"Dental\",\"Doctor\",\"Health\",\"Landing Pages\"]\";s:10:\"menu_order\";i:29;s:16:\"popularity_index\";i:801;s:11:\"trend_index\";i:655;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:250;a:19:{s:4:\"tmpl\";i:1417;s:2:\"id\";i:24116;s:5:\"title\";s:32:\"Tech Company &#8211; Coming Soon\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/04/Coming-Soon-Tech-Company.jpg\";s:12:\"tmpl_created\";i:1650989265;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/tech-company-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:87:\"[\"Business\",\"Coding\",\"Coming Soon\",\"Computer\",\"Developer\",\"IT\",\"Services\",\"Technology\"]\";s:10:\"menu_order\";i:29;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:251;a:19:{s:4:\"tmpl\";i:675;s:2:\"id\";i:8511;s:5:\"title\";s:11:\"404 page 02\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/002.jpg\";s:12:\"tmpl_created\";i:1526415528;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/404-page-02/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:29;s:16:\"popularity_index\";i:347;s:11:\"trend_index\";i:155;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:252;a:19:{s:4:\"tmpl\";i:1161;s:2:\"id\";i:17269;s:5:\"title\";s:34:\"Electronics Sale &#8211; eCommerce\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2021/01/Electronic-Products.png\";s:12:\"tmpl_created\";i:1610903298;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/lp/electronics-sale-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:29:\"[\"Ecommerce\",\"Landing Pages\"]\";s:10:\"menu_order\";i:30;s:16:\"popularity_index\";i:800;s:11:\"trend_index\";i:556;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:253;a:19:{s:4:\"tmpl\";i:1220;s:2:\"id\";i:20908;s:5:\"title\";s:42:\"Packing &#038; Moving Company &#8211; Home\";s:9:\"thumbnail\";s:90:\"https://library.elementor.com/wp-content/uploads/2021/12/3-Home-Packing-Moving-Company.jpg\";s:12:\"tmpl_created\";i:1638786127;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/packing-moving-company-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:28:\"[\"Movers\",\"Moving\",\"Storge\"]\";s:10:\"menu_order\";i:30;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:254;a:19:{s:4:\"tmpl\";i:1152;s:2:\"id\";i:17032;s:5:\"title\";s:42:\"Donate Computer &#8211; Social Involvement\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2021/01/Donation-2.png\";s:12:\"tmpl_created\";i:1610630585;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:136:\"https://library.elementor.com/lp/donate-computer-social-involvement/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:18:\"Social Involvement\";s:4:\"tags\";s:67:\"[\"Computer\",\"Donate\",\"Donation\",\"Kids\",\"Landing Pages\",\"Nonprofit\"]\";s:10:\"menu_order\";i:31;s:16:\"popularity_index\";i:718;s:11:\"trend_index\";i:278;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:255;a:19:{s:4:\"tmpl\";i:672;s:2:\"id\";i:8512;s:5:\"title\";s:11:\"404 page 03\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/003.jpg\";s:12:\"tmpl_created\";i:1526415449;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/404-page-03/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:31;s:16:\"popularity_index\";i:450;s:11:\"trend_index\";i:375;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:256;a:19:{s:4:\"tmpl\";i:1245;s:2:\"id\";i:21546;s:5:\"title\";s:28:\"Interior Design &#8211; Home\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2021/12/1-Home-Interior-Design-1.jpg\";s:12:\"tmpl_created\";i:1639046269;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/interior-design-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:68:\"[\"Design\",\"Form\",\"Furniture Design\",\"Interior Design\",\"Testimonial\"]\";s:10:\"menu_order\";i:31;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:257;a:19:{s:4:\"tmpl\";i:1135;s:2:\"id\";i:16684;s:5:\"title\";s:34:\"SaaS HR Management &#8211; Product\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2021/01/lp_hr.png\";s:12:\"tmpl_created\";i:1609945486;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/lp/saas-hr-management-product/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:7:\"Product\";s:4:\"tags\";s:39:\"[\"HR\",\"Landing Pages\",\"Product\",\"SaaS\"]\";s:10:\"menu_order\";i:32;s:16:\"popularity_index\";i:708;s:11:\"trend_index\";i:292;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:258;a:19:{s:4:\"tmpl\";i:671;s:2:\"id\";i:8513;s:5:\"title\";s:11:\"404 page 04\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/004.jpg\";s:12:\"tmpl_created\";i:1526415417;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/404-page-04/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:32;s:16:\"popularity_index\";i:420;s:11:\"trend_index\";i:176;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:259;a:19:{s:4:\"tmpl\";i:1249;s:2:\"id\";i:22137;s:5:\"title\";s:31:\"Design Blog &#8211; Coming Soon\";s:9:\"thumbnail\";s:94:\"https://library.elementor.com/wp-content/uploads/2021/10/Design-Blog-Coming-Soon-250x280-1.jpg\";s:12:\"tmpl_created\";i:1647177194;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/design-blog-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:47:\"[\"Blog\",\"Coming Soon\",\"Design\",\"Landing Pages\"]\";s:10:\"menu_order\";i:32;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:260;a:19:{s:4:\"tmpl\";i:1134;s:2:\"id\";i:16660;s:5:\"title\";s:37:\"Medical center &#8211; Online service\";s:9:\"thumbnail\";s:95:\"https://library.elementor.com/wp-content/uploads/2021/01/Online-medical-cosultation-250_280.png\";s:12:\"tmpl_created\";i:1609945122;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/lp/medical-center-online-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"Online Service\";s:4:\"tags\";s:44:\"[\"Landing Pages\",\"Medical\",\"Online Service\"]\";s:10:\"menu_order\";i:33;s:16:\"popularity_index\";i:750;s:11:\"trend_index\";i:332;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:261;a:19:{s:4:\"tmpl\";i:1226;s:2:\"id\";i:21069;s:5:\"title\";s:21:\"Hotel &#8211; Contact\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2021/12/9-Contact-Hotel.jpg\";s:12:\"tmpl_created\";i:1638798545;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/hotel-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:36:\"[\"Contact\",\"from\",\"Info\",\"Vacation\"]\";s:10:\"menu_order\";i:33;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:262;a:19:{s:4:\"tmpl\";i:1150;s:2:\"id\";i:17001;s:5:\"title\";s:36:\"Parental Counseling &#8211; Business\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2021/01/Parenting-Coach-2.png\";s:12:\"tmpl_created\";i:1610534999;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/lp/parental-counseling-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:99:\"[\"Advisor\",\"Business\",\"Coach\",\"Counseling\",\"Landing Pages\",\"Online Service\",\"Parental\",\"Parenting\"]\";s:10:\"menu_order\";i:34;s:16:\"popularity_index\";i:817;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:263;a:19:{s:4:\"tmpl\";i:1432;s:2:\"id\";i:24461;s:5:\"title\";s:27:\"Wireframe &#8211; Gallery 1\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Gallery-1.jpg\";s:12:\"tmpl_created\";i:1653988784;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/wireframe-gallery-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:82:\"[\"Business\",\"Contact\",\"Design\",\"Footer\",\"Gallery\",\"Header\",\"Portfolio\",\"Services\"]\";s:10:\"menu_order\";i:34;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:264;a:19:{s:4:\"tmpl\";i:676;s:2:\"id\";i:8514;s:5:\"title\";s:11:\"404 Page 05\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/005.jpg\";s:12:\"tmpl_created\";i:1526415558;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/404-page-05/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:34;s:16:\"popularity_index\";i:419;s:11:\"trend_index\";i:220;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:265;a:19:{s:4:\"tmpl\";i:1137;s:2:\"id\";i:16742;s:5:\"title\";s:31:\"Online Course &#8211; Education\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2021/01/Online-Course.png\";s:12:\"tmpl_created\";i:1610454122;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/lp/online-course-education/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"Education\";s:4:\"tags\";s:55:\"[\"Academy\",\"Course Online\",\"Education\",\"Landing Pages\"]\";s:10:\"menu_order\";i:35;s:16:\"popularity_index\";i:777;s:11:\"trend_index\";i:776;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:266;a:19:{s:4:\"tmpl\";i:668;s:2:\"id\";i:8523;s:5:\"title\";s:11:\"404 page 06\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/006.jpg\";s:12:\"tmpl_created\";i:1526415291;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/404-page-06/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:35;s:16:\"popularity_index\";i:298;s:11:\"trend_index\";i:268;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:267;a:19:{s:4:\"tmpl\";i:1440;s:2:\"id\";i:24563;s:5:\"title\";s:27:\"Wireframe &#8211; Contact 4\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Contact-4.jpg\";s:12:\"tmpl_created\";i:1653989095;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/wireframe-contact-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:84:\"[\"Business\",\"Contact\",\"Footer\",\"Form\",\"Gallery\",\"Header\",\"Professional\",\"Subscribe\"]\";s:10:\"menu_order\";i:35;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:268;a:19:{s:4:\"tmpl\";i:1162;s:2:\"id\";i:17284;s:5:\"title\";s:38:\"Dietitian &#8211; Health &amp; Fitness\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/01/Dietitian.png\";s:12:\"tmpl_created\";i:1610903484;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/lp/dietitian-health-fitness/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:18:\"Health and Fitness\";s:4:\"tags\";s:39:\"[\"Fitness\",\"Health\",\"landscape design\"]\";s:10:\"menu_order\";i:36;s:16:\"popularity_index\";i:814;s:11:\"trend_index\";i:800;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:269;a:19:{s:4:\"tmpl\";i:1439;s:2:\"id\";i:24553;s:5:\"title\";s:27:\"Wireframe &#8211; Contact 3\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Contact-3.jpg\";s:12:\"tmpl_created\";i:1653989057;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/wireframe-contact-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:67:\"[\"Business\",\"Contact\",\"Footer\",\"Form\",\"Professional\",\"Testimonial\"]\";s:10:\"menu_order\";i:36;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:270;a:19:{s:4:\"tmpl\";i:1144;s:2:\"id\";i:16897;s:5:\"title\";s:30:\"Personal Chef &#8211; Business\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2021/01/Personal-Chef.png\";s:12:\"tmpl_created\";i:1610466247;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/lp/personal-chef-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:53:\"[\"Business\",\"Chef\",\"Food\",\"Landing Pages\",\"Services\"]\";s:10:\"menu_order\";i:37;s:16:\"popularity_index\";i:795;s:11:\"trend_index\";i:617;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:271;a:19:{s:4:\"tmpl\";i:1435;s:2:\"id\";i:24504;s:5:\"title\";s:28:\"Wireframe &#8211; Services 2\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Services-2.jpg\";s:12:\"tmpl_created\";i:1653988910;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/wireframe-services-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:80:\"[\"Business\",\"Contact\",\"Footer\",\"Header\",\"Professional\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:37;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:272;a:19:{s:4:\"tmpl\";i:669;s:2:\"id\";i:8524;s:5:\"title\";s:11:\"404 page 07\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/007.jpg\";s:12:\"tmpl_created\";i:1526415337;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/404-page-07/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:37;s:16:\"popularity_index\";i:303;s:11:\"trend_index\";i:171;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:273;a:19:{s:4:\"tmpl\";i:1147;s:2:\"id\";i:16946;s:5:\"title\";s:52:\"Online Full-Stack Developer Course &#8211; Education\";s:9:\"thumbnail\";s:95:\"https://library.elementor.com/wp-content/uploads/2021/01/Online-Full-Stack-Developer-Course.png\";s:12:\"tmpl_created\";i:1610532778;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:146:\"https://library.elementor.com/lp/online-full-stack-developer-course-education/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"Education\";s:4:\"tags\";s:76:\"[\"Academy\",\"Coding\",\"Course Online\",\"Developer\",\"Education\",\"Landing Pages\"]\";s:10:\"menu_order\";i:38;s:16:\"popularity_index\";i:805;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:274;a:19:{s:4:\"tmpl\";i:1437;s:2:\"id\";i:24528;s:5:\"title\";s:27:\"Wireframe &#8211; Contact 1\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Contact-1.jpg\";s:12:\"tmpl_created\";i:1653988981;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/wireframe-contact-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:76:\"[\"Business\",\"Contact\",\"Footer\",\"Form\",\"Google Maps\",\"Header\",\"Professional\"]\";s:10:\"menu_order\";i:38;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:275;a:19:{s:4:\"tmpl\";i:1143;s:2:\"id\";i:16868;s:5:\"title\";s:40:\"Virtual Assistant &#8211; Online Service\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2021/01/Virtual-Assistant-250x280-1.png\";s:12:\"tmpl_created\";i:1610465656;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/lp/virtual-assistant-online-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:14:\"Online Service\";s:4:\"tags\";s:46:\"[\"Assistant\",\"Landing Pages\",\"Online Service\"]\";s:10:\"menu_order\";i:39;s:16:\"popularity_index\";i:793;s:11:\"trend_index\";i:757;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:276;a:19:{s:4:\"tmpl\";i:673;s:2:\"id\";i:8526;s:5:\"title\";s:11:\"404 page 09\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/009.jpg\";s:12:\"tmpl_created\";i:1526415474;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/404-page-09/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:39;s:16:\"popularity_index\";i:477;s:11:\"trend_index\";i:285;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:277;a:19:{s:4:\"tmpl\";i:1228;s:2:\"id\";i:21104;s:5:\"title\";s:26:\"Restaurant &#8211; Contact\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2021/12/11-Contact-Restaurant.jpg\";s:12:\"tmpl_created\";i:1638800146;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/restaurant-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:60:\"[\"Contact\",\"Food\",\"Form\",\"Google Maps\",\"Info\",\"Testimonial\"]\";s:10:\"menu_order\";i:39;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:278;a:19:{s:4:\"tmpl\";i:1140;s:2:\"id\";i:16812;s:5:\"title\";s:40:\"Construction Project &#8211; Real Estate\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2021/01/Construction-Project.png\";s:12:\"tmpl_created\";i:1610463582;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/lp/construction-project-real-estate/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"Real Estate\";s:4:\"tags\";s:59:\"[\"Construction\",\"Landing Pages\",\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:40;s:16:\"popularity_index\";i:796;s:11:\"trend_index\";i:724;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:279;a:19:{s:4:\"tmpl\";i:1244;s:2:\"id\";i:21393;s:5:\"title\";s:34:\"Interior Designer &#8211; Projects\";s:9:\"thumbnail\";s:99:\"https://library.elementor.com/wp-content/uploads/2021/12/big-22-Projects-Interior-Designer-New.jpeg\";s:12:\"tmpl_created\";i:1638823945;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/interior-designer-projects/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:93:\"[\"Creative\",\"Creative Portfolio\",\"Design\",\"Designer\",\"Interior Design\",\"Portfolio\",\"Project\"]\";s:10:\"menu_order\";i:40;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:280;a:19:{s:4:\"tmpl\";i:1148;s:2:\"id\";i:16960;s:5:\"title\";s:44:\"Dog &amp; Cat Food Delivery &#8211; Business\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2021/01/Dog-Food.png\";s:12:\"tmpl_created\";i:1610533581;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/lp/dog-cat-food-delivery-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:71:\"[\"Business\",\"Cat\",\"Delivery\",\"Dog\",\"Food\",\"Landing Pages\",\"Pet\",\"Pets\"]\";s:10:\"menu_order\";i:41;s:16:\"popularity_index\";i:782;s:11:\"trend_index\";i:510;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:281;a:19:{s:4:\"tmpl\";i:670;s:2:\"id\";i:8525;s:5:\"title\";s:11:\"404 page 08\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/008.jpg\";s:12:\"tmpl_created\";i:1526415374;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/404-page-08/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:41;s:16:\"popularity_index\";i:510;s:11:\"trend_index\";i:575;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:282;a:19:{s:4:\"tmpl\";i:1251;s:2:\"id\";i:22143;s:5:\"title\";s:33:\"Fashion Store &#8211; Coming Soon\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2021/05/Library-Pic-Fashion-Store.png\";s:12:\"tmpl_created\";i:1647177389;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/fashion-store-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:56:\"[\"Coming Soon\",\"Fashion\",\"Landing Pages\",\"Shop\",\"store\"]\";s:10:\"menu_order\";i:41;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:283;a:19:{s:4:\"tmpl\";i:1155;s:2:\"id\";i:17095;s:5:\"title\";s:36:\"Mobile Pet Grooming &#8211; Business\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2021/01/Mobile-Pet-Grooming.png\";s:12:\"tmpl_created\";i:1610632115;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/lp/mobile-pet-grooming-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:38:\"[\"Dog\",\"Groom\",\"Landing Pages\",\"Pets\"]\";s:10:\"menu_order\";i:42;s:16:\"popularity_index\";i:786;s:11:\"trend_index\";i:731;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:284;a:19:{s:4:\"tmpl\";i:1241;s:2:\"id\";i:21451;s:5:\"title\";s:26:\"Exhibition &#8211; Gallery\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2021/12/21-Gallery-Exhibition.jpg\";s:12:\"tmpl_created\";i:1638821855;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/exhibition-gallery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:74:\"[\"Art\",\"Creative\",\"Creative Portfolio\",\"Exhibition\",\"Gallery\",\"Portfolio\"]\";s:10:\"menu_order\";i:42;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:285;a:19:{s:4:\"tmpl\";i:502;s:2:\"id\";i:5438;s:5:\"title\";s:7:\"About 1\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_4.png\";s:12:\"tmpl_created\";i:1520443512;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/about-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:42;s:16:\"popularity_index\";i:147;s:11:\"trend_index\";i:9;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:286;a:19:{s:4:\"tmpl\";i:1159;s:2:\"id\";i:17245;s:5:\"title\";s:34:\"Marketing Course &#8211; Education\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2021/01/PPC.png\";s:12:\"tmpl_created\";i:1610902958;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/lp/marketing-course-education/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:9:\"Education\";s:4:\"tags\";s:45:\"[\"Course Online\",\"Landing Pages\",\"Marketing\"]\";s:10:\"menu_order\";i:43;s:16:\"popularity_index\";i:770;s:11:\"trend_index\";i:430;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:287;a:19:{s:4:\"tmpl\";i:1240;s:2:\"id\";i:21430;s:5:\"title\";s:30:\"Travel Blogger &#8211; Gallery\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2021/12/19-Gallery-Travel-Blogger.jpg\";s:12:\"tmpl_created\";i:1638821592;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/travel-blogger-gallery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:43:\"[\"Gallery\",\"Photography\",\"Slider\",\"Travel\"]\";s:10:\"menu_order\";i:43;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:288;a:19:{s:4:\"tmpl\";i:1149;s:2:\"id\";i:16983;s:5:\"title\";s:41:\"Pilates Instructor &#8211; Online Service\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2021/01/Pilates-Instructor.png\";s:12:\"tmpl_created\";i:1610534138;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/lp/pilates-instructor-online-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"Online Service\";s:4:\"tags\";s:70:\"[\"Free Trial\",\"Instructor\",\"Landing Pages\",\"Online Service\",\"Pilates\"]\";s:10:\"menu_order\";i:44;s:16:\"popularity_index\";i:778;s:11:\"trend_index\";i:412;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:289;a:19:{s:4:\"tmpl\";i:1416;s:2:\"id\";i:24104;s:5:\"title\";s:33:\"Ceramics Shop &#8211; Coming Soon\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/04/Coming-Soon-Ceramics-Shop.jpg\";s:12:\"tmpl_created\";i:1650988949;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/ceramics-shop-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:115:\"[\"Art\",\"Business\",\"Coming Soon\",\"Creative\",\"Decor\",\"Design\",\"Furniture Design\",\"Interior Design\",\"Products\",\"Shop\"]\";s:10:\"menu_order\";i:44;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:290;a:19:{s:4:\"tmpl\";i:557;s:2:\"id\";i:6135;s:5:\"title\";s:8:\"About 10\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_2.png\";s:12:\"tmpl_created\";i:1520443663;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:45;s:16:\"popularity_index\";i:77;s:11:\"trend_index\";i:47;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:291;a:19:{s:4:\"tmpl\";i:1412;s:2:\"id\";i:24033;s:5:\"title\";s:37:\"Dance Studio &#8211; Maintenance Mode\";s:9:\"thumbnail\";s:90:\"https://library.elementor.com/wp-content/uploads/2022/04/Maintenance-Mode-Dance-Studio.jpg\";s:12:\"tmpl_created\";i:1649881344;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/dance-studio-maintenance-mode/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:113:\"[\"Academy\",\"Business\",\"Dance Studio\",\"Form\",\"Pilates\",\"School\",\"Sport\",\"Teacher\",\"Training\",\"Under Construction\"]\";s:10:\"menu_order\";i:45;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:292;a:19:{s:4:\"tmpl\";i:1190;s:2:\"id\";i:18568;s:5:\"title\";s:32:\"Flower Delivery &#8211; Business\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2021/04/Flower-Delivery.png\";s:12:\"tmpl_created\";i:1617546716;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/lp/flower-delivery-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:37:\"[\"Delivery\",\"Flower\",\"Landing Pages\"]\";s:10:\"menu_order\";i:45;s:16:\"popularity_index\";i:874;s:11:\"trend_index\";i:763;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:293;a:19:{s:4:\"tmpl\";i:1145;s:2:\"id\";i:16917;s:5:\"title\";s:22:\"Webinar &#8211; Events\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2021/01/Webinar-Library-Pic.jpg\";s:12:\"tmpl_created\";i:1610466822;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/lp/webinar-events/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"Events\";s:4:\"tags\";s:36:\"[\"Events\",\"Landing Pages\",\"Webinar\"]\";s:10:\"menu_order\";i:46;s:16:\"popularity_index\";i:821;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:294;a:19:{s:4:\"tmpl\";i:1413;s:2:\"id\";i:24049;s:5:\"title\";s:33:\"ECO Shop &#8211; Maintenance Mode\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/04/Maintenance-Mode-ECO-Shop.jpg\";s:12:\"tmpl_created\";i:1649882053;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/eco-shop-maintenance-mode/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:110:\"[\"Aesthetic\",\"Business\",\"Creative\",\"Decor\",\"Health\",\"Help\",\"Lifestyle\",\"Products\",\"Shop\",\"Under Construction\"]\";s:10:\"menu_order\";i:46;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:295;a:19:{s:4:\"tmpl\";i:497;s:2:\"id\";i:5397;s:5:\"title\";s:8:\"About 11\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_1.png\";s:12:\"tmpl_created\";i:1520443503;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:46;s:16:\"popularity_index\";i:148;s:11:\"trend_index\";i:43;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:296;a:19:{s:4:\"tmpl\";i:1154;s:2:\"id\";i:17079;s:5:\"title\";s:42:\"Calls Volunteer &#8211; Social Involvement\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2021/01/Calls-Volunteer.png\";s:12:\"tmpl_created\";i:1610631774;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:136:\"https://library.elementor.com/lp/calls-volunteer-social-involvement/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:18:\"Social Involvement\";s:4:\"tags\";s:68:\"[\"Care\",\"Covid-19\",\"Help\",\"Involvement\",\"Landing Pages\",\"Volunteer\"]\";s:10:\"menu_order\";i:47;s:16:\"popularity_index\";i:854;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:297;a:19:{s:4:\"tmpl\";i:1419;s:2:\"id\";i:24136;s:5:\"title\";s:29:\"Food Blog &#8211; Coming Soon\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/04/Coming-Soon-Food-Blog.jpg\";s:12:\"tmpl_created\";i:1650990034;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/food-blog-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:62:\"[\"Blog\",\"Business\",\"Coming Soon\",\"Cooking\",\"Education\",\"Food\"]\";s:10:\"menu_order\";i:47;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:298;a:19:{s:4:\"tmpl\";i:1142;s:2:\"id\";i:16836;s:5:\"title\";s:33:\"Marketing Agency &#8211; Business\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2021/01/Marketing-Agency-Library-Pic.jpg\";s:12:\"tmpl_created\";i:1610464490;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/lp/marketing-agency-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:74:\"[\"Agency\",\"Business\",\"Landing Pages\",\"Marketing\",\"Marketing Landing Page\"]\";s:10:\"menu_order\";i:48;s:16:\"popularity_index\";i:816;s:11:\"trend_index\";i:787;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:299;a:19:{s:4:\"tmpl\";i:1411;s:2:\"id\";i:24020;s:5:\"title\";s:35:\"Mobile App &#8211; Maintenance Mode\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2022/04/Maintenance-Mode-Mobile-App.jpg\";s:12:\"tmpl_created\";i:1649880955;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/mobile-app-maintenance-mode/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:77:\"[\"App\",\"Business\",\"Coding\",\"Computer\",\"Launch\",\"Mobile\",\"Under Construction\"]\";s:10:\"menu_order\";i:48;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:300;a:19:{s:4:\"tmpl\";i:498;s:2:\"id\";i:5405;s:5:\"title\";s:8:\"About 12\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_1.png\";s:12:\"tmpl_created\";i:1520443505;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-12/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:48;s:16:\"popularity_index\";i:216;s:11:\"trend_index\";i:50;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:301;a:19:{s:4:\"tmpl\";i:1139;s:2:\"id\";i:16785;s:5:\"title\";s:42:\"Gym Promotion &#8211; Health &amp; Fitness\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2021/01/Gym-LP.jpg\";s:12:\"tmpl_created\";i:1610455496;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/lp/gym-promotion-health-fitness/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:18:\"Health and Fitness\";s:4:\"tags\";s:42:\"[\"Fitness\",\"Gym\",\"Health\",\"Landing Pages\"]\";s:10:\"menu_order\";i:49;s:16:\"popularity_index\";i:820;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:302;a:19:{s:4:\"tmpl\";i:1420;s:2:\"id\";i:24152;s:5:\"title\";s:32:\"Perfume Shop &#8211; Coming Soon\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/04/Coming-Soon-Perfume-Shop.jpg\";s:12:\"tmpl_created\";i:1650990353;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/perfume-shop-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:68:\"[\"Business\",\"Coming Soon\",\"Cosmetics\",\"Lifestyle\",\"Products\",\"Shop\"]\";s:10:\"menu_order\";i:49;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:303;a:19:{s:4:\"tmpl\";i:1185;s:2:\"id\";i:18492;s:5:\"title\";s:34:\"Bicycle Pre-Sale &#8211; eCommerce\";s:9:\"thumbnail\";s:90:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Bike-Landing-Page.png\";s:12:\"tmpl_created\";i:1617535552;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/lp/bicycle-pre-sale-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:34:\"[\"Bicycle\",\"Landing Pages\",\"Sale\"]\";s:10:\"menu_order\";i:50;s:16:\"popularity_index\";i:871;s:11:\"trend_index\";i:826;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:304;a:19:{s:4:\"tmpl\";i:1418;s:2:\"id\";i:24126;s:5:\"title\";s:28:\"Skincare &#8211; Coming Soon\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/04/Coming-Soon-Skincare.jpg\";s:12:\"tmpl_created\";i:1650989585;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/skincare-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:128:\"[\"Aesthetic\",\"Beauty\",\"Beauty Salon\",\"Business\",\"Coming Soon\",\"Cosmetics\",\"Girly\",\"Lifestyle\",\"Services\",\"Skincare\",\"Treatment\"]\";s:10:\"menu_order\";i:51;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:305;a:19:{s:4:\"tmpl\";i:1181;s:2:\"id\";i:18349;s:5:\"title\";s:39:\"Virtual try-on glasses &#8211; Business\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/03/250x280-8.png\";s:12:\"tmpl_created\";i:1614772569;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/lp/virtual-try-on-glasses-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:64:\"[\"Fashion\",\"Glasses\",\"Landing Pages\",\"Online Service\",\"Virtual\"]\";s:10:\"menu_order\";i:51;s:16:\"popularity_index\";i:848;s:11:\"trend_index\";i:803;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:306;a:19:{s:4:\"tmpl\";i:500;s:2:\"id\";i:5421;s:5:\"title\";s:8:\"About 13\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_3.png\";s:12:\"tmpl_created\";i:1520443509;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:51;s:16:\"popularity_index\";i:215;s:11:\"trend_index\";i:77;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:307;a:19:{s:4:\"tmpl\";i:513;s:2:\"id\";i:5533;s:5:\"title\";s:8:\"About 15\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_10.png\";s:12:\"tmpl_created\";i:1520443534;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-15/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:52;s:16:\"popularity_index\";i:21;s:11:\"trend_index\";i:57;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:308;a:19:{s:4:\"tmpl\";i:1410;s:2:\"id\";i:24004;s:5:\"title\";s:33:\"Skincare &#8211; Maintenance Mode\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/04/Maintenance-Mode-Skincare.jpg\";s:12:\"tmpl_created\";i:1649880534;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/skincare-maintenance-mode/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:144:\"[\"Aesthetic\",\"Beauty\",\"Beauty Salon\",\"Business\",\"Cosmetics\",\"Girly\",\"Lifestyle\",\"Makeup\",\"Services\",\"Skincare\",\"Treatment\",\"Under Construction\"]\";s:10:\"menu_order\";i:52;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:309;a:19:{s:4:\"tmpl\";i:1172;s:2:\"id\";i:17458;s:5:\"title\";s:31:\"Moving Company &#8211; Business\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2021/02/Library-Pic-Moving-Company.png\";s:12:\"tmpl_created\";i:1612727025;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/lp/moving-company-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:46:\"[\"Business\",\"Landing Pages\",\"Movers\",\"Moving\"]\";s:10:\"menu_order\";i:52;s:16:\"popularity_index\";i:826;s:11:\"trend_index\";i:767;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:310;a:19:{s:4:\"tmpl\";i:1415;s:2:\"id\";i:24092;s:5:\"title\";s:29:\"Vase Shop &#8211; Coming Soon\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/04/Coming-Soon-Vase-Shop.jpg\";s:12:\"tmpl_created\";i:1650988613;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/vase-shop-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:115:\"[\"Art\",\"Business\",\"Coming Soon\",\"Creative\",\"Decor\",\"Design\",\"Furniture Design\",\"Interior Design\",\"Products\",\"Shop\"]\";s:10:\"menu_order\";i:53;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:311;a:19:{s:4:\"tmpl\";i:1186;s:2:\"id\";i:18517;s:5:\"title\";s:29:\"Food Blog &#8211; Coming Soon\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Food-Blog.png\";s:12:\"tmpl_created\";i:1617539897;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/lp/food-blog-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:16:\"Coming Soon Page\";s:4:\"tags\";s:45:\"[\"Blog\",\"Coming Soon\",\"Food\",\"Landing Pages\"]\";s:10:\"menu_order\";i:53;s:16:\"popularity_index\";i:844;s:11:\"trend_index\";i:672;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:312;a:19:{s:4:\"tmpl\";i:1167;s:2:\"id\";i:17379;s:5:\"title\";s:33:\"IT Service &#8211; Online Service\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2021/02/Library-Pic-IT-Service.png\";s:12:\"tmpl_created\";i:1612713022;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/lp/it-service-online-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:14:\"Online Service\";s:4:\"tags\";s:41:\"[\"IT\",\"Landing Pages\",\"Remote\",\"Support\"]\";s:10:\"menu_order\";i:54;s:16:\"popularity_index\";i:806;s:11:\"trend_index\";i:634;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:313;a:19:{s:4:\"tmpl\";i:1248;s:2:\"id\";i:22134;s:5:\"title\";s:32:\"Art Magazine &#8211; Coming Soon\";s:9:\"thumbnail\";s:95:\"https://library.elementor.com/wp-content/uploads/2021/10/Art-Magazine-Coming-Soon-250x280-1.jpg\";s:12:\"tmpl_created\";i:1647176713;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/art-magazine-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:48:\"[\"Art\",\"Coming Soon\",\"Landing Pages\",\"Magazine\"]\";s:10:\"menu_order\";i:54;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:314;a:19:{s:4:\"tmpl\";i:512;s:2:\"id\";i:5525;s:5:\"title\";s:8:\"About 14\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_10.png\";s:12:\"tmpl_created\";i:1520443532;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-14/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:55;s:16:\"popularity_index\";i:9;s:11:\"trend_index\";i:29;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:315;a:19:{s:4:\"tmpl\";i:1189;s:2:\"id\";i:18560;s:5:\"title\";s:52:\"Finance Learning Platform &#8211; Under Construction\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Finance-Platform.png\";s:12:\"tmpl_created\";i:1617542761;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:146:\"https://library.elementor.com/lp/finance-learning-platform-under-construction/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:18:\"Under Construction\";s:4:\"tags\";s:27:\"[\"Finance\",\"Landing Pages\"]\";s:10:\"menu_order\";i:55;s:16:\"popularity_index\";i:843;s:11:\"trend_index\";i:561;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:316;a:19:{s:4:\"tmpl\";i:1225;s:2:\"id\";i:21041;s:5:\"title\";s:41:\"Business Consulting Company &#8211; About\";s:9:\"thumbnail\";s:96:\"https://library.elementor.com/wp-content/uploads/2021/12/8-About-Business-Consulting-Company.jpg\";s:12:\"tmpl_created\";i:1638797560;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/business-consulting-company-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:51:\"[\"Coach\",\"Collaboration\",\"Consulting\",\"Life Coach\"]\";s:10:\"menu_order\";i:55;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:317;a:19:{s:4:\"tmpl\";i:1187;s:2:\"id\";i:18528;s:5:\"title\";s:36:\"Home Decor Store &#8211; Coming Soon\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Home-Decore.png\";s:12:\"tmpl_created\";i:1617541784;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/lp/home-decor-store-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:16:\"Coming Soon Page\";s:4:\"tags\";s:57:\"[\"Coming Soon\",\"Decor\",\"Interior Design\",\"Landing Pages\"]\";s:10:\"menu_order\";i:56;s:16:\"popularity_index\";i:872;s:11:\"trend_index\";i:819;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:318;a:19:{s:4:\"tmpl\";i:1243;s:2:\"id\";i:21135;s:5:\"title\";s:28:\"Construction &#8211; Service\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2021/12/13-Service-Construction.jpg\";s:12:\"tmpl_created\";i:1638823202;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/construction-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:48:\"[\"Architecture\",\"Construction\",\"Faq\",\"Services\"]\";s:10:\"menu_order\";i:56;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:319;a:19:{s:4:\"tmpl\";i:501;s:2:\"id\";i:5429;s:5:\"title\";s:8:\"About 16\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_4.png\";s:12:\"tmpl_created\";i:1520443510;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-16/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:56;s:16:\"popularity_index\";i:59;s:11:\"trend_index\";i:8;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:320;a:19:{s:4:\"tmpl\";i:1174;s:2:\"id\";i:17504;s:5:\"title\";s:29:\"Hair Stylist &#8211; Business\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/02/250x280-3.png\";s:12:\"tmpl_created\";i:1612883014;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/lp/hair-stylist-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:59:\"[\"Business\",\"Hair\",\"hairdresser\",\"Landing Pages\",\"Stylist\"]\";s:10:\"menu_order\";i:57;s:16:\"popularity_index\";i:840;s:11:\"trend_index\";i:806;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:321;a:19:{s:4:\"tmpl\";i:1223;s:2:\"id\";i:20981;s:5:\"title\";s:37:\"Creative Digital Agency &#8211; About\";s:9:\"thumbnail\";s:92:\"https://library.elementor.com/wp-content/uploads/2021/12/6-About-Creative-Digital-Agency.jpg\";s:12:\"tmpl_created\";i:1638789303;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/creative-digital-agency-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:51:\"[\"About\",\"Advisor\",\"Creative\",\"Creative Portfolio\"]\";s:10:\"menu_order\";i:57;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:322;a:19:{s:4:\"tmpl\";i:1184;s:2:\"id\";i:18449;s:5:\"title\";s:45:\"Aesthetic Clinic &#8211; Health &amp; Fitness\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2021/03/Aesthetic-Clinic.png\";s:12:\"tmpl_created\";i:1616682181;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/lp/aesthetic-clinic-health-fitness/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:18:\"Health and Fitness\";s:4:\"tags\";s:57:\"[\"Aesthetic\",\"Beauty\",\"Fitness\",\"Health\",\"Landing Pages\"]\";s:10:\"menu_order\";i:58;s:16:\"popularity_index\";i:859;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:323;a:19:{s:4:\"tmpl\";i:1221;s:2:\"id\";i:20926;s:5:\"title\";s:33:\"Doctors Online Consultation -Home\";s:9:\"thumbnail\";s:95:\"https://library.elementor.com/wp-content/uploads/2021/12/4-Home-Doctors-Online-Consultation.jpg\";s:12:\"tmpl_created\";i:1638787371;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/doctors-online-consultation-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:35:\"[\"App\",\"Health\",\"Medical\",\"Online\"]\";s:10:\"menu_order\";i:58;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:324;a:19:{s:4:\"tmpl\";i:505;s:2:\"id\";i:5464;s:5:\"title\";s:8:\"About 17\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_6.png\";s:12:\"tmpl_created\";i:1520443518;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-17/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:58;s:16:\"popularity_index\";i:220;s:11:\"trend_index\";i:142;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:325;a:19:{s:4:\"tmpl\";i:1165;s:2:\"id\";i:17353;s:5:\"title\";s:44:\"Online Cooking Course &#8211; Online Service\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/02/250x280-2.png\";s:12:\"tmpl_created\";i:1612705144;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/lp/online-cooking-course-online-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:14:\"Online Service\";s:4:\"tags\";s:50:\"[\"Cooking\",\"Course Online\",\"Food\",\"Landing Pages\"]\";s:10:\"menu_order\";i:59;s:16:\"popularity_index\";i:845;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:326;a:19:{s:4:\"tmpl\";i:1188;s:2:\"id\";i:18550;s:5:\"title\";s:39:\"Online Store &#8211; Under Construction\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Online-Store.png\";s:12:\"tmpl_created\";i:1617542506;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/lp/online-store-under-construction/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:18:\"Under Construction\";s:4:\"tags\";s:59:\"[\"Landing Pages\",\"Online Shop\",\"Shop\",\"Under Construction\"]\";s:10:\"menu_order\";i:60;s:16:\"popularity_index\";i:832;s:11:\"trend_index\";i:600;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:327;a:19:{s:4:\"tmpl\";i:1250;s:2:\"id\";i:22140;s:5:\"title\";s:33:\"Design School &#8211; Coming Soon\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/05/250x280-1.png\";s:12:\"tmpl_created\";i:1647177317;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/design-school-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:49:\"[\"Coming Soon\",\"Design\",\"Landing Pages\",\"School\"]\";s:10:\"menu_order\";i:60;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:328;a:19:{s:4:\"tmpl\";i:510;s:2:\"id\";i:5504;s:5:\"title\";s:8:\"About 18\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_9.png\";s:12:\"tmpl_created\";i:1520443528;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-18/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:60;s:16:\"popularity_index\";i:104;s:11:\"trend_index\";i:46;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:329;a:19:{s:4:\"tmpl\";i:1191;s:2:\"id\";i:18539;s:5:\"title\";s:40:\"Travel Agency &#8211; Under Construction\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Travel-Agency-1.png\";s:12:\"tmpl_created\";i:1617610273;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/lp/travel-agency-under-construction/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:18:\"Under Construction\";s:4:\"tags\";s:56:\"[\"Agency\",\"Landing Pages\",\"Travel\",\"Under Construction\"]\";s:10:\"menu_order\";i:61;s:16:\"popularity_index\";i:876;s:11:\"trend_index\";i:652;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:330;a:19:{s:4:\"tmpl\";i:1175;s:2:\"id\";i:18270;s:5:\"title\";s:24:\"Open week &#8211; Events\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2021/03/250x280.png\";s:12:\"tmpl_created\";i:1614767186;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/lp/open-week-events/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"Events\";s:4:\"tags\";s:59:\"[\"Education\",\"Event\",\"Events\",\"Landing Pages\",\"University\"]\";s:10:\"menu_order\";i:62;s:16:\"popularity_index\";i:831;s:11:\"trend_index\";i:673;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:331;a:19:{s:4:\"tmpl\";i:1177;s:2:\"id\";i:18300;s:5:\"title\";s:30:\"Makeup Artist &#8211; Business\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/03/250x280-2.png\";s:12:\"tmpl_created\";i:1614768608;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/lp/makeup-artist-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:79:\"[\"Beauty\",\"Business\",\"Course Online\",\"Landing Pages\",\"Makeup\",\"Online Service\"]\";s:10:\"menu_order\";i:63;s:16:\"popularity_index\";i:861;s:11:\"trend_index\";i:783;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:332;a:19:{s:4:\"tmpl\";i:511;s:2:\"id\";i:5515;s:5:\"title\";s:8:\"About 19\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_9.png\";s:12:\"tmpl_created\";i:1520443530;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-19/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:63;s:16:\"popularity_index\";i:268;s:11:\"trend_index\";i:161;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:333;a:19:{s:4:\"tmpl\";i:1179;s:2:\"id\";i:18329;s:5:\"title\";s:63:\"Online Real Estate Investment Conference &#8211; Online Service\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/03/250x280-5.png\";s:12:\"tmpl_created\";i:1614770404;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:157:\"https://library.elementor.com/lp/online-real-estate-investment-conference-online-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:14:\"Online Service\";s:4:\"tags\";s:76:\"[\"Conference\",\"Event\",\"Events\",\"Landing Pages\",\"Online Event\",\"Real estate\"]\";s:10:\"menu_order\";i:64;s:16:\"popularity_index\";i:866;s:11:\"trend_index\";i:779;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:334;a:19:{s:4:\"tmpl\";i:506;s:2:\"id\";i:5472;s:5:\"title\";s:7:\"About 2\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_7.png\";s:12:\"tmpl_created\";i:1520443520;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/about-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:64;s:16:\"popularity_index\";i:210;s:11:\"trend_index\";i:116;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:335;a:19:{s:4:\"tmpl\";i:1183;s:2:\"id\";i:18391;s:5:\"title\";s:45:\"Children&#8217;s Optometrist &#8211; Business\";s:9:\"thumbnail\";s:94:\"https://library.elementor.com/wp-content/uploads/2021/03/Library-Pic-Childrens-Optometrist.png\";s:12:\"tmpl_created\";i:1614773564;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/lp/childrens-optometrist-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:85:\"[\"Business\",\"Children\",\"Eye\",\"Glasses\",\"Health\",\"Kids\",\"Landing Pages\",\"Optometrist\"]\";s:10:\"menu_order\";i:65;s:16:\"popularity_index\";i:877;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:336;a:19:{s:4:\"tmpl\";i:1182;s:2:\"id\";i:18366;s:5:\"title\";s:30:\"Car Insurance &#8211; Business\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2021/03/Library-Pic-Car-Insurance.png\";s:12:\"tmpl_created\";i:1614773263;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/lp/car-insurance-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:46:\"[\"Business\",\"car\",\"Insurance\",\"Landing Pages\"]\";s:10:\"menu_order\";i:66;s:16:\"popularity_index\";i:869;s:11:\"trend_index\";i:797;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:337;a:19:{s:4:\"tmpl\";i:1201;s:2:\"id\";i:19144;s:5:\"title\";s:25:\"Birthday Party Invitation\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2021/06/250x280.png\";s:12:\"tmpl_created\";i:1623848691;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/birthday-party-invitation/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:67:\"[\"Birthday\",\"Event\",\"Landing Pages\",\"Party\",\"RSVD\",\"Save the Date\"]\";s:10:\"menu_order\";i:66;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:338;a:19:{s:4:\"tmpl\";i:1124;s:2:\"id\";i:16473;s:5:\"title\";s:26:\"Beauty Salon &#8211; About\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/12/about-1.jpg\";s:12:\"tmpl_created\";i:1608622373;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/beauty-salon-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:23:\"[\"Beauty Salon\",\"Hair\"]\";s:10:\"menu_order\";i:67;s:16:\"popularity_index\";i:615;s:11:\"trend_index\";i:184;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:339;a:19:{s:4:\"tmpl\";i:1176;s:2:\"id\";i:18291;s:5:\"title\";s:47:\"Grill Restaurant Food Delivery &#8211; Business\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2021/03/Library-Pic-Food-Delivery-LP.png\";s:12:\"tmpl_created\";i:1614767830;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:141:\"https://library.elementor.com/lp/grill-restaurant-food-delivery-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:79:\"[\"Delivery\",\"Delivery Service\",\"Fast Food\",\"Food\",\"Landing Pages\",\"Restaurant\"]\";s:10:\"menu_order\";i:67;s:16:\"popularity_index\";i:819;s:11:\"trend_index\";i:685;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:340;a:19:{s:4:\"tmpl\";i:504;s:2:\"id\";i:5455;s:5:\"title\";s:8:\"About 20\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_6.png\";s:12:\"tmpl_created\";i:1520443516;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-20/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:67;s:16:\"popularity_index\";i:134;s:11:\"trend_index\";i:70;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:341;a:19:{s:4:\"tmpl\";i:1125;s:2:\"id\";i:16488;s:5:\"title\";s:28:\"Beauty Salon &#8211; Contact\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/12/contact.jpg\";s:12:\"tmpl_created\";i:1608622374;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/beauty-salon-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:23:\"[\"Beauty Salon\",\"Hair\"]\";s:10:\"menu_order\";i:68;s:16:\"popularity_index\";i:548;s:11:\"trend_index\";i:101;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:342;a:19:{s:4:\"tmpl\";i:1180;s:2:\"id\";i:18340;s:5:\"title\";s:30:\"Restaurant &#8211; Coming Soon\";s:9:\"thumbnail\";s:98:\"https://library.elementor.com/wp-content/uploads/2021/03/Library-Pic-Restuarant-Coming-Soon-LP.png\";s:12:\"tmpl_created\";i:1614772183;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/lp/restaurant-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:16:\"Coming Soon Page\";s:4:\"tags\";s:51:\"[\"Coming Soon\",\"Food\",\"Landing Pages\",\"Restaurant\"]\";s:10:\"menu_order\";i:68;s:16:\"popularity_index\";i:810;s:11:\"trend_index\";i:809;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:343;a:19:{s:4:\"tmpl\";i:499;s:2:\"id\";i:5413;s:5:\"title\";s:8:\"About 21\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_2.png\";s:12:\"tmpl_created\";i:1520443507;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-21/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:68;s:16:\"popularity_index\";i:83;s:11:\"trend_index\";i:52;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:344;a:19:{s:4:\"tmpl\";i:1126;s:2:\"id\";i:16496;s:5:\"title\";s:28:\"Beauty Salon &#8211; Gallery\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2020/12/gallery-1.jpg\";s:12:\"tmpl_created\";i:1608622379;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/beauty-salon-gallery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:23:\"[\"Beauty Salon\",\"Hair\"]\";s:10:\"menu_order\";i:69;s:16:\"popularity_index\";i:491;s:11:\"trend_index\";i:90;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:345;a:19:{s:4:\"tmpl\";i:1173;s:2:\"id\";i:17480;s:5:\"title\";s:42:\"At-home Massage Therapist &#8211; Business\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2021/02/At-Home-Massage-Therapist.jpg\";s:12:\"tmpl_created\";i:1612879264;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:136:\"https://library.elementor.com/lp/at-home-massage-therapist-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:60:\"[\"Business\",\"Health\",\"Landing Pages\",\"Services\",\"Therapist\"]\";s:10:\"menu_order\";i:69;s:16:\"popularity_index\";i:856;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:346;a:19:{s:4:\"tmpl\";i:1127;s:2:\"id\";i:16457;s:5:\"title\";s:25:\"Beauty Salon &#8211; Home\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/12/home-1.jpg\";s:12:\"tmpl_created\";i:1608622383;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/beauty-salon-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:23:\"[\"Beauty Salon\",\"Hair\"]\";s:10:\"menu_order\";i:70;s:16:\"popularity_index\";i:408;s:11:\"trend_index\";i:56;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:347;a:19:{s:4:\"tmpl\";i:1178;s:2:\"id\";i:18317;s:5:\"title\";s:26:\"Insurance &#8211; Business\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2021/03/Library-Pic-Life-Insirance.png\";s:12:\"tmpl_created\";i:1614769488;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/lp/insurance-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:61:\"[\"Business\",\"Family\",\"Financial\",\"Insurance\",\"Landing Pages\"]\";s:10:\"menu_order\";i:70;s:16:\"popularity_index\";i:870;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:348;a:19:{s:4:\"tmpl\";i:1128;s:2:\"id\";i:16518;s:5:\"title\";s:29:\"Beauty Salon &#8211; Services\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/12/services-1.jpg\";s:12:\"tmpl_created\";i:1608622386;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/beauty-salon-services/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:23:\"[\"Beauty Salon\",\"Hair\"]\";s:10:\"menu_order\";i:71;s:16:\"popularity_index\";i:664;s:11:\"trend_index\";i:261;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:349;a:19:{s:4:\"tmpl\";i:1168;s:2:\"id\";i:17401;s:5:\"title\";s:40:\"Conference Thank You Page &#8211; Events\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2021/02/250x280.png\";s:12:\"tmpl_created\";i:1612724753;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/lp/conference-thank-you-page-events/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"Thank You Page\";s:4:\"tags\";s:59:\"[\"Conference\",\"Event\",\"Events\",\"Landing Pages\",\"Thank You\"]\";s:10:\"menu_order\";i:71;s:16:\"popularity_index\";i:799;s:11:\"trend_index\";i:540;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:350;a:19:{s:4:\"tmpl\";i:503;s:2:\"id\";i:5447;s:5:\"title\";s:7:\"About 3\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_5.png\";s:12:\"tmpl_created\";i:1520443514;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/about-3-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:71;s:16:\"popularity_index\";i:48;s:11:\"trend_index\";i:12;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:351;a:19:{s:4:\"tmpl\";i:1073;s:2:\"id\";i:15486;s:5:\"title\";s:25:\"Travel Blog &#8211; About\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/11/About.jpg\";s:12:\"tmpl_created\";i:1606215720;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/travel-blog-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:17:\"[\"Blog\",\"Travel\"]\";s:10:\"menu_order\";i:72;s:16:\"popularity_index\";i:608;s:11:\"trend_index\";i:343;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:352;a:19:{s:4:\"tmpl\";i:1166;s:2:\"id\";i:17368;s:5:\"title\";s:38:\"Real Estate Agency &#8211; Real-Estate\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2021/02/Library-Pic-Real-Estate.png\";s:12:\"tmpl_created\";i:1612711814;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/lp/real-estate-agency-real-estate/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"Real Estate\";s:4:\"tags\";s:73:\"[\"Landing Pages\",\"listing\",\"Real estate\",\"Realestate\",\"realtor\",\"realty\"]\";s:10:\"menu_order\";i:72;s:16:\"popularity_index\";i:858;s:11:\"trend_index\";i:777;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:353;a:19:{s:4:\"tmpl\";i:1074;s:2:\"id\";i:15478;s:5:\"title\";s:27:\"Travel Blog &#8211; Contact\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/11/Contact-Us.jpg\";s:12:\"tmpl_created\";i:1606215735;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/travel-blog-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:17:\"[\"Blog\",\"Travel\"]\";s:10:\"menu_order\";i:73;s:16:\"popularity_index\";i:687;s:11:\"trend_index\";i:564;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:354;a:19:{s:4:\"tmpl\";i:1170;s:2:\"id\";i:17423;s:5:\"title\";s:57:\"Volunteer Calls Thank You Page &#8211; Social Involvement\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2021/02/Volunteer-Calls-TYP.jpg\";s:12:\"tmpl_created\";i:1612726058;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:151:\"https://library.elementor.com/lp/volunteer-calls-thank-you-page-social-involvement/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:14:\"Thank You Page\";s:4:\"tags\";s:62:\"[\"Care\",\"Involvement\",\"Landing Pages\",\"Thank You\",\"Volunteer\"]\";s:10:\"menu_order\";i:73;s:16:\"popularity_index\";i:857;s:11:\"trend_index\";i:818;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:355;a:19:{s:4:\"tmpl\";i:507;s:2:\"id\";i:5480;s:5:\"title\";s:7:\"About 4\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_7-1.png\";s:12:\"tmpl_created\";i:1520443522;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/about-4-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:73;s:16:\"popularity_index\";i:428;s:11:\"trend_index\";i:303;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:356;a:19:{s:4:\"tmpl\";i:1075;s:2:\"id\";i:15467;s:5:\"title\";s:24:\"Travel Blog &#8211; Home\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/11/Home.jpg\";s:12:\"tmpl_created\";i:1606215756;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/travel-blog-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:17:\"[\"Blog\",\"Travel\"]\";s:10:\"menu_order\";i:74;s:16:\"popularity_index\";i:567;s:11:\"trend_index\";i:224;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:357;a:19:{s:4:\"tmpl\";i:1169;s:2:\"id\";i:17409;s:5:\"title\";s:37:\"Webinar Thank You Page &#8211; Events\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2021/02/Library-Pic-Webinar-TYP.png\";s:12:\"tmpl_created\";i:1612725644;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/lp/webinar-thank-you-page-events/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:14:\"Thank You Page\";s:4:\"tags\";s:56:\"[\"Event\",\"Events\",\"Landing Pages\",\"Thank You\",\"Webinar\"]\";s:10:\"menu_order\";i:74;s:16:\"popularity_index\";i:868;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:358;a:19:{s:4:\"tmpl\";i:1056;s:2:\"id\";i:15317;s:5:\"title\";s:25:\"Dance Studio &#8211; Home\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/10/Home.jpg\";s:12:\"tmpl_created\";i:1603181291;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/dance-studio-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:16:\"[\"Dance Studio\"]\";s:10:\"menu_order\";i:75;s:16:\"popularity_index\";i:596;s:11:\"trend_index\";i:301;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:359;a:19:{s:4:\"tmpl\";i:545;s:2:\"id\";i:6027;s:5:\"title\";s:7:\"About 5\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_1-1.png\";s:12:\"tmpl_created\";i:1520443639;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/about-5-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:75;s:16:\"popularity_index\";i:40;s:11:\"trend_index\";i:40;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:360;a:19:{s:4:\"tmpl\";i:1160;s:2:\"id\";i:17258;s:5:\"title\";s:32:\"Beauty Product &#8211; eCommerce\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2021/01/Beauty-Product.png\";s:12:\"tmpl_created\";i:1610903153;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/lp/beauty-product-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:38:\"[\"Beauty\",\"Ecommerce\",\"Landing Pages\"]\";s:10:\"menu_order\";i:75;s:16:\"popularity_index\";i:797;s:11:\"trend_index\";i:703;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:361;a:19:{s:4:\"tmpl\";i:1057;s:2:\"id\";i:15334;s:5:\"title\";s:26:\"Dance Studio &#8211; About\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/10/About.jpg\";s:12:\"tmpl_created\";i:1603181364;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/dance-studio-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:16:\"[\"Dance Studio\"]\";s:10:\"menu_order\";i:76;s:16:\"popularity_index\";i:626;s:11:\"trend_index\";i:373;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:362;a:19:{s:4:\"tmpl\";i:546;s:2:\"id\";i:6036;s:5:\"title\";s:7:\"About 6\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_1-1.png\";s:12:\"tmpl_created\";i:1520443641;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/about-6-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:76;s:16:\"popularity_index\";i:90;s:11:\"trend_index\";i:123;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:363;a:19:{s:4:\"tmpl\";i:1171;s:2:\"id\";i:17435;s:5:\"title\";s:39:\"Gym &#8211; App Service &#8211; Product\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/02/250x280-4.png\";s:12:\"tmpl_created\";i:1612726462;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/lp/gym-app-service-product/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:7:\"Product\";s:4:\"tags\";s:58:\"[\"App\",\"Fitness\",\"Gym\",\"Health\",\"Landing Pages\",\"Product\"]\";s:10:\"menu_order\";i:76;s:16:\"popularity_index\";i:767;s:11:\"trend_index\";i:577;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:364;a:19:{s:4:\"tmpl\";i:1058;s:2:\"id\";i:15349;s:5:\"title\";s:28:\"Dance Studio &#8211; Classes\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/10/Classes.jpg\";s:12:\"tmpl_created\";i:1603181425;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/dance-studio-classes/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:16:\"[\"Dance Studio\"]\";s:10:\"menu_order\";i:77;s:16:\"popularity_index\";i:629;s:11:\"trend_index\";i:458;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:365;a:19:{s:4:\"tmpl\";i:1156;s:2:\"id\";i:17111;s:5:\"title\";s:33:\"Sunglasses Sale &#8211; eCommerce\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2021/01/Sunglasses-LP-Library-Pic.jpg\";s:12:\"tmpl_created\";i:1610632408;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/lp/sunglasses-sale-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:59:\"[\"Ecommerce\",\"Fashion\",\"Landing Pages\",\"Sale\",\"Sunglasses\"]\";s:10:\"menu_order\";i:77;s:16:\"popularity_index\";i:812;s:11:\"trend_index\";i:732;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:366;a:19:{s:4:\"tmpl\";i:1055;s:2:\"id\";i:15366;s:5:\"title\";s:29:\"Dance Studio &#8211; Schedule\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2020/10/Classes-Schedule.jpg\";s:12:\"tmpl_created\";i:1603181056;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/dance-studio-schedule/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:16:\"[\"Dance Studio\"]\";s:10:\"menu_order\";i:78;s:16:\"popularity_index\";i:698;s:11:\"trend_index\";i:602;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:367;a:19:{s:4:\"tmpl\";i:1157;s:2:\"id\";i:17223;s:5:\"title\";s:25:\"Fashion &#8211; eCommerce\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2021/01/Commerce-Fashion.png\";s:12:\"tmpl_created\";i:1610902553;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/lp/fashion-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:29:\"[\"Ecommerce\",\"Landing Pages\"]\";s:10:\"menu_order\";i:78;s:16:\"popularity_index\";i:808;s:11:\"trend_index\";i:745;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:368;a:19:{s:4:\"tmpl\";i:1059;s:2:\"id\";i:15373;s:5:\"title\";s:28:\"Dance Studio &#8211; Pricing\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/10/Pricing.jpg\";s:12:\"tmpl_created\";i:1603181678;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/dance-studio-pricing/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:16:\"[\"Dance Studio\"]\";s:10:\"menu_order\";i:79;s:16:\"popularity_index\";i:731;s:11:\"trend_index\";i:661;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:369;a:19:{s:4:\"tmpl\";i:1151;s:2:\"id\";i:17017;s:5:\"title\";s:28:\"Shoes Sale &#8211; eCommerce\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2021/01/Shoes-LP-Library-Pic.jpg\";s:12:\"tmpl_created\";i:1610535361;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/lp/shoes-sale-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:55:\"[\"Discount\",\"Ecommerce\",\"Landing Pages\",\"Sale\",\"Shoes\"]\";s:10:\"menu_order\";i:79;s:16:\"popularity_index\";i:803;s:11:\"trend_index\";i:642;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:370;a:19:{s:4:\"tmpl\";i:508;s:2:\"id\";i:5488;s:5:\"title\";s:7:\"About 7\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_8.png\";s:12:\"tmpl_created\";i:1520443524;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/about-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:79;s:16:\"popularity_index\";i:307;s:11:\"trend_index\";i:169;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:371;a:19:{s:4:\"tmpl\";i:1060;s:2:\"id\";i:15384;s:5:\"title\";s:28:\"Dance Studio &#8211; Contact\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/10/Contact-Us.jpg\";s:12:\"tmpl_created\";i:1603181738;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/dance-studio-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:16:\"[\"Dance Studio\"]\";s:10:\"menu_order\";i:80;s:16:\"popularity_index\";i:741;s:11:\"trend_index\";i:721;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:372;a:19:{s:4:\"tmpl\";i:556;s:2:\"id\";i:6122;s:5:\"title\";s:7:\"About 8\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_2-1.png\";s:12:\"tmpl_created\";i:1520443661;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/about-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:80;s:16:\"popularity_index\";i:38;s:11:\"trend_index\";i:26;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:373;a:19:{s:4:\"tmpl\";i:1163;s:2:\"id\";i:17301;s:5:\"title\";s:53:\"Personal Chef &#8211; Thank You Page &#8211; Business\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2021/01/TYP-Personal-Chef.jpg\";s:12:\"tmpl_created\";i:1610903622;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/lp/personal-chef-thank-you-page-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:14:\"Thank You Page\";s:4:\"tags\";s:43:\"[\"Chef\",\"Food\",\"Landing Pages\",\"Thank You\"]\";s:10:\"menu_order\";i:80;s:16:\"popularity_index\";i:823;s:11:\"trend_index\";i:754;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:374;a:19:{s:4:\"tmpl\";i:1042;s:2:\"id\";i:15158;s:5:\"title\";s:26:\"Psychologist &#8211; About\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/09/About.jpg\";s:12:\"tmpl_created\";i:1600157561;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/psychologist-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:34:\"[\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:81;s:16:\"popularity_index\";i:618;s:11:\"trend_index\";i:426;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:375;a:19:{s:4:\"tmpl\";i:1164;s:2:\"id\";i:17313;s:5:\"title\";s:60:\"Development Course  &#8211; Thank You Page &#8211; Education\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2021/01/Dev-Course-TYP-.png\";s:12:\"tmpl_created\";i:1610903776;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:145:\"https://library.elementor.com/lp/development-course-thank-you-page-education/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:14:\"Thank You Page\";s:4:\"tags\";s:57:\"[\"Course Online\",\"Education\",\"Landing Pages\",\"Thank You\"]\";s:10:\"menu_order\";i:81;s:16:\"popularity_index\";i:834;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:376;a:19:{s:4:\"tmpl\";i:1045;s:2:\"id\";i:15197;s:5:\"title\";s:28:\"Psychologist &#8211; Contact\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/09/Contact-Us.jpg\";s:12:\"tmpl_created\";i:1600160499;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/psychologist-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:34:\"[\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:82;s:16:\"popularity_index\";i:666;s:11:\"trend_index\";i:558;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:377;a:19:{s:4:\"tmpl\";i:509;s:2:\"id\";i:5496;s:5:\"title\";s:7:\"About 9\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_8-1.png\";s:12:\"tmpl_created\";i:1520443526;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/about-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:82;s:16:\"popularity_index\";i:523;s:11:\"trend_index\";i:453;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:378;a:19:{s:4:\"tmpl\";i:1041;s:2:\"id\";i:15142;s:5:\"title\";s:25:\"Psychologist &#8211; Home\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/09/Home.jpg\";s:12:\"tmpl_created\";i:1600156308;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/psychologist-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:34:\"[\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:83;s:16:\"popularity_index\";i:464;s:11:\"trend_index\";i:297;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:379;a:19:{s:4:\"tmpl\";i:1044;s:2:\"id\";i:15188;s:5:\"title\";s:28:\"Psychologist &#8211; Pricing\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/09/Pricing.jpg\";s:12:\"tmpl_created\";i:1600159731;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/psychologist-pricing/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:34:\"[\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:84;s:16:\"popularity_index\";i:732;s:11:\"trend_index\";i:537;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:380;a:19:{s:4:\"tmpl\";i:684;s:2:\"id\";i:8961;s:5:\"title\";s:9:\"archive 1\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.1.jpg\";s:12:\"tmpl_created\";i:1528639909;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/archive-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:84;s:16:\"popularity_index\";i:79;s:11:\"trend_index\";i:15;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:381;a:19:{s:4:\"tmpl\";i:1043;s:2:\"id\";i:15167;s:5:\"title\";s:29:\"Psychologist &#8211; Services\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2020/09/Services.jpg\";s:12:\"tmpl_created\";i:1600158206;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/psychologist-services/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:34:\"[\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:85;s:16:\"popularity_index\";i:606;s:11:\"trend_index\";i:379;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:382;a:19:{s:4:\"tmpl\";i:1036;s:2:\"id\";i:14932;s:5:\"title\";s:30:\"Flooring Company &#8211; About\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/08/About.png\";s:12:\"tmpl_created\";i:1597740110;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/flooring-company-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:39:\"[\"Flooring company\",\"Flooring website\"]\";s:10:\"menu_order\";i:86;s:16:\"popularity_index\";i:488;s:11:\"trend_index\";i:319;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:383;a:19:{s:4:\"tmpl\";i:685;s:2:\"id\";i:8969;s:5:\"title\";s:9:\"archive 2\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.2.jpg\";s:12:\"tmpl_created\";i:1528700014;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/archive-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:86;s:16:\"popularity_index\";i:250;s:11:\"trend_index\";i:124;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:384;a:19:{s:4:\"tmpl\";i:1037;s:2:\"id\";i:14998;s:5:\"title\";s:32:\"Flooring Company &#8211; Contact\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/08/Contact-Us.png\";s:12:\"tmpl_created\";i:1597740222;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/flooring-company-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:39:\"[\"Flooring company\",\"Flooring website\"]\";s:10:\"menu_order\";i:87;s:16:\"popularity_index\";i:553;s:11:\"trend_index\";i:380;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:385;a:19:{s:4:\"tmpl\";i:1038;s:2:\"id\";i:14965;s:5:\"title\";s:32:\"Flooring Company &#8211; Gallery\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/08/Gallery.png\";s:12:\"tmpl_created\";i:1597740353;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/flooring-company-gallery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:39:\"[\"Flooring company\",\"Flooring website\"]\";s:10:\"menu_order\";i:88;s:16:\"popularity_index\";i:371;s:11:\"trend_index\";i:291;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:386;a:19:{s:4:\"tmpl\";i:686;s:2:\"id\";i:8973;s:5:\"title\";s:9:\"archive 3\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.3.jpg\";s:12:\"tmpl_created\";i:1528700205;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/archive-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:88;s:16:\"popularity_index\";i:176;s:11:\"trend_index\";i:54;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:387;a:19:{s:4:\"tmpl\";i:1282;s:2:\"id\";i:22417;s:5:\"title\";s:52:\"Finance Learning Platform &#8211; Under Construction\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Finance-Platform.png\";s:12:\"tmpl_created\";i:1647354987;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:143:\"https://library.elementor.com/finance-learning-platform-under-construction/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Finance\",\"Landing Pages\"]\";s:10:\"menu_order\";i:89;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:388;a:19:{s:4:\"tmpl\";i:1040;s:2:\"id\";i:14947;s:5:\"title\";s:33:\"Flooring company &#8211; Services\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2020/08/Services.png\";s:12:\"tmpl_created\";i:1597740551;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/flooring-company-services/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:39:\"[\"Flooring company\",\"Flooring website\"]\";s:10:\"menu_order\";i:90;s:16:\"popularity_index\";i:538;s:11:\"trend_index\";i:392;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:389;a:19:{s:4:\"tmpl\";i:1039;s:2:\"id\";i:14901;s:5:\"title\";s:29:\"Flooring Company &#8211; Home\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/08/Home.png\";s:12:\"tmpl_created\";i:1597740474;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/flooring-company-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:39:\"[\"Flooring company\",\"Flooring website\"]\";s:10:\"menu_order\";i:91;s:16:\"popularity_index\";i:387;s:11:\"trend_index\";i:185;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:390;a:19:{s:4:\"tmpl\";i:687;s:2:\"id\";i:8977;s:5:\"title\";s:9:\"archive 4\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.4.jpg\";s:12:\"tmpl_created\";i:1528700326;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/archive-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:91;s:16:\"popularity_index\";i:354;s:11:\"trend_index\";i:396;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:391;a:19:{s:4:\"tmpl\";i:1252;s:2:\"id\";i:22146;s:5:\"title\";s:36:\"Home Decor Store &#8211; Coming Soon\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Home-Decore.png\";s:12:\"tmpl_created\";i:1647177514;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/home-decor-store-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:57:\"[\"Coming Soon\",\"Decor\",\"Interior Design\",\"Landing Pages\"]\";s:10:\"menu_order\";i:92;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:392;a:19:{s:4:\"tmpl\";i:688;s:2:\"id\";i:8981;s:5:\"title\";s:9:\"archive 5\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.5.jpg\";s:12:\"tmpl_created\";i:1528700484;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/archive-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:93;s:16:\"popularity_index\";i:333;s:11:\"trend_index\";i:195;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:393;a:19:{s:4:\"tmpl\";i:1021;s:2:\"id\";i:14737;s:5:\"title\";s:32:\"Luxury Real Estate &#8211; About\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/07/About.png\";s:12:\"tmpl_created\";i:1595313527;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/luxury-real-estate-about-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:28:\"[\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:93;s:16:\"popularity_index\";i:150;s:11:\"trend_index\";i:447;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:394;a:19:{s:4:\"tmpl\";i:689;s:2:\"id\";i:8985;s:5:\"title\";s:9:\"archive 6\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.6.jpg\";s:12:\"tmpl_created\";i:1528700612;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/archive-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:94;s:16:\"popularity_index\";i:204;s:11:\"trend_index\";i:95;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:395;a:19:{s:4:\"tmpl\";i:1020;s:2:\"id\";i:14756;s:5:\"title\";s:34:\"Luxury Real Estate &#8211; Contact\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/07/Contact-Us.png\";s:12:\"tmpl_created\";i:1595313519;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/luxury-real-estate-contact-us-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:28:\"[\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:94;s:16:\"popularity_index\";i:610;s:11:\"trend_index\";i:569;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:396;a:19:{s:4:\"tmpl\";i:1019;s:2:\"id\";i:14716;s:5:\"title\";s:31:\"Luxury Real Estate &#8211; Home\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/07/Home.png\";s:12:\"tmpl_created\";i:1595313512;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/luxury-real-estate-home-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:28:\"[\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:95;s:16:\"popularity_index\";i:394;s:11:\"trend_index\";i:165;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:397;a:19:{s:4:\"tmpl\";i:690;s:2:\"id\";i:8989;s:5:\"title\";s:9:\"archive 7\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.7.jpg\";s:12:\"tmpl_created\";i:1528701063;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/archive-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:96;s:16:\"popularity_index\";i:208;s:11:\"trend_index\";i:111;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:398;a:19:{s:4:\"tmpl\";i:1018;s:2:\"id\";i:14763;s:5:\"title\";s:31:\"Luxury Real Estate &#8211; News\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2020/07/news-Archive.png\";s:12:\"tmpl_created\";i:1595313273;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/luxury-real-estate-news-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:28:\"[\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:96;s:16:\"popularity_index\";i:404;s:11:\"trend_index\";i:167;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:399;a:19:{s:4:\"tmpl\";i:1283;s:2:\"id\";i:22423;s:5:\"title\";s:39:\"Online Store &#8211; Under Construction\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Online-Store.png\";s:12:\"tmpl_created\";i:1647355154;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/online-store-under-construction/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:59:\"[\"Landing Pages\",\"Online Shop\",\"Shop\",\"Under Construction\"]\";s:10:\"menu_order\";i:97;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:400;a:19:{s:4:\"tmpl\";i:691;s:2:\"id\";i:8996;s:5:\"title\";s:9:\"archive 8\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.8.jpg\";s:12:\"tmpl_created\";i:1528701290;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/archive-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:98;s:16:\"popularity_index\";i:227;s:11:\"trend_index\";i:153;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:401;a:19:{s:4:\"tmpl\";i:1010;s:2:\"id\";i:13960;s:5:\"title\";s:32:\"Japanese restaurant &#8211; Home\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2020/06/Home-Page.jpg\";s:12:\"tmpl_created\";i:1592289775;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/japanese-restaurant-home-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:32:\"[\"Food\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:98;s:16:\"popularity_index\";i:537;s:11:\"trend_index\";i:287;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:402;a:19:{s:4:\"tmpl\";i:1284;s:2:\"id\";i:22428;s:5:\"title\";s:40:\"Travel Agency &#8211; Under Construction\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Travel-Agency-1.png\";s:12:\"tmpl_created\";i:1647355339;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/travel-agency-under-construction/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:56:\"[\"Agency\",\"Landing Pages\",\"Travel\",\"Under Construction\"]\";s:10:\"menu_order\";i:99;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:403;a:19:{s:4:\"tmpl\";i:692;s:2:\"id\";i:9001;s:5:\"title\";s:9:\"archive 9\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.9.jpg\";s:12:\"tmpl_created\";i:1528701433;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/archive-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:100;s:16:\"popularity_index\";i:265;s:11:\"trend_index\";i:208;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:404;a:19:{s:4:\"tmpl\";i:1007;s:2:\"id\";i:13993;s:5:\"title\";s:45:\"Japanese restaurant &#8211; Chef&#8217;s Menu\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2020/06/Chef_s-Menu-Page.jpg\";s:12:\"tmpl_created\";i:1592289691;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/japanese-restaurant-chefs-menu/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:32:\"[\"Food\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:100;s:16:\"popularity_index\";i:651;s:11:\"trend_index\";i:675;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:405;a:19:{s:4:\"tmpl\";i:1006;s:2:\"id\";i:14012;s:5:\"title\";s:36:\"Japanese restaurant &#8211; Bar Menu\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2020/06/Bar-Menu-Page.jpg\";s:12:\"tmpl_created\";i:1592289665;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/japanese-restaurant-bar-menu/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:32:\"[\"Food\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:101;s:16:\"popularity_index\";i:735;s:11:\"trend_index\";i:829;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:406;a:19:{s:4:\"tmpl\";i:1005;s:2:\"id\";i:13917;s:5:\"title\";s:33:\"Japanese restaurant &#8211; About\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/06/About-Page.jpg\";s:12:\"tmpl_created\";i:1592289629;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/japanese-restaurant-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:32:\"[\"Food\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:102;s:16:\"popularity_index\";i:640;s:11:\"trend_index\";i:389;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:407;a:19:{s:4:\"tmpl\";i:997;s:2:\"id\";i:13528;s:5:\"title\";s:22:\"Barbershop &#8211; 404\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2020/05/404-Page.jpg\";s:12:\"tmpl_created\";i:1589893152;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/barbershop-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:34:\"[\"404\",\"Barber Shop\",\"Barbershop\"]\";s:10:\"menu_order\";i:103;s:16:\"popularity_index\";i:768;s:11:\"trend_index\";i:681;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:408;a:19:{s:4:\"tmpl\";i:1009;s:2:\"id\";i:13937;s:5:\"title\";s:35:\"Japanese restaurant &#8211; Gallery\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2020/06/Gallery-Page.jpg\";s:12:\"tmpl_created\";i:1592289748;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/japanese-restaurant-gallery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:32:\"[\"Food\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:103;s:16:\"popularity_index\";i:648;s:11:\"trend_index\";i:551;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:409;a:19:{s:4:\"tmpl\";i:1008;s:2:\"id\";i:14030;s:5:\"title\";s:34:\"Japanese restaurant &#8211; Events\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2020/06/Events-Page.jpg\";s:12:\"tmpl_created\";i:1592289713;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/japanese-restaurant-events/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:32:\"[\"Food\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:104;s:16:\"popularity_index\";i:723;s:11:\"trend_index\";i:711;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:410;a:19:{s:4:\"tmpl\";i:998;s:2:\"id\";i:13518;s:5:\"title\";s:26:\"Barbershop &#8211; Archive\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2020/05/Blog-Page.jpg\";s:12:\"tmpl_created\";i:1589893157;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/blocks/barbershop-archive/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:28:\"[\"Barber Shop\",\"Barbershop\"]\";s:10:\"menu_order\";i:105;s:16:\"popularity_index\";i:737;s:11:\"trend_index\";i:523;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:411;a:19:{s:4:\"tmpl\";i:1016;s:2:\"id\";i:13984;s:5:\"title\";s:40:\"Japanese restaurant &#8211; Reservations\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2020/06/reservations.jpg\";s:12:\"tmpl_created\";i:1592294757;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/japanese-restaurant-reservations/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:32:\"[\"Food\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:105;s:16:\"popularity_index\";i:715;s:11:\"trend_index\";i:727;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:412;a:19:{s:4:\"tmpl\";i:999;s:2:\"id\";i:13479;s:5:\"title\";s:23:\"Barbershop &#8211; Home\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2020/05/Home-Page.jpg\";s:12:\"tmpl_created\";i:1589893275;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/barbershop-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:28:\"[\"Barber Shop\",\"Barbershop\"]\";s:10:\"menu_order\";i:106;s:16:\"popularity_index\";i:683;s:11:\"trend_index\";i:832;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:413;a:19:{s:4:\"tmpl\";i:996;s:2:\"id\";i:13604;s:5:\"title\";s:25:\"Barbershop &#8211; Footer\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2020/05/Footer-Small.jpg\";s:12:\"tmpl_created\";i:1589893147;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/blocks/barbershop-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:37:\"[\"Barber Shop\",\"Barbershop\",\"Footer\"]\";s:10:\"menu_order\";i:107;s:16:\"popularity_index\";i:555;s:11:\"trend_index\";i:267;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:414;a:19:{s:4:\"tmpl\";i:1000;s:2:\"id\";i:13503;s:5:\"title\";s:24:\"Barbershop &#8211; About\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/05/About-Page.jpg\";s:12:\"tmpl_created\";i:1589893289;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/barbershop-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:28:\"[\"Barber Shop\",\"Barbershop\"]\";s:10:\"menu_order\";i:107;s:16:\"popularity_index\";i:744;s:11:\"trend_index\";i:739;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:415;a:19:{s:4:\"tmpl\";i:995;s:2:\"id\";i:13612;s:5:\"title\";s:25:\"Barbershop &#8211; Header\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2020/06/barber-shop-header.jpg\";s:12:\"tmpl_created\";i:1589893142;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/blocks/barbershop-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:37:\"[\"Barber Shop\",\"Barbershop\",\"Header\"]\";s:10:\"menu_order\";i:108;s:16:\"popularity_index\";i:343;s:11:\"trend_index\";i:137;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:416;a:19:{s:4:\"tmpl\";i:1001;s:2:\"id\";i:13548;s:5:\"title\";s:27:\"Barbershop &#8211; Services\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2020/05/Services-Page.jpg\";s:12:\"tmpl_created\";i:1589893298;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/barbershop-services/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:28:\"[\"Barber Shop\",\"Barbershop\"]\";s:10:\"menu_order\";i:108;s:16:\"popularity_index\";i:761;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:417;a:19:{s:4:\"tmpl\";i:1002;s:2:\"id\";i:13560;s:5:\"title\";s:26:\"Barbershop &#8211; Gallery\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2020/05/Gallery-Page.jpg\";s:12:\"tmpl_created\";i:1589893307;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/barbershop-gallery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:28:\"[\"Barber Shop\",\"Barbershop\"]\";s:10:\"menu_order\";i:109;s:16:\"popularity_index\";i:756;s:11:\"trend_index\";i:822;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:418;a:19:{s:4:\"tmpl\";i:1003;s:2:\"id\";i:13587;s:5:\"title\";s:26:\"Barbershop &#8211; Contact\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2020/05/Contact-Us-Page.jpg\";s:12:\"tmpl_created\";i:1589893315;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/barbershop-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:28:\"[\"Barber Shop\",\"Barbershop\"]\";s:10:\"menu_order\";i:110;s:16:\"popularity_index\";i:753;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:419;a:19:{s:4:\"tmpl\";i:982;s:2:\"id\";i:13307;s:5:\"title\";s:26:\"Online Course &#8211; Home\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/04/Home.jpg\";s:12:\"tmpl_created\";i:1587474541;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/online-course-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:29:\"[\"Course Online\",\"Education\"]\";s:10:\"menu_order\";i:111;s:16:\"popularity_index\";i:230;s:11:\"trend_index\";i:125;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:420;a:19:{s:4:\"tmpl\";i:994;s:2:\"id\";i:13621;s:5:\"title\";s:30:\"Barbershop &#8211; Single Post\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2020/05/Single-Page.jpg\";s:12:\"tmpl_created\";i:1589893137;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/blocks/barbershop-single-post/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:28:\"[\"Barber Shop\",\"Barbershop\"]\";s:10:\"menu_order\";i:111;s:16:\"popularity_index\";i:736;s:11:\"trend_index\";i:580;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:421;a:19:{s:4:\"tmpl\";i:1131;s:2:\"id\";i:16527;s:5:\"title\";s:24:\"Beauty Salon &#8211; 404\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2020/12/404.jpg\";s:12:\"tmpl_created\";i:1608622517;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/beauty-salon-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:29:\"[\"404\",\"Beauty Salon\",\"Hair\"]\";s:10:\"menu_order\";i:112;s:16:\"popularity_index\";i:742;s:11:\"trend_index\";i:563;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:422;a:19:{s:4:\"tmpl\";i:983;s:2:\"id\";i:13328;s:5:\"title\";s:27:\"Online Course &#8211; About\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/04/About.jpg\";s:12:\"tmpl_created\";i:1587474558;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/online-course-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:29:\"[\"Course Online\",\"Education\"]\";s:10:\"menu_order\";i:112;s:16:\"popularity_index\";i:508;s:11:\"trend_index\";i:429;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:423;a:19:{s:4:\"tmpl\";i:984;s:2:\"id\";i:13338;s:5:\"title\";s:33:\"Online Course &#8211; Course Page\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2020/04/Course-Page.png\";s:12:\"tmpl_created\";i:1587474574;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/online-course-course-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:29:\"[\"Course Online\",\"Education\"]\";s:10:\"menu_order\";i:113;s:16:\"popularity_index\";i:337;s:11:\"trend_index\";i:310;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:424;a:19:{s:4:\"tmpl\";i:985;s:2:\"id\";i:13352;s:5:\"title\";s:29:\"Online Course &#8211; Contact\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/04/Contact-Us.jpg\";s:12:\"tmpl_created\";i:1587474591;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/online-course-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:29:\"[\"Course Online\",\"Education\"]\";s:10:\"menu_order\";i:114;s:16:\"popularity_index\";i:565;s:11:\"trend_index\";i:533;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:425;a:19:{s:4:\"tmpl\";i:1130;s:2:\"id\";i:16535;s:5:\"title\";s:27:\"Beauty Salon &#8211; Footer\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/12/Footer.jpg\";s:12:\"tmpl_created\";i:1608622498;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/beauty-salon-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:32:\"[\"Beauty Salon\",\"Footer\",\"Hair\"]\";s:10:\"menu_order\";i:115;s:16:\"popularity_index\";i:524;s:11:\"trend_index\";i:126;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:426;a:19:{s:4:\"tmpl\";i:971;s:2:\"id\";i:13187;s:5:\"title\";s:33:\"Interior Design &#8211; Home Page\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/04/Home.png\";s:12:\"tmpl_created\";i:1586148661;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/interior-design-home-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Business\",\"Interior Design\"]\";s:10:\"menu_order\";i:115;s:16:\"popularity_index\";i:331;s:11:\"trend_index\";i:264;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:427;a:19:{s:4:\"tmpl\";i:1453;s:2:\"id\";i:16346;s:5:\"title\";s:33:\"Your New Home &#8211; Real Estate\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2017/03/lp3-l.png\";s:12:\"tmpl_created\";i:1660205402;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/lp/your-new-home-real-estate/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:11:\"Real Estate\";s:4:\"tags\";s:31:\"[\"Landing Pages\",\"Real estate\"]\";s:10:\"menu_order\";i:116;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:428;a:19:{s:4:\"tmpl\";i:972;s:2:\"id\";i:13199;s:5:\"title\";s:29:\"Interior Design &#8211; About\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/04/About.png\";s:12:\"tmpl_created\";i:1586148666;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/interior-design-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Business\",\"Interior Design\"]\";s:10:\"menu_order\";i:116;s:16:\"popularity_index\";i:316;s:11:\"trend_index\";i:334;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:429;a:19:{s:4:\"tmpl\";i:1129;s:2:\"id\";i:16545;s:5:\"title\";s:27:\"Beauty Salon &#8211; Header\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/12/Header.jpg\";s:12:\"tmpl_created\";i:1608622495;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/beauty-salon-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:32:\"[\"Beauty Salon\",\"Hair\",\"Header\"]\";s:10:\"menu_order\";i:117;s:16:\"popularity_index\";i:356;s:11:\"trend_index\";i:49;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:430;a:19:{s:4:\"tmpl\";i:973;s:2:\"id\";i:13214;s:5:\"title\";s:32:\"Interior Design &#8211; Projects\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2020/04/portfolio_s.jpg\";s:12:\"tmpl_created\";i:1586148672;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/interior-design-projects/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Business\",\"Interior Design\"]\";s:10:\"menu_order\";i:117;s:16:\"popularity_index\";i:367;s:11:\"trend_index\";i:323;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:431;a:19:{s:4:\"tmpl\";i:641;s:2:\"id\";i:7686;s:5:\"title\";s:12:\"Blog Posts 1\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2018/03/blog_posts.png\";s:12:\"tmpl_created\";i:1521558047;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/blog-posts-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:26:\"[\"Archive\",\"Blog\",\"posts\"]\";s:10:\"menu_order\";i:118;s:16:\"popularity_index\";i:131;s:11:\"trend_index\";i:152;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:432;a:19:{s:4:\"tmpl\";i:974;s:2:\"id\";i:13229;s:5:\"title\";s:31:\"Interior Design &#8211; Contact\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/04/Contact-Us.png\";s:12:\"tmpl_created\";i:1586148677;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/interior-design-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Business\",\"Interior Design\"]\";s:10:\"menu_order\";i:118;s:16:\"popularity_index\";i:395;s:11:\"trend_index\";i:337;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:433;a:19:{s:4:\"tmpl\";i:959;s:2:\"id\";i:12948;s:5:\"title\";s:29:\"Photography &#8211; Home Page\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/02/Home_s.png\";s:12:\"tmpl_created\";i:1582093442;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/photography-home-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:119;s:16:\"popularity_index\";i:241;s:11:\"trend_index\";i:201;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:434;a:19:{s:4:\"tmpl\";i:960;s:2:\"id\";i:12798;s:5:\"title\";s:25:\"Photography &#8211; About\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/02/About_s.png\";s:12:\"tmpl_created\";i:1582093446;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/photography-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:120;s:16:\"popularity_index\";i:499;s:11:\"trend_index\";i:374;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:435;a:19:{s:4:\"tmpl\";i:484;s:2:\"id\";i:5283;s:5:\"title\";s:9:\"Clients 1\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/clients_white_2.png\";s:12:\"tmpl_created\";i:1520443478;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/clients-1-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:120;s:16:\"popularity_index\";i:294;s:11:\"trend_index\";i:202;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:436;a:19:{s:4:\"tmpl\";i:961;s:2:\"id\";i:12868;s:5:\"title\";s:27:\"Photography &#8211; Contact\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2020/02/Contact_s.png\";s:12:\"tmpl_created\";i:1582093450;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/photography-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:121;s:16:\"popularity_index\";i:531;s:11:\"trend_index\";i:350;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:437;a:19:{s:4:\"tmpl\";i:962;s:2:\"id\";i:13056;s:5:\"title\";s:28:\"Photography &#8211; Wildlife\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/02/Wildlife_s.png\";s:12:\"tmpl_created\";i:1582093454;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/photography-wildlife/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:122;s:16:\"popularity_index\";i:579;s:11:\"trend_index\";i:656;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:438;a:19:{s:4:\"tmpl\";i:487;s:2:\"id\";i:5306;s:5:\"title\";s:10:\"Clients 10\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/clients_black_3.png\";s:12:\"tmpl_created\";i:1520443484;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/clients-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:122;s:16:\"popularity_index\";i:657;s:11:\"trend_index\";i:581;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:439;a:19:{s:4:\"tmpl\";i:963;s:2:\"id\";i:12922;s:5:\"title\";s:37:\"Photography &#8211; Glowing Jellyfish\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2020/02/Jellyfish_S.png\";s:12:\"tmpl_created\";i:1582093457;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/photography-glowing-jellyfish/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:123;s:16:\"popularity_index\";i:628;s:11:\"trend_index\";i:532;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:440;a:19:{s:4:\"tmpl\";i:964;s:2:\"id\";i:12875;s:5:\"title\";s:36:\"Photography &#8211; Fluttering Birds\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/02/Birds_s.png\";s:12:\"tmpl_created\";i:1582093461;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/photography-fluttering-birds/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:124;s:16:\"popularity_index\";i:693;s:11:\"trend_index\";i:766;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:441;a:19:{s:4:\"tmpl\";i:965;s:2:\"id\";i:12962;s:5:\"title\";s:26:\"Photography &#8211; Nature\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2020/02/Nature_s.png\";s:12:\"tmpl_created\";i:1582093465;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/photography-nature/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:125;s:16:\"popularity_index\";i:592;s:11:\"trend_index\";i:778;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:442;a:19:{s:4:\"tmpl\";i:491;s:2:\"id\";i:5341;s:5:\"title\";s:10:\"Clients 11\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/clients_black_4.png\";s:12:\"tmpl_created\";i:1520443491;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/clients-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:125;s:16:\"popularity_index\";i:603;s:11:\"trend_index\";i:633;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:443;a:19:{s:4:\"tmpl\";i:966;s:2:\"id\";i:12833;s:5:\"title\";s:38:\"Photography &#8211; Blossoming Flowers\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2020/02/Flowers_s.png\";s:12:\"tmpl_created\";i:1582093469;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/photography-blossoming-flowers/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:126;s:16:\"popularity_index\";i:597;s:11:\"trend_index\";i:750;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:444;a:19:{s:4:\"tmpl\";i:488;s:2:\"id\";i:5315;s:5:\"title\";s:10:\"Clients 12\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_4-1.png\";s:12:\"tmpl_created\";i:1520443486;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/clients-12/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:126;s:16:\"popularity_index\";i:485;s:11:\"trend_index\";i:263;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:445;a:19:{s:4:\"tmpl\";i:967;s:2:\"id\";i:12898;s:5:\"title\";s:36:\"Photography &#8211; Forest Mushrooms\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2020/02/Mushrooms_s.png\";s:12:\"tmpl_created\";i:1582093473;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/photography-forest-mushrooms/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:127;s:16:\"popularity_index\";i:667;s:11:\"trend_index\";i:649;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:446;a:19:{s:4:\"tmpl\";i:968;s:2:\"id\";i:12994;s:5:\"title\";s:24:\"Photography &#8211; Pets\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/02/Pets_s.png\";s:12:\"tmpl_created\";i:1582093477;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/photography-pets/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:128;s:16:\"popularity_index\";i:612;s:11:\"trend_index\";i:508;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:447;a:19:{s:4:\"tmpl\";i:969;s:2:\"id\";i:12805;s:5:\"title\";s:37:\"Photography &#8211; B&amp;W Portraits\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/02/Black_s.png\";s:12:\"tmpl_created\";i:1582093481;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/photography-bw-portraits/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:129;s:16:\"popularity_index\";i:695;s:11:\"trend_index\";i:735;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:448;a:19:{s:4:\"tmpl\";i:490;s:2:\"id\";i:5333;s:5:\"title\";s:10:\"Clients 13\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_6.png\";s:12:\"tmpl_created\";i:1520443489;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/clients-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:129;s:16:\"popularity_index\";i:234;s:11:\"trend_index\";i:128;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:449;a:19:{s:4:\"tmpl\";i:970;s:2:\"id\";i:13031;s:5:\"title\";s:33:\"Photography &#8211; Vivid Parrots\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2020/02/Parrots_s.png\";s:12:\"tmpl_created\";i:1582093484;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/photography-vivid-parrots/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:130;s:16:\"popularity_index\";i:660;s:11:\"trend_index\";i:643;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:450;a:19:{s:4:\"tmpl\";i:496;s:2:\"id\";i:5389;s:5:\"title\";s:10:\"Clients 14\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_black_9.png\";s:12:\"tmpl_created\";i:1520443501;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/clients-14/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:130;s:16:\"popularity_index\";i:407;s:11:\"trend_index\";i:307;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:451;a:19:{s:4:\"tmpl\";i:940;s:2:\"id\";i:12621;s:5:\"title\";s:26:\"Magazine &#8211; Home Page\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/01/Home_s.png\";s:12:\"tmpl_created\";i:1579060604;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/magazine-home-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:131;s:16:\"popularity_index\";i:167;s:11:\"trend_index\";i:121;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:452;a:19:{s:4:\"tmpl\";i:936;s:2:\"id\";i:12352;s:5:\"title\";s:24:\"Travel &#8211; Home Page\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2019/12/Home_s.png\";s:12:\"tmpl_created\";i:1575960464;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/travel-home-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:132;s:16:\"popularity_index\";i:291;s:11:\"trend_index\";i:194;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:453;a:19:{s:4:\"tmpl\";i:486;s:2:\"id\";i:5298;s:5:\"title\";s:10:\"Clients 15\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/clients_white_3.png\";s:12:\"tmpl_created\";i:1520443482;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/clients-15/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:132;s:16:\"popularity_index\";i:465;s:11:\"trend_index\";i:520;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:454;a:19:{s:4:\"tmpl\";i:932;s:2:\"id\";i:12400;s:5:\"title\";s:20:\"Travel &#8211; About\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2019/12/About.png\";s:12:\"tmpl_created\";i:1575960441;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/travel-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:133;s:16:\"popularity_index\";i:444;s:11:\"trend_index\";i:445;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:455;a:19:{s:4:\"tmpl\";i:938;s:2:\"id\";i:12479;s:5:\"title\";s:20:\"Travel &#8211; Tours\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2019/12/Tours_s.png\";s:12:\"tmpl_created\";i:1575960474;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/travel-tours/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:134;s:16:\"popularity_index\";i:539;s:11:\"trend_index\";i:726;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:456;a:19:{s:4:\"tmpl\";i:495;s:2:\"id\";i:5381;s:5:\"title\";s:10:\"Clients 16\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_9.png\";s:12:\"tmpl_created\";i:1520443499;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/clients-16/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:134;s:16:\"popularity_index\";i:198;s:11:\"trend_index\";i:168;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:457;a:19:{s:4:\"tmpl\";i:937;s:2:\"id\";i:12466;s:5:\"title\";s:27:\"Travel &#8211; Testimonials\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/12/Testimonials.png\";s:12:\"tmpl_created\";i:1575960469;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/travel-testimonials/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:135;s:16:\"popularity_index\";i:527;s:11:\"trend_index\";i:481;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:458;a:19:{s:4:\"tmpl\";i:935;s:2:\"id\";i:12443;s:5:\"title\";s:22:\"Travel &#8211; Gallery\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2019/12/Gallery.png\";s:12:\"tmpl_created\";i:1575960459;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/travel-gallery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:136;s:16:\"popularity_index\";i:467;s:11:\"trend_index\";i:501;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:459;a:19:{s:4:\"tmpl\";i:934;s:2:\"id\";i:12431;s:5:\"title\";s:18:\"Travel &#8211; FAQ\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2019/12/FAQ.png\";s:12:\"tmpl_created\";i:1575960453;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:109:\"https://library.elementor.com/travel-faq/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:137;s:16:\"popularity_index\";i:501;s:11:\"trend_index\";i:387;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:460;a:19:{s:4:\"tmpl\";i:493;s:2:\"id\";i:5357;s:5:\"title\";s:9:\"Clients 2\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/clients_black_7.png\";s:12:\"tmpl_created\";i:1520443495;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/clients-2-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:137;s:16:\"popularity_index\";i:341;s:11:\"trend_index\";i:232;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:461;a:19:{s:4:\"tmpl\";i:933;s:2:\"id\";i:12421;s:5:\"title\";s:27:\"Travel &#8211; Contact Page\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/12/Contsct-Us.png\";s:12:\"tmpl_created\";i:1575960445;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/travel-contact-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:138;s:16:\"popularity_index\";i:571;s:11:\"trend_index\";i:536;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:462;a:19:{s:4:\"tmpl\";i:892;s:2:\"id\";i:11763;s:5:\"title\";s:27:\"Portfolio &#8211; Home Page\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/09/Homepage_small.png\";s:12:\"tmpl_created\";i:1569428959;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/portfolio-home-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:34:\"[\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:139;s:16:\"popularity_index\";i:280;s:11:\"trend_index\";i:241;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:463;a:19:{s:4:\"tmpl\";i:485;s:2:\"id\";i:5290;s:5:\"title\";s:9:\"Clients 3\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/clients_black_2.png\";s:12:\"tmpl_created\";i:1520443480;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/clients-3-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:139;s:16:\"popularity_index\";i:545;s:11:\"trend_index\";i:502;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:464;a:19:{s:4:\"tmpl\";i:891;s:2:\"id\";i:11781;s:5:\"title\";s:23:\"Portfolio &#8211; About\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/09/About_small.png\";s:12:\"tmpl_created\";i:1569428955;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/portfolio-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:34:\"[\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:140;s:16:\"popularity_index\";i:349;s:11:\"trend_index\";i:290;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:465;a:19:{s:4:\"tmpl\";i:482;s:2:\"id\";i:5266;s:5:\"title\";s:9:\"Clients 4\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/clients_white_1.png\";s:12:\"tmpl_created\";i:1520443474;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/clients-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:140;s:16:\"popularity_index\";i:95;s:11:\"trend_index\";i:134;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:466;a:19:{s:4:\"tmpl\";i:890;s:2:\"id\";i:11793;s:5:\"title\";s:26:\"Portfolio &#8211; Projects\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/09/Projects_small.png\";s:12:\"tmpl_created\";i:1569428951;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/portfolio-projects/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:34:\"[\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:141;s:16:\"popularity_index\";i:448;s:11:\"trend_index\";i:467;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:467;a:19:{s:4:\"tmpl\";i:889;s:2:\"id\";i:11800;s:5:\"title\";s:25:\"Portfolio &#8211; Contact\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/09/Contact_small.png\";s:12:\"tmpl_created\";i:1569428946;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/portfolio-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:34:\"[\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:142;s:16:\"popularity_index\";i:494;s:11:\"trend_index\";i:449;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:468;a:19:{s:4:\"tmpl\";i:866;s:2:\"id\";i:11163;s:5:\"title\";s:32:\"Digital Agency &#8211; Home Page\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/07/Home_small.png\";s:12:\"tmpl_created\";i:1564641877;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/digital-agency-home-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Digital Agency\",\"Marketing\"]\";s:10:\"menu_order\";i:143;s:16:\"popularity_index\";i:57;s:11:\"trend_index\";i:32;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:469;a:19:{s:4:\"tmpl\";i:483;s:2:\"id\";i:5275;s:5:\"title\";s:9:\"Clients 5\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/clients_black_1.png\";s:12:\"tmpl_created\";i:1520443476;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/clients-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:143;s:16:\"popularity_index\";i:334;s:11:\"trend_index\";i:321;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:470;a:19:{s:4:\"tmpl\";i:492;s:2:\"id\";i:5349;s:5:\"title\";s:9:\"Clients 7\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_7.png\";s:12:\"tmpl_created\";i:1520443493;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/clients-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:144;s:16:\"popularity_index\";i:233;s:11:\"trend_index\";i:92;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:471;a:19:{s:4:\"tmpl\";i:916;s:2:\"id\";i:12143;s:5:\"title\";s:22:\"Law Firm &#8211; About\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2019/11/about.png\";s:12:\"tmpl_created\";i:1572847069;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/law-firm-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:146;s:16:\"popularity_index\";i:350;s:11:\"trend_index\";i:344;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:472;a:19:{s:4:\"tmpl\";i:489;s:2:\"id\";i:5324;s:5:\"title\";s:9:\"Clients 8\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_5-1.png\";s:12:\"tmpl_created\";i:1520443488;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/clients-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:146;s:16:\"popularity_index\";i:526;s:11:\"trend_index\";i:381;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:473;a:19:{s:4:\"tmpl\";i:920;s:2:\"id\";i:12091;s:5:\"title\";s:21:\"Law Firm &#8211; Team\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2019/11/team.png\";s:12:\"tmpl_created\";i:1572847113;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/law-firm-team/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:147;s:16:\"popularity_index\";i:318;s:11:\"trend_index\";i:314;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:474;a:19:{s:4:\"tmpl\";i:869;s:2:\"id\";i:11129;s:5:\"title\";s:28:\"Digital Agency &#8211; About\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/07/About_small.png\";s:12:\"tmpl_created\";i:1564641889;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/digital-agency-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Digital Agency\",\"Marketing\"]\";s:10:\"menu_order\";i:148;s:16:\"popularity_index\";i:182;s:11:\"trend_index\";i:166;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:475;a:19:{s:4:\"tmpl\";i:880;s:2:\"id\";i:11572;s:5:\"title\";s:19:\"Gym &#8211; Trainer\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/08/Trainer_Small.png\";s:12:\"tmpl_created\";i:1567392934;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/gym-trainer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";i:149;s:16:\"popularity_index\";i:521;s:11:\"trend_index\";i:590;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:476;a:19:{s:4:\"tmpl\";i:494;s:2:\"id\";i:5368;s:5:\"title\";s:9:\"Clients 9\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_8.png\";s:12:\"tmpl_created\";i:1520443497;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/clients-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:149;s:16:\"popularity_index\";i:253;s:11:\"trend_index\";i:273;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:477;a:19:{s:4:\"tmpl\";i:917;s:2:\"id\";i:12133;s:5:\"title\";s:24:\"Law Firm &#8211; Careers\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2019/11/careers.png\";s:12:\"tmpl_created\";i:1572847078;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/law-firm-careers/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:151;s:16:\"popularity_index\";i:583;s:11:\"trend_index\";i:640;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:478;a:19:{s:4:\"tmpl\";i:425;s:2:\"id\";i:4436;s:5:\"title\";s:11:\"Contact  16\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/02/map_black_2.png\";s:12:\"tmpl_created\";i:1520443293;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/contact-16/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:151;s:16:\"popularity_index\";i:161;s:11:\"trend_index\";i:68;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:479;a:19:{s:4:\"tmpl\";i:915;s:2:\"id\";i:12155;s:5:\"title\";s:26:\"Law Firm &#8211; Home Page\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2019/11/home.png\";s:12:\"tmpl_created\";i:1572847054;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/law-firm-home-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:152;s:16:\"popularity_index\";i:193;s:11:\"trend_index\";i:110;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:480;a:19:{s:4:\"tmpl\";i:423;s:2:\"id\";i:4420;s:5:\"title\";s:9:\"Contact 1\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/02/map_black_1.png\";s:12:\"tmpl_created\";i:1520443289;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/contact-1-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:152;s:16:\"popularity_index\";i:196;s:11:\"trend_index\";i:127;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:481;a:19:{s:4:\"tmpl\";i:921;s:2:\"id\";i:12080;s:5:\"title\";s:24:\"Law Firm &#8211; Partner\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2019/11/partner-1.png\";s:12:\"tmpl_created\";i:1572847120;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/law-firm-partner/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:153;s:16:\"popularity_index\";i:556;s:11:\"trend_index\";i:471;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:482;a:19:{s:4:\"tmpl\";i:534;s:2:\"id\";i:5836;s:5:\"title\";s:10:\"Contact 10\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/contact_white_2.png\";s:12:\"tmpl_created\";i:1520443597;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/contact-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:154;s:16:\"popularity_index\";i:114;s:11:\"trend_index\";i:76;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:483;a:19:{s:4:\"tmpl\";i:865;s:2:\"id\";i:11074;s:5:\"title\";s:31:\"Digital Agency &#8211; Services\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/07/Services_small.png\";s:12:\"tmpl_created\";i:1564641872;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/digital-agency-services/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Digital Agency\",\"Marketing\"]\";s:10:\"menu_order\";i:154;s:16:\"popularity_index\";i:163;s:11:\"trend_index\";i:170;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:484;a:19:{s:4:\"tmpl\";i:879;s:2:\"id\";i:11506;s:5:\"title\";s:19:\"Gym &#8211; Classes\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/08/Classes_Small.png\";s:12:\"tmpl_created\";i:1567392930;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/gym-classes/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";i:155;s:16:\"popularity_index\";i:514;s:11:\"trend_index\";i:554;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:485;a:19:{s:4:\"tmpl\";i:535;s:2:\"id\";i:5844;s:5:\"title\";s:10:\"Contact 11\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/contact_black_2.png\";s:12:\"tmpl_created\";i:1520443599;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/contact-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:156;s:16:\"popularity_index\";i:289;s:11:\"trend_index\";i:313;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:486;a:19:{s:4:\"tmpl\";i:922;s:2:\"id\";i:12044;s:5:\"title\";s:24:\"Law Firm &#8211; Contact\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/11/contsct_us.png\";s:12:\"tmpl_created\";i:1572847130;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/law-firm-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:157;s:16:\"popularity_index\";i:437;s:11:\"trend_index\";i:304;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:487;a:19:{s:4:\"tmpl\";i:430;s:2:\"id\";i:4476;s:5:\"title\";s:10:\"Contact 15\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/contact_white_4.png\";s:12:\"tmpl_created\";i:1520443303;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/contact-15/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:18:\"[\"Contact\",\"Form\"]\";s:10:\"menu_order\";i:157;s:16:\"popularity_index\";i:229;s:11:\"trend_index\";i:187;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:488;a:19:{s:4:\"tmpl\";i:918;s:2:\"id\";i:12124;s:5:\"title\";s:25:\"Law Firm &#8211; Services\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2019/11/services.png\";s:12:\"tmpl_created\";i:1572847096;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/law-firm-services/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:158;s:16:\"popularity_index\";i:433;s:11:\"trend_index\";i:296;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:489;a:19:{s:4:\"tmpl\";i:864;s:2:\"id\";i:11056;s:5:\"title\";s:35:\"Digital Agency &#8211; Social Media\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2019/07/Social-Media_small.png\";s:12:\"tmpl_created\";i:1564641867;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/digital-agency-social-media/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Digital Agency\",\"Marketing\"]\";s:10:\"menu_order\";i:159;s:16:\"popularity_index\";i:297;s:11:\"trend_index\";i:361;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:490;a:19:{s:4:\"tmpl\";i:476;s:2:\"id\";i:5214;s:5:\"title\";s:10:\"Contact 16\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_2.png\";s:12:\"tmpl_created\";i:1520443462;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/contact-16-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:18:\"[\"Contact\",\"Form\"]\";s:10:\"menu_order\";i:159;s:16:\"popularity_index\";i:194;s:11:\"trend_index\";i:106;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:491;a:19:{s:4:\"tmpl\";i:878;s:2:\"id\";i:11536;s:5:\"title\";s:19:\"Gym &#8211; Fitness\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/08/Fitness_Small.png\";s:12:\"tmpl_created\";i:1567392927;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/gym-fitness/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";i:160;s:16:\"popularity_index\";i:621;s:11:\"trend_index\";i:674;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:492;a:19:{s:4:\"tmpl\";i:882;s:2:\"id\";i:11545;s:5:\"title\";s:21:\"Gym &#8211; Home Page\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/08/Home_Small.png\";s:12:\"tmpl_created\";i:1567392943;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/gym-home-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";i:161;s:16:\"popularity_index\";i:310;s:11:\"trend_index\";i:229;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:493;a:19:{s:4:\"tmpl\";i:919;s:2:\"id\";i:12116;s:5:\"title\";s:24:\"Law Firm &#8211; Service\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/11/family_law.png\";s:12:\"tmpl_created\";i:1572847105;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/law-firm-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:162;s:16:\"popularity_index\";i:489;s:11:\"trend_index\";i:339;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:494;a:19:{s:4:\"tmpl\";i:478;s:2:\"id\";i:5230;s:5:\"title\";s:10:\"Contact 17\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_3.png\";s:12:\"tmpl_created\";i:1520443466;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/contact-17/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:18:\"[\"Contact\",\"Form\"]\";s:10:\"menu_order\";i:162;s:16:\"popularity_index\";i:339;s:11:\"trend_index\";i:335;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:495;a:19:{s:4:\"tmpl\";i:868;s:2:\"id\";i:11094;s:5:\"title\";s:30:\"Digital Agency &#8211; Clients\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/07/Clients_small.png\";s:12:\"tmpl_created\";i:1564641885;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/digital-agency-clients/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Digital Agency\",\"Marketing\"]\";s:10:\"menu_order\";i:163;s:16:\"popularity_index\";i:424;s:11:\"trend_index\";i:424;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:496;a:19:{s:4:\"tmpl\";i:481;s:2:\"id\";i:5257;s:5:\"title\";s:10:\"Contact 18\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_5.png\";s:12:\"tmpl_created\";i:1520443472;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/contact-18/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:8:\"[\"Form\"]\";s:10:\"menu_order\";i:163;s:16:\"popularity_index\";i:438;s:11:\"trend_index\";i:490;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:497;a:19:{s:4:\"tmpl\";i:881;s:2:\"id\";i:11478;s:5:\"title\";s:17:\"Gym &#8211; About\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/08/About_Small.png\";s:12:\"tmpl_created\";i:1567392939;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/gym-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";i:164;s:16:\"popularity_index\";i:481;s:11:\"trend_index\";i:579;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:498;a:19:{s:4:\"tmpl\";i:532;s:2:\"id\";i:5820;s:5:\"title\";s:9:\"Contact 2\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/contact_white_1.png\";s:12:\"tmpl_created\";i:1520443593;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/contact-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:166;s:16:\"popularity_index\";i:183;s:11:\"trend_index\";i:357;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:499;a:19:{s:4:\"tmpl\";i:877;s:2:\"id\";i:11563;s:5:\"title\";s:19:\"Gym &#8211; Pricing\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/08/Pricing_Small.png\";s:12:\"tmpl_created\";i:1567392923;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/gym-pricing/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";i:166;s:16:\"popularity_index\";i:577;s:11:\"trend_index\";i:736;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:500;a:19:{s:4:\"tmpl\";i:422;s:2:\"id\";i:4411;s:5:\"title\";s:9:\"Contact 3\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/02/map_white_1.png\";s:12:\"tmpl_created\";i:1520443287;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/contact-3-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:167;s:16:\"popularity_index\";i:113;s:11:\"trend_index\";i:217;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:501;a:19:{s:4:\"tmpl\";i:867;s:2:\"id\";i:11034;s:5:\"title\";s:30:\"Digital Agency &#8211; Contact\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2019/07/Contsct-Us_small.png\";s:12:\"tmpl_created\";i:1564641881;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/contact-digital-agency/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Digital Agency\",\"Marketing\"]\";s:10:\"menu_order\";i:168;s:16:\"popularity_index\";i:191;s:11:\"trend_index\";i:156;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:502;a:19:{s:4:\"tmpl\";i:533;s:2:\"id\";i:5828;s:5:\"title\";s:9:\"Contact 3\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/contact_black_1.png\";s:12:\"tmpl_created\";i:1520443595;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/contact-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:170;s:16:\"popularity_index\";i:312;s:11:\"trend_index\";i:495;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:503;a:19:{s:4:\"tmpl\";i:876;s:2:\"id\";i:11528;s:5:\"title\";s:19:\"Gym &#8211; Contact\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/08/Contact_Small.png\";s:12:\"tmpl_created\";i:1567392917;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/gym-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";i:171;s:16:\"popularity_index\";i:505;s:11:\"trend_index\";i:624;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:504;a:19:{s:4:\"tmpl\";i:424;s:2:\"id\";i:4428;s:5:\"title\";s:9:\"Contact 4\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/02/map_white_2.png\";s:12:\"tmpl_created\";i:1520443291;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/contact-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:171;s:16:\"popularity_index\";i:118;s:11:\"trend_index\";i:131;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:505;a:19:{s:4:\"tmpl\";i:426;s:2:\"id\";i:4444;s:5:\"title\";s:9:\"Contact 5\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/contact_white_1.png\";s:12:\"tmpl_created\";i:1520443295;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/contact-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:174;s:16:\"popularity_index\";i:84;s:11:\"trend_index\";i:93;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:506;a:19:{s:4:\"tmpl\";i:432;s:2:\"id\";i:4492;s:5:\"title\";s:9:\"Contact 5\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/02/map_white_3.png\";s:12:\"tmpl_created\";i:1520443307;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/contact-5-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:176;s:16:\"popularity_index\";i:37;s:11:\"trend_index\";i:31;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:507;a:19:{s:4:\"tmpl\";i:427;s:2:\"id\";i:4452;s:5:\"title\";s:9:\"Contact 6\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/contact_black_1.png\";s:12:\"tmpl_created\";i:1520443296;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/contact-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:178;s:16:\"popularity_index\";i:139;s:11:\"trend_index\";i:150;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:508;a:19:{s:4:\"tmpl\";i:429;s:2:\"id\";i:4468;s:5:\"title\";s:9:\"Contact 7\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/contact_white_3.png\";s:12:\"tmpl_created\";i:1520443301;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/contact-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:18:\"[\"Contact\",\"Form\"]\";s:10:\"menu_order\";i:179;s:16:\"popularity_index\";i:127;s:11:\"trend_index\";i:72;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:509;a:19:{s:4:\"tmpl\";i:431;s:2:\"id\";i:4484;s:5:\"title\";s:9:\"Contact 8\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/contact_black_3.png\";s:12:\"tmpl_created\";i:1520443305;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/contact-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:18:\"[\"Contact\",\"Form\"]\";s:10:\"menu_order\";i:182;s:16:\"popularity_index\";i:328;s:11:\"trend_index\";i:260;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:510;a:19:{s:4:\"tmpl\";i:428;s:2:\"id\";i:4460;s:5:\"title\";s:9:\"Contact 9\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/contact_white_2.png\";s:12:\"tmpl_created\";i:1520443298;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/contact-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:184;s:16:\"popularity_index\";i:99;s:11:\"trend_index\";i:80;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:511;a:19:{s:4:\"tmpl\";i:613;s:2:\"id\";i:5558;s:5:\"title\";s:5:\"CTA 1\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_2.png\";s:12:\"tmpl_created\";i:1520520684;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/cta-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:185;s:16:\"popularity_index\";i:129;s:11:\"trend_index\";i:69;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:512;a:19:{s:4:\"tmpl\";i:634;s:2:\"id\";i:5939;s:5:\"title\";s:6:\"CTA 10\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_13-1.png\";s:12:\"tmpl_created\";i:1520520760;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:187;s:16:\"popularity_index\";i:190;s:11:\"trend_index\";i:118;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:513;a:19:{s:4:\"tmpl\";i:633;s:2:\"id\";i:5930;s:5:\"title\";s:6:\"CTA 11\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_15.png\";s:12:\"tmpl_created\";i:1520520758;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:190;s:16:\"popularity_index\";i:76;s:11:\"trend_index\";i:84;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:514;a:19:{s:4:\"tmpl\";i:632;s:2:\"id\";i:5921;s:5:\"title\";s:6:\"CTA 12\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_14.png\";s:12:\"tmpl_created\";i:1520520757;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-12/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:192;s:16:\"popularity_index\";i:278;s:11:\"trend_index\";i:234;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:515;a:19:{s:4:\"tmpl\";i:618;s:2:\"id\";i:5607;s:5:\"title\";s:6:\"CTA 13\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_5.png\";s:12:\"tmpl_created\";i:1520520695;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:194;s:16:\"popularity_index\";i:42;s:11:\"trend_index\";i:11;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:516;a:19:{s:4:\"tmpl\";i:574;s:2:\"id\";i:6017;s:5:\"title\";s:6:\"CTA 14\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_14.png\";s:12:\"tmpl_created\";i:1520520331;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-14/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:196;s:16:\"popularity_index\";i:152;s:11:\"trend_index\";i:122;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:517;a:19:{s:4:\"tmpl\";i:628;s:2:\"id\";i:5885;s:5:\"title\";s:6:\"CTA 15\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_11.png\";s:12:\"tmpl_created\";i:1520520751;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-15/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:197;s:16:\"popularity_index\";i:274;s:11:\"trend_index\";i:256;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:518;a:19:{s:4:\"tmpl\";i:627;s:2:\"id\";i:5877;s:5:\"title\";s:6:\"CTA 16\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_10.png\";s:12:\"tmpl_created\";i:1520520749;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-16/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:200;s:16:\"popularity_index\";i:564;s:11:\"trend_index\";i:677;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:519;a:19:{s:4:\"tmpl\";i:625;s:2:\"id\";i:5860;s:5:\"title\";s:6:\"CTA 17\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_9.png\";s:12:\"tmpl_created\";i:1520520746;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-17/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:201;s:16:\"popularity_index\";i:120;s:11:\"trend_index\";i:63;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:520;a:19:{s:4:\"tmpl\";i:626;s:2:\"id\";i:5869;s:5:\"title\";s:6:\"CTA 18\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_10.png\";s:12:\"tmpl_created\";i:1520520747;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-18/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:204;s:16:\"popularity_index\";i:345;s:11:\"trend_index\";i:486;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:521;a:19:{s:4:\"tmpl\";i:611;s:2:\"id\";i:5542;s:5:\"title\";s:6:\"CTA 19\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_1.png\";s:12:\"tmpl_created\";i:1520520681;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-19/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:205;s:16:\"popularity_index\";i:169;s:11:\"trend_index\";i:270;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:522;a:19:{s:4:\"tmpl\";i:614;s:2:\"id\";i:5567;s:5:\"title\";s:5:\"CTA 2\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_2.png\";s:12:\"tmpl_created\";i:1520520685;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/cta-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:207;s:16:\"popularity_index\";i:143;s:11:\"trend_index\";i:225;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:523;a:19:{s:4:\"tmpl\";i:629;s:2:\"id\";i:5893;s:5:\"title\";s:6:\"CTA 21\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_12.png\";s:12:\"tmpl_created\";i:1520520752;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-21/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:210;s:16:\"popularity_index\";i:259;s:11:\"trend_index\";i:457;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:524;a:19:{s:4:\"tmpl\";i:619;s:2:\"id\";i:5634;s:5:\"title\";s:6:\"CTA 24\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_6.png\";s:12:\"tmpl_created\";i:1520520699;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-24/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:212;s:16:\"popularity_index\";i:188;s:11:\"trend_index\";i:255;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:525;a:19:{s:4:\"tmpl\";i:620;s:2:\"id\";i:5642;s:5:\"title\";s:6:\"CTA 25\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_6.png\";s:12:\"tmpl_created\";i:1520520701;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-25/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:214;s:16:\"popularity_index\";i:226;s:11:\"trend_index\";i:262;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:526;a:19:{s:4:\"tmpl\";i:615;s:2:\"id\";i:5583;s:5:\"title\";s:6:\"CTA 26\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_3.png\";s:12:\"tmpl_created\";i:1520520689;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-26/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:216;s:16:\"popularity_index\";i:117;s:11:\"trend_index\";i:117;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:527;a:19:{s:4:\"tmpl\";i:630;s:2:\"id\";i:5904;s:5:\"title\";s:6:\"CTA 27\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_13.png\";s:12:\"tmpl_created\";i:1520520754;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-27/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:217;s:16:\"popularity_index\";i:528;s:11:\"trend_index\";i:517;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:528;a:19:{s:4:\"tmpl\";i:631;s:2:\"id\";i:5912;s:5:\"title\";s:6:\"CTA 28\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_11.png\";s:12:\"tmpl_created\";i:1520520755;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-28/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:219;s:16:\"popularity_index\";i:665;s:11:\"trend_index\";i:702;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:529;a:19:{s:4:\"tmpl\";i:473;s:2:\"id\";i:5189;s:5:\"title\";s:6:\"CTA 29\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_1.png\";s:12:\"tmpl_created\";i:1520443456;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-29/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:8:\"[\"Form\"]\";s:10:\"menu_order\";i:221;s:16:\"popularity_index\";i:472;s:11:\"trend_index\";i:631;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:530;a:19:{s:4:\"tmpl\";i:623;s:2:\"id\";i:5667;s:5:\"title\";s:5:\"CTA 3\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_8.png\";s:12:\"tmpl_created\";i:1520520705;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/cta-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:222;s:16:\"popularity_index\";i:171;s:11:\"trend_index\";i:250;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:531;a:19:{s:4:\"tmpl\";i:474;s:2:\"id\";i:5198;s:5:\"title\";s:6:\"CTA 30\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_black_1.png\";s:12:\"tmpl_created\";i:1520443458;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-30/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:8:\"[\"Form\"]\";s:10:\"menu_order\";i:225;s:16:\"popularity_index\";i:572;s:11:\"trend_index\";i:511;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:532;a:19:{s:4:\"tmpl\";i:475;s:2:\"id\";i:5206;s:5:\"title\";s:6:\"CTA 31\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_black_2.png\";s:12:\"tmpl_created\";i:1520443459;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-31/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:8:\"[\"Form\"]\";s:10:\"menu_order\";i:226;s:16:\"popularity_index\";i:593;s:11:\"trend_index\";i:611;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:533;a:19:{s:4:\"tmpl\";i:480;s:2:\"id\";i:5249;s:5:\"title\";s:6:\"CTA 32\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_black_4.png\";s:12:\"tmpl_created\";i:1520443470;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-32/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:8:\"[\"Form\"]\";s:10:\"menu_order\";i:228;s:16:\"popularity_index\";i:512;s:11:\"trend_index\";i:409;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:534;a:19:{s:4:\"tmpl\";i:612;s:2:\"id\";i:5550;s:5:\"title\";s:6:\"CTA 33\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_1.png\";s:12:\"tmpl_created\";i:1520520682;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-33/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:231;s:16:\"popularity_index\";i:260;s:11:\"trend_index\";i:562;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:535;a:19:{s:4:\"tmpl\";i:536;s:2:\"id\";i:5852;s:5:\"title\";s:6:\"CTA 34\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2018/03/form_1.png\";s:12:\"tmpl_created\";i:1520443600;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-34/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:8:\"[\"Form\"]\";s:10:\"menu_order\";i:232;s:16:\"popularity_index\";i:563;s:11:\"trend_index\";i:828;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:536;a:19:{s:4:\"tmpl\";i:624;s:2:\"id\";i:5675;s:5:\"title\";s:5:\"CTA 4\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_8.png\";s:12:\"tmpl_created\";i:1520520707;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/cta-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:235;s:16:\"popularity_index\";i:391;s:11:\"trend_index\";i:484;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:537;a:19:{s:4:\"tmpl\";i:616;s:2:\"id\";i:5591;s:5:\"title\";s:5:\"CTA 5\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_4.png\";s:12:\"tmpl_created\";i:1520520691;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/cta-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:237;s:16:\"popularity_index\";i:133;s:11:\"trend_index\";i:130;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:538;a:19:{s:4:\"tmpl\";i:617;s:2:\"id\";i:5599;s:5:\"title\";s:5:\"CTA 6\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_4.png\";s:12:\"tmpl_created\";i:1520520693;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/cta-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:239;s:16:\"popularity_index\";i:252;s:11:\"trend_index\";i:362;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:539;a:19:{s:4:\"tmpl\";i:514;s:2:\"id\";i:5575;s:5:\"title\";s:5:\"CTA 7\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_3.png\";s:12:\"tmpl_created\";i:1520443543;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/cta-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:240;s:16:\"popularity_index\";i:13;s:11:\"trend_index\";i:586;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:540;a:19:{s:4:\"tmpl\";i:622;s:2:\"id\";i:5658;s:5:\"title\";s:5:\"CTA 8\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_7.png\";s:12:\"tmpl_created\";i:1520520704;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/cta-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:243;s:16:\"popularity_index\";i:187;s:11:\"trend_index\";i:235;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:541;a:19:{s:4:\"tmpl\";i:621;s:2:\"id\";i:5650;s:5:\"title\";s:5:\"CTA 9\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_7.png\";s:12:\"tmpl_created\";i:1520520702;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/cta-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:244;s:16:\"popularity_index\";i:94;s:11:\"trend_index\";i:148;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:542;a:19:{s:4:\"tmpl\";i:1061;s:2:\"id\";i:15407;s:5:\"title\";s:24:\"Dance Studio &#8211; 404\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2020/10/404.jpg\";s:12:\"tmpl_created\";i:1603181958;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/dance-studio-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:22:\"[\"404\",\"Dance Studio\"]\";s:10:\"menu_order\";i:246;s:16:\"popularity_index\";i:783;s:11:\"trend_index\";i:710;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:543;a:19:{s:4:\"tmpl\";i:1062;s:2:\"id\";i:15400;s:5:\"title\";s:27:\"Dance Studio &#8211; Footer\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/10/Footer.jpg\";s:12:\"tmpl_created\";i:1603181989;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/dance-studio-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:25:\"[\"Dance Studio\",\"Footer\"]\";s:10:\"menu_order\";i:247;s:16:\"popularity_index\";i:586;s:11:\"trend_index\";i:243;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:544;a:19:{s:4:\"tmpl\";i:1063;s:2:\"id\";i:15391;s:5:\"title\";s:27:\"Dance Studio &#8211; Header\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/10/Header.jpg\";s:12:\"tmpl_created\";i:1603182011;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/dance-studio-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:25:\"[\"Dance Studio\",\"Header\"]\";s:10:\"menu_order\";i:248;s:16:\"popularity_index\";i:352;s:11:\"trend_index\";i:67;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:545;a:19:{s:4:\"tmpl\";i:874;s:2:\"id\";i:11192;s:5:\"title\";s:14:\"Digital Agency\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/07/Footer_small.jpg\";s:12:\"tmpl_created\";i:1564642399;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/digital-agency-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:39:\"[\"Digital Agency\",\"Footer\",\"Marketing\"]\";s:10:\"menu_order\";i:250;s:16:\"popularity_index\";i:172;s:11:\"trend_index\";i:105;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:546;a:19:{s:4:\"tmpl\";i:873;s:2:\"id\";i:11198;s:5:\"title\";s:14:\"Digital Agency\";s:9:\"thumbnail\";s:92:\"https://library.elementor.com/wp-content/uploads/2020/06/Header-digital-marketing-agency.png\";s:12:\"tmpl_created\";i:1564642395;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/digital-agency-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:39:\"[\"Digital Agency\",\"Header\",\"Marketing\"]\";s:10:\"menu_order\";i:251;s:16:\"popularity_index\";i:34;s:11:\"trend_index\";i:10;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:547;a:19:{s:4:\"tmpl\";i:872;s:2:\"id\";i:11204;s:5:\"title\";s:14:\"Digital Agency\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2019/07/404_small.jpg\";s:12:\"tmpl_created\";i:1564642389;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/digital-agency-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:36:\"[\"404\",\"Digital Agency\",\"Marketing\"]\";s:10:\"menu_order\";i:253;s:16:\"popularity_index\";i:301;s:11:\"trend_index\";i:239;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:548;a:19:{s:4:\"tmpl\";i:871;s:2:\"id\";i:11220;s:5:\"title\";s:14:\"Digital Agency\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/08/Archive_small1.png\";s:12:\"tmpl_created\";i:1564642385;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/digital-agency-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:30:\"[\"Digital Agency\",\"Marketing\"]\";s:10:\"menu_order\";i:255;s:16:\"popularity_index\";i:116;s:11:\"trend_index\";i:73;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:549;a:19:{s:4:\"tmpl\";i:870;s:2:\"id\";i:11231;s:5:\"title\";s:14:\"Digital Agency\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/07/Post_small1.png\";s:12:\"tmpl_created\";i:1564642380;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/digital-agency/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:30:\"[\"Digital Agency\",\"Marketing\"]\";s:10:\"menu_order\";i:257;s:16:\"popularity_index\";i:145;s:11:\"trend_index\";i:71;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:550;a:19:{s:4:\"tmpl\";i:520;s:2:\"id\";i:5711;s:5:\"title\";s:5:\"FAQ 1\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_black_2.png\";s:12:\"tmpl_created\";i:1520443571;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/faq-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"Faq\"]\";s:10:\"menu_order\";i:260;s:16:\"popularity_index\";i:200;s:11:\"trend_index\";i:231;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:551;a:19:{s:4:\"tmpl\";i:523;s:2:\"id\";i:5737;s:5:\"title\";s:6:\"FAQ 10\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_white_4.png\";s:12:\"tmpl_created\";i:1520443576;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/faq-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"Faq\"]\";s:10:\"menu_order\";i:261;s:16:\"popularity_index\";i:155;s:11:\"trend_index\";i:112;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:552;a:19:{s:4:\"tmpl\";i:524;s:2:\"id\";i:5746;s:5:\"title\";s:6:\"FAQ 11\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_black_4.png\";s:12:\"tmpl_created\";i:1520443578;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/faq-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"Faq\"]\";s:10:\"menu_order\";i:264;s:16:\"popularity_index\";i:212;s:11:\"trend_index\";i:305;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:553;a:19:{s:4:\"tmpl\";i:519;s:2:\"id\";i:5703;s:5:\"title\";s:6:\"FAQ 13\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_white_2.png\";s:12:\"tmpl_created\";i:1520443569;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/faq-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"Faq\"]\";s:10:\"menu_order\";i:265;s:16:\"popularity_index\";i:29;s:11:\"trend_index\";i:38;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:554;a:19:{s:4:\"tmpl\";i:521;s:2:\"id\";i:5719;s:5:\"title\";s:5:\"FAQ 4\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_white_3.png\";s:12:\"tmpl_created\";i:1520443573;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/faq-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"Faq\"]\";s:10:\"menu_order\";i:267;s:16:\"popularity_index\";i:125;s:11:\"trend_index\";i:251;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:555;a:19:{s:4:\"tmpl\";i:522;s:2:\"id\";i:5729;s:5:\"title\";s:5:\"FAQ 5\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_black_3.png\";s:12:\"tmpl_created\";i:1520443575;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/faq-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"Faq\"]\";s:10:\"menu_order\";i:269;s:16:\"popularity_index\";i:319;s:11:\"trend_index\";i:327;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:556;a:19:{s:4:\"tmpl\";i:525;s:2:\"id\";i:5755;s:5:\"title\";s:5:\"FAQ 6\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_white_5.png\";s:12:\"tmpl_created\";i:1520443580;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/faq-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"Faq\"]\";s:10:\"menu_order\";i:271;s:16:\"popularity_index\";i:112;s:11:\"trend_index\";i:180;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:557;a:19:{s:4:\"tmpl\";i:526;s:2:\"id\";i:5764;s:5:\"title\";s:5:\"FAQ 7\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_black_5.png\";s:12:\"tmpl_created\";i:1520443582;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/faq-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"Faq\"]\";s:10:\"menu_order\";i:273;s:16:\"popularity_index\";i:338;s:11:\"trend_index\";i:474;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:558;a:19:{s:4:\"tmpl\";i:517;s:2:\"id\";i:5684;s:5:\"title\";s:5:\"FAQ 8\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_white_1.png\";s:12:\"tmpl_created\";i:1520443565;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/faq-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"Faq\"]\";s:10:\"menu_order\";i:274;s:16:\"popularity_index\";i:74;s:11:\"trend_index\";i:193;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:559;a:19:{s:4:\"tmpl\";i:518;s:2:\"id\";i:5693;s:5:\"title\";s:5:\"FAQ 9\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_black_1.png\";s:12:\"tmpl_created\";i:1520443567;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/faq-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"Faq\"]\";s:10:\"menu_order\";i:276;s:16:\"popularity_index\";i:224;s:11:\"trend_index\";i:515;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:560;a:19:{s:4:\"tmpl\";i:548;s:2:\"id\";i:6053;s:5:\"title\";s:10:\"Features 1\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_black_5.png\";s:12:\"tmpl_created\";i:1520443645;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/features-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:277;s:16:\"popularity_index\";i:179;s:11:\"trend_index\";i:463;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:561;a:19:{s:4:\"tmpl\";i:542;s:2:\"id\";i:5991;s:5:\"title\";s:11:\"Features 10\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_white_4.png\";s:12:\"tmpl_created\";i:1520443632;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/features-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:279;s:16:\"popularity_index\";i:135;s:11:\"trend_index\";i:265;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:562;a:19:{s:4:\"tmpl\";i:547;s:2:\"id\";i:6044;s:5:\"title\";s:11:\"Features 11\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_white_5.png\";s:12:\"tmpl_created\";i:1520443643;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/features-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:280;s:16:\"popularity_index\";i:70;s:11:\"trend_index\";i:163;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:563;a:19:{s:4:\"tmpl\";i:566;s:2:\"id\";i:6212;s:5:\"title\";s:11:\"Features 12\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_white_7.png\";s:12:\"tmpl_created\";i:1520443684;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/features-12/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:281;s:16:\"popularity_index\";i:81;s:11:\"trend_index\";i:98;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:564;a:19:{s:4:\"tmpl\";i:567;s:2:\"id\";i:6220;s:5:\"title\";s:10:\"Features 2\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_white_8.png\";s:12:\"tmpl_created\";i:1520443685;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/features-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:282;s:16:\"popularity_index\";i:88;s:11:\"trend_index\";i:189;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:565;a:19:{s:4:\"tmpl\";i:541;s:2:\"id\";i:5983;s:5:\"title\";s:10:\"Features 3\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_black_3.png\";s:12:\"tmpl_created\";i:1520443630;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/features-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:283;s:16:\"popularity_index\";i:231;s:11:\"trend_index\";i:351;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:566;a:19:{s:4:\"tmpl\";i:540;s:2:\"id\";i:5974;s:5:\"title\";s:10:\"Features 4\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_white_3.png\";s:12:\"tmpl_created\";i:1520443629;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/features-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:286;s:16:\"popularity_index\";i:69;s:11:\"trend_index\";i:181;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:567;a:19:{s:4:\"tmpl\";i:516;s:2:\"id\";i:5624;s:5:\"title\";s:10:\"Features 5\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_black_1.png\";s:12:\"tmpl_created\";i:1520443553;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/features-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:287;s:16:\"popularity_index\";i:93;s:11:\"trend_index\";i:352;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:568;a:19:{s:4:\"tmpl\";i:515;s:2:\"id\";i:5615;s:5:\"title\";s:10:\"Features 6\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_5.png\";s:12:\"tmpl_created\";i:1520443551;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/features-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:290;s:16:\"popularity_index\";i:41;s:11:\"trend_index\";i:119;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:569;a:19:{s:4:\"tmpl\";i:539;s:2:\"id\";i:5963;s:5:\"title\";s:10:\"Features 7\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_white_2.png\";s:12:\"tmpl_created\";i:1520443626;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/features-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:291;s:16:\"popularity_index\";i:67;s:11:\"trend_index\";i:133;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:570;a:19:{s:4:\"tmpl\";i:565;s:2:\"id\";i:6204;s:5:\"title\";s:10:\"Features 8\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/progress_black_6.png\";s:12:\"tmpl_created\";i:1520443681;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/features-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:292;s:16:\"popularity_index\";i:217;s:11:\"trend_index\";i:223;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:571;a:19:{s:4:\"tmpl\";i:564;s:2:\"id\";i:6196;s:5:\"title\";s:10:\"Features 9\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_white_6.png\";s:12:\"tmpl_created\";i:1520443680;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/features-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:294;s:16:\"popularity_index\";i:106;s:11:\"trend_index\";i:113;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:572;a:19:{s:4:\"tmpl\";i:1033;s:2:\"id\";i:15033;s:5:\"title\";s:28:\"Flooring Company &#8211; 404\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2020/08/404.png\";s:12:\"tmpl_created\";i:1597739459;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/blocks/flooring-company-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:45:\"[\"404\",\"Flooring company\",\"Flooring website\"]\";s:10:\"menu_order\";i:296;s:16:\"popularity_index\";i:655;s:11:\"trend_index\";i:671;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:573;a:19:{s:4:\"tmpl\";i:1032;s:2:\"id\";i:15042;s:5:\"title\";s:32:\"Flooring Company &#8211; Archive\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/08/Blog.png\";s:12:\"tmpl_created\";i:1597739084;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/blocks/flooring-company-archive/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:39:\"[\"Flooring company\",\"Flooring website\"]\";s:10:\"menu_order\";i:297;s:16:\"popularity_index\";i:320;s:11:\"trend_index\";i:275;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:574;a:19:{s:4:\"tmpl\";i:1031;s:2:\"id\";i:15017;s:5:\"title\";s:31:\"Flooring Company &#8211; Footer\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/08/Footer.png\";s:12:\"tmpl_created\";i:1597738933;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/blocks/flooring-company-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:48:\"[\"Flooring company\",\"Flooring website\",\"Footer\"]\";s:10:\"menu_order\";i:299;s:16:\"popularity_index\";i:323;s:11:\"trend_index\";i:192;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:575;a:19:{s:4:\"tmpl\";i:1030;s:2:\"id\";i:15007;s:5:\"title\";s:31:\"Flooring Company &#8211; Header\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/08/Header.png\";s:12:\"tmpl_created\";i:1597738896;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/blocks/flooring-company-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:48:\"[\"Flooring company\",\"Flooring website\",\"Header\"]\";s:10:\"menu_order\";i:302;s:16:\"popularity_index\";i:459;s:11:\"trend_index\";i:333;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:576;a:19:{s:4:\"tmpl\";i:1029;s:2:\"id\";i:15052;s:5:\"title\";s:36:\"Flooring Company &#8211; Single post\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/08/Single.png\";s:12:\"tmpl_created\";i:1597738858;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/blocks/flooring-company-single-post/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:39:\"[\"Flooring company\",\"Flooring website\"]\";s:10:\"menu_order\";i:303;s:16:\"popularity_index\";i:392;s:11:\"trend_index\";i:226;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:577;a:19:{s:4:\"tmpl\";i:651;s:2:\"id\";i:7837;s:5:\"title\";s:9:\"footer 01\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.14.jpg\";s:12:\"tmpl_created\";i:1524582852;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/footer-01/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:305;s:16:\"popularity_index\";i:495;s:11:\"trend_index\";i:539;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:578;a:19:{s:4:\"tmpl\";i:647;s:2:\"id\";i:7937;s:5:\"title\";s:10:\"footer 010\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.5.jpg\";s:12:\"tmpl_created\";i:1524582665;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/footer-010/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:308;s:16:\"popularity_index\";i:185;s:11:\"trend_index\";i:115;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:579;a:19:{s:4:\"tmpl\";i:646;s:2:\"id\";i:7950;s:5:\"title\";s:10:\"footer 011\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.4.jpg\";s:12:\"tmpl_created\";i:1524582631;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/footer-011/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:310;s:16:\"popularity_index\";i:244;s:11:\"trend_index\";i:203;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:580;a:19:{s:4:\"tmpl\";i:645;s:2:\"id\";i:7959;s:5:\"title\";s:10:\"footer 012\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.3.jpg\";s:12:\"tmpl_created\";i:1524582605;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/footer-012/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:311;s:16:\"popularity_index\";i:177;s:11:\"trend_index\";i:140;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:581;a:19:{s:4:\"tmpl\";i:644;s:2:\"id\";i:7982;s:5:\"title\";s:10:\"footer 013\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.2.jpg\";s:12:\"tmpl_created\";i:1524582468;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/footer-013/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:314;s:16:\"popularity_index\";i:209;s:11:\"trend_index\";i:212;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:582;a:19:{s:4:\"tmpl\";i:643;s:2:\"id\";i:7997;s:5:\"title\";s:10:\"footer 014\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.1.jpg\";s:12:\"tmpl_created\";i:1524582343;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/footer-014/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:316;s:16:\"popularity_index\";i:64;s:11:\"trend_index\";i:41;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:583;a:19:{s:4:\"tmpl\";i:693;s:2:\"id\";i:9119;s:5:\"title\";s:10:\"footer 015\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/07/Footer_GetStarted_350.png\";s:12:\"tmpl_created\";i:1532428138;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/blocks/demo/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:317;s:16:\"popularity_index\";i:240;s:11:\"trend_index\";i:154;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:584;a:19:{s:4:\"tmpl\";i:652;s:2:\"id\";i:7852;s:5:\"title\";s:9:\"footer 02\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.13.jpg\";s:12:\"tmpl_created\";i:1524582875;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/footer-02/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:320;s:16:\"popularity_index\";i:199;s:11:\"trend_index\";i:96;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:585;a:19:{s:4:\"tmpl\";i:653;s:2:\"id\";i:7862;s:5:\"title\";s:9:\"footer 03\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.12.jpg\";s:12:\"tmpl_created\";i:1524582903;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/footer-03/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:321;s:16:\"popularity_index\";i:137;s:11:\"trend_index\";i:91;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:586;a:19:{s:4:\"tmpl\";i:654;s:2:\"id\";i:7871;s:5:\"title\";s:9:\"footer 04\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.11.jpg\";s:12:\"tmpl_created\";i:1524582927;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/footer-04/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:323;s:16:\"popularity_index\";i:97;s:11:\"trend_index\";i:55;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:587;a:19:{s:4:\"tmpl\";i:655;s:2:\"id\";i:7884;s:5:\"title\";s:9:\"footer 05\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.10.jpg\";s:12:\"tmpl_created\";i:1524582944;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/footer-05/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:325;s:16:\"popularity_index\";i:92;s:11:\"trend_index\";i:109;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:588;a:19:{s:4:\"tmpl\";i:656;s:2:\"id\";i:7892;s:5:\"title\";s:9:\"footer 06\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.9.jpg\";s:12:\"tmpl_created\";i:1524583015;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/footer-06/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:326;s:16:\"popularity_index\";i:132;s:11:\"trend_index\";i:146;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:589;a:19:{s:4:\"tmpl\";i:650;s:2:\"id\";i:7904;s:5:\"title\";s:9:\"footer 07\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.8.jpg\";s:12:\"tmpl_created\";i:1524582814;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/footer-07/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:328;s:16:\"popularity_index\";i:203;s:11:\"trend_index\";i:186;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:590;a:19:{s:4:\"tmpl\";i:649;s:2:\"id\";i:7917;s:5:\"title\";s:9:\"footer 08\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.7.jpg\";s:12:\"tmpl_created\";i:1524582788;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/footer-08/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:329;s:16:\"popularity_index\";i:89;s:11:\"trend_index\";i:144;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:591;a:19:{s:4:\"tmpl\";i:648;s:2:\"id\";i:7927;s:5:\"title\";s:9:\"footer 09\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.6.jpg\";s:12:\"tmpl_created\";i:1524582691;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/footer-09/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:331;s:16:\"popularity_index\";i:178;s:11:\"trend_index\";i:100;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:592;a:19:{s:4:\"tmpl\";i:642;s:2:\"id\";i:4676;s:5:\"title\";s:8:\"Footer 7\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/03/footer_7.png\";s:12:\"tmpl_created\";i:1522014215;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/footer_7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:10:\"[\"Footer\"]\";s:10:\"menu_order\";i:338;s:16:\"popularity_index\";i:237;s:11:\"trend_index\";i:346;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:593;a:19:{s:4:\"tmpl\";i:637;s:2:\"id\";i:7627;s:5:\"title\";s:8:\"Footer 8\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/footer_hero_1.png\";s:12:\"tmpl_created\";i:1521547332;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/footer-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:10:\"[\"Footer\"]\";s:10:\"menu_order\";i:340;s:16:\"popularity_index\";i:100;s:11:\"trend_index\";i:83;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:594;a:19:{s:4:\"tmpl\";i:638;s:2:\"id\";i:7638;s:5:\"title\";s:8:\"Footer 9\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/footer_hero_2.png\";s:12:\"tmpl_created\";i:1521547502;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/footer-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:10:\"[\"Footer\"]\";s:10:\"menu_order\";i:342;s:16:\"popularity_index\";i:124;s:11:\"trend_index\";i:147;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:595;a:19:{s:4:\"tmpl\";i:888;s:2:\"id\";i:11424;s:5:\"title\";s:3:\"GYM\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2019/08/404_Small.png\";s:12:\"tmpl_created\";i:1567393309;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/gym-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:13:\"[\"404\",\"Gym\"]\";s:10:\"menu_order\";i:344;s:16:\"popularity_index\";i:679;s:11:\"trend_index\";i:769;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:596;a:19:{s:4:\"tmpl\";i:887;s:2:\"id\";i:11435;s:5:\"title\";s:3:\"GYM\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/08/Archiv_Small.png\";s:12:\"tmpl_created\";i:1567393296;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/gym-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";i:346;s:16:\"popularity_index\";i:441;s:11:\"trend_index\";i:507;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:597;a:19:{s:4:\"tmpl\";i:886;s:2:\"id\";i:11445;s:5:\"title\";s:3:\"GYM\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/08/Post_Small.png\";s:12:\"tmpl_created\";i:1567393229;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/gym-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";i:349;s:16:\"popularity_index\";i:452;s:11:\"trend_index\";i:479;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:598;a:19:{s:4:\"tmpl\";i:885;s:2:\"id\";i:11453;s:5:\"title\";s:3:\"GYM\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/08/Footer_Small.png\";s:12:\"tmpl_created\";i:1567393224;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/gym-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:16:\"[\"Footer\",\"Gym\"]\";s:10:\"menu_order\";i:351;s:16:\"popularity_index\";i:270;s:11:\"trend_index\";i:331;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:599;a:19:{s:4:\"tmpl\";i:884;s:2:\"id\";i:11461;s:5:\"title\";s:3:\"GYM\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2020/06/Header-gym-and-fitness.png\";s:12:\"tmpl_created\";i:1567393219;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:109:\"https://library.elementor.com/blocks/gym/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:16:\"[\"Gym\",\"Header\"]\";s:10:\"menu_order\";i:352;s:16:\"popularity_index\";i:201;s:11:\"trend_index\";i:135;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:600;a:19:{s:4:\"tmpl\";i:635;s:2:\"id\";i:7596;s:5:\"title\";s:8:\"Header 1\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.12.jpg\";s:12:\"tmpl_created\";i:1521546999;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/header-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:10:\"[\"Header\"]\";s:10:\"menu_order\";i:354;s:16:\"popularity_index\";i:33;s:11:\"trend_index\";i:17;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:601;a:19:{s:4:\"tmpl\";i:663;s:2:\"id\";i:7801;s:5:\"title\";s:9:\"header 10\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.9.jpg\";s:12:\"tmpl_created\";i:1524583659;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/header-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:356;s:16:\"popularity_index\";i:51;s:11:\"trend_index\";i:14;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:602;a:19:{s:4:\"tmpl\";i:658;s:2:\"id\";i:7812;s:5:\"title\";s:9:\"header 11\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.10.jpg\";s:12:\"tmpl_created\";i:1524583298;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/header-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:358;s:16:\"popularity_index\";i:96;s:11:\"trend_index\";i:103;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:603;a:19:{s:4:\"tmpl\";i:657;s:2:\"id\";i:7825;s:5:\"title\";s:9:\"header 12\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.11.jpg\";s:12:\"tmpl_created\";i:1524583273;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/header-12/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:360;s:16:\"popularity_index\";i:63;s:11:\"trend_index\";i:75;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:604;a:19:{s:4:\"tmpl\";i:694;s:2:\"id\";i:9127;s:5:\"title\";s:9:\"header 13\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2018/07/Header_get_started_1200V3.png\";s:12:\"tmpl_created\";i:1532428699;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/header-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:362;s:16:\"popularity_index\";i:61;s:11:\"trend_index\";i:58;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:605;a:19:{s:4:\"tmpl\";i:636;s:2:\"id\";i:7615;s:5:\"title\";s:8:\"Header 2\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.1.jpg\";s:12:\"tmpl_created\";i:1521547237;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/header-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:10:\"[\"Header\"]\";s:10:\"menu_order\";i:365;s:16:\"popularity_index\";i:30;s:11:\"trend_index\";i:33;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:606;a:19:{s:4:\"tmpl\";i:665;s:2:\"id\";i:7713;s:5:\"title\";s:8:\"header 3\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.2.jpg\";s:12:\"tmpl_created\";i:1524584780;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/header-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:367;s:16:\"popularity_index\";i:43;s:11:\"trend_index\";i:28;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:607;a:19:{s:4:\"tmpl\";i:659;s:2:\"id\";i:7724;s:5:\"title\";s:8:\"header 4\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.3.jpg\";s:12:\"tmpl_created\";i:1524583367;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/header-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:369;s:16:\"popularity_index\";i:24;s:11:\"trend_index\";i:13;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:608;a:19:{s:4:\"tmpl\";i:660;s:2:\"id\";i:7734;s:5:\"title\";s:8:\"header 5\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.4.jpg\";s:12:\"tmpl_created\";i:1524583436;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/header-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:371;s:16:\"popularity_index\";i:36;s:11:\"trend_index\";i:18;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:609;a:19:{s:4:\"tmpl\";i:666;s:2:\"id\";i:7744;s:5:\"title\";s:8:\"Header 6\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.5.jpg\";s:12:\"tmpl_created\";i:1524584784;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/header-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:372;s:16:\"popularity_index\";i:65;s:11:\"trend_index\";i:94;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:610;a:19:{s:4:\"tmpl\";i:664;s:2:\"id\";i:7754;s:5:\"title\";s:8:\"header 7\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.6.jpg\";s:12:\"tmpl_created\";i:1524583712;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/header-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:375;s:16:\"popularity_index\";i:111;s:11:\"trend_index\";i:143;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:611;a:19:{s:4:\"tmpl\";i:661;s:2:\"id\";i:7771;s:5:\"title\";s:8:\"header 8\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.7.jpg\";s:12:\"tmpl_created\";i:1524583540;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/header-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:376;s:16:\"popularity_index\";i:91;s:11:\"trend_index\";i:60;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:612;a:19:{s:4:\"tmpl\";i:662;s:2:\"id\";i:7787;s:5:\"title\";s:8:\"header 9\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.8.jpg\";s:12:\"tmpl_created\";i:1524583598;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/header-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:379;s:16:\"popularity_index\";i:102;s:11:\"trend_index\";i:78;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:613;a:19:{s:4:\"tmpl\";i:572;s:2:\"id\";i:6266;s:5:\"title\";s:6:\"Hero 1\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/heroo_black_4.png\";s:12:\"tmpl_created\";i:1520443695;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/hero-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:8:\"[\"hero\"]\";s:10:\"menu_order\";i:380;s:16:\"popularity_index\";i:52;s:11:\"trend_index\";i:35;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:614;a:19:{s:4:\"tmpl\";i:528;s:2:\"id\";i:5783;s:5:\"title\";s:7:\"Hero 10\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/03/header_2.png\";s:12:\"tmpl_created\";i:1520443586;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/hero-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:383;s:16:\"popularity_index\";i:365;s:11:\"trend_index\";i:567;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:615;a:19:{s:4:\"tmpl\";i:527;s:2:\"id\";i:5773;s:5:\"title\";s:7:\"Hero 11\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/03/header_1.png\";s:12:\"tmpl_created\";i:1520443584;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/hero-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:384;s:16:\"popularity_index\";i:39;s:11:\"trend_index\";i:179;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:616;a:19:{s:4:\"tmpl\";i:479;s:2:\"id\";i:5238;s:5:\"title\";s:7:\"Hero 12\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_4.png\";s:12:\"tmpl_created\";i:1520443468;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/hero-12/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:8:\"[\"hero\"]\";s:10:\"menu_order\";i:386;s:16:\"popularity_index\";i:611;s:11:\"trend_index\";i:555;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:617;a:19:{s:4:\"tmpl\";i:573;s:2:\"id\";i:6274;s:5:\"title\";s:6:\"Hero 2\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/heroo_black_5.png\";s:12:\"tmpl_created\";i:1520443698;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/hero-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:8:\"[\"hero\"]\";s:10:\"menu_order\";i:389;s:16:\"popularity_index\";i:87;s:11:\"trend_index\";i:88;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:618;a:19:{s:4:\"tmpl\";i:569;s:2:\"id\";i:6239;s:5:\"title\";s:6:\"Hero 3\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/heroo_black_1.png\";s:12:\"tmpl_created\";i:1520443689;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/hero-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:8:\"[\"hero\"]\";s:10:\"menu_order\";i:391;s:16:\"popularity_index\";i:23;s:11:\"trend_index\";i:34;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:619;a:19:{s:4:\"tmpl\";i:571;s:2:\"id\";i:6258;s:5:\"title\";s:6:\"Hero 4\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/heroo_black_3.png\";s:12:\"tmpl_created\";i:1520443693;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/hero-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:8:\"[\"hero\"]\";s:10:\"menu_order\";i:393;s:16:\"popularity_index\";i:479;s:11:\"trend_index\";i:470;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:620;a:19:{s:4:\"tmpl\";i:570;s:2:\"id\";i:6249;s:5:\"title\";s:6:\"Hero 5\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/heroo_black_2.png\";s:12:\"tmpl_created\";i:1520443691;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/hero-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:8:\"[\"hero\"]\";s:10:\"menu_order\";i:395;s:16:\"popularity_index\";i:56;s:11:\"trend_index\";i:85;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:621;a:19:{s:4:\"tmpl\";i:568;s:2:\"id\";i:6230;s:5:\"title\";s:6:\"Hero 6\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/heroo_white_1.png\";s:12:\"tmpl_created\";i:1520443687;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/hero-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:8:\"[\"hero\"]\";s:10:\"menu_order\";i:396;s:16:\"popularity_index\";i:406;s:11:\"trend_index\";i:542;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:622;a:19:{s:4:\"tmpl\";i:530;s:2:\"id\";i:5801;s:5:\"title\";s:6:\"Hero 7\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/03/header_4.png\";s:12:\"tmpl_created\";i:1520443589;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/hero-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:8:\"[\"hero\"]\";s:10:\"menu_order\";i:398;s:16:\"popularity_index\";i:15;s:11:\"trend_index\";i:37;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:623;a:19:{s:4:\"tmpl\";i:531;s:2:\"id\";i:5811;s:5:\"title\";s:6:\"Hero 8\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/03/header_5.png\";s:12:\"tmpl_created\";i:1520443591;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/hero-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:400;s:16:\"popularity_index\";i:105;s:11:\"trend_index\";i:86;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:624;a:19:{s:4:\"tmpl\";i:529;s:2:\"id\";i:5792;s:5:\"title\";s:6:\"Hero 9\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/03/header_3.png\";s:12:\"tmpl_created\";i:1520443588;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/hero-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:403;s:16:\"popularity_index\";i:225;s:11:\"trend_index\";i:244;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:625;a:19:{s:4:\"tmpl\";i:978;s:2:\"id\";i:13251;s:5:\"title\";s:27:\"Interior Design &#8211; 404\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2020/04/404.png\";s:12:\"tmpl_created\";i:1586148737;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/interior-design-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:30:\"[\"Business\",\"Interior Design\"]\";s:10:\"menu_order\";i:405;s:16:\"popularity_index\";i:730;s:11:\"trend_index\";i:795;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:626;a:19:{s:4:\"tmpl\";i:979;s:2:\"id\";i:13244;s:5:\"title\";s:30:\"Interior Design &#8211; Footer\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/04/Footer.png\";s:12:\"tmpl_created\";i:1586148742;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/blocks/interior-design-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:39:\"[\"Business\",\"Footer\",\"Interior Design\"]\";s:10:\"menu_order\";i:406;s:16:\"popularity_index\";i:322;s:11:\"trend_index\";i:178;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:627;a:19:{s:4:\"tmpl\";i:980;s:2:\"id\";i:13236;s:5:\"title\";s:30:\"Interior Design &#8211; Header\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2020/06/Header-interior-design.png\";s:12:\"tmpl_created\";i:1586148746;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/blocks/interior-design-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:39:\"[\"Business\",\"Header\",\"Interior Design\"]\";s:10:\"menu_order\";i:408;s:16:\"popularity_index\";i:146;s:11:\"trend_index\";i:64;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:628;a:19:{s:4:\"tmpl\";i:977;s:2:\"id\";i:13259;s:5:\"title\";s:36:\"Interior Design &#8211; News Archive\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2020/04/Archiv-Blog.png\";s:12:\"tmpl_created\";i:1586148733;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/blocks/interior-design-news-archive/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:30:\"[\"Business\",\"Interior Design\"]\";s:10:\"menu_order\";i:410;s:16:\"popularity_index\";i:436;s:11:\"trend_index\";i:132;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:629;a:19:{s:4:\"tmpl\";i:976;s:2:\"id\";i:13267;s:5:\"title\";s:35:\"Interior Design &#8211; Single News\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/04/Post.png\";s:12:\"tmpl_created\";i:1586148728;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/blocks/interior-design-single-news/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:30:\"[\"Business\",\"Interior Design\"]\";s:10:\"menu_order\";i:413;s:16:\"popularity_index\";i:402;s:11:\"trend_index\";i:108;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:630;a:19:{s:4:\"tmpl\";i:975;s:2:\"id\";i:13274;s:5:\"title\";s:38:\"Interior Design &#8211; Single Project\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2020/04/Single-Project-.png\";s:12:\"tmpl_created\";i:1586148723;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:136:\"https://library.elementor.com/blocks/interior-design-single-project/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:30:\"[\"Business\",\"Interior Design\"]\";s:10:\"menu_order\";i:414;s:16:\"popularity_index\";i:601;s:11:\"trend_index\";i:324;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:631;a:19:{s:4:\"tmpl\";i:1011;s:2:\"id\";i:14058;s:5:\"title\";s:36:\"Japanese restaurant &#8211; 404 page\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2020/06/404-Page.jpg\";s:12:\"tmpl_created\";i:1592290211;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/blocks/japanese-restaurant-404-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:38:\"[\"404\",\"Food\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:416;s:16:\"popularity_index\";i:724;s:11:\"trend_index\";i:647;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:632;a:19:{s:4:\"tmpl\";i:1012;s:2:\"id\";i:14050;s:5:\"title\";s:34:\"Japanese restaurant &#8211; Footer\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2020/06/Footer-Small.jpg\";s:12:\"tmpl_created\";i:1592290247;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/blocks/japanese-restaurant-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:41:\"[\"Food\",\"Footer\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:419;s:16:\"popularity_index\";i:317;s:11:\"trend_index\";i:238;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:633;a:19:{s:4:\"tmpl\";i:1013;s:2:\"id\";i:14042;s:5:\"title\";s:34:\"Japanese Restaurant &#8211; Header\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2020/06/japanese-restaurant-header.jpg\";s:12:\"tmpl_created\";i:1592290277;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/blocks/japanese-restaurant-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:41:\"[\"Food\",\"Header\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:421;s:16:\"popularity_index\";i:411;s:11:\"trend_index\";i:274;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:634;a:19:{s:4:\"tmpl\";i:914;s:2:\"id\";i:12164;s:5:\"title\";s:20:\"Law Firm &#8211; 404\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2019/11/404.png\";s:12:\"tmpl_created\";i:1572846979;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/law-firm-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:24:\"[\"404\",\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:422;s:16:\"popularity_index\";i:704;s:11:\"trend_index\";i:716;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:635;a:19:{s:4:\"tmpl\";i:913;s:2:\"id\";i:12170;s:5:\"title\";s:23:\"Law Firm &#8211; Archiv\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2019/11/archiv.png\";s:12:\"tmpl_created\";i:1572846967;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/blocks/law-firm-archiv/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:424;s:16:\"popularity_index\";i:431;s:11:\"trend_index\";i:294;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:636;a:19:{s:4:\"tmpl\";i:912;s:2:\"id\";i:12179;s:5:\"title\";s:23:\"Law Firm &#8211; Footer\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2019/11/footer.png\";s:12:\"tmpl_created\";i:1572846958;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/blocks/law-firm-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:27:\"[\"Footer\",\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:425;s:16:\"popularity_index\";i:388;s:11:\"trend_index\";i:240;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:637;a:19:{s:4:\"tmpl\";i:911;s:2:\"id\";i:12194;s:5:\"title\";s:23:\"Law Firm &#8211; Header\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2020/06/Header-law-firm.png\";s:12:\"tmpl_created\";i:1572846935;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/blocks/law-firm-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:27:\"[\"Header\",\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:427;s:16:\"popularity_index\";i:80;s:11:\"trend_index\";i:39;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:638;a:19:{s:4:\"tmpl\";i:910;s:2:\"id\";i:12203;s:5:\"title\";s:30:\"Law Firm &#8211; Search Archiv\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/11/search_result.png\";s:12:\"tmpl_created\";i:1572846925;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/blocks/law-firm-search-archiv/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:430;s:16:\"popularity_index\";i:493;s:11:\"trend_index\";i:433;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:639;a:19:{s:4:\"tmpl\";i:909;s:2:\"id\";i:12212;s:5:\"title\";s:28:\"Law Firm &#8211; Single Post\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2019/11/single.png\";s:12:\"tmpl_created\";i:1572846914;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/blocks/law-firm-single-post/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:432;s:16:\"popularity_index\";i:326;s:11:\"trend_index\";i:214;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:640;a:19:{s:4:\"tmpl\";i:1022;s:2:\"id\";i:14772;s:5:\"title\";s:35:\"Luxury Real Estate &#8211; 404 page\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2020/07/404.png\";s:12:\"tmpl_created\";i:1595315728;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/blocks/luxury-real-estate-404-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:34:\"[\"404\",\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:433;s:16:\"popularity_index\";i:759;s:11:\"trend_index\";i:720;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:641;a:19:{s:4:\"tmpl\";i:1023;s:2:\"id\";i:14779;s:5:\"title\";s:33:\"Luxury Real Estate &#8211; Footer\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/07/Footer.png\";s:12:\"tmpl_created\";i:1595315743;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/blocks/luxury-real-estate-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:37:\"[\"Footer\",\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:434;s:16:\"popularity_index\";i:536;s:11:\"trend_index\";i:505;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:642;a:19:{s:4:\"tmpl\";i:1024;s:2:\"id\";i:14790;s:5:\"title\";s:33:\"Luxury Real Estate &#8211; Header\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/07/Header.png\";s:12:\"tmpl_created\";i:1595315760;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/blocks/luxury-real-estate-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:37:\"[\"Header\",\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:436;s:16:\"popularity_index\";i:101;s:11:\"trend_index\";i:157;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:643;a:19:{s:4:\"tmpl\";i:1026;s:2:\"id\";i:14809;s:5:\"title\";s:45:\"Luxury Real Estate &#8211; Properties Archive\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/07/Properties.png\";s:12:\"tmpl_created\";i:1595315826;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:143:\"https://library.elementor.com/blocks/luxury-real-estate-properties-archive/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:28:\"[\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:438;s:16:\"popularity_index\";i:414;s:11:\"trend_index\";i:420;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:644;a:19:{s:4:\"tmpl\";i:1027;s:2:\"id\";i:14816;s:5:\"title\";s:47:\"Luxury Real Estate &#8211; Property single post\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2020/07/Single-Property-.png\";s:12:\"tmpl_created\";i:1595315847;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:145:\"https://library.elementor.com/blocks/luxury-real-estate-property-single-post/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:28:\"[\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:441;s:16:\"popularity_index\";i:541;s:11:\"trend_index\";i:665;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:645;a:19:{s:4:\"tmpl\";i:1025;s:2:\"id\";i:14799;s:5:\"title\";s:38:\"Luxury Real Estate &#8211; single post\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/07/Post.png\";s:12:\"tmpl_created\";i:1595315792;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:136:\"https://library.elementor.com/blocks/luxury-real-estate-single-post/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:28:\"[\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:442;s:16:\"popularity_index\";i:369;s:11:\"trend_index\";i:441;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:646;a:19:{s:4:\"tmpl\";i:950;s:2:\"id\";i:12635;s:5:\"title\";s:20:\"Magazine &#8211; 404\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/01/404_s.png\";s:12:\"tmpl_created\";i:1579060746;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/magazine-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:25:\"[\"404\",\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:445;s:16:\"popularity_index\";i:645;s:11:\"trend_index\";i:734;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:647;a:19:{s:4:\"tmpl\";i:949;s:2:\"id\";i:12643;s:5:\"title\";s:24:\"Magazine &#8211; Archiv1\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2020/01/Archiv1_s.png\";s:12:\"tmpl_created\";i:1579060737;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/magazine-archiv1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:447;s:16:\"popularity_index\";i:346;s:11:\"trend_index\";i:272;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:648;a:19:{s:4:\"tmpl\";i:946;s:2:\"id\";i:12669;s:5:\"title\";s:23:\"Magazine &#8211; Footer\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2020/01/Footer_s.png\";s:12:\"tmpl_created\";i:1579060715;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/blocks/magazine-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:28:\"[\"Blog\",\"Footer\",\"Magazine\"]\";s:10:\"menu_order\";i:448;s:16:\"popularity_index\";i:442;s:11:\"trend_index\";i:349;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:649;a:19:{s:4:\"tmpl\";i:945;s:2:\"id\";i:12678;s:5:\"title\";s:23:\"Magazine &#8211; Header\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2020/06/Header-magazine.png\";s:12:\"tmpl_created\";i:1579060701;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/blocks/magazine-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:28:\"[\"Blog\",\"Header\",\"Magazine\"]\";s:10:\"menu_order\";i:450;s:16:\"popularity_index\";i:295;s:11:\"trend_index\";i:197;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:650;a:19:{s:4:\"tmpl\";i:947;s:2:\"id\";i:12661;s:5:\"title\";s:23:\"Magazine &#8211; Search\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2020/01/Search_s.png\";s:12:\"tmpl_created\";i:1579060722;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/blocks/magazine-search/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:452;s:16:\"popularity_index\";i:396;s:11:\"trend_index\";i:509;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:651;a:19:{s:4:\"tmpl\";i:944;s:2:\"id\";i:12688;s:5:\"title\";s:30:\"Magazine &#8211; Single Post 1\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/01/Post2_s.png\";s:12:\"tmpl_created\";i:1579060692;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/blocks/magazine-single-post-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:453;s:16:\"popularity_index\";i:342;s:11:\"trend_index\";i:175;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:652;a:19:{s:4:\"tmpl\";i:943;s:2:\"id\";i:12699;s:5:\"title\";s:30:\"Magazine &#8211; Single Post 2\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/01/Post3_s.png\";s:12:\"tmpl_created\";i:1579060680;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/blocks/magazine-single-post-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:454;s:16:\"popularity_index\";i:348;s:11:\"trend_index\";i:129;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:653;a:19:{s:4:\"tmpl\";i:942;s:2:\"id\";i:12707;s:5:\"title\";s:30:\"Magazine &#8211; Single Post 3\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/01/Post1_s.png\";s:12:\"tmpl_created\";i:1579060669;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/blocks/magazine-single-post-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:457;s:16:\"popularity_index\";i:476;s:11:\"trend_index\";i:246;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:654;a:19:{s:4:\"tmpl\";i:941;s:2:\"id\";i:12716;s:5:\"title\";s:30:\"Magazine &#8211; Single Post 3\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/01/Post4_s.png\";s:12:\"tmpl_created\";i:1579060659;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/blocks/magazine-single-post-3-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:459;s:16:\"popularity_index\";i:513;s:11:\"trend_index\";i:489;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:655;a:19:{s:4:\"tmpl\";i:948;s:2:\"id\";i:12652;s:5:\"title\";s:17:\"Magazine- Archiv2\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2020/01/Archiv2_s.png\";s:12:\"tmpl_created\";i:1579060730;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/magazine-archiv2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:461;s:16:\"popularity_index\";i:525;s:11:\"trend_index\";i:585;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:656;a:19:{s:4:\"tmpl\";i:990;s:2:\"id\";i:13361;s:5:\"title\";s:25:\"Online Course &#8211; 404\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2020/04/404.jpg\";s:12:\"tmpl_created\";i:1587474710;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/blocks/online-course-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:35:\"[\"404\",\"Course Online\",\"Education\"]\";s:10:\"menu_order\";i:462;s:16:\"popularity_index\";i:682;s:11:\"trend_index\";i:498;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:657;a:19:{s:4:\"tmpl\";i:987;s:2:\"id\";i:13387;s:5:\"title\";s:32:\"Online Course &#8211; End Lesson\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2020/04/Lesson-End-.jpg\";s:12:\"tmpl_created\";i:1587474682;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/blocks/online-course-end-lesson/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:29:\"[\"Course Online\",\"Education\"]\";s:10:\"menu_order\";i:464;s:16:\"popularity_index\";i:653;s:11:\"trend_index\";i:408;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:658;a:19:{s:4:\"tmpl\";i:989;s:2:\"id\";i:13369;s:5:\"title\";s:28:\"Online Course &#8211; Footer\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/04/Footer.jpg\";s:12:\"tmpl_created\";i:1587474701;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/blocks/online-course-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:38:\"[\"Course Online\",\"Education\",\"Footer\"]\";s:10:\"menu_order\";i:466;s:16:\"popularity_index\";i:389;s:11:\"trend_index\";i:308;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:659;a:19:{s:4:\"tmpl\";i:988;s:2:\"id\";i:13378;s:5:\"title\";s:28:\"Online Course &#8211; Header\";s:9:\"thumbnail\";s:92:\"https://library.elementor.com/wp-content/uploads/2020/06/Header-education-online-courses.jpg\";s:12:\"tmpl_created\";i:1587474693;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/blocks/online-course-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:38:\"[\"Course Online\",\"Education\",\"Header\"]\";s:10:\"menu_order\";i:469;s:16:\"popularity_index\";i:492;s:11:\"trend_index\";i:519;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:660;a:19:{s:4:\"tmpl\";i:986;s:2:\"id\";i:13395;s:5:\"title\";s:34:\"Online Course &#8211; Start Lesson\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2020/04/Lesson-Start.jpg\";s:12:\"tmpl_created\";i:1587474673;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/blocks/online-course-start-lesson/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:29:\"[\"Course Online\",\"Education\"]\";s:10:\"menu_order\";i:471;s:16:\"popularity_index\";i:672;s:11:\"trend_index\";i:578;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:661;a:19:{s:4:\"tmpl\";i:953;s:2:\"id\";i:13089;s:5:\"title\";s:23:\"Photography &#8211; 404\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/02/404_s.png\";s:12:\"tmpl_created\";i:1582091623;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/blocks/photography-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:33:\"[\"404\",\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:473;s:16:\"popularity_index\";i:702;s:11:\"trend_index\";i:706;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:662;a:19:{s:4:\"tmpl\";i:954;s:2:\"id\";i:13096;s:5:\"title\";s:32:\"Photography &#8211; Archiv Media\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2020/02/Archiv_s.png\";s:12:\"tmpl_created\";i:1582091742;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/blocks/photography-archiv-media/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:475;s:16:\"popularity_index\";i:631;s:11:\"trend_index\";i:405;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:663;a:19:{s:4:\"tmpl\";i:955;s:2:\"id\";i:13103;s:5:\"title\";s:26:\"Photography &#8211; Footer\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2020/02/Footer_s.png\";s:12:\"tmpl_created\";i:1582091903;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/blocks/photography-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:36:\"[\"Footer\",\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:477;s:16:\"popularity_index\";i:422;s:11:\"trend_index\";i:230;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:664;a:19:{s:4:\"tmpl\";i:957;s:2:\"id\";i:13112;s:5:\"title\";s:26:\"Photography &#8211; Header\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2020/06/Header-photography-portfolio.png\";s:12:\"tmpl_created\";i:1582092483;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/blocks/photography-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:36:\"[\"Header\",\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:478;s:16:\"popularity_index\";i:325;s:11:\"trend_index\";i:205;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:665;a:19:{s:4:\"tmpl\";i:956;s:2:\"id\";i:13120;s:5:\"title\";s:31:\"Photography &#8211; Single Post\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/02/Post_s.png\";s:12:\"tmpl_created\";i:1582092351;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/blocks/photography-single-post/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:480;s:16:\"popularity_index\";i:671;s:11:\"trend_index\";i:645;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:666;a:19:{s:4:\"tmpl\";i:901;s:2:\"id\";i:11807;s:5:\"title\";s:9:\"Portfolio\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2019/09/404_small.png\";s:12:\"tmpl_created\";i:1569430070;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-20/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:40:\"[\"404\",\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:483;s:16:\"popularity_index\";i:480;s:11:\"trend_index\";i:497;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:667;a:19:{s:4:\"tmpl\";i:900;s:2:\"id\";i:11832;s:5:\"title\";s:9:\"Portfolio\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/09/Footer_small.png\";s:12:\"tmpl_created\";i:1569430019;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-19/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:43:\"[\"Creative Portfolio\",\"Footer\",\"Portfolio\"]\";s:10:\"menu_order\";i:484;s:16:\"popularity_index\";i:246;s:11:\"trend_index\";i:102;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:668;a:19:{s:4:\"tmpl\";i:898;s:2:\"id\";i:11847;s:5:\"title\";s:9:\"Portfolio\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/09/Archiv_small.png\";s:12:\"tmpl_created\";i:1569430010;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/portfolio-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:34:\"[\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:487;s:16:\"popularity_index\";i:336;s:11:\"trend_index\";i:455;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:669;a:19:{s:4:\"tmpl\";i:897;s:2:\"id\";i:11854;s:5:\"title\";s:9:\"Portfolio\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/09/Post_small.png\";s:12:\"tmpl_created\";i:1569429983;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/portfolio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:34:\"[\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:489;s:16:\"popularity_index\";i:482;s:11:\"trend_index\";i:609;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:670;a:19:{s:4:\"tmpl\";i:904;s:2:\"id\";i:11890;s:5:\"title\";s:9:\"Portfolio\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2020/06/Header-design-portfolio.png\";s:12:\"tmpl_created\";i:1571907344;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/portfolio-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:43:\"[\"Creative Portfolio\",\"Header\",\"Portfolio\"]\";s:10:\"menu_order\";i:491;s:16:\"popularity_index\";i:306;s:11:\"trend_index\";i:364;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:671;a:19:{s:4:\"tmpl\";i:896;s:2:\"id\";i:11861;s:5:\"title\";s:27:\"Portfolio &#8211; Project 1\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/09/Project1_small.png\";s:12:\"tmpl_created\";i:1569429975;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/portfolio-project-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:34:\"[\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:493;s:16:\"popularity_index\";i:643;s:11:\"trend_index\";i:764;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:672;a:19:{s:4:\"tmpl\";i:895;s:2:\"id\";i:11870;s:5:\"title\";s:27:\"Portfolio &#8211; Project 2\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/09/Project2_small.png\";s:12:\"tmpl_created\";i:1569429964;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/portfolio-project-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:34:\"[\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:495;s:16:\"popularity_index\";i:662;s:11:\"trend_index\";i:816;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:673;a:19:{s:4:\"tmpl\";i:903;s:2:\"id\";i:11897;s:5:\"title\";s:27:\"Portfolio &#8211; Project 2\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/09/Project2_small.png\";s:12:\"tmpl_created\";i:1569494236;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/blocks/portfolio-project-2-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:34:\"[\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:496;s:16:\"popularity_index\";i:733;s:11:\"trend_index\";i:744;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:674;a:19:{s:4:\"tmpl\";i:894;s:2:\"id\";i:11877;s:5:\"title\";s:27:\"Portfolio &#8211; Project 3\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/09/Project3_small.png\";s:12:\"tmpl_created\";i:1569429954;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/portfolio-project-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:34:\"[\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:498;s:16:\"popularity_index\";i:692;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:675;a:19:{s:4:\"tmpl\";i:597;s:2:\"id\";i:5019;s:5:\"title\";s:11:\"Portfolio 1\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_black_1.png\";s:12:\"tmpl_created\";i:1520520580;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/portfolio-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:500;s:16:\"popularity_index\";i:170;s:11:\"trend_index\";i:236;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:676;a:19:{s:4:\"tmpl\";i:609;s:2:\"id\";i:5141;s:5:\"title\";s:12:\"Portfolio 10\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_10.png\";s:12:\"tmpl_created\";i:1520520601;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:503;s:16:\"popularity_index\";i:416;s:11:\"trend_index\";i:478;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:677;a:19:{s:4:\"tmpl\";i:598;s:2:\"id\";i:5027;s:5:\"title\";s:12:\"Portfolio 11\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_2.png\";s:12:\"tmpl_created\";i:1520520581;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:504;s:16:\"popularity_index\";i:304;s:11:\"trend_index\";i:421;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:678;a:19:{s:4:\"tmpl\";i:599;s:2:\"id\";i:5037;s:5:\"title\";s:12:\"Portfolio 12\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_3.png\";s:12:\"tmpl_created\";i:1520520583;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-12/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:507;s:16:\"popularity_index\";i:279;s:11:\"trend_index\";i:399;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:679;a:19:{s:4:\"tmpl\";i:600;s:2:\"id\";i:5057;s:5:\"title\";s:12:\"Portfolio 13\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_4.png\";s:12:\"tmpl_created\";i:1520520586;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:509;s:16:\"popularity_index\";i:239;s:11:\"trend_index\";i:288;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:680;a:19:{s:4:\"tmpl\";i:601;s:2:\"id\";i:5071;s:5:\"title\";s:12:\"Portfolio 14\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_5.png\";s:12:\"tmpl_created\";i:1520520588;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-14/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:511;s:16:\"popularity_index\";i:276;s:11:\"trend_index\";i:329;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:681;a:19:{s:4:\"tmpl\";i:603;s:2:\"id\";i:5090;s:5:\"title\";s:12:\"Portfolio 15\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_6.png\";s:12:\"tmpl_created\";i:1520520591;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-15/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:513;s:16:\"popularity_index\";i:186;s:11:\"trend_index\";i:283;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:682;a:19:{s:4:\"tmpl\";i:604;s:2:\"id\";i:5098;s:5:\"title\";s:12:\"Portfolio 16\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_7.png\";s:12:\"tmpl_created\";i:1520520593;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-16/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:515;s:16:\"popularity_index\";i:156;s:11:\"trend_index\";i:211;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:683;a:19:{s:4:\"tmpl\";i:606;s:2:\"id\";i:5115;s:5:\"title\";s:12:\"Portfolio 17\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_8.png\";s:12:\"tmpl_created\";i:1520520596;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-17/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:517;s:16:\"popularity_index\";i:19;s:11:\"trend_index\";i:22;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:684;a:19:{s:4:\"tmpl\";i:608;s:2:\"id\";i:5133;s:5:\"title\";s:12:\"Portfolio 18\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_9.png\";s:12:\"tmpl_created\";i:1520520599;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-18/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:519;s:16:\"popularity_index\";i:180;s:11:\"trend_index\";i:280;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:685;a:19:{s:4:\"tmpl\";i:610;s:2:\"id\";i:5149;s:5:\"title\";s:11:\"Portfolio 2\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_black_10.png\";s:12:\"tmpl_created\";i:1520520602;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/portfolio-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:521;s:16:\"popularity_index\";i:413;s:11:\"trend_index\";i:635;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:686;a:19:{s:4:\"tmpl\";i:468;s:2:\"id\";i:5045;s:5:\"title\";s:11:\"Portfolio 3\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_black_2.png\";s:12:\"tmpl_created\";i:1520443423;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/portfolio-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:523;s:16:\"popularity_index\";i:636;s:11:\"trend_index\";i:608;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:687;a:19:{s:4:\"tmpl\";i:602;s:2:\"id\";i:5082;s:5:\"title\";s:11:\"Portfolio 4\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_black_4.png\";s:12:\"tmpl_created\";i:1520520589;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/portfolio-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:524;s:16:\"popularity_index\";i:558;s:11:\"trend_index\";i:654;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:688;a:19:{s:4:\"tmpl\";i:605;s:2:\"id\";i:5107;s:5:\"title\";s:11:\"Portfolio 5\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_black_7.png\";s:12:\"tmpl_created\";i:1520520594;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/portfolio-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:527;s:16:\"popularity_index\";i:380;s:11:\"trend_index\";i:347;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:689;a:19:{s:4:\"tmpl\";i:607;s:2:\"id\";i:5125;s:5:\"title\";s:11:\"Portfolio 6\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_black_8.png\";s:12:\"tmpl_created\";i:1520520597;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/portfolio-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:529;s:16:\"popularity_index\";i:236;s:11:\"trend_index\";i:386;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:690;a:19:{s:4:\"tmpl\";i:596;s:2:\"id\";i:5007;s:5:\"title\";s:11:\"Portfolio 7\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_1.png\";s:12:\"tmpl_created\";i:1520520578;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/portfolio-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:530;s:16:\"popularity_index\";i:44;s:11:\"trend_index\";i:183;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:691;a:19:{s:4:\"tmpl\";i:434;s:2:\"id\";i:4509;s:5:\"title\";s:9:\"Pricing 1\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_black_1.png\";s:12:\"tmpl_created\";i:1520443310;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/pricing-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:532;s:16:\"popularity_index\";i:703;s:11:\"trend_index\";i:641;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:692;a:19:{s:4:\"tmpl\";i:439;s:2:\"id\";i:4553;s:5:\"title\";s:10:\"Pricing 10\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_white_4.png\";s:12:\"tmpl_created\";i:1520443319;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/pricing-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:534;s:16:\"popularity_index\";i:511;s:11:\"trend_index\";i:506;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:693;a:19:{s:4:\"tmpl\";i:441;s:2:\"id\";i:4572;s:5:\"title\";s:10:\"Pricing 11\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_white_5.png\";s:12:\"tmpl_created\";i:1520443324;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/pricing-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:537;s:16:\"popularity_index\";i:308;s:11:\"trend_index\";i:248;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:694;a:19:{s:4:\"tmpl\";i:442;s:2:\"id\";i:4580;s:5:\"title\";s:10:\"Pricing 12\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_white_6.png\";s:12:\"tmpl_created\";i:1520443326;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/pricing-12/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:539;s:16:\"popularity_index\";i:576;s:11:\"trend_index\";i:526;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:695;a:19:{s:4:\"tmpl\";i:444;s:2:\"id\";i:4597;s:5:\"title\";s:10:\"Pricing 13\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_white_7.png\";s:12:\"tmpl_created\";i:1520443330;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/pricing-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:540;s:16:\"popularity_index\";i:613;s:11:\"trend_index\";i:450;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:696;a:19:{s:4:\"tmpl\";i:446;s:2:\"id\";i:4613;s:5:\"title\";s:10:\"Pricing 14\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_white_8.png\";s:12:\"tmpl_created\";i:1520443334;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/pricing-14/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:543;s:16:\"popularity_index\";i:581;s:11:\"trend_index\";i:568;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:697;a:19:{s:4:\"tmpl\";i:436;s:2:\"id\";i:4529;s:5:\"title\";s:9:\"Pricing 2\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_black_2.png\";s:12:\"tmpl_created\";i:1520443314;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/pricing-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:545;s:16:\"popularity_index\";i:609;s:11:\"trend_index\";i:613;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:698;a:19:{s:4:\"tmpl\";i:438;s:2:\"id\";i:4545;s:5:\"title\";s:9:\"Pricing 3\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_black_3.png\";s:12:\"tmpl_created\";i:1520443317;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/pricing-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:547;s:16:\"popularity_index\";i:707;s:11:\"trend_index\";i:825;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:699;a:19:{s:4:\"tmpl\";i:440;s:2:\"id\";i:4562;s:5:\"title\";s:9:\"Pricing 4\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_black_4.png\";s:12:\"tmpl_created\";i:1520443322;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/pricing-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:549;s:16:\"popularity_index\";i:697;s:11:\"trend_index\";i:821;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:700;a:19:{s:4:\"tmpl\";i:443;s:2:\"id\";i:4589;s:5:\"title\";s:9:\"Pricing 5\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_black_6.png\";s:12:\"tmpl_created\";i:1520443327;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/pricing-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:551;s:16:\"popularity_index\";i:716;s:11:\"trend_index\";i:639;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:701;a:19:{s:4:\"tmpl\";i:445;s:2:\"id\";i:4605;s:5:\"title\";s:9:\"Pricing 6\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_black_7.png\";s:12:\"tmpl_created\";i:1520443332;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/pricing-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:553;s:16:\"popularity_index\";i:738;s:11:\"trend_index\";i:773;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:702;a:19:{s:4:\"tmpl\";i:433;s:2:\"id\";i:4500;s:5:\"title\";s:9:\"Pricing 7\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_white_1.png\";s:12:\"tmpl_created\";i:1520443308;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/pricing-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:554;s:16:\"popularity_index\";i:500;s:11:\"trend_index\";i:451;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:703;a:19:{s:4:\"tmpl\";i:435;s:2:\"id\";i:4521;s:5:\"title\";s:9:\"Pricing 8\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_white_2.png\";s:12:\"tmpl_created\";i:1520443312;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/pricing-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:557;s:16:\"popularity_index\";i:311;s:11:\"trend_index\";i:372;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:704;a:19:{s:4:\"tmpl\";i:437;s:2:\"id\";i:4537;s:5:\"title\";s:9:\"Pricing 9\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_white_3.png\";s:12:\"tmpl_created\";i:1520443315;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/pricing-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:559;s:16:\"popularity_index\";i:589;s:11:\"trend_index\";i:841;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:705;a:19:{s:4:\"tmpl\";i:1046;s:2:\"id\";i:15204;s:5:\"title\";s:24:\"Psychologist &#8211; 404\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2020/09/404.jpg\";s:12:\"tmpl_created\";i:1600161419;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/psychologist-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:40:\"[\"404\",\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:564;s:16:\"popularity_index\";i:574;s:11:\"trend_index\";i:493;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:706;a:19:{s:4:\"tmpl\";i:1047;s:2:\"id\";i:15212;s:5:\"title\";s:28:\"Psychologist &#8211; Archive\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/09/Blog.jpg\";s:12:\"tmpl_created\";i:1600162340;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/blocks/psychologist-archive/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:34:\"[\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:565;s:16:\"popularity_index\";i:379;s:11:\"trend_index\";i:358;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:707;a:19:{s:4:\"tmpl\";i:1048;s:2:\"id\";i:15219;s:5:\"title\";s:27:\"Psychologist &#8211; Footer\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/09/Footer.jpg\";s:12:\"tmpl_created\";i:1600163069;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/psychologist-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:43:\"[\"Footer\",\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:566;s:16:\"popularity_index\";i:599;s:11:\"trend_index\";i:500;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:708;a:19:{s:4:\"tmpl\";i:701;s:2:\"id\";i:9239;s:5:\"title\";s:17:\"product archive 1\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/07/product-archive-350-1.png\";s:12:\"tmpl_created\";i:1532953482;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/blocks/product-archive-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:17:\"essential-oct2023\";s:7:\"subtype\";s:15:\"product archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:566;s:16:\"popularity_index\";i:60;s:11:\"trend_index\";i:25;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:709;a:19:{s:4:\"tmpl\";i:1049;s:2:\"id\";i:15230;s:5:\"title\";s:27:\"Psychologist &#8211; Header\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/09/Header.png\";s:12:\"tmpl_created\";i:1600163444;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/psychologist-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:43:\"[\"Header\",\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:567;s:16:\"popularity_index\";i:429;s:11:\"trend_index\";i:423;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:710;a:19:{s:4:\"tmpl\";i:702;s:2:\"id\";i:9247;s:5:\"title\";s:17:\"product archive 2\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/07/product-archive-350-2.png\";s:12:\"tmpl_created\";i:1532953793;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/blocks/product-archive-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:17:\"essential-oct2023\";s:7:\"subtype\";s:15:\"product archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:567;s:16:\"popularity_index\";i:71;s:11:\"trend_index\";i:30;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:711;a:19:{s:4:\"tmpl\";i:1050;s:2:\"id\";i:15240;s:5:\"title\";s:34:\"Psychologist &#8211; single post 1\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2020/09/Single-Post.png\";s:12:\"tmpl_created\";i:1600164087;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/blocks/psychologist-single-post-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:34:\"[\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:568;s:16:\"popularity_index\";i:562;s:11:\"trend_index\";i:570;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:712;a:19:{s:4:\"tmpl\";i:703;s:2:\"id\";i:9254;s:5:\"title\";s:17:\"product archive 3\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/07/product-archive-350-3.png\";s:12:\"tmpl_created\";i:1532954032;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/blocks/product-archive-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:17:\"essential-oct2023\";s:7:\"subtype\";s:15:\"product archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:568;s:16:\"popularity_index\";i:73;s:11:\"trend_index\";i:44;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:713;a:19:{s:4:\"tmpl\";i:1051;s:2:\"id\";i:15251;s:5:\"title\";s:34:\"Psychologist &#8211; single post 2\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2020/09/Single-Service-Page.png\";s:12:\"tmpl_created\";i:1600165179;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/blocks/psychologist-single-post-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:34:\"[\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:569;s:16:\"popularity_index\";i:507;s:11:\"trend_index\";i:368;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:714;a:19:{s:4:\"tmpl\";i:412;s:2:\"id\";i:4313;s:5:\"title\";s:11:\"Services 13\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_8.png\";s:12:\"tmpl_created\";i:1520443268;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:570;s:16:\"popularity_index\";i:115;s:11:\"trend_index\";i:53;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:715;a:19:{s:4:\"tmpl\";i:413;s:2:\"id\";i:4324;s:5:\"title\";s:11:\"Services 14\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_9.png\";s:12:\"tmpl_created\";i:1520443270;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-14/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:571;s:16:\"popularity_index\";i:277;s:11:\"trend_index\";i:138;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:716;a:19:{s:4:\"tmpl\";i:418;s:2:\"id\";i:4368;s:5:\"title\";s:11:\"Services 16\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_13.png\";s:12:\"tmpl_created\";i:1520443279;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-16/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:572;s:16:\"popularity_index\";i:62;s:11:\"trend_index\";i:59;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:717;a:19:{s:4:\"tmpl\";i:420;s:2:\"id\";i:4391;s:5:\"title\";s:11:\"Services 17\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_14.png\";s:12:\"tmpl_created\";i:1520443283;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-17/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:573;s:16:\"popularity_index\";i:153;s:11:\"trend_index\";i:120;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:718;a:19:{s:4:\"tmpl\";i:403;s:2:\"id\";i:4235;s:5:\"title\";s:11:\"Services 18\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_2.png\";s:12:\"tmpl_created\";i:1520443251;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-18/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:574;s:16:\"popularity_index\";i:273;s:11:\"trend_index\";i:172;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:719;a:19:{s:4:\"tmpl\";i:417;s:2:\"id\";i:4357;s:5:\"title\";s:11:\"Services 20\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_12.png\";s:12:\"tmpl_created\";i:1520443277;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-20/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:575;s:16:\"popularity_index\";i:45;s:11:\"trend_index\";i:45;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:720;a:19:{s:4:\"tmpl\";i:415;s:2:\"id\";i:4341;s:5:\"title\";s:11:\"Services 21\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_11.png\";s:12:\"tmpl_created\";i:1520443274;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-21/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:576;s:16:\"popularity_index\";i:142;s:11:\"trend_index\";i:114;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:721;a:19:{s:4:\"tmpl\";i:414;s:2:\"id\";i:4332;s:5:\"title\";s:11:\"Services 22\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_10.png\";s:12:\"tmpl_created\";i:1520443272;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-22/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:577;s:16:\"popularity_index\";i:138;s:11:\"trend_index\";i:149;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:722;a:19:{s:4:\"tmpl\";i:401;s:2:\"id\";i:4212;s:5:\"title\";s:11:\"Services 23\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_1.png\";s:12:\"tmpl_created\";i:1520443248;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-23/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:578;s:16:\"popularity_index\";i:136;s:11:\"trend_index\";i:302;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:723;a:19:{s:4:\"tmpl\";i:408;s:2:\"id\";i:4276;s:5:\"title\";s:11:\"Services 24\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_black_4.png\";s:12:\"tmpl_created\";i:1520443261;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-24/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:579;s:16:\"popularity_index\";i:353;s:11:\"trend_index\";i:514;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:724;a:19:{s:4:\"tmpl\";i:406;s:2:\"id\";i:4260;s:5:\"title\";s:11:\"Services 25\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_black_3.png\";s:12:\"tmpl_created\";i:1520443257;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-25/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:580;s:16:\"popularity_index\";i:184;s:11:\"trend_index\";i:209;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:725;a:19:{s:4:\"tmpl\";i:404;s:2:\"id\";i:4244;s:5:\"title\";s:11:\"Services 26\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_black_2.png\";s:12:\"tmpl_created\";i:1520443253;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-26/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:581;s:16:\"popularity_index\";i:544;s:11:\"trend_index\";i:596;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:726;a:19:{s:4:\"tmpl\";i:421;s:2:\"id\";i:4400;s:5:\"title\";s:11:\"Services 27\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_black_13.png\";s:12:\"tmpl_created\";i:1520443285;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-27/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:582;s:16:\"popularity_index\";i:286;s:11:\"trend_index\";i:438;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:727;a:19:{s:4:\"tmpl\";i:419;s:2:\"id\";i:4376;s:5:\"title\";s:11:\"Services 28\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_black_12.png\";s:12:\"tmpl_created\";i:1520443281;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-28/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:583;s:16:\"popularity_index\";i:151;s:11:\"trend_index\";i:249;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:728;a:19:{s:4:\"tmpl\";i:416;s:2:\"id\";i:4349;s:5:\"title\";s:11:\"Services 29\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_black_11.png\";s:12:\"tmpl_created\";i:1520443275;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-29/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:584;s:16:\"popularity_index\";i:330;s:11:\"trend_index\";i:483;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:729;a:19:{s:4:\"tmpl\";i:402;s:2:\"id\";i:4227;s:5:\"title\";s:11:\"Services 30\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_black_1.png\";s:12:\"tmpl_created\";i:1520443250;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-30/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:585;s:16:\"popularity_index\";i:351;s:11:\"trend_index\";i:553;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:730;a:19:{s:4:\"tmpl\";i:560;s:2:\"id\";i:6162;s:5:\"title\";s:11:\"Services 31\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/progress_white_1.png\";s:12:\"tmpl_created\";i:1520443668;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-31/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:9:\"[\"Stats\"]\";s:10:\"menu_order\";i:586;s:16:\"popularity_index\";i:372;s:11:\"trend_index\";i:550;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:731;a:19:{s:4:\"tmpl\";i:411;s:2:\"id\";i:4302;s:5:\"title\";s:10:\"Services 5\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_7.png\";s:12:\"tmpl_created\";i:1520443266;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/services-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:587;s:16:\"popularity_index\";i:58;s:11:\"trend_index\";i:97;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:732;a:19:{s:4:\"tmpl\";i:410;s:2:\"id\";i:4293;s:5:\"title\";s:10:\"Services 6\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_6.png\";s:12:\"tmpl_created\";i:1520443265;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/services-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:588;s:16:\"popularity_index\";i:288;s:11:\"trend_index\";i:269;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:733;a:19:{s:4:\"tmpl\";i:409;s:2:\"id\";i:4284;s:5:\"title\";s:10:\"Services 7\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_5.png\";s:12:\"tmpl_created\";i:1520443263;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/services-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:589;s:16:\"popularity_index\";i:27;s:11:\"trend_index\";i:21;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:734;a:19:{s:4:\"tmpl\";i:407;s:2:\"id\";i:4268;s:5:\"title\";s:10:\"Services 8\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_4.png\";s:12:\"tmpl_created\";i:1520443259;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/services-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:590;s:16:\"popularity_index\";i:173;s:11:\"trend_index\";i:213;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:735;a:19:{s:4:\"tmpl\";i:405;s:2:\"id\";i:4252;s:5:\"title\";s:10:\"Services 9\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_3.png\";s:12:\"tmpl_created\";i:1520443255;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/services-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:591;s:16:\"popularity_index\";i:46;s:11:\"trend_index\";i:99;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:736;a:19:{s:4:\"tmpl\";i:677;s:2:\"id\";i:8676;s:5:\"title\";s:13:\"single page 1\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/05/S_P350.6.jpg\";s:12:\"tmpl_created\";i:1527682423;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-page-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:592;s:16:\"popularity_index\";i:285;s:11:\"trend_index\";i:145;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:737;a:19:{s:4:\"tmpl\";i:678;s:2:\"id\";i:8678;s:5:\"title\";s:13:\"single page 2\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/05/S_P350.2.jpg\";s:12:\"tmpl_created\";i:1527682780;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-page-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:593;s:16:\"popularity_index\";i:140;s:11:\"trend_index\";i:82;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:738;a:19:{s:4:\"tmpl\";i:679;s:2:\"id\";i:8679;s:5:\"title\";s:13:\"single page 3\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/05/S_P350.3.jpg\";s:12:\"tmpl_created\";i:1527682847;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-page-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:594;s:16:\"popularity_index\";i:122;s:11:\"trend_index\";i:23;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:739;a:19:{s:4:\"tmpl\";i:680;s:2:\"id\";i:8680;s:5:\"title\";s:13:\"single page 4\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/05/S_P350.1.jpg\";s:12:\"tmpl_created\";i:1527682896;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-page-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:595;s:16:\"popularity_index\";i:373;s:11:\"trend_index\";i:190;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:740;a:19:{s:4:\"tmpl\";i:681;s:2:\"id\";i:8681;s:5:\"title\";s:13:\"single page 5\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/05/S_P350.5.jpg\";s:12:\"tmpl_created\";i:1527682969;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-page-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:596;s:16:\"popularity_index\";i:287;s:11:\"trend_index\";i:218;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:741;a:19:{s:4:\"tmpl\";i:682;s:2:\"id\";i:8682;s:5:\"title\";s:13:\"single page 6\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/05/S_P350.4.jpg\";s:12:\"tmpl_created\";i:1527683026;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-page-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:597;s:16:\"popularity_index\";i:412;s:11:\"trend_index\";i:227;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:742;a:19:{s:4:\"tmpl\";i:683;s:2:\"id\";i:8703;s:5:\"title\";s:13:\"single page 7\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/05/S_P350.7.jpg\";s:12:\"tmpl_created\";i:1527683072;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-page-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:598;s:16:\"popularity_index\";i:401;s:11:\"trend_index\";i:316;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:743;a:19:{s:4:\"tmpl\";i:640;s:2:\"id\";i:7650;s:5:\"title\";s:13:\"Single Post 1\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/single_post_1_v2.jpg\";s:12:\"tmpl_created\";i:1521557736;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-post-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:24:\"[\"Blog\",\"Post\",\"Single\"]\";s:10:\"menu_order\";i:599;s:16:\"popularity_index\";i:119;s:11:\"trend_index\";i:266;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:744;a:19:{s:4:\"tmpl\";i:639;s:2:\"id\";i:7663;s:5:\"title\";s:13:\"Single Post 2\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/single_post_2_v2.jpg\";s:12:\"tmpl_created\";i:1521547761;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-post-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:24:\"[\"Blog\",\"Post\",\"Single\"]\";s:10:\"menu_order\";i:600;s:16:\"popularity_index\";i:50;s:11:\"trend_index\";i:139;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:745;a:19:{s:4:\"tmpl\";i:705;s:2:\"id\";i:9296;s:5:\"title\";s:13:\"Single Post 3\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2018/09/3002.jpg\";s:12:\"tmpl_created\";i:1537440673;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-post-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:601;s:16:\"popularity_index\";i:213;s:11:\"trend_index\";i:204;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:746;a:19:{s:4:\"tmpl\";i:704;s:2:\"id\";i:9301;s:5:\"title\";s:13:\"Single Post 4\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2018/09/3003.jpg\";s:12:\"tmpl_created\";i:1537440661;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-post-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:602;s:16:\"popularity_index\";i:248;s:11:\"trend_index\";i:336;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:747;a:19:{s:4:\"tmpl\";i:706;s:2:\"id\";i:9313;s:5:\"title\";s:13:\"Single Post 5\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2018/09/3001.jpg\";s:12:\"tmpl_created\";i:1537440798;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-post-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:603;s:16:\"popularity_index\";i:197;s:11:\"trend_index\";i:177;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:748;a:19:{s:4:\"tmpl\";i:707;s:2:\"id\";i:9343;s:5:\"title\";s:13:\"Single Post 6\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2018/09/3004.jpg\";s:12:\"tmpl_created\";i:1537443531;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-post-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:604;s:16:\"popularity_index\";i:228;s:11:\"trend_index\";i:279;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:749;a:19:{s:4:\"tmpl\";i:708;s:2:\"id\";i:9349;s:5:\"title\";s:13:\"Single Post 7\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2018/09/3005.jpg\";s:12:\"tmpl_created\";i:1537443903;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-post-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:605;s:16:\"popularity_index\";i:158;s:11:\"trend_index\";i:253;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:750;a:19:{s:4:\"tmpl\";i:555;s:2:\"id\";i:6114;s:5:\"title\";s:7:\"Stats 1\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_black_6.png\";s:12:\"tmpl_created\";i:1520443659;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/stats-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:11:\"[\"numbers\"]\";s:10:\"menu_order\";i:610;s:16:\"popularity_index\";i:434;s:11:\"trend_index\";i:692;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:751;a:19:{s:4:\"tmpl\";i:562;s:2:\"id\";i:6178;s:5:\"title\";s:8:\"Stats 10\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/progress_white_2.png\";s:12:\"tmpl_created\";i:1520443676;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/stats-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:9:\"[\"Stats\"]\";s:10:\"menu_order\";i:611;s:16:\"popularity_index\";i:435;s:11:\"trend_index\";i:755;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:752;a:19:{s:4:\"tmpl\";i:561;s:2:\"id\";i:6170;s:5:\"title\";s:8:\"Stats 11\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/progress_black_2.png\";s:12:\"tmpl_created\";i:1520443670;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/stats-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:9:\"[\"Stats\"]\";s:10:\"menu_order\";i:612;s:16:\"popularity_index\";i:366;s:11:\"trend_index\";i:552;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:753;a:19:{s:4:\"tmpl\";i:697;s:2:\"id\";i:9174;s:5:\"title\";s:17:\"single product 01\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/07/single_product01_350.png\";s:12:\"tmpl_created\";i:1532950125;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/blocks/single-product-01/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:17:\"essential-oct2023\";s:7:\"subtype\";s:14:\"single product\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:612;s:16:\"popularity_index\";i:31;s:11:\"trend_index\";i:6;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:754;a:19:{s:4:\"tmpl\";i:563;s:2:\"id\";i:6186;s:5:\"title\";s:8:\"Stats 12\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/progress_white_3.png\";s:12:\"tmpl_created\";i:1520443678;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/stats-12/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:9:\"[\"Stats\"]\";s:10:\"menu_order\";i:613;s:16:\"popularity_index\";i:569;s:11:\"trend_index\";i:811;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:755;a:19:{s:4:\"tmpl\";i:698;s:2:\"id\";i:9178;s:5:\"title\";s:17:\"single product 02\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2018/07/single_product02_350new.png\";s:12:\"tmpl_created\";i:1532951997;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/blocks/single-product-02/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:17:\"essential-oct2023\";s:7:\"subtype\";s:14:\"single product\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:613;s:16:\"popularity_index\";i:66;s:11:\"trend_index\";i:42;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:756;a:19:{s:4:\"tmpl\";i:550;s:2:\"id\";i:6071;s:5:\"title\";s:8:\"Stats 13\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_white_3.png\";s:12:\"tmpl_created\";i:1520443649;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/stats-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:11:\"[\"numbers\"]\";s:10:\"menu_order\";i:614;s:16:\"popularity_index\";i:168;s:11:\"trend_index\";i:328;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:757;a:19:{s:4:\"tmpl\";i:699;s:2:\"id\";i:9180;s:5:\"title\";s:17:\"single product 03\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/07/single_product03_350.png\";s:12:\"tmpl_created\";i:1532952302;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/blocks/single-product-03/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:17:\"essential-oct2023\";s:7:\"subtype\";s:14:\"single product\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:614;s:16:\"popularity_index\";i:108;s:11:\"trend_index\";i:66;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:758;a:19:{s:4:\"tmpl\";i:554;s:2:\"id\";i:6106;s:5:\"title\";s:7:\"Stats 2\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_white_6.png\";s:12:\"tmpl_created\";i:1520443657;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/stats-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:11:\"[\"numbers\"]\";s:10:\"menu_order\";i:615;s:16:\"popularity_index\";i:361;s:11:\"trend_index\";i:784;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:759;a:19:{s:4:\"tmpl\";i:700;s:2:\"id\";i:9182;s:5:\"title\";s:17:\"single product 04\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/07/single_product040_350.png\";s:12:\"tmpl_created\";i:1532952606;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/blocks/single-product-04/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:17:\"essential-oct2023\";s:7:\"subtype\";s:14:\"single product\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:615;s:16:\"popularity_index\";i:123;s:11:\"trend_index\";i:81;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:760;a:19:{s:4:\"tmpl\";i:551;s:2:\"id\";i:6079;s:5:\"title\";s:7:\"Stats 3\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_white_4.png\";s:12:\"tmpl_created\";i:1520443651;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/stats-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:11:\"[\"numbers\"]\";s:10:\"menu_order\";i:616;s:16:\"popularity_index\";i:284;s:11:\"trend_index\";i:385;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:761;a:19:{s:4:\"tmpl\";i:552;s:2:\"id\";i:6089;s:5:\"title\";s:7:\"Stats 4\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_white_5.png\";s:12:\"tmpl_created\";i:1520443653;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/stats-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:9:\"[\"Stats\"]\";s:10:\"menu_order\";i:617;s:16:\"popularity_index\";i:205;s:11:\"trend_index\";i:452;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:762;a:19:{s:4:\"tmpl\";i:549;s:2:\"id\";i:6063;s:5:\"title\";s:7:\"Stats 5\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_white_2.png\";s:12:\"tmpl_created\";i:1520443647;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/stats-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:11:\"[\"numbers\"]\";s:10:\"menu_order\";i:618;s:16:\"popularity_index\";i:181;s:11:\"trend_index\";i:419;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:763;a:19:{s:4:\"tmpl\";i:553;s:2:\"id\";i:6097;s:5:\"title\";s:7:\"Stats 6\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_black_2.png\";s:12:\"tmpl_created\";i:1520443655;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/stats-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:11:\"[\"numbers\"]\";s:10:\"menu_order\";i:619;s:16:\"popularity_index\";i:264;s:11:\"trend_index\";i:492;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:764;a:19:{s:4:\"tmpl\";i:538;s:2:\"id\";i:5956;s:5:\"title\";s:7:\"Stats 7\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_black_1.png\";s:12:\"tmpl_created\";i:1520443623;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/stats-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:9:\"[\"Stats\"]\";s:10:\"menu_order\";i:620;s:16:\"popularity_index\";i:532;s:11:\"trend_index\";i:541;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:765;a:19:{s:4:\"tmpl\";i:537;s:2:\"id\";i:5947;s:5:\"title\";s:7:\"Stats 8\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_white_1.png\";s:12:\"tmpl_created\";i:1520443621;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/stats-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:9:\"[\"Stats\"]\";s:10:\"menu_order\";i:621;s:16:\"popularity_index\";i:368;s:11:\"trend_index\";i:531;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:766;a:19:{s:4:\"tmpl\";i:559;s:2:\"id\";i:6152;s:5:\"title\";s:7:\"Stats 9\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/progress_black_1.png\";s:12:\"tmpl_created\";i:1520443666;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/stats-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:9:\"[\"Stats\"]\";s:10:\"menu_order\";i:622;s:16:\"popularity_index\";i:272;s:11:\"trend_index\";i:557;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:767;a:19:{s:4:\"tmpl\";i:469;s:2:\"id\";i:5157;s:5:\"title\";s:11:\"Subscribe 1\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/subscribe_white_1.png\";s:12:\"tmpl_created\";i:1520443448;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/subscribe-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"subscribe\";s:4:\"tags\";s:20:\"[\"Form\",\"Subscribe\"]\";s:10:\"menu_order\";i:623;s:16:\"popularity_index\";i:340;s:11:\"trend_index\";i:293;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:768;a:19:{s:4:\"tmpl\";i:472;s:2:\"id\";i:5181;s:5:\"title\";s:11:\"Subscribe 2\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/subscribe_black_2.png\";s:12:\"tmpl_created\";i:1520443454;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/subscribe-2-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"subscribe\";s:4:\"tags\";s:20:\"[\"Form\",\"Subscribe\"]\";s:10:\"menu_order\";i:624;s:16:\"popularity_index\";i:451;s:11:\"trend_index\";i:340;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:769;a:19:{s:4:\"tmpl\";i:470;s:2:\"id\";i:5165;s:5:\"title\";s:11:\"Subscribe 3\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/subscribe_black_1.png\";s:12:\"tmpl_created\";i:1520443450;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/subscribe-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"subscribe\";s:4:\"tags\";s:20:\"[\"Form\",\"Subscribe\"]\";s:10:\"menu_order\";i:625;s:16:\"popularity_index\";i:520;s:11:\"trend_index\";i:620;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:770;a:19:{s:4:\"tmpl\";i:477;s:2:\"id\";i:5222;s:5:\"title\";s:11:\"Subscribe 4\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/subscribe_black_3.png\";s:12:\"tmpl_created\";i:1520443464;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/subscribe-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"subscribe\";s:4:\"tags\";s:20:\"[\"Form\",\"Subscribe\"]\";s:10:\"menu_order\";i:626;s:16:\"popularity_index\";i:397;s:11:\"trend_index\";i:427;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:771;a:19:{s:4:\"tmpl\";i:471;s:2:\"id\";i:5173;s:5:\"title\";s:11:\"Subscribe 5\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/subscribe_white_2.png\";s:12:\"tmpl_created\";i:1520443452;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/subscribe-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:9:\"subscribe\";s:4:\"tags\";s:20:\"[\"Form\",\"Subscribe\"]\";s:10:\"menu_order\";i:627;s:16:\"popularity_index\";i:261;s:11:\"trend_index\";i:237;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:772;a:19:{s:4:\"tmpl\";i:465;s:2:\"id\";i:4801;s:5:\"title\";s:7:\"Team 11\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_black_8.png\";s:12:\"tmpl_created\";i:1520443369;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:628;s:16:\"popularity_index\";i:332;s:11:\"trend_index\";i:188;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:773;a:19:{s:4:\"tmpl\";i:462;s:2:\"id\";i:4770;s:5:\"title\";s:7:\"Team 12\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_6.png\";s:12:\"tmpl_created\";i:1520443364;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/team-12-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:629;s:16:\"popularity_index\";i:432;s:11:\"trend_index\";i:488;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:774;a:19:{s:4:\"tmpl\";i:458;s:2:\"id\";i:4727;s:5:\"title\";s:7:\"Team 13\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_black_2.png\";s:12:\"tmpl_created\";i:1520443356;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:630;s:16:\"popularity_index\";i:375;s:11:\"trend_index\";i:345;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:775;a:19:{s:4:\"tmpl\";i:543;s:2:\"id\";i:5999;s:5:\"title\";s:7:\"Team 14\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/team_black_10.png\";s:12:\"tmpl_created\";i:1520443634;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-14/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:631;s:16:\"popularity_index\";i:110;s:11:\"trend_index\";i:318;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:776;a:19:{s:4:\"tmpl\";i:455;s:2:\"id\";i:4698;s:5:\"title\";s:7:\"Team 15\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_black_1.png\";s:12:\"tmpl_created\";i:1520443350;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-15/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:632;s:16:\"popularity_index\";i:449;s:11:\"trend_index\";i:410;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:777;a:19:{s:4:\"tmpl\";i:463;s:2:\"id\";i:4781;s:5:\"title\";s:7:\"Team 16\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_7.png\";s:12:\"tmpl_created\";i:1520443365;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-16/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:633;s:16:\"popularity_index\";i:267;s:11:\"trend_index\";i:330;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:778;a:19:{s:4:\"tmpl\";i:558;s:2:\"id\";i:6144;s:5:\"title\";s:7:\"Team 17\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_11.png\";s:12:\"tmpl_created\";i:1520443664;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-17/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:634;s:16:\"popularity_index\";i:166;s:11:\"trend_index\";i:365;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:779;a:19:{s:4:\"tmpl\";i:464;s:2:\"id\";i:4793;s:5:\"title\";s:7:\"Team 18\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_8.png\";s:12:\"tmpl_created\";i:1520443367;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-18/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:635;s:16:\"popularity_index\";i:207;s:11:\"trend_index\";i:173;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:780;a:19:{s:4:\"tmpl\";i:466;s:2:\"id\";i:4809;s:5:\"title\";s:7:\"Team 19\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_9.png\";s:12:\"tmpl_created\";i:1520443371;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-19/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:636;s:16:\"popularity_index\";i:300;s:11:\"trend_index\";i:465;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:781;a:19:{s:4:\"tmpl\";i:459;s:2:\"id\";i:4736;s:5:\"title\";s:7:\"Team 20\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_4.png\";s:12:\"tmpl_created\";i:1520443358;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-20/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:637;s:16:\"popularity_index\";i:144;s:11:\"trend_index\";i:159;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:782;a:19:{s:4:\"tmpl\";i:467;s:2:\"id\";i:4818;s:5:\"title\";s:7:\"Team 21\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_black_9.png\";s:12:\"tmpl_created\";i:1520443373;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-21/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:638;s:16:\"popularity_index\";i:515;s:11:\"trend_index\";i:606;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:783;a:19:{s:4:\"tmpl\";i:461;s:2:\"id\";i:4759;s:5:\"title\";s:7:\"Team 22\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_5.png\";s:12:\"tmpl_created\";i:1520443362;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-22/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:639;s:16:\"popularity_index\";i:299;s:11:\"trend_index\";i:376;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:784;a:19:{s:4:\"tmpl\";i:460;s:2:\"id\";i:4746;s:5:\"title\";s:7:\"Team 23\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_black_4.png\";s:12:\"tmpl_created\";i:1520443360;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-23/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:640;s:16:\"popularity_index\";i:282;s:11:\"trend_index\";i:378;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:785;a:19:{s:4:\"tmpl\";i:457;s:2:\"id\";i:4718;s:5:\"title\";s:6:\"Team 4\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_3.png\";s:12:\"tmpl_created\";i:1520443354;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/team-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:641;s:16:\"popularity_index\";i:192;s:11:\"trend_index\";i:359;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:786;a:19:{s:4:\"tmpl\";i:456;s:2:\"id\";i:4706;s:5:\"title\";s:6:\"Team 5\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_2.png\";s:12:\"tmpl_created\";i:1520443352;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/team-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:642;s:16:\"popularity_index\";i:149;s:11:\"trend_index\";i:299;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:787;a:19:{s:4:\"tmpl\";i:544;s:2:\"id\";i:6008;s:5:\"title\";s:6:\"Team 6\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_10.png\";s:12:\"tmpl_created\";i:1520443636;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/team-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:643;s:16:\"popularity_index\";i:75;s:11:\"trend_index\";i:277;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:788;a:19:{s:4:\"tmpl\";i:454;s:2:\"id\";i:4690;s:5:\"title\";s:6:\"Team 7\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_1.png\";s:12:\"tmpl_created\";i:1520443348;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/team-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:644;s:16:\"popularity_index\";i:243;s:11:\"trend_index\";i:402;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:789;a:19:{s:4:\"tmpl\";i:586;s:2:\"id\";i:4921;s:5:\"title\";s:14:\"Testimonial 10\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_black_5.png\";s:12:\"tmpl_created\";i:1520520562;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:645;s:16:\"popularity_index\";i:219;s:11:\"trend_index\";i:198;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:790;a:19:{s:4:\"tmpl\";i:582;s:2:\"id\";i:4889;s:5:\"title\";s:14:\"Testimonial 11\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/customers-2.jpg\";s:12:\"tmpl_created\";i:1520520556;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:646;s:16:\"popularity_index\";i:557;s:11:\"trend_index\";i:522;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:791;a:19:{s:4:\"tmpl\";i:580;s:2:\"id\";i:4871;s:5:\"title\";s:14:\"Testimonial 12\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_black_3.png\";s:12:\"tmpl_created\";i:1520520552;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-12/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:647;s:16:\"popularity_index\";i:262;s:11:\"trend_index\";i:391;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:792;a:19:{s:4:\"tmpl\";i:578;s:2:\"id\";i:4854;s:5:\"title\";s:14:\"Testimonial 13\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_black_2.png\";s:12:\"tmpl_created\";i:1520520549;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:648;s:16:\"popularity_index\";i:637;s:11:\"trend_index\";i:741;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:793;a:19:{s:4:\"tmpl\";i:595;s:2:\"id\";i:4995;s:5:\"title\";s:14:\"Testimonial 14\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_black_12.png\";s:12:\"tmpl_created\";i:1520520577;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-14/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:649;s:16:\"popularity_index\";i:400;s:11:\"trend_index\";i:411;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:794;a:19:{s:4:\"tmpl\";i:593;s:2:\"id\";i:4979;s:5:\"title\";s:14:\"Testimonial 15\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_black_10.png\";s:12:\"tmpl_created\";i:1520520573;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-15/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:650;s:16:\"popularity_index\";i:568;s:11:\"trend_index\";i:544;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:795;a:19:{s:4:\"tmpl\";i:576;s:2:\"id\";i:4835;s:5:\"title\";s:14:\"Testimonial 16\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_black_1.png\";s:12:\"tmpl_created\";i:1520520546;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-16/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:651;s:16:\"popularity_index\";i:399;s:11:\"trend_index\";i:401;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:796;a:19:{s:4:\"tmpl\";i:594;s:2:\"id\";i:4987;s:5:\"title\";s:14:\"Testimonial 17\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_12-1.png\";s:12:\"tmpl_created\";i:1520520575;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-17/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:652;s:16:\"popularity_index\";i:159;s:11:\"trend_index\";i:199;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:797;a:19:{s:4:\"tmpl\";i:577;s:2:\"id\";i:4843;s:5:\"title\";s:14:\"Testimonial 18\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_2.png\";s:12:\"tmpl_created\";i:1520520548;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-18/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:653;s:16:\"popularity_index\";i:457;s:11:\"trend_index\";i:780;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:798;a:19:{s:4:\"tmpl\";i:579;s:2:\"id\";i:4863;s:5:\"title\";s:14:\"Testimonial 19\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_3.png\";s:12:\"tmpl_created\";i:1520520551;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-19/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:654;s:16:\"popularity_index\";i:245;s:11:\"trend_index\";i:599;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:799;a:19:{s:4:\"tmpl\";i:581;s:2:\"id\";i:4880;s:5:\"title\";s:14:\"Testimonial 20\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/customers-1.jpg\";s:12:\"tmpl_created\";i:1520520554;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-20/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:655;s:16:\"popularity_index\";i:446;s:11:\"trend_index\";i:653;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:800;a:19:{s:4:\"tmpl\";i:583;s:2:\"id\";i:4897;s:5:\"title\";s:14:\"Testimonial 21\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_5.png\";s:12:\"tmpl_created\";i:1520520557;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-21/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:656;s:16:\"popularity_index\";i:78;s:11:\"trend_index\";i:289;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:801;a:19:{s:4:\"tmpl\";i:584;s:2:\"id\";i:4905;s:5:\"title\";s:14:\"Testimonial 22\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_6.png\";s:12:\"tmpl_created\";i:1520520559;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-22/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:657;s:16:\"popularity_index\";i:121;s:11:\"trend_index\";i:221;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:802;a:19:{s:4:\"tmpl\";i:585;s:2:\"id\";i:4913;s:5:\"title\";s:14:\"Testimonial 23\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_7.png\";s:12:\"tmpl_created\";i:1520520561;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-23/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:658;s:16:\"popularity_index\";i:247;s:11:\"trend_index\";i:566;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:803;a:19:{s:4:\"tmpl\";i:575;s:2:\"id\";i:4826;s:5:\"title\";s:14:\"Testimonial 24\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_1.png\";s:12:\"tmpl_created\";i:1520520544;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/testimonial-24-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:659;s:16:\"popularity_index\";i:256;s:11:\"trend_index\";i:395;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:804;a:19:{s:4:\"tmpl\";i:587;s:2:\"id\";i:4929;s:5:\"title\";s:14:\"Testimonial 24\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_8.png\";s:12:\"tmpl_created\";i:1520520564;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-24/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:660;s:16:\"popularity_index\";i:49;s:11:\"trend_index\";i:206;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:805;a:19:{s:4:\"tmpl\";i:591;s:2:\"id\";i:4963;s:5:\"title\";s:14:\"Testimonial 25\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_10.png\";s:12:\"tmpl_created\";i:1520520570;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/testimonial-25-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:661;s:16:\"popularity_index\";i:417;s:11:\"trend_index\";i:546;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:806;a:19:{s:4:\"tmpl\";i:592;s:2:\"id\";i:4971;s:5:\"title\";s:14:\"Testimonial 26\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_11.png\";s:12:\"tmpl_created\";i:1520520572;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-26/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:662;s:16:\"popularity_index\";i:649;s:11:\"trend_index\";i:718;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:807;a:19:{s:4:\"tmpl\";i:589;s:2:\"id\";i:4947;s:5:\"title\";s:14:\"Testimonial 27\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_9.png\";s:12:\"tmpl_created\";i:1520520567;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-27/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:663;s:16:\"popularity_index\";i:221;s:11:\"trend_index\";i:496;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:808;a:19:{s:4:\"tmpl\";i:590;s:2:\"id\";i:4955;s:5:\"title\";s:14:\"Testimonial 29\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_black_9.png\";s:12:\"tmpl_created\";i:1520520569;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-29/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:664;s:16:\"popularity_index\";i:378;s:11:\"trend_index\";i:695;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:809;a:19:{s:4:\"tmpl\";i:588;s:2:\"id\";i:4939;s:5:\"title\";s:13:\"Testimonial 9\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_black_8.png\";s:12:\"tmpl_created\";i:1520520565;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/testimonial-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:4:\"free\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:665;s:16:\"popularity_index\";i:103;s:11:\"trend_index\";i:341;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:810;a:19:{s:4:\"tmpl\";i:928;s:2:\"id\";i:12509;s:5:\"title\";s:18:\"Travel &#8211; 404\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2019/12/404.png\";s:12:\"tmpl_created\";i:1575960378;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/travel-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:24:\"[\"404\",\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:666;s:16:\"popularity_index\";i:747;s:11:\"trend_index\";i:712;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:811;a:19:{s:4:\"tmpl\";i:929;s:2:\"id\";i:12516;s:5:\"title\";s:27:\"Travel &#8211; Archive Blog\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2019/12/Archiv_s.png\";s:12:\"tmpl_created\";i:1575960387;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/travel-archive-blog/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:667;s:16:\"popularity_index\";i:496;s:11:\"trend_index\";i:487;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:812;a:19:{s:4:\"tmpl\";i:927;s:2:\"id\";i:12500;s:5:\"title\";s:21:\"Travel &#8211; Header\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2020/06/Header-travel-and-tours.png\";s:12:\"tmpl_created\";i:1575960371;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/travel-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:27:\"[\"Header\",\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:668;s:16:\"popularity_index\";i:443;s:11:\"trend_index\";i:434;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:813;a:19:{s:4:\"tmpl\";i:930;s:2:\"id\";i:12524;s:5:\"title\";s:26:\"Travel &#8211; Single Post\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/12/Single_Post_s.png\";s:12:\"tmpl_created\";i:1575960397;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/blocks/travel-single-post/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:669;s:16:\"popularity_index\";i:591;s:11:\"trend_index\";i:663;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:814;a:19:{s:4:\"tmpl\";i:931;s:2:\"id\";i:12531;s:5:\"title\";s:31:\"Travel &#8211; Single Post Tour\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/12/Single_Tour_s.png\";s:12:\"tmpl_created\";i:1575960404;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/blocks/travel-single-post-tour/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:670;s:16:\"popularity_index\";i:630;s:11:\"trend_index\";i:548;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:815;a:19:{s:4:\"tmpl\";i:926;s:2:\"id\";i:12492;s:5:\"title\";s:14:\"Travel -Footer\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2019/12/Footer_s.png\";s:12:\"tmpl_created\";i:1575960358;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/travel-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:27:\"[\"Footer\",\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:671;s:16:\"popularity_index\";i:453;s:11:\"trend_index\";i:322;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:816;a:19:{s:4:\"tmpl\";i:1068;s:2:\"id\";i:15498;s:5:\"title\";s:23:\"Travel Blog &#8211; 404\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2020/11/404.jpg\";s:12:\"tmpl_created\";i:1606215636;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/blocks/travel-blog-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:23:\"[\"404\",\"Blog\",\"Travel\"]\";s:10:\"menu_order\";i:672;s:16:\"popularity_index\";i:749;s:11:\"trend_index\";i:759;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:817;a:19:{s:4:\"tmpl\";i:1069;s:2:\"id\";i:15508;s:5:\"title\";s:29:\"Travel Blog &#8211; Archive 1\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2020/11/Archive-1-350.jpg\";s:12:\"tmpl_created\";i:1606215649;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/blocks/travel-blog-archive-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:17:\"[\"Blog\",\"Travel\"]\";s:10:\"menu_order\";i:673;s:16:\"popularity_index\";i:659;s:11:\"trend_index\";i:468;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:818;a:19:{s:4:\"tmpl\";i:1070;s:2:\"id\";i:15518;s:5:\"title\";s:29:\"Travel Blog &#8211; Archive 2\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2020/11/Archive-2-350-Copy.jpg\";s:12:\"tmpl_created\";i:1606215663;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/blocks/travel-blog-archive-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:17:\"[\"Blog\",\"Travel\"]\";s:10:\"menu_order\";i:674;s:16:\"popularity_index\";i:688;s:11:\"trend_index\";i:431;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:819;a:19:{s:4:\"tmpl\";i:1071;s:2:\"id\";i:15528;s:5:\"title\";s:26:\"Travel Blog &#8211; Footer\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/11/Footer.jpg\";s:12:\"tmpl_created\";i:1606215673;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/blocks/travel-blog-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:26:\"[\"Blog\",\"Footer\",\"Travel\"]\";s:10:\"menu_order\";i:675;s:16:\"popularity_index\";i:656;s:11:\"trend_index\";i:377;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:820;a:19:{s:4:\"tmpl\";i:1067;s:2:\"id\";i:15536;s:5:\"title\";s:26:\"Travel Blog &#8211; Header\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/11/Header.jpg\";s:12:\"tmpl_created\";i:1606215625;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/blocks/travel-blog-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:26:\"[\"Blog\",\"Header\",\"Travel\"]\";s:10:\"menu_order\";i:676;s:16:\"popularity_index\";i:584;s:11:\"trend_index\";i:228;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:821;a:19:{s:4:\"tmpl\";i:1072;s:2:\"id\";i:15545;s:5:\"title\";s:33:\"Travel Blog &#8211; Single Post 1\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2020/11/Single-1-350.jpg\";s:12:\"tmpl_created\";i:1606215684;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/blocks/travel-blog-single-post-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:17:\"[\"Blog\",\"Travel\"]\";s:10:\"menu_order\";i:677;s:16:\"popularity_index\";i:669;s:11:\"trend_index\";i:482;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:822;a:19:{s:4:\"tmpl\";i:1066;s:2:\"id\";i:15556;s:5:\"title\";s:33:\"Travel Blog &#8211; Single Post 2\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2020/11/Single-2-350.jpg\";s:12:\"tmpl_created\";i:1606215613;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/blocks/travel-blog-single-post-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:11:\"access_tier\";s:9:\"essential\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:17:\"[\"Blog\",\"Travel\"]\";s:10:\"menu_order\";i:678;s:16:\"popularity_index\";i:652;s:11:\"trend_index\";i:454;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}}}", "no");
INSERT INTO `wp_options` VALUES("395", "_site_transient_wp_plugin_dependencies_plugin_data", "a:0:{}", "no");
INSERT INTO `wp_options` VALUES("418", "elementor_pro_install_history", "a:2:{s:6:\"3.14.1\";i:1720677711;s:6:\"3.22.3\";i:1720677712;}", "yes");
INSERT INTO `wp_options` VALUES("439", "_transient_timeout_elementor_remote_info_api_data_3.22.3", "1720722954", "no");
INSERT INTO `wp_options` VALUES("440", "_transient_elementor_remote_info_api_data_3.22.3", "a:4:{s:9:\"timestamp\";s:10:\"1720678003\";s:14:\"upgrade_notice\";a:3:{s:7:\"version\";s:5:\"2.0.0\";s:7:\"message\";s:0:\"\";s:11:\"update_link\";s:0:\"\";}s:11:\"pro_widgets\";a:76:{i:0;a:4:{s:4:\"name\";s:5:\"posts\";s:5:\"title\";s:5:\"Posts\";s:4:\"icon\";s:15:\"eicon-post-list\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:1;a:4:{s:4:\"name\";s:9:\"portfolio\";s:5:\"title\";s:9:\"Portfolio\";s:4:\"icon\";s:18:\"eicon-gallery-grid\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:2;a:4:{s:4:\"name\";s:9:\"mega-menu\";s:5:\"title\";s:4:\"Menu\";s:4:\"icon\";s:15:\"eicon-mega-menu\";s:10:\"categories\";s:33:\"[\"pro-elements\",\"theme-elements\"]\";}i:3;a:4:{s:4:\"name\";s:4:\"form\";s:5:\"title\";s:4:\"Form\";s:4:\"icon\";s:21:\"eicon-form-horizontal\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:4;a:4:{s:4:\"name\";s:9:\"loop-grid\";s:5:\"title\";s:9:\"Loop Grid\";s:4:\"icon\";s:18:\"eicon-loop-builder\";s:10:\"categories\";s:33:\"[\"pro-elements\",\"theme-elements\"]\";}i:5;a:4:{s:4:\"name\";s:13:\"loop-carousel\";s:5:\"title\";s:13:\"Loop Carousel\";s:4:\"icon\";s:19:\"eicon-carousel-loop\";s:10:\"categories\";s:33:\"[\"pro-elements\",\"theme-elements\"]\";}i:6;a:4:{s:4:\"name\";s:7:\"gallery\";s:5:\"title\";s:7:\"Gallery\";s:4:\"icon\";s:23:\"eicon-gallery-justified\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:7;a:4:{s:4:\"name\";s:17:\"animated-headline\";s:5:\"title\";s:17:\"Animated Headline\";s:4:\"icon\";s:23:\"eicon-animated-headline\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:8;a:4:{s:4:\"name\";s:10:\"price-list\";s:5:\"title\";s:10:\"Price List\";s:4:\"icon\";s:16:\"eicon-price-list\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:9;a:4:{s:4:\"name\";s:11:\"price-table\";s:5:\"title\";s:11:\"Price Table\";s:4:\"icon\";s:17:\"eicon-price-table\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:10;a:4:{s:4:\"name\";s:8:\"flip-box\";s:5:\"title\";s:8:\"Flip Box\";s:4:\"icon\";s:14:\"eicon-flip-box\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:11;a:4:{s:4:\"name\";s:14:\"call-to-action\";s:5:\"title\";s:14:\"Call to Action\";s:4:\"icon\";s:20:\"eicon-image-rollover\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:12;a:4:{s:4:\"name\";s:14:\"media-carousel\";s:5:\"title\";s:14:\"Media Carousel\";s:4:\"icon\";s:20:\"eicon-media-carousel\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:13;a:4:{s:4:\"name\";s:15:\"nested-carousel\";s:5:\"title\";s:8:\"Carousel\";s:4:\"icon\";s:21:\"eicon-nested-carousel\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:14;a:4:{s:4:\"name\";s:10:\"off-canvas\";s:5:\"title\";s:10:\"Off-Canvas\";s:4:\"icon\";s:16:\"eicon-off-canvas\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:15;a:4:{s:4:\"name\";s:9:\"countdown\";s:5:\"title\";s:9:\"Countdown\";s:4:\"icon\";s:15:\"eicon-countdown\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:16;a:4:{s:4:\"name\";s:13:\"share-buttons\";s:5:\"title\";s:13:\"Share Buttons\";s:4:\"icon\";s:11:\"eicon-share\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:17;a:4:{s:4:\"name\";s:10:\"blockquote\";s:5:\"title\";s:10:\"Blockquote\";s:4:\"icon\";s:16:\"eicon-blockquote\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:18;a:4:{s:4:\"name\";s:6:\"lottie\";s:5:\"title\";s:6:\"Lottie\";s:4:\"icon\";s:12:\"eicon-lottie\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:19;a:4:{s:4:\"name\";s:7:\"hotspot\";s:5:\"title\";s:7:\"Hotspot\";s:4:\"icon\";s:19:\"eicon-image-hotspot\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:20;a:4:{s:4:\"name\";s:13:\"paypal-button\";s:5:\"title\";s:13:\"PayPal Button\";s:4:\"icon\";s:19:\"eicon-paypal-button\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:21;a:4:{s:4:\"name\";s:14:\"code-highlight\";s:5:\"title\";s:14:\"Code Highlight\";s:4:\"icon\";s:20:\"eicon-code-highlight\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:22;a:4:{s:4:\"name\";s:14:\"video-playlist\";s:5:\"title\";s:14:\"Video Playlist\";s:4:\"icon\";s:20:\"eicon-video-playlist\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:23;a:4:{s:4:\"name\";s:8:\"template\";s:5:\"title\";s:8:\"Template\";s:4:\"icon\";s:19:\"eicon-document-file\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:24;a:4:{s:4:\"name\";s:13:\"stripe-button\";s:5:\"title\";s:13:\"Stripe Button\";s:4:\"icon\";s:19:\"eicon-stripe-button\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:25;a:4:{s:4:\"name\";s:16:\"progress-tracker\";s:5:\"title\";s:16:\"Progress Tracker\";s:4:\"icon\";s:22:\"eicon-progress-tracker\";s:10:\"categories\";s:40:\"[\"pro-elements\",\"theme-elements-single\"]\";}i:26;a:4:{s:4:\"name\";s:8:\"nav-menu\";s:5:\"title\";s:8:\"Nav Menu\";s:4:\"icon\";s:14:\"eicon-nav-menu\";s:10:\"categories\";s:33:\"[\"pro-elements\",\"theme-elements\"]\";}i:27;a:4:{s:4:\"name\";s:17:\"table-of-contents\";s:5:\"title\";s:17:\"Table of Contents\";s:4:\"icon\";s:23:\"eicon-table-of-contents\";s:10:\"categories\";s:33:\"[\"pro-elements\",\"theme-elements\"]\";}i:28;a:4:{s:4:\"name\";s:5:\"login\";s:5:\"title\";s:5:\"Login\";s:4:\"icon\";s:15:\"eicon-lock-user\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:29;a:4:{s:4:\"name\";s:6:\"slides\";s:5:\"title\";s:6:\"Slides\";s:4:\"icon\";s:12:\"eicon-slides\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:30;a:4:{s:4:\"name\";s:20:\"testimonial-carousel\";s:5:\"title\";s:20:\"Testimonial Carousel\";s:4:\"icon\";s:26:\"eicon-testimonial-carousel\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:31;a:4:{s:4:\"name\";s:7:\"reviews\";s:5:\"title\";s:7:\"Reviews\";s:4:\"icon\";s:12:\"eicon-review\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:32;a:4:{s:4:\"name\";s:15:\"facebook-button\";s:5:\"title\";s:15:\"Facebook Button\";s:4:\"icon\";s:23:\"eicon-facebook-like-box\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:33;a:4:{s:4:\"name\";s:17:\"facebook-comments\";s:5:\"title\";s:17:\"Facebook Comments\";s:4:\"icon\";s:23:\"eicon-facebook-comments\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:34;a:4:{s:4:\"name\";s:14:\"facebook-embed\";s:5:\"title\";s:14:\"Facebook Embed\";s:4:\"icon\";s:14:\"eicon-fb-embed\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:35;a:4:{s:4:\"name\";s:13:\"facebook-page\";s:5:\"title\";s:13:\"Facebook Page\";s:4:\"icon\";s:13:\"eicon-fb-feed\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:36;a:4:{s:4:\"name\";s:15:\"theme-site-logo\";s:5:\"title\";s:9:\"Site Logo\";s:4:\"icon\";s:15:\"eicon-site-logo\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:37;a:4:{s:4:\"name\";s:16:\"theme-site-title\";s:5:\"title\";s:10:\"Site Title\";s:4:\"icon\";s:16:\"eicon-site-title\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:38;a:4:{s:4:\"name\";s:16:\"theme-page-title\";s:5:\"title\";s:10:\"Page Title\";s:4:\"icon\";s:19:\"eicon-archive-title\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:39;a:4:{s:4:\"name\";s:16:\"theme-post-title\";s:5:\"title\";s:10:\"Post Title\";s:4:\"icon\";s:16:\"eicon-post-title\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:40;a:4:{s:4:\"name\";s:18:\"theme-post-excerpt\";s:5:\"title\";s:12:\"Post Excerpt\";s:4:\"icon\";s:18:\"eicon-post-excerpt\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:41;a:4:{s:4:\"name\";s:25:\"theme-post-featured-image\";s:5:\"title\";s:14:\"Featured Image\";s:4:\"icon\";s:20:\"eicon-featured-image\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:42;a:4:{s:4:\"name\";s:19:\"theme-archive-title\";s:5:\"title\";s:13:\"Archive Title\";s:4:\"icon\";s:19:\"eicon-archive-title\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:43;a:4:{s:4:\"name\";s:13:\"archive-posts\";s:5:\"title\";s:13:\"Archive Posts\";s:4:\"icon\";s:19:\"eicon-archive-posts\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:44;a:4:{s:4:\"name\";s:11:\"search-form\";s:5:\"title\";s:11:\"Search Form\";s:4:\"icon\";s:17:\"eicon-site-search\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:45;a:4:{s:4:\"name\";s:10:\"author-box\";s:5:\"title\";s:10:\"Author Box\";s:4:\"icon\";s:12:\"eicon-person\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:46;a:4:{s:4:\"name\";s:13:\"post-comments\";s:5:\"title\";s:13:\"Post Comments\";s:4:\"icon\";s:14:\"eicon-comments\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:47;a:4:{s:4:\"name\";s:15:\"post-navigation\";s:5:\"title\";s:15:\"Post Navigation\";s:4:\"icon\";s:21:\"eicon-post-navigation\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:48;a:4:{s:4:\"name\";s:9:\"post-info\";s:5:\"title\";s:9:\"Post Info\";s:4:\"icon\";s:15:\"eicon-post-info\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:49;a:4:{s:4:\"name\";s:7:\"sitemap\";s:5:\"title\";s:7:\"Sitemap\";s:4:\"icon\";s:13:\"eicon-sitemap\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:50;a:4:{s:4:\"name\";s:11:\"breadcrumbs\";s:5:\"title\";s:11:\"Breadcrumbs\";s:4:\"icon\";s:11:\"eicon-yoast\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:51;a:4:{s:4:\"name\";s:21:\"woocommerce-menu-cart\";s:5:\"title\";s:9:\"Menu Cart\";s:4:\"icon\";s:10:\"eicon-cart\";s:10:\"categories\";s:41:\"[\"theme-elements\",\"woocommerce-elements\"]\";}i:52;a:4:{s:4:\"name\";s:19:\"wc-archive-products\";s:5:\"title\";s:16:\"Archive Products\";s:4:\"icon\";s:14:\"eicon-products\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:53;a:4:{s:4:\"name\";s:31:\"woocommerce-archive-description\";s:5:\"title\";s:19:\"Archive Description\";s:4:\"icon\";s:25:\"eicon-product-description\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:54;a:4:{s:4:\"name\";s:20:\"woocommerce-products\";s:5:\"title\";s:8:\"Products\";s:4:\"icon\";s:14:\"eicon-products\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:55;a:4:{s:4:\"name\";s:22:\"woocommerce-breadcrumb\";s:5:\"title\";s:23:\"WooCommerce Breadcrumbs\";s:4:\"icon\";s:25:\"eicon-product-breadcrumbs\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:56;a:4:{s:4:\"name\";s:14:\"wc-add-to-cart\";s:5:\"title\";s:18:\"Custom Add To Cart\";s:4:\"icon\";s:17:\"eicon-woocommerce\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:57;a:4:{s:4:\"name\";s:11:\"wc-elements\";s:5:\"title\";s:17:\"WooCommerce Pages\";s:4:\"icon\";s:19:\"eicon-product-pages\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:58;a:4:{s:4:\"name\";s:13:\"wc-categories\";s:5:\"title\";s:18:\"Product Categories\";s:4:\"icon\";s:24:\"eicon-product-categories\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:59;a:4:{s:4:\"name\";s:25:\"woocommerce-product-title\";s:5:\"title\";s:13:\"Product Title\";s:4:\"icon\";s:19:\"eicon-product-title\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:60;a:4:{s:4:\"name\";s:26:\"woocommerce-product-images\";s:5:\"title\";s:14:\"Product Images\";s:4:\"icon\";s:20:\"eicon-product-images\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:61;a:4:{s:4:\"name\";s:25:\"woocommerce-product-price\";s:5:\"title\";s:13:\"Product Price\";s:4:\"icon\";s:19:\"eicon-product-price\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:62;a:4:{s:4:\"name\";s:31:\"woocommerce-product-add-to-cart\";s:5:\"title\";s:11:\"Add To Cart\";s:4:\"icon\";s:25:\"eicon-product-add-to-cart\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:63;a:4:{s:4:\"name\";s:26:\"woocommerce-product-rating\";s:5:\"title\";s:14:\"Product Rating\";s:4:\"icon\";s:20:\"eicon-product-rating\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:64;a:4:{s:4:\"name\";s:25:\"woocommerce-product-stock\";s:5:\"title\";s:13:\"Product Stock\";s:4:\"icon\";s:19:\"eicon-product-stock\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:65;a:4:{s:4:\"name\";s:24:\"woocommerce-product-meta\";s:5:\"title\";s:12:\"Product Meta\";s:4:\"icon\";s:18:\"eicon-product-meta\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:66;a:4:{s:4:\"name\";s:37:\"woocommerce-product-short-description\";s:5:\"title\";s:17:\"Short Description\";s:4:\"icon\";s:25:\"eicon-product-description\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:67;a:4:{s:4:\"name\";s:29:\"woocommerce-product-data-tabs\";s:5:\"title\";s:17:\"Product Data Tabs\";s:4:\"icon\";s:18:\"eicon-product-tabs\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:68;a:4:{s:4:\"name\";s:42:\"woocommerce-product-additional-information\";s:5:\"title\";s:22:\"Additional Information\";s:4:\"icon\";s:19:\" eicon-product-info\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:69;a:4:{s:4:\"name\";s:27:\"woocommerce-product-related\";s:5:\"title\";s:15:\"Product Related\";s:4:\"icon\";s:21:\"eicon-product-related\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:70;a:4:{s:4:\"name\";s:26:\"woocommerce-product-upsell\";s:5:\"title\";s:7:\"Upsells\";s:4:\"icon\";s:20:\"eicon-product-upsell\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:71;a:4:{s:4:\"name\";s:25:\"woocommerce-checkout-page\";s:5:\"title\";s:8:\"Checkout\";s:4:\"icon\";s:14:\"eicon-checkout\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:72;a:4:{s:4:\"name\";s:16:\"woocommerce-cart\";s:5:\"title\";s:4:\"Cart\";s:4:\"icon\";s:14:\"eicon-woo-cart\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:73;a:4:{s:4:\"name\";s:22:\"woocommerce-my-account\";s:5:\"title\";s:10:\"My Account\";s:4:\"icon\";s:16:\"eicon-my-account\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:74;a:4:{s:4:\"name\";s:28:\"woocommerce-purchase-summary\";s:5:\"title\";s:16:\"Purchase Summary\";s:4:\"icon\";s:22:\"eicon-purchase-summary\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:75;a:4:{s:4:\"name\";s:19:\"woocommerce-notices\";s:5:\"title\";s:19:\"WooCommerce Notices\";s:4:\"icon\";s:25:\"eicon-woocommerce-notices\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}}s:17:\"canary_deployment\";a:2:{s:11:\"plugin_info\";a:11:{s:2:\"id\";s:23:\"w.org/plugins/elementor\";s:4:\"slug\";s:9:\"elementor\";s:6:\"plugin\";s:23:\"elementor/elementor.php\";s:11:\"new_version\";s:5:\"3.6.0\";s:7:\"package\";s:58:\"https://downloads.wordpress.org/plugin/elementor.3.6.0.zip\";s:3:\"url\";s:40:\"https://wordpress.org/plugins/elementor/\";s:5:\"icons\";a:3:{s:2:\"2x\";s:62:\"https://ps.w.org/elementor/assets/icon-256x256.png?rev=1427768\";s:2:\"1x\";s:54:\"https://ps.w.org/elementor/assets/icon.svg?rev=1426809\";s:3:\"svg\";s:54:\"https://ps.w.org/elementor/assets/icon.svg?rev=1426809\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:65:\"https://ps.w.org/elementor/assets/banner-1544x500.png?rev=1475479\";s:2:\"1x\";s:64:\"https://ps.w.org/elementor/assets/banner-772x250.png?rev=1475479\";}s:11:\"banners_rtl\";a:0:{}s:6:\"tested\";s:5:\"6.5.5\";s:12:\"requires_php\";s:3:\"5.6\";}s:10:\"conditions\";a:0:{}}}", "no");
INSERT INTO `wp_options` VALUES("123", "recovery_keys", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("124", "https_detection_errors", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("106", "cron", "a:12:{i:1720684780;a:1:{s:26:\"upgrader_scheduled_cleanup\";a:1:{s:32:\"70ec96d0a8edf5ca4271b69420b652eb\";a:2:{s:8:\"schedule\";b:0;s:4:\"args\";a:1:{i:0;i:122;}}}}i:1720685325;a:1:{s:34:\"wp_privacy_delete_old_export_files\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"hourly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:3600;}}}i:1720724925;a:4:{s:32:\"recovery_mode_clean_expired_keys\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}s:16:\"wp_version_check\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:17:\"wp_update_plugins\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:16:\"wp_update_themes\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1720724935;a:3:{s:19:\"wp_scheduled_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}s:25:\"delete_expired_transients\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}s:21:\"wp_update_user_counts\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1720724936;a:1:{s:30:\"wp_scheduled_auto_draft_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1720725080;a:1:{s:29:\"astra_get_knowledge_base_data\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1720725237;a:1:{s:28:\"elementor/tracker/send_event\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1720984125;a:1:{s:30:\"wp_site_health_scheduled_check\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"weekly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}}i:1720986734;a:1:{s:30:\"duplicator_usage_tracking_cron\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:22:\"duplicator_weekly_cron\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}}i:1721039400;a:1:{s:29:\"duplicator_email_summary_cron\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:22:\"duplicator_weekly_cron\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}}i:1721281989;a:1:{s:30:\"wp_delete_temp_updater_backups\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"weekly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}}s:7:\"version\";i:2;}", "yes");
INSERT INTO `wp_options` VALUES("378", "db_upgraded", "", "yes");
INSERT INTO `wp_options` VALUES("107", "widget_pages", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("108", "widget_calendar", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("109", "widget_archives", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("110", "widget_media_audio", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("111", "widget_media_image", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("112", "widget_media_gallery", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("113", "widget_media_video", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("114", "widget_meta", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("115", "widget_search", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("116", "widget_recent-posts", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("117", "widget_recent-comments", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("118", "widget_tag_cloud", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("119", "widget_nav_menu", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("120", "widget_custom_html", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("122", "theme_mods_twentytwentythree", "a:2:{s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1689448280;s:4:\"data\";a:3:{s:19:\"wp_inactive_widgets\";a:0:{}s:9:\"sidebar-1\";a:3:{i:0;s:7:\"block-2\";i:1;s:7:\"block-3\";i:2;s:7:\"block-4\";}s:9:\"sidebar-2\";a:2:{i:0;s:7:\"block-5\";i:1;s:7:\"block-6\";}}}}", "no");
INSERT INTO `wp_options` VALUES("153", "finished_updating_comment_type", "1", "yes");
INSERT INTO `wp_options` VALUES("389", "_transient_health-check-site-status-result", "{\"good\":17,\"recommended\":5,\"critical\":1}", "yes");
INSERT INTO `wp_options` VALUES("429", "duplicator_settings", "a:20:{s:7:\"version\";s:6:\"1.5.10\";s:18:\"uninstall_settings\";b:1;s:15:\"uninstall_files\";b:1;s:13:\"package_debug\";b:0;s:23:\"email_summary_frequency\";s:6:\"weekly\";s:9:\"amNotices\";b:1;s:17:\"package_mysqldump\";b:1;s:22:\"package_mysqldump_path\";s:0:\"\";s:24:\"package_phpdump_qrylimit\";s:3:\"100\";s:17:\"package_zip_flush\";b:0;s:19:\"installer_name_mode\";s:6:\"simple\";s:16:\"storage_position\";s:6:\"wpcont\";s:20:\"storage_htaccess_off\";b:0;s:18:\"archive_build_mode\";i:2;s:17:\"skip_archive_scan\";b:0;s:21:\"unhook_third_party_js\";b:0;s:22:\"unhook_third_party_css\";b:0;s:17:\"active_package_id\";i:3;s:14:\"usage_tracking\";b:0;i:0;b:0;}", "yes");
INSERT INTO `wp_options` VALUES("430", "duplicator_plugin_data_stats", "{\n    \"lastSendTime\": 0,\n    \"identifier\": \"GAxtwFrdUUf3szYNy5o6Nw3ONmtLvlg+9&=ZdAHMuDtz\",\n    \"plugin\": \"dup-lite\",\n    \"pluginStatus\": \"active\",\n    \"buildCount\": 1,\n    \"buildLastDate\": 1720681858,\n    \"buildFailedCount\": 0,\n    \"buildFailedLastDate\": 0,\n    \"siteSizeMB\": 171.219999999999998863131622783839702606201171875,\n    \"siteNumFiles\": 8676,\n    \"siteDbSizeMB\": 3.75,\n    \"siteDbNumTables\": 17\n}", "yes");
INSERT INTO `wp_options` VALUES("473", "_transient_timeout_astra-theme-db-migrated", "1720685657", "no");
INSERT INTO `wp_options` VALUES("474", "_transient_astra-theme-db-migrated", "a:4:{i:0;b:0;i:1;b:0;i:2;b:0;i:3;b:0;}", "no");
INSERT INTO `wp_options` VALUES("480", "elementor_pro_remote_info_api_data_3.22.1", "a:2:{s:7:\"timeout\";i:1720737855;s:5:\"value\";s:219060:\"{\"stable_version\":\"3.22.1\",\"last_updated\":\"2024-06-24 12:10:43\",\"sections\":\"a:2:{s:11:\\\"description\\\";s:161:\\\"Elementor Pro adds new features to the Elementor Page Builder plugin. Control your conversions, your user engagement, your entire website, from one page builder.\\\";s:9:\\\"changelog\\\";s:204501:\\\"<h2>Elementor Pro - by Elementor.com<\\/h2>\\n<h4>3.22.1 - 2024-06-24<\\/h4>\\n<ul>\\n<li>Fix: Styling of Global widgets not loading when Element Caching experiment is activated (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/27704\\\">#27704<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.22.0 - 2024-06-16<\\/h4>\\n<ul>\\n<li>New: Introducing Off-Canvas widget - create engaging and creative layers triggered by a link (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6225\\\">#6225<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21769\\\">#21769<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/25770\\\">#25770<\\/a>)<\\/li>\\n<li>Tweak: Added option to remove \'User IP\' and \'User Agent\' from the form submissions metadata (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14285\\\">#14285<\\/a>)<\\/li>\\n<li>Tweak: Replaced <code>waypoints.js<\\/code> library with the native Intersection Observer API<\\/li>\\n<li>Tweak: Extended Alignment and Position capabilities in Form widget<\\/li>\\n<li>Tweak: Moved icon View control to style tab in Flip Box widget<\\/li>\\n<li>Tweak: Moved icon View control to style tab in Call to Action widget<\\/li>\\n<li>Tweak: Optimized Form widget to eliminate unnecessary markup when the button icon is empty<\\/li>\\n<li>Tweak: Optimized Posts widget to eliminate unnecessary markup when Load More button text is empty<\\/li>\\n<li>Tweak: Remove <code>placeholder<\\/code> arguments from URL controls<\\/li>\\n<li>Tweak: Implemented CSS logical properties to Icon Position in Form, Posts and Menu Cart widgets<\\/li>\\n<li>Tweak: Activated Display Conditions feature for existing sites<\\/li>\\n<li>Tweak: Activated Taxonomy Filter feature for existing sites<\\/li>\\n<li>Tweak: Added functionality to delay the running of the ready triggers on inner elements<\\/li>\\n<li>Fix: Icons are now part of the link in the Menu Widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/24298\\\">#24298<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/25112\\\">#25112<\\/a>)<\\/li>\\n<li>Fix: <code>all: unset<\\/code> assigned to buttons cause focus issues (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/24322\\\">#24322<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/25448\\\">#25448<\\/a>)<\\/li>\\n<li>Fix: Menu cart SVG icon disappears on front when Optimized Control Loading experiment is activated (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/27342\\\">#27342<\\/a>)<\\/li>\\n<li>Fix: Elementor Pro auto-updates are not working on multisite networks (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12615\\\">#12615<\\/a>)<\\/li>\\n<li>Fix: PHP error appears in the editor when using Loop Grid in an archive template<\\/li>\\n<li>Fix: UI glitch on Icon Position control in Paypal and Stripe Buttons widgets<\\/li>\\n<li>Fix: Icon Position control RTL issue in Hotspot widget<\\/li>\\n<li>Fix: Manual Selection &quot;Include By&quot; Query doesn\'t work with product categories<\\/li>\\n<\\/ul>\\n<h4>3.21.3 - 2024-05-20<\\/h4>\\n<ul>\\n<li>Security Fix: Improved code security enforcement in Loop Grid widget<\\/li>\\n<li>Fix: License expired affects the Display Conditions functionality in the front end<\\/li>\\n<\\/ul>\\n<h4>3.21.2 - 2024-04-30<\\/h4>\\n<ul>\\n<li>Fix: Special characters are not displayed correctly when using the Excerpt widget in Loop template (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/25860\\\">#25860<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.21.1 - 2024-04-24<\\/h4>\\n<ul>\\n<li>Fix: Excerpt Length setting doesn\'t function correctly for languages with non-English characters in Post Excerpt widget<\\/li>\\n<\\/ul>\\n<h4>3.21.0 - 2024-04-15<\\/h4>\\n<ul>\\n<li>New: Introducing Loop Taxonomy Query - Enabling the display of post and product categories and tags within Loop Grid and Loop Carousel widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21372\\\">#21372<\\/a>)<\\/li>\\n<li>Tweak: Optimized Hotspot widget to prevent rendering when no image is provided<\\/li>\\n<li>Tweak: Optimized Blockquote widget to eliminate unnecessary markup when devoid of content<\\/li>\\n<li>Tweak: Optimized Template widget to eliminate unnecessary markup when no template is selected<\\/li>\\n<li>Tweak: Optimized Code Highlight widget to eliminate unnecessary markup when there is no content<\\/li>\\n<li>Tweak: Implemented CSS logical properties in Elementor<\\/li>\\n<li>Tweak: Implemented accessibility improvements in Portfolio widget<\\/li>\\n<li>Tweak: Implemented accessibility improvements of Author Avatar image alt text in Post Info widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/25440\\\">#25440<\\/a>)<\\/li>\\n<li>Tweak: Notes feature merged to version<\\/li>\\n<li>Tweak: Implemented accessibility improvements of Profile Picture alt text in Author widget<\\/li>\\n<li>Fix: Display issue on hover state in WooCommerce Menu Cart widget<\\/li>\\n<\\/ul>\\n<h4>3.20.3 - 2024-04-10<\\/h4>\\n<ul>\\n<li>Fix: Compatibility issue between the My Account widget and other third-party plugins (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/20986\\\">#20986<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.20.2 - 2024-03-26<\\/h4>\\n<ul>\\n<li>Security Fix: Improved code security enforcement in Media Carousel widget<\\/li>\\n<li>Security Fix: Improved code security enforcement in Form widget<\\/li>\\n<li>Security Fix: Improved code security enforcement in Post Navigation widget<\\/li>\\n<li>Security Fix: Improved code security enforcement in Gallery widget<\\/li>\\n<li>Security Fix: Improved code security enforcement in Video Playlist widget<\\/li>\\n<\\/ul>\\n<h4>3.20.1 - 2024-03-20<\\/h4>\\n<ul>\\n<li>Fix: Strengthened code integrity in deprecated Woo Single Element widget<\\/li>\\n<li>Fix: PHP error notice appears when using Loop Grid with the Taxonomy Filter widgets<\\/li>\\n<\\/ul>\\n<h4>3.20.0 - 2024-03-11<\\/h4>\\n<ul>\\n<li>Tweak: Implemented OR logic in the Display Conditions feature<\\/li>\\n<li>Tweak: Added X and Threads social networks to Share Buttons widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/25299\\\">#25299<\\/a>)<\\/li>\\n<li>Tweak: Added Archive Title dynamic tag rule in Display Conditions feature<\\/li>\\n<li>Tweak: Added Featured Image Title dynamic tag rule in Display Conditions feature<\\/li>\\n<li>Tweak: Added Featured Image Alt dynamic tag rule in Display Conditions feature<\\/li>\\n<li>Tweak: Added Featured Image Caption dynamic tag rule in Display Conditions feature<\\/li>\\n<li>Tweak: Added Author Bio dynamic tag rule in Display Conditions feature<\\/li>\\n<li>Tweak: Added Author Email dynamic tag rule in Display Conditions feature<\\/li>\\n<li>Tweak: Added Author Website dynamic tag rule in Display Conditions feature<\\/li>\\n<li>Tweak: Added Page Title rule in Display Conditions feature<\\/li>\\n<li>Tweak: Added Post Title rule in Display Conditions feature<\\/li>\\n<li>Tweak: Added Featured Image rule in Display Conditions feature<\\/li>\\n<li>Tweak: Added Comments Number rule in Display Conditions feature<\\/li>\\n<li>Tweak: Added Archive Author rule in Display Conditions feature<\\/li>\\n<li>Tweak: Added support for WordPress Custom Fields in Display Conditions feature<\\/li>\\n<li>Tweak: Implemented accessibility improvements in Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/23875\\\">#23875<\\/a>)<\\/li>\\n<li>Tweak: Implemented accessibility improvements in Login widget<\\/li>\\n<li>Tweak: Added additional style controls in the Table of Contents widget<\\/li>\\n<li>Tweak: Added Transition Duration option in Blockquote widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21295\\\">#21295<\\/a>)<\\/li>\\n<li>Tweak: Added Transition Duration to button in Flip Box widget<\\/li>\\n<li>Tweak: Added Transition Duration to button in Author Box widget<\\/li>\\n<li>Tweak: Added Transition Duration to List in Table of Contents widget<\\/li>\\n<li>Tweak: Added Transition Duration to button in Login widget<\\/li>\\n<li>Tweak: Added Transition Duration in Post Navigation widget<\\/li>\\n<li>Tweak: Added Transition Duration Show More in Video Playlist widget<\\/li>\\n<li>Tweak: Added Transition Duration to button in Form widget<\\/li>\\n<li>Tweak: Removed separator-none argument from all Editor controls<\\/li>\\n<li>Tweak: Add <code>&lt;time&gt;<\\/code> wrapper for Date and Time items in Post Info widget<\\/li>\\n<li>Tweak: Page Transitions feature merged to version<\\/li>\\n<li>Tweak: Scroll Snap feature merged to version<\\/li>\\n<li>Tweak: Promoted Display Conditions feature to Beta status and activated for new sites<\\/li>\\n<li>Tweak: Promoted Taxonomy Filter feature to beta status and activated for new sites<\\/li>\\n<li>Fix: Page Transitions feature and Load Font Awesome 4 Support cause a console error (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18885\\\">#18885<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19334\\\">#19334<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21082\\\">#21082<\\/a>)<\\/li>\\n<li>Fix: Added better output escaping in Taxonomy Filter widget<\\/li>\\n<\\/ul>\\n<h4>3.19.3 - 2024-02-26<\\/h4>\\n<ul>\\n<li>Tweak: Improved Loop CSS loading structure in Loop Grid item<\\/li>\\n<li>Security Fix: Addressed security weaknesses in Dynamic Tags<\\/li>\\n<\\/ul>\\n<h4>3.19.2 - 2024-02-07<\\/h4>\\n<ul>\\n<li>Fix: Export data inconsistencies when using form actions in Form widget<\\/li>\\n<\\/ul>\\n<h4>3.19.1 - 2024-02-05<\\/h4>\\n<ul>\\n<li>Fix: Enqueuing non-existing Loop Template CSS file in Loop Item template (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/24959\\\">#24959<\\/a>)<\\/li>\\n<li>Fix: Improved code security enforcement in Countdown widget<\\/li>\\n<\\/ul>\\n<h4>3.19.0 - 2024-01-29<\\/h4>\\n<ul>\\n<li>New: Introducing Display Conditions for Elements - allowing users to customize content visibility based on specified criteria (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4246\\\">#4246<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21152\\\">#21152<\\/a>)<\\/li>\\n<li>New: Implemented Akismet Integration for enhanced spam protection and security in Form widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11401\\\">#11401<\\/a>)<\\/li>\\n<li>New: Introducing Permissions functionality to Element Manager - providing users with enhanced control over access and management capabilities<\\/li>\\n<li>Tweak: Added styling option for dropdown indicator in Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21907\\\">#21907<\\/a>)<\\/li>\\n<li>Tweak: Added additional size units and custom units in all elements<\\/li>\\n<li>Tweak: Implemented CSS logical properties in WordPress Menu widget<\\/li>\\n<li>Tweak: Implemented CSS logical properties in Reviews widget<\\/li>\\n<li>Tweak: Implemented CSS logical properties in Countdown widget<\\/li>\\n<li>Tweak: Implemented CSS logical properties in Elementor Editor<\\/li>\\n<li>Tweak: Updated <code>jquery.smartmenus.js<\\/code> version from 1.1.1 to 1.2.0<\\/li>\\n<li>Fix: Dynamic Background Image does not load on the first Loop Item in a Loop Grid (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21489\\\">#21489<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/22368\\\">#22368<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/23085\\\">#23085<\\/a>)<\\/li>\\n<li>Fix: History panel deprecation notices in console log<\\/li>\\n<li>Fix: Second Pro rollback installed the latest version instead of the specifically selected older version<\\/li>\\n<li>Fix: Incorrect position of the dropdown content when applying entrance animation in Menu Widget<\\/li>\\n<li>Fix: UX issues when using in-place editing in Menu widget<\\/li>\\n<li>Fix: Pagination with page reload is not working when used with the Taxonomy filter and Loop Grid widget in Archive template<\\/li>\\n<\\/ul>\\n<h4>3.18.2 - 2023-12-20<\\/h4>\\n<ul>\\n<li>Fix: Modified controls sanitization to enforce better security policies in Price List widget<\\/li>\\n<li>Fix: Error messages related to loop filter appear on front when using PHP 8.X and <code>WP_DEBUG<\\/code> is true<\\/li>\\n<\\/ul>\\n<h4>3.18.1 - 2023-12-06<\\/h4>\\n<ul>\\n<li>Fix: No results appeared when reloading the page with deep link and de-selecting terms in Taxonomy Filter widget<\\/li>\\n<li>Fix: No results appeared when filtering the Uncategorized category in Filter Taxonomy widget<\\/li>\\n<li>Fix: Notes still available when the Notes feature is deactivated<\\/li>\\n<\\/ul>\\n<h4>3.18.0 - 2023-12-04<\\/h4>\\n<ul>\\n<li>Tweak: Added the ability to upload files as attachments to emails in the File Upload field in Form widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4868\\\">#4868<\\/a>)<\\/li>\\n<li>Tweak: Introduced the capability to design and edit the empty state in the Loop Grid widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/24261\\\">#24261<\\/a>)<\\/li>\\n<li>Tweak: Implemented the option to close the menu content area with a click anywhere on the screen in Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/22686\\\">#22686<\\/a>)<\\/li>\\n<li>Tweak: Improve scrolling behavior inside the content area when there is not enough space in Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/22712\\\">#22712<\\/a>)<\\/li>\\n<li>Tweak: Expanded breakpoint options in Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/22488\\\">#22488<\\/a>)<\\/li>\\n<li>Tweak: Added Logical Combination control in Taxonomy Filter widget<\\/li>\\n<li>Tweak: Added additional units to Horizontal and Vertical padding for Dropdown in WordPress Menu widget<\\/li>\\n<li>Tweak: Hide navigation arrows when there is only one slide in Loop Carousel and Carousel widgets<\\/li>\\n<li>Tweak: Added various HTML Tag controls in Video Playlist widget<\\/li>\\n<li>Tweak: Added responsive control to navigation size in Slides, Reviews, Media Carousel and Testimonial Carousel widgets<\\/li>\\n<li>Tweak: Added semantic <code>&lt;search&gt;<\\/code> wrapper in Search Form widget<\\/li>\\n<li>Tweak: Added semantic <code>&lt;search&gt;<\\/code> wrapper in Taxonomy Filter widget<\\/li>\\n<li>Tweak: Added Multiple Selection control in Taxonomy Filter widget<\\/li>\\n<li>Fix: Deprecated notice when using ${var} in strings instead of {$var} with PHP 8.2 (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/23927\\\">#23927<\\/a>)<\\/li>\\n<li>Fix: Dropdown indicator position issue in Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/23947\\\">#23947<\\/a>)<\\/li>\\n<li>Fix: Dynamic Tags are not available when choosing \'self-hosted\' source in Video widget<\\/li>\\n<li>Fix: Telephone field placeholder is aligned to the left in RTL websites in Form widget<\\/li>\\n<\\/ul>\\n<h4>3.17.1 - 2023-11-01<\\/h4>\\n<ul>\\n<li>Fix: Modified controls sanitization to enforce better security policies in Code Highlight, Form, Lottie, Price List, and Video Playlist widgets<\\/li>\\n<\\/ul>\\n<h4>3.17.0 - 2023-10-25<\\/h4>\\n<ul>\\n<li>Tweak: Added AJAX pagination option or seamless page navigation between content in Loop Grid widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1284\\\">#1284<\\/a>)<\\/li>\\n<li>Tweak: Introduced Individual Pagination option when multiple Post widgets are on the same page, providing enhanced control over pagination<\\/li>\\n<li>Tweak: Introduced Individual Pagination option when multiple Loop Grid widgets are on the same page, providing enhanced control over pagination<\\/li>\\n<li>Tweak: Added a None option to the breakpoint options in Menu widget<\\/li>\\n<li>Tweak: Added a horizontal scrolling option in Menu widget<\\/li>\\n<li>Tweak: Upgraded minimum required PHP version to 7.3<\\/li>\\n<li>Tweak: Improved accessibility when minimize button is disabled in Table of Content widget<\\/li>\\n<li>Fix: Table of Content widget without icons displays <code>undefined<\\/code> error (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17523\\\">#17523<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17768\\\">#17768<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18463\\\">#18463<\\/a>)<\\/li>\\n<li>Fix: Hover behavior issues on menu items in Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/23430\\\">#23430<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/22431\\\">#22431<\\/a>)<\\/li>\\n<li>Fix: Links inside Loop Carousel are not working on initial load in Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/23705\\\">#23705<\\/a>)<\\/li>\\n<li>Fix: Popups accessible navigation adds outlines to the wrong first focusable element<\\/li>\\n<li>Fix: Dropdown area aligned to the left side of the screen if contains Tabs widget in Menu widget<\\/li>\\n<li>Fix: Content horizontal position not aligning correctly when used with carousel widgets in Menu widget<\\/li>\\n<li>Fix: Accessibility errors in PageSpeed Insights in Table of Contents widget<\\/li>\\n<\\/ul>\\n<h4>3.16.2 - 2023-09-20<\\/h4>\\n<ul>\\n<li>Fix: Fit to Content dropdown position calculation is incorrect in Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/23808\\\">#23808<\\/a>)<\\/li>\\n<li>Fix: Reverted hide navigation arrows when there is only one slide in the Loop or Nested carousel (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/23804\\\">#23804<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.16.1 - 2023-09-14<\\/h4>\\n<ul>\\n<li>Fix: Dynamic tag for ACF image field is not working as expected (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/23757\\\">#23757<\\/a>)<\\/li>\\n<li>Fix: Sticky functionality affects padding values in Container (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/23758\\\">#23758<\\/a>)<\\/li>\\n<li>Fix: HTML list issues for padding and margin in Menu widget<\\/li>\\n<\\/ul>\\n<h4>3.16.0 - 2023-09-12<\\/h4>\\n<ul>\\n<li>Tweak: Implemented accessibility improvements in Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/23607\\\">#23607<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/22554\\\">#22554<\\/a>)<\\/li>\\n<li>Fix: \'Fallback: Recent Posts\' option malfunctions in the Query control (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21436\\\">#21436<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/23259\\\">#23259<\\/a>)<\\/li>\\n<li>Tweak: Hide navigation arrows when there is only one slide in the Loop or Nested carousel (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/22056\\\">#22056<\\/a>)<\\/li>\\n<li>Tweak: Used appropriate image <code>alt<\\/code> in Testimonial Carousel widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17680\\\">#17680<\\/a>)<\\/li>\\n<li>Tweak: Optimized Scroll Snap functionality when using Container widget<\\/li>\\n<li>Tweak: Enhanced Elementor Role Manager functionality when using Containers<\\/li>\\n<li>Tweak: Added Notes feature to the Editor Top Bar<\\/li>\\n<li>Tweak: Replace CSS <code>float<\\/code> with other layouts in the Editor<\\/li>\\n<li>Tweak: Upgraded HTML Structure for the Menu widget<\\/li>\\n<li>Tweak: Implemented CSS logical properties in Carousel and Menu widgets<\\/li>\\n<li>Tweak: Added keyboard accessibility to a link in Posts widget<\\/li>\\n<li>Tweak: Loop Builder feature merged to version<\\/li>\\n<li>Fix: Addressed inconsistency in hover effect durations between icon, dropdown indicator colors, and text colors in the Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/22376\\\">#22376<\\/a>)<\\/li>\\n<li>Fix: Slides break if the parent container is set to HTML A tag in Loop Carousel and Carousel widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/22678\\\">#22678<\\/a>)<\\/li>\\n<li>Fix: The icon size setting is not affecting uploaded SVG icons in the Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/22372\\\">#22372<\\/a>)<\\/li>\\n<li>Fix: Taxonomy filter does not work with slug in foreign characters (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/23315\\\">#23315<\\/a>)<\\/li>\\n<li>Fix: Improved code security enforcement in Dynamic Tags<\\/li>\\n<li>Fix: Sticky container incorrectly adjusts its width when transitioning from a smaller breakpoint to a larger one within the Editor<\\/li>\\n<\\/ul>\\n<h4>3.15.1 - 2023-08-09<\\/h4>\\n<ul>\\n<li>Fix: Improved code security enforcement in Table of Contents widget<\\/li>\\n<\\/ul>\\n<h4>3.15.0 - 2023-07-31<\\/h4>\\n<ul>\\n<li>New: Introducing Taxonomy Filter widget - Empower visitors to seamlessly filter listings in Loop Grids based on taxonomies (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3140\\\">#3140<\\/a>)<\\/li>\\n<li>Tweak: Added an &quot;Offset Sides&quot; functionality in Carousel and Loop Carousel widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21114\\\">#21114<\\/a>)<\\/li>\\n<li>Tweak: Modified the size of the Publish button in the Editor Top Bar feature (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/22472\\\">#22472<\\/a>)<\\/li>\\n<li>Tweak: Improved Ajax permissions functionality for better security enforcement<\\/li>\\n<li>Tweak: Added option for pagination custom position in Carousel and Loop Carousel widgets<\\/li>\\n<li>Tweak: Added option for navigation custom position in Carousel and Loop Carousel widgets<\\/li>\\n<li>Tweak: Added additional styling options for navigation in Carousel and Loop Carousel widgets<\\/li>\\n<li>Tweak: Added labels to shortcode column in WordPress admin<\\/li>\\n<li>Tweak: Unified the appearance of <code>stretch<\\/code> and <code>center<\\/code> buttons in Menu widget<\\/li>\\n<li>Tweak: Unified the appearance of <code>stretch<\\/code> and <code>center<\\/code> buttons in My Account widget<\\/li>\\n<li>Tweak: Improved panel UI in Video Playlist widget<\\/li>\\n<li>Tweak: Implemented CSS logical properties in Elementor Editor<\\/li>\\n<li>Tweak: Added &quot;Title HTML Tag&quot; and &quot;Description HTML Tag&quot; in Price List widget<\\/li>\\n<li>Tweak: Added &quot;Title HTML Tag&quot; and &quot;Description HTML Tag&quot; in Slides widget<\\/li>\\n<li>Tweak: Added &quot;Title HTML Tag&quot; and &quot;Description HTML Tag&quot; in Flip Box widget<\\/li>\\n<li>Tweak: Added &quot;Description HTML Tag&quot; in Call To Action widget<\\/li>\\n<li>Security Fix: Improved code security enforcement in Share Buttons widget<\\/li>\\n<li>Security Fix: Improved code security enforcement in Form widget<\\/li>\\n<li>Fix: WooCommerce Status page failed to recognize Elementor WooCommerce widgets<\\/li>\\n<li>Fix: Pagination does not work inside single templates when using Posts and Loop Grid widgets<\\/li>\\n<li>Fix: Incorrect saving of WooCommerce page settings in Elementor site settings under certain scenarios<\\/li>\\n<\\/ul>\\n<h4>3.14.1 - 2023-06-26<\\/h4>\\n<ul>\\n<li>Tweak: Improved navigation on touch devices in Carousel widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/22827\\\">#22827<\\/a>)<\\/li>\\n<li>Fix: Missing navigation arrows on lightbox in Gallery widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/22870\\\">#22870<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.14.0 - 2023-06-19<\\/h4>\\n<ul>\\n<li>New: Introducing Carousel widget - Infinite design possibilities, and nesting capabilities (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2587\\\">#2587<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/219\\\">#219<\\/a>)<\\/li>\\n<li>Tweak: Added Static Item Position functionality to Alternate template in Loop Grid widget<\\/li>\\n<li>Tweak: Added visual indication of Page Parts<\\/li>\\n<li>Tweak: Added dividers option between menu items in Menu widget<\\/li>\\n<li>Tweak: Changed the HTML structure of Pagination and Navigation in Loop Carousel and Nested Carousel widgets<\\/li>\\n<li>Tweak: Added shop page in WooCommerce Pages section in Site Settings<\\/li>\\n<li>Tweak: Added Text Shadow, Box Shadow and Padding control to button in Call to Action widget<\\/li>\\n<li>Tweak: Added Lazy Load support for images in Video Playlist widget<\\/li>\\n<li>Tweak: Added <code>alt<\\/code> attribute to images in Video Playlist widget<\\/li>\\n<li>Tweak: Replaced select control with choose control for Flip Direction control in Flip Box widget<\\/li>\\n<li>Tweak: Added keyboard accessibility to Carousel and Loop Carousel widgets<\\/li>\\n<li>Tweak: Use <code>media_types<\\/code> array in Media controls<\\/li>\\n<li>Fix: Lightbox is still enabled after disabling it in the Site Settings in Gallery widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11193\\\">#11193<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19871\\\">#19871<\\/a>)<\\/li>\\n<li>Fix: Responsive settings for templates don\'t work as expected when Additional Custom Breakpoints feature is active (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16819\\\">#16819<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19394\\\">#19394<\\/a>)<\\/li>\\n<li>Fix: Inner containers are not presented as expected in Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21813\\\">#21813<\\/a>)<\\/li>\\n<li>Fix: Popup width does not support percentages (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/22413\\\">#22413<\\/a>)<\\/li>\\n<li>Fix: PHP 8.x throws errors when using WooCommerce Ajax response (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/22199\\\">#22199<\\/a>)<\\/li>\\n<li>Fix: Mini cart template appears as empty in various scenarios in Menu Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/22789\\\">#22789<\\/a>)<\\/li>\\n<li>Fix: Order by Price doesn\'t work for the Latest products or Manual Selection in Products widget<\\/li>\\n<li>Fix: Dropdown indicator icon is not vertically aligned to the text when using icon in Menu Widget<\\/li>\\n<li>Fix: Mixed content warning in the console for Video Playlist widget<\\/li>\\n<li>Fix: Preview settings are not presented as expected after first save in Loop Template<\\/li>\\n<li>Fix: Not-crawlable link error in Video Playlist widget<\\/li>\\n<li>Fix: Lightbox is still enabled after disabling it in the Site Settings in Logo widget<\\/li>\\n<li>Fix: Focus state issue on page load when using Table of Content widget<\\/li>\\n<\\/ul>\\n<h4>3.13.2 - 2023-05-22<\\/h4>\\n<ul>\\n<li>Fix: Hover settings not working as expected on Touch-Enabled devices in Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/22258\\\">#22258<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.13.1 - 2023-05-11<\\/h4>\\n<ul>\\n<li>Security Fix: Addressed security weaknesses in access management related functions<\\/li>\\n<li>Fix: Excerpt content pulled from post content is showing with HTML tags in Loop Grid widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/22367\\\">#22367<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.13.0 - 2023-05-08<\\/h4>\\n<ul>\\n<li>Tweak: Provided an option to assign excerpt automatically from post content in Post Excerpt dynamic tag (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/20256\\\">#20256<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21715\\\">#21715<\\/a>)<\\/li>\\n<li>Tweak: Added Display Conditions functionality in Editor Top bar (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21675\\\">#21675<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/22050\\\">#22050<\\/a>)<\\/li>\\n<li>Tweak: Removed <code>elementor_page_id<\\/code> from request URLs in the WC AJAX calls (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18675\\\">#18675<\\/a>)<\\/li>\\n<li>Tweak: Added icons to menu items in Mega Menu widget (<a href=\\\"https:\\/\\/github.com\\/orgs\\/elementor\\/discussions\\/21602\\\">#21602<\\/a>)<\\/li>\\n<li>Tweak: Added keyboard accessibility to Toggle Button in WordPress Menu widget (<a href=\\\"https:\\/\\/github.com\\/orgs\\/elementor\\/discussions\\/2348\\\">#2348<\\/a>)<\\/li>\\n<li>Tweak: Added \'Active item state\' to top-level menu items for anchor links in the Menu widget<\\/li>\\n<li>Tweak: Added keyboard accessibility to navigation arrows in Loop Carousel widget<\\/li>\\n<li>Tweak: Added keyboard accessibility to navigation arrows in Slides widget<\\/li>\\n<li>Tweak: Added keyboard accessibility to navigation arrows in Media, Testimonial and Reviews Carousel widgets<\\/li>\\n<li>Tweak: Added keyboard accessibility to Table of Content widget<\\/li>\\n<li>Tweak: Added keyboard accessibility to Search Form widget<\\/li>\\n<li>Tweak: Added accessibility to images in Slides widget<\\/li>\\n<li>Tweak: Added accessibility to images in Call To Action widget<\\/li>\\n<li>Tweak: Added accessibility to images in Media Carousel widget<\\/li>\\n<li>Tweak: Added accessibility to images in Gallery widget<\\/li>\\n<li>Tweak: Added Lazy Load support for avatar image in Post Info widget<\\/li>\\n<li>Tweak: Added Lazy Load support to various Elementor Editor and Admin images<\\/li>\\n<li>Tweak: Added Lazy Load support for author image in Author Box widget<\\/li>\\n<li>Tweak: Added Lazy Load support for images in Price List widget<\\/li>\\n<li>Fix: Content width is affected by the widget\'s width when Content Width is set to Fit to Content in Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21842\\\">#21842<\\/a>)<\\/li>\\n<li>Fix: Empty value on Rows field causes an error in Products widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21451\\\">#21451<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.12.2 - 2023-04-09<\\/h4>\\n<ul>\\n<li>Fix: Mini cart template appears as empty in various WordPress themes (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21836\\\">#21836<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.12.1 - 2023-04-02<\\/h4>\\n<ul>\\n<li>Fix: Default background colors are presented as transparent in Popup (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21824\\\">#21824<\\/a>)<\\/li>\\n<li>Fix: Reverted the tweak of Form Submissions feature merged to the version (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21821\\\">#21821<\\/a>)<\\/li>\\n<li>Fix: Dropdown area is not closing when hovering outside of the content area in Menu widget<\\/li>\\n<\\/ul>\\n<h4>3.12.0 - 2023-03-29<\\/h4>\\n<ul>\\n<li>New: Introducing the Mega Menu with the new Menu widget - empowers you to achieve a much higher level of menu design, customization, and creativity<\\/li>\\n<li>New: Diversify your design with a Loop Alternate template - apply another template within your Loop Grid for design creativity<\\/li>\\n<li>New: Kickstart your workflow with predesigned Loop container-based templates<\\/li>\\n<li>Tweak: Added custom icon controls to various locations in Menu Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13678\\\">#13678<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17941\\\">#17941<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19295\\\">#19295<\\/a>)<\\/li>\\n<li>Tweak: Added a spacing control between navigation and slides in the Loop Carousel<\\/li>\\n<li>Tweak: Added responsive control to the \'Gap between slides\' control in the Loop Carousel<\\/li>\\n<li>Tweak: Added Custom CSS section in Loop Item template<\\/li>\\n<li>Tweak: Added an Article class metadata in Loop Item template<\\/li>\\n<li>Tweak: Added Lazy Load support for background images in CTA widget when using the Lazy Load Background Images experiment<\\/li>\\n<li>Tweak: Added Lazy Load support for background images in Flipbox widget when using the Lazy Load Background Images experiment<\\/li>\\n<li>Tweak: Added additional size units and custom units in all elements<\\/li>\\n<li>Tweak: Changed Nav Menu widget name to WordPress Menu widget<\\/li>\\n<li>Tweak: Added &quot;Form Validation&quot; control to Form widget<\\/li>\\n<li>Tweak: Updated custom messages in the Form widget<\\/li>\\n<li>Tweak: Improved accessibility in various elements in Gallery widget<\\/li>\\n<li>Tweak: Form Submissions feature merged to version<\\/li>\\n<li>Tweak: Loop feature promoted to Stable status<\\/li>\\n<li>Tweak: Page Transitions feature promoted to Stable status<\\/li>\\n<li>Tweak: Improved accessibility in filter bar in Gallery widget<\\/li>\\n<li>Tweak: Remove unused <code>aspect-ratio-*<\\/code> CSS classes<\\/li>\\n<li>Fix: Not all active breakpoints appear under &quot;Advanced Rules&quot; in popup publish settings (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17020\\\">#17020<\\/a>)<\\/li>\\n<li>Fix: Dynamic background image and video is not working with ACF in Loop Grid widget<\\/li>\\n<\\/ul>\\n<h4>3.11.7 - 2023-03-22<\\/h4>\\n<ul>\\n<li>Tweak: Improved code security enforcement in WooCommerce components<\\/li>\\n<\\/ul>\\n<h4>3.11.6 - 2023-03-14<\\/h4>\\n<ul>\\n<li>Tweak: Improved code security enforcement in Author Box and Countdown widgets<\\/li>\\n<\\/ul>\\n<h4>3.11.5 - 2023-03-12<\\/h4>\\n<ul>\\n<li>Fix: Hamburger Menu Toggle not showing if breakpoint is set to Tablet Extra in Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21003\\\">#21003<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.11.4 - 2023-03-07<\\/h4>\\n<ul>\\n<li>Tweak: Prevented SVG file upload for better security enforcement in Forms widget<\\/li>\\n<\\/ul>\\n<h4>3.11.3 - 2023-02-26<\\/h4>\\n<ul>\\n<li>Fix: Error message appears when submitting a form placed below Loop Grid and Loop Carousel widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21432\\\">#21432<\\/a>)<\\/li>\\n<li>Fix: PHP 8.x compatibility issues in various places<\\/li>\\n<\\/ul>\\n<h4>3.11.2 - 2023-02-22<\\/h4>\\n<ul>\\n<li>Fix: Save &amp; Back handle becomes inaccessible in various scenarios cases in Loop Carousel widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21316\\\">#21316<\\/a>)<\\/li>\\n<li>Fix: Can\'t edit page when using \'Content Tabs\' and \'Section\' options in Video Playlist widget<\\/li>\\n<\\/ul>\\n<h4>3.11.1 - 2023-02-15<\\/h4>\\n<ul>\\n<li>Fix: Featured Image dynamic tag is not working in Background images (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21313\\\">#21313<\\/a>)<\\/li>\\n<li>Fix: Time zone is not correct in Countdown widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17485\\\">#17485<\\/a>)<\\/li>\\n<li>Fix: File upload field is not working in Form widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21341\\\">#21341<\\/a>)<\\/li>\\n<li>Fix: Post Image Attachments dynamic tag is not working in various widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21314\\\">#21314<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.11.0 - 2023-02-13<\\/h4>\\n<ul>\\n<li>New: Introducing Loop Carousel widget - Create powerful &amp; repeating loop templates and populate each one with dynamic content (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/219\\\">#219<\\/a>)<\\/li>\\n<li>New: Added Date and Time Range option to Advanced Rules in Popup<\\/li>\\n<li>Tweak: Improved accessibility when opening and closing a popup (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9788\\\">#9788<\\/a>)<\\/li>\\n<li>Tweak: Improved accessibility of full-screen mode in Search Form widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19907\\\">#19907<\\/a>)<\\/li>\\n<li>Tweak: Added keyboard accessibility support to Flip Box widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5861\\\">#5861<\\/a>)<\\/li>\\n<li>Tweak: Add <code>aria-label<\\/code> to read more link in Posts widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13784\\\">#13784<\\/a>)<\\/li>\\n<li>Tweak: Use <code>aspect-ratio<\\/code> property instead of CSS trick in Media Carousel widget<\\/li>\\n<li>Tweak: Updated translation string in Stripe widget<\\/li>\\n<li>Fix: Masonry and Columns controls are not working as expected with responsive in Posts and Loop Grid widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/20670\\\">#20670<\\/a>)<\\/li>\\n<li>Fix: Invalid attributes names in Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17400\\\">#17400<\\/a>)<\\/li>\\n<li>Fix: Post Image Attachments dynamic tag is not working as expected in various widgets<\\/li>\\n<li>Fix: Form fields order is not presented correctly when exported to CSV in Form Submissions<\\/li>\\n<li>Fix: Dynamic background image and video are not working with ACF in Loop Grid widget<\\/li>\\n<\\/ul>\\n<h4>3.10.3 - 2023-01-29<\\/h4>\\n<ul>\\n<li>Tweak: Added introduction video to loop item information modal in Theme Builder<\\/li>\\n<li>Fix: PHP 8.x throws errors and notices in some cases (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21087\\\">#21087<\\/a>)<\\/li>\\n<li>Fix: Infinite Scroll and Load on click pagination are not working as expected in Archive template<\\/li>\\n<li>Fix: Show row even when values do not exist in Form Submissions<\\/li>\\n<\\/ul>\\n<h4>3.10.2 - 2023-01-17<\\/h4>\\n<ul>\\n<li>Fix: Updated compatibility tag for Elementor v3.10<\\/li>\\n<\\/ul>\\n<h4>3.10.1 - 2023-01-09<\\/h4>\\n<p>Fix: Preview Could not be loaded error message appears on pages containing the Loop Grid in a header or footer templates<\\/p>\\n<h4>3.10.0 - 2023-01-09<\\/h4>\\n<ul>\\n<li>New: Added new dynamic tag for due date in Countdown widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7737\\\">#7737<\\/a>)<\\/li>\\n<li>Tweak: Added <code>modified<\\/code> and <code>comment_count<\\/code> to Order By in posts query control (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11159\\\">#11159<\\/a>)<\\/li>\\n<li>Tweak: Replaced <code>footer<\\/code> tag in Blockquote and Comments widgets for better semantics<\\/li>\\n<li>Fix: Compatibility issue in Imagify Media Library filters due to <code>_elementor_is_screenshot<\\/code> meta filter (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19988\\\">#19988<\\/a>)<\\/li>\\n<li>Fix: Hotspot Widget label icon height issues when Inline Font Icons experiment is active<\\/li>\\n<li>Fix: Editing glitch when using two loop grid widgets on the same page with the same loop item template<\\/li>\\n<li>Fix: Equal height is not working when using sections in Loop Grid widget<\\/li>\\n<li>Fix: Large amount of menu items are not appearing correctly on a mobile device in Nav Menu widget<\\/li>\\n<li>Fix: Featured Image does not change dynamically when using infinite\\/click pagination in Loop Grid widget<\\/li>\\n<li>Fix: Removed action call of non-existent <code>display_empty_cart_template()<\\/code> method in Cart widget<\\/li>\\n<\\/ul>\\n<h4>3.9.2 - 2022-12-21<\\/h4>\\n<ul>\\n<li>Fix: JS events do not trigger in Popups (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/20708\\\">#20708<\\/a>)<\\/li>\\n<li>Fix: PHP Errors appear when not using the toggle menu in Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18636\\\">#18636<\\/a>)<\\/li>\\n<li>Fix: Popups\' backgrounds disappear when using Lazy Load Background Images experiment<\\/li>\\n<\\/ul>\\n<h4>3.9.1 - 2022-12-14<\\/h4>\\n<ul>\\n<li>Fix: WooCommerce Product Gallery dynamic tag is not working in Basic Gallery, Gallery and Image Carousel widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/20678\\\">#20678<\\/a>)<\\/li>\\n<li>Fix: Hide Empty option is not working in Menu Cart widget<\\/li>\\n<li>Fix: The Stripe Button widget doesn\'t work in Templates<\\/li>\\n<\\/ul>\\n<h4>3.9.0 - 2022-12-06<\\/h4>\\n<ul>\\n<li>New: Added support for WooCommerce to Loop Builder (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/20020\\\">#20020<\\/a>)<\\/li>\\n<li>Tweak: Added more options to \'Show up to X times\' advanced rule in Popups (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8187\\\">#8187<\\/a>)<\\/li>\\n<li>Tweak: Allow saving and reloading a page while editing in-place loop item template (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19882\\\">#19882<\\/a>)<\\/li>\\n<li>Tweak: Added <code>$location param<\\/code> to <code>elementor\\/theme\\/get_location_templates\\/template_id<\\/code> hook (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18453\\\">#18453<\\/a>)<\\/li>\\n<li>Tweak: Removed redundant labels from group controls (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11666\\\">#11666<\\/a>)<\\/li>\\n<li>Tweak: Added support to use sections and columns as the layout structure of a Loop item template<\\/li>\\n<li>Tweak: Disabled movement when a repeater item is in focus in edit mode<\\/li>\\n<li>Tweak: Upgrade the autoprefixer package to better minify CSS files<\\/li>\\n<li>Tweak: Removed duplicate SQL queries on every page for better performance<\\/li>\\n<li>Tweak: Improved License validation mechanism to avoid limitations<\\/li>\\n<li>Tweak: Added more units options to Border Width control in various elements<\\/li>\\n<li>Tweak: Added <code>em<\\/code> units to Border Radius control in various elements<\\/li>\\n<li>Tweak: Added \'Equal height\' functionality to Loop Grid widget<\\/li>\\n<li>Fix: Issue with Related Products widget and WooCommerce Pixel Manager plugin (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16934\\\">#16934<\\/a>)<\\/li>\\n<li>Fix: My Account widget gets hidden when using a single page template with post content (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19627\\\">#19627<\\/a>)<\\/li>\\n<li>Fix: Cart is not updated when cache enabled in Menu Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19312\\\">#19312<\\/a>)<\\/li>\\n<li>Fix: Entrance animations are not working as expected with Infinite Loop and Load on CLick pagination in Loop Grid widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/20293\\\">#20293<\\/a>)<\\/li>\\n<li>Fix: Loading page issues in Form Submissions screen (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19973\\\">#19973<\\/a>)<\\/li>\\n<li>Fix: Recently Edited date and time not working as expected in Elementor Overview plugin in WordPress dashboard (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17966\\\">#17966<\\/a>)<\\/li>\\n<li>Fix: Recurring license mismatch error message when using translators plugins<\\/li>\\n<li>Fix: Submenu items triggers page transition instead of opening in Nav Menu widget<\\/li>\\n<li>Fix: Query values of Posts widget are not imported correctly when importing a Kit<\\/li>\\n<li>Fix: Loop items are exceeding the widget boundaries in Loop Grid widget<\\/li>\\n<li>Fix: Order by option is not working as expected when choosing Upsells, Cross-Sells and Related Products query in Products widget<\\/li>\\n<li>Fix: Various widgets disappear in certain scenarios when choosing direction Row or Column in Container<\\/li>\\n<\\/ul>\\n<h4>3.8.2 - 2022-11-20<\\/h4>\\n<ul>\\n<li>Fix: Z-index issues when applying sticky to Container<\\/li>\\n<li>Fix: Error message appears on front with Editor and Shop Manager roles when using the Loop Builder widget<\\/li>\\n<\\/ul>\\n<h4>3.8.1 - 2022-11-06<\\/h4>\\n<ul>\\n<li>Fix: Sticky inner section is not staying in the column when applying sticky option in Sections (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/20203\\\">#20203<\\/a>)<\\/li>\\n<li>Fix: Post Title widget located in a loop item template disappears when enabling the hide title option inside page settings (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/20207\\\">#20207<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/20255\\\">#20255<\\/a>)<\\/li>\\n<li>Fix: ACF Dynamic data not rendering correctly in various scenarios (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/20235\\\">#20235<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/20258\\\">#20258<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/20277\\\">#20277<\\/a>)<\\/li>\\n<li>Fix: Z-index issues when applying sticky to Container (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/20227\\\">#20227<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.8.0 - 2022-10-30<\\/h4>\\n<ul>\\n<li>New: Introducing Loop Builder as a beta status experiment - Create powerful &amp; repeating loop templates and populate each one with dynamic content and design flexibility (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4440\\\">#4440<\\/a>)<\\/li>\\n<li>Tweak: Add <code>wp_body_open()<\\/code> to header in Header template (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11562\\\">#11562<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15828\\\">#15828<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13089\\\">#13089<\\/a>)<\\/li>\\n<li>Tweak: Added support border-radius option to the Code Highlight widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14316\\\">#14316<\\/a>)<\\/li>\\n<li>Tweak: Import\\/Export CLI and UI mechanisms were merged into a unified service<\\/li>\\n<li>Tweak: User with no permission to Notes cannot be mentioned in a note<\\/li>\\n<li>Tweak: User with no permission to view a post cannot be mentioned in a note<\\/li>\\n<li>Tweak: Notes was added to the right click context-menu<\\/li>\\n<li>Tweak: Notes panel can be resizable<\\/li>\\n<li>Tweak: Notes panel can be dragged outside of the canvas in responsive mode in the editor<\\/li>\\n<li>Tweak: Updated form validation messages translation strings in Form widget<\\/li>\\n<li>Tweak: Updated translators comments<\\/li>\\n<li>Tweak: Theme Builder logo and Title should be clickable<\\/li>\\n<li>Tweak: Reduced API requests and DB calls on non-write setup<\\/li>\\n<li>Tweak: Added media queries to the Table of Contents widget<\\/li>\\n<li>Fix: Sticky option is not working as expected in various scenarios in Container (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18357\\\">#18357<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19540\\\">#19540<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19618\\\">#19618<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19777\\\">#19777<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19827\\\">#19827<\\/a>)<\\/li>\\n<li>Fix: Mixed Content errors on HTTPS in Video Playlist Widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18895\\\">#18895<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18945\\\">#18945<\\/a>)<\\/li>\\n<li>Fix: Note\'s timestamp is being updated according to the last activity in Notes (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19123\\\">#19123<\\/a>)<\\/li>\\n<li>Fix: Accessibility attribute <code>role=navigation<\\/code> is redundant in Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17582\\\">#17582<\\/a>)<\\/li>\\n<li>Fix: Accessibility attribute <code>role=navigation<\\/code> is redundant in pagination in Posts widget<\\/li>\\n<li>Fix: Share buttons is accessible with keyboard but not clickable<\\/li>\\n<li>Fix: Sub-items icons style is missing in preview with Inline Font Icons experiment in Nav Menu widget<\\/li>\\n<li>Fix: Quotes are appearing as HTML when editing a note in Notes<\\/li>\\n<li>Fix: Label\'s Icon height increases when Inline Font Icons experiment is active in Hotspot Widget<\\/li>\\n<li>Fix: Sub conditions of templates are not overridden when importing a Kit<\\/li>\\n<li>Fix: X\\/Y Anchor Point controls were not visible for Scale and Rotate effects<\\/li>\\n<li>Fix: PHP warning notice appears in some situations when using motion effects<\\/li>\\n<\\/ul>\\n<h4>3.7.7 - 2022-09-20<\\/h4>\\n<ul>\\n<li>Fix: Default Flex Grow affects the layout when the container is set to direction Column in various widgets<\\/li>\\n<\\/ul>\\n<h4>3.7.6 - 2022-09-14<\\/h4>\\n<ul>\\n<li>Fix: Submissions menu item appears at the bottom of Elementor section in WordPress dashboard<\\/li>\\n<\\/ul>\\n<h4>3.7.5 - 2022-08-31<\\/h4>\\n<ul>\\n<li>Fix: Error message appears on front if WooCommerce is activated (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19553\\\">#19553<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.7.4 - 2022-08-29<\\/h4>\\n<ul>\\n<li>Tweak: PHP 5.6 Is deprecated<\\/li>\\n<li>Fix: Triangle icon is not being displayed in the Select field when Inline Font Icons Experiment is active in Form widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18598\\\">#18598<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19495\\\">#19495<\\/a>)<\\/li>\\n<li>Fix: The page jumps or flickers to the video playlist on page reload in Video Playlist Widget<\\/li>\\n<\\/ul>\\n<h4>3.7.3 - 2022-07-31<\\/h4>\\n<ul>\\n<li>Tweak: Improved license mechanism for correct validation<\\/li>\\n<li>Fix: Sticky option causes unexpected results when using the Container (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18357\\\">#18357<\\/a>)<\\/li>\\n<li>Fix: Price list, Portfolio, Flip Box and Gallery widgets disappear when the direction is set to column in Container (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18880\\\">#18880<\\/a>)<\\/li>\\n<li>Fix: Quotes character is showing up as <code>&amp;quot;<\\/code> when editing a note in Notes<\\/li>\\n<\\/ul>\\n<h4>3.7.2 - 2022-06-15<\\/h4>\\n<ul>\\n<li>Tweak: Applied optimized file handling in various modules<\\/li>\\n<li>Fix: Related posts query options are missing in Posts widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18633\\\">#18633<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18641\\\">#18641<\\/a>)<\\/li>\\n<li>Fix: Menu Cart Icon is not being displayed on all browsers when Inline Font Icons Experiment is active (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17705\\\">#17705<\\/a>)<\\/li>\\n<li>Fix: Gallery widget is not working as expected in Container element (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18408\\\">#18408<\\/a>)<\\/li>\\n<li>Fix: Flip box is not visible when the direction is set to Row in Container element (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18413\\\">#18413<\\/a>)<\\/li>\\n<li>Fix: Portfolio widget is not visible when dragged into &quot;Row&quot; direction Container element (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17653\\\">#17653<\\/a>)<\\/li>\\n<li>Fix: Menu cart is open automatically in Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18629\\\">#18629<\\/a>)<\\/li>\\n<li>Fix: PHP error is being shown the license is expired in License screen<\\/li>\\n<\\/ul>\\n<h4>3.7.1 - 2022-05-16<\\/h4>\\n<ul>\\n<li>Fix: Notes icon appears as an empty square in admin top bar for users with permissions lower than Editor<\\/li>\\n<li>Fix: Notes experiment causes a PHP fatal error on some cases<\\/li>\\n<li>Fix: UI glitches in Notes feature<\\/li>\\n<\\/ul>\\n<h4>3.7.0 - 2022-05-10<\\/h4>\\n<ul>\\n<li>New: Introducing Notes - Work collaboratively directly within Elementor<\\/li>\\n<li>New: Stripe Button widget - Collect Stripe payments directly from your site (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14748\\\">#14748<\\/a>)<\\/li>\\n<li>New: Meet WooCommerce Add to Cart dynamic tag - add products to cart from every widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10607\\\">#10607<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11801\\\">#11801<\\/a>)<\\/li>\\n<li>New: Added WooCommerce Product Content dynamic tag (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16367\\\">#16367<\\/a>)<\\/li>\\n<li>Tweak: Added Related, Upsells and Cross-Sells query sources to Products widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8071\\\">#8071<\\/a>)<\\/li>\\n<li>Tweak: Added custom icon control to Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18007\\\">#18007<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14357\\\">#14357<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13151\\\">#13151<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11361\\\">#11361<\\/a>)<\\/li>\\n<li>Tweak: Added an option to minimize on Desktop device in Table of Contents widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9933\\\">#9933<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic tag controls to Share Buttons widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10729\\\">#10729<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic tag controls to Media Carousel widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10314\\\">#10314<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic tag controls to Form widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6327\\\">#6327<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6691\\\">#6691<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11774\\\">#11774<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9051\\\">#9051<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic tag controls to Posts widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6327\\\">#6327<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic tag controls to Slides widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5760\\\">#5760<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9774\\\">#9774<\\/a>)<\\/li>\\n<li>Tweak: Added align button to bottom option in various Product widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10263\\\">#10263<\\/a>)<\\/li>\\n<li>Tweak: Added align button to bottom control in Posts and Archive Posts widgets<\\/li>\\n<li>Tweak: Added the ability to hide and show the coupon section in WooCommerce Cart widget<\\/li>\\n<li>Tweak: Added the ability to hide and show the coupon section in WooCommerce Checkout widget<\\/li>\\n<li>Tweak: Added alignment option to various buttons in WooCommerce Cart widget<\\/li>\\n<li>Tweak: Added alignment option to various buttons in WooCommerce Checkout widget<\\/li>\\n<li>Tweak: Added percentage unit to padding control in Additional Information customize section in WooCommerce Checkout widget<\\/li>\\n<li>Tweak: Added quick link to create new theme parts directly from the Finder<\\/li>\\n<li>Tweak: Added the option to add a custom template to Dashboard screen in My Account widget<\\/li>\\n<li>Tweak: Added spacing control to view cart button in various product widgets<\\/li>\\n<li>Tweak: Added the option to add a custom template to empty cart state in Cart widget<\\/li>\\n<li>Tweak: Adjusted the layout of the Payment Methods screen in the My Account widget<\\/li>\\n<li>Tweak: Added lazy load option to Media Carousel, Reviews and Testimonial Carousel widgets<\\/li>\\n<li>Tweak: Added Site Identity quick link to Logo widget<\\/li>\\n<li>Tweak: Added Site Identity quick link to Site Title widget<\\/li>\\n<li>Tweak: Created an attribute that allows disabling page transition for specific links<\\/li>\\n<li>Tweak: Added dynamic tag controls to Gallery widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Countdown widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Portfolio widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Price Table widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Login widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Blockquote widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Facebook Comments widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Post Navigation widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Search Form widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Author Box widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Post info widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Archive Posts widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Product Meta widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Archive Products widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Sitemap widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Reviews widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Code Highlight widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to PayPal Button widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to WooCommerce Checkout widget<\\/li>\\n<li>Tweak: Added missing PHP documentation to hooks<\\/li>\\n<li>Fix: Scrolling glitches on mobile devices when Sticky Effect is enabled (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17767\\\">#17767<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18330\\\">#18330<\\/a>)<\\/li>\\n<li>Fix: Only 1st honypot field is validated when using multiple honeypot fields in Forms widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18136\\\">#18136<\\/a>)<\\/li>\\n<li>Fix: Checkout button background color is not working as expected in Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18289\\\">#18289<\\/a>)<\\/li>\\n<li>Fix: Button labels are not accessible for screen readers in Share buttons widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8615\\\">#8615<\\/a>)<\\/li>\\n<li>Fix: Downloads titles controls are not working in responsive in WooCommerce Purchase Summary widget<\\/li>\\n<li>Fix: Excerpt length is not working as expected in Posts and Archive Posts widgets<\\/li>\\n<li>Fix: Titles &amp; Totals weight is not working in WooCommerce Checkout widget<\\/li>\\n<li>Fix: Product image is not appearing on Single Product Page on template load<\\/li>\\n<li>Fix: Additional Information title not editable in some scenarios in WooCommerce Checkout widget<\\/li>\\n<li>Fix: Cart is not updating automatically on mobile in Cart widget<\\/li>\\n<li>Fix: UI Glitch in Masonry control in Portfolio widget<\\/li>\\n<li>Fix: Custom breakpoints experiment didn\'t work on Single post and page templates<\\/li>\\n<li>Fix: Testimonial carousel &amp; Reviews widgets disregards the <code>alt<\\/code> attribute<\\/li>\\n<li>Fix: Playlist widget deeplink didn\'t send user directly to the widget in the page<\\/li>\\n<li>Fix: Masonry option causes the images to disappear in the Editor in Posts widget<\\/li>\\n<li>Fix: Scrollbar appears after clicking on the dropdown toggle in Nav Menu widget<\\/li>\\n<li>Fix: Custom icons disappear on frontend if the pack name contains numbers<\\/li>\\n<li>Fix: Custom Font disappears if the name contains only numbers<\\/li>\\n<li>Fix: <code>end-section()<\\/code> is missing from Progress Tracker and Facebook Embed widgets<\\/li>\\n<li>Tweak: Added a filter for conditions cache query in Theme Builder<\\/li>\\n<li>Fix: Customizations lost on Ajax refresh in WooCommerce Cart widget<\\/li>\\n<li>Fix: Hello theme Header and Footer experiment is not working when WooCommerce plugin is active<\\/li>\\n<li>Fix: Color controls are not working as expected in Checkout widget<\\/li>\\n<li>Fix: Color controls are not working as expected in My Account widget<\\/li>\\n<li>Fix: Empty state widget preview in the editor is disappearing in various widgets<\\/li>\\n<li>Fix: Cart is not updating automatically on mobile in WooCommerce Cart widget<\\/li>\\n<li>Deprecated: See all deprecations to this version in our <a href=\\\"https:\\/\\/developers.elementor.com\\/v3-7-planned-deprecations\\/\\\">Developers Deprecations Post<\\/a><\\/li>\\n<\\/ul>\\n<h4>3.6.5 - 2022-04-12<\\/h4>\\n<ul>\\n<li>Fix: Compatibility issues for several widgets in iOS 14 and macOS 13 devices (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18090\\\">#18090<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15910\\\">#15910<\\/a>)<\\/li>\\n<li>Fix: Button Alignment doesn\'t work in Custom Add To Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17810\\\">#17810<\\/a>)<\\/li>\\n<li>Fix: PHP warning is thrown in some cases in PayPal button widget<\\/li>\\n<li>Fix: PHP 8.1 throws errors and notices in some cases<\\/li>\\n<li>Fix: PHP notice was thrown when Kit Import process initiated without display conditions<\\/li>\\n<li>Fix: Create Account button always opens on the Sign Up screen even if the user has an account in Onboarding process<\\/li>\\n<\\/ul>\\n<h4>3.6.4 - 2022-03-15<\\/h4>\\n<ul>\\n<li>Tweak: Kit import dynamic reference support for templates and dynamic tags<\\/li>\\n<li>Tweak: Updated tested up to version tag to <code>3.6.0<\\/code><\\/li>\\n<li>Fix: Sticky caused scrolling issues after clicking an element that expands the page height (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17821\\\">#17821<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17839\\\">#17839<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18069\\\">#18069<\\/a>)<\\/li>\\n<li>Fix: When saving Global widget JS error is being thrown and editor fails to load (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17954\\\">#17954<\\/a>)<\\/li>\\n<li>Fix: Motion effects are missing from Background section under Style tab in Container element (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18063\\\">#18063<\\/a>)<\\/li>\\n<li>Fix: Imported Kit doesn\'t appear in the theme builder after successful import in some cases<\\/li>\\n<li>Fix: Added future Pro support to fix the Cart icon that shifted aside in Menu cart widget<\\/li>\\n<\\/ul>\\n<h4>3.6.3 - 2022-02-28<\\/h4>\\n<ul>\\n<li>Fix: Custom Code display conditions modal is not working (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17865\\\">#17865<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17942\\\">#17942<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17994\\\">#17994<\\/a>)<\\/li>\\n<li>Fix: Share buttons are not accessible for keyboard navigation (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8615\\\">#8615<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.6.2 - 2022-02-14<\\/h4>\\n<ul>\\n<li>Fix: Auto updates mechanism is not working as expected (this version might be also installed automatically)<\\/li>\\n<\\/ul>\\n<h4>3.6.1 - 2022-02-09<\\/h4>\\n<ul>\\n<li>Tweak: Allow connecting via generic source for future feature support<\\/li>\\n<li>Fix: Custom Code doesn\'t work when WooCommerce is active (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17675\\\">#17675<\\/a>)<\\/li>\\n<li>Fix: Content animation didn\'t work when Improved asset loading experiment is active Slides widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17055\\\">#17055<\\/a>)<\\/li>\\n<li>Fix: PHP warning appears some times when trying to force-check for available updates<\\/li>\\n<li>Fix: Page transitions are being triggered when not needed<\\/li>\\n<li>Fix: Text alignment on Tablet responsive device affects base device in Testimonial Carousel widget<\\/li>\\n<li>Fix: Harden Submissions feature to prevent potential security issues<\\/li>\\n<li>Fix: Page Transitions Icon option Preloader doesn\'t work on frontend<\\/li>\\n<\\/ul>\\n<h4>3.6.0 - 2022-01-31<\\/h4>\\n<ul>\\n<li>New: WooCommerce Purchase Summary widget - Fully customize the content and style of your order summary page (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5756\\\">#5756<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15862\\\">#15862<\\/a>)<\\/li>\\n<li>New: WooCommerce Notices styling on Site Settings - Customize the appearance of WooCommerce notices (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14570\\\">#14570<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15896\\\">#15896<\\/a>)<\\/li>\\n<li>New: WooCommerce Notices widget - Set the position of WooCommerce notices on your shop pages (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8124\\\">#8124<\\/a>)<\\/li>\\n<li>Experiment: Page Transitions - Customize the page loading experience, and increase brand recognition (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10576\\\">#10576<\\/a>)<\\/li>\\n<li>Tweak: Added WooCommerce &amp; Theme Elements widgets to Improved CSS Loading experiment to save up 126KB per page load (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17412\\\">#17412<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17337\\\">#17337<\\/a>)<\\/li>\\n<li>Tweak: Added new layout options in WooCommerce Add To Cart and WooCommerce Custom Add To Cart widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5437\\\">#5437<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10617\\\">#10617<\\/a>)<\\/li>\\n<li>Tweak: Added Stroke functionality for typography control in various widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11158\\\">#11158<\\/a>)<\\/li>\\n<li>Tweak: Removed <code>elementor-section-wrap<\\/code> by adding it to the Optimized DOM Output experiment (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16950\\\">#16950<\\/a>)<\\/li>\\n<li>Tweak: Added style controls for variations in WooCommerce Menu Cart widget<\\/li>\\n<li>Tweak: Added color control to navigation dots in Media Carousel, Reviews, and Slides widgets<\\/li>\\n<li>Tweak: Disabled Vimeo autoplay on edit mode when getting video data in Video Playlist widget<\\/li>\\n<li>Tweak: Added notice about Facebook\'s new EU consent policy in Facebook Button, Facebook Comments, Facebook Embed, and Facebook Page widgets<\\/li>\\n<li>Tweak: Refactor string translation calls to use native WP translation methods<\\/li>\\n<li>Tweak: Convert <code>home_url<\\/code> license API call to <code>get_site_url<\\/code> for better compatibility<\\/li>\\n<li>Tweak: Promoted Default to New Theme Builder and Scroll Snap experiments to Stable status in Experiments screen<\\/li>\\n<li>Tweak: Scroll Snap experiment set to active by default for all websites in Experiments screen<\\/li>\\n<li>Tweak: Scrolling Effects in Header and Section backgrounds are not working as expected when effects are relative to the entire page<\\/li>\\n<li>Tweak: Added &quot;Auto Updates&quot; capability to Pro versions<\\/li>\\n<li>Tweak: Removed sequenced animation hover effect option from Classic skin in Call to Action widget<\\/li>\\n<li>Tweak: Added &quot;Excerpt Length&quot; control in Post Excerpt widget<\\/li>\\n<li>Tweak: Deleted deprecated methods from Query Control module<\\/li>\\n<li>Tweak: Adjusted Inline-CSS Experiment to work with Additional Custom Breakpoints experiment<\\/li>\\n<li>Fix: Automatically open cart functionality didn\'t work in product page in WooCommerce Menu Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5921\\\">#5921<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16276\\\">#16276<\\/a>,<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16879\\\">#16879<\\/a>)<\\/li>\\n<li>Fix: Buttons are not visible when there are too many products in the cart in WooCommerce Menu Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16221\\\">#16221<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17283\\\">#17283<\\/a>,<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16333\\\">#16333<\\/a>,<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13005\\\">#13005<\\/a>)<\\/li>\\n<li>Fix: Mini cart modal z-index is too low in WooCommerce Menu Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16333\\\">#16333<\\/a>)<\\/li>\\n<li>Fix: Side cart buttons are not visible at first glance on mobile in WooCommerce Menu Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16221\\\">#16221<\\/a>)<\\/li>\\n<li>Fix: Read More field recognizes inline HTML elements as plain text in Posts and Archive Posts widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16985\\\">#16985<\\/a>)<\\/li>\\n<li>Fix: Load More functionality caused JS error console in Posts widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17036\\\">#17036<\\/a>)<\\/li>\\n<li>Fix: Autoplay is not working as expected when the lazy load is active in Video Playlist widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15304\\\">#15304<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16274\\\">#16274<\\/a>)<\\/li>\\n<li>Fix: Right navigation area wasn\'t 100% clickable in Post Navigation widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14252\\\">#14252<\\/a>)<\\/li>\\n<li>Fix: Posts duplicate when there are two Posts widgets inside a page using pagination functionality (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17056\\\">#17056<\\/a>)<\\/li>\\n<li>Fix: Global widget changes are not reflected on frontend (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16820\\\">#16820<\\/a>)<\\/li>\\n<li>Fix: JS Error console message when using the Load More functionality and Post Per Page option in Posts widget<\\/li>\\n<li>Fix: Heading styling is not being loaded when Inline CSS experiment is active in Post and Page Title widgets<\\/li>\\n<li>Fix: Sticky offset not working as expected when changing device mode on the browser<\\/li>\\n<li>Fix: Scroll Snap functionality wasn\'t applied on Templates and Archives<\\/li>\\n<li>Fix: Toggle icon color didn\'t work on hover state when Inline Font Icons experiment is activated in Nav Menu widget<\\/li>\\n<li>Fix: Variations style controls are not working as expected in WooCommerce Add to Cart widget<\\/li>\\n<li>Fix: Display conditions module is not working as expected when using the new Theme Builder UI<\\/li>\\n<li>Fix: Edit header handles <code>z-index<\\/code> issues in Header document<\\/li>\\n<li>Fix: Panel icons UI glitch in Call To Action widget<\\/li>\\n<li>Fix: WordPress 5.9 <code>WP_User_query<\\/code> <code>who<\\/code> argument deprecation adjustments<\\/li>\\n<\\/ul>\\n<h4>3.5.2 - 2021-11-28<\\/h4>\\n<ul>\\n<li>Tweak: Adjusted license mechanism to support trial period<\\/li>\\n<li>Fix: Updates made to Global Widgets do not reflect accordingly to linked widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16815\\\">#16815<\\/a>)<\\/li>\\n<li>Fix: Hamburger toggle button doesn\'t change to \\u201cclose\\u201d when menu is collapsed in Nav Menu widget when Inline Font Awesome experiment is active<\\/li>\\n<li>Fix: Global Widget cannot be unlinked<\\/li>\\n<\\/ul>\\n<h4>3.5.1 - 2021-11-10<\\/h4>\\n<ul>\\n<li>Fix: Inline HTML elements appear as plain text in Animated Headline widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16816\\\">#16816<\\/a>)<\\/li>\\n<li>Fix: Dropdown items inherited values from Main Menu space between control in Nav Menu widget (<a href=\\\"(https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16815)\\\">#16815<\\/a><\\/li>\\n<li>Fix: Order Summary titles style controls not applying on various devices in Cart widget<\\/li>\\n<li>Fix: Panel &quot;Need Help&quot; link is not correct in WooCommerce section in Site Settings<\\/li>\\n<\\/ul>\\n<h4>3.5.0 - 2021-11-01<\\/h4>\\n<ul>\\n<li>New: WooCommerce Checkout widget - Fully customize the content and style of your checkout page (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15282\\\">#15282<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15990\\\">#15990<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11014\\\">#11014<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13218\\\">#13218<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5383\\\">#5383<\\/a>)<\\/li>\\n<li>New: WooCommerce Cart widget - Style your cart page the way you want with design flexibility (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15282\\\">#15282<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11014\\\">#11014<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13218\\\">#13218<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5383\\\">#5383<\\/a>)<\\/li>\\n<li>New: WooCommerce My Account widget - Create a custom design for your my account pages (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11014\\\">#11014<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5383\\\">#5383<\\/a>)<\\/li>\\n<li>New: Progress Tracker widget - Motivate your customers to keep reading your site content (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16576\\\">#16576<\\/a>)<\\/li>\\n<li>New: Meet WooCommerce Site Settings - Set your store pages within Elementor<\\/li>\\n<li>Experiment: Scroll Snap - Set the scene of every scroll (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10752\\\">#10752<\\/a>)<\\/li>\\n<li>Tweak: Changed infrastructure to prevent rendering bugs in Global Widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16354\\\">#16354<\\/a>)<\\/li>\\n<li>Tweak: Added the option to open submission in a new tab in Form Submissions (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14967\\\">#14967<\\/a>)<\\/li>\\n<li>Tweak: Added various responsive controls in Posts widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1851\\\">#1851<\\/a>)<\\/li>\\n<li>Tweak: Split Title and Price styling controls in Price List widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7688\\\">#7688<\\/a>)<\\/li>\\n<li>Tweak: Added various responsive capabilities to controls in Posts Archive widget<\\/li>\\n<li>Tweak: Adjusted Motion Effects module to support future feature<\\/li>\\n<li>Tweak: Changed admin notice content when Pro installed without Core installed<\\/li>\\n<li>Tweak: Cleanup in <code>wp_options<\\/code> table<\\/li>\\n<li>Tweak: Changed Connect logic in Elementor top bar to simplify the connect process<\\/li>\\n<li>Tweak: Marked new Theme Builder as an Experiment and set to default for new sites<\\/li>\\n<li>Tweak: Enforced better security policies in various widgets and modules<\\/li>\\n<li>Tweak: Added load more button functionality to the Posts Archive widget<\\/li>\\n<li>Tweak: Renamed Elementor\'s responsive SCSS variables<\\/li>\\n<li>Tweak: Added dividers to horizontal layout in Nav Menu widget<\\/li>\\n<li>Tweak: Removed Google+ social network from Share Buttons widget<\\/li>\\n<li>Tweak: Convert usage of old Responsive class to use the new Breakpoints Manager<\\/li>\\n<li>Fix: jQuery in Heading doesn\'t work for not logged in users in Custom Code (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14515\\\">#14515<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14266\\\">#14266<\\/a>)<\\/li>\\n<li>Fix: Menu animation causing page horizontal scroll in Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15184\\\">#15184<\\/a>)<\\/li>\\n<li>Fix: Wrong function call in Table of Content &amp; Post Excerpt widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16547\\\">#16547<\\/a>)<\\/li>\\n<li>Fix: Slides to Scroll control can\'t be set to Default if Widescreen mode has a value in Testimonial Carousel widget<\\/li>\\n<li>Fix: Sticky offset not working properly when changing device mode<\\/li>\\n<li>Fix: UTF character issues when exporting CSV file in Form Submissions<\\/li>\\n<li>Fix: Load More functionality doesn\'t work when the Posts widget placed inside an Archive template<\\/li>\\n<li>Fix: UI glitches and editing issues in Video Playlist widget<\\/li>\\n<\\/ul>\\n<h4>3.4.2 - 2021-10-12<\\/h4>\\n<ul>\\n<li>Fix: Icons color style conflicts when Font-Awesome Inline experiment is active in Share Buttons widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16435\\\">#16435<\\/a>)<\\/li>\\n<li>Fix: Mini Cart hides page content when closed in Menu Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16305\\\">#16305<\\/a>)<\\/li>\\n<li>Fix: UI glitches in the Editor edit mode when inserting Post Content widget and Font-Awesome Inline experiment is active in Single Post template (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16358\\\">#16358<\\/a>)<\\/li>\\n<li>Fix: Slides per view controls disappeared from multiple breakpoints in Testimonial Carousel<\\/li>\\n<li>Fix: Product variations UI glitch in Menu Cart widget<\\/li>\\n<li>Fix: Buttons UI glitch on Safari browser in Menu Cart widget<\\/li>\\n<\\/ul>\\n<h4>3.4.1 - 2021-09-01<\\/h4>\\n<ul>\\n<li>Fix: Sticky functionality is not working if the Additional Custom Breakpoints experiment is active (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16186\\\">#16186<\\/a>)<\\/li>\\n<li>Fix: Slideshow skin UI glitch in Media Carousel widget<\\/li>\\n<li>Fix: Product price typography weight control is not working as expected in Menu Cart widget<\\/li>\\n<\\/ul>\\n<h4>3.4.0 - 2021-09-01<\\/h4>\\n<ul>\\n<li>Tweak: Added new Mini Cart layout type in Menu Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11312\\\">#11312<\\/a>)<\\/li>\\n<li>Tweak: Added styling options for Cart, Products, and Cart buttons in Menu Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14952\\\">#14952<\\/a>)<\\/li>\\n<li>Tweak: Added the ability to open cart automatically when an item is added in Menu Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14119\\\">#14119<\\/a>)<\\/li>\\n<li>Tweak: Added the ability to remove an item from cart without reloading the page with an AJAX request (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9531\\\">#9531<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10875\\\">#10875<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11309\\\">#11309<\\/a>)<\\/li>\\n<li>Tweak: Added Load More AJAX functionality to Posts widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12126\\\">#12126<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1284\\\">#1284<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14557\\\">#14557<\\/a>)<\\/li>\\n<li>Tweak: Added Vimeo support to the Video Playlist widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15319\\\">#15319<\\/a>)<\\/li>\\n<li>Tweak: Improved asset loading performance by serving lighter JS files (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8572\\\">#8572<\\/a>)<\\/li>\\n<li>Tweak: Added query string to the URL only after the first video is played in Video Playlist widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15348\\\">#15348<\\/a>)<\\/li>\\n<li>Tweak: Added various layout options with more responsive controls and cart structure options in Menu Cart widget<\\/li>\\n<li>Tweak: Added the option to open the menu cart by click or hover in Menu Cart widget<\\/li>\\n<li>Tweak: Added the ability to choose a specific product to draw data from in WooCommerce Dynamic tags<\\/li>\\n<li>Tweak: Removed auto-scroll to the widget location when arriving from external URL in Video Playlist widget<\\/li>\\n<li>Tweak: Removed the Video Playlist widget from the Experiments list<\\/li>\\n<li>Tweak: Added descriptive error messages for MailChimp action after submit and on form submit in Forms widget<\\/li>\\n<li>Tweak: Added tooltip trigger None and Hover for link in Hotspot widget<\\/li>\\n<li>Tweak: Added responsive controls to Offset and Effects Offset in Sticky options<\\/li>\\n<li>Tweak: Added responsive control to Alignment in Testimonial Carousel widget<\\/li>\\n<li>Tweak: Adjusted Motion Effects module to support future feature<\\/li>\\n<li>Tweak: Added future compatibility to support better loading of <code>eicons<\\/code> font<\\/li>\\n<li>Tweak: Changed Rename Part title and button color in Theme Builder<\\/li>\\n<li>Fix: Products don\'t appear on the cart while editing in Menu Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15451\\\">#15451<\\/a>)<\\/li>\\n<li>Fix: Videos always start muted in the Video Playlist widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15292\\\">#15292<\\/a>)<\\/li>\\n<li>Fix: Unnecessary spacing if submenu indicator is set to None in Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15365\\\">#15365<\\/a>)<\\/li>\\n<li>Fix: MailChimp double opt-in feature doesn\'t work in Forms widget<\\/li>\\n<li>Fix: Fetching MailChimp groups field blocks the loading of the rest of the fields in the Form widget<\\/li>\\n<li>Fix: Missing field IDs causes forms not to be sent in Forms widget<\\/li>\\n<li>Fix: Full Content Skin is not working properly when inserted twice on the same page in Posts widget<\\/li>\\n<li>Fix: Avoid Duplicates option doesn\'t exclude manual selections in Posts widget<\\/li>\\n<li>Fix: Submenu indicator alignment issue in Nav menu widget<\\/li>\\n<li>Fix: Query control deprecated message appears when debug mode is defined<\\/li>\\n<li>Fix: Tweet Button icon incorrect color and size when the icon is rendered as SVG in Blockquote widget<\\/li>\\n<li>Fix: Video icon size is not changing on Active state in Video Playlist widget<\\/li>\\n<li>Fix: Header icon color is not working in Table Of Content widget<\\/li>\\n<li>Fix: Icons style glitches when Font Awesome Inline experiment is active in Video Playlist widget<\\/li>\\n<li>Fix: Bullet markers are not visible on preview mode when Font Awesome Inline experiment is active in Table of Content widget<\\/li>\\n<li>Fix: UI Glitch when Font-Awesome Inline experiment is active in Price Table widget<\\/li>\\n<li>Fix: Submenu Indicator appears larger when Font Awesome Inline experiment is active in Nav Menu widget<\\/li>\\n<li>Fix: Part name is deleted when clicking on the &quot;Change&quot; Button without changing the name in Theme Builder<\\/li>\\n<li>Fix: Redundant pagination queries in the Editor<\\/li>\\n<li>Deprecated: Remove all usages of <code>ElementorUtils::get_create_new_post_url()<\\/code><\\/li>\\n<li>Deprecated: See all deprecations to this version in our <a href=\\\"https:\\/\\/developers.elementor.com\\/v3-4-planned-deprecations\\/\\\">Developers Deprecations Post<\\/a><\\/li>\\n<\\/ul>\\n<h4>3.3.8 - 2021-08-23<\\/h4>\\n<ul>\\n<li>Fix: Products grid width issue when adjusting columns and rows in Products widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16001\\\">#16001<\\/a>)<\\/li>\\n<li>Fix: Font Awesome Inline experiment causes icons glitch in Price Table widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16045\\\">#16045<\\/a>)<\\/li>\\n<li>Fix: reCAPTCHA v3 <code>z-index<\\/code> is lower than the Section\'s background color<\\/li>\\n<li>Fix: Style missing when Font Awesome inline experiment is active in Post Info widget<\\/li>\\n<li>Fix: Font Awesome icons were not loaded in Post Info widget<\\/li>\\n<li>Fix: Zero character can\'t be used as a placeholder in Number field in Form widget<\\/li>\\n<li>Fix: Carousels are not working properly in the Editor when Additional Custom Breakpoints experiment is active<\\/li>\\n<\\/ul>\\n<h4>3.3.7 - 2021-08-15<\\/h4>\\n<ul>\\n<li>Tweak: Added support for Additional Custom Breakpoints in Nav Menu widget<\\/li>\\n<li>Tweak: Added support for Additional Custom breakpoints in Motion Effects<\\/li>\\n<li>Fix: Columns didn\'t respond to changes in Gallery widget if Additional Custom Breakpoints Experiment is active<\\/li>\\n<\\/ul>\\n<h4>3.3.6 - 2021-08-10<\\/h4>\\n<ul>\\n<li>Tweak: Added support for future feature in Nav Menu widget<\\/li>\\n<li>Fix: WooCommerce responsive grid styles are not being reflected in Product Related widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15857\\\">#15857<\\/a>)<\\/li>\\n<li>Fix: WooCommerce responsive grid styles are not being reflected in Upsells widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15857\\\">#15857<\\/a>)<\\/li>\\n<li>Fix: WooCommerce responsive grid styles are not being reflected in Product Categories widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15857\\\">#15857<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.3.5 - 2021-08-01<\\/h4>\\n<ul>\\n<li>Fix: Responsive layout glitches in Products and Products Archive widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15773\\\">#15773<\\/a>)<\\/li>\\n<li>Fix: reCAPTCHA V3 integration conflict with required fields validation in Forms widget<\\/li>\\n<\\/ul>\\n<h4>3.3.4 - 2021-07-21<\\/h4>\\n<ul>\\n<li>Fix: Grid layout glitch in WooCommerce Products Archive widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15718\\\">#15718<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.3.3 - 2021-07-20<\\/h4>\\n<ul>\\n<li>Tweak: Added a descriptive message in Collect Submissions action after submit<\\/li>\\n<li>Tweak: Added future compatibility for Additional Custom Breakpoints for Pro widgets<\\/li>\\n<li>Fix: Some widget style breaks when Improved CSS Loading Experiment is active in certain cases (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15632\\\">#15632<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15683\\\">#15683<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15660\\\">#15660<\\/a>)<\\/li>\\n<li>Fix: Translation update keep appearing as available after install (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14297\\\">#14297<\\/a>)<\\/li>\\n<li>Fix: Wrong default icon color when using Font Awesome icons as inline SVG in Call to Action widget<\\/li>\\n<\\/ul>\\n<h4>3.3.2 - 2021-07-13<\\/h4>\\n<ul>\\n<li>Tweak: Updated plugin description<\\/li>\\n<li>Fix: MailChimp tags in form widget replaced existing tags (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11111\\\">#11111<\\/a>)<\\/li>\\n<li>Fix: Clicking videos from the items list in edit mode doesn\\u2019t initiate videos properly<\\/li>\\n<li>Fix: User unauthorized message when activated but not connected in Kit Library<\\/li>\\n<li>Fix: Carousel widgets did not support additional custom breakpoint responsive values<\\/li>\\n<li>Fix: Tab border is overridden by the Section background color in Video Playlist widget<\\/li>\\n<li>Fix: Widgets style breaks when Improved CSS Load experiment is active in a Single Page template and Post Content widget<\\/li>\\n<\\/ul>\\n<h4>3.3.1 - 2021-06-20<\\/h4>\\n<ul>\\n<li>Tweak: Added support for more Theme Builder display conditions in Export \\/ Import experiment<\\/li>\\n<li>Tweak: Adjusted License page heading structure for future feature<\\/li>\\n<li>Tweak: Adjusted Font Awesome icon for allowing support for future feature<\\/li>\\n<li>Fix: <code>frontend.min.js<\\/code> file size increased in Elementor Pro 3.3.0 (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15278\\\">#15278<\\/a>)<\\/li>\\n<li>Fix: Prevent conditions from being reset when object cache is enabled in site (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13299\\\">#13299<\\/a>)<\\/li>\\n<li>Fix: Custom Code publish modal responsiveness issues (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14519\\\">#14519<\\/a>)<\\/li>\\n<li>Fix: Populating fields with options programmatically doesn\'t appear in Submissions screen (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10671\\\">#10671<\\/a>)<\\/li>\\n<li>Fix: Large images are not shown on the Image Carousel widget when set via Toolset dynamic tag<\\/li>\\n<li>Fix: Enable inline editing to the inner content tabs in Video Playlist widget<\\/li>\\n<li>Fix: Clicking on the video list doesn\'t play videos properly in Video Playlist widget<\\/li>\\n<li>Fix: Hide Play Icon control when Image overlay is toggled off in Video Playlist widget<\\/li>\\n<li>Fix: Removed extra space below the player when viewing from mobile view in Video Playlist widget<\\/li>\\n<li>Fix: Import button is not working properly in Theme Builder interface<\\/li>\\n<li>Fix: Preview Dynamic Content as control is not updating preview and throws an error in Popup Builder<\\/li>\\n<\\/ul>\\n<h4>3.3.0 - 2021-06-08<\\/h4>\\n<ul>\\n<li>New: Video Playlist widget - Add Engaging Video Content to Your Website (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11859\\\">#11859<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7803\\\">#7803<\\/a>)<\\/li>\\n<li>New: Hotspot widget - Create Interactive Images With Contextually Relevant Information (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7282\\\">#7282<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2768\\\">#2768<\\/a>)<\\/li>\\n<li>Tweak: Accessibility improvements for sub-menus in Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13859\\\">#13859<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13810\\\">#13810<\\/a>)<\\/li>\\n<li>Tweak: MailChimp action after submit can now add new tags to existing subscribers in Forms widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11111\\\">#11111<\\/a>)<\\/li>\\n<li>Tweak: Added <code>elementor_pro\\/forms\\/record\\/actions_before<\\/code> to filter the record before it sent to Actions After Submit in Forms widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14261\\\">#14261<\\/a>)<\\/li>\\n<li>Tweak: Yoast SEO breadcrumbs widget can be used in Elementor without the need of enabling them in Yoast setting<\\/li>\\n<li>Tweak: Added future support for widgets CSS conditional loading (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10329\\\">#10329<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14229\\\">#14229<\\/a>)<\\/li>\\n<li>Tweak: Added future support for Sticky JS library conditional loading<\\/li>\\n<li>Tweak: Added future support for Import \\/ Export experiment<\\/li>\\n<li>Tweak: Preparations and fixes for Import Export Experiment in Pro version<\\/li>\\n<li>Tweak: Added gradient button capabilities to Login widget buttons<\\/li>\\n<li>Tweak: Added gradient button capabilities to Slides widget button<\\/li>\\n<li>Tweak: Added gradient button capabilities to Price Table widget button<\\/li>\\n<li>Tweak: Added gradient button capabilities to Flip Box widget button<\\/li>\\n<li>Tweak: Added Code Highlight widget Developers Documentation<\\/li>\\n<li>Tweak: Adjusted Submissions page for future updates<\\/li>\\n<li>Tweak: Added <code>em<\\/code> and <code>%<\\/code> units for padding control in Carousel widgets<\\/li>\\n<li>Tweak: Shorten currency name to currency symbol in PayPal button widget<\\/li>\\n<li>Fix: Custom Fonts URLs should be replaced when replace URL is triggered (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7376\\\">#7376<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10382\\\">#10382<\\/a>)<\\/li>\\n<li>Fix: The currency symbol size changed in the Price Table widget if enabling sale (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13519\\\">#13519<\\/a>)<\\/li>\\n<li>Fix: Nav Menu widget is not loading Font Awesome submenu icons (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9907\\\">#9907<\\/a>)<\\/li>\\n<li>Fix: Hamburger toggle is not working in Nav menu widget<\\/li>\\n<li>Fix: Activation bug for IDN domains<\\/li>\\n<li>Fix: Conditions modal responsive glitches in Custom Code<\\/li>\\n<li>Fix: Duplicated strings in Custom Code module<\\/li>\\n<li>Fix: Enable resize option for code input field in Custom Code<\\/li>\\n<li>Fix: \\u201cSave &amp; Close \\u201cbutton in Custom Code\'s Conditions modal was not visible on small screen sizes<\\/li>\\n<li>Fix: Removing a column from a section in the navigator resulted in an empty section<\\/li>\\n<li>Fix: Recommend option is cut If the layout is not &quot;Standard&quot; in the Facebook Button widget<\\/li>\\n<li>Fix: Video item does not play without adding an image in Media Carousel widget<\\/li>\\n<li>Fix: <code>search-plus<\\/code> icon missing from panel in Media Carousel widget<\\/li>\\n<li>Fix: UI hover state glitch in Media Carousel widget<\\/li>\\n<li>Fix: PHP notice was thrown when trying to import a kit without overrideConditions parameter in Kit Import flow<\\/li>\\n<li>Fix: Templates conditions not imported if there are no conflicts in Import Export Experiment<\\/li>\\n<li>Fix: Non english values are not encoded properly on Submissions export<\\/li>\\n<li>Fix: Theme Builder import is not working properly<\\/li>\\n<li>Fix: UI glitch when no global widgets were found in Editor Panel<\\/li>\\n<li>Deprecated: See all deprecations to this version in our <a href=\\\"https:\\/\\/developers.elementor.com\\/v3-3-planned-deprecations\\/\\\">Developers Deprecations Post<\\/a><\\/li>\\n<\\/ul>\\n<h4>3.2.2 - 2021-05-05<\\/h4>\\n<ul>\\n<li>Tweak: Added support for Expert tier templates in Templates Library<\\/li>\\n<li>Tweak: Updated compatibility tag to support Elementor v3.2.x<\\/li>\\n<li>Tweak: Added compatibility for future Library improvements<\\/li>\\n<li>Fix: Toolset image dynamic field is not working with Gallery widget<\\/li>\\n<\\/ul>\\n<h4>3.2.1 - 2021-03-21<\\/h4>\\n<ul>\\n<li>Tweak: Added strings context in PayPal button and Price Table widgets<\\/li>\\n<li>Tweak: Added support for future Import \\/ Export Kit feature<\\/li>\\n<li>Fix: Submissions with over than 191 characters weren\'t indexed properly<\\/li>\\n<\\/ul>\\n<h4>3.2.0 - 2021-03-14<\\/h4>\\n<ul>\\n<li>New: PayPal Button widget - Collect PayPal payments directly from your site<\\/li>\\n<li>Experiment: Submissions - Save all of your form submissions in one place (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1686\\\">#1686<\\/a>)<\\/li>\\n<li>Tweak: Added Stay In Column option to Inner Section element (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7956\\\">#7956<\\/a>)<\\/li>\\n<li>Tweak: Adjusted \'Max Height\' control range in Table of Contents widget<\\/li>\\n<li>Tweak: Changed descriptive text in Create Custom Code screen<\\/li>\\n<li>Tweak: Added support for dynamic capabilities in Code Highlight widget<\\/li>\\n<li>Tweak: Added support for future load on demand for <code>share-link<\\/code> library<\\/li>\\n<li>Tweak: Added support for future load on demand for <code>dialog<\\/code> library in Popup<\\/li>\\n<li>Tweak: Allow overwriting the assets URL when using a mirror domain<\\/li>\\n<li>Fix: Animation was triggered multiple times when accessing the viewport in certain cases in Animated Headline widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13951\\\">#13951<\\/a>)<\\/li>\\n<li>Fix: Location is not being updated after a Custom Code snippet is published (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13971\\\">#13971<\\/a>)<\\/li>\\n<li>Fix: Custom Fonts CSS files were not updated after regenerating CSS files<\\/li>\\n<li>Fix: Conditions modal is not responsive in Custom Code<\\/li>\\n<li>Fix: Empty order buttons are displayed in Custom Fonts screen<\\/li>\\n<li>Fix: Typo in \'Reply To\' Email action after submit placeholder in Forms widget<\\/li>\\n<li>Fix: Unnecessary Save Draft button in Custom Code<\\/li>\\n<li>Fix: RTL glitches in Custom Code<\\/li>\\n<li>Fix: Sanitized options in the editor to enforce better security policies<\\/li>\\n<li>Deprecated: See all deprecations to this version in our (<a href=\\\"https:\\/\\/developers.elementor.com\\/v3-2-planned-deprecations\\/\\\">Developers Deprecations Post<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.1.1 - 2021-02-23<\\/h4>\\n<ul>\\n<li>Tweak: Adjusted \'Max Height\' control range in Table of Contents widget<\\/li>\\n<li>Fix: Popup event handler is undefined (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11475]\\\">#11475<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10690\\\">#10690<\\/a>)<\\/li>\\n<li>Fix: Conditions modal is not responsive in Custom Code<\\/li>\\n<li>Fix: RTL glitches in Code Highlight widget<\\/li>\\n<li>Fix: Minor UI glitches in Code Highlight widget<\\/li>\\n<li>Fix: Users can\'t get Pro Developer Edition version updates<\\/li>\\n<\\/ul>\\n<h4>3.1.0 - 2021-02-13<\\/h4>\\n<ul>\\n<li>New: Introducing Custom Code - Add custom code snippets to your site, including <code>head<\\/code>, <code>body<\\/code> start and <code>body<\\/code> end<\\/li>\\n<li>New: Meet Code Highlight widget - showcase any syntax with highlighted UI (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5815\\\">#5815<\\/a>)<\\/li>\\n<li>Experiment: Improved Pro widgets performance by loading JS and Swiper assets conditionally in frontend (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8572\\\">#8572<\\/a>, <a href=\\\"https:\\/\\/developers.elementor.com\\/experiment-optimized-asset-loading\\/\\\">Developer Documentation<\\/a>)<\\/li>\\n<li>Tweak: Added Compatibility Tag support in Elementor Pro (<a href=\\\"https:\\/\\/developers.elementor.com\\/compatibility-tag\\/\\\">Developer Documentation<\\/a>)<\\/li>\\n<li>Tweak: Added Dynamic capabilities to Rotating Text animation in Animated Headline widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4625\\\">#4625<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8569\\\">#8569<\\/a>)<\\/li>\\n<li>Tweak: Added an option to set Selected color for Typing effect in Animated Headline widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5403\\\">#5403<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7826\\\">#7826<\\/a>)<\\/li>\\n<li>Tweak: Added animation Loop option for Animated Headline (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9749\\\">#9749<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2457\\\">#2457<\\/a>)<\\/li>\\n<li>Tweak: Added timing options for Animated Headline widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4392\\\">#4392<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic capabilities for Testimonial Carousel widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8569\\\">#8569<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic capabilities for Price Table widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4242\\\">#4242<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8569\\\">#8569<\\/a>)<\\/li>\\n<li>Tweak: Added Word Wrap control to Code Highlight widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13577\\\">#13577<\\/a>)<\\/li>\\n<li>Tweak: Upgraded Font Awesome Pro library to v5.15.1<\\/li>\\n<li>Tweak: Improved method of loading field mapping repeater in Form widget (<a href=\\\"https:\\/\\/developers.elementor.com\\/how-to-add-a-repeater-control-to-elementor-add-on\\/\\\">Developer Documentation<\\/a>)<\\/li>\\n<li>Tweak: Added &quot;Show on Browsers&quot; Popup Advanced Rule<\\/li>\\n<li>Tweak: Added real-time JS handling to prevent redundant renders in Slides widget and all Carousel widgets<\\/li>\\n<li>Tweak: Import scroll utility from core and remove it from Pro<\\/li>\\n<li>Tweak: Added alignment options for Post Excerpt widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9757\\\">#9757<\\/a>)<\\/li>\\n<li>Tweak: Changed alignment control to work with selectors in Share Buttons<\\/li>\\n<li>Tweak: Upgraded to Webpack 5, Grunt-Webpack 4 and TerserPlugin instead of UglifyJsPlugin<\\/li>\\n<li>Fix: Steps Divider is not vertically aligned in Multi Step Form widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12569\\\">#12569<\\/a>)<\\/li>\\n<li>Fix: Slides are playing in an infinite loop mode even when the option is disabled in Slides Widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6726\\\">#6726<\\/a>)<\\/li>\\n<li>Fix: Redundant spacing is added to Share Buttons widget<\\/li>\\n<li>Fix: Step buttons text is not updated without a page reload in Forms widget<\\/li>\\n<li>Fix: Overflow issue in certain animations in Animated Headline widget<\\/li>\\n<li>Fix: When dragging a new Testimonial Carousel there is a console error thrown<\\/li>\\n<li>Fix: Step Buttons are cut in mobile view in Multi Step Form<\\/li>\\n<li>Fix: Submit and Step buttons size differences when using Twenty Twenty theme<\\/li>\\n<li>Fix: Duplicate button Text Color control in Slides widget<\\/li>\\n<li>Fix: JS error is thrown when editing and saving global widgets<\\/li>\\n<li>Fix: <code>get_version<\\/code> API function may fail with Redis \\/ DB cache<\\/li>\\n<li>Fix: Multiple license check requests are created in certain cases<\\/li>\\n<li>Deprecated: Deprecate methods prefixed with an underscore and replace them with unprefixed methods<\\/li>\\n<li>Deprecated: See all deprecations to this version in our <a href=\\\"https:\\/\\/developers.elementor.com\\/v3-1-planned-deprecations\\/\\\">Developers Deprecations Post<\\/a><\\/li>\\n<\\/ul>\\n<h4>3.0.10 - 2021-01-20<\\/h4>\\n<ul>\\n<li>Tweak: Added Editing Handles string translation compatibility with Elementor v3.1.0<\\/li>\\n<\\/ul>\\n<h4>3.0.9 - 2020-12-29<\\/h4>\\n<ul>\\n<li>Tweak: Added compatibility to support Elementor 3.1.0<\\/li>\\n<li>Fix: Wrong phrasing of Import template success message in Theme Builder<\\/li>\\n<li>Fix: Border color glitch in Theme Builder<\\/li>\\n<\\/ul>\\n<h4>3.0.8 - 2020-11-26<\\/h4>\\n<ul>\\n<li>Fix: Navigation arrows UI glitch in Media Carousel widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13172\\\">#13172<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.0.7 - 2020-11-25<\\/h4>\\n<ul>\\n<li>Fix: Console Error when dragging  Testimonials Carousel widget<\\/li>\\n<li>Fix: Arrows of Testimonial and Reviews Carousel widgets navigate to the wrong direction in RTL websites<\\/li>\\n<li>Fix: Removed the conditional loading of Webpack<\\/li>\\n<li>Fix: Fatal error is thrown after deleting an associated custom taxonomy when Posts widget with Cards skin has a badge<\\/li>\\n<li>Fix: Upload JSON files only when the user allowed to prevent security issues<\\/li>\\n<li>Fix: Gallery not displayed in Theme Builder templates preview<\\/li>\\n<\\/ul>\\n<h4>3.0.6 - 2020-11-04<\\/h4>\\n<ul>\\n<li>Tweak: Updated the embedded post in Facebook Embed widget<\\/li>\\n<li>Fix: Minor UI glitches in Theme Builder\'s conditions screen footer<\\/li>\\n<li>Fix: Template type changes into Single Page after conditions change in Theme Builder<\\/li>\\n<li>Fix: Redundant Custom Caption option in Site Logo widget<\\/li>\\n<li>Fix: Removed unused code in Drip integration<\\/li>\\n<li>Fix: Removed Weibo and WeChat social networks due to website and links inactivity from Share Buttons widget<\\/li>\\n<li>Fix: Removed redundant code from Portfolio and Post Navigation widgets<\\/li>\\n<\\/ul>\\n<h4>3.0.5 - 2020-09-23<\\/h4>\\n<ul>\\n<li>Fix: If the default page layout is set to &quot;Canvas&quot; Headers and Footers cannot be edited<\\/li>\\n<li>Fix: Product Image Dynamic Tag throws an error when no image is set<\\/li>\\n<li>Fix: Missing Single document placeholder in Theme Builder<\\/li>\\n<li>Fix: Document editing handles inherit the <code>font-family<\\/code> from 3rd party source<\\/li>\\n<li>Fix: Can\'t add linebreaks to Textarea input when used as Multi Step Form<\\/li>\\n<li>Fix: Incorrect width in Facebook Page widget<\\/li>\\n<li>Fix: Added compatibility to allow the use of \'get_create_url\' in Theme Builder<\\/li>\\n<\\/ul>\\n<h4>3.0.4 - 2020-09-09<\\/h4>\\n<ul>\\n<li>Fix: Autogenerated screenshots appear in WP Media Library modal (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12304\\\">#12304<\\/a>)<\\/li>\\n<li>Fix: Make sure Elementor Posts widget Pagination doesn\'t interfere with 3rd party plugins (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12126\\\">#12126<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12127\\\">#12127<\\/a>)<\\/li>\\n<li>Fix: Shrinking conditions indicator in Theme Builder<\\/li>\\n<li>Fix: Column can\'t be dragged and dropped if it populates a Global widget<\\/li>\\n<li>Fix: Styles are missing from Single templates in some edge cases<\\/li>\\n<\\/ul>\\n<h4>3.0.3 - 2020-09-02<\\/h4>\\n<ul>\\n<li>Fix: Pagination doesn\'t work in WordPress 5.5 (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12126\\\">#12126<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12127\\\">#12127<\\/a>)<\\/li>\\n<li>Fix: Change delete template action to &quot;Move to Trash&quot; in the new Theme Builder view<\\/li>\\n<\\/ul>\\n<h4>3.0.2 - 2020-08-31<\\/h4>\\n<ul>\\n<li>Tweak: Replaced WordPress &quot;Learn More&quot; links with dynamic links for better control over time (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12312\\\">#12312<\\/a>)<\\/li>\\n<li>Tweak: UI tweaks to the Conditions screen In the new Theme Builder<\\/li>\\n<li>Fix: Motion Effects not working when assigned to a column and throws JS error when DOM optimization is disabled (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12299\\\">#12299<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12275\\\">#12275<\\/a>)<\\/li>\\n<li>Fix: Multiple Galleries display all the images in the Lightbox slideshow (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11809\\\">#11809<\\/a>)<\\/li>\\n<li>Fix: Old Theme Builder is being opened when accessing through the Finder<\\/li>\\n<li>Fix: Mixed templates import glitch in Theme Builder<\\/li>\\n<li>Fix: Card icon sizes in Theme Builder<\\/li>\\n<li>Fix: Preview button leads to <code>render_mode<\\/code> instead of preview when importing a template from the new Theme Builder<\\/li>\\n<\\/ul>\\n<h4>3.0.1 - 2020-08-26<\\/h4>\\n<ul>\\n<li>Tweak: Keep previous Theme Builder when accessing from the WP Dashboard for legacy support<\\/li>\\n<li>Tweak: Updated video tutorials in Theme Builder<\\/li>\\n<li>Tweak: Don\'t show auto-screenshots in the Media Library (Props <a href=\\\"https:\\/\\/github.com\\/black-eye\\\">@black-eye<\\/a>)<\\/li>\\n<li>Fix: Repeater items throws <code>childView<\\/code> is undefined message in Forms widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12239\\\">#12239<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12221\\\">#12221<\\/a>)<\\/li>\\n<li>Fix: Misspelling of the word &quot;occurred&quot; in Form widget default error message (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12137\\\">#12137<\\/a>)<\\/li>\\n<li>Fix: Facebook comments not showing up (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12157\\\">#12157<\\/a>)<\\/li>\\n<li>Fix: Check for conflicts in Theme Builder doesn\'t work properly<\\/li>\\n<li>Fix: Minor UI fixes in Theme Builder<\\/li>\\n<li>Fix: Dark mode glitches in Theme Builder<\\/li>\\n<li>Fix: Global Site Part toaster appears when you publish a Popup<\\/li>\\n<li>Fix: Site Parts aren\'t in the correct order in Theme Builder<\\/li>\\n<li>Fix: Date field caused forms to get corrupted in Forms widget<\\/li>\\n<li>Fix: Theme Builder application page is forbidden<\\/li>\\n<\\/ul>\\n<h4>3.0.0 - 2020-08-23<\\/h4>\\n<ul>\\n<li>New: Introducing the new and improved Theme Builder<\\/li>\\n<li>Tweak: Removed <code>.elementor-inner<\\/code> and <code>.elementor-column-wrap<\\/code> from DOM output to improve performance (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7351\\\">#7351<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7817\\\">#7817<\\/a>, <a href=\\\"https:\\/\\/developers.elementor.com\\/dom-improvements-ahead-html-wrappers-removal-from-v3-0\\/\\\">Developers Blog Post<\\/a>)<\\/li>\\n<li>Tweak: Added contextual anchors ID support to Table of Contents widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10052\\\">#10052<\\/a>)<\\/li>\\n<li>Tweak: Added WeChat and Weibo social networks to Share Buttons widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11554\\\">#11554<\\/a>)<\\/li>\\n<li>Tweak: Added Dynamic capabilities for Redirect after Login\\/Logout in Login widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11343\\\">#11343<\\/a>)<\\/li>\\n<li>Tweak: Added Blend Mode and CSS Filters controls to adjust the Background Overlay in Flipbox widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11653\\\">#11653<\\/a>)<\\/li>\\n<li>Tweak: Added responsive capabilities to Toggle Button styling in Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8269\\\">#8269<\\/a>)<\\/li>\\n<li>Tweak: Added responsive Text Alignment control in Call to Action widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11968\\\">#11968<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic content to Ribbon element in Call to Action widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10364\\\">#10364<\\/a>)<\\/li>\\n<li>Tweak: Converted uses of Color and Typography Schemes to Global Colors and Fonts<\\/li>\\n<li>Tweak: Separated Title and Description control fields labels in Call to Action widget<\\/li>\\n<li>Tweak: Removed unnecessary style in WC Product with variations<\\/li>\\n<li>Tweak: Converted Portfolio, Posts and Share Buttons widgets to use CSS Variable-based Elementor Grid (<a href=\\\"https:\\/\\/developers.elementor.com\\/elementor-dropping-support-ie\\/\\\">Developers Blog Post<\\/a>)<\\/li>\\n<li>Tweak: Added Date Modified option to Posts widget metadata<\\/li>\\n<li>Fix: PHP 7.4 compatibility to Media Carousel widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11355\\\">#11355<\\/a>)<\\/li>\\n<li>Fix: Divider alignment issue in Post Info widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11628\\\">#11628<\\/a>)<\\/li>\\n<li>Fix: Color doesn\\u2019t change in Products Archive Description widget<\\/li>\\n<li>Fix: WC Product variations layout breaks when using Variation Swatches plugin<\\/li>\\n<li>Fix: WC Product variations layout issue<\\/li>\\n<li>Fix: WC Product variations mobile zoom-in glitch<\\/li>\\n<li>Fix: Can\'t edit a Popup after accessing Theme Style<\\/li>\\n<li>Fix: Twitter icon missing in Blockquote widget<\\/li>\\n<li>Fix: Removed redundant default text color from Share Buttons minimal skin<\\/li>\\n<li>Fix: UI glitch in Display Conditions modal<\\/li>\\n<li>Fix: Insert template button UI glitch in Templates Library<\\/li>\\n<li>Fix: Added sanitization to post titles in WordPress dashboard for better security<\\/li>\\n<li>Fix: Show when arriving from search engines rule doesn\'t work in Popup<\\/li>\\n<li>Fix: Child categories are shown with a different parent category in Query control<\\/li>\\n<li>Deprecated: See all deprecations to this version in our <a href=\\\"https:\\/\\/developers.elementor.com\\/v3-0-planned-deprecations\\/\\\">Developers Deprecations Post<\\/a><\\/li>\\n<\\/ul>\\n<h4>2.10.3 - 2020-06-29<\\/h4>\\n<ul>\\n<li>Fix: Form not being submitted when using &quot;Progress Bar&quot; and &quot;None&quot; view types in Multi Step Form (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11596\\\">#11596<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11610\\\">#11610<\\/a>)<\\/li>\\n<li>Fix: Missing &quot;for&quot; attribute in Password field label in Login widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8646\\\">#8646<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>2.10.2 - 2020-06-16<\\/h4>\\n<ul>\\n<li>Fix: Run step events only when in Multi Step Form mode (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11644\\\">#11644<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>2.10.1 - 2020-06-16<\\/h4>\\n<ul>\\n<li>Tweak: Improved License validation mechanism to avoid limitations<\\/li>\\n<li>Tweak: Changed control labels and ordering in Price Table, Lottie and Form widgets<\\/li>\\n<li>Fix: Popup close button vertical position glitch (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10921\\\">#10921<\\/a>)<\\/li>\\n<li>Fix: Radio field placement glitch when in Multi Step mode in Form widget<\\/li>\\n<li>Fix: Clicking <code>Enter<\\/code> key submits the form in Multi Step Form<\\/li>\\n<li>Fix: Hardened sanitization in Custom Attributes to avoid security issues<\\/li>\\n<\\/ul>\\n<h4>2.10.0 - 2020-06-07<\\/h4>\\n<ul>\\n<li>New: Introducing Multi-Step Forms - Breakdown long forms into simple steps (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5975\\\">#5975<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3911\\\">#3911<\\/a>)<\\/li>\\n<li>New: Introducing Lottie widget - easily add Lottie animations to your site, no coding needed (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11026\\\">#11026<\\/a>)<\\/li>\\n<li>Tweak: Added spacing option to Posts widget pagination (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5682\\\">#5682<\\/a>)<\\/li>\\n<li>Tweak: Changed texts and logic for administrator plugin renewal notices<\\/li>\\n<li>Tweak: Added new Scroll Util for improved scrolling handling<\\/li>\\n<li>Tweak: Improved Motion Effects animation performance<\\/li>\\n<\\/ul>\\n<h4>2.9.5 - 2020-05-24<\\/h4>\\n<ul>\\n<li>Fix: Added sanitization to Custom Attributes control to avoid security issue<\\/li>\\n<\\/ul>\\n<h4>2.9.4 - 2020-05-07<\\/h4>\\n<ul>\\n<li>Fix: Hardened user role that is allowed to upload icon sets and unzip only allowed files in Custom Icons to prevent security vulnerability<\\/li>\\n<\\/ul>\\n<h4>2.9.3 - 2020-04-19<\\/h4>\\n<ul>\\n<li>Fix: Form shortcode IDs are not wrapped in double-quotes (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11023\\\">#11023<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10932\\\">#10932<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10967\\\">#10967<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11000\\\">#11000<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11049\\\">#11049<\\/a>)<\\/li>\\n<li>Fix: Escaped Form records metadata to prevent security vulnerability<\\/li>\\n<li>Fix: Closing &quot;Save Changes&quot; document confirmation modal causes Panel infinite loading<\\/li>\\n<li>Fix: Ken Burns effect not working when there is only one slide in Slides widget<\\/li>\\n<li>Fix: Document handles UI glitch<\\/li>\\n<\\/ul>\\n<h4>2.9.2 - 2020-03-25<\\/h4>\\n<ul>\\n<li>Tweak: Added compatibility with WordPress v5.4 (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10745\\\">#10745<\\/a>)<\\/li>\\n<li>Fix: Image ratio number is displayed under the Archive Posts widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10874\\\">#10874<\\/a>)<\\/li>\\n<li>Fix: Theme Style Link color setting overrides the Table of Content list style<\\/li>\\n<li>Fix: PHP notice when using dynamic user info <code>id<\\/code><\\/li>\\n<li>Fix: Navigation arrows direction is crossed on first drag in Slides Widget<\\/li>\\n<li>Fix: &quot;No headings were found on this page&quot; message was not displayed in the frontend in Table of Contents widget<\\/li>\\n<li>Fix: Container includes Popup tags by default in Table of Contents widget<\\/li>\\n<li>Fix: Twitter icon display issue when Font Awesome 4 support is disabled in Blockquote widget<\\/li>\\n<li>Fix: ACF Dynamic tag not working in Form widget Redirect action<\\/li>\\n<\\/ul>\\n<h4>2.9.1 - 2020-03-16<\\/h4>\\n<ul>\\n<li>Fix: Can\'t access Elementor Editor when there is Page Title widget in the page<\\/li>\\n<li>Fix: Applying styling to Post Content widget affects the Page and Post editing handles<\\/li>\\n<\\/ul>\\n<h4>2.9.0 - 2020-03-15<\\/h4>\\n<ul>\\n<li>New: Introducing Full Site Editing: Design header, footer, and content all in one place! (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4985\\\">#4985<\\/a>)<\\/li>\\n<li>New: Added Global Custom CSS for Your Entire Site in Theme Style (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3345\\\">#3345<\\/a>)<\\/li>\\n<li>New: Added Dynamic Colors tag (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6485\\\">#6485<\\/a>)<\\/li>\\n<li>Tweak: Added option to set the Site Part HTML Wrapper Tags (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9293\\\">#9293<\\/a>)<\\/li>\\n<li>Tweak: Added Link Attributes support to Pro widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5716\\\">#5716<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3642\\\">#3642<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9225\\\">#9225<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9079\\\">#9079<\\/a>)<\\/li>\\n<li>Tweak: Added Theme Style support in Theme Builder parts (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10564\\\">#10564<\\/a>)<\\/li>\\n<li>Tweak: Avoid creating empty Custom Font<\\/li>\\n<li>Tweak: Added <code>aria-expanded<\\/code> attribute to Menu Cart widget<\\/li>\\n<li>Tweak: Moved Link Actions module to Core plugin<\\/li>\\n<li>Tweak: Changed the name of \\u201cTypeKit Web Fonts by Adobe\\u201d to \\u201cAdobe Fonts\\u201d<\\/li>\\n<li>Tweak: Removed redundant display conditions from Blockquote, Flipbox, Price Table, and Search Form widgets<\\/li>\\n<li>Tweak: Pro widgets are not draggable unless Elementor license has been activated<\\/li>\\n<li>Tweak: Remove redundant <code>label_block<\\/code> parameters from several controls<\\/li>\\n<li>Tweak: Converted controls selectors to CSS variables in Gallery widget<\\/li>\\n<li>Tweak: Replaced Stumbleupon with Mix in Reviews widget recommended icons (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10099\\\">#10099<\\/a>)<\\/li>\\n<li>Tweak: Added Mix to the Share Buttons network list (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10099\\\">#10099<\\/a>)<\\/li>\\n<li>Tweak: Added &quot;Open in new tab&quot; option to Posts widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7924\\\">#7924<\\/a>)<\\/li>\\n<li>Tweak: Upgraded Font Awesome Pro library to v5.12.0<\\/li>\\n<li>Tweak: Added new Lightbox compatibility for Gallery and Media Carousel widgets<\\/li>\\n<li>Tweak: Expose external API for Swiper instances<\\/li>\\n<li>Tweak: Added compatibility to JS API in Theme Builder, Popups, Form widget and Global widget<\\/li>\\n<li>Tweak: Replaced nerd icons with new Elementor emojis<\\/li>\\n<li>Tweak: Added specific <code>color<\\/code> attribute to header title in Table of Contents widget<\\/li>\\n<li>Fix: Line break issues in Animated Headline widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10585\\\">#10585<\\/a>)<\\/li>\\n<li>Fix: Theme Style Link color overrides the Table of Content list style<\\/li>\\n<li>Fix: Active state glitches when using Table of contents widget with Sticky mode<\\/li>\\n<li>Fix: &quot;Graphic Element&quot; section appears as empty in case of unmarked Graphic Element in Call to Action widget<\\/li>\\n<li>Fix: Page Title widget render glitches in the Editor<\\/li>\\n<li>Fix: Image ratio parameter visible in some edge cases in Posts widget<\\/li>\\n<li>Fix: Image missing when sharing to Pinterest using Share Buttons widget<\\/li>\\n<li>Fix: Theme Style Link color setting override the list style in Table of Contents widget<\\/li>\\n<li>Deprecated: See all deprecations to this version in our <a href=\\\"https:\\/\\/developers.elementor.com\\/v2-9-0-planned-deprecations\\/\\\">Developers Deprecations Post<\\/a><\\/li>\\n<\\/ul>\\n<h4>2.8.5 - 2020-03-08<\\/h4>\\n<ul>\\n<li>Tweak: Added new Swiper parameter to all Pro carousels to allow 3rd party integration<\\/li>\\n<li>Fix: Missing closing bracket in Animated Headline widget<\\/li>\\n<li>Fix: Share buttons widgets show Font Awesome 4 icons on first drag in Editor<\\/li>\\n<\\/ul>\\n<h4>2.8.4 - 2020-02-16<\\/h4>\\n<ul>\\n<li>Tweak: Added Lightbox Title &amp; Description support to Gallery widget<\\/li>\\n<li>Tweak: Added RTL support for Slides widget<\\/li>\\n<li>Tweak: Display Lightbox images in Full size in Gallery widget<\\/li>\\n<li>Fix: Template with Slides widget not working properly when placed inside Tabs, Accordion and Toggle widget<\\/li>\\n<li>Fix: Dropdown menu lost styling after Elementor Pro v2.8 upgrade in Nav Menu widget<\\/li>\\n<li>Fix: Indent doesn\'t work on RTL websites in Table of Contents widget<\\/li>\\n<li>Fix: Query Control throws <code>Undefined index: q<\\/code> error<\\/li>\\n<li>Fix: Typography control not affecting dropdown menu in Nav Menu widget<\\/li>\\n<li>Fix: Discord forms integration fails to send submissions in some server configurations<\\/li>\\n<li>Fix: Rotating headlines don\'t align center in Animated Headline widget<\\/li>\\n<li>Fix: Custom secondary color displayed when not needed in Share buttons widget<\\/li>\\n<li>Fix: Motion Effects of certain objects are not functioning properly on Safari browser<\\/li>\\n<li>Fix: Missing eye icon in Single template footer preview button<\\/li>\\n<\\/ul>\\n<h4>2.8.3 - 2020-01-01<\\/h4>\\n<ul>\\n<li>Tweak: Updated Table of Contents widget panel location<\\/li>\\n<li>Fix: ACF URL Dynamic field throws <code>undefined index<\\/code> PHP notice (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9929\\\">#9929<\\/a>)<\\/li>\\n<li>Fix: Gallery lightbox pagination shows images from all tabs<\\/li>\\n<li>Fix: &quot;Reply To&quot; option not working in Form widget &quot;Email 2&quot; Action<\\/li>\\n<li>Fix: ACF Dynamic tag not working in Form widget Redirect action<\\/li>\\n<li>Fix: Underline option not working in Table of Contents widget Normal state<\\/li>\\n<li>Fix: Query Control <code>Undefined index: autocomplete<\\/code> notice in some cases<\\/li>\\n<li>Fix: Missing display condition to Read More Spacing control in Posts widget<\\/li>\\n<\\/ul>\\n<h4>2.8.2 - 2019-12-19<\\/h4>\\n<ul>\\n<li>Tweak: Improved scroll-spy and collapsing functionality in Table of Contents widget<\\/li>\\n<li>Fix: &quot;No products were found&quot; message not being displayed in an empty Products Archive<\\/li>\\n<li>Fix: Redundant <code>&lt;br&gt;<\\/code> tags in Single theme template (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9927\\\">#9927<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9928\\\">#9928<\\/a>)<\\/li>\\n<li>Fix: Draft Popup shows up in Dynamic tag dropdown<\\/li>\\n<\\/ul>\\n<h4>2.8.1 - 2019-12-18<\\/h4>\\n<ul>\\n<li>Fix: Share Buttons widget not working (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9920\\\">#9920<\\/a>)<\\/li>\\n<li>Fix: Redundant <code>&lt;p&gt;<\\/code> tags added to Single Template posts<\\/li>\\n<\\/ul>\\n<h4>2.8.0 - 2019-12-18<\\/h4>\\n<ul>\\n<li>New: Table of Contents Widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5171\\\">#5171<\\/a>)<\\/li>\\n<li>New: Added Font Awesome Pro Duotone font family support (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9578\\\">#9578<\\/a>)<\\/li>\\n<li>Tweak: Added Lazy Load option to Gallery widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9763\\\">#9763<\\/a>)<\\/li>\\n<li>Tweak: Added Random order option to Gallery widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9269\\\">#9269<\\/a>)<\\/li>\\n<li>Tweak: Updated Font Awesome Pro to v5.11.2 (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9578\\\">#9578<\\/a>)<\\/li>\\n<li>Tweak: Added preselect support for multiple default select values in Forms Widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9324\\\">#9324<\\/a>)<\\/li>\\n<li>Tweak: Avoid duplicate queries for Custom Icons (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9579\\\">#9579<\\/a>)<\\/li>\\n<li>Tweak: Major performance improvements to Gallery widget<\\/li>\\n<li>Tweak: Avoid non-existing images in Gallery widget<\\/li>\\n<li>Tweak: Added <code>tabindex<\\/code>, <code>aria-expanded<\\/code>, <code>aria-hidden<\\/code> and <code>role=\\\"navigation\\\"<\\/code> accessibility attributes to Nav Menu widget<\\/li>\\n<li>Tweak: Changed button HTML tag from <code>button<\\/code> to <code>span<\\/code> in Call to Action and Flip Box widgets for better W3C compliance and accessibility<\\/li>\\n<li>Tweak: Removed Google+ from default networks in Share Buttons widget<\\/li>\\n<li>Tweak: Added compatibility for Library Connect<\\/li>\\n<li>Tweak: Added i18n to Toolset date dynamic tag<\\/li>\\n<li>Tweak: Added external link support to Gallery widget<\\/li>\\n<li>Tweak: Changed the link external attributes implementation to use <code>add_link_attributes()<\\/code> in Gallery widget<\\/li>\\n<li>Tweak: Updated references to the new Schemes system location<\\/li>\\n<li>Tweak: Avoid running Gallery handler when the gallery is empty<\\/li>\\n<li>Tweak: UI Tweaks in Editor Panel<\\/li>\\n<li>Tweak: Added responsive capabilities to Pointer Width control in Nav Menu widget<\\/li>\\n<li>Tweak: Added mobile support for responsive controls in Nav Menu widget<\\/li>\\n<li>Tweak: Refactor <code>register_controls()<\\/code> method in Posts widget skin trait<\\/li>\\n<li>Fix: ACF URL &quot;undefined Index&quot; notice (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7646\\\">#7646<\\/a>)<\\/li>\\n<li>Fix: WooCommerce Mini-Cart widget causes fatal error in edge cases (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9304\\\">#9304<\\/a>)<\\/li>\\n<li>Fix: <code>PHP Notice: Undefined index<\\/code> display for Author query (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9864\\\">#9864<\\/a>)<\\/li>\\n<li>Fix: Added compatibility for Button widget placed inside Swiper carousel (<a href=\\\"https:\\/\\/wordpress.org\\/support\\/topic\\/broken-buttons-since-elementor-2-8\\/\\\">Topic<\\/a>)<\\/li>\\n<li>Fix: Avoid empty spaces in Post info widget<\\/li>\\n<li>Tweak: Always show &quot;Custom label&quot; control in Login widget<\\/li>\\n<li>Fix: Nav Menu item typography selector in Nav Menu widget<\\/li>\\n<li>Fix: Facebook Like Button widget causes flickering<\\/li>\\n<li>Fix: WooCommerce mini-cart behaviour when using <code>plain<\\/code> permalinks format<\\/li>\\n<li>Fix: Avoid running Popup triggers when set without conditions<\\/li>\\n<li>Fix: Removed &quot;Date&quot; query from Products widget<\\/li>\\n<li>Fix: Slides widget when used as a Shortcode and is hidden<\\/li>\\n<li>Fix: Custom URL being accessed on swipe in Media Carousel<\\/li>\\n<li>Fix: Media Carousel widget Cube effect glitch<\\/li>\\n<li>Fix: Lightbox shows images from multiple Gallery widgets in the same page<\\/li>\\n<li>Fix: Image <code>alt<\\/code> Text not displayed on overlay in Gallery widget<\\/li>\\n<li>Fix: Gallery widget not visible in Posts widget Full Content skin<\\/li>\\n<li>Fix: WooCommerce mini-cart remove unnecessary hooks registration when WooCommerce integration set to <code>Disable<\\/code><\\/li>\\n<li>Fix: Slides widget button wrapping breaks in mobile view<\\/li>\\n<li>Fix: Dynamic capabilities with the Reviews widget<\\/li>\\n<li>Fix: Disabling autoplay doesn\'t work in Slides widget<\\/li>\\n<li>Fix: Posts widget Full Content skin not working on Single template<\\/li>\\n<li>Fix: Autocomplete not working for &quot;By Author&quot; condition in Display Conditions screen<\\/li>\\n<li>Fix: Posts widget alignment issue<\\/li>\\n<li>Fix: Product Variations Clear button not working in edge cases<\\/li>\\n<li>Fix: Styling issues in Form widget submit button<\\/li>\\n<\\/ul>\\n<h4>2.7.3 - 2019-10-28<\\/h4>\\n<ul>\\n<li>Tweak: Added RTL support to Galleries widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9213\\\">#9213<\\/a>)<\\/li>\\n<li>Tweak: Added Custom Icons compatibility for WordPress 5.3<\\/li>\\n<li>Fix: Missing template function declaration causes fatal error in WC mini-cart widget<\\/li>\\n<li>Fix: Pause on hover doesn\'t work in Carousel widgets<\\/li>\\n<li>Fix: Link-actions conflict with <code>?action=<\\/code> parameter in the URL<\\/li>\\n<li>Fix: Lightbox navigation not working in Gallery widget Single mode<\\/li>\\n<li>Fix: Ken burns effect not working on the 1st slide if Infinite Loop option is turned off in Carousel widgets<\\/li>\\n<li>Fix: Popup Advanced Rules detects internal links as external if current URL starts with <code>www<\\/code><\\/li>\\n<\\/ul>\\n<h4>2.7.2 - 2019-10-06<\\/h4>\\n<ul>\\n<li>Fix: Slide Overlay not working when applying Ken burns effect in Slides widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9209\\\">#9209<\\/a>)<\\/li>\\n<li>Fix: Content width glitch in Slides widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9180\\\">#9180<\\/a>)<\\/li>\\n<li>Fix: Horizontal Alignment not working when applying custom style per slide in Slides widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9180\\\">#9180<\\/a>)<\\/li>\\n<li>Fix: Missing semicolon in Custom Fonts <code>font-display<\\/code> CSS<\\/li>\\n<\\/ul>\\n<h4>2.7.1 - 2019-09-26<\\/h4>\\n<ul>\\n<li>Fix: Background Overlay layer is over the slide content in Slides widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9180\\\">#9180<\\/a>)<\\/li>\\n<li>Fix: Duplicate images under &quot;All&quot; filter in Multiple Gallery<\\/li>\\n<\\/ul>\\n<h4>2.7.0 - 2019-09-24<\\/h4>\\n<ul>\\n<li>New: Enhanced Galleries widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1898\\\">#1898<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3103\\\">#3103<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4279\\\">#4279<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7631\\\">#7631<\\/a>)<\\/li>\\n<li>New: Dynamic Number (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5952\\\">#5952<\\/a>)<\\/li>\\n<li>New: Full content skin for Posts and Archive-posts widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4617\\\">#4617<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic number capability to Price List, Price Table, Counter, Star Rating, Progress Bar widgets<\\/li>\\n<li>Tweak: Added tags support to forms Mailchimp action (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5418\\\">#5418<\\/a>)<\\/li>\\n<li>Tweak: User Profile Picture Dynamic Tag (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7947\\\">#7947<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8740\\\">#8740<\\/a>)<\\/li>\\n<li>Tweak: Added <code>font-display<\\/code> support to custom fonts (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5993\\\">#5993<\\/a>, <a href=\\\"https:\\/\\/developers.elementor.com\\/elementor-pro-2-7-custom-fonts-font-display-support\\/\\\">Developers Blog Post<\\/a>)<\\/li>\\n<li>Tweak: Added Text Shadow control to Slides widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8800\\\">#8800<\\/a>)<\\/li>\\n<li>Tweak: Added Re-subscribe support to MailerLite (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8799\\\">#8799<\\/a>)<\\/li>\\n<li>Tweak: Added Dynamic capabilities to Facebook Embed widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9030\\\">#9030<\\/a>)<\\/li>\\n<li>Tweak: Use <code>swiper.js<\\/code> instead of <code>slick.js<\\/code> in Slides widget (<a href=\\\"https:\\/\\/developers.elementor.com\\/elementor-2-7-moving-sliders-from-slick-to-swiper\\/\\\">Developers Blog Post<\\/a>)<\\/li>\\n<li>Tweak: Added <code>elementor_pro\\/search_form\\/before_input<\\/code> action hook to Search Form widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5598\\\">#5598<\\/a>)<\\/li>\\n<li>Tweak: Added <code>elementor_pro\\/search_form\\/after_input<\\/code> action hook to Search Form widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5598\\\">#5598<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic support for Custom field key (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7789\\\">#7789<\\/a>)<\\/li>\\n<li>Tweak: Increased expired license notice bar frequency<\\/li>\\n<li>Tweak: Changed the icon name of Slides widget<\\/li>\\n<li>Tweak: Added designated Finder\'s Icons for Custom icons &amp; Custom fonts<\\/li>\\n<li>Tweak: Use Ken Burns Effect as an external module<\\/li>\\n<li>Tweak: Remove Fontello conflicting CSS on import to Custom Icons sets<\\/li>\\n<li>Tweak: Editor Panel UI tweaks<\\/li>\\n<li>Tweak: Added DOM events on Popup show\\/hide (<a href=\\\"https:\\/\\/developers.elementor.com\\/elementor-pro-2-7-popup-events\\/\\\">Developers Blog Post<\\/a>)<\\/li>\\n<li>Tweak: Added option to change the variations field width in Add to Cart widget<\\/li>\\n<li>Tweak: Use select control instead of select2 in Menu Cart widget<\\/li>\\n<li>Tweak: Added conditions to the tabs instead of to each control in Share Buttons widget<\\/li>\\n<li>Tweak: Added Typography controls to HTML field in Forms widget<\\/li>\\n<li>Tweak: Allow edit selected Font file in Custom Font<\\/li>\\n<li>Tweak: Changed reCAPTCHA v3 error message<\\/li>\\n<li>Tweak: Remove the &quot;Save as Global&quot; option on Global widget context menu<\\/li>\\n<li>Fix: Corrected selector for <code>removeControlSpinner()<\\/code> (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8790\\\">#8790<\\/a>)<\\/li>\\n<li>Fix: Slides widget navigation icons misplacement (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8533\\\">#8533<\\/a>)<\\/li>\\n<li>Fix: Horizontal Scrollbar when Slider widget is set to Full Width (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8527\\\">#8527<\\/a>)<\\/li>\\n<li>Fix: Inconsistent behavior when &quot;Infinite Loop&quot; enabled with &quot;Autoplay&quot; in Slides widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6726\\\">#6726<\\/a>)<\\/li>\\n<li>Fix: Ken Burns effect on Chrome transition glitches (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1671\\\">#1671<\\/a>)<\\/li>\\n<li>Fix: Nothing found message shows up inside the columns set in Posts Archive widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7347\\\">#7347<\\/a>)<\\/li>\\n<li>Fix: Responsive UI glitch in Popup Conditions modal tabs<\\/li>\\n<li>Fix: Removed unnecessary divider in Call to Action widget<\\/li>\\n<li>Fix: Custom Add To Cart * button style (size, position and background color) when <code>quantity<\\/code> is enabled.<\\/li>\\n<li>Fix: Add support for Document\\/PageBase in Theme Builder (Core &gt;=2.7.0)<\\/li>\\n<li>Fix: Ampersand character breaks email link in Share Buttons widget<\\/li>\\n<li>Fix: Correct custom font attachment <code>mime-type<\\/code> to show uploaded Custom Fonts<\\/li>\\n<li>Fix: Mini-Cart not refreshing in Menu Cart widget<\\/li>\\n<li>Fix: Cart drawer not working when WC Subscriptions plugin is activated<\\/li>\\n<li>Fix:  Querying CPT with custom taxonomies does not show the taxonomies before saving<\\/li>\\n<li>Fix: Double rendering on change caused console error in Theme Builder\'s conditions screen<\\/li>\\n<li>Fix: Translations and Strings in Share Buttons widget<\\/li>\\n<li>Fix: Avoid using offset if the source is Manual selection in Query Control<\\/li>\\n<li>Fix: Form being submitted although reCAPTCHA v3 validation failed in Forms widget<\\/li>\\n<\\/ul>\\n<h4>2.6.5 - 2019-08-26<\\/h4>\\n<ul>\\n<li>Tweak: Added compatibility for the upcoming release of Elementor v2.7<\\/li>\\n<li>Fix: Button style not working when <code>quantity<\\/code> is enabled in Custom Add To Cart widget<\\/li>\\n<li>Fix: Updated minified JS file fixed WhatsApp base URL in Share Buttons widget<\\/li>\\n<\\/ul>\\n<h4>2.6.4 - 2019-08-21<\\/h4>\\n<ul>\\n<li>Tweak: Added compatibility for the upcoming release of Elementor v2.7<\\/li>\\n<li>Fix: Changed WhatsApp base URL in Share Buttons widget for cross-device compatibility<\\/li>\\n<li>Fix: Random slides order after several clicks on pagination in Testimonial Carousel widget<\\/li>\\n<\\/ul>\\n<h4>2.6.3 - 2019-08-18<\\/h4>\\n<ul>\\n<li>Fix: Core version rollback to <code>&gt;2.6.0<\\/code> causes a fatal error<\\/li>\\n<li>Fix: Duplicate images when slideshow skin is selected in Media Carousel lightbox<\\/li>\\n<li>Fix: Default bottom margin added to reCAPTCHA V3 badge<\\/li>\\n<li>Fix: Input glitch in reCAPTCHA V3 threshold settings<\\/li>\\n<\\/ul>\\n<h4>2.6.2 - 2019-07-30<\\/h4>\\n<ul>\\n<li>Tweak: Better accessibility support in Search Form widget<\\/li>\\n<li>Fix: UI glitched in Popup publish screen (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8616\\\">#8616<\\/a>)<\\/li>\\n<li>Fix: &quot;Child of Term&quot; and &quot;Any child of term&quot; conditions (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8695\\\">#8695<\\/a>)<\\/li>\\n<li>Fix: Restored <code>library_widget_templates<\\/code> action hook for 3rd party compatibility (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8687\\\">#8687<\\/a>)<\\/li>\\n<li>Fix: Twitter Icon missing in Blockquote widget<\\/li>\\n<li>Fix: Form reCAPTCHA v3 badge position not working<\\/li>\\n<li>Fix: Renewal notice bar appears in wrong situations<\\/li>\\n<li>Fix: Draft Icon Set loads empty Icon Library<\\/li>\\n<\\/ul>\\n<h4>2.6.1 - 2019-07-24<\\/h4>\\n<ul>\\n<li>Fix: Query Control autocomplete not retrieving results (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8672\\\">#8672<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8661\\\">#8661<\\/a>)<\\/li>\\n<li>Fix: Price Table features section not working (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8660\\\">#8660<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>2.6.0 - 2019-07-23<\\/h4>\\n<ul>\\n<li>New: Introducing Custom Icon sets - including Fontello, IcoMoon and Fontastic support (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/110\\\">#110<\\/a>)<\\/li>\\n<li>New: Added Font Awesome 5 Pro integration including 5,300+ icons (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4430\\\">#4430<\\/a>)<\\/li>\\n<li>New: Added reCAPTCHA v3 integration to Form widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8213\\\">#8213<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6039\\\">#6039<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7165\\\">#7165<\\/a>)<\\/li>\\n<li>Tweak: Added Exit Animation for Popups (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7063\\\">#7063<\\/a>)<\\/li>\\n<li>Tweak: Added ACF Dynamic tag support for archive pages (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5147\\\">#5147<\\/a>)<\\/li>\\n<li>Tweak: Added Navigator Indicators for Custom CSS &amp; Motion Effects (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2180\\\">#2180<\\/a>)<\\/li>\\n<li>Tweak: Added Dynamic capabilities for Form Redirect action (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7552\\\">#7552<\\/a>)<\\/li>\\n<li>Tweak: Added Logged In Message styling options for Login widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7928\\\">#7928<\\/a>)<\\/li>\\n<li>Tweak: Added <code>none<\\/code> breakpoint option to Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7916\\\">#7916<\\/a>)<\\/li>\\n<li>Tweak: Added option to place Post Terms dynamic tag without links (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8366\\\">#8366<\\/a>)<\\/li>\\n<li>Tweak: Added <code>elementor\\/query\\/query_results<\\/code> hook to Query Control to allow full control over results (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7912\\\">#7912<\\/a>)<\\/li>\\n<li>Tweak: Allow choosing Heading HTML tag in Price Table widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8090\\\">#8090<\\/a>)<\\/li>\\n<li>Tweak: Show popup on dynamic click even when <code>Avoid Multiple Popups<\\/code> option is selected (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8189\\\">#8189<\\/a>)<\\/li>\\n<li>Tweak: Added condition option to all of archive child pages (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8256\\\">#8256<\\/a>)<\\/li>\\n<li>Tweak: Added <code>Effects Relative To<\\/code> control to Scrolling Effects<\\/li>\\n<li>Tweak: Allow shortcodes in HTML Form field<\\/li>\\n<li>Tweak: Removed donReach integration from Share Buttons widget due to service inconsistent stability<\\/li>\\n<li>Tweak: Changed MailChimp <code>List<\\/code> label to <code>Audience<\\/code><\\/li>\\n<li>Tweak: Improved Entrance and Exit animation behavior in Popup<\\/li>\\n<li>Tweak: Added <code>Deprecated Notice<\\/code> control to <code>Archive Products<\\/code> and <code>Woo Products<\\/code> widgets<\\/li>\\n<li>Tweak: Added default dynamic title for archives in Theme Builder<\\/li>\\n<li>Tweak: Added condition to show <code>Centered Slides<\\/code> control in Media Carousel widget<\\/li>\\n<li>Tweak: Added notice bar in the Editor when the license is expired or not activated<\\/li>\\n<li>Tweak: Replaced <code>select<\\/code> control with <code>choose<\\/code> control in Price List widget<\\/li>\\n<li>Tweak: Removed Font Awesome 4 dependencies from the Editor<\\/li>\\n<li>Tweak: Minor styling tweaks in the Popup publish modal<\\/li>\\n<li>Tweak: Hide ordering form in Products widget on front page<\\/li>\\n<li>Tweak: Removed page title markup when \'Hide Title\' is active<\\/li>\\n<li>Tweak: Added style controls for HTML field in Form widget<\\/li>\\n<li>Fix: Form widget Date picker makes the Popup builder disappear (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7240\\\">#7240<\\/a>)<\\/li>\\n<li>Fix: Sticky element stop point stops working on viewport resize (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7884\\\">#7884<\\/a>)<\\/li>\\n<li>Fix: Copy-Paste style not pasting the Pointer option in Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8497\\\">#8497<\\/a>)<\\/li>\\n<li>Fix: Missing Print icon in Share Buttons (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8506\\\">#8506<\\/a>)<\\/li>\\n<li>Fix: UI style glitch in Blockquote widget when viewing from iPad<\\/li>\\n<li>Deprecated: <code>DB::save_editor()<\\/code> - Remove usage of this method (<a href=\\\"https:\\/\\/developers.elementor.com\\/v2-6-0-planned-deprecations\\/\\\">Deprecation Post<\\/a>)<\\/li>\\n<li>Deprecated: <code>DB::get_plain_editor()<\\/code> - Remove usage of this method (<a href=\\\"https:\\/\\/developers.elementor.com\\/v2-6-0-planned-deprecations\\/\\\">Deprecation Post<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>2.5.14 - 2019-07-14<\\/h4>\\n<ul>\\n<li>Fix: Better WC Related Product grid support to various themes (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8555\\\">#8555<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>2.5.13 - 2019-07-11<\\/h4>\\n<ul>\\n<li>Fix: Better WC grid support to various themes<\\/li>\\n<\\/ul>\\n<h4>2.5.12 - 2019-07-10<\\/h4>\\n<ul>\\n<li>Fix: Grid for WooCommerce Archive Product widget<\\/li>\\n<li>Fix: Remove redundant <code>whitespace<\\/code> CSS property causes style glitch in iPad<\\/li>\\n<li>Tweak: Added more compatibility for Elementor v2.6<\\/li>\\n<\\/ul>\\n<h4>2.5.11 - 2019-07-02<\\/h4>\\n<ul>\\n<li>Fix: Close icon missing from Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8460\\\">#8460<\\/a>)<\\/li>\\n<li>Fix: Elementor Pro v2.5.10 shows PHP notice regarding notice bar (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8461\\\">#8461<\\/a>)<\\/li>\\n<li>Fix: Fatal error when deleting used Pods fields (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8396\\\">#8396<\\/a>)<\\/li>\\n<li>Fix: Missing dropdown icon in conditions screen<\\/li>\\n<\\/ul>\\n<h4>2.5.10 - 2019-05-28<\\/h4>\\n<ul>\\n<li>Tweak: Added compatibility for the upcoming release of Elementor v2.6<\\/li>\\n<li>Tweak: Error caused by empty Rows &amp; Columns values in Products widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8261\\\">#8261<\\/a>)<\\/li>\\n<li>Fix: Do not unset <code>product<\\/code> CPT if it\'s not from WooCommerce (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8160\\\">#8160<\\/a>)<\\/li>\\n<li>Fix: Column Spacing not working in WooCommerce Archive Products widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8285\\\">#8285<\\/a>)<\\/li>\\n<li>Fix: Title styling not working in Products Categories widget<\\/li>\\n<li>Fix: Empty value in Dynamic Pods Gallery dropdown using Safari browser<\\/li>\\n<li>Fix: WooCommerce archives included in &quot;All Archives&quot; condition<\\/li>\\n<\\/ul>\\n<h4>2.5.9 - 2019-05-28<\\/h4>\\n<ul>\\n<li>Tweak: Removed <code>auto-confirm<\\/code> control from MailPoet to support new version of MailPoet<\\/li>\\n<li>Fix: Multiple Custom Fonts not rendered in the editor<\\/li>\\n<li>Fix: Products <code>sale<\\/code> query - handle exclude by manual selection.<\\/li>\\n<li>Fix: Product Categories grid row &amp; column style<\\/li>\\n<li>Fix: Form integration AJAX cache override<\\/li>\\n<li>Fix: Removed redundant CSS on Canvas &amp; Header-Footer page templates<\\/li>\\n<\\/ul>\\n<h4>2.5.8 - 2019-05-06<\\/h4>\\n<ul>\\n<li>Fix: Popup entrance animation not working in frontend<\\/li>\\n<li>Fix: Popup Exit Intent trigger activated multiple times<\\/li>\\n<\\/ul>\\n<h4>2.5.7 - 2019-05-05<\\/h4>\\n<ul>\\n<li>Fix: Embedded video keeps playing after a Popup is closed (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7875\\\">#7875<\\/a>)<\\/li>\\n<li>Fix: Maximum call stack size exceeded error in Safari (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7824\\\">#7824<\\/a>)<\\/li>\\n<li>Fix: Entrance animations not appearing on Popup reopen (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7395\\\">#7395<\\/a>)<\\/li>\\n<li>Fix: WC variations select style glitch in several themes (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8008\\\">#8008<\\/a>)<\\/li>\\n<li>Fix: Theme Builder taxonomy conditions not retrieving proper results in edge cases<\\/li>\\n<\\/ul>\\n<h4>2.5.6 - 2019-04-29<\\/h4>\\n<ul>\\n<li>Tweak: Removed <code>Shortcode<\\/code> dynamic from Image, Gallery and Media control<\\/li>\\n<li>Fix: Popup not inheriting entrance animation in responsive mode (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7809\\\">#7809<\\/a>)<\\/li>\\n<li>Fix: Terms autocomplete retrieves wrong results in Query Control<\\/li>\\n<li>Fix: Query Control Related by author glitches in edge cases<\\/li>\\n<li>Fix: Query Control using terms for Products widget<\\/li>\\n<li>Fix: Posts cards style glitch in small screens<\\/li>\\n<li>Fix: Display conditions delete icon missing in small screens<\\/li>\\n<li>Fix: Avoid rendering Menu Cart widget in WordPress native editor<\\/li>\\n<\\/ul>\\n<h4>2.5.5 - 2019-04-08<\\/h4>\\n<ul>\\n<li>Tweak: Allow text selection inside a Popup<\\/li>\\n<li>Fix: Added backwards compatibility for <code>tax_query<\\/code> in Query Control (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7751\\\">#7751<\\/a>)<\\/li>\\n<li>Fix: Missing arguments for <code>widget_title<\\/code> filter (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7745\\\">#7745<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>2.5.4 - 2019-04-03<\\/h4>\\n<ul>\\n<li>Fix: Move Query from using <code>term_id<\\/code> to <code>term_taxonomy_id<\\/code> (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7653\\\">#7653<\\/a>)<\\/li>\\n<li>Fix: Offset manipulation hook removal in Query control<\\/li>\\n<li>Fix: Missing form field <code>ID<\\/code> in some edge cases (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7711\\\">#7711<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7660\\\">#7660<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>2.5.3 - 2019-03-31<\\/h4>\\n<ul>\\n<li>Tweak: Updated Google Calendar dynamic tag URL (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7673\\\">#7673<\\/a>)<\\/li>\\n<li>Fix: Missing form field names (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7651\\\">#7651<\\/a>)<\\/li>\\n<li>Fix: PHP 5.4 backward compatibility in Query Control (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7633\\\">#7633<\\/a>)<\\/li>\\n<li>Fix: <code>products_deprecated<\\/code> Query Control module compatibility (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7654\\\">#7654<\\/a>)<\\/li>\\n<li>Fix: Changed query method from <code>term_id<\\/code> to <code>term_taxonomy_id<\\/code> (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7653\\\">#7653<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>2.5.2 - 2019-03-27<\\/h4>\\n<ul>\\n<li>Fix: Overwrite parent widget type in Global Widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7632\\\">#7632<\\/a>)<\\/li>\\n<li>Fix: Avoid Duplicates option not working in Query Control (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7635\\\">#7635<\\/a>)<\\/li>\\n<li>Fix: Manual Selection option not working in Query Control (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7634\\\">#7634<\\/a>)<\\/li>\\n<li>Fix: Incorrect condition caused handlers issues inside popup<\\/li>\\n<\\/ul>\\n<h4>2.5.1 - 2019-03-26<\\/h4>\\n<ul>\\n<li>Fix: Query Control invalid call to deprecated action (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7619\\\">#7619<\\/a>)<\\/li>\\n<li>Tweak: Renamed action hook from <code>elementor_pro\\/{$widget_name}\\/query\\/{$query_id}<\\/code> to <code>elementor\\/query\\/{$query_id}<\\/code><\\/li>\\n<li>Tweak: Renamed filter hook from <code>elementor_pro\\/query_control\\/get_query_args\\/current_query<\\/code> to <code>elementor\\/query\\/get_query_args\\/current_query<\\/code><\\/li>\\n<\\/ul>\\n<h4>2.5.0 - 2019-03-26<\\/h4>\\n<ul>\\n<li>New: Introducing Motion Effects including Scrolling &amp; Mouse effects (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/72\\\">#72<\\/a>)<\\/li>\\n<li>New: Introducing Related Posts for Query Control (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7306\\\">#7306<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7490\\\">#7490<\\/a>)<\\/li>\\n<li>New: Introducing Date query for Query Control<\\/li>\\n<li>New: Introducing Sticky Posts support for Query Control (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2501\\\">#2501<\\/a>)<\\/li>\\n<li>Tweak: Added option to open a Popup by a custom selector (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6871\\\">#6871<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6876\\\">#6876<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7258\\\">#7258<\\/a>)<\\/li>\\n<li>Tweak: Option to count when Popup is closed in &quot;Show up to X times&quot; Advanced Rule<\\/li>\\n<li>Tweak: Added full border radius control options inside Popup<\\/li>\\n<li>Tweak: Changed exit intent icon in Popups<\\/li>\\n<li>Tweak: Show only one popup in its own preview<\\/li>\\n<li>Tweak: Added responsive support to Popup entrance animation control<\\/li>\\n<li>Tweak: Conditions - Singular <code>All Pages<\\/code> string changed to <code>Pages<\\/code><\\/li>\\n<li>Tweak: Added form field shortcode support for Drip tags (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7000\\\">#7000<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic capabilities to Price List widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7258\\\">#7258<\\/a>)<\\/li>\\n<li>Tweak: Added Dynamic capabilities to Custom Attributes (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6779\\\">#6779<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic capabilities to Flip Box widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6986\\\">#6986<\\/a>)<\\/li>\\n<li>Tweak: Decrease <code>z-index<\\/code> for Nav Menu (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6869\\\">#6869<\\/a>)<\\/li>\\n<li>Tweak: Changed &quot;Scrolling Effects&quot; section label to &quot;Motion Effects&quot;<\\/li>\\n<li>Tweak: Use filter <code>get_meta_viewport<\\/code> for header templates (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7043\\\">#7043<\\/a>)<\\/li>\\n<li>Tweak: use filterable <code>Util::get_public_post_types()<\\/code> in Theme Builder (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7172\\\">#7172<\\/a>)<\\/li>\\n<li>Tweak: Added Cloudflare rocket-loader support (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7443\\\">#7443<\\/a>)<\\/li>\\n<li>Tweak: Added responsive support to WC Products Columns &amp; Rows Gap controls (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6913\\\">#6913<\\/a>)<\\/li>\\n<li>Tweak: WC Menu cart &quot;View Cart&quot; &amp; &quot;Checkout&quot; buttons styling<\\/li>\\n<li>Fix: Custom ID reset to default when dragging repeater<\\/li>\\n<li>Fix: Conflict between archive-products widget and WC customizer<\\/li>\\n<li>Fix: Add to Cart widget <code>spacing<\\/code> and <code>space-between<\\/code><\\/li>\\n<li>Fix: Library view when creating a new Header or Footer<\\/li>\\n<li>Fix: Post types labels missing on Add New Template modal<\\/li>\\n<\\/ul>\\n<h4>2.4.8 - 2019-03-11<\\/h4>\\n<ul>\\n<li>Fix: Missing query section in Products widget<\\/li>\\n<li>Fix: Missing Taxonomy controls in Products widget in edge cases<\\/li>\\n<\\/ul>\\n<h4>2.4.7 - 2019-03-06<\\/h4>\\n<ul>\\n<li>Fix: Compatibility Global Widget with Elementor v2.5.0+<\\/li>\\n<\\/ul>\\n<h4>2.4.6 - 2019-03-04<\\/h4>\\n<ul>\\n<li>Fix: Pods gallery dynamic when empty (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7127\\\">#7127<\\/a>)<\\/li>\\n<li>Fix: Duplicate call for conditions screen issue<\\/li>\\n<li>Fix: Compatibility with Elementor v2.5.0<\\/li>\\n<\\/ul>\\n<h4>2.4.5 - 2019-02-18<\\/h4>\\n<ul>\\n<li>Fix: Image size issue in Testimonial Carousel (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7058\\\">#7058<\\/a>)<\\/li>\\n<li>Fix: MailChimp groups not saved in a form integration (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7083\\\">#7083<\\/a>)<\\/li>\\n<li>Fix: Show popup preview only on it\'s own preview<\\/li>\\n<li>Fix: Elementor dashboard templates URL corrupted links in edge cases<\\/li>\\n<\\/ul>\\n<h4>2.4.4 - 2019-02-11<\\/h4>\\n<ul>\\n<li>Tweak: Added ACF Date Time Picker field support (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6690\\\">#6690<\\/a>)<\\/li>\\n<li>Tweak: Changed the term of <code>All Posts<\\/code> condition to <code>Posts<\\/code><\\/li>\\n<li>Fix: Added <code>&lt;IfModule&gt;<\\/code> to avoid 500 error when <code>mod-headers<\\/code> is missing (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7034\\\">#7034<\\/a>)<\\/li>\\n<li>Fix: Include post CSS deletion in Global Widget update (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6856\\\">#6856<\\/a>)<\\/li>\\n<li>Fix: <code>Textarea<\\/code> default value in Forms Widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6934\\\">#6934<\\/a>)<\\/li>\\n<li>Fix: MailPoet latest version caused fatal error (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6996\\\">#6996<\\/a>)<\\/li>\\n<li>Fix: Fatal Error caused by calling MailPoet deleted method<\\/li>\\n<li>Notice: MailPoet <code>Auto Confirm<\\/code> option will now default to &quot;On&quot;<\\/li>\\n<\\/ul>\\n<h4>2.4.3 - 2019-01-30<\\/h4>\\n<ul>\\n<li>Fix: Custom Add to Cart widget responsive alignment settings<\\/li>\\n<li>Fix: Links in Post Info widget<\\/li>\\n<li>Fix: WooCommerce <code>View Cart<\\/code> string translate<\\/li>\\n<li>Fix: Wrapper classes for header\\/footer templates (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6884\\\">#6884<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>2.4.2 - 2019-01-25<\\/h4>\\n<ul>\\n<li>Tweak: Added pixel units to Close Button position control in Popups<\\/li>\\n<li>Fix: Exclude error in WC Products widget<\\/li>\\n<\\/ul>\\n<h4>2.4.1 - 2019-01-24<\\/h4>\\n<ul>\\n<li>Tweak: Added CSS classes control to Popup (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6826\\\">#6826<\\/a>)<\\/li>\\n<li>Tweak: Added responsive image size to Testimonial Carousel widget<\\/li>\\n<li>Fix: PHP warning when Toolset Date dynamic is empty (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6842\\\">#6842<\\/a>)<\\/li>\\n<li>Fix: Support of exclude-ids in WC Products widget<\\/li>\\n<li>Fix: Popup close button not clickable<\\/li>\\n<li>Fix: Alignment justify issue of Add to Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6749\\\">#6749<\\/a>)<\\/li>\\n<li>Fix: Bad anchors breaks the page JS<\\/li>\\n<li>Fix: Popup overlay shown when turned off<\\/li>\\n<\\/ul>\\n<h4>2.4.0 - 2019-01-21<\\/h4>\\n<ul>\\n<li>New: Introducing Popup Builder (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/628\\\">#628<\\/a>)<\\/li>\\n<li>New: Added <code>Popup<\\/code> Dynamic Tag<\\/li>\\n<li>New: Added <code>Popup<\\/code> forms action after submit<\\/li>\\n<li>New: Added User Info dynamic tag (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6322\\\">#6322<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic capabilities for &quot;Nothing Found&quot; message<\\/li>\\n<li>Tweak: Added <code>elementor_pro\\/theme_builder\\/archive\\/escape_nothing_found_message<\\/code> Filter to avoid HTML escaping in &quot;Nothing Found&quot; message (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6053\\\">#6053<\\/a>)<\\/li>\\n<li>Tweak: Added <code>add_doc_to_location<\\/code> method to Allow insertion of a document to a location<\\/li>\\n<li>Fix: <code>z-index<\\/code> issue with CTA widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6486\\\">#6486<\\/a>)<\\/li>\\n<li>Fix: Hide the Post Content widget and show it only in a Single document<\\/li>\\n<li>Fix: <code>selector<\\/code> replacement in Custom CSS<\\/li>\\n<li>Fix: Apply <code>the_content<\\/code> on the real content only<\\/li>\\n<li>Fix: CSS for WC products selector (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6559\\\">#6559<\\/a>)<\\/li>\\n<li>Fix: Odnoklassniki share URL (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6638\\\">#6638<\\/a>)<\\/li>\\n<li>Fix: Custom link new tab in Post Info widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5766\\\">#5766<\\/a>)<\\/li>\\n<li>Fix: <code>nofollow<\\/code> link in Flip Box &amp; CTA widgets<\\/li>\\n<li>Fix: Post Terms in Post Info widget<\\/li>\\n<li>Fix: Added screen reader to some icons &amp; buttons for better accessibility (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5386\\\">#5386<\\/a>)<\\/li>\\n<li>Fix: Accessibility labels in Reviews widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6630\\\">#6630<\\/a>)<\\/li>\\n<li>Fix: Link to cart page not working when WooCommerce Subscriptions is active<\\/li>\\n<li>Fix: MailChimp Selected list not showing on reloading in Form widget<\\/li>\\n<li>Fix: Sub-menu arrow position in Nav Menu widget<\\/li>\\n<li>Fix: Conflict with WP Security Audit Log plugin (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6648\\\">#6648<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>2.3.1 - 2018-12-19<\\/h4>\\n<ul>\\n<li>Fix: Template widget search functionality (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6473\\\">#6473<\\/a>)<\\/li>\\n<li>Fix: Apply <code>the_content<\\/code> filter to post content in theme builder<\\/li>\\n<\\/ul>\\n<h4>2.3.0 - 2018-12-17<\\/h4>\\n<ul>\\n<li>New: Introducing Discord Integration for Forms (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4218\\\">#4218<\\/a>)<\\/li>\\n<li>New: Introducing Slack Integration for Forms<\\/li>\\n<li>New: Introducing MailerLite Integration for Forms (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4462\\\">#4462<\\/a>)<\\/li>\\n<li>New: Activate Elementor Pro plugin by connecting to Elementor account<\\/li>\\n<li>Tweak: Added <code>elementor_pro\\/utils\\/get_public_post_types<\\/code> filter hook (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5900\\\">#5900<\\/a>)<\\/li>\\n<li>Tweak: Added <code>loop_start<\\/code> &amp; <code>the_content<\\/code> hooks for Post Content (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6173\\\">#6173<\\/a>)<\\/li>\\n<li>Tweak: Removed Custom Attributes from Page Settings<\\/li>\\n<li>Tweak: Always add the Custom CSS control to the Advanced tab<\\/li>\\n<li>Fix: In sub Term condition false positive in edge cases<\\/li>\\n<li>Fix: ToolSet Dynamic Image fallback<\\/li>\\n<li>Fix: Style glitch with the dropdown color in Nav Menu widget<\\/li>\\n<li>Fix: Style glitch in the Conditions screen in Safari browser<\\/li>\\n<li>Fix: Ribbon in the CTA widget obscures drop down menu (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6080\\\">#6080<\\/a>)<\\/li>\\n<li>Fix: The color of label won\'t change color in Widget login<\\/li>\\n<\\/ul>\\n<h4>2.2.5 - 2018-12-11<\\/h4>\\n<ul>\\n<li>New: Add Style Tab &amp; Custom CSS for Header &amp; Footer Templates.<\\/li>\\n<li>Tweak: Added a better identifier for subpages (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6362\\\">#6362<\\/a>)<\\/li>\\n<li>Tweak: Removed Custom Attributes from page settings<\\/li>\\n<li>Fix: Yahoo event URL date issue (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6354\\\">#6354<\\/a>)<\\/li>\\n<li>Fix: Allow timezone settings in Google event URL (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6354\\\">#6354<\\/a>)<\\/li>\\n<li>Fix: Avoid <code>z-index<\\/code> changes by <code>nanocss<\\/code> in build process<\\/li>\\n<li>Fix: Added missing WC upsells products CSS<\\/li>\\n<li>Fix: Nav Menu dropdown losing color on hover<\\/li>\\n<li>Fix: WC Product Add-ons CSS compatibility<\\/li>\\n<\\/ul>\\n<h4>2.2.4 - 2018-12-04<\\/h4>\\n<ul>\\n<li>Fix: Global widget not saving changes (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6340\\\">#6340<\\/a>)<\\/li>\\n<li>Fix: Dynamic tags support in Blockquote widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6334\\\">#6334<\\/a>)<\\/li>\\n<li>Fix: Forms Redirect URL action when using form field values with spaces<\\/li>\\n<\\/ul>\\n<h4>2.2.3 - 2018-11-29<\\/h4>\\n<ul>\\n<li>Fix: Missing &quot;Edit Template&quot; in Template widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6271\\\">#6271<\\/a>)<\\/li>\\n<li>Fix: Follow menu anchors with UTF8 characters in Nav Menu<\\/li>\\n<li>Fix: Show only supported templates in Template widget<\\/li>\\n<li>Fix: Revert conflicting fix for a default order for WC archive<\\/li>\\n<\\/ul>\\n<h4>2.2.2 - 2018-11-28<\\/h4>\\n<ul>\\n<li>Fix: Lightbox dynamic tag crashes the editor<\\/li>\\n<\\/ul>\\n<h4>2.2.1 - 2018-11-28<\\/h4>\\n<ul>\\n<li>New: Added <code>ACF File<\\/code> Dynamic tag to support text controls.<\\/li>\\n<li>Tweak: Added option to hide item count bubble when cart is empty in Menu Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6223\\\">#6223<\\/a>)<\\/li>\\n<li>Tweak: Added Actions group for Lightbox and Contact URL tags<\\/li>\\n<li>Tweak: Added filter <code>elementor_pro\\/dynamic_tags\\/shortcode\\/should_escape<\\/code> to avoid escaping in Shortcode dynamic tag<\\/li>\\n<li>Tweak: MailPoet3 integration allow Subscriber to to subscribe to multiple lists<\\/li>\\n<li>Tweak: Added front-end max file size validation for upload fields<\\/li>\\n<li>Tweak: Added <code>by-author<\\/code> per Post-Type condition for theme builder<\\/li>\\n<li>Fix: Template widget panel not showing the selected template (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6271\\\">#6271<\\/a>)<\\/li>\\n<li>Fix: Conflict between ACF with Safari browser on Select option in Dynamic tag<\\/li>\\n<li>Fix: Add post classes only for the Single template<\\/li>\\n<li>Fix: Set document type as not editable for unsupported document like Global widget<\\/li>\\n<li>Fix: Avoid duplicate query for current WC product query<\\/li>\\n<li>Fix: Product Archive showing oldest products instead of latest<\\/li>\\n<li>Fix: CSS reset in Posts widget using cards skin<\\/li>\\n<\\/ul>\\n<h4>2.2.0 - 2018-11-19<\\/h4>\\n<ul>\\n<li>New: Introducing Custom Attributes (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/290\\\">#290<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3990\\\">#3990<\\/a>)<\\/li>\\n<li>New: Added evergreen option for Countdown widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4459\\\">#4459<\\/a>)<\\/li>\\n<li>New: Added expire actions option for Countdown widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5242\\\">#5242<\\/a>)<\\/li>\\n<li>New: Introducing Reviews widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3854\\\">#3854<\\/a>)<\\/li>\\n<li>New: Introducing Sitemap widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5594\\\">#5594<\\/a>)<\\/li>\\n<li>New: Added Request Parameter dynamic tag (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4934\\\">#4934<\\/a>)<\\/li>\\n<li>New: Added Shortcode dynamic tag<\\/li>\\n<li>New: Added Image and Video Lightbox dynamic tag<\\/li>\\n<li>New: Added Contact URL dynamic tag<\\/li>\\n<li>New: Added Featured Image Data dynamic tag<\\/li>\\n<li>New: Added default value to each field in the Form widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4268\\\">#4268<\\/a>)<\\/li>\\n<li>New: Added &quot;Any Child Of&quot; condition to template conditions (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5321\\\">#5321<\\/a>)<\\/li>\\n<li>New: Added &quot;In Child&quot; condition to template conditions (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5587\\\">#5587<\\/a>)<\\/li>\\n<li>Tweak: Added Form Redirect URL with form values (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2564\\\">#2564<\\/a>)<\\/li>\\n<li>Tweak: Added default post classes to template wrapper (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5959\\\">#5959<\\/a>)<\\/li>\\n<li>Tweak: Better labels for terms in Query control (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6092\\\">#6092<\\/a>)<\\/li>\\n<li>Tweak: Renamed &quot;Child Of&quot; templates condition to &quot;Direct Child Of&quot;<\\/li>\\n<li>Tweak: Added <code>elementor\\/theme\\/get_location_templates\\/condition_sub_id<\\/code> filter hook to allow template condition translations<\\/li>\\n<li>Tweak: Load the Template Library widget via Ajax for better performance<\\/li>\\n<li>Tweak: Added 404 page title for Page Title dynamic tag<\\/li>\\n<li>Fix: Menu Cart Toggle has # URL link (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6141\\\">#6141<\\/a>)<\\/li>\\n<li>Fix: Alignment issue in Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5790\\\">#5790<\\/a>)<\\/li>\\n<li>Fix: Avoid potential security risk in forms<\\/li>\\n<li>Fix: Template By Author condition conflicts with 404 page<\\/li>\\n<li>Fix: Restored WC Product Content widget in Single Product template<\\/li>\\n<li>Fix: Theme Builder Preview URLs for date archives and 404 pages<\\/li>\\n<li>Fix: Highlight active menu anchor items only when scrolled into view<\\/li>\\n<li>Fix: Carousel Pagination Progress style to support new Swiper version<\\/li>\\n<\\/ul>\\n<h4>2.1.13 - 2018-11-12<\\/h4>\\n<ul>\\n<li>Tweak: Added compatibility for new brand Finder in v2.3.0<\\/li>\\n<li>Fix: Settings conflict when there are multiple carousels in the page<\\/li>\\n<\\/ul>\\n<h4>2.1.12 - 2018-11-05<\\/h4>\\n<ul>\\n<li>Tweak: Added compatibility for the upcoming release of Elementor v2.3<\\/li>\\n<li>Tweak: Better performance for Template Library widget<\\/li>\\n<li>Fix: Fatal error if a taxonomy used in a dynamic field is removed (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6029\\\">#6029<\\/a>)<\\/li>\\n<li>Fix: Date Time dynamic tag now respect site language (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6001\\\">#6001<\\/a>)<\\/li>\\n<li>Fix: Custom CSS printed twice in the front-end<\\/li>\\n<li>Fix: ACF Image field PHP warning (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6051\\\">#6051<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>2.1.11 - 2018-10-22<\\/h4>\\n<ul>\\n<li>New: Added ACF local fields compatibility<\\/li>\\n<li>Tweak: Re-brand TypeKit by Adobe Fonts integration<\\/li>\\n<li>Fix: Exclude <code>is_embed<\\/code> from Singular condition (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5915\\\">#5915<\\/a>)<\\/li>\\n<li>Fix: Avoid conflict with Ad Blockers and Share Buttons<\\/li>\\n<li>Fix: Current date time dynamic tag now shows local time<\\/li>\\n<li>Fix: Avoid conflict with 3rd party plugins that filter the permalink<\\/li>\\n<li>Fix: Avoid PHP warning when no groups are selected for MailChimp integration<\\/li>\\n<li>Fix: Avoid PHP warning if checkbox field is empty for ACF<\\/li>\\n<li>Fix: Respect password protected for a WC single product template<\\/li>\\n<li>Fix: Respect <code>order<\\/code> settings for WC archive also without pagination<\\/li>\\n<\\/ul>\\n<h4>2.1.10 - 2018-10-09<\\/h4>\\n<ul>\\n<li>Tweak: Added responsive alignment control for Share Buttons widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5821\\\">#5821<\\/a>)<\\/li>\\n<li>Tweak: Added link control to Animated Headline widget<\\/li>\\n<li>Fix: Mobile nav menu jump on RTL (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5711\\\">#5711<\\/a>)<\\/li>\\n<li>Fix: Responsive alignment control in Add to Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5830\\\">#5830<\\/a>)<\\/li>\\n<li>Fix: Added IE compatibility for Animated Headline widget<\\/li>\\n<li>Fix: Post Content widget is now shown only on <code>Single<\\/code> templates<\\/li>\\n<li>Fix: Query Control Pagination with offset<\\/li>\\n<\\/ul>\\n<h4>2.1.9 - 2018-09-17<\\/h4>\\n<ul>\\n<li>Tweak: Added Centered Slides option for Slideshow carousel<\\/li>\\n<li>Fix: Allow only public CPT for Manual Selection in Query Control (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5091\\\">#5091<\\/a>)<\\/li>\\n<li>Fix: ACF Gallery option support (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5344\\\">#5344<\\/a>)<\\/li>\\n<li>Fix: Page scrolling on resize when sticky is active (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5740\\\">#5740<\\/a>)<\\/li>\\n<li>Fix: Edit custom name for Global Widget in the Navigator (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5689\\\">#5689<\\/a>)<\\/li>\\n<li>Fix: Coverflow transition effect in Carousel<\\/li>\\n<li>Fix: Weird mobile behavior with Cube effect in Carousel<\\/li>\\n<li>Fix: Show the first thumbnail in the Slideshow carousel correctly<\\/li>\\n<\\/ul>\\n<h4>2.1.8 - 2018-09-12<\\/h4>\\n<ul>\\n<li>Tweak: Added styling options for WC Additional Information widget<\\/li>\\n<li>Tweak: Added styling options for \'View Cart\' link in Products widget<\\/li>\\n<li>Fix: 3rd party plugin support for WC single product template (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5338\\\">#5338<\\/a>)<\\/li>\\n<li>Fix: Layout of Related Product widget with WC native style<\\/li>\\n<\\/ul>\\n<h4>2.1.7 - 2018-09-03<\\/h4>\\n<ul>\\n<li>New: WC Archive Description widget<\\/li>\\n<li>Tweak: Added blend mode to Slides widget background overlay (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5555\\\">#5555<\\/a>)<\\/li>\\n<li>Tweak: Added \'Current Subcategories\' option to Product Categories widget<\\/li>\\n<li>Fix: Added default vertical alignment in Author Box widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5589\\\">#5589<\\/a>)<\\/li>\\n<li>Tweak: Added more blend mode options for CTA widget<\\/li>\\n<li>Tweak: Improved plugin updater method based on WordPress version<\\/li>\\n<li>Fix: Improved IE compatibility for Posts and Portfolio widgets<\\/li>\\n<li>Fix: Added default gap for products pagination<\\/li>\\n<li>Fix: Post thumbnail flickering in Safari browser<\\/li>\\n<li>Fix: Close mobile nav menu on click only in full-width mode<\\/li>\\n<li>Fix: Added trailing slash to pagination links in Posts widget<\\/li>\\n<\\/ul>\\n<h4>2.1.6 - 2018-08-28<\\/h4>\\n<ul>\\n<li>New: WC Product Category Image widget and Dynamic tag (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5117\\\">#5117<\\/a>)<\\/li>\\n<li>Tweak: Allow HTML in Excerpt widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5491\\\">#5491<\\/a>)<\\/li>\\n<li>Tweak: Added compatibility for the upcoming release of Elementor v2.2<\\/li>\\n<li>Tweak: Deprecated Follow option in the Facebook Button widget<\\/li>\\n<li>Fix: Posts widget grid in Safari &amp; IE11 (Depended on Elementor v2.2)<\\/li>\\n<li>Fix: Posts widget CSS when using cards skin in masonry mode<\\/li>\\n<li>Fix: ACF Image &amp; ACF URL option support (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5344\\\">#5344<\\/a>)<\\/li>\\n<li>Fix: WC product gallery links in RTL<\\/li>\\n<li>Fix: Dynamic tags in Call To Action widget<\\/li>\\n<\\/ul>\\n<h4>2.1.5 - 2018-08-21<\\/h4>\\n<ul>\\n<li>Tweak: Added compatibility for the upcoming release of Elementor v2.2<\\/li>\\n<li>Fix: Posts Widget layout theme compatibility<\\/li>\\n<li>Fix: Added compatibility for WooCommerce native style<\\/li>\\n<\\/ul>\\n<h4>2.1.4 - 2018-08-19<\\/h4>\\n<ul>\\n<li>Fix: Layout issue compatibility with themes caused by v2.1 (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5442\\\">#5442<\\/a>)<\\/li>\\n<li>Fix: Dynamic setting in Pricing Table widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5460\\\">#5460<\\/a>)<\\/li>\\n<li>Fix: Hide Target URL control if is not necessary in Blockquote widget<\\/li>\\n<li>Fix: Selector specificity for WooCommerce Products widget<\\/li>\\n<li>Fix: WooCommerce conflicts in the editor in edge cases<\\/li>\\n<\\/ul>\\n<h4>2.1.3 - 2018-08-15<\\/h4>\\n<ul>\\n<li>Fix: Thumbnails in the Posts widget jumping (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5350\\\">#5350<\\/a>)<\\/li>\\n<li>Fix: Responsive grid in the Share Buttons widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5375\\\">#5375<\\/a>)<\\/li>\\n<li>Fix: Added missing <code>setup_postdata<\\/code> for Product Data Tabs widget<\\/li>\\n<li>Fix: Rollback to older version of Flip Box widget to resolve 3D depth issue (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5399\\\">#5399<\\/a>)<\\/li>\\n<li>Fix: Allowed types in the Upload File field are now case-insensitive (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5254\\\">#5254<\\/a>)<\\/li>\\n<li>Fix: Carousel behavior when using a single slide<\\/li>\\n<\\/ul>\\n<h4>2.1.2 - 2018-08-12<\\/h4>\\n<ul>\\n<li>Fix: Error when ACF Pro is not installed (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5367\\\">#5367<\\/a>)<\\/li>\\n<li>Fix: Edge cases in Inspector where document is a boolean<\\/li>\\n<li>Fix: Edge cases for incorrect file fields in PODS<\\/li>\\n<\\/ul>\\n<h4>2.1.1 - 2018-08-09<\\/h4>\\n<ul>\\n<li>Fix: Highlighted text in Animated Headline widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5345\\\">#5345<\\/a>)<\\/li>\\n<li>Fix: Flip Box effect issues<\\/li>\\n<li>Fix: ACF Options page fields support (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5329\\\">#5329<\\/a>)<\\/li>\\n<li>Fix: Import Pro templates in edge cases<\\/li>\\n<\\/ul>\\n<h4>2.1.0 - 2018-08-07<\\/h4>\\n<ul>\\n<li>New: Introducing WooCommerce Builder (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1690\\\">#1690<\\/a>)<\\/li>\\n<li>New: Introducing 12 new dynamic tags &amp; widgets for WooCommerce: Gallery, Image, Price, Rating, Description, Breadcrumbs, Data Tabs, Stock, Related, Upsell, Title &amp; Archive<\\/li>\\n<li>New: Introducing Cart Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4220\\\">#4220<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4600\\\">#4600<\\/a>)<\\/li>\\n<li>New: Added integration with Toolset (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2949\\\">#2949<\\/a>)<\\/li>\\n<li>New: Added integration with Pods (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4129\\\">#4129<\\/a>)<\\/li>\\n<li>New: Added stick to bottom in scrolling effects (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4799\\\">#4799<\\/a>)<\\/li>\\n<li>New: Added Scrolling Effect to Widgets under advanced tab<\\/li>\\n<li>New: Introducing Internal URL Dynamic Tag<\\/li>\\n<li>Tweak: Added a Last Updated Date in the Post Info widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4597\\\">#4597<\\/a>)<\\/li>\\n<li>Tweak: Added Redirect after Logout option for Login widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4447\\\">#4447<\\/a>)<\\/li>\\n<li>Tweak: Avoid repeating posts when using more than one in the Posts widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1878\\\">#1878<\\/a>)<\\/li>\\n<li>Tweak: Add Custom Query hook for Query control (<a href=\\\"https:\\/\\/developers.elementor.com\\/custom-query-filter\\/\\\">More Info<\\/a>) (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1748\\\">#1748<\\/a>)<\\/li>\\n<li>Tweak: Added form-message style (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1180\\\">#1180<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic tag for button on the Price Table widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4242\\\">#4242<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic tag for Call to action widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4767\\\">#4767<\\/a>)<\\/li>\\n<li>Tweak: Added Dynamic Tags support for Google Map field (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4602\\\">#4602<\\/a>)<\\/li>\\n<li>Tweak: Added an support for <code>label|value<\\/code> in options field (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4594\\\">#4594<\\/a>)<\\/li>\\n<li>Tweak: Added <code>by-author<\\/code> condition for theme builder (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4681\\\">#4681<\\/a>)<\\/li>\\n<li>Tweak: Added Activate\\/Deactivate license key via WP-CLI command (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4149\\\">#4149<\\/a>)<\\/li>\\n<li>Tweak: Added <code>is_scroll<\\/code> trigger to scrolling effect (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4340\\\">#4340<\\/a>)<\\/li>\\n<li>Tweak: Added In Same Term support for Post Navigation widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4177\\\">#4177<\\/a>)<\\/li>\\n<li>Tweak: Added responsive control for Slides To Scroll control in all carousel widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3697\\\">#3697<\\/a>)<\\/li>\\n<li>Tweak: Added style options for Posts widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1335\\\">#1335<\\/a>)<\\/li>\\n<li>Tweak: Added button CSS ID for Forms widget<\\/li>\\n<li>Tweak: Added pixel units to Post-Info divider height control<\\/li>\\n<li>Tweak: Rewrite sticky library to handle with stretch section, auto scroller &amp; more bugs<\\/li>\\n<li>Tweak: Re-organize the panel categories per document type<\\/li>\\n<li>Tweak: Added ACF support for <code>options-page<\\/code> fields<\\/li>\\n<li>Tweak: Added dynamic tag for Animated headlines<\\/li>\\n<li>Tweak: Added dynamic tag for BlockQuote widget<\\/li>\\n<li>Fix: Elementor Full Width template in GeneratePress theme (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4817\\\">#4817<\\/a>)<\\/li>\\n<li>Fix: Checkbox fields can accidentally be set to required (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4324\\\">#4324<\\/a>)<\\/li>\\n<li>Fix: Initial slide in Carousel widget<\\/li>\\n<li>Fix: Stay on current slide while editing in Carousel widget<\\/li>\\n<li>Fix: Default slides per device in Carousel widget<\\/li>\\n<li>Deprecated: Woo Products, Woo Elements &amp; Single elements widgets<\\/li>\\n<\\/ul>\\n<h4>2.0.18 - 2018-07-27<\\/h4>\\n<ul>\\n<li>Fix: Global widget error on saving page<\\/li>\\n<\\/ul>\\n<h4>2.0.17 - 2018-07-26<\\/h4>\\n<ul>\\n<li>Fix: Sub menu indicator direction in Nav Menu widget<\\/li>\\n<li>Fix: Change the title and icon for Global Widget when is moving<\\/li>\\n<li>Fix: CSS wrapper selector for Page Document<\\/li>\\n<\\/ul>\\n<h4>2.0.16 - 2018-07-16<\\/h4>\\n<ul>\\n<li>Tweak: CSS Filter Control module is now included in Elementor<\\/li>\\n<li>Fix: Border gap in Portfolio widget when item gap set as <code>0<\\/code> (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5077\\\">#5077<\\/a>)<\\/li>\\n<li>Fix: Restore current query after get Global Widget data<\\/li>\\n<li>Fix: Add action item in History on unlink Global widget<\\/li>\\n<\\/ul>\\n<h4>2.0.15 - 2018-07-10<\\/h4>\\n<ul>\\n<li>Fix: Dropdown menu items collapsing when activated (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4996\\\">#4996<\\/a>)<\\/li>\\n<li>Fix: GMT offset in Countdown widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4997\\\">#4997<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>2.0.14 - 2018-07-08<\\/h4>\\n<ul>\\n<li>Tweak: Added set method to form record for developers (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4983\\\">#4983<\\/a>)<\\/li>\\n<li>Fix: Autoplay option for Carousels<\\/li>\\n<li>Fix: Close mobile menu on item click in the Nav Menu widget<\\/li>\\n<\\/ul>\\n<h4>2.0.13 - 2018-07-03<\\/h4>\\n<ul>\\n<li>Tweak: Added compatibility for Elementor v2.1<\\/li>\\n<\\/ul>\\n<h4>2.0.12 - 2018-07-02<\\/h4>\\n<ul>\\n<li>Fix: Global widget PHP notices<\\/li>\\n<li>Fix: Slides widget active slide lost focus when clicking Editor tabs<\\/li>\\n<li>Fix: Form select field send all selected values on multiple selection<\\/li>\\n<li>Fix: Validate time field only if it\'s not empty<\\/li>\\n<li>Fix: ConvertKit API not saving name field<\\/li>\\n<\\/ul>\\n<h4>2.0.11 - 2018-06-12<\\/h4>\\n<ul>\\n<li>Fix: Theme Builder <code>author<\\/code> archive condition (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4593\\\">#4593<\\/a>)<\\/li>\\n<li>Fix: Respect password protected posts in Post Content widget<\\/li>\\n<li>Fix: Custom Fonts redirect to post edit screen in edge cases.<\\/li>\\n<\\/ul>\\n<h4>2.0.10 - 2018-06-05<\\/h4>\\n<ul>\\n<li>Tweak: Added <code>elementor\\/theme\\/get_location_templates\\/template_id<\\/code> filter hook for multi-language plugins<\\/li>\\n<li>Fix: Dynamic Post Terms missing taxonomies if the taxonomy is registered to more then one post types (#4386)<\\/li>\\n<li>Fix: Fields shortcode missing after removing a field in Form widget<\\/li>\\n<li>Deprecated: <code>get_theme_templates_by_location<\\/code> is replaced by <code>get_location_templates<\\/code><\\/li>\\n<\\/ul>\\n<h4>2.0.9 - 2018-05-28<\\/h4>\\n<ul>\\n<li>Fix: Compatibility for PHP version 5.4<\\/li>\\n<\\/ul>\\n<h4>2.0.8 - 2018-05-28<\\/h4>\\n<ul>\\n<li>Tweak: Added Active state for Nav Menu dropdown<\\/li>\\n<li>Tweak: Added style for &quot;Nothing Found&quot; Message for Archive Posts widget<\\/li>\\n<li>Tweak: Removed caption control in Site Logo widget<\\/li>\\n<li>Tweak: Added option to position currency symbol before\\/after In Price Table widget<\\/li>\\n<li>Fix: Query control manual selection does not show more than 10 items (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4479\\\">#4479<\\/a>)<\\/li>\\n<li>Fix: Styling glitch with terms list in Post Info widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4342\\\">#4342<\\/a>)<\\/li>\\n<li>Fix: Sub terms missing in Query control in edge cases (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4527\\\">#4527<\\/a>)<\\/li>\\n<li>Fix: Avoid rendering a template if it\'s not published<\\/li>\\n<li>Fix: 404 Page style not working<\\/li>\\n<li>Fix: Price Table button with hover animation not working in editor<\\/li>\\n<li>Fix: Styling conflict in Call to Action widget<\\/li>\\n<li>Fix: Global Widget tab translation<\\/li>\\n<li>Fix: Adding parent wrapper class to Site Title widget<\\/li>\\n<\\/ul>\\n<h4>2.0.7 - 2018-05-16<\\/h4>\\n<ul>\\n<li>Fix: Content not found on section when single is set to &quot;All Singular&quot;<\\/li>\\n<li>Fix: Open 404 template library for 404 page<\\/li>\\n<li>Tweak: Added CSS prefix for dev files<\\/li>\\n<li>Tweak: Removed product post type from display conditions<\\/li>\\n<\\/ul>\\n<h4>2.0.6 - 2018-05-15<\\/h4>\\n<ul>\\n<li>Tweak: Set type on create new single template<\\/li>\\n<li>Tweak: Always show the conditions dialog in the Draft status<\\/li>\\n<li>Tweak: Added document type <code>widget<\\/code><\\/li>\\n<li>Tweak: Added Post Custom Field tag to URL category<\\/li>\\n<li>Fix: When ACF Field Groups are Empty (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4428\\\">#4428<\\/a>)<\\/li>\\n<li>Fix: Links inside carousel in edge cases<\\/li>\\n<li>Fix: Responsive issue in My Templates area<\\/li>\\n<li>Fix: Image alignment for post content with text alignment<\\/li>\\n<li>Fix: Post Content widget when preview post is missing<\\/li>\\n<li>Fix: Global Widget tab translation<\\/li>\\n<li>Fix: Style settings for Post \\/ Archive Title widgets<\\/li>\\n<\\/ul>\\n<h4>2.0.5 - 2018-05-08<\\/h4>\\n<ul>\\n<li>Fix: Creating a CPT with name like document-type breaks the editor (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4203\\\">#4203<\\/a>)<\\/li>\\n<li>Fix: Added support for new version of reCAPTCHA<\\/li>\\n<li>Fix: Added fallback for controls after <code>post_status<\\/code><\\/li>\\n<li>Fix: Required field in forms widget<\\/li>\\n<li>Fix: Media Carousel in the Coverflow skin<\\/li>\\n<li>Fix: 404 Page show wrong template in edge cases<\\/li>\\n<li>Fix: Save the default menu in the Nav Menu widget<\\/li>\\n<\\/ul>\\n<h4>2.0.4 - 2018-05-02<\\/h4>\\n<ul>\\n<li>Tweak: Added parent\'s class for extended widgets<\\/li>\\n<li>Tweak: Set entire-site as default to avoid conflict with save without conditions<\\/li>\\n<li>Tweak: Initialize global model when it\'s needed<\\/li>\\n<li>Tweak: Removed some duplicate strings<\\/li>\\n<li>Tweak: Query control now includes empty terms<\\/li>\\n<li>Tweak: Design polish for conditions dialog<\\/li>\\n<li>Tweak: Decreasing <code>minimumInputLength<\\/code> to 1 of select2<\\/li>\\n<li>Fix: Editor not loading for single templates in edge cases<\\/li>\\n<li>Fix: Select2 in Safari takes it\'s time to get the original select width (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4310\\\">#4310<\\/a>)<\\/li>\\n<li>Fix: Slides per view not working for some effects<\\/li>\\n<li>Fix: New slides not showing in the editor<\\/li>\\n<li>Fix: Editor for section without a defined location, defaults to content area<\\/li>\\n<\\/ul>\\n<h4>2.0.3 - 2018-04-24<\\/h4>\\n<ul>\\n<li>Tweak: Optimize CSS for Post Info widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4214\\\">#4214<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4216\\\">#4216<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4225\\\">#4225<\\/a>)<\\/li>\\n<li>Fix: Double render on frontend view in core locations<\\/li>\\n<li>Fix: Masonry not working in edge cases<\\/li>\\n<li>Fix: Added default setting for Author Info tag<\\/li>\\n<\\/ul>\\n<h4>2.0.2 - 2018-04-18<\\/h4>\\n<ul>\\n<li>Fix: Regenerate conditions to include all templates<\\/li>\\n<\\/ul>\\n<h4>2.0.1 - 2018-04-17<\\/h4>\\n<ul>\\n<li>Tweak: Added div wrapper for Nothing Found massage (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4136\\\">#4136<\\/a>)<\\/li>\\n<li>Tweak: Show empty categories in Query Control &amp; Display Conditions (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4127\\\">#4127<\\/a>)<\\/li>\\n<li>Tweak: Added Divider control for Post Info widget<\\/li>\\n<li>Fix: Update admin links in Yoast Breadcrumbs widget<\\/li>\\n<li>Fix: Sticky element conflict with clearfix CSS<\\/li>\\n<li>Fix: Compatibility for PHP version 5.4.32 &amp; 5.5.16 and below<\\/li>\\n<li>Fix: Avoid running <code>wp_head<\\/code> hooks twice<\\/li>\\n<\\/ul>\\n<h4>2.0.0 - 2018-04-16<\\/h4>\\n<ul>\\n<li>New: Introducing Theme Builder - <a href=\\\"https:\\/\\/elementor.com\\/introducing-theme-builder\\/\\\">Release Post<\\/a> (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/417\\\">#417<\\/a>)<\\/li>\\n<li>New: Introducing Locations API to inject custom location templates<\\/li>\\n<li>New: Introducing Display Conditions for all dynamic templates<\\/li>\\n<li>New: Introducing Dynamic Tag feature - a new way to add dynamic content to your design<\\/li>\\n<li>New: Introducing Role manager to allow &quot;Content Only mode&quot; (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/483\\\">#483<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/653\\\">#653<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/885\\\">#885<\\/a>)<\\/li>\\n<li>New: Introducing 9 new dynamic widgets: Archive Posts, Archive Title, Post Content, Post Info, Post Title, Post Excerpt, Featured Image, Site Logo &amp; Site Name (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/543\\\">#543<\\/a>)<\\/li>\\n<li>New: Introducing Developers area with guides and API documentation - <a href=\\\"https:\\/\\/elementor.com\\/introducing-elementor-developer-api\\/\\\">Release Post<\\/a> (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/451\\\">#451<\\/a>)<\\/li>\\n<li>New: Introducing <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor-hello-theme\\\">Elementor Hello Theme<\\/a> - A demonstration theme for developers<\\/li>\\n<li>New: Added new type of templates: Header, Footer, Single and Archive (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2761\\\">#2761<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2623\\\">#2623<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2109\\\">#2109<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2061\\\">#2061<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2439\\\">#2439<\\/a>)<\\/li>\\n<li>New: Design 404 page with Single template (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1558\\\">#1558<\\/a>)<\\/li>\\n<li>New: Design Search Results with Archive template (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3196\\\">#3196<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2590\\\">#2590<\\/a>)<\\/li>\\n<li>New: Added Scrolling Effect for sections including <em>Sticky Element<\\/em> per device (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2412\\\">#2412<\\/a>)<\\/li>\\n<li>New: Integration with Custom Fields (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2054\\\">#2054<\\/a>)<\\/li>\\n<li>New: Partial support for Toolset integration (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2949\\\">#2949<\\/a>)<\\/li>\\n<li>New: Partial support for Pods integration (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2169\\\">#2169<\\/a>)<\\/li>\\n<li>New: Partial support for ACF integration (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2041\\\">#2041<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2059\\\">#2059<\\/a>)<\\/li>\\n<li>Tweak: Add custom fields support for ActiveCampaign (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3531\\\">#3531<\\/a>)<\\/li>\\n<li>Tweak: Allow brackets in Forms Tel field<\\/li>\\n<li>Tweak: Added currency format control for Price Table widget<\\/li>\\n<li>Tweak: Reduced API request for some servers<\\/li>\\n<li>Fix: Dropdown <code>border-radius<\\/code> in Nav Menu widget<\\/li>\\n<li>Fix: Price List widget layout breaks in edge cases<\\/li>\\n<li>Note: This version requires Elementor v2.0.6<\\/li>\\n<\\/ul>\\n<h4>1.15.6 - 2018-03-28<\\/h4>\\n<ul>\\n<li>Fix: Removed duplicate Custom CSS section (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3938\\\">#3938<\\/a>)<\\/li>\\n<li>Fix: <code>box-shadow<\\/code> issue with cards skin (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3940\\\">#3940<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>1.15.5 - 2018-03-27<\\/h4>\\n<ul>\\n<li>Fix: Added global widget compatibility for Elementor v2.0<\\/li>\\n<li>Fix: Reduced API request for some servers<\\/li>\\n<\\/ul>\\n<h4>1.15.4 - 2018-03-26<\\/h4>\\n<ul>\\n<li>Tweak: Allow brackets in phone field<\\/li>\\n<li>Tweak: Added compatibility with Yoast 7.0.+<\\/li>\\n<li>Tweak: Added compatibility for the future release of Elementor v2.0<\\/li>\\n<li>Fix: Support for multiple carousel setting in editor<\\/li>\\n<li>Fix: <code>on_export<\\/code> issue in forms widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3890\\\">#3890<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>1.15.3 - 2018-03-07<\\/h4>\\n<ul>\\n<li>Tweak: Added unique class to field group div (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3595\\\">#3595<\\/a>)<\\/li>\\n<li>Fix: Screen Options missing when Pro is active (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3622\\\">#3622<\\/a>)<\\/li>\\n<li>Fix: Allow label styling even when <code>show labels<\\/code> is set hide (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3544\\\">#3544<\\/a>)<\\/li>\\n<li>Fix: Typography control not working in edge cases<\\/li>\\n<li>Fix: Safari compatibility for Search widget<\\/li>\\n<\\/ul>\\n<h4>1.15.2 - 2018-02-27<\\/h4>\\n<ul>\\n<li>Fix: Only add support mine-type if needed (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3543\\\">#3543<\\/a>)<\\/li>\\n<li>Fix: Better support for Old Typekit kits<\\/li>\\n<\\/ul>\\n<h4>1.15.1 - 2018-02-21<\\/h4>\\n<ul>\\n<li>Tweak: Custom font title placeholder is not <code>enter font family<\\/code><\\/li>\\n<li>Tweak: Custom font title set as required<\\/li>\\n<li>Fix: Custom font, <code>font-face<\\/code> enqueued only once if used in global (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3513\\\">#3513<\\/a>)<\\/li>\\n<li>Fix: Added workaround for upload validation which relies on a PHP extension (fileinfo) with inconsistent reporting behavior.<\\/li>\\n<\\/ul>\\n<h4>1.15.0 - 2018-02-19<\\/h4>\\n<ul>\\n<li>New: Added custom fonts manager for self hosted fonts (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/852\\\">#852<\\/a>)<\\/li>\\n<li>New: Integration with Adobe TypeKit fonts (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/631\\\">#631<\\/a>)<\\/li>\\n<li>Tweak: Clear menu from Nav Menu widget on template export<\\/li>\\n<li>Tweak: Allow zero for GetResponse integration as <code>day of cycle<\\/code><\\/li>\\n<\\/ul>\\n<h4>1.14.2 - 2018-02-13<\\/h4>\\n<ul>\\n<li>Fix: Global widget content that got affected by previous update<\\/li>\\n<\\/ul>\\n<h4>1.14.1 - 2018-02-13<\\/h4>\\n<ul>\\n<li>Tweak: Added <code>none<\\/code> option to content animation in CTA widget<\\/li>\\n<li>Tweak: Added <code>form_id<\\/code> to ActiveCampaign integration (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3422\\\">#3422<\\/a>)<\\/li>\\n<li>Fix: Page crashed when Global widget not found.<\\/li>\\n<\\/ul>\\n<h4>1.14.0 - 2018-02-12<\\/h4>\\n<ul>\\n<li>New: Added Call to Action widget<\\/li>\\n<li>Tweak: MailPoet pull field mapping from MailPoet instead of hardcoded<\\/li>\\n<li>Tweak: Added compatibility for the future release of Elementor v2.0<\\/li>\\n<li>Fix: Allow zero (0) to be accepted as a field value<\\/li>\\n<li>Fix: Login form when custom login URL is set<\\/li>\\n<li>Fix: Added Day of cycle control to GetResponse integration<\\/li>\\n<\\/ul>\\n<h4>1.13.2 - 2018-01-23<\\/h4>\\n<ul>\\n<li>Tweak: Added placeholder to Password field<\\/li>\\n<li>Tweak: Removed <code>subscriber_already_exists_message<\\/code> control to prevent potential data leakage<\\/li>\\n<li>Fix: MailPoet Subscriber Already Exists error validation against translated string directly from MailPoet<\\/li>\\n<li>Fix: Changed <code>imagesLoaded()<\\/code> to Vanilla JS to avoid compatibility issues with some themes<\\/li>\\n<li>Fix: Only validate Tel field if not empty<\\/li>\\n<li>Fix: Stop slider while editing<\\/li>\\n<\\/ul>\\n<h4>1.13.1 - 2018-01-16<\\/h4>\\n<ul>\\n<li>Fix: Added compatibility with old PHP versions<\\/li>\\n<\\/ul>\\n<h4>1.13.0 - 2018-01-16<\\/h4>\\n<ul>\\n<li>New: Added File Upload field for Forms widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1482\\\">#1482<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2974\\\">#2974<\\/a>)<\\/li>\\n<li>New: Added Acceptance field for Forms widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1693\\\">#1693<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2974\\\">#2974<\\/a>)<\\/li>\\n<li>New: Added Date field for Forms widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1868\\\">#1868<\\/a>)<\\/li>\\n<li>New: Added Time field for Forms widget<\\/li>\\n<li>New: Added Password field for Forms widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2164\\\">#2164<\\/a>)<\\/li>\\n<li>New: Added HTML field for Forms widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1500\\\">#1500<\\/a>)<\\/li>\\n<li>Tweak: Added characters validation for Tel field<\\/li>\\n<li>Tweak: Added min &amp; max validation for Number field<\\/li>\\n<li>Tweak: Added multiple selection for Select field<\\/li>\\n<li>Tweak: Added donReach integration for Share Buttons widget<\\/li>\\n<\\/ul>\\n<h4>1.12.3 - 2018-01-09<\\/h4>\\n<ul>\\n<li>Fix: Render element plain content instead of parsed content when not needed in global widget<\\/li>\\n<li>Fix: Apply <code>url-encoding<\\/code> to &quot;Tweet&quot; button text in Blockquote widget to prevent unexpected corruption of the tweet text<\\/li>\\n<li>Fix: Removed My Account link from dashboard widget<\\/li>\\n<\\/ul>\\n<h4>1.12.2 - 2018-01-03<\\/h4>\\n<ul>\\n<li>Tweak: Added animation none for Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2964\\\">#2964<\\/a>)<\\/li>\\n<li>Fix: Active license button style<\\/li>\\n<\\/ul>\\n<h4>1.12.1 - 2018-01-02<\\/h4>\\n<ul>\\n<li>Tweak: Removed theme-element widgets from plain content<\\/li>\\n<li>Tweak: Set all theme-element widgets to extend same widget Base<\\/li>\\n<li>Tweak: Removed credit URL in forms meta data<\\/li>\\n<li>Tweak: Added compatibility for the future release of Elementor v1.9<\\/li>\\n<li>Fix: Validate Get response Error as real error<\\/li>\\n<li>Fix: Removed responsive height control from Facebook Page widget<\\/li>\\n<\\/ul>\\n<h4>1.12.0 - 2017-12-20<\\/h4>\\n<ul>\\n<li>New: Added Drip integration to Forms<\\/li>\\n<li>New: Added ActiveCampaign integration to Forms<\\/li>\\n<li>New: Added ConverKit integration to Forms<\\/li>\\n<li>New: Added GetResponse integration to Forms<\\/li>\\n<li>New: Added form <code>id<\\/code>, <code>name<\\/code> attributes to handle integration with auto collectors like HubSpot<\\/li>\\n<li>New: Added Global API key for MailChimp to improve the workflow<\\/li>\\n<li>Tweak: Better error handling and message display for Forms<\\/li>\\n<li>Fix: PHP notice Undefined variable <code>$cc_header<\\/code> (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2934\\\">#2934<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>1.11.0 - 2017-12-11<\\/h4>\\n<ul>\\n<li>New: Added a native Comments widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/543\\\">#543<\\/a>)<\\/li>\\n<li>New: Added an Author Box widget<\\/li>\\n<li>New: Added a Post Navigation widget<\\/li>\\n<li>New: Added a Yoast Breadcrumbs widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2749\\\">#2749<\\/a>)<\\/li>\\n<li>Tweak: Added a close button to search widget under Full Screen skin (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2762\\\">#2762<\\/a>)<\\/li>\\n<li>Fix: Allow currency symbol to appear even if price isn\'t numeric<\\/li>\\n<li>Fix: Edge cases when the nav menu is empty in a stretched section<\\/li>\\n<li>Fix: Added fallback when you remove the <code>space-between<\\/code> on Swiper carousel<\\/li>\\n<\\/ul>\\n<h4>1.10.2 - 2017-12-03<\\/h4>\\n<ul>\\n<li>Fix: Missing save widget icon (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2878\\\">#2878<\\/a>)<\\/li>\\n<li>Fix: Global widgets not saving edits (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2874\\\">#2874<\\/a>)<\\/li>\\n<li>Fix: Removed <code>white-space: nowrap;<\\/code> property from vertical menu in Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2815\\\">#2815<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>1.10.1 - 2017-11-30<\\/h4>\\n<ul>\\n<li>Tweak: Added default value for search form<\\/li>\\n<li>Tweak: Order template list A-Z in the library widget<\\/li>\\n<li>Tweak: get_users\\/authors query is now done using AJAX only, for better performance in Query Control (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2865\\\">#2865<\\/a>)<\\/li>\\n<li>Fix: When adding <code>.00<\\/code> it is not displayed on the front<\\/li>\\n<li>Fix: Make sure space between is numeric for carousel control<\\/li>\\n<li>Fix: Added space for radio &amp; checkbox fields in form widget<\\/li>\\n<\\/ul>\\n<h4>1.10.0 - 2017-11-15<\\/h4>\\n<ul>\\n<li>New: Added native Search form widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2576\\\">#2576<\\/a>)<\\/li>\\n<li>Tweak: Added Slides To Scroll &amp; Loop controls to Media Carousel and Testimonials widgets<\\/li>\\n<li>Tweak: Added Inline editing to Blockquote widget<\\/li>\\n<li>Fix: Animated Headline color bug (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2516\\\">#2516<\\/a>)<\\/li>\\n<li>Fix: Animated Headline with Rotating skin<\\/li>\\n<li>Fix: RTL fix for Animated Headline widget in \'typing\' and \'clip\' animations<\\/li>\\n<li>Fix: Empty menu cause jQuery to crash in Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2662\\\">#2662<\\/a>)<\\/li>\\n<li>Fix: Custom CSS gone after reloading the editor<\\/li>\\n<\\/ul>\\n<h4>1.9.5 - 2017-10-27<\\/h4>\\n<ul>\\n<li>Fix: Broken Global widget with JS (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2639\\\">#2639<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>1.9.4 - 2017-10-24<\\/h4>\\n<ul>\\n<li>Tweak: Improved UI for notices and license page<\\/li>\\n<li>Fix: Update system conflict with other EDD plugins<\\/li>\\n<li>Fix: WooCommerce frontend hooks on Elementor editor (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2577\\\">#2577<\\/a>)<\\/li>\\n<li>Fix: Removed default border left in Nav Menu dropdown CSS (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2496\\\">#2496<\\/a>)<\\/li>\\n<li>Fix: Increased submenu max-width (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2558\\\">#2558<\\/a>)<\\/li>\\n<li>Fix: Save global templates without their defaults<\\/li>\\n<li>Fix: Horizontal scrolling issue with posts grid<\\/li>\\n<\\/ul>\\n<h4>1.9.3 - 2017-10-03<\\/h4>\\n<ul>\\n<li>Fix: Condition slide style that got affected by previous update<\\/li>\\n<\\/ul>\\n<h4>1.9.2 - 2017-10-02<\\/h4>\\n<ul>\\n<li>New: Added integration with MailPoet 3 for Forms actions<\\/li>\\n<li>Fix: Removed height control from Testimonial carousel in mobile editing mode<\\/li>\\n<li>Fix: Removed bottom padding when there\'s no pagination in Testimonial carousel<\\/li>\\n<li>Fix: Added condition for slides style section in skin bubble mode<\\/li>\\n<li>Fix: Slides per view control for mobile editing in Testimonial carousel<\\/li>\\n<li>Fix: Navigation Arrows icons matched with common Elementor Navigation Arrows<\\/li>\\n<\\/ul>\\n<h4>1.9.1 - 2017-09-28<\\/h4>\\n<ul>\\n<li>Fix: Slides per view for slideshow carousel<\\/li>\\n<li>Fix: Final polish for the new Testimonial Carousel widget<\\/li>\\n<li>Fix: Don\'t play video if slide type is not video<\\/li>\\n<li>Fix: Removed slides style section condition (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2497\\\">#2497<\\/a>)<\\/li>\\n<li>Fix: Set cursor as pointer for slideshow thumbnails<\\/li>\\n<\\/ul>\\n<h4>1.9.0 - 2017-09-26<\\/h4>\\n<ul>\\n<li>New: Added Media Carousel widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/216\\\">#216<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/347\\\">#347<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2209\\\">#2209<\\/a>)<\\/li>\\n<li>New: Added Testimonial Carousel widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/715\\\">#715<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>1.8.3 - 2017-09-24<\\/h4>\\n<ul>\\n<li>Fix: Added compatibility for WordPress 4.8.2 &amp; 4.7.6<\\/li>\\n<li>Fix: Remove slashes from Form sent data<\\/li>\\n<\\/ul>\\n<h4>1.8.2 - 2017-09-19<\\/h4>\\n<ul>\\n<li>Tweak: Added target URL for the tweet message in Blockquote widget<\\/li>\\n<li>Tweak: Render the slide height before the slider is finished loading<\\/li>\\n<li>Fix: Space between words for Animated Headline widget<\\/li>\\n<li>Fix: RTL compatibility for Animated Headline widget<\\/li>\\n<li>Fix: Italic font style for Animated Headline widget<\\/li>\\n<li>Fix: Excluded Menu widget from the WP Editor text rendering<\\/li>\\n<\\/ul>\\n<h4>1.8.1 - 2017-09-18<\\/h4>\\n<ul>\\n<li>Fix: WCAG Compatible &quot;required&quot; field attribute for W3C validation (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2391\\\">#2391<\\/a>)<\\/li>\\n<li>Fix: Print the main menu only when is necessary in Menu widget<\\/li>\\n<li>Fix: Use CSS media query instead of JS to hide items in Menu widget to avoid flickering on page load (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2381\\\">#2381<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>1.8.0 - 2017-09-12<\\/h4>\\n<ul>\\n<li>New: Added Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1406\\\">#1406<\\/a>)<\\/li>\\n<li>Fix: Field ID for checkbox control in Form widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2279\\\">#2279<\\/a>)<\\/li>\\n<li>Fix: Style for Blockquote widget included<\\/li>\\n<\\/ul>\\n<h4>1.7.2 - 2017-09-07<\\/h4>\\n<ul>\\n<li>Tweak: Loading Facebook SDK via JS for better compatibility with caching plugins<\\/li>\\n<li>Fix: Responsive Embed Facebook post widget for Safari iOS (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2340\\\">#2340<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>1.7.1 - 2017-09-05<\\/h4>\\n<ul>\\n<li>Fix: Facebook SDK version<\\/li>\\n<\\/ul>\\n<h4>1.7.0 - 2017-09-05<\\/h4>\\n<ul>\\n<li>New: Added Facebook Button widget for Like, Recommend, Share and Follow<\\/li>\\n<li>New: Added Facebook Embed widget for Post, Video and Comment<\\/li>\\n<li>New: Added Facebook Comments widget<\\/li>\\n<li>New: Added Facebook Page widget (Previously known as Like Box)<\\/li>\\n<li>New: Added Blockquote widget with Tweet button<\\/li>\\n<li>Tweak: Added Facebook SDK integration for all Facebook widgets<\\/li>\\n<li>Fix: Animated headline rotating with long words<\\/li>\\n<\\/ul>\\n<h4>1.6.1 - 2017-08-28<\\/h4>\\n<ul>\\n<li>Fix: Animated Headline marker gets in front of neighboring spans even when &quot;Bring to Front&quot; is not set<\\/li>\\n<li>Fix: Stroke animation in Animated Headline for MS Edge browser<\\/li>\\n<li>Fix: Animated headline with more than 1-word per rotation<\\/li>\\n<li>Fix: Animated Headline in two lines<\\/li>\\n<li>Fix: Some errors in Global widget<\\/li>\\n<\\/ul>\\n<h4>1.6.0 - 2017-08-22<\\/h4>\\n<ul>\\n<li>New: Added Animated Headline widget<\\/li>\\n<li>New: Added Hidden field for Forms widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2038\\\">#2038<\\/a>)<\\/li>\\n<li>Tweak: Added notice to update Elementor to v1.6.5 or higher<\\/li>\\n<li>Fix: CSS Animations names no longer minified, in order to prevent unexpected conflicts<\\/li>\\n<\\/ul>\\n<h4>1.5.9 - 2017-08-16<\\/h4>\\n<ul>\\n<li>Tweak: Added compatibility for the future release of Elementor v1.7<\\/li>\\n<li>Fix: Portfolio compatibility for GeneratePress theme<\\/li>\\n<li>Fix: Portfolio filter compatibility for RTL<\\/li>\\n<li>Fix: Pagination apply for all posts widget in the page<\\/li>\\n<li>Fix: Global form widget with MailChimp integration not saving<\\/li>\\n<\\/ul>\\n<h4>1.5.8 - 2017-07-25<\\/h4>\\n<ul>\\n<li>Tweak: Added compatibility for the future release of Elementor v1.6<\\/li>\\n<li>Fix: Improved backward compatibility for query control rename<\\/li>\\n<\\/ul>\\n<h4>1.5.7 - 2017-07-24<\\/h4>\\n<ul>\\n<li>Tweak: Moved JS render of reCAPTCHA to a separate file<\\/li>\\n<li>Tweak: Display the label in the reCAPTCHA field for better experience<\\/li>\\n<li>Tweak: Rename <code>panel-posts-control<\\/code> to <code>query-control<\\/code> and added fallback support<\\/li>\\n<li>Tweak: Added compatibility for the future release of Elementor with history feature<\\/li>\\n<li>Fix: reCAPTCHA preview on the editor<\\/li>\\n<li>Fix: Manual selection (query control) has stopped working after saving (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2000\\\">#2000<\\/a>)<\\/li>\\n<li>Fix: Added condition for icon size control in Share Buttons widget<\\/li>\\n<\\/ul>\\n<h4>1.5.6 - 2017-07-12<\\/h4>\\n<ul>\\n<li>Fix: Query Control correction for taxonomies (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1963\\\">#1963<\\/a>)<\\/li>\\n<li>Fix: Custom CSS override scheme color in the editor<\\/li>\\n<li>Fix: Added order by Menu Order for Query Control in WC widget<\\/li>\\n<li>Fix: Glitch with Flip Box background overlay<\\/li>\\n<\\/ul>\\n<h4>1.5.5 - 2017-07-03<\\/h4>\\n<ul>\\n<li>Tweak: Moved reCAPTCHA render to handler &amp; load only if a form is exist<\\/li>\\n<li>Fix: MailChimp integration: Default number of items returned by API increased to 999<\\/li>\\n<li>Fix: MailChimp integration: Refresh the groups list if API is changed<\\/li>\\n<li>Fix: Sorted items in filter bar by A-Z<\\/li>\\n<li>Fix: Editor glitch with Elementor v1.5 (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1927\\\">#1927<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>1.5.4 - 2017-06-22<\\/h4>\\n<ul>\\n<li>Tweak: Improved compatibility for Elementor v1.5<\\/li>\\n<li>Fix: URL default for Add To Cart widget<\\/li>\\n<li>Fix: Allowed <code>date<\\/code> and <code>birthday<\\/code> fields as text for MailChimp integration<\\/li>\\n<\\/ul>\\n<h4>1.5.3 - 2017-06-19<\\/h4>\\n<ul>\\n<li>Tweak: Make flip-box height responsive control<\\/li>\\n<li>Fix: Facebook share count now gets retrieved by Elementor (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1829\\\">#1829<\\/a>)<\\/li>\\n<li>Fix: Global form widget with MailChimp integration not saving<\\/li>\\n<\\/ul>\\n<h4>1.5.2 - 2017-06-13<\\/h4>\\n<ul>\\n<li>Fix: Custom CSS panel location compatibility for the old versions<\\/li>\\n<\\/ul>\\n<h4>1.5.1 - 2017-06-12<\\/h4>\\n<ul>\\n<li>Fix: MailChimp update existing user registration<\\/li>\\n<li>Fix: Global widget with JS in the editor mode<\\/li>\\n<li>Fix: Label section condition in Login widget<\\/li>\\n<li>Fix: Changes to unlinked global widget do not appear in the editor<\\/li>\\n<\\/ul>\\n<h4>1.5.0 - 2017-05-23<\\/h4>\\n<ul>\\n<li>New: Added Cards, a new skin for Posts widget<\\/li>\\n<li>New: Added Exclude option to post query control group<\\/li>\\n<li>Tweak: Added <code>post_class()<\\/code> for each post in the loop<\\/li>\\n<li>Tweak: Added <code>.elementor-posts-masonry<\\/code> class when Masonry layout is enabled<\\/li>\\n<li>Tweak: Added compatibility for the next release of Elementor v1.5.0<\\/li>\\n<li>Tweak: CSS <code>autoprefixer<\\/code> now supports last 5 versions of browsers<\\/li>\\n<li>Tweak: Added <code>imageLoaded<\\/code> library for Posts &amp; Portfolio widgets<\\/li>\\n<\\/ul>\\n<h4>1.4.4 - 2017-05-18<\\/h4>\\n<ul>\\n<li>Fix: Force Mailchimp API to return all lists and not just 10 (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1683\\\">#1683<\\/a>)<\\/li>\\n<li>Fix: Added <code>.elementor-form<\\/code> class to Login form to fix style glitch<\\/li>\\n<\\/ul>\\n<h4>1.4.3 - 2017-05-14<\\/h4>\\n<ul>\\n<li>Tweak: Added Redirect After Login option to Login widget<\\/li>\\n<li>Tweak: Stay in the current page after logout in Login widget<\\/li>\\n<li>Tweak: Preparation for Elementor settings tabs in future version<\\/li>\\n<li>Fix: Pinterest in Share Buttons widget now sharing the URL alone<\\/li>\\n<li>Fix: Bug with <code>active<\\/code> class in portfolio filter item<\\/li>\\n<li>Fix: Higher specific list-style-type <code>none<\\/code> for filter items to override some theme style<\\/li>\\n<\\/ul>\\n<h4>1.4.2 - 2017-05-06<\\/h4>\\n<ul>\\n<li>Fix: Temporary patch for form field shortcode in some servers<\\/li>\\n<\\/ul>\\n<h4>1.4.1 - 2017-05-03<\\/h4>\\n<ul>\\n<li>Fix: Bug with custom success message in form widget<\\/li>\\n<li>Fix: Bug with meta data in email action<\\/li>\\n<\\/ul>\\n<h4>1.4.0 - 2017-05-03<\\/h4>\\n<ul>\\n<li>New: Forms: integration with MailChimp<\\/li>\\n<li>New: Forms: integration with MailPoet<\\/li>\\n<li>New: Forms: Added Email 2 action for email confirmation<\\/li>\\n<li>New: Forms: Added shortcodes for fields<\\/li>\\n<li>New: Forms: Added custom ID for fields<\\/li>\\n<li>New: Forms: Added option to edit email HTML template (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1180\\\">#1180<\\/a>)<\\/li>\\n<li>New: Added Login widget<\\/li>\\n<li>Tweak: Move <code>send_html<\\/code> control to <code>email_content_type<\\/code><\\/li>\\n<li>Fix: Email still sent even if validation failed in form widget<\\/li>\\n<\\/ul>\\n<h4>1.3.2 - 2017-05-01<\\/h4>\\n<ul>\\n<li>New: Added action <code>elementor_pro\\/init<\\/code> for better integration with Elementor Pro<\\/li>\\n<li>Fix: Posts without featured image in Posts widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1234\\\">#1234<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1382\\\">#1382<\\/a>)<\\/li>\\n<li>Fix: reCAPTCHA &amp; Honeypot fields with new method<\\/li>\\n<li>Fix: Added border width control in Share Buttons to avoid a glitch on Chrome browser<\\/li>\\n<li>Fix: Border radius glitch on hover in Share Buttons<\\/li>\\n<\\/ul>\\n<h4>1.3.1 - 2017-04-25<\\/h4>\\n<ul>\\n<li>Fix: Conflict update with revision history module<\\/li>\\n<\\/ul>\\n<h4>1.3.0 - 2017-04-25<\\/h4>\\n<ul>\\n<li>New: Added Share Buttons widget (<a href=\\\"https:\\/\\/wordpress.org\\/support\\/topic\\/social-sharing-buttons-is-it-possible\\/\\\">Topic<\\/a>)<\\/li>\\n<li>New: Added Custom CSS for Page Settings<\\/li>\\n<li>New: Added Masonry layout for Portfolio widget<\\/li>\\n<li>New: Added Cc &amp; Bcc options to email action (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1181\\\">#1181<\\/a>)<\\/li>\\n<li>New: Introduced <code>ElementorProModulesFormsClassesAction_Base<\\/code> class for better 3rd party integration for forms<\\/li>\\n<li>Tweak: Debugger module now also shows errors from Pro<\\/li>\\n<li>Tweak: Added options for Elementor Library<\\/li>\\n<li>Tweak: New base posts module for optimized performance<\\/li>\\n<li>Tweak: Adjusting Posts \\/ Portfolio to the new structure<\\/li>\\n<li>Fix: Export for posts \\/ portfolio<\\/li>\\n<li>Fix: Duplicate repeater field with switcher control (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1442\\\">#1442<\\/a>)<\\/li>\\n<li>Fix: Post per Page in the query control<\\/li>\\n<li>Fix: Metadata does not come through on form emails (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1566\\\">#1566<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>1.2.6 - 2017-04-19<\\/h4>\\n<ul>\\n<li>Fix: Added compatibility with WooCommerce 3.0 - Products &amp; Add to Cart widgets<\\/li>\\n<\\/ul>\\n<h4>1.2.5 - 2017-04-18<\\/h4>\\n<ul>\\n<li>Fix: Offset query for posts widgets (Posts, Portfolio and Products)<\\/li>\\n<\\/ul>\\n<h4>1.2.4 - 2017-03-21<\\/h4>\\n<ul>\\n<li>Tweak: Added Indian Rupee sign to Price Table widget<\\/li>\\n<li>Fix: Portfolio grid for IE11<\\/li>\\n<li>Fix: Link target blank in Price List widget<\\/li>\\n<li>Fix: Active item for filter bar in Portfolio widget<\\/li>\\n<\\/ul>\\n<h4>1.2.3 - 2017-03-06<\\/h4>\\n<ul>\\n<li>Tweak: Fully compatible with Elementor v1.3.0<\\/li>\\n<li>Tweak: Added trigger for after form submission in Forms widget<\\/li>\\n<li>Tweak: Changed handle name in reCAPTCHA field to avoid conflict with other contact forms<\\/li>\\n<li>Fix: Portfolio filter syntax in Non-Latin languages<\\/li>\\n<li>Fix: Added <code>no-repeat<\\/code> property for slide with <code>background-size:contain<\\/code><\\/li>\\n<li>Fix: Condition control &amp; Import value in Posts widgets<\\/li>\\n<li>Fix: Offset and Pagination in WordPress (<a href=\\\"https:\\/\\/codex.wordpress.org\\/Making_Custom_Queries_using_Offset_and_Pagination\\\">More Info<\\/a>)<\\/li>\\n<li>Fix: Submit handler bubbling for custom events in Forms widget<\\/li>\\n<\\/ul>\\n<h4>1.2.2 - 2017-02-23<\\/h4>\\n<ul>\\n<li>Tweak: Change name from Side A\\/B to Front and Back in Flip Box widget<\\/li>\\n<li>Fix: Error when saving third party widgets in the global widget<\\/li>\\n<li>Fix: Image position &quot;none&quot; remains visible in editor preview (Posts)<\\/li>\\n<li>Fix: Hide the pagination when there are no links<\\/li>\\n<\\/ul>\\n<h4>1.2.1 - 2017-02-21<\\/h4>\\n<ul>\\n<li>Fix: Firefox Flip Box 3D compatibility<\\/li>\\n<\\/ul>\\n<h4>1.2.0 - 2017-02-21<\\/h4>\\n<ul>\\n<li>New: Added Flip Box widget<\\/li>\\n<li>New: Added Ken Burns effect for slides<\\/li>\\n<li>New: Added Masonry layout for Posts widget<\\/li>\\n<li>New: Added Pagination option for Posts widget<\\/li>\\n<li>Tweak: Added background size contain to slides<\\/li>\\n<li>Tweak: Improve Query control by preload items<\\/li>\\n<li>Fix: Text color for Checkbox and Radio fields<\\/li>\\n<\\/ul>\\n<h4>1.1.2 - 2017-02-05<\\/h4>\\n<ul>\\n<li>Tweak: Added <code>aria-required<\\/code> for better accessibility in forms widget<\\/li>\\n<li>Fix: Conflict Call to <code>undefined<\\/code> method in Posts &amp; Portfolio widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1271\\\">#1271<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1266\\\">#1266<\\/a>)<\\/li>\\n<li>Fix: Submit button HTML after error sending<\\/li>\\n<li>Fix: Success message for <code>skip_email<\\/code> function<\\/li>\\n<li>Notice: Elementor 1.2.0 or later now required<\\/li>\\n<\\/ul>\\n<h4>1.1.1 - 2017-01-24<\\/h4>\\n<ul>\\n<li>Fix: Can\'t save global widgets when <code>WP_DEBUG<\\/code> is <code>true<\\/code><\\/li>\\n<li>Fix: Undefined variable in WC widgets<\\/li>\\n<li>Fix: Removed duplicate strings<\\/li>\\n<\\/ul>\\n<h4>1.1.0 - 2017-01-24<\\/h4>\\n<ul>\\n<li>New: Price Table widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/102\\\">#102<\\/a>)<\\/li>\\n<li>New: WooCommerce Add to Cart widget<\\/li>\\n<li>New: WooCommerce Categories widget<\\/li>\\n<li>New: WooCommerce Elements widget<\\/li>\\n<li>New: Honeypot field for Forms widgets<\\/li>\\n<li>Tweak: Added inline options for taxonomies &amp; authors if is less than 15 items<\\/li>\\n<li>Tweak: Added Required Mark for fields in Forms widget<\\/li>\\n<li>Fix: CSS selectors priority in Slides widget<\\/li>\\n<li>Fix: CSS bug in Price List widget<\\/li>\\n<li>Fix: Update all Post CSS files that includes specific Global Widget<\\/li>\\n<\\/ul>\\n<h4>1.0.9 - 2017-01-18<\\/h4>\\n<ul>\\n<li>Fix: Auto complete bug in query controls<\\/li>\\n<li>Fix: Render template with escaping slashes<\\/li>\\n<li>Fix: Reply-to field in Forms widget<\\/li>\\n<\\/ul>\\n<h4>1.0.8 - 2017-01-11<\\/h4>\\n<ul>\\n<li>Tweak: Code adjustments for Elementor API<\\/li>\\n<li>Fix: Removed go pro link from plugins page in admin<\\/li>\\n<\\/ul>\\n<h4>1.0.7 - 2017-01-05<\\/h4>\\n<ul>\\n<li>Tweak: Added filter by featured \\/ sale for WC Products widget<\\/li>\\n<li>Tweak: Added author control in Portfolio widget<\\/li>\\n<li>Tweak: Code adjustments for Elementor API<\\/li>\\n<li>Fix: Added support for empty image ratio<\\/li>\\n<li>Fix: Avoid nesting a sidebar within a template that will appear in the sidebar itself<\\/li>\\n<\\/ul>\\n<h4>1.0.6 - 2017-01-01<\\/h4>\\n<ul>\\n<li>Tweak: Added Auto-updates for local translation files<\\/li>\\n<li>Fix: Custom CSS for Global widgets<\\/li>\\n<li>Fix: Remove <code>nonce<\\/code> field (Fix some cache plugins)<\\/li>\\n<\\/ul>\\n<h4>1.0.5 - 2016-12-27<\\/h4>\\n<ul>\\n<li>Fix: Slide element bug fix - \'Link apply on\' logic<\\/li>\\n<li>Fix: Removed unique wrapper for Custom CSS in order to allow media queries (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1086\\\">#1086<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>1.0.4 - 2016-12-21<\\/h4>\\n<ul>\\n<li>Tweak: Mobile Editing for fields in the form widget<\\/li>\\n<li>Tweak: Mobile Editing for posts<\\/li>\\n<li>Tweak: Allow send form as HTML<\\/li>\\n<li>Tweak: Improved auto upgrades for Multisite installation<\\/li>\\n<li>Tweak: Improve editor rendering experience for Portfolio widget<\\/li>\\n<li>Fix: Posts widget check if image exist<\\/li>\\n<li>Fix: Changed the clone method for global widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1042\\\">#1042<\\/a>)<\\/li>\\n<li>Fix: Bug slides in RTL (removed direction control)<\\/li>\\n<li>Fix: Slides with no height jumps when changing slides<\\/li>\\n<\\/ul>\\n<h4>1.0.3 - 2016-12-13<\\/h4>\\n<ul>\\n<li>Fix: Added escape placeholder for HTML Entities in form widget<\\/li>\\n<li>Fix: Countdown widget RTL bug<\\/li>\\n<li>Fix: Remove redundant #elementor selector for control style<\\/li>\\n<li>Fix: Added prefixing with \'0\' for one digit number in Countdown widget<\\/li>\\n<\\/ul>\\n<h4>1.0.2 - 2016-12-12<\\/h4>\\n<ul>\\n<li>Fix: Page layout collapses when inserting reCAPTCHA field in Form<\\/li>\\n<\\/ul>\\n<h4>1.0.1 - 2016-12-12<\\/h4>\\n<ul>\\n<li>Fix: WordPress widgets disappear from Editor when Elementor Pro active<\\/li>\\n<\\/ul>\\n<h4>1.0.0 - 2016-12-12<\\/h4>\\n<ul>\\n<li>Initial release<\\/li>\\n<\\/ul>\\\";}\",\"new_version\":\"3.22.1\",\"name\":\"Elementor Pro\",\"slug\":\"elementor-pro\",\"url\":\"https:\\/\\/elementor.com\\/pro\\/changelog\\/\",\"homepage\":\"https:\\/\\/elementor.com\\/pro\\/\",\"requires\":\"5.0\",\"tested\":\"6.5.5\",\"elementor_requires\":\"3.0.1\",\"package\":\"https:\\/\\/plugin-downloads.elementor.com\\/v2\\/package_download\\/eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJsaWNlbnNlIjoiYWN0aXZhdGVkIiwidXJsIjoiaHR0cHM6Ly90ZXN0LmZpbHRlcnNhbmFhdC5jb20iLCJkb3dubG9hZF9iZXRhIjpmYWxzZSwiZmlsZV9rZXkiOiIxIiwiaWF0IjoxNzIwNjgyMDU1LCJleHAiOjE3MjA3Njg0NTV9.DIupYUYAZLEGDQO1cUMiG_z2P19J_EPBp1J0joiN_Es\\/package_download\",\"download_link\":\"https:\\/\\/plugin-downloads.elementor.com\\/v2\\/package_download\\/eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJsaWNlbnNlIjoiYWN0aXZhdGVkIiwidXJsIjoiaHR0cHM6Ly90ZXN0LmZpbHRlcnNhbmFhdC5jb20iLCJkb3dubG9hZF9iZXRhIjpmYWxzZSwiZmlsZV9rZXkiOiIxIiwiaWF0IjoxNzIwNjgyMDU1LCJleHAiOjE3MjA3Njg0NTV9.DIupYUYAZLEGDQO1cUMiG_z2P19J_EPBp1J0joiN_Es\\/package_download\",\"banners\":{\"2x\":\"https:\\/\\/ps.w.org\\/elementor\\/assets\\/banner-1544x500.png?rev=1475479\",\"1x\":\"https:\\/\\/ps.w.org\\/elementor\\/assets\\/banner-772x250.png?rev=1475479\"},\"icons\":{\"svg\":\"https:\\/\\/storage.googleapis.com\\/web-public-files\\/Web%20Assets\\/icons\\/icon.svg\"},\"canary_deployment\":{\"plugin_info\":{\"new_version\":\"3.7.0\",\"name\":\"Elementor Pro\",\"slug\":\"elementor-pro\",\"url\":\"https:\\/\\/elementor.com\\/pro\\/changelog\\/\",\"homepage\":\"https:\\/\\/elementor.com\\/pro\\/\",\"requires\":\"5.0\",\"tested\":\"6.5.5\",\"elementor_requires\":\"3.0.1\",\"package\":\"https:\\/\\/plugin-downloads.elementor.com\\/v2\\/previous_download\\/eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJsaWNlbnNlIjoiYWN0aXZhdGVkIiwidmVyc2lvbiI6IjMuNy4wIiwidXJsIjoiaHR0cHM6Ly90ZXN0LmZpbHRlcnNhbmFhdC5jb20iLCJpYXQiOjE3MjA2ODIwNTUsImV4cCI6MTcyMDc2ODQ1NX0.wJjwAsXfhENMURzEpDk3Tdqhw6iJgfKVPN92QzjPmwk\\/previous_download\",\"download_link\":\"https:\\/\\/plugin-downloads.elementor.com\\/v2\\/previous_download\\/eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJsaWNlbnNlIjoiYWN0aXZhdGVkIiwidmVyc2lvbiI6IjMuNy4wIiwidXJsIjoiaHR0cHM6Ly90ZXN0LmZpbHRlcnNhbmFhdC5jb20iLCJpYXQiOjE3MjA2ODIwNTUsImV4cCI6MTcyMDc2ODQ1NX0.wJjwAsXfhENMURzEpDk3Tdqhw6iJgfKVPN92QzjPmwk\\/previous_download\",\"banners\":{\"2x\":\"https:\\/\\/ps.w.org\\/elementor\\/assets\\/banner-1544x500.png?rev=1475479\",\"1x\":\"https:\\/\\/ps.w.org\\/elementor\\/assets\\/banner-772x250.png?rev=1475479\"},\"icons\":{\"svg\":\"https:\\/\\/storage.googleapis.com\\/web-public-files\\/Web%20Assets\\/icons\\/icon.svg\"}},\"conditions\":[[{\"type\":\"language\",\"languages\":[\"he_IL\",\"nl_NL\",\"en_GB\",\"en_NZ\",\"en_ZA\",\"en_AU\",\"en_CA\",\"sv_SE\",\"da_DK\",\"fr_FR\",\"nl_NL\",\"nb_NO\",\"de_AT\",\"fi\",\"it_IT\",\"nn_NO\",\"de_CH\",\"en_GB\",\"is_IS\",\"ga\",\"fr_BE\",\"nl_BE\",\"ast\",\"lb_LU\",\"es_ES\",\"pt_PT\",\"mlt\"],\"operator\":\"in\"}]]},\"cloud\":false}\";}", "no");
INSERT INTO `wp_options` VALUES("476", "_site_transient_update_core", "O:8:\"stdClass\":4:{s:7:\"updates\";a:1:{i:0;O:8:\"stdClass\":10:{s:8:\"response\";s:6:\"latest\";s:8:\"download\";s:65:\"https://downloads.wordpress.org/release/fa_IR/wordpress-6.5.5.zip\";s:6:\"locale\";s:5:\"fa_IR\";s:8:\"packages\";O:8:\"stdClass\":5:{s:4:\"full\";s:65:\"https://downloads.wordpress.org/release/fa_IR/wordpress-6.5.5.zip\";s:10:\"no_content\";s:0:\"\";s:11:\"new_bundled\";s:0:\"\";s:7:\"partial\";s:0:\"\";s:8:\"rollback\";s:0:\"\";}s:7:\"current\";s:5:\"6.5.5\";s:7:\"version\";s:5:\"6.5.5\";s:11:\"php_version\";s:5:\"7.0.0\";s:13:\"mysql_version\";s:3:\"5.0\";s:11:\"new_bundled\";s:3:\"6.4\";s:15:\"partial_version\";s:0:\"\";}}s:12:\"last_checked\";i:1720682055;s:15:\"version_checked\";s:5:\"6.5.5\";s:12:\"translations\";a:0:{}}", "no");
INSERT INTO `wp_options` VALUES("477", "_transient_doing_cron", "1720682055.0716729164123535156250", "yes");
INSERT INTO `wp_options` VALUES("403", "_site_transient_timeout_poptags_40cd750bba9870f18aada2478b24840a", "1720688185", "no");
INSERT INTO `wp_options` VALUES("404", "_site_transient_poptags_40cd750bba9870f18aada2478b24840a", "O:8:\"stdClass\":100:{s:11:\"woocommerce\";a:3:{s:4:\"name\";s:11:\"woocommerce\";s:4:\"slug\";s:11:\"woocommerce\";s:5:\"count\";i:6380;}s:6:\"widget\";a:3:{s:4:\"name\";s:6:\"widget\";s:4:\"slug\";s:6:\"widget\";s:5:\"count\";i:4829;}s:4:\"post\";a:3:{s:4:\"name\";s:4:\"post\";s:4:\"slug\";s:4:\"post\";s:5:\"count\";i:2782;}s:5:\"admin\";a:3:{s:4:\"name\";s:5:\"admin\";s:4:\"slug\";s:5:\"admin\";s:5:\"count\";i:2679;}s:5:\"posts\";a:3:{s:4:\"name\";s:5:\"posts\";s:4:\"slug\";s:5:\"posts\";s:5:\"count\";i:2073;}s:9:\"shortcode\";a:3:{s:4:\"name\";s:9:\"shortcode\";s:4:\"slug\";s:9:\"shortcode\";s:5:\"count\";i:1954;}s:8:\"comments\";a:3:{s:4:\"name\";s:8:\"comments\";s:4:\"slug\";s:8:\"comments\";s:5:\"count\";i:1914;}s:3:\"seo\";a:3:{s:4:\"name\";s:3:\"seo\";s:4:\"slug\";s:3:\"seo\";s:5:\"count\";i:1719;}s:6:\"images\";a:3:{s:4:\"name\";s:6:\"images\";s:4:\"slug\";s:6:\"images\";s:5:\"count\";i:1578;}s:5:\"image\";a:3:{s:4:\"name\";s:5:\"image\";s:4:\"slug\";s:5:\"image\";s:5:\"count\";i:1576;}s:6:\"google\";a:3:{s:4:\"name\";s:6:\"google\";s:4:\"slug\";s:6:\"google\";s:5:\"count\";i:1547;}s:7:\"twitter\";a:3:{s:4:\"name\";s:7:\"twitter\";s:4:\"slug\";s:7:\"twitter\";s:5:\"count\";i:1515;}s:9:\"ecommerce\";a:3:{s:4:\"name\";s:9:\"ecommerce\";s:4:\"slug\";s:9:\"ecommerce\";s:5:\"count\";i:1513;}s:8:\"facebook\";a:3:{s:4:\"name\";s:8:\"facebook\";s:4:\"slug\";s:8:\"facebook\";s:5:\"count\";i:1505;}s:5:\"email\";a:3:{s:4:\"name\";s:5:\"email\";s:4:\"slug\";s:5:\"email\";s:5:\"count\";i:1410;}s:7:\"sidebar\";a:3:{s:4:\"name\";s:7:\"sidebar\";s:4:\"slug\";s:7:\"sidebar\";s:5:\"count\";i:1315;}s:7:\"gallery\";a:3:{s:4:\"name\";s:7:\"gallery\";s:4:\"slug\";s:7:\"gallery\";s:5:\"count\";i:1296;}s:4:\"page\";a:3:{s:4:\"name\";s:4:\"page\";s:4:\"slug\";s:4:\"page\";s:5:\"count\";i:1166;}s:6:\"social\";a:3:{s:4:\"name\";s:6:\"social\";s:4:\"slug\";s:6:\"social\";s:5:\"count\";i:1166;}s:5:\"login\";a:3:{s:4:\"name\";s:5:\"login\";s:4:\"slug\";s:5:\"login\";s:5:\"count\";i:1163;}s:8:\"security\";a:3:{s:4:\"name\";s:8:\"security\";s:4:\"slug\";s:8:\"security\";s:5:\"count\";i:1115;}s:10:\"e-commerce\";a:3:{s:4:\"name\";s:10:\"e-commerce\";s:4:\"slug\";s:10:\"e-commerce\";s:5:\"count\";i:1031;}s:5:\"video\";a:3:{s:4:\"name\";s:5:\"video\";s:4:\"slug\";s:5:\"video\";s:5:\"count\";i:1016;}s:7:\"widgets\";a:3:{s:4:\"name\";s:7:\"widgets\";s:4:\"slug\";s:7:\"widgets\";s:5:\"count\";i:987;}s:7:\"payment\";a:3:{s:4:\"name\";s:7:\"payment\";s:4:\"slug\";s:7:\"payment\";s:5:\"count\";i:959;}s:9:\"analytics\";a:3:{s:4:\"name\";s:9:\"analytics\";s:4:\"slug\";s:9:\"analytics\";s:5:\"count\";i:917;}s:5:\"links\";a:3:{s:4:\"name\";s:5:\"links\";s:4:\"slug\";s:5:\"links\";s:5:\"count\";i:907;}s:5:\"block\";a:3:{s:4:\"name\";s:5:\"block\";s:4:\"slug\";s:5:\"block\";s:5:\"count\";i:897;}s:4:\"form\";a:3:{s:4:\"name\";s:4:\"form\";s:4:\"slug\";s:4:\"form\";s:5:\"count\";i:894;}s:6:\"slider\";a:3:{s:4:\"name\";s:6:\"slider\";s:4:\"slug\";s:6:\"slider\";s:5:\"count\";i:889;}s:7:\"content\";a:3:{s:4:\"name\";s:7:\"content\";s:4:\"slug\";s:7:\"content\";s:5:\"count\";i:888;}s:4:\"spam\";a:3:{s:4:\"name\";s:4:\"spam\";s:4:\"slug\";s:4:\"spam\";s:5:\"count\";i:885;}s:9:\"gutenberg\";a:3:{s:4:\"name\";s:9:\"gutenberg\";s:4:\"slug\";s:9:\"gutenberg\";s:5:\"count\";i:885;}s:5:\"media\";a:3:{s:4:\"name\";s:5:\"media\";s:4:\"slug\";s:5:\"media\";s:5:\"count\";i:807;}s:15:\"payment-gateway\";a:3:{s:4:\"name\";s:15:\"payment gateway\";s:4:\"slug\";s:15:\"payment-gateway\";s:5:\"count\";i:806;}s:9:\"elementor\";a:3:{s:4:\"name\";s:9:\"elementor\";s:4:\"slug\";s:9:\"elementor\";s:5:\"count\";i:799;}s:6:\"search\";a:3:{s:4:\"name\";s:6:\"search\";s:4:\"slug\";s:6:\"search\";s:5:\"count\";i:795;}s:10:\"buddypress\";a:3:{s:4:\"name\";s:10:\"buddypress\";s:4:\"slug\";s:10:\"buddypress\";s:5:\"count\";i:777;}s:6:\"editor\";a:3:{s:4:\"name\";s:6:\"editor\";s:4:\"slug\";s:6:\"editor\";s:5:\"count\";i:770;}s:12:\"contact-form\";a:3:{s:4:\"name\";s:12:\"contact form\";s:4:\"slug\";s:12:\"contact-form\";s:5:\"count\";i:749;}s:3:\"rss\";a:3:{s:4:\"name\";s:3:\"rss\";s:4:\"slug\";s:3:\"rss\";s:5:\"count\";i:745;}s:4:\"menu\";a:3:{s:4:\"name\";s:4:\"menu\";s:4:\"slug\";s:4:\"menu\";s:5:\"count\";i:739;}s:5:\"pages\";a:3:{s:4:\"name\";s:5:\"pages\";s:4:\"slug\";s:5:\"pages\";s:5:\"count\";i:731;}s:5:\"embed\";a:3:{s:4:\"name\";s:5:\"embed\";s:4:\"slug\";s:5:\"embed\";s:5:\"count\";i:708;}s:8:\"category\";a:3:{s:4:\"name\";s:8:\"category\";s:4:\"slug\";s:8:\"category\";s:5:\"count\";i:694;}s:4:\"feed\";a:3:{s:4:\"name\";s:4:\"feed\";s:4:\"slug\";s:4:\"feed\";s:5:\"count\";i:692;}s:4:\"ajax\";a:3:{s:4:\"name\";s:4:\"ajax\";s:4:\"slug\";s:4:\"ajax\";s:5:\"count\";i:672;}s:6:\"jquery\";a:3:{s:4:\"name\";s:6:\"jquery\";s:4:\"slug\";s:6:\"jquery\";s:5:\"count\";i:664;}s:7:\"youtube\";a:3:{s:4:\"name\";s:7:\"youtube\";s:4:\"slug\";s:7:\"youtube\";s:5:\"count\";i:650;}s:9:\"affiliate\";a:3:{s:4:\"name\";s:9:\"affiliate\";s:4:\"slug\";s:9:\"affiliate\";s:5:\"count\";i:631;}s:3:\"css\";a:3:{s:4:\"name\";s:3:\"css\";s:4:\"slug\";s:3:\"css\";s:5:\"count\";i:630;}s:3:\"api\";a:3:{s:4:\"name\";s:3:\"api\";s:4:\"slug\";s:3:\"api\";s:5:\"count\";i:623;}s:10:\"javascript\";a:3:{s:4:\"name\";s:10:\"javascript\";s:4:\"slug\";s:10:\"javascript\";s:5:\"count\";i:613;}s:4:\"link\";a:3:{s:4:\"name\";s:4:\"link\";s:4:\"slug\";s:4:\"link\";s:5:\"count\";i:611;}s:8:\"shipping\";a:3:{s:4:\"name\";s:8:\"shipping\";s:4:\"slug\";s:8:\"shipping\";s:5:\"count\";i:604;}s:5:\"share\";a:3:{s:4:\"name\";s:5:\"share\";s:4:\"slug\";s:5:\"share\";s:5:\"count\";i:602;}s:9:\"dashboard\";a:3:{s:4:\"name\";s:9:\"dashboard\";s:4:\"slug\";s:9:\"dashboard\";s:5:\"count\";i:601;}s:10:\"responsive\";a:3:{s:4:\"name\";s:10:\"responsive\";s:4:\"slug\";s:10:\"responsive\";s:5:\"count\";i:598;}s:7:\"contact\";a:3:{s:4:\"name\";s:7:\"contact\";s:4:\"slug\";s:7:\"contact\";s:5:\"count\";i:595;}s:9:\"marketing\";a:3:{s:4:\"name\";s:9:\"marketing\";s:4:\"slug\";s:9:\"marketing\";s:5:\"count\";i:587;}s:4:\"chat\";a:3:{s:4:\"name\";s:4:\"chat\";s:4:\"slug\";s:4:\"chat\";s:5:\"count\";i:582;}s:3:\"ads\";a:3:{s:4:\"name\";s:3:\"ads\";s:4:\"slug\";s:3:\"ads\";s:5:\"count\";i:579;}s:6:\"custom\";a:3:{s:4:\"name\";s:6:\"custom\";s:4:\"slug\";s:6:\"custom\";s:5:\"count\";i:579;}s:7:\"comment\";a:3:{s:4:\"name\";s:7:\"comment\";s:4:\"slug\";s:7:\"comment\";s:5:\"count\";i:577;}s:5:\"theme\";a:3:{s:4:\"name\";s:5:\"theme\";s:4:\"slug\";s:5:\"theme\";s:5:\"count\";i:573;}s:6:\"events\";a:3:{s:4:\"name\";s:6:\"events\";s:4:\"slug\";s:6:\"events\";s:5:\"count\";i:558;}s:14:\"contact-form-7\";a:3:{s:4:\"name\";s:14:\"contact form 7\";s:4:\"slug\";s:14:\"contact-form-7\";s:5:\"count\";i:555;}s:10:\"categories\";a:3:{s:4:\"name\";s:10:\"categories\";s:4:\"slug\";s:10:\"categories\";s:5:\"count\";i:546;}s:5:\"forms\";a:3:{s:4:\"name\";s:5:\"forms\";s:4:\"slug\";s:5:\"forms\";s:5:\"count\";i:542;}s:6:\"button\";a:3:{s:4:\"name\";s:6:\"button\";s:4:\"slug\";s:6:\"button\";s:5:\"count\";i:538;}s:11:\"performance\";a:3:{s:4:\"name\";s:11:\"performance\";s:4:\"slug\";s:11:\"performance\";s:5:\"count\";i:536;}s:5:\"popup\";a:3:{s:4:\"name\";s:5:\"popup\";s:4:\"slug\";s:5:\"popup\";s:5:\"count\";i:534;}s:4:\"user\";a:3:{s:4:\"name\";s:4:\"user\";s:4:\"slug\";s:4:\"user\";s:5:\"count\";i:530;}s:5:\"users\";a:3:{s:4:\"name\";s:5:\"users\";s:4:\"slug\";s:5:\"users\";s:5:\"count\";i:518;}s:8:\"calendar\";a:3:{s:4:\"name\";s:8:\"calendar\";s:4:\"slug\";s:8:\"calendar\";s:5:\"count\";i:516;}s:6:\"blocks\";a:3:{s:4:\"name\";s:6:\"blocks\";s:4:\"slug\";s:6:\"blocks\";s:5:\"count\";i:514;}s:4:\"tags\";a:3:{s:4:\"name\";s:4:\"tags\";s:4:\"slug\";s:4:\"tags\";s:5:\"count\";i:513;}s:6:\"mobile\";a:3:{s:4:\"name\";s:6:\"mobile\";s:4:\"slug\";s:6:\"mobile\";s:5:\"count\";i:507;}s:10:\"newsletter\";a:3:{s:4:\"name\";s:10:\"newsletter\";s:4:\"slug\";s:10:\"newsletter\";s:5:\"count\";i:492;}s:10:\"navigation\";a:3:{s:4:\"name\";s:10:\"navigation\";s:4:\"slug\";s:10:\"navigation\";s:5:\"count\";i:478;}s:8:\"payments\";a:3:{s:4:\"name\";s:8:\"payments\";s:4:\"slug\";s:8:\"payments\";s:5:\"count\";i:461;}s:5:\"stats\";a:3:{s:4:\"name\";s:5:\"stats\";s:4:\"slug\";s:5:\"stats\";s:5:\"count\";i:457;}s:9:\"slideshow\";a:3:{s:4:\"name\";s:9:\"slideshow\";s:4:\"slug\";s:9:\"slideshow\";s:5:\"count\";i:452;}s:12:\"social-media\";a:3:{s:4:\"name\";s:12:\"social media\";s:4:\"slug\";s:12:\"social-media\";s:5:\"count\";i:448;}s:5:\"photo\";a:3:{s:4:\"name\";s:5:\"photo\";s:4:\"slug\";s:5:\"photo\";s:5:\"count\";i:448;}s:10:\"statistics\";a:3:{s:4:\"name\";s:10:\"statistics\";s:4:\"slug\";s:10:\"statistics\";s:5:\"count\";i:447;}s:12:\"notification\";a:3:{s:4:\"name\";s:12:\"notification\";s:4:\"slug\";s:12:\"notification\";s:5:\"count\";i:446;}s:7:\"gateway\";a:3:{s:4:\"name\";s:7:\"gateway\";s:4:\"slug\";s:7:\"gateway\";s:5:\"count\";i:441;}s:8:\"redirect\";a:3:{s:4:\"name\";s:8:\"redirect\";s:4:\"slug\";s:8:\"redirect\";s:5:\"count\";i:433;}s:8:\"tracking\";a:3:{s:4:\"name\";s:8:\"tracking\";s:4:\"slug\";s:8:\"tracking\";s:5:\"count\";i:430;}s:6:\"photos\";a:3:{s:4:\"name\";s:6:\"photos\";s:4:\"slug\";s:6:\"photos\";s:5:\"count\";i:429;}s:6:\"import\";a:3:{s:4:\"name\";s:6:\"import\";s:4:\"slug\";s:6:\"import\";s:5:\"count\";i:428;}s:4:\"news\";a:3:{s:4:\"name\";s:4:\"news\";s:4:\"slug\";s:4:\"news\";s:5:\"count\";i:426;}s:8:\"checkout\";a:3:{s:4:\"name\";s:8:\"checkout\";s:4:\"slug\";s:8:\"checkout\";s:5:\"count\";i:420;}s:10:\"shortcodes\";a:3:{s:4:\"name\";s:10:\"shortcodes\";s:4:\"slug\";s:10:\"shortcodes\";s:5:\"count\";i:414;}s:5:\"cache\";a:3:{s:4:\"name\";s:5:\"cache\";s:4:\"slug\";s:5:\"cache\";s:5:\"count\";i:412;}s:4:\"code\";a:3:{s:4:\"name\";s:4:\"code\";s:4:\"slug\";s:4:\"code\";s:5:\"count\";i:412;}s:7:\"plugins\";a:3:{s:4:\"name\";s:7:\"plugins\";s:4:\"slug\";s:7:\"plugins\";s:5:\"count\";i:407;}s:9:\"multisite\";a:3:{s:4:\"name\";s:9:\"multisite\";s:4:\"slug\";s:9:\"multisite\";s:5:\"count\";i:396;}s:16:\"google-analytics\";a:3:{s:4:\"name\";s:16:\"google analytics\";s:4:\"slug\";s:16:\"google-analytics\";s:5:\"count\";i:389;}}", "no");
INSERT INTO `wp_options` VALUES("158", "current_theme", "Astra", "yes");
INSERT INTO `wp_options` VALUES("159", "theme_mods_astra", "a:4:{i:0;b:0;s:18:\"nav_menu_locations\";a:1:{s:11:\"footer_menu\";i:0;}s:18:\"custom_css_post_id\";i:-1;s:11:\"custom_logo\";i:11;}", "yes");
INSERT INTO `wp_options` VALUES("160", "theme_switched", "", "yes");
INSERT INTO `wp_options` VALUES("162", "astra-settings", "a:50:{s:18:\"theme-auto-version\";s:5:\"4.7.2\";s:22:\"is_theme_queue_running\";b:0;s:20:\"header-desktop-items\";a:5:{s:5:\"popup\";a:1:{s:13:\"popup_content\";a:1:{i:0;s:11:\"mobile-menu\";}}s:5:\"above\";a:5:{s:10:\"above_left\";a:0:{}s:17:\"above_left_center\";a:0:{}s:12:\"above_center\";a:0:{}s:18:\"above_right_center\";a:0:{}s:11:\"above_right\";a:0:{}}s:7:\"primary\";a:5:{s:12:\"primary_left\";a:0:{}s:19:\"primary_left_center\";a:0:{}s:14:\"primary_center\";a:0:{}s:20:\"primary_right_center\";a:0:{}s:13:\"primary_right\";a:0:{}}s:5:\"below\";a:5:{s:10:\"below_left\";a:0:{}s:17:\"below_left_center\";a:0:{}s:12:\"below_center\";a:0:{}s:18:\"below_right_center\";a:0:{}s:11:\"below_right\";a:0:{}}s:4:\"flag\";b:0;}s:28:\"hba-header-bg-obj-responsive\";a:3:{s:7:\"desktop\";a:10:{s:16:\"background-color\";s:7:\"#ffffff\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";s:15:\"background-type\";s:5:\"color\";}s:6:\"tablet\";a:9:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";}s:6:\"mobile\";a:9:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";}}s:27:\"hb-header-bg-obj-responsive\";a:3:{s:7:\"desktop\";a:10:{s:16:\"background-color\";s:7:\"#ffffff\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";s:15:\"background-type\";s:5:\"color\";}s:6:\"tablet\";a:9:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";}s:6:\"mobile\";a:9:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";}}s:28:\"hbb-header-bg-obj-responsive\";a:3:{s:7:\"desktop\";a:10:{s:16:\"background-color\";s:7:\"#eeeeee\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";s:15:\"background-type\";s:5:\"color\";}s:6:\"tablet\";a:9:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";}s:6:\"mobile\";a:9:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";}}s:16:\"hb-header-height\";a:3:{s:7:\"desktop\";i:30;s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:20:\"scroll-to-top-enable\";b:1;s:25:\"site-accessibility-toggle\";b:0;s:19:\"enable-scroll-to-id\";b:0;s:25:\"transparent-header-enable\";b:0;s:29:\"transparent-header-on-devices\";s:6:\"mobile\";s:21:\"ast-single-page-title\";b:0;s:18:\"site-sidebar-width\";i:23;s:20:\"footer-desktop-items\";a:5:{s:5:\"above\";a:6:{s:7:\"above_1\";a:0:{}s:7:\"above_2\";a:0:{}s:7:\"above_3\";a:0:{}s:7:\"above_4\";a:0:{}s:7:\"above_5\";a:0:{}s:7:\"above_6\";a:0:{}}s:7:\"primary\";a:6:{s:9:\"primary_1\";a:0:{}s:9:\"primary_2\";a:0:{}s:9:\"primary_3\";a:0:{}s:9:\"primary_4\";a:0:{}s:9:\"primary_5\";a:0:{}s:9:\"primary_6\";a:0:{}}s:5:\"below\";a:6:{s:7:\"below_1\";a:0:{}s:7:\"below_2\";a:0:{}s:7:\"below_3\";a:0:{}s:7:\"below_4\";a:0:{}s:7:\"below_5\";a:0:{}s:7:\"below_6\";a:0:{}}s:5:\"popup\";a:1:{s:13:\"popup_content\";a:0:{}}s:4:\"flag\";b:1;}s:18:\"add-hr-styling-css\";b:0;s:32:\"astra-site-svg-logo-equal-height\";b:0;s:25:\"fullwidth_sidebar_support\";b:0;s:23:\"v4-2-0-update-migration\";b:1;s:29:\"v4-2-2-core-form-btns-styling\";b:0;s:22:\"v4-4-0-backward-option\";b:0;s:64:\"ast-dynamic-single-post-article-featured-image-position-layout-1\";s:4:\"none\";s:64:\"ast-dynamic-single-post-article-featured-image-position-layout-2\";s:4:\"none\";s:57:\"ast-dynamic-single-post-article-featured-image-ratio-type\";s:7:\"default\";s:64:\"ast-dynamic-single-page-article-featured-image-position-layout-1\";s:4:\"none\";s:64:\"ast-dynamic-single-page-article-featured-image-position-layout-2\";s:4:\"none\";s:57:\"ast-dynamic-single-page-article-featured-image-ratio-type\";s:7:\"default\";s:22:\"v4-5-0-backward-option\";b:0;s:26:\"scndry-btn-default-padding\";b:0;s:22:\"v4-6-0-backward-option\";b:0;s:19:\"blog-post-structure\";a:5:{i:0;s:5:\"image\";i:1;s:5:\"title\";i:2;s:10:\"title-meta\";i:3;s:7:\"excerpt\";i:4;s:9:\"read-more\";}s:28:\"single-content-images-shadow\";b:0;s:21:\"ast-font-style-update\";b:0;s:22:\"v4-6-2-backward-option\";b:0;s:33:\"ast-dynamic-single-page-structure\";a:1:{i:0;s:29:\"ast-dynamic-single-page-title\";}s:20:\"btn-stylings-upgrade\";b:0;s:24:\"elementor-headings-style\";b:1;s:33:\"elementor-container-padding-style\";b:1;s:14:\"font-extras-h1\";a:2:{s:11:\"line-height\";s:3:\"1.4\";s:16:\"line-height-unit\";s:2:\"em\";}s:14:\"font-extras-h2\";a:2:{s:11:\"line-height\";s:3:\"1.3\";s:16:\"line-height-unit\";s:2:\"em\";}s:14:\"font-extras-h3\";a:2:{s:11:\"line-height\";s:3:\"1.3\";s:16:\"line-height-unit\";s:2:\"em\";}s:14:\"font-extras-h4\";a:2:{s:11:\"line-height\";s:3:\"1.2\";s:16:\"line-height-unit\";s:2:\"em\";}s:14:\"font-extras-h5\";a:2:{s:11:\"line-height\";s:3:\"1.2\";s:16:\"line-height-unit\";s:2:\"em\";}s:14:\"font-extras-h6\";a:2:{s:11:\"line-height\";s:4:\"1.25\";s:16:\"line-height-unit\";s:2:\"em\";}s:34:\"global-headings-line-height-update\";b:1;s:37:\"single_posts_pages_heading_clear_none\";b:0;s:21:\"elementor-btn-styling\";b:1;s:52:\"remove_single_posts_navigation_mobile_device_padding\";b:1;s:27:\"enable-4-6-14-compatibility\";b:0;s:24:\"heading-widget-font-size\";b:0;}", "yes");
INSERT INTO `wp_options` VALUES("441", "_elementor_global_css", "a:6:{s:4:\"time\";i:1720680042;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;b:0;}", "yes");
INSERT INTO `wp_options` VALUES("442", "_elementor_assets_data", "a:1:{s:3:\"css\";a:1:{s:7:\"widgets\";a:6:{s:5:\"image\";a:2:{s:7:\"content\";s:269:\"<style>/*! elementor - v3.22.0 - 26-06-2024 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>\";s:7:\"version\";s:6:\"3.22.3\";}s:12:\"social-icons\";a:2:{s:7:\"content\";s:5051:\"<style>/*! elementor - v3.22.0 - 26-06-2024 */\n.elementor-widget-social-icons.elementor-grid-0 .elementor-widget-container,.elementor-widget-social-icons.elementor-grid-mobile-0 .elementor-widget-container,.elementor-widget-social-icons.elementor-grid-tablet-0 .elementor-widget-container{line-height:1;font-size:0}.elementor-widget-social-icons:not(.elementor-grid-0):not(.elementor-grid-tablet-0):not(.elementor-grid-mobile-0) .elementor-grid{display:inline-grid}.elementor-widget-social-icons .elementor-grid{grid-column-gap:var(--grid-column-gap,5px);grid-row-gap:var(--grid-row-gap,5px);grid-template-columns:var(--grid-template-columns);justify-content:var(--justify-content,center);justify-items:var(--justify-content,center)}.elementor-icon.elementor-social-icon{font-size:var(--icon-size,25px);line-height:var(--icon-size,25px);width:calc(var(--icon-size, 25px) + 2 * var(--icon-padding, .5em));height:calc(var(--icon-size, 25px) + 2 * var(--icon-padding, .5em))}.elementor-social-icon{--e-social-icon-icon-color:#fff;display:inline-flex;background-color:#69727d;align-items:center;justify-content:center;text-align:center;cursor:pointer}.elementor-social-icon i{color:var(--e-social-icon-icon-color)}.elementor-social-icon svg{fill:var(--e-social-icon-icon-color)}.elementor-social-icon:last-child{margin:0}.elementor-social-icon:hover{opacity:.9;color:#fff}.elementor-social-icon-android{background-color:#a4c639}.elementor-social-icon-apple{background-color:#999}.elementor-social-icon-behance{background-color:#1769ff}.elementor-social-icon-bitbucket{background-color:#205081}.elementor-social-icon-codepen{background-color:#000}.elementor-social-icon-delicious{background-color:#39f}.elementor-social-icon-deviantart{background-color:#05cc47}.elementor-social-icon-digg{background-color:#005be2}.elementor-social-icon-dribbble{background-color:#ea4c89}.elementor-social-icon-elementor{background-color:#d30c5c}.elementor-social-icon-envelope{background-color:#ea4335}.elementor-social-icon-facebook,.elementor-social-icon-facebook-f{background-color:#3b5998}.elementor-social-icon-flickr{background-color:#0063dc}.elementor-social-icon-foursquare{background-color:#2d5be3}.elementor-social-icon-free-code-camp,.elementor-social-icon-freecodecamp{background-color:#006400}.elementor-social-icon-github{background-color:#333}.elementor-social-icon-gitlab{background-color:#e24329}.elementor-social-icon-globe{background-color:#69727d}.elementor-social-icon-google-plus,.elementor-social-icon-google-plus-g{background-color:#dd4b39}.elementor-social-icon-houzz{background-color:#7ac142}.elementor-social-icon-instagram{background-color:#262626}.elementor-social-icon-jsfiddle{background-color:#487aa2}.elementor-social-icon-link{background-color:#818a91}.elementor-social-icon-linkedin,.elementor-social-icon-linkedin-in{background-color:#0077b5}.elementor-social-icon-medium{background-color:#00ab6b}.elementor-social-icon-meetup{background-color:#ec1c40}.elementor-social-icon-mixcloud{background-color:#273a4b}.elementor-social-icon-odnoklassniki{background-color:#f4731c}.elementor-social-icon-pinterest{background-color:#bd081c}.elementor-social-icon-product-hunt{background-color:#da552f}.elementor-social-icon-reddit{background-color:#ff4500}.elementor-social-icon-rss{background-color:#f26522}.elementor-social-icon-shopping-cart{background-color:#4caf50}.elementor-social-icon-skype{background-color:#00aff0}.elementor-social-icon-slideshare{background-color:#0077b5}.elementor-social-icon-snapchat{background-color:#fffc00}.elementor-social-icon-soundcloud{background-color:#f80}.elementor-social-icon-spotify{background-color:#2ebd59}.elementor-social-icon-stack-overflow{background-color:#fe7a15}.elementor-social-icon-steam{background-color:#00adee}.elementor-social-icon-stumbleupon{background-color:#eb4924}.elementor-social-icon-telegram{background-color:#2ca5e0}.elementor-social-icon-threads{background-color:#000}.elementor-social-icon-thumb-tack{background-color:#1aa1d8}.elementor-social-icon-tripadvisor{background-color:#589442}.elementor-social-icon-tumblr{background-color:#35465c}.elementor-social-icon-twitch{background-color:#6441a5}.elementor-social-icon-twitter{background-color:#1da1f2}.elementor-social-icon-viber{background-color:#665cac}.elementor-social-icon-vimeo{background-color:#1ab7ea}.elementor-social-icon-vk{background-color:#45668e}.elementor-social-icon-weibo{background-color:#dd2430}.elementor-social-icon-weixin{background-color:#31a918}.elementor-social-icon-whatsapp{background-color:#25d366}.elementor-social-icon-wordpress{background-color:#21759b}.elementor-social-icon-x-twitter{background-color:#000}.elementor-social-icon-xing{background-color:#026466}.elementor-social-icon-yelp{background-color:#af0606}.elementor-social-icon-youtube{background-color:#cd201f}.elementor-social-icon-500px{background-color:#0099e5}.elementor-shape-rounded .elementor-icon.elementor-social-icon{border-radius:10%}.elementor-shape-circle .elementor-icon.elementor-social-icon{border-radius:50%}</style>\";s:7:\"version\";s:6:\"3.22.3\";}s:7:\"heading\";a:2:{s:7:\"content\";s:673:\"<style>/*! elementor - v3.22.0 - 26-06-2024 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style>\";s:7:\"version\";s:6:\"3.22.3\";}s:11:\"text-editor\";a:2:{s:7:\"content\";s:720:\"<style>/*! elementor - v3.22.0 - 26-06-2024 */\n.elementor-widget-text-editor.elementor-drop-cap-view-stacked .elementor-drop-cap{background-color:#69727d;color:#fff}.elementor-widget-text-editor.elementor-drop-cap-view-framed .elementor-drop-cap{color:#69727d;border:3px solid;background-color:transparent}.elementor-widget-text-editor:not(.elementor-drop-cap-view-default) .elementor-drop-cap{margin-top:8px}.elementor-widget-text-editor:not(.elementor-drop-cap-view-default) .elementor-drop-cap-letter{width:1em;height:1em}.elementor-widget-text-editor .elementor-drop-cap{float:right;text-align:center;line-height:1;font-size:50px}.elementor-widget-text-editor .elementor-drop-cap-letter{display:inline-block}</style>\";s:7:\"version\";s:6:\"3.22.3\";}s:6:\"button\";a:2:{s:7:\"content\";s:0:\"\";s:7:\"version\";s:6:\"3.22.3\";}s:9:\"icon-list\";a:2:{s:7:\"content\";s:129:\"<link rel=\"stylesheet\" href=\"https://test.filtersanaat.com/wp-content/plugins/elementor/assets/css/widget-icon-list-rtl.min.css\">\";s:7:\"version\";s:6:\"3.22.3\";}}}}", "yes");
INSERT INTO `wp_options` VALUES("443", "_elementor_notifications_data", "a:2:{s:7:\"timeout\";i:1720696248;s:5:\"value\";s:8545:\"[{\"id\":\"element-caching-3.22\",\"title\":\"Accelerate Loading Times with Element Caching\",\"description\":\"Ensure a smooth and engaging experience for visitors by activating Element Caching.\",\"topic\":\"New in Elementor 3.22\",\"imageSrc\":\"https:\\/\\/assets.elementor.com\\/notifications\\/v1\\/images\\/performance-caching.png\",\"chipTags\":[\"Performance\"],\"link\":\"https:\\/\\/go.elementor.com\\/go-pro-notification-element-caching-blog\\/\",\"readMoreText\":\"Learn More\",\"conditions\":[[{\"type\":\"plugin\",\"plugin\":\"elementor-pro\\/elementor-pro.php\"}]]},{\"id\":\"element-caching-3.22\",\"title\":\"Accelerate Loading Times with Element Caching\",\"description\":\"Ensure a smooth and engaging experience for visitors by activating Element Caching.\",\"topic\":\"New in Elementor 3.22\",\"imageSrc\":\"https:\\/\\/assets.elementor.com\\/notifications\\/v1\\/images\\/performance-caching.png\",\"chipTags\":[\"Performance\"],\"link\":\"https:\\/\\/go.elementor.com\\/go-pro-notification-element-caching-blog\\/\",\"readMoreText\":\"Learn More\"},{\"id\":\"off-canvas-3.22\",\"title\":\"Build Interactive Layouts with the New Off-Canvas Widget\",\"description\":\"Tigger containers from a connected link to allow them to slide into view anywhere on the page.\",\"topic\":\"New in Elementor Pro 3.22\",\"imageSrc\":\"https:\\/\\/assets.elementor.com\\/notifications\\/v1\\/images\\/off-canvas.png\",\"chipPlan\":\"Pro\",\"chipTags\":[\"New Feature\"],\"link\":\"https:\\/\\/go.elementor.com\\/go-pro-notification-off-canvas-blog\\/\",\"readMoreText\":\"Learn More\",\"conditions\":[[{\"type\":\"plugin\",\"plugin\":\"elementor-pro\\/elementor-pro.php\"}]]},{\"id\":\"off-canvas-3.22\",\"title\":\"Build Interactive Layouts with the New Off-Canvas Widget\",\"description\":\"Tigger containers from a connected link to allow them to slide into view anywhere on the page.\",\"topic\":\"New in Elementor Pro 3.22\",\"imageSrc\":\"https:\\/\\/assets.elementor.com\\/notifications\\/v1\\/images\\/off-canvas.png\",\"chipPlan\":\"Pro\",\"chipTags\":[\"New Feature\"],\"link\":\"https:\\/\\/go.elementor.com\\/go-pro-notification-off-canvas-blog\\/\",\"readMoreText\":\"Learn More\",\"cta\":\"Upgrade\",\"ctaLink\":\"https:\\/\\/go.elementor.com\\/go-pro-notification-off-canvas\\/\\/\"},{\"id\":\"ai-personal-assistant-styling\",\"title\":\"AI Copilot Now Inherits Global Styling\",\"description\":\"Copilot now uses your site\'s style for fonts & colors when generating a container layout for even faster web creation backed by the power of AI. Enjoy a seamless design experience.\",\"topic\":\"Elementor AI\",\"imageSrc\":\"https:\\/\\/assets.elementor.com\\/notifications\\/v1\\/images\\/copilot-ai.png\",\"chipTags\":[\"New Feature\"],\"link\":\"https:\\/\\/go.elementor.com\\/ai-notification-personal-assistant-global-styling-blog\\/\",\"readMoreText\":\"Learn More\",\"conditions\":[[{\"type\":\"introduction_meta\",\"meta\":\"ai_get_started\"}]],\"cta\":\"Start Free Trial\",\"ctaLink\":\"https:\\/\\/go.elementor.com\\/ai-notification-personal-assistant-global-styling\\/\"},{\"id\":\"ai-personal-assistant-styling\",\"title\":\"AI Copilot Now Inherits Global Styling\",\"description\":\"Copilot now uses your site\'s style for fonts & colors when generating a container layout for even faster web creation backed by the power of AI. Enjoy a seamless design experience.\",\"topic\":\"Elementor AI\",\"imageSrc\":\"https:\\/\\/assets.elementor.com\\/notifications\\/v1\\/images\\/copilot-ai.png\",\"chipTags\":[\"New Feature\"],\"cta\":\"Start Free Trial\",\"link\":\"https:\\/\\/go.elementor.com\\/ai-notification-personal-assistant-global-styling-blog\\/\",\"readMoreText\":\"Learn More\",\"ctaLink\":\"https:\\/\\/go.elementor.com\\/ai-notification-personal-assistant-global-styling\\/\"},{\"id\":\"5-star-rating-prompt\",\"title\":\"Love the New Features? Let Us Know with 5 Stars!\",\"description\":\"Help spread the word by telling the world what you love about Elementor.\",\"imageSrc\":\"https:\\/\\/assets.elementor.com\\/notifications\\/v1\\/images\\/5-star-rating-prompt.png\",\"cta\":\"Leave a Review\",\"ctaLink\":\"https:\\/\\/go.elementor.com\\/wp-dash-notification-five-stars\\/\"},{\"id\":\"loop-taxonomy-query-3.21\",\"title\":\"Create Engaging Listings for Categories and Tags\",\"description\":\"Design beautiful Loop Grids & Carousels to consistently display your dynamic content.\",\"topic\":\"Version Pro 3.21\",\"imageSrc\":\"https:\\/\\/assets.elementor.com\\/notifications\\/v1\\/images\\/loop-taxonomy-query-3.21.png\",\"chipPlan\":\"Pro\",\"chipTags\":[\"New Feature\"],\"link\":\"https:\\/\\/go.elementor.com\\/go-pro-notification-taxonomy-query-blog\\/\",\"readMoreText\":\"Learn More\",\"conditions\":[[{\"type\":\"plugin\",\"plugin\":\"elementor-pro\\/elementor-pro.php\"}]]},{\"id\":\"loop-taxonomy-query-3.21\",\"title\":\"Create Engaging Listings for Categories and Tags\",\"description\":\"Design beautiful Loop Grids & Carousels to consistently display your dynamic content.\",\"topic\":\"Version Pro 3.21\",\"imageSrc\":\"https:\\/\\/assets.elementor.com\\/notifications\\/v1\\/images\\/loop-taxonomy-query-3.21.png\",\"chipPlan\":\"Pro\",\"chipTags\":[\"New Feature\"],\"link\":\"https:\\/\\/go.elementor.com\\/go-pro-notification-taxonomy-query-blog\\/\",\"readMoreText\":\"Learn More\",\"cta\":\"Upgrade\",\"ctaLink\":\"https:\\/\\/go.elementor.com\\/go-pro-notification-taxonomy-query\\/\"},{\"id\":\"ai-personal-assistant-3.21\",\"title\":\"Meet Your Personal AI Assistant\",\"description\":\"Copilot suggests container layouts, blending your personal style with industry best practices.\",\"topic\":\"Elementor AI\",\"imageSrc\":\"https:\\/\\/assets.elementor.com\\/notifications\\/v1\\/images\\/ai-personal-assistant-3.21.png\",\"chipTags\":[\"New Feature\"],\"link\":\"https:\\/\\/go.elementor.com\\/ai-notification-personal-assistant-blog\\/\",\"readMoreText\":\"Learn More\",\"conditions\":[[{\"type\":\"introduction_meta\",\"meta\":\"ai_get_started\"}]],\"cta\":\"Start Free Trial\",\"ctaLink\":\"https:\\/\\/go.elementor.com\\/ai-notification-personal-assistant\\/\"},{\"id\":\"ai-personal-assistant-3.21\",\"title\":\"Meet Your Personal AI Assistant\",\"description\":\"Copilot suggests container layouts, blending your personal style with industry best practices.\",\"topic\":\"Elementor AI\",\"imageSrc\":\"https:\\/\\/assets.elementor.com\\/notifications\\/v1\\/images\\/ai-personal-assistant-3.21.png\",\"chipTags\":[\"New Feature\"],\"cta\":\"Start Free Trial\",\"ctaLink\":\"https:\\/\\/go.elementor.com\\/ai-notification-web-based-container\\/\"},{\"id\":\"image-optimizer-3.19\",\"title\":\"Effortlessly optimize images for a stunning, high-speed website with the Image Optimizer plugin.\",\"description\":\"Image Optimizer perfectly balances between image quality and performance to boost your website.  Resize, compress, and convert images to WebP, for faster loading times and and better user experience.\",\"topic\":\"Image Optimizer Plugin by Elementor\",\"imageSrc\":\"https:\\/\\/assets.elementor.com\\/notifications\\/v1\\/images\\/image-optimizer-3.19.png\",\"chipTags\":[\"New plugin\"],\"cta\":\"Get the Image Optimizer\",\"ctaLink\":\"https:\\/\\/go.elementor.com\\/io-notification-wp-dash-learn-more\\/\",\"conditions\":[[{\"type\":\"plugin\",\"operator\":\"!=\",\"plugin\":\"image-optimization\\/image-optimization.php\"}]]},{\"id\":\"display-conditions-dynamic-content-3.20\",\"title\":\"Display Conditions for Dynamic Content\",\"description\":\"Transform your single post and page templates into dynamic designs that fit their content by setting display conditions based on Dynamic Tags, including native WordPress Custom Fields.\",\"topic\":\"Version Pro 3.20\",\"imageSrc\":\"https:\\/\\/assets.elementor.com\\/notifications\\/v1\\/images\\/dynamic-content-pro-3.20.png\",\"chipPlan\":\"Pro\",\"chipTags\":[\"New Feature\"],\"link\":\"https:\\/\\/go.elementor.com\\/go-pro-notification-display-conditions-blog\\/\",\"readMoreText\":\"Learn More\",\"conditions\":[[{\"type\":\"plugin\",\"plugin\":\"elementor-pro\\/elementor-pro.php\"}]]},{\"id\":\"display-conditions-dynamic-content-3.20\",\"title\":\"Display Content on Your Terms: Decide When, Where, and by Who the Content is Viewed\",\"description\":\"Tailor the content on your page to visitors based on various rules to create a powerful experience.\",\"topic\":\"Version Pro 3.20\",\"imageSrc\":\"https:\\/\\/assets.elementor.com\\/notifications\\/v1\\/images\\/display-conditions-3.20.png\",\"chipPlan\":\"Pro\",\"chipTags\":[\"New Feature\"],\"link\":\"https:\\/\\/go.elementor.com\\/go-pro-notification-display-conditions-blog\\/\",\"readMoreText\":\"Learn More\",\"cta\":\"Upgrade\",\"ctaLink\":\"https:\\/\\/go.elementor.com\\/go-pro-notification-dispaly-conditions\\/\"},{\"id\":\"elementor-add-ons\",\"title\":\"Exciting Add-Ons & Plugins to Enhance Elementor Websites\",\"description\":\"Uncover a treasure trove of tools from Elementor and others, put together to boost your website\'s capabilities and enhance its overall appeal.\",\"topic\":\"Elementor Add-Ons\",\"imageSrc\":\"https:\\/\\/assets.elementor.com\\/notifications\\/v1\\/images\\/elementor-add-ons.png\",\"cta\":\"Check it out\",\"ctaLink\":\"https:\\/\\/go.elementor.com\\/wp-dash-notification-addons\\/\"}]\";}", "no");
INSERT INTO `wp_options` VALUES("444", "_transient_timeout_elementor_unread_notifications_1", "1720683648", "no");
INSERT INTO `wp_options` VALUES("445", "_transient_elementor_unread_notifications_1", "a:9:{i:0;s:20:\"element-caching-3.22\";i:1;s:15:\"off-canvas-3.22\";i:2;s:29:\"ai-personal-assistant-styling\";i:3;s:20:\"5-star-rating-prompt\";i:4;s:24:\"loop-taxonomy-query-3.21\";i:5;s:26:\"ai-personal-assistant-3.21\";i:6;s:20:\"image-optimizer-3.19\";i:7;s:39:\"display-conditions-dynamic-content-3.20\";i:8;s:17:\"elementor-add-ons\";}", "no");
INSERT INTO `wp_options` VALUES("449", "_site_transient_timeout_browser_c068eb8995c441f0301a0fa52de88c34", "1721285970", "no");
INSERT INTO `wp_options` VALUES("450", "_site_transient_browser_c068eb8995c441f0301a0fa52de88c34", "a:10:{s:4:\"name\";s:7:\"Firefox\";s:7:\"version\";s:5:\"128.0\";s:8:\"platform\";s:7:\"Windows\";s:10:\"update_url\";s:32:\"https://www.mozilla.org/firefox/\";s:7:\"img_src\";s:44:\"http://s.w.org/images/browsers/firefox.png?1\";s:11:\"img_src_ssl\";s:45:\"https://s.w.org/images/browsers/firefox.png?1\";s:15:\"current_version\";s:2:\"56\";s:7:\"upgrade\";b:0;s:8:\"insecure\";b:0;s:6:\"mobile\";b:0;}", "no");
INSERT INTO `wp_options` VALUES("452", "_site_transient_community-events-1fc651e7a540d47a97574323d7facb47", "a:4:{s:9:\"sandboxed\";b:0;s:5:\"error\";N;s:8:\"location\";a:1:{s:2:\"ip\";s:11:\"5.113.104.0\";}s:6:\"events\";a:0:{}}", "no");
INSERT INTO `wp_options` VALUES("453", "_transient_timeout_feed_9ba2df8849616f02166b8f7242d75067", "1720724372", "no");
INSERT INTO `wp_options` VALUES("454", "_transient_feed_9ba2df8849616f02166b8f7242d75067", "a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n\n\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:52:\"\n	\n	\n	\n	\n	\n	\n	\n	\n	\n\n \n	\n		\n		\n		\n		\n		\n		\n		\n		\n		\n	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:8:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:37:\"بلاگ – WordPress.org فارسی\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:24:\"https://fa.wordpress.org\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:13:\"lastBuildDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 15 Feb 2024 09:00:21 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"fa-IR\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"generator\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"https://wordpress.org/?v=6.7-alpha-58704\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"image\";a:1:{i:0;a:6:{s:4:\"data\";s:11:\"\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:5:{s:3:\"url\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://s.w.org/favicon.ico?2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:37:\"بلاگ – WordPress.org فارسی\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:24:\"https://fa.wordpress.org\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"width\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"32\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:6:\"height\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"32\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}s:4:\"item\";a:10:{i:0;a:6:{s:4:\"data\";s:57:\"\n		\n		\n		\n		\n		\n				\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"وردپرس فارسی نگارش ۶.۴\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:121:\"https://fa.wordpress.org/2023/11/07/%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3-6-4-%d9%85%d9%86%d8%aa%d8%b4%d8%b1-%d8%b4%d8%af/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 07 Nov 2023 11:20:10 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"اخبار\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"https://fa.wordpress.org/?p=905\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:600:\"این نسخه جدید از وردپرس، یک قالب پیش‌فرض جدید و چندین ارتقاء جهت تقویت هر مرحله از سفر خلاقانه‌تان را معرفی می‌کند. محتوای خود را به‌صورت بی‌درنگ با بهبودهای بیشتر در نوشتن ایجاد کنید. با ابزارهای بهبود یافته، راه‌های بیشتری برای زنده‌سازی دیدگاه‌های خود بیابید و ویرایش سایت را با ابزارهای پیشرفته ساده‌تر کنید. انعطاف [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Farhad Sakhaei\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:1976:\"\n<p>این نسخه جدید از وردپرس، یک قالب پیش‌فرض جدید و چندین ارتقاء جهت تقویت هر مرحله از سفر خلاقانه‌تان را معرفی می‌کند. محتوای خود را به‌صورت بی‌درنگ با بهبودهای بیشتر در نوشتن ایجاد کنید. با ابزارهای بهبود یافته، راه‌های بیشتری برای زنده‌سازی دیدگاه‌های خود بیابید و ویرایش سایت را با ابزارهای پیشرفته ساده‌تر کنید. انعطاف بی‌نظیر ساختار با بلوک‌ها را کشف کنید و به ایده‌های خود اجازه بدهید که پرواز کنند.</p>\n\n\n\n<p>بسیاری از ویژگی‌ها و بهبودهای وردپرس 6.4 در دسته &#8220;کوچک اما قدرتمند&#8221; قرار دارند. همراه با زیبایی چند منظوره قالب Twenty Twenty-Four (دو هزار و بیست و چهار)، این به‌روزرسانی‌ها به خالقان محتوا و توسعه‌دهندگان سایت کمک می‌کنند تا زمان و تلاش خود را صرفه‌جویی کنند و در عین حال تجربه وردپرس با ارزش و کم دردسر را که جهان انتظار دارده است، ارائه دهند.</p>\n\n\n\n<figure class=\"wp-block-image aligncenter size-full\"><a href=\"https://fa.wordpress.org/files/2024/02/tt41.png\"><img fetchpriority=\"high\" decoding=\"async\" width=\"1024\" height=\"666\" src=\"https://fa.wordpress.org/files/2024/02/tt41.png\" alt=\"وردپرس 6.4\" class=\"wp-image-906\" srcset=\"https://fa.wordpress.org/files/2024/02/tt41.png 1024w, https://fa.wordpress.org/files/2024/02/tt41-300x195.png 300w, https://fa.wordpress.org/files/2024/02/tt41-768x500.png 768w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" /></a><figcaption class=\"wp-element-caption\">وردپرس 6.4</figcaption></figure>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:3:\"905\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:57:\"\n		\n		\n		\n		\n		\n				\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"وردپرس فارسی نگارش ۶.۳\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:50:\"https://fa.wordpress.org/2023/08/20/wordpress-6-3/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 20 Aug 2023 20:15:49 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"اخبار\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"https://fa.wordpress.org/?p=858\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:513:\"با وردپرس 6.3 شما می‌توانید وب سایت‌های زیبا و جذاب‌تر از همیشه ایجاد کنید. چه بخواهید یک سایت کامل بدون کدنویسی بسازید یا یک توسعه دهنده باشید که به دنبال سفارشی کردن تمام جزئیات است، وردپرس 6.3 چیزی برای جلب توجه شما دارد. با باز کردن بسته بندی و کاوش در این آخرین نسخه، عملکردها [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"Saeed Fard\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2241:\"\n<p>با وردپرس 6.3 شما می‌توانید وب سایت‌های زیبا و جذاب‌تر از همیشه ایجاد کنید. چه بخواهید یک سایت کامل بدون کدنویسی بسازید یا یک توسعه دهنده باشید که به دنبال سفارشی کردن تمام جزئیات است، وردپرس 6.3 چیزی برای جلب توجه شما دارد. با باز کردن بسته بندی و کاوش در این آخرین نسخه، عملکردها و پیمایش به روز شده ای را خواهید دید که به شما کمک می کند با تلاش کمتر کار کنید و ایجاد کنید، ابزارهایی طراحی کنید که کنترل بیشتری بر طرح بندی به شما می‌دهد، و عملکردهای افزوده شده‌ای را که تجربه ساخت سایت را غنی می کند. وردپرس 6.3 فصل مهمی را در تکامل وردپرس به عنوان ابزاری برای بیان مشخص می‌کند. این نقطه اوج سال‌ها کار صدها مشارکت‌کننده است که تجربه ویرایش قوی‌تر و منسجم‌تری را برای ساخت وب‌سایت‌هایی با بلوک به ارمغان می‌آورد. این به تلاش برای قابل دسترس ساختن انتشار وب برای همه ادامه می دهد &#8211; بنابراین فقط یک شروع جدید است!</p>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://i0.wp.com/wordpress.org/news/files/2023/08/site-editor-2.png?resize=1024%2C666&amp;ssl=1\" alt=\"\" /></figure>\n\n\n\n<p>وردپرس جدید را از لینک زیر دریافت نمایید.</p>\n\n\n\n<div class=\"wp-block-buttons is-horizontal is-content-justification-center is-layout-flex wp-container-core-buttons-is-layout-1 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link has-vivid-cyan-blue-background-color has-text-color has-background wp-element-button\" href=\"https://fa.wordpress.org/download/\" style=\"border-radius:8px;color:#ffffff\" target=\"_blank\" rel=\"noreferrer noopener\">دریافت وردپرس فارسی</a></div>\n</div>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:3:\"858\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:57:\"\n		\n		\n		\n		\n		\n				\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"وردپرس فارسی نگارش ۶.۲\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:162:\"https://fa.wordpress.org/2023/04/05/%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3-%d9%81%d8%a7%d8%b1%d8%b3%db%8c-%db%b6-%db%b2-%d9%85%d9%86%d8%aa%d8%b4%d8%b1-%d8%b4%d8%af/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 05 Apr 2023 07:13:28 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"اخبار\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"https://fa.wordpress.org/?p=760\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:580:\"وردپرس ۶.۲ شامل بیش از ۲۹۲ بهبود و ۳۹۴ رفع مشکل است. این برگه آخرین امکانات برجسته را از زمان انتشار وردپرس ۶.۱ در نوامبر ۲۰۲۲ نشان می‌دهد. تازه‌ترین نگارش راهنمای زمینهٔ وردپرس را بررسی نمایید. سرشار از یادداشت‌های دقیق توسعه‌دهنده است که به شما کمک می‌کند با وردپرس بسازید. برای اطلاعات بیشتر دربارهٔ پیشرفت‌ها [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Morteza Geransayeh\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:10289:\"\n<p>وردپرس ۶.۲ شامل بیش از ۲۹۲ بهبود و ۳۹۴ رفع مشکل است. این برگه آخرین امکانات برجسته را از زمان انتشار وردپرس ۶.۱ در نوامبر ۲۰۲۲ نشان می‌دهد.</p>\n\n\n\n<div class=\"wp-block-jetpack-tiled-gallery alignfull is-style-rectangular\"><div class=\"tiled-gallery__gallery\"><div class=\"tiled-gallery__row\"><div class=\"tiled-gallery__col\" style=\"flex-basis:66.70764%\"><figure class=\"tiled-gallery__item\"><a href=\"https://fa.wordpress.org/files/2023/04/about-site-editor.png\"><img decoding=\"async\" srcset=\"https://i0.wp.com/fa.wordpress.org/files/2023/04/about-site-editor.png?strip=info&#038;w=600&#038;ssl=1 600w,https://i0.wp.com/fa.wordpress.org/files/2023/04/about-site-editor.png?strip=info&#038;w=872&#038;ssl=1 872w\" alt=\"\" data-height=\"872\" data-id=\"763\" data-link=\"https://fa.wordpress.org/2023/04/05/%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3-%d9%81%d8%a7%d8%b1%d8%b3%db%8c-%db%b6-%db%b2-%d9%85%d9%86%d8%aa%d8%b4%d8%b1-%d8%b4%d8%af/about-site-editor/\" data-url=\"https://fa.wordpress.org/files/2023/04/about-site-editor.png\" data-width=\"872\" src=\"https://i0.wp.com/fa.wordpress.org/files/2023/04/about-site-editor.png?ssl=1\" data-amp-layout=\"responsive\" /></a></figure></div><div class=\"tiled-gallery__col\" style=\"flex-basis:33.29236%\"><figure class=\"tiled-gallery__item\"><a href=\"https://fa.wordpress.org/files/2023/04/about-navigation.png\"><img decoding=\"async\" srcset=\"https://i0.wp.com/fa.wordpress.org/files/2023/04/about-navigation.png?strip=info&#038;w=600&#038;ssl=1 600w,https://i0.wp.com/fa.wordpress.org/files/2023/04/about-navigation.png?strip=info&#038;w=872&#038;ssl=1 872w\" alt=\"\" data-height=\"872\" data-id=\"764\" data-link=\"https://fa.wordpress.org/2023/04/05/%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3-%d9%81%d8%a7%d8%b1%d8%b3%db%8c-%db%b6-%db%b2-%d9%85%d9%86%d8%aa%d8%b4%d8%b1-%d8%b4%d8%af/about-navigation/\" data-url=\"https://fa.wordpress.org/files/2023/04/about-navigation.png\" data-width=\"872\" src=\"https://i0.wp.com/fa.wordpress.org/files/2023/04/about-navigation.png?ssl=1\" data-amp-layout=\"responsive\" /></a></figure><figure class=\"tiled-gallery__item\"><a href=\"https://fa.wordpress.org/files/2023/04/about-block-inserter.png\"><img decoding=\"async\" srcset=\"https://i0.wp.com/fa.wordpress.org/files/2023/04/about-block-inserter.png?strip=info&#038;w=600&#038;ssl=1 600w,https://i0.wp.com/fa.wordpress.org/files/2023/04/about-block-inserter.png?strip=info&#038;w=872&#038;ssl=1 872w\" alt=\"\" data-height=\"872\" data-id=\"765\" data-link=\"https://fa.wordpress.org/2023/04/05/%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3-%d9%81%d8%a7%d8%b1%d8%b3%db%8c-%db%b6-%db%b2-%d9%85%d9%86%d8%aa%d8%b4%d8%b1-%d8%b4%d8%af/about-block-inserter/\" data-url=\"https://fa.wordpress.org/files/2023/04/about-block-inserter.png\" data-width=\"872\" src=\"https://i0.wp.com/fa.wordpress.org/files/2023/04/about-block-inserter.png?ssl=1\" data-amp-layout=\"responsive\" /></a></figure></div></div><div class=\"tiled-gallery__row\"><div class=\"tiled-gallery__col\" style=\"flex-basis:33.33333%\"><figure class=\"tiled-gallery__item\"><a href=\"https://fa.wordpress.org/files/2023/04/about-split-controls-fixed.png\"><img decoding=\"async\" srcset=\"https://i1.wp.com/fa.wordpress.org/files/2023/04/about-split-controls-fixed.png?strip=info&#038;w=600&#038;ssl=1 600w,https://i1.wp.com/fa.wordpress.org/files/2023/04/about-split-controls-fixed.png?strip=info&#038;w=872&#038;ssl=1 872w\" alt=\"\" data-height=\"872\" data-id=\"766\" data-link=\"https://fa.wordpress.org/2023/04/05/%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3-%d9%81%d8%a7%d8%b1%d8%b3%db%8c-%db%b6-%db%b2-%d9%85%d9%86%d8%aa%d8%b4%d8%b1-%d8%b4%d8%af/about-split-controls-fixed/\" data-url=\"https://fa.wordpress.org/files/2023/04/about-split-controls-fixed.png\" data-width=\"872\" src=\"https://i1.wp.com/fa.wordpress.org/files/2023/04/about-split-controls-fixed.png?ssl=1\" data-amp-layout=\"responsive\" /></a></figure></div><div class=\"tiled-gallery__col\" style=\"flex-basis:33.33333%\"><figure class=\"tiled-gallery__item\"><a href=\"https://fa.wordpress.org/files/2023/04/about-openverse.png\"><img decoding=\"async\" srcset=\"https://i0.wp.com/fa.wordpress.org/files/2023/04/about-openverse.png?strip=info&#038;w=600&#038;ssl=1 600w,https://i0.wp.com/fa.wordpress.org/files/2023/04/about-openverse.png?strip=info&#038;w=872&#038;ssl=1 872w\" alt=\"\" data-height=\"872\" data-id=\"767\" data-link=\"https://fa.wordpress.org/2023/04/05/%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3-%d9%81%d8%a7%d8%b1%d8%b3%db%8c-%db%b6-%db%b2-%d9%85%d9%86%d8%aa%d8%b4%d8%b1-%d8%b4%d8%af/about-openverse/\" data-url=\"https://fa.wordpress.org/files/2023/04/about-openverse.png\" data-width=\"872\" src=\"https://i0.wp.com/fa.wordpress.org/files/2023/04/about-openverse.png?ssl=1\" data-amp-layout=\"responsive\" /></a></figure></div><div class=\"tiled-gallery__col\" style=\"flex-basis:33.33333%\"><figure class=\"tiled-gallery__item\"><a href=\"https://fa.wordpress.org/files/2023/04/about-headers.png\"><img decoding=\"async\" srcset=\"https://i1.wp.com/fa.wordpress.org/files/2023/04/about-headers.png?strip=info&#038;w=600&#038;ssl=1 600w,https://i1.wp.com/fa.wordpress.org/files/2023/04/about-headers.png?strip=info&#038;w=872&#038;ssl=1 872w\" alt=\"\" data-height=\"872\" data-id=\"768\" data-link=\"https://fa.wordpress.org/2023/04/05/%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3-%d9%81%d8%a7%d8%b1%d8%b3%db%8c-%db%b6-%db%b2-%d9%85%d9%86%d8%aa%d8%b4%d8%b1-%d8%b4%d8%af/about-headers/\" data-url=\"https://fa.wordpress.org/files/2023/04/about-headers.png\" data-width=\"872\" src=\"https://i1.wp.com/fa.wordpress.org/files/2023/04/about-headers.png?ssl=1\" data-amp-layout=\"responsive\" /></a></figure></div></div><div class=\"tiled-gallery__row\"><div class=\"tiled-gallery__col\" style=\"flex-basis:25.00000%\"><figure class=\"tiled-gallery__item\"><a href=\"https://fa.wordpress.org/files/2023/04/about-out-of-beta.png\"><img decoding=\"async\" srcset=\"https://i0.wp.com/fa.wordpress.org/files/2023/04/about-out-of-beta.png?strip=info&#038;w=600&#038;ssl=1 600w,https://i0.wp.com/fa.wordpress.org/files/2023/04/about-out-of-beta.png?strip=info&#038;w=872&#038;ssl=1 872w\" alt=\"\" data-height=\"872\" data-id=\"769\" data-link=\"https://fa.wordpress.org/2023/04/05/%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3-%d9%81%d8%a7%d8%b1%d8%b3%db%8c-%db%b6-%db%b2-%d9%85%d9%86%d8%aa%d8%b4%d8%b1-%d8%b4%d8%af/about-out-of-beta/\" data-url=\"https://fa.wordpress.org/files/2023/04/about-out-of-beta.png\" data-width=\"872\" src=\"https://i0.wp.com/fa.wordpress.org/files/2023/04/about-out-of-beta.png?ssl=1\" data-amp-layout=\"responsive\" /></a></figure></div><div class=\"tiled-gallery__col\" style=\"flex-basis:25.00000%\"><figure class=\"tiled-gallery__item\"><a href=\"https://fa.wordpress.org/files/2023/04/about-distraction-free.png\"><img decoding=\"async\" srcset=\"https://i0.wp.com/fa.wordpress.org/files/2023/04/about-distraction-free.png?strip=info&#038;w=600&#038;ssl=1 600w,https://i0.wp.com/fa.wordpress.org/files/2023/04/about-distraction-free.png?strip=info&#038;w=872&#038;ssl=1 872w\" alt=\"\" data-height=\"872\" data-id=\"770\" data-link=\"https://fa.wordpress.org/2023/04/05/%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3-%d9%81%d8%a7%d8%b1%d8%b3%db%8c-%db%b6-%db%b2-%d9%85%d9%86%d8%aa%d8%b4%d8%b1-%d8%b4%d8%af/about-distraction-free/\" data-url=\"https://fa.wordpress.org/files/2023/04/about-distraction-free.png\" data-width=\"872\" src=\"https://i0.wp.com/fa.wordpress.org/files/2023/04/about-distraction-free.png?ssl=1\" data-amp-layout=\"responsive\" /></a></figure></div><div class=\"tiled-gallery__col\" style=\"flex-basis:25.00000%\"><figure class=\"tiled-gallery__item\"><a href=\"https://fa.wordpress.org/files/2023/04/about-custom-css.png\"><img decoding=\"async\" srcset=\"https://i2.wp.com/fa.wordpress.org/files/2023/04/about-custom-css.png?strip=info&#038;w=560&#038;ssl=1 560w\" alt=\"\" data-height=\"560\" data-id=\"771\" data-link=\"https://fa.wordpress.org/2023/04/05/%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3-%d9%81%d8%a7%d8%b1%d8%b3%db%8c-%db%b6-%db%b2-%d9%85%d9%86%d8%aa%d8%b4%d8%b1-%d8%b4%d8%af/about-custom-css/\" data-url=\"https://fa.wordpress.org/files/2023/04/about-custom-css.png\" data-width=\"560\" src=\"https://i2.wp.com/fa.wordpress.org/files/2023/04/about-custom-css.png?ssl=1\" data-amp-layout=\"responsive\" /></a></figure></div><div class=\"tiled-gallery__col\" style=\"flex-basis:25.00000%\"><figure class=\"tiled-gallery__item\"><a href=\"https://fa.wordpress.org/files/2023/04/about-copy-paste.png\"><img decoding=\"async\" srcset=\"https://i2.wp.com/fa.wordpress.org/files/2023/04/about-copy-paste.png?strip=info&#038;w=560&#038;ssl=1 560w\" alt=\"\" data-height=\"560\" data-id=\"772\" data-link=\"https://fa.wordpress.org/2023/04/05/%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3-%d9%81%d8%a7%d8%b1%d8%b3%db%8c-%db%b6-%db%b2-%d9%85%d9%86%d8%aa%d8%b4%d8%b1-%d8%b4%d8%af/about-copy-paste/\" data-url=\"https://fa.wordpress.org/files/2023/04/about-copy-paste.png\" data-width=\"560\" src=\"https://i2.wp.com/fa.wordpress.org/files/2023/04/about-copy-paste.png?ssl=1\" data-amp-layout=\"responsive\" /></a></figure></div></div></div></div>\n\n\n\n<p></p>\n\n\n\n<p>تازه‌ترین نگارش <a href=\"https://make.wordpress.org/core/2023/03/09/wordpress-6-2-field-guide/\">راهنمای زمینهٔ وردپرس</a> را بررسی نمایید. سرشار از یادداشت‌های دقیق توسعه‌دهنده است که به شما کمک می‌کند با وردپرس بسازید.</p>\n\n\n\n<div class=\"wp-block-buttons is-horizontal is-content-justification-center is-layout-flex wp-container-core-buttons-is-layout-2 wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link has-vivid-cyan-blue-background-color has-text-color has-background wp-element-button\" href=\"https://fa.wordpress.org/download/\" style=\"border-radius:8px;color:#ffffff\" target=\"_blank\" rel=\"noreferrer noopener\">دریافت وردپرس فارسی</a></div>\n</div>\n\n\n\n<p>برای اطلاعات بیشتر دربارهٔ پیشرفت‌ها و مشکلات حل شده، اطلاعات نصب، یادداشت‌های توسعه‌دهنده و منابع، همکاری‌کنندگان در انتشار، و فهرست تغییرات پرونده در این نسخه <a href=\"https://wordpress.org/documentation/wordpress-version/version-6-2/\">یادداشت‌های انتشار وردپرس ۶.۲ را بخوانید</a>.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:3:\"760\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:57:\"\n		\n		\n		\n		\n		\n				\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:41:\"وردپرس فارسی نگارش ۵٫۸\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:167:\"https://fa.wordpress.org/2020/12/09/%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3-%d9%81%d8%a7%d8%b1%d8%b3%db%8c-%db%b5%d9%ab%db%b8-%d9%85%d9%86%d8%aa%d8%b4%d8%b1-%d8%b4%d8%af/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 09 Dec 2020 14:35:04 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"اخبار\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"https://fa.wordpress.org/?p=662\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:611:\"&#8212; سه نیروی اساسی مدیریت ابزارک‌ها با بلوک‌ها بعد از ماه‌ها کار سخت، بلوک‌های پر قدرت ویرایشگر ابزارک‌های بلوکی و سفارشی‌ساز آمده‌اند. هم‌اکنون شما می‌توانید بلوک‌ها را از هر دو طریق ناحیه‌های ابزارک سایتتان و پیش‌نمایش زنده سفارشی‌ساز اضافه کنید. این امکانات جدیدی را برای ایجاد محتوا ایجاد می کند: از طرح بندی کوچک بدون [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Morteza Geransayeh\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:16140:\"\n<p class=\"has-text-align-center has-white-color has-text-color\">&#8212;</p>\n\n\n\n<h2 class=\"has-text-align-center has-large-font-size wp-block-heading\"> سه نیروی اساسی </h2>\n\n\n\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile\" style=\"grid-template-columns:60% auto\"><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" width=\"1024\" height=\"768\" src=\"https://fa.wordpress.org/files/2021/07/about-widgets-blocks-1024x768.png\" alt=\"\" class=\"wp-image-698 size-full\" srcset=\"https://fa.wordpress.org/files/2021/07/about-widgets-blocks-1024x768.png 1024w, https://fa.wordpress.org/files/2021/07/about-widgets-blocks-300x225.png 300w, https://fa.wordpress.org/files/2021/07/about-widgets-blocks-768x576.png 768w, https://fa.wordpress.org/files/2021/07/about-widgets-blocks-440x330.png 440w, https://fa.wordpress.org/files/2021/07/about-widgets-blocks.png 1280w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" /></figure><div class=\"wp-block-media-text__content\">\n<h3 class=\"wp-block-heading\">مدیریت ابزارک‌ها با بلوک‌ها</h3>\n\n\n\n<p>بعد از ماه‌ها کار سخت، بلوک‌های پر قدرت ویرایشگر ابزارک‌های بلوکی و سفارشی‌ساز آمده‌اند. هم‌اکنون شما می‌توانید بلوک‌ها را از هر دو طریق ناحیه‌های ابزارک سایتتان و پیش‌نمایش زنده سفارشی‌ساز اضافه کنید. این امکانات جدیدی را برای ایجاد محتوا ایجاد می کند: از طرح بندی کوچک بدون کد گرفته تا کتابخانه گسترده بلوک‌های اصلی و شخص ثالث. برای توسعه‌دهندگانمان، شما می‌توانید جزئیات بیشتر را در <a href=\"https://make.wordpress.org/core/2021/06/29/block-based-widgets-editor-in-wordpress-5-8/\">یادداشت توسعه ابزارک‌ها</a> پیدا کنید.</p>\n</div></div>\n\n\n\n<div class=\"wp-block-media-text alignwide has-media-on-the-right is-stacked-on-mobile\" style=\"grid-template-columns:auto 60%\"><figure class=\"wp-block-media-text__media\"><img decoding=\"async\" width=\"1024\" height=\"811\" src=\"https://fa.wordpress.org/files/2021/07/about-query-loop-1024x811.png\" alt=\"\" class=\"wp-image-697 size-full\" srcset=\"https://fa.wordpress.org/files/2021/07/about-query-loop-1024x811.png 1024w, https://fa.wordpress.org/files/2021/07/about-query-loop-300x238.png 300w, https://fa.wordpress.org/files/2021/07/about-query-loop-768x608.png 768w, https://fa.wordpress.org/files/2021/07/about-query-loop.png 1280w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" /></figure><div class=\"wp-block-media-text__content\">\n<h3 class=\"wp-block-heading\">نمایش نوشته‌ها با بلوک‌ها و الگوهای جدید</h3>\n\n\n\n<p>بلوک چرخه درخواست امکان نمایش نوشته‌ها را براساس پارامترهای تعیین‌شده فراهم می‌کند؛ نظیر یک چرخه PHP بدون کدنویسی. به آسانی نوشته‌های یک دسته خاص را نمایش دهید یا کارهایی نظیر ایجاد یک برگه نمونه کار یا یک برگه کامل از دستورات آشپزی مورد علاقه شما انجام دهید. به بلوک آخرین نوشته‌ها به عنوان یک بلوک بسیار پیچیده و قوی فکر کنید! به علاوه، پیشنهادات الگو باعث می‌شود تا ایجاد لیستی از نوشته‌ها با طراحی مورد نظرتان آسان‌تر از گذشته قابل انجام باشد.</p>\n</div></div>\n\n\n\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile\" style=\"grid-template-columns:60% auto\"><figure class=\"wp-block-media-text__media\"><img loading=\"lazy\" decoding=\"async\" width=\"1024\" height=\"666\" src=\"https://fa.wordpress.org/files/2020/12/about-template-1024x666.png\" alt=\"\" class=\"wp-image-699 size-full\" srcset=\"https://fa.wordpress.org/files/2020/12/about-template-1024x666.png 1024w, https://fa.wordpress.org/files/2020/12/about-template-300x195.png 300w, https://fa.wordpress.org/files/2020/12/about-template-768x499.png 768w, https://fa.wordpress.org/files/2020/12/about-template.png 1280w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" /></figure><div class=\"wp-block-media-text__content\">\n<h3 class=\"wp-block-heading\">ویرایش قالب اطراف نوشته‌ها</h3>\n\n\n\n<p>شما می‌توانید از ویرایشگر بلوک آشنا برای ویرایش قالب‌هایی که محتوای شما را در اختیار دارند استفاده کنید—به سادگی یک بلوک پوسته یا یک پوسته را که این ویژگی را انتخاب کرده است فعال کنید. از ویرایش نوشته‌ها به ویرایش برگه‌های خود بروید و دوباره بازگردید، همه اینها در حالی‌است که از ویرایشگر بلوک آشنا استفاده می‌کنید. بیش از ۲۰ بلوک جدید سارگاز با پوسته‌ها در دسترس است. در مورد این قابلیت و اینکه چطور می‌توان آن را تجربه کرد در یادداشت‌های انتشار بخوانید.</p>\n</div></div>\n\n\n\n<p> </p>\n\n\n\n<p></p>\n\n\n\n<h2 class=\"has-text-align-center has-large-font-size wp-block-heading\">سه همیار گردش کار</h2>\n\n\n\n<div class=\"wp-block-media-text alignwide has-media-on-the-right is-stacked-on-mobile\" style=\"grid-template-columns:auto 60%\"><figure class=\"wp-block-media-text__media\"><a href=\"https://fa.wordpress.org/files/2020/12/about-list-view.png\"><img loading=\"lazy\" decoding=\"async\" width=\"1024\" height=\"803\" src=\"https://fa.wordpress.org/files/2020/12/about-list-view-1024x803.png\" alt=\"\" class=\"wp-image-700 size-full\" srcset=\"https://fa.wordpress.org/files/2020/12/about-list-view-1024x803.png 1024w, https://fa.wordpress.org/files/2020/12/about-list-view-300x235.png 300w, https://fa.wordpress.org/files/2020/12/about-list-view-768x602.png 768w, https://fa.wordpress.org/files/2020/12/about-list-view.png 1280w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" /></a></figure><div class=\"wp-block-media-text__content\">\n<h3 class=\"wp-block-heading\">نمای کلی ساختار برگه</h3>\n\n\n\n<p>گاهی شما نیاز به یک برگه فرود ساده نیاز داری ، اما گاهی نیاز به یک چیز قوی‌تر دارید. با اضافه شدن بلوک‌ها‌ی بیشتر، ادغام الوگها، و آسان شده ایجاد محتوا، راه‌حل‌های جدیدی لازم است تا بتوان محتوای پیچیده را به راحتی جستجو کرد. مشاهده فهرستی بهترین راه برای پرش بین لایه‌های محتوا و بلوک‌های تو در تو است. از آنجا که مشاهده فهرستی به شما یک نمای کلی از تمام بلوک‌های محتوای شما می‌دهد، اکنون می‌توانید به سرعت و دقیق به بلوک مورد نیاز خود بروید. آماده تمرکز کامل بر روی محتوای خود هستید؟ این را متناسب با گردش کار خود روشن یا خاموش کنید.</p>\n</div></div>\n\n\n\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile\" style=\"grid-template-columns:60% auto\"><figure class=\"wp-block-media-text__media\"><a href=\"https://fa.wordpress.org/files/2020/12/about-pattern-suggestions.png\"><img loading=\"lazy\" decoding=\"async\" width=\"1024\" height=\"555\" src=\"https://fa.wordpress.org/files/2020/12/about-pattern-suggestions-1024x555.png\" alt=\"\" class=\"wp-image-701 size-full\" srcset=\"https://fa.wordpress.org/files/2020/12/about-pattern-suggestions-1024x555.png 1024w, https://fa.wordpress.org/files/2020/12/about-pattern-suggestions-300x163.png 300w, https://fa.wordpress.org/files/2020/12/about-pattern-suggestions-768x416.png 768w, https://fa.wordpress.org/files/2020/12/about-pattern-suggestions.png 1280w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" /></a></figure><div class=\"wp-block-media-text__content\">\n<h3 class=\"wp-block-heading\">الگوهای پیشنهادی برای بلوک‌ها</h3>\n\n\n\n<p>شروع در این نسخه ابزار دگرگونی الگو که الگوهای بلوک را بر اساس بلوکی که استفاده می‌کنید پیشنهاد می‌دهد. هم‌اکنون، می‌توانید این را در بلوک کوئری و بلوک آیکون شبکه‌های اجتماعی استفاده نمایید. با اضافه شدن الگوهای بیشتر، شما می‌توانید از نحوه سبک دادن به سایت خود بدون اینکه هرگز از ویرایشگر خارج شوید الهام بگیرید!</p>\n</div></div>\n\n\n\n<div class=\"wp-block-media-text alignwide has-media-on-the-right is-stacked-on-mobile\" style=\"grid-template-columns:auto 60%\"><figure class=\"wp-block-media-text__media\"><a href=\"https://fa.wordpress.org/files/2020/12/about-duotone.png\"><img loading=\"lazy\" decoding=\"async\" width=\"1024\" height=\"837\" src=\"https://fa.wordpress.org/files/2020/12/about-duotone-1024x837.png\" alt=\"\" class=\"wp-image-702 size-full\" srcset=\"https://fa.wordpress.org/files/2020/12/about-duotone-1024x837.png 1024w, https://fa.wordpress.org/files/2020/12/about-duotone-300x245.png 300w, https://fa.wordpress.org/files/2020/12/about-duotone-768x628.png 768w, https://fa.wordpress.org/files/2020/12/about-duotone.png 1280w\" sizes=\"(max-width: 1024px) 100vw, 1024px\" /></a></figure><div class=\"wp-block-media-text__content\">\n<h3 class=\"wp-block-heading\">سبک‌دهی و رنگ‌آمیزی تصاویر</h3>\n\n\n\n<p>با جلوه دوتون عکس‌ها و بلوک‌های پوشش را رنگی کنید! دوتون می‌تواند رنگ‌های زیادی را به طرح و سبک عکس‌های شما (یا ویدئوهایی در بلوک پوشش) برای ادغام خوب در پوسته‌های شما اضافه کند. شما می‌توانید جلوه دوتون را به عنوان یک فیلتر سیاه و سفید تصور کنید، اما به جای اینکه سایه‌ها سیاه و سفید و هایلایت باشند، رنگ‌های خود را برای سایه‌ها و هایلایت‌ها انتخاب می‌کنید. چیزهای بیشتری برای آموختن کارکرد آن در مستندات وجود دارد.</p>\n</div></div>\n\n\n\n<p></p>\n\n\n\n<p></p>\n\n\n\n<h2 class=\"has-text-align-center has-large-font-size wp-block-heading\">برای توسعه‌دهندگان که بررسی کنند</h2>\n\n\n\n<figure class=\"wp-block-image size-full\"><a href=\"https://fa.wordpress.org/files/2020/12/about-theme-json.png\"><img loading=\"lazy\" decoding=\"async\" width=\"1020\" height=\"610\" src=\"https://fa.wordpress.org/files/2020/12/about-theme-json.png\" alt=\"\" class=\"wp-image-703\" srcset=\"https://fa.wordpress.org/files/2020/12/about-theme-json.png 1020w, https://fa.wordpress.org/files/2020/12/about-theme-json-300x179.png 300w, https://fa.wordpress.org/files/2020/12/about-theme-json-768x459.png 768w\" sizes=\"(max-width: 1020px) 100vw, 1020px\" /></a></figure>\n\n\n\n<div class=\"wp-block-columns is-layout-flex wp-container-core-columns-is-layout-1 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:25%\"></div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:50%\">\n<h3 class=\"wp-block-heading\">Theme.json</h3>\n\n\n\n<p>معرفی APIهای تنظیمات عمومی و سبک‌های عمومی: تنظیمات ویرایشگر، ابزارهای شخصی‌سازی در دسترس، و سبک‌های بلوک‌ها را با استفاده از پرونده theme.json در پوسته فعال کنترل کنید. این پرونده پیکربندی قابلیت‌ها و مجموعه سبک‌های پیش‌فرض برای سایت و بلوک‌ها را فعال یا غیرفعال می‌کند. اگر شما پوسته می‌سازید، شما می‌توانید این ویژگی جدید مفید را آزمایش کنید. برای اینکه بدانید هم‌اکنون چه چیزی در دسترس است و چگونه کار می‌کند، <a href=\"https://make.wordpress.org/core/2021/06/25/introducing-theme-json-in-wordpress-5-8/\">این توضیحات فنی را بخوانید</a>.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\" style=\"flex-basis:25%\"></div>\n</div>\n\n\n\n<p></p>\n\n\n\n<div class=\"wp-block-columns is-layout-flex wp-container-core-columns-is-layout-2 wp-block-columns-is-layout-flex\">\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<h3 class=\"wp-block-heading\">کنار گذاشتن پشتیبانی از اینترنت اکسپلورر ۱۱</h3>\n\n\n\n<p>در این انتشار، پشتیبانی از اینترنت اکسپلورر ۱۱ کنار گذاشته شده است. این یعنی شما ممکن است نیاز به مدیریت مشکلاتی روی وبگاه‌تان داشته باشید که در آینده رفع نخواهند شد. اگر در حال حاضر از اینترنت اکسپلورر ۱۱ استفاده می‌کنید، اکیدا پیشنهاد می‌کنیم که <a href=\"https://browsehappy.com/\">به مرورگر مدرن‌تری نقل مکان کنید</a>.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<h3 class=\"wp-block-heading\">افزودن پشتیبانی از WebP</h3>\n\n\n\n<p>WebP یک قالب ذخیره تصویر مدرن است که امکان فشرده‌سازی بی‌اتلاف و یا بااتلاف بهبودیافته را برای تصاویر در فضای وب فراهم می‌کند. تصاویر WebP به طور میانگین حدود ۳۰٪ کم‌حجم‌تر از معادل‌های‌شان در قالب‌های JPEG و PNG هستند که این یعنی وب‌گاه‌ها سریع‌تر شده و پهنای باند کم‌تری مصرف می‌کنند.</p>\n</div>\n\n\n\n<div class=\"wp-block-column is-layout-flow wp-block-column-is-layout-flow\">\n<h3 class=\"wp-block-heading\">افزودن پشتیبانی بلوک اضافی</h3>\n\n\n\n<p>به عنوان قابلیتی بسط داده شده بر روی پشتیبانی بلوک پیاده‌سازی شده در وردپرس <a href=\"https://make.wordpress.org/core/2020/11/18/block-supports-in-wordpress-5-6/\">۵٫۶</a> و <a href=\"https://make.wordpress.org/core/2021/02/24/changes-to-block-editor-components-and-blocks/\">۵٬۷</a>، وردپرس ۵٫۸ چندین پرچم و گزینه پشتیبانی بلوک جدید را برای سفارشی‌سازی بلوک‌های ثبت شده معرفی می‌کند. اطلاعات بیشتر در <a href=\"https://make.wordpress.org/core/2021/06/25/block-supports-api-updates-for-wordpress-5-8/\">یادداشت توسعه پشتیبانی بلوک</a> در دسترس است.</p>\n</div>\n</div>\n\n\n\n<p></p>\n\n\n\n<div class=\"wp-block-buttons is-content-justification-center is-layout-flex wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link has-vivid-cyan-blue-background-color has-text-color has-background\" href=\"https://fa.wordpress.org/download/\" style=\"border-radius:8px;color:#ffffff\" target=\"_blank\" rel=\"noreferrer noopener\">دریافت وردپرس فارسی</a></div>\n</div>\n\n\n\n<p></p>\n\n\n\n<h3 class=\"wp-block-heading\">بخش راهنما را برای توضیحات بیشتر بررسی نمایید.</h3>\n\n\n\n<p>آخرین نگارش از راهنمای میدانی وردپرس را بررسی کنید. این یادداشت‌های توسعه‌دهنده برای هر تغییری که شاید بخواهید از آنها آگاه باشید را برجسته می‌کند. <a href=\"https://make.wordpress.org/core/2021/07/03/wordpress-5-8-field-guide/\">راهنمای میدانی وردپرس .۵.۸</a></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:3:\"662\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:57:\"\n		\n		\n		\n		\n		\n				\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:41:\"وردپرس فارسی نگارش ۵٫۵\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:50:\"https://fa.wordpress.org/2020/08/11/wp-persian-55/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 11 Aug 2020 20:42:24 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"اخبار\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"https://fa.wordpress.org/?p=641\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:570:\"در وردپرس ۵٫۵، سایت شما در سه بخش اصلی قدرت جدیدی گرفته است: سرعت، جستجو و امنیت. سرعت عکس‌ها لِیزی-لود شده‌اند، و سرعت بارگذاری نوشته‌ها و برگه‌ها سریعتر شدند. تصاویر تأثیر زیادی بر محتوایتان می‌گذارند، اما گاهی اوقات می‌توانند باعث کند شدن سایت شما شوند. در وردپرس ۵.۵، عکس‌ها تا زمانی‌ که با اسکرول قابل [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Morteza Geransayeh\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:8171:\"\n<p>در وردپرس ۵٫۵، سایت شما در سه بخش اصلی قدرت جدیدی گرفته است: سرعت، جستجو و امنیت.</p>\n\n\n\n<h2 class=\"wp-block-heading\">سرعت</h2>\n\n\n\n<p><strong>عکس‌ها لِیزی-لود شده‌اند، و سرعت بارگذاری</strong> <strong>نوشته‌ها و برگه‌ها سریعتر شدند.</strong></p>\n\n\n\n<p>تصاویر تأثیر زیادی بر محتوایتان می‌گذارند، اما گاهی اوقات می‌توانند باعث کند شدن سایت شما شوند.</p>\n\n\n\n<p>در وردپرس ۵.۵، عکس‌ها تا زمانی‌ که با اسکرول قابل مشاهده می‌شوند، برای بارگذاری صبر می‌کنند. واژه تکنیکال آن &#8216;lazy loading&#8217; است.</p>\n\n\n\n<p>روی موبایل، لِیزی-لود می‌تواند مرورگرها را از دریافت پرونده‌های درنظرگرفته‌شده برای سایر دستگاه‌ها باز دارد. آن می‌تواند باعث صرفه‌جویی خوانندگان شما در داده شود — و کمک کند عمر باتری حفظ شود.</p>\n\n\n\n<p></p>\n\n\n\n<h2 class=\"wp-block-heading\">جستجو</h2>\n\n\n\n<p><strong>به نقشهٔ سایت جدید سلام کنید.</strong></p>\n\n\n\n<p>سایت‌های وردپرس با موتورهای جستجو به خوبی کار می‌کنند.</p>\n\n\n\n<p>اکنون، به طور پیش‌فرض، وردپرس ۵.۵ دارای یک نقشهٔ سایت XML است که به موتورهای جستجو کمک می‌کند تا از همان دقایقی آغاز کار، مهم‌ترین برگه‌های شما را کشف کنند.</p>\n\n\n\n<p>بنابراین تعداد بیشتری از افراد سایت شما را زودتر پیدا می‌کنند و به شما فرصت بیشتری می‌دهند تا مشارکت داشته باشند، آنها را حفظ نمایید و به مشترکین، مشتریان یا هر آن‌چه که با تعریف موفقیت شما مناسب باشد، تبدیل نمایید.</p>\n\n\n\n<p></p>\n\n\n\n<div class=\"wp-block-group\"><div class=\"wp-block-group__inner-container is-layout-flow wp-block-group-is-layout-flow\">\n<div class=\"wp-block-group has-background\" style=\"background-color:#ebcd3d\"><div class=\"wp-block-group__inner-container is-layout-flow wp-block-group-is-layout-flow\">\n<h2 class=\"has-background wp-block-heading\" style=\"background-color:#ebcd3d\">امنیت</h2>\n\n\n\n<p><strong>به‌روزرسانی‌های خودکار برای افزونه‌ها و پوسته‌ها</strong></p>\n\n\n\n<p>اکنون می‌توانید افزونه‌ها و پوسته‌ها را تنظیم نمایید تا به صورت خودکار در مدیریت وردپرس به‌روزرسانی شوند — یا نه! —. بنابراین همیشه می‌دانید سایت شما آخرین کد موجود را اجرا می‌نماید.</p>\n\n\n\n<p>همچنین می‌توانید برای هر افزونه یا پوسته‌ای که نصب نموده‌اید، به‌روزرسانی‌های خودکار را روشن یا خاموش نمایید — همه در همان صفحه‌هایی که همیشه از آن‌ها استفاده شده است.</p>\n\n\n\n<p><strong>به‌روزرسانی با بارگذاری پروندهٔ ZIP</strong> <strong>شده</strong></p>\n\n\n\n<p>اگر به‌روزرسانی افزونه‌ها و پوسته‌هایتان به صورت دستی انجام می‌شود، اکنون این کار نیز ساده‌تر است — فقط یک پروندهٔ ZIP را بارگذاری نمایید.</p>\n</div></div>\n</div></div>\n\n\n\n<p></p>\n\n\n\n<div class=\"wp-block-group has-background\" style=\"background-color:#f3ecda\"><div class=\"wp-block-group__inner-container is-layout-flow wp-block-group-is-layout-flow\">\n<div class=\"wp-block-group\"><div class=\"wp-block-group__inner-container is-layout-flow wp-block-group-is-layout-flow\">\n<h2 class=\"wp-block-heading\">نکات برجسته از بلوک ویرایشگر</h2>\n\n\n\n<p>یک بار دیگر، تازه‌ترین نگارش وردپرس فهرست طولانی از ویژگی‌های جدید هیجان‌انگیز را برای ویرایشگر بلوک منتشر نمود. برای نمونه:</p>\n\n\n\n<h4 class=\"wp-block-heading\">الگوهای بلوک</h4>\n\n\n\n<p>الگوهای بلوک جدید ایجاد طرح‌های زیبا، پیچیده را با کمک ترکیبی از متن و رسانه که می‌توانید آنها را مخلوط و متناسب با داستانتان کنید، ساده و سرگرم‌کننده می‌کند.</p>\n\n\n\n<p>شما همچنین می‌توانید الگوهای بلوک را در طیف گسترده‌ای از افزونه‌ها و پوسته‌ها، با تعداد زیادی که بیشتر از همیشه اضافه شده، پیدا کنید. هر یک از آنها را از یک کشویی انتخاب کنید — فقط کلیک کنید و بروید!</p>\n\n\n\n<h4 class=\"wp-block-heading\">ویرایش تصویر توکار</h4>\n\n\n\n<p>تصاویرتان را به درستی از بلوک تصویر برش داده‌، بچرخانید، و زوم نمایید. اگر زمان زیادی را صرف تصاویر می‌نمایید، این می‌تواند در وقت شما ساعت‌ها صرفه‌جویی نماید.</p>\n\n\n\n<h4 class=\"wp-block-heading\">پوشه بلوک جدید</h4>\n\n\n\n<p>حالا این ساده‌تر از هر زمانی است که بلوک موردنیازتان را پیدا کنید. پوشه بلوک جدید برای ویرایشگر بلوک ساخته شده، پس شما می‌توانید نوع‌های بلوک جدیدی برای سایتتان بدون خروج از ویرایشگر نصب کنید.</p>\n\n\n\n<h4 class=\"wp-block-heading\">و خیلی بیشتر.</h4>\n\n\n\n<p>هایلایت‌های بالا بخش کوچکی از امکانات ویرایشگر بلوک جدید است که شما نصب کردید. ویرایشگر بلوک را باز کنید و لذت ببرید!</p>\n</div></div>\n</div></div>\n\n\n\n<p></p>\n\n\n\n<h2 class=\"wp-block-heading\">دسترس‌پذیری</h2>\n\n\n\n<p>هر نگارش پیشرفت‌هایی را به تجربهٔ دستر‌س‌پذیری انتشار می‌افزاید، و این دربارهٔ وردپرس ۵.۵ نیز صدق می‌کند.</p>\n\n\n\n<p>هم‌اکنون می‌توانید پیوندها را در صفحه رسانه و کادر مودال با یک دکمه، بجای تلاش برای هایلایت کردن یک خط از متن کپی کنید.</p>\n\n\n\n<p>همچنین شما می‌توانید جعبه‌های متا را با صفحه کلید حرکت دهید، و عکس‌ها را در وردپرس با دستگاه کمک‌کننده خود ویرایش کنید، همان‌گونه که این می‌تواند دستورالعمل‌های موجود را در ویرایشگر تصویر بخواند.</p>\n\n\n\n<p></p>\n\n\n\n<div class=\"wp-block-buttons aligncenter is-layout-flex wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link has-vivid-cyan-blue-background-color has-text-color has-background\" href=\"https://fa.wordpress.org/download/\" style=\"border-radius:8px;color:#ffffff\" target=\"_blank\" rel=\"noreferrer noopener\">دریافت وردپرس فارسی</a></div>\n</div>\n\n\n\n<p class=\"has-text-align-center has-text-color\" style=\"color:#ffffff\">&#8230;..</p>\n\n\n\n<h5 class=\"wp-block-heading\">بخش راهنما را برای توضیحات بیشتر بررسی نمایید.</h5>\n\n\n\n<p>چیزهای بیشتری برای دوست‌داران در وردپرس ۵.۵ وجود دارد. برای کاوش بیشتر و آموختن اینکه چطور این تغییرات سایت‌های شما، پوسته‌ها، افزونه‌ها و موارد دیگر را جلا می‌دهند، <a href=\"https://make.wordpress.org/core/wordpress-5-5-field-guide/\">راهنمای زمینه وردپرس ۵.۵</a> را بررسی نمایید.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:3:\"641\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:57:\"\n		\n		\n		\n		\n		\n				\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:41:\"وردپرس فارسی نگارش ۵٫۴\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:50:\"https://fa.wordpress.org/2020/04/01/wp-persian-54/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 01 Apr 2020 20:16:55 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"اخبار\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"https://fa.wordpress.org/?p=603\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:614:\"وردپرس فارسی ۵٫۴ منتشر شد. مهمترین قابلیت‌های جدید این نگارش را بصورت خلاصه بررسی می‌کنیم: چند بلوک جدید به این نگارش اضافه شده که امکانات جذابی را برای استفاده فراهم کرده‌ کرده‌اند. بلوک آیکون‌های شبکه‌های اجتماعی و بلوک دکمه‌ها و یک بلوک برای ناوبری اضافه شده است. همچنین بهبودهایی در بلوک‌های متنی/رسانه‌ای انجام گرفته. &#8230;.. [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Morteza Geransayeh\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:6185:\"\n<p>وردپرس فارسی ۵٫۴ منتشر شد. مهمترین قابلیت‌های جدید این نگارش را بصورت خلاصه بررسی می‌کنیم:</p>\n\n\n\n<div class=\"wp-block-media-text alignwide has-media-on-the-right has-background is-stacked-on-mobile\" style=\"background-color:#f3f4f5\"><figure class=\"wp-block-media-text__media\"><img loading=\"lazy\" decoding=\"async\" width=\"500\" height=\"500\" src=\"https://fa.wordpress.org/files/2020/04/blocks-5-5.png\" alt=\"\" class=\"wp-image-605\" srcset=\"https://fa.wordpress.org/files/2020/04/blocks-5-5.png 500w, https://fa.wordpress.org/files/2020/04/blocks-5-5-300x300.png 300w, https://fa.wordpress.org/files/2020/04/blocks-5-5-150x150.png 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" /></figure><div class=\"wp-block-media-text__content\">\n<p style=\"font-size:15px\" class=\"has-text-align-right\">چند بلوک جدید به این نگارش اضافه شده که امکانات جذابی را برای استفاده فراهم کرده‌ کرده‌اند.</p>\n\n\n\n<p style=\"font-size:15px\" class=\"has-text-align-right\">بلوک آیکون‌های شبکه‌های اجتماعی و بلوک دکمه‌ها و یک بلوک برای ناوبری اضافه شده است. همچنین بهبودهایی در بلوک‌های متنی/رسانه‌ای انجام گرفته.</p>\n</div></div>\n\n\n\n<p style=\"color:#ffffff\" class=\"has-text-color has-text-align-center\">&#8230;..</p>\n\n\n\n<div class=\"wp-block-media-text alignwide is-stacked-on-mobile\"><figure class=\"wp-block-media-text__media\"><img loading=\"lazy\" decoding=\"async\" width=\"500\" height=\"500\" src=\"https://fa.wordpress.org/files/2020/04/ui-5-5.png\" alt=\"\" class=\"wp-image-614\" srcset=\"https://fa.wordpress.org/files/2020/04/ui-5-5.png 500w, https://fa.wordpress.org/files/2020/04/ui-5-5-300x300.png 300w, https://fa.wordpress.org/files/2020/04/ui-5-5-150x150.png 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" /></figure><div class=\"wp-block-media-text__content\">\n<p style=\"font-size:15px\" class=\"has-text-align-right\">در این نگارش رابط کاربری ساده‌تر، راهبری واضح‌تر و تب‌زدن ساده‌تر شده است.</p>\n\n\n\n<p style=\"font-size:15px\" class=\"has-text-align-right\">سرعت بارگذاری ۱۴% سریعتر و زمان نوشتن هم ۵۱% سریعتر شده است!</p>\n\n\n\n<p style=\"font-size:15px\" class=\"has-text-align-right\">در این نگارش، در بخش نوشتن، ویرایشگر بصورت پیش‌فرض تمام صفحه شده است.</p>\n</div></div>\n\n\n\n<p style=\"color:#ffffff\" class=\"has-text-color has-text-align-center\">&#8230;..</p>\n\n\n\n<div class=\"wp-block-media-text alignwide has-media-on-the-right has-background is-stacked-on-mobile\" style=\"background-color:#f3f4f5\"><figure class=\"wp-block-media-text__media\"><img loading=\"lazy\" decoding=\"async\" width=\"500\" height=\"500\" src=\"https://fa.wordpress.org/files/2020/04/privacy-5-5.png\" alt=\"\" class=\"wp-image-607\" srcset=\"https://fa.wordpress.org/files/2020/04/privacy-5-5.png 500w, https://fa.wordpress.org/files/2020/04/privacy-5-5-300x300.png 300w, https://fa.wordpress.org/files/2020/04/privacy-5-5-150x150.png 150w\" sizes=\"(max-width: 500px) 100vw, 500px\" /></figure><div class=\"wp-block-media-text__content\">\n<p style=\"font-size:15px\" class=\"has-text-align-right\">در این نگارش همچنان بخش حفظ حریم خصوصی بهبودهای فنی و ظاهری داشته است.</p>\n\n\n\n<p style=\"font-size:15px\" class=\"has-text-align-right\">هم‌اکنون برون‌بری داده‌های شخصی شامل اطلاعات نشست کاربران و داده‌های موقیعت مکانی کاربران به اضافهٔ جدول محتوا در دسترس است.</p>\n</div></div>\n\n\n\n<p style=\"color:#ffffff\" class=\"has-text-color has-text-align-center\">&#8230;..</p>\n\n\n\n<p><strong>برای توسعه دهندگان:</strong></p>\n\n\n\n<p style=\"font-size:15px\">&#8211; زمینه‌های دلخواه به گزینه‌های فهرست افزوده شدند، بدون افزونه و بدون نوشتن واکرهای سفارشی میتوانید آنها را استفاده نمایید.</p>\n\n\n\n<p style=\"font-size:15px\">&#8211; در بلوک‌ها، هم‌اکنون می‌توانید ظاهر بلوک‌ها را به شیوه‌ای که می‌خواهید تغییر دهید.</p>\n\n\n\n<p style=\"font-size:15px\">&#8211; اگر افزونه‌ای دارید، هم‌اکنون می‌توانید بلوک‌هایتان را در دسته‌های مختلف ثبت نمایید — این یک راهکار عالی برای بیشتر دیده شدن برند شما است.</p>\n\n\n\n<p style=\"font-size:15px\">&#8211; به کاربران اجازه دهید با دو API تازه کارهای بیشتری انجام دهند: متغییرهای بلوک و گرادیانت.</p>\n\n\n\n<p style=\"font-size:15px\">&#8211; همچنین در جاسازها، هم‌اکنون ویرایشگر بلوک، TikTok را پشتیبانی می‌کند— و CollegeHumor حذف شد.</p>\n\n\n\n<p></p>\n\n\n\n<p style=\"color:#ffffff\" class=\"has-text-color has-text-align-center\">&#8230;..</p>\n\n\n\n<div class=\"wp-block-buttons aligncenter is-layout-flex wp-block-buttons-is-layout-flex\">\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link has-text-color has-background has-vivid-cyan-blue-background-color\" href=\"https://fa.wordpress.org/download/\" style=\"color:#ffffff;border-radius:8px\" target=\"_blank\" rel=\"noreferrer noopener\">دریافت وردپرس فارسی</a></div>\n</div>\n\n\n\n<p style=\"color:#ffffff\" class=\"has-text-color has-text-align-center\">&#8230;..</p>\n\n\n\n<p>چیزهای بیشتری برای دوست‌داران در وردپرس ۵٫۴ وجود دارد. برای کاوش بیشتر و آموختن اینکه چطور این تغییرات سایت‌های شما، پوسته‌ها، افزونه‌ها و موارد دیگر را زیبایی و بهبود می‌دهند، <a href=\"https://make.wordpress.org/core/2020/03/03/wordpress-5-4-field-guide/\">راهنمای زمینه وردپرس ۵.۴</a> را بررسی نمایید.</p>\n\n\n\n<p></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:3:\"603\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:57:\"\n		\n		\n		\n		\n		\n				\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:84:\"وردپرس فارسی ۵٫۳ نگارش استاد «علیدوست فلاحتی»\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:50:\"https://fa.wordpress.org/2019/12/01/wp-persian-53/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 01 Dec 2019 14:08:03 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"اخبار\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"https://fa.wordpress.org/?p=538\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:227:\"وردپرس فارسی ۵٫۳ منتشر شد. این نگارش از وردپرس فارسی با افتخار مزیّن به نام استاد گرانقدر موسیقی ایران، «علیدوست فلاحتی» است.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"گناهکار\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:375:\"\n<p> وردپرس فارسی ۵٫۳ منتشر شد.<br></p>\n\n\n\n<p>این نگارش از وردپرس فارسی با افتخار مزیّن به نام استاد گرانقدر موسیقی ایران، «<a href=\"https://fa.wikipedia.org/wiki/%D8%B9%D9%84%DB%8C%D8%AF%D9%88%D8%B3%D8%AA_%D9%81%D9%84%D8%A7%D8%AD%D8%AA%DB%8C\">علیدوست فلاحتی</a>» است.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:3:\"538\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:57:\"\n		\n		\n		\n		\n		\n				\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:45:\"وردپرس فارسی نگارش ۵٫۲٫۱\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:51:\"https://fa.wordpress.org/2019/06/02/wp-persian-521/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 02 Jun 2019 16:39:11 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"اخبار\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"https://fa.wordpress.org/?p=507\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:51:\"وردپرس فارسی ۵٫۲٫۱ منتشر شد.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"گناهکار\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:60:\"\n<p>وردپرس فارسی ۵٫۲٫۱ منتشر شد.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:3:\"507\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:57:\"\n		\n		\n		\n		\n		\n				\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:78:\"وردپرس فارسی ۵٫۲ نگارش استاد «حسن اسکندری»\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:50:\"https://fa.wordpress.org/2019/05/07/wp-persian-52/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 07 May 2019 08:25:12 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"اخبار\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"https://fa.wordpress.org/?p=491\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:221:\"وردپرس فارسی ۵٫۲ منتشر شد. این نگارش از وردپرس فارسی با افتخار مزیّن به نام استاد گرانقدر موسیقی ایران، «حسن اسکندری» است.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"گناهکار\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:382:\"\n<p> وردپرس فارسی ۵٫۲ منتشر شد.<br></p>\n\n\n\n<p>این نگارش از وردپرس فارسی با افتخار مزیّن به نام استاد گرانقدر موسیقی ایران، «<a href=\"https://fa.wikipedia.org/wiki/%D8%B9%D8%A7%D8%B4%DB%8C%D9%82_%D8%AD%D8%B3%D9%86_%D8%A7%D8%B3%DA%A9%D9%86%D8%AF%D8%B1%DB%8C\">حسن اسکندری</a>» است.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:3:\"491\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:57:\"\n		\n		\n		\n		\n		\n				\n		\n\n					\n										\n					\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:87:\"وردپرس فارسی ۵٫۱ نگارش استاد «ملک‌محمد مسعودی»\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:50:\"https://fa.wordpress.org/2019/03/07/wp-persian-51/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 07 Mar 2019 13:07:05 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"اخبار\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"https://fa.wordpress.org/?p=478\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:230:\"وردپرس فارسی ۵٫۱ منتشر شد. این نگارش از وردپرس فارسی با افتخار مزیّن به نام استاد گرانقدر موسیقی ایران، «ملک‌محمد مسعودی» است.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"گناهکار\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:392:\"\n<p>\n\nوردپرس فارسی ۵٫۱ منتشر شد.<br></p>\n\n\n\n<p>این نگارش از وردپرس فارسی با افتخار مزیّن به نام استاد گرانقدر موسیقی ایران، «<a href=\"https://fa.wikipedia.org/wiki/%D9%85%D9%84%DA%A9%E2%80%8C%D9%85%D8%AD%D9%85%D8%AF_%D9%85%D8%B3%D8%B9%D9%88%D8%AF%DB%8C\">ملک‌محمد مسعودی</a>» است.<br></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:3:\"478\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}s:27:\"http://www.w3.org/2005/Atom\";a:1:{s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:4:\"href\";s:35:\"https://fa.wordpress.org/news/feed/\";s:3:\"rel\";s:4:\"self\";s:4:\"type\";s:19:\"application/rss+xml\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:44:\"http://purl.org/rss/1.0/modules/syndication/\";a:2:{s:12:\"updatePeriod\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"\n	hourly	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:15:\"updateFrequency\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"\n	1	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:4:\"site\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"13096050\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";O:48:\"WpOrg\\Requests\\Utility\\CaseInsensitiveDictionary\":1:{s:7:\"\0*\0data\";a:11:{s:6:\"server\";s:5:\"nginx\";s:4:\"date\";s:29:\"Thu, 11 Jul 2024 06:59:32 GMT\";s:12:\"content-type\";s:34:\"application/rss+xml; charset=UTF-8\";s:4:\"vary\";s:37:\"Accept-Encoding, accept, content-type\";s:6:\"x-olaf\";s:3:\"⛄\";s:13:\"last-modified\";s:29:\"Mon, 01 Jul 2024 16:09:49 GMT\";s:4:\"link\";s:61:\"<https://fa.wordpress.org/wp-json/>; rel=\"https://api.w.org/\"\";s:15:\"x-frame-options\";s:10:\"SAMEORIGIN\";s:16:\"content-encoding\";s:2:\"br\";s:7:\"alt-svc\";s:19:\"h3=\":443\"; ma=86400\";s:4:\"x-nc\";s:9:\"HIT ord 2\";}}s:5:\"build\";s:14:\"20240711054944\";}", "no");
INSERT INTO `wp_options` VALUES("455", "_transient_timeout_feed_mod_9ba2df8849616f02166b8f7242d75067", "1720724372", "no");
INSERT INTO `wp_options` VALUES("456", "_transient_feed_mod_9ba2df8849616f02166b8f7242d75067", "1720681172", "no");
INSERT INTO `wp_options` VALUES("457", "_transient_timeout_feed_813f86eb29c12d6094f1acd1445797e5", "1720724373", "no");
INSERT INTO `wp_options` VALUES("458", "_transient_feed_813f86eb29c12d6094f1acd1445797e5", "a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n\n\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:52:\"\n	\n	\n	\n	\n	\n	\n	\n	\n	\n\n \n	\n		\n		\n		\n		\n		\n		\n		\n		\n		\n	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:8:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"تیم وردپرس فارسی – WordPress.org فارسی\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://fa.wordpress.org/team\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:13:\"lastBuildDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 21 Apr 2024 16:51:53 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"fa-IR\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"generator\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"https://wordpress.org/?v=6.7-alpha-58704\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"image\";a:1:{i:0;a:6:{s:4:\"data\";s:11:\"\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:5:{s:3:\"url\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://s.w.org/favicon.ico?2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"تیم وردپرس فارسی – WordPress.org فارسی\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://fa.wordpress.org/team\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:5:\"width\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"32\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:6:\"height\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"32\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}s:4:\"item\";a:10:{i:0;a:6:{s:4:\"data\";s:73:\"\n		\n		\n					\n		\n		\n		\n				\n		\n\n					\n										\n					\n					\n			\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:6:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:94:\"پیوستن به گروه مترجمین و توسعه دهندگان وردپرس فارسی\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:240:\"https://fa.wordpress.org/team/2024/04/21/%d9%be%db%8c%d9%88%d8%b3%d8%aa%d9%86-%d8%a8%d9%87-%da%af%d8%b1%d9%88%d9%87-%d9%85%d8%aa%d8%b1%d8%ac%d9%85%db%8c%d9%86-%d9%88-%d8%aa%d9%88%d8%b3%d8%b9%d9%87-%d8%af%d9%87%d9%86%d8%af%da%af%d8%a7%d9%86/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:248:\"https://fa.wordpress.org/team/2024/04/21/%d9%be%db%8c%d9%88%d8%b3%d8%aa%d9%86-%d8%a8%d9%87-%da%af%d8%b1%d9%88%d9%87-%d9%85%d8%aa%d8%b1%d8%ac%d9%85%db%8c%d9%86-%d9%88-%d8%aa%d9%88%d8%b3%d8%b9%d9%87-%d8%af%d9%87%d9%86%d8%af%da%af%d8%a7%d9%86/#respond\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 21 Apr 2024 16:51:36 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"مطالب\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:36:\"https://fa.wordpress.org/team/?p=201\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:605:\"با درود،با توجه به محدودیت‌هایی که در Slack برای کاربران ایرانی وجود دارد، تیم وردپرس فارسی، از تلگرام برای هماهنگی و ارتباط تیم استفاده می‌کند. لذا از تمامی مترجمین و توسعه دهندگان فارسی، درخواست می‌شود تا در گروه تلگرامی “توسعه دهندگان وردپرس فارسی” به آدرس زیر: https://t.me/wpdevelopers و همچنین کانال مربوطه به آدرس: https://t.me/fa_wordpress عضو [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Farhad Sakhaei\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:22925:\"<p>با درود،<br>با توجه به محدودیت‌هایی که در Slack برای کاربران ایرانی وجود دارد، تیم وردپرس فارسی، از تلگرام برای هماهنگی و ارتباط تیم استفاده می‌کند. لذا از تمامی مترجمین و توسعه دهندگان فارسی، درخواست می‌شود تا در گروه تلگرامی “توسعه دهندگان وردپرس فارسی” به آدرس زیر:</p>\n\n\n\n<p class=\"has-text-align-center\"><a href=\"https://t.me/wpdevelopers\">https://t.me/wpdevelopers</a></p>\n\n\n\n<p>و همچنین کانال مربوطه به آدرس:</p>\n\n\n\n<p class=\"has-text-align-center\"><a href=\"https://t.me/fa_wordpress\">https://t.me/fa_wordpress</a></p>\n\n\n\n<p>عضو شوند تا هماهنگی‌های لازم برای ترجمه‌ها و توسعه‌ها، صورت پذیرد. ضمنا جهت ارتباط بهتر و پیگیری‌های مورد نیاز، لطفا در زیرگروه “معرفی مترجمین”، <strong>ایمیل مربوط به حساب کاربری وردپرس</strong> خود و <strong>شناسه تلگرام</strong> خود را اعلام نمایید تا ارتباط بهتر و سریعتری برای موارد مورد نیاز صورت پذیرد.</p>\n\n\n\n<p>با سپاس</p>\n\n\n\n<p dir=\"ltr\"><a href=\"https://profiles.wordpress.org/farhad0/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>farhad0</a> <a href=\"https://profiles.wordpress.org/man4toman/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>man4toman</a> <a href=\"https://profiles.wordpress.org/saeedfard/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>SaeedFard</a> <a href=\"https://profiles.wordpress.org/sushyant/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>sushyant</a> <a href=\"https://profiles.wordpress.org/asadiy4n/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>asadiy4n</a> <a href=\"https://profiles.wordpress.org/cg-team/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>CG-TEAM</a> <a href=\"https://profiles.wordpress.org/1farakav/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>1farakav</a> <a href=\"https://profiles.wordpress.org/ach1992/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>ach1992</a> <a href=\"https://profiles.wordpress.org/aminfa/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>aminfa</a> <a href=\"https://profiles.wordpress.org/hadi/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>hadi</a>.omid <a href=\"https://profiles.wordpress.org/yazdaniwp/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>yazdaniwp</a> <a href=\"https://profiles.wordpress.org/aminomidi/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>aminomidi</a> <a href=\"https://profiles.wordpress.org/360messenger/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>360messenger</a> <a href=\"https://profiles.wordpress.org/addeveloper/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>addeveloper</a> <a href=\"https://profiles.wordpress.org/affiliatenetworks/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>affiliatenetworks</a> <a href=\"https://profiles.wordpress.org/ahangarha/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>ahangarha</a> <a href=\"https://profiles.wordpress.org/aliarjini/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>aliarjini</a> <a href=\"https://profiles.wordpress.org/aliasghar1112/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>aliasghar1112</a> <a href=\"https://profiles.wordpress.org/aligholami/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>aligholami</a> <a href=\"https://profiles.wordpress.org/alirashidnahal/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>alirashidnahal</a> <a href=\"https://profiles.wordpress.org/alixo/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>alixo</a> <a href=\"https://profiles.wordpress.org/alizadegan/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>alizadegan</a> <a href=\"https://profiles.wordpress.org/amatris/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>amatris</a> <a href=\"https://profiles.wordpress.org/ameskaran/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>ameskaran</a> <a href=\"https://profiles.wordpress.org/amirarshia/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>amirarshia</a> <a href=\"https://profiles.wordpress.org/amirhosseinhpv/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>amirhosseinhpv</a> <a href=\"https://profiles.wordpress.org/amirhpcom/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>amirhpcom</a> <a href=\"https://profiles.wordpress.org/antialiasfactory/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>antialiasfactory</a> <a href=\"https://profiles.wordpress.org/ardalan13/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>ardalan13</a> <a href=\"https://profiles.wordpress.org/ariankeshavarz/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>ariankeshavarz</a> <a href=\"https://profiles.wordpress.org/armansiahloo/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>armansiahloo</a> <a href=\"https://profiles.wordpress.org/armenab1/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>armenab1</a> <a href=\"https://profiles.wordpress.org/arshen/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>Arshen</a> <a href=\"https://profiles.wordpress.org/arvancloud/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>arvancloud</a> <a href=\"https://profiles.wordpress.org/as911/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>as911</a> <a href=\"https://profiles.wordpress.org/asterids/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>asterids</a> <a href=\"https://profiles.wordpress.org/aydin714/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>aydin714</a> <a href=\"https://profiles.wordpress.org/basemax/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>basemax</a> <a href=\"https://profiles.wordpress.org/bbkysf/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>bbkysf</a> <a href=\"https://profiles.wordpress.org/blackswanlab/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>blackswanlab</a> <a href=\"https://profiles.wordpress.org/bmoudi/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>bmoudi</a> <a href=\"https://profiles.wordpress.org/chilisearch/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>chilisearch</a> <a href=\"https://profiles.wordpress.org/dedidata/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>dedidata</a> <a href=\"https://profiles.wordpress.org/digikotcom/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>digikotcom</a> <a href=\"https://profiles.wordpress.org/djamir121/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>djamir121</a> <a href=\"https://profiles.wordpress.org/domiinodev/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>domiinodev</a> <a href=\"https://profiles.wordpress.org/ebrahimzadeh/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>ebrahimzadeh</a> <a href=\"https://profiles.wordpress.org/ee_persian/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>ee_persian</a> <a href=\"https://profiles.wordpress.org/elementorir/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>elementorir</a> <a href=\"https://profiles.wordpress.org/ercmanager1/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>ercmanager1</a> <a href=\"https://profiles.wordpress.org/esmailfadaei/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>esmailfadaei</a> <a href=\"https://profiles.wordpress.org/farokhheidari/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>farokhheidari</a> <a href=\"https://profiles.wordpress.org/farshadhz/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>farshadhz</a> <a href=\"https://profiles.wordpress.org/feredi/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>feredi</a> <a href=\"https://profiles.wordpress.org/foadadeli/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>foadadeli</a> <a href=\"https://profiles.wordpress.org/gamefa/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>gamefa</a> <a href=\"https://profiles.wordpress.org/ghasemi71ir/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>ghasemi71ir</a> <a href=\"https://profiles.wordpress.org/ghtali/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>ghtali</a> <a href=\"https://profiles.wordpress.org/glboy/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>glboy</a> <a href=\"https://profiles.wordpress.org/goudarz/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>Goudarz</a> <a href=\"https://profiles.wordpress.org/h71/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>h71</a> <a href=\"https://profiles.wordpress.org/ham3da/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>ham3da</a> <a href=\"https://profiles.wordpress.org/hanieh729/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>hanieh729</a> <a href=\"https://profiles.wordpress.org/hassantafreshi/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>hassantafreshi</a> <a href=\"https://profiles.wordpress.org/hitsteps/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>hitsteps</a> <a href=\"https://profiles.wordpress.org/hosseinsadeghi69/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>hosseinsadeghi69</a> <a href=\"https://profiles.wordpress.org/hsnshfn/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>hsnshfn</a> <a href=\"https://profiles.wordpress.org/imikiani/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>imikiani</a> <a href=\"https://profiles.wordpress.org/infomtaghavi/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>infomtaghavi</a> <a href=\"https://profiles.wordpress.org/irangold/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>irangold</a> <a href=\"https://profiles.wordpress.org/irdb/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>irdb</a> <a href=\"https://profiles.wordpress.org/johnbozorgi/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>johnbozorgi</a> <a href=\"https://profiles.wordpress.org/kafrashi/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>kafrashi</a> <a href=\"https://profiles.wordpress.org/kamalireal/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>kamalireal</a> <a href=\"https://profiles.wordpress.org/kamrankhorsandi/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>kamrankhorsandi</a> <a href=\"https://profiles.wordpress.org/kashani/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>kashani</a> <a href=\"https://profiles.wordpress.org/khorshidlab/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>khorshidlab</a> <a href=\"https://profiles.wordpress.org/longman2020/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>longman2020</a> <a href=\"https://profiles.wordpress.org/lord_viper/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>lord_viper</a> <a href=\"https://profiles.wordpress.org/lusha/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>lusha</a> <a href=\"https://profiles.wordpress.org/m0911/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>m0911</a> <a href=\"https://profiles.wordpress.org/mahdi6489/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>mahdi6489</a> <a href=\"https://profiles.wordpress.org/mahdiebrahimii/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>mahdiebrahimii</a> <a href=\"https://profiles.wordpress.org/mahdiyerezaie/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>mahdiyerezaie</a> <a href=\"https://profiles.wordpress.org/mahdyarme/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>mahdyarme</a> <a href=\"https://profiles.wordpress.org/mainseo/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>mainseo</a> @manzoorwani.jk <a href=\"https://profiles.wordpress.org/mashhadcode/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>mashhadcode</a> <a href=\"https://profiles.wordpress.org/masoudnkh/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>masoudnkh</a> <a href=\"https://profiles.wordpress.org/matinbeigi/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>matinbeigi</a> <a href=\"https://profiles.wordpress.org/mazraee/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>mazraee</a> <a href=\"https://profiles.wordpress.org/mehdibolourian/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>mehdibolourian</a> <a href=\"https://profiles.wordpress.org/mehr/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>Mehr</a>.Ban <a href=\"https://profiles.wordpress.org/mehrshad81/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>mehrshad81</a> <a href=\"https://profiles.wordpress.org/mehrshaddarzi/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>mehrshaddarzi</a> <a href=\"https://profiles.wordpress.org/mhmanavi/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>mhmanavi</a> <a href=\"https://profiles.wordpress.org/michaelpk/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>michaelpk</a> <a href=\"https://profiles.wordpress.org/mihanwp/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>mihanwp</a> <a href=\"https://profiles.wordpress.org/milad47/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>Milad47</a> <a href=\"https://profiles.wordpress.org/mo0orteza/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>Mo0orTeZa</a> <a href=\"https://profiles.wordpress.org/moccc/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>moccc</a> <a href=\"https://profiles.wordpress.org/mohadeseghasemi/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>mohadeseghasemi</a> <a href=\"https://profiles.wordpress.org/mohammad9574/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>mohammad9574</a> <a href=\"https://profiles.wordpress.org/mohammadhero/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>mohammadhero</a> <a href=\"https://profiles.wordpress.org/mohsengham/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>mohsengham</a> <a href=\"https://profiles.wordpress.org/mohsenpazhoohiyani/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>mohsenpazhoohiyani</a> <a href=\"https://profiles.wordpress.org/mojtaba-taheri/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>mojtaba-taheri</a> <a href=\"https://profiles.wordpress.org/mojtabad/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>mojtabad</a> <a href=\"https://profiles.wordpress.org/moreconvert/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>moreconvert</a> <a href=\"https://profiles.wordpress.org/mostafa/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>mostafa</a>.s1990 <a href=\"https://profiles.wordpress.org/mostafarouz/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>mostafarouz</a> <a href=\"https://profiles.wordpress.org/motefaghehi/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>motefaghehi</a> <a href=\"https://profiles.wordpress.org/motlaqcode/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>motlaqcode</a> <a href=\"https://profiles.wordpress.org/mralidoosti/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>mralidoosti</a> <a href=\"https://profiles.wordpress.org/msn6060/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>msn6060</a> <a href=\"https://profiles.wordpress.org/msninsider/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>msninsider</a> <a href=\"https://profiles.wordpress.org/narimonfund/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>narimonfund</a> <a href=\"https://profiles.wordpress.org/native0098/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>native0098</a> <a href=\"https://profiles.wordpress.org/navidos/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>navidos</a> <a href=\"https://profiles.wordpress.org/niloomand/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>niloomand</a> <a href=\"https://profiles.wordpress.org/nima78600/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>nima78600</a> <a href=\"https://profiles.wordpress.org/nirweb/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>nirweb</a> <a href=\"https://profiles.wordpress.org/novinhub/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>novinhub</a> <a href=\"https://profiles.wordpress.org/otoraby/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>otoraby</a> <a href=\"https://profiles.wordpress.org/parnibraan/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>parnibraan</a> <a href=\"https://profiles.wordpress.org/parselearn/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>parselearn</a> <a href=\"https://profiles.wordpress.org/parsmizban/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>parsmizban</a> <a href=\"https://profiles.wordpress.org/pash2048/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>pash2048</a> <a href=\"https://profiles.wordpress.org/payzito/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>payzito</a> @pctricks.ir <a href=\"https://profiles.wordpress.org/pedramrahimi/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>pedramrahimi</a> <a href=\"https://profiles.wordpress.org/pegahnorozi/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>pegahnorozi</a> <a href=\"https://profiles.wordpress.org/peprodev/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>peprodev</a> <a href=\"https://profiles.wordpress.org/persianscript/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>Persianscript</a> <a href=\"https://profiles.wordpress.org/piman/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>piman</a> <a href=\"https://profiles.wordpress.org/pingmeter/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>pingmeter</a> <a href=\"https://profiles.wordpress.org/poolito/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>poolito</a> <a href=\"https://profiles.wordpress.org/porsline/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>porsline</a> <a href=\"https://profiles.wordpress.org/poshtibancom/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>poshtibancom</a> <a href=\"https://profiles.wordpress.org/qodeinteractive/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>qodeinteractive</a> <a href=\"https://profiles.wordpress.org/qwerty13/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>qwerty13</a> <a href=\"https://profiles.wordpress.org/rahmatmajidi/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>rahmatmajidi</a> <a href=\"https://profiles.wordpress.org/rajaeinet/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>rajaeinet</a> <a href=\"https://profiles.wordpress.org/rarathemesupport/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>rarathemesupport</a> <a href=\"https://profiles.wordpress.org/sadeghpm/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>sadeghpm</a> <a href=\"https://profiles.wordpress.org/saeed_same/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>saeed_same</a> <a href=\"https://profiles.wordpress.org/safelayout/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>safelayout</a> <a href=\"https://profiles.wordpress.org/sahabi/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>sahabi</a> <a href=\"https://profiles.wordpress.org/sajjadtalebi/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>sajjadtalebi</a> <a href=\"https://profiles.wordpress.org/salamzadeh/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>Salamzadeh</a> <a href=\"https://profiles.wordpress.org/salarlotfi/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>salarlotfi</a> <a href=\"https://profiles.wordpress.org/salemi/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>salemi</a> <a href=\"https://profiles.wordpress.org/salman1990/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>salman1990</a> <a href=\"https://profiles.wordpress.org/samanehmirrajabi/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>samanehmirrajabi</a> <a href=\"https://profiles.wordpress.org/samtemehr/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>samtemehr</a> <a href=\"https://profiles.wordpress.org/saniamohammadi/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>saniamohammadi</a> <a href=\"https://profiles.wordpress.org/sareham238/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>sareham238</a> <a href=\"https://profiles.wordpress.org/sazmankav/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>sazmankav</a> <a href=\"https://profiles.wordpress.org/seramo/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>seramo</a> <a href=\"https://profiles.wordpress.org/shayanfp/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>shayanfp</a> <a href=\"https://profiles.wordpress.org/shokrino/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>shokrino</a> <a href=\"https://profiles.wordpress.org/silvercover/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>silvercover</a> <a href=\"https://profiles.wordpress.org/sinashams/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>sinashams</a> <a href=\"https://profiles.wordpress.org/smm1378/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>smm1378</a> <a href=\"https://profiles.wordpress.org/smrm/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>smrm</a> <a href=\"https://profiles.wordpress.org/soheilmir/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>soheilmir</a> <a href=\"https://profiles.wordpress.org/sunyniazi/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>sunyniazi</a> <a href=\"https://profiles.wordpress.org/tadeha/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>tadeha</a> <a href=\"https://profiles.wordpress.org/translationsbysemperplugins/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>translationsbysemperplugins</a> <a href=\"https://profiles.wordpress.org/tsina/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>tsina</a> <a href=\"https://profiles.wordpress.org/untashgaal/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>untashgaal</a> <a href=\"https://profiles.wordpress.org/vadatiertebat/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>vadatiertebat</a> <a href=\"https://profiles.wordpress.org/weloper/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>weloper</a> <a href=\"https://profiles.wordpress.org/worldless/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>worldless</a> <a href=\"https://profiles.wordpress.org/wpvar/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>wpvar</a> <a href=\"https://profiles.wordpress.org/yashar_hv/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>yashar_hv</a> <a href=\"https://profiles.wordpress.org/yasser1992/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>yasser1992</a> <a href=\"https://profiles.wordpress.org/ynproduct/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>ynproduct</a> <a href=\"https://profiles.wordpress.org/zareidev/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>zareidev</a> <a href=\"https://profiles.wordpress.org/zeroone2021/\" class=\"mention\"><span class=\"mentions-prefix\">@</span>zeroone2021</a></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:245:\"https://fa.wordpress.org/team/2024/04/21/%d9%be%db%8c%d9%88%d8%b3%d8%aa%d9%86-%d8%a8%d9%87-%da%af%d8%b1%d9%88%d9%87-%d9%85%d8%aa%d8%b1%d8%ac%d9%85%db%8c%d9%86-%d9%88-%d8%aa%d9%88%d8%b3%d8%b9%d9%87-%d8%af%d9%87%d9%86%d8%af%da%af%d8%a7%d9%86/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:3:\"201\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:73:\"\n		\n		\n					\n		\n		\n		\n				\n		\n\n					\n										\n					\n					\n			\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:6:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:41:\"معرفی تیم وردپرس فارسی\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:159:\"https://fa.wordpress.org/team/2024/02/17/%d9%85%d8%b9%d8%b1%d9%81%db%8c-%d8%aa%db%8c%d9%85-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3-%d9%81%d8%a7%d8%b1%d8%b3%db%8c/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:167:\"https://fa.wordpress.org/team/2024/02/17/%d9%85%d8%b9%d8%b1%d9%81%db%8c-%d8%aa%db%8c%d9%85-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3-%d9%81%d8%a7%d8%b1%d8%b3%db%8c/#respond\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 17 Feb 2024 13:06:39 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"مطالب\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:36:\"https://fa.wordpress.org/team/?p=145\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:509:\"تیم وردپرس فارسی یک تشکیل کاملا مستقل است که وابسته به هیچگونه سازمان و یا شرکتی نمی باشد، پروژه وردپرس فارسی به هیچ شخص و یا گروه خاصی تعلق ندارد و توسط تیم وردپرس فارسی که به صورت داوطلبانه فعالیت می کنند، اداره می شود. این بخش از سایت وردپرس، مخصوص تیم وردپرس فارسی می‌باشد. [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Farhad Sakhaei\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:75148:\"<p>تیم وردپرس فارسی یک تشکیل کاملا مستقل است که وابسته به هیچگونه سازمان و یا شرکتی نمی باشد، پروژه وردپرس فارسی به هیچ شخص و یا گروه خاصی تعلق ندارد و توسط تیم وردپرس فارسی که به صورت داوطلبانه فعالیت می کنند، اداره می شود. این بخش از سایت وردپرس، مخصوص تیم وردپرس فارسی می‌باشد. شما می‌توانید اخبار و رویدادهای مربوط به تیم وردپرس فارسی را در اینجا دنبال کنید و در صورت تمایل در ترجمه وردپرس مشارکت کنید.</p>\n\n\n\n<h2 class=\"wp-block-heading\">اعضای تیم وردپرس فارسی</h2>\n\n\n\n<h3 class=\"wp-block-heading has-text-align-center\">مدیران بخش فارسی وردپرس</h3>\n\n\n\n<div class=\"wp-block-group is-content-justification-space-between is-layout-flex wp-container-core-group-is-layout-5 wp-block-group-is-layout-flex\">\n<div class=\"wp-block-group is-vertical is-content-justification-center is-nowrap is-layout-flex wp-container-core-group-is-layout-1 wp-block-group-is-layout-flex\">\n<figure class=\"wp-block-image size-large\"><a href=\"https://profiles.wordpress.org/farhad0\" target=\"_blank\" rel=\"noreferrer noopener\"><img decoding=\"async\" src=\"https://secure.gravatar.com/avatar/0ebc32f2dc5921020c3b62738f4fa058?s=160&amp;d=mm&amp;r=g\" alt=\"\"></a></figure>\n\n\n\n<p class=\"has-medium-font-size\"><strong><a href=\"https://profiles.wordpress.org/farhad0\" data-type=\"link\" data-id=\"https://profiles.wordpress.org/farhad0\">فرهاد سخایی</a></strong></p>\n</div>\n\n\n\n<div class=\"wp-block-group is-vertical is-content-justification-center is-nowrap is-layout-flex wp-container-core-group-is-layout-2 wp-block-group-is-layout-flex\">\n<figure class=\"wp-block-image size-large\"><a href=\"https://profiles.wordpress.org/man4toman\" target=\"_blank\" rel=\"noreferrer noopener\"><img decoding=\"async\" src=\"https://secure.gravatar.com/avatar/0223bc303222e11c85b7e780e929bafa?s=160&amp;d=mm&amp;r=g\" alt=\"\"></a></figure>\n\n\n\n<p class=\"has-medium-font-size\"><strong><a href=\"https://profiles.wordpress.org/man4toman\" data-type=\"link\" data-id=\"https://profiles.wordpress.org/man4toman\" target=\"_blank\" rel=\"noreferrer noopener\">مرتضی گرانسایه</a></strong></p>\n</div>\n\n\n\n<div class=\"wp-block-group is-vertical is-content-justification-center is-nowrap is-layout-flex wp-container-core-group-is-layout-3 wp-block-group-is-layout-flex\">\n<figure class=\"wp-block-image size-large\"><a href=\"https://profiles.wordpress.org/saeedfard\" target=\"_blank\" rel=\"noreferrer noopener\"><img decoding=\"async\" src=\"https://secure.gravatar.com/avatar/218e2e8376f15e9d72de62b7a3c28fd4?s=160&amp;d=mm&amp;r=g\" alt=\"\"></a></figure>\n\n\n\n<p class=\"has-text-align-center has-medium-font-size\"><strong><a href=\"https://profiles.wordpress.org/saeedfard\" data-type=\"link\" data-id=\"https://profiles.wordpress.org/saeedfard\" target=\"_blank\" rel=\"noreferrer noopener\">سعید فرد</a></strong></p>\n</div>\n\n\n\n<div class=\"wp-block-group is-vertical is-content-justification-center is-nowrap is-layout-flex wp-container-core-group-is-layout-4 wp-block-group-is-layout-flex\">\n<figure class=\"wp-block-image size-large\"><a href=\"https://profiles.wordpress.org/sushyant\" target=\"_blank\" rel=\"noreferrer noopener\"><img decoding=\"async\" src=\"https://secure.gravatar.com/avatar/6a35a072c0766d41217d17317f3ea057?s=160&amp;d=mm&amp;r=g\" alt=\"\"></a></figure>\n\n\n\n<p class=\"has-medium-font-size\"><strong><a href=\"https://profiles.wordpress.org/sushyant\" data-type=\"link\" data-id=\"https://profiles.wordpress.org/sushyant\" target=\"_blank\" rel=\"noreferrer noopener\">سوشیانت زوار زاده</a></strong></p>\n</div>\n</div>\n\n\n\n<h2 class=\"wp-block-heading\">ویراستاران ترجمه پروژه‌های وردپرس</h2>\n\n\n\n<div style=\"clear:both;overflow: hidden\">\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/1farakav/\"><img decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/2ac90d3243016ceb85b794693cb21517?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>1farakav</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/360messenger/\"><img decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/15e0ea462c4401f4f72ecac44e3d748c?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>360messenger</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/ach1992/\"><img decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/210dd07c37484e1ee09f39e0dbe5a98e?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>ACh</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/addeveloper/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/cdfb2b2f869b117b3c7a717f1a0f5199?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>ADDeveloper</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/affiliatenetworks/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/e7f2577d1c64018b09ee9113cd006c8c?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>affiliatenetworks</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/ahangarha/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/a7f24279a1c7eb9edfcd4bbfa6405844?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>ahangarha</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/translationsbysemperplugins/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/613ec4dc7a0323e1e04e0484b532e570?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>AIOSEO Translations</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/alizadegan/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/b596479b88c6b78ca32bc068be75bbf7?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Ali Alizadegan</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/aliarjini/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/cf8c1b74d58c3b8ea98b3262e0ae7ebe?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>ali arjini</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/alixo/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/d60e3dc2dee03a210fe16337c2021c1c?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Ali Esmaeili</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/aligholami/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/32919c054088aa3dff571ab81c3f5d76?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Ali Gholami</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/alirashidnahal/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/d2cc791ce1a9291e06775a1b24c3197e?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Ali Rashidnahal</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/as911/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/28dc5ad2aa7ccc44413057b033a536d4?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Alireza Sedghi</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/amatris/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/24758bce866aeb6316f1256e3a1244e2?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>amatris</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/ameskaran/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/9cb2521ac836b8c7f042396f1f39a914?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>ameskaran</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/aminfa/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/91a34f1a502004701d8ad2c1e715f3a6?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>amin askari</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/sazmankav/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/bcb756ce8bff9ae05111fc4dc73b8eaa?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Amin Mahjoor</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/aminomidi/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/3959eb01b3eca2ac83ec36cbf9f0e9a5?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Amin Omidi</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/amirarshia/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/347edea6a33c515fdf20f24240307c20?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>amirarshia</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/djamir121/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/e8eb5ca949a93d2606dc215593e0b2f3?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>AMIR Heydari</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/amirhpcom/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/a4b904ff316d7c98496108e651441624?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Amirhossein Hosseinpour</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/amirhosseinhpv/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/2f6329ce417480573782224099734deb?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>amirhp-com</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/native0098/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/89f22ae87a917b049b02728446c52372?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>ARash Ghanei</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/ardalan13/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/760d071079d3ab12e22c545501811838?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Ardalan Davoudi</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/aliasghar1112/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/3ffb886ffd1fe939559438c733b3a453?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>arian</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/ariankeshavarz/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/91d82f7845cd8c3cf4354b8362a669f4?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Arian Keshavarz</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/armansiahloo/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/1e3fd783b8d49b7f08c8e153548f5673?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>arman siahloo</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/arvancloud/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/08b43a96759f4737ef6d334030e7b873?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>ArvanCloud</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/asadiy4n/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/d81955a0f2c8d1b676735b19840fe957?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Asadiyan</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/asterids/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/99ad47b6ac94e4d14028d774771f68bc?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>asterids</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/aydin714/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/8c78459453fee125531ec04d413c7c26?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>aydin714</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/bbkysf/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/3276f73903245fe62deffb331ee11de5?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Babak Yousefzadeh</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/bmoudi/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/fcc97bddef8d4e7b89a1911c06d75697?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Bijan Moudi</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/blackswanlab/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/1fd03d88ea9dc937939fd0d655df155b?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>BlackSwan</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/chilisearch/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/cc10b45b85557af4b3b5c6022c4f4a05?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Chili Search</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/dedidata/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/f69a56c77882b62840c5f2a40cd1b087?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>DediData</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/digikotcom/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/381714b60533b546fa0b824717122524?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>digikot.com</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/domiinodev/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/ec7ccdac8fceb213e8e367ea310acc3d?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Domino dev</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/parnibraan/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/c121b76ce158eb2a7b88d7535d50e69e?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>ehsaan</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/ercmanager1/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/64cb2605e604942bc16980498672f36e?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>ercmanager1</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/ee_persian/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/319abf373a18f8bb53935a50ea681fdc?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>esmail ebrahimi</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/esmailfadaei/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/db9d5507ce8b01a54c1b2c48593c16d7?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>esmailfadaei</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/feredi/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/3f7819027cef1619a8ab2fa678042736?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Farhad Fariborzi</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/farokhheidari/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/9da3725eed363a40e6c1a9e4ce59a818?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>farokhheidari</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/farshadhz/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/bae20c1e448d7ed3205e061f2b6571e5?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>farshadhz</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/arshen/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/5ad52ff159fc7d8fc5fe85288cb82319?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Foad Tahmasebi</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/ghtali/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/81ea8ef483e5fc8d53184fbfbe8c4f8e?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>ghtali</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/goudarz/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/5f663c942d32cc77e51b7ae94a199023?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Goudarz Jafari</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/hadiomid/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/f8ecf070e8d4649c5f03c36a66171eb9?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>hadi.omid</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/silvercover/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/3ced7aa268d0a80d29cee2731a5f589a?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Hamed Takmil</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/yazdaniwp/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/f62756a112ab1b86500c54beaea6dfbd?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Hamid Reza Yazdani</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/hanieh729/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/2cec9118b4afb3d5005c6ba298a5a8cb?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Hanieh Ramzanpour</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/hsnshfn/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/8ae345e1d37b9c3c8eb9470f28929a75?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Hassan Shafiian</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/hassantafreshi/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/99a72de762392a5a5efbf36a4367f793?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>hassantafreshi</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/hitsteps/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/d1adb81e2590e1f3fa943e6865dbf459?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Hitsteps</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/h71/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/8415a8ca663844689b6b0e5f49108e3d?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Hossein</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/hosseinsadeghi69/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/ec5e64b66b43016fa7b635e026569986?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Hossein Sadeghi</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/glboy/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/39910273e5a04bb79c64aa0c261d09dc?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>idehweb</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/imikiani/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/17575b917994c7f0273929220bb7f92f?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Iman Kiani</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/infomtaghavi/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/796b1ab5fe2646f3ea525b01adbd5599?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>infomtaghavi</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/irangold/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/901682cf57b32039d9559850f0871070?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>irangold</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/irdb/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/e0ab2d106c7cae38d826b9ccd0b427e8?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>irdb</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/ham3da/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/f2d495a9435381aada34ba96535f1337?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Javad Ehteshami</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/pash2048/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/0bf24dc164ac15d58404ce6ccdf0e41c?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>javad jazandari</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/johnbozorgi/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/cb66664459d45128adcff3ae34c99f4b?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>John Bozorgi</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/kafrashi/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/897230e3d4bc2af09e8cfc169fbc9ec4?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>kafrashi</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/kamrankhorsandi/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/c134f741d1a58ce5713dca362c454b27?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Kamran Khorsandi</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/gamefa/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/4a5f0fbba8fbc26592b2ec5a84b62f4c?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>kasra naraghi</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/khorshidlab/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/d1005c02764ed93db28fc02af34cf9cc?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Khorshid</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/longman2020/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/c3867746448950074bf44902501e851e?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>longman2020</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/lusha/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/eb729c02496909a29b353fa110ff3abb?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>lumarsha</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/mazraee/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/ad7313e9868d0d311cbcd8df3a712fe3?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>M. Mazraee</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/mahdiebrahimii/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/fe5eecdeba173ac42d31c888bff1b2a0?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Mahdi Ebrahimi</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/mahdiyerezaie/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/ccef3bc24c6020bad21752125d53bdd3?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>mahdiyerezaie</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/mahdyarme/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/d0bf590292d00fefbc17b24e7388ea88?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Mahdyar Hasanpour</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/mainseo/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/1ad550fce817bb096a7fe0eedefd0a41?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>mainseo</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/manzoorwanijk/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/ff0fc68d4d69124a38b4aed217a74ff5?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Manzoor Wani (a11n)</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/mashhadcode/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/9b1414b9617f8e7345a01d10073030b9?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>mashhadcode</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/masoudnkh/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/ba3555901bd8c8f5a160af53e67b8ab8?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Masoud NKH</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/matinbeigi/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/c9c10181d66be41f25c2fbe17658011e?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Matin Beigi (Rick Sanchez)</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/basemax/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/3cfbe47b6fb1f7c03467b2be20a1904f?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Max Base</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/antialiasfactory/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/1120e8649e76041919b334447228ffd7?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Maziar Firuzmand</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/m0911/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/73faf14ee55c29babb265e20ac22beff?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Mehdi Abdollahi</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/mehdibolourian/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/f64880371f196af7f5d3490954f5d08d?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Mehdi Bolourian</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/msn6060/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/f82de68ee8cac799acd5b841e5dbf026?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Mehdi Soltani</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/mehrban/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/301e39948cca7b82c50222dce2f6464c?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Mehr@Ban</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/mehrshaddarzi/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/d88c9733e7ed1deda936e848ee629e63?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Mehrshad Darzi</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/mehrshad81/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/2fada5712ee0951795edd9b43eef90a3?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Mehrshad MTI</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/weloper/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/298fae8b228d3d680c5b6b37b1caddb3?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Mersad GHasemi</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/mhmanavi/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/c1ce302525f2e6e3f63d1535d86b178a?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>mhmanavi</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/michaelpk/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/82343eb50a4d3334144ed232ad8dfacf?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>michaelpk</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/mihanwp/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/14144c1a63d0d1cf77ce4629ed77559c?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>MihanWP</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/lord_viper/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/fed8d40c5a576989ab0536611af3aea2?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Mobin Ghasempoor</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/moccc/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/a175d00ddc61fdf6b7193fc7a8a82ab4?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>moccc</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/mohadeseghasemi/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/647aa1d91813a72b594705fdc93ee3fe?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Mohadese Ghasemi</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/mohammad9574/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/1b213544ccfcc3eae61e4640eaa4733a?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Mohammad Ahmadi Akbari</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/ghasemi71ir/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/7173544c295e4da83c06463894924e24?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Mohammad Ghasemi</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/mohammadhero/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/d3cc70e26610175df37e29ad3058476b?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Mohammad Hero</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/kamalireal/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/7d12ca5dd6b28c06fb3e6d9bab35d98c?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>MohammadReza Kamali</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/mohsenpazhoohiyani/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/d1ec0de464dfa603266aafb57893190a?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Moh Sen</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/mohsengham/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/64d4e212c9263a72b2fcadbe3951342f?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Mohsen Ghiasi Ravari</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/mojtaba-taheri/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/dadbd3df6db151c924279a85333be5d3?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Mojtaba</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/mojtabad/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/bad8c41e73e002d4a356b6f45ea5cbea?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Mojtaba Darvishi</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/moreconvert/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/4aec5812e3db8673416ae1130567d24a?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>moreconvert</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/mo0orteza/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/ff676fc8aefcaba0a322e26cf9b6e33c?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Morteza Gholami</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/mostafarouz/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/61cd3a411bf24f29129cc5f6671ca54a?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>mostafarouz</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/pctricksir/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/f3de891086460ebc9d49285dd875d392?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Mostafa Shiraali</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/mostafas1990/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/e3631726d155eac3e02f76ce86675b5e?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Mostafa Soufi</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/motefaghehi/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/ab18b632dcc092fa8f9186aeda372ca6?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Motefaghehi</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/motlaqcode/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/1b483f0e8a37f692326fa773f13fdc67?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>motlaq.code</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/mralidoosti/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/a3fb02547f4c5c7b52a0e8f62808e5f2?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Mr.Alidoosti</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/msninsider/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/cbde60e0b6889dce753b42c8902ef5c0?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>msninsider</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/narimonfund/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/5285b112df84b46bdbb74863578eb613?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>narimonfund</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/navidos/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/7dcc163b0e899db1292b87e75f40bda4?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Navid</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/kashani/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/b36d7087386d76b7a19108b02f98f106?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Navid Kashani</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/milad47/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/37274b79cf0175321cb7643fbee5df94?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Nejad (drdgtal.ir)</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/niloomand/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/0cd10486b080d82bfe48daa6230dd935?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Niloufar Firouzmand</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/nima78600/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/d748601773ad0279e56aa3c4019115b6?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Nima</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/nirweb/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/c7415431eace690f62db1308c0ad64d9?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>NirWp Team</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/novinhub/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/322d3edcc25fe18b82e463a283cef232?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>novinhub</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/rajaeinet/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/fd7b9df37ca332d1442a0ce3967a7c44?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Omid Rajaei</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/otoraby/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/60ae94ff71f9b47157b12f662edf29c7?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>otoraby</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/parselearn/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/fdaf2d63dcac607c3369add863f92d49?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Parsa</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/rahmatmajidi/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/3fec48b6acbb1532a33452201fe96f1b?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>parsamajidi</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/saeed_same/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/696fc497c9a2c917559f87d052bc3567?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br></a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/parsmizban/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/f9456e0a85245eddae6ead8ff0fd73ec?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Pars Mizban</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/payzito/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/2a81c9c4689f2161249bd7a7af97fcd2?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Payzito</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/pegahnorozi/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/3516a004a13a9aabf580b1af90709f38?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>pegahnorozi</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/peprodev/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/ab681a56b7c8835bd5e9115cd2168967?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Pepro Dev. Group</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/persianscript/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/ef45e608481190c18b2af07af5723f9b?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>PersianScript</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/piman/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/6d47c40bb24abd6a4635f8a938833595?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Peyman Naeimi</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/pingmeter/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/fef2f4fcb95ba6066ef881890471b601?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Pingmeter</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/poolito/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/f492c9b739e0f81689cdac49f18045d4?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Poolito</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/porsline/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/aa21f1b133d19e3ec284b54f6f66e8d1?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>porsline</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/poshtibancom/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/efe7c8e18dc355f38c206462e2a8fd89?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Poshtiban</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/qodeinteractive/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/b3112ae650270b077c3757e194e07b12?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Qode</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/rarathemesupport/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/fd7624354ed1954db2857defe5d41717?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Rara Themes Support</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/vadatiertebat/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/e19ecf951917ba4664ad0dcb920a86f7?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Rasool Vahdati</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/sadeghpm/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/c63f816d8d209d003b333883a5116d0a?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>sadeghpm</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/safelayout/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/0d8556a5f60d79d46e4a0d99ec3bb01e?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>safelayout</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/sahabi/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/713bcf163578d7beaf4fc5633068ee2e?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>sahabi</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/sajjadtalebi/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/41fdeae6932388edea980feab1ea8878?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>sajjad talebi</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/salarlotfi/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/19796781761750c8f461faa560255f72?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>salar lotfi</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/samanehmirrajabi/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/3c249b6aea6b218f100a646dd4236322?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Samaneh Mirrajabi</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/samtemehr/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/fb8da7c62925a0f0747d979f5416c005?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>samtemehr</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/saniamohammadi/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/4b1289fe9c88fa85980f32b1da0ffa32?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Sania Mohammadi</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/sareham238/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/dfda29e07b9ef724e74a5489462acc1d?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>sareham238</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/salamzadeh/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/981c633c2e04866c36713f4c771ead61?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Sasan Salamzadeh</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/ebrahimzadeh/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/6a6a7c553627a2f0b1f229ef896f9593?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Sekineh Ebrahimzadeh</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/seramo/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/59a56d919279eb8c099e9ecfde2ac1b1?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>seramo</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/shayanfp/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/e2bd4472eb102fb2523f618f354d20bb?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Shayan Farhang Pazhooh</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/shokrino/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/2c5113e52a9ead1d847a053680b929f5?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Shokrino Team</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/salemi/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/9d8d335ac6f18b9d70529ec181e07825?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Siavash</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/sinashams/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/5bc3dc3c1c481092e57d5ee7aaad8d4c?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Sina Shamsizadeh</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/smm1378/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/d11d16690e254682f881b95a8906e9b6?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>smm1378</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/smrm/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/917f43c1bc06d82d93b33c6feb567ee3?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>smrmkh</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/soheilmir/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/dd162394cad442a9d41f6e61e9699fcc?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>soheilmir</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/sunyniazi/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/9118863f478aacf17e28c9c8eaaac868?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>sunyniazi</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/tadeha/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/d9d8d1fe52190dd5533faa32084601ba?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>tadeha</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/tsina/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/5175589803cc8209f9d14ff51f21ba6f?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>tsina</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/untashgaal/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/c80bf7c5fe758586a0dd3c57abfa18f8?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Untashgaal</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/worldless/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/647edccfb36251fa1088ac69ddf24e3d?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>worldless</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/wpvar/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/2e7c768382cbc3d2f0a927caea2b8b83?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>wpvar</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/yasser1992/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/7ff577dff2645a4cbd9aaad68cb71b4e?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Yaser Shahi</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/yashar_hv/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/69e51bde3535a671976159ba988d1fc1?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Yashar</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/ynproduct/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/72bcce1fa00e869b00a3ccabff95c6e0?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>ynproduct</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/cg-team/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/b7b3d45881027c27ef020c17b8750480?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Yousefzadeh</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/zareidev/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/fcbc5c441416e2c6ea8f9c9b23001a4d?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>zarei_dev</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/armenab1/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/9c8a84d3ceae3eaa3a7c8b0ad998109b?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>Արմեն</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/elementorir/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/d0e9b9be12b8164adb0adf91a980236f?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>المنتور فارسی</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/mahdi6489/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/d35bb6a22a417637fc73beeb92600be1?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>تندر وردپرس</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/zeroone2021/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/75478f3f1929f976951d668ee1e364a3?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>دنیای صفر و یک دیجیتالی</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/salman1990/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/f05fafc0856c43643dd36628b34b9944?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>سلمان محمدی</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/qwerty13/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/e802e5ac490da7d1029b7029265249ef?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>مرتضی رستگار</a>\n				<a style=\"width: calc(25% - 10px);float:left;text-align: center;margin-left: 10px;margin-top: 10px !important\" class=\"profile\" href=\"https://profiles.wordpress.org/pedramrahimi/\"><img loading=\"lazy\" decoding=\"async\" alt=\"\" src=\"https://secure.gravatar.com/avatar/b545db4131a739d2348816b3c6ee12ae?s=40&amp;d=mm&amp;r=g\" class=\"avatar avatar-40 photo\" height=\"40\" width=\"40\"><br>پدرام رحیمی</a>\n</div>\n<div class=\"clear:both;content: \'\';display: flex-row;\"></div>\n\n\n\n<div style=\"height:40px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>\n\n\n\n<p class=\"has-text-align-center\"><strong><a href=\"https://make.wordpress.org/polyglots/teams/?locale=fa_IR\" data-type=\"link\" data-id=\"https://make.wordpress.org/polyglots/teams/?locale=fa_IR\" target=\"_blank\" rel=\"noreferrer noopener\">مشاهده لیست کامل توسعه دهندگان بخش فارسی</a></strong></p>\n\n\n\n<h2 class=\"wp-block-heading\">استفاده کنندگان زبان فارسی وردپرس</h2>\n\n\n\n<p>تا سال 2024، 44.26٪ از کل وبسایت های اینترنت از وردپرس استفاده می‌کنند. این مقدار برابر با چیزی حدود ۸۱۰ میلیون وب‌سایت می‌شود و این شماره به سرعت در حال افزایش است. بیش از ۵۰۰ وب‌سایت هر روز با وردپرس ساخته می‌شود. از میان این وب سایت‌ها چیزی حدود ۸۱ میلیون وب سایت، به زبان فارسی می‌باشند (یک دهم درصد)</p>\n\n\n\n<h2 class=\"wp-block-heading\">تاریخچه فعالیت تیم وردپرس فارسی</h2>\n\n\n\n<p>فعالیت تیم وردپرس فارسی تقریبا از ابتدای بوجود آمدن وردپرس شکل گرفت و در فروردین ۱۳۸۶ انتشار افزونه تاریخ شمسی برای وردپرس توسط آقای <a href=\"https://profiles.wordpress.org/mani_monaj\" data-type=\"link\" data-id=\"https://profiles.wordpress.org/mani_monaj\">مانی منجّمی</a>، سرعت بومی‌سازی وردپرس را دو چندان کرد. فعالیت‌های این دوستان و همچنین کاربر <a href=\"https://profiles.wordpress.org/gonahkar\" data-type=\"link\" data-id=\"https://profiles.wordpress.org/gonahkar\">Gonahkar</a> باعث افزایش چشمگیر محبوبیت وردپرس، در میان کاربران وب فارسی زبان شد.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:164:\"https://fa.wordpress.org/team/2024/02/17/%d9%85%d8%b9%d8%b1%d9%81%db%8c-%d8%aa%db%8c%d9%85-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3-%d9%81%d8%a7%d8%b1%d8%b3%db%8c/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:3:\"145\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:73:\"\n		\n		\n					\n		\n		\n		\n				\n		\n\n					\n										\n					\n					\n			\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:6:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:68:\"واژه‌نامه رسمی وردپرس فارسی منتشر شد\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:227:\"https://fa.wordpress.org/team/2024/02/09/%d9%88%d8%a7%da%98%d9%87%d9%86%d8%a7%d9%85%d9%87-%d8%b1%d8%b3%d9%85%db%8c-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3-%d9%81%d8%a7%d8%b1%d8%b3%db%8c-%d9%85%d9%86%d8%aa%d8%b4%d8%b1-%d8%b4%d8%af/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:236:\"https://fa.wordpress.org/team/2024/02/09/%d9%88%d8%a7%da%98%d9%87%d9%86%d8%a7%d9%85%d9%87-%d8%b1%d8%b3%d9%85%db%8c-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3-%d9%81%d8%a7%d8%b1%d8%b3%db%8c-%d9%85%d9%86%d8%aa%d8%b4%d8%b1-%d8%b4%d8%af/#comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 09 Feb 2024 21:23:56 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"مطالب\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://fa.wordpress.org/team/?p=98\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:609:\"واژه‌نامه وردپرس فارسی بر اساس واژه‌های پرتکرار در هسته وردپرس و بخش مدیریت آن ایجاد شده است. شما مترجم عزیز می‌توانید در هنگام ترجمه وردپرس در بخش ترجمه آنلاین وردپرس فارسی، از پیشنهادات ترجمه‌ای که بر اساس این واژه‌نامه به شما داده می‌شود استفاده نمایید و ترجمه خود را ساده‌تر و روان‌تر انجام دهید. این واژه‌نامه شامل بیش [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Farhad Sakhaei\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2087:\"<p><a href=\"https://translate.wordpress.org/locale/fa/default/glossary/\">واژه‌نامه وردپرس فارسی</a> بر اساس واژه‌های پرتکرار در هسته وردپرس و بخش مدیریت آن ایجاد شده است. شما مترجم عزیز می‌توانید در هنگام ترجمه وردپرس در بخش <a rel=\"noreferrer noopener\" href=\"https://translate.wordpress.org/locale/fa/\" target=\"_blank\">ترجمه آنلاین وردپرس فارسی</a>، از پیشنهادات ترجمه‌ای که بر اساس این واژه‌نامه به شما داده می‌شود استفاده نمایید و ترجمه خود را ساده‌تر و روان‌تر انجام دهید.</p>\n\n\n\n<p>این واژه‌نامه شامل بیش از ۱۲۰۰ واژه و عبارت می‌باشد و به دلیل تعداد زیاد کلمات و عبارت‌های درج شده در آن، ممکن است نیاز به بهبود بیشتر نیز داشته باشد. لذا در صورتی که مایل به بهبود این واژه‌نامه هستید می‌توانید پیشنهادات خود را در مورد بهبود ترجمه واژه‌ها به صورت دیدگاه (Comment) بر روی <a href=\"https://docs.google.com/spreadsheets/d/1SrhQknH-gipzFXI6TCu1KEXUF9QivkCo3jp6yJy3CRE/edit?usp=sharing\" target=\"_blank\" rel=\"noreferrer noopener\">منبع Google Sheet این واژه‌نامه</a> ارائه نمایید. ضمنا در صورتی که نیاز به بحث و گفتگو در مورد واژه‌ای دارید، می‌توانید به بخش <a href=\"https://t.me/wpdevelopers\" target=\"_blank\" rel=\"noreferrer noopener\">گفتگوهای مربوط به تیم وردپرس فارسی</a> مراجعه و اقدام به عضویت و ورود نمایید. گردآوری این واژه‌نامه با تلاش <a href=\"https://make.wordpress.org/polyglots/teams/?locale=fa_IR\" target=\"_blank\" rel=\"noreferrer noopener\">تیم وردپرس فارسی</a> انجام شده است.<br></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:232:\"https://fa.wordpress.org/team/2024/02/09/%d9%88%d8%a7%da%98%d9%87%d9%86%d8%a7%d9%85%d9%87-%d8%b1%d8%b3%d9%85%db%8c-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3-%d9%81%d8%a7%d8%b1%d8%b3%db%8c-%d9%85%d9%86%d8%aa%d8%b4%d8%b1-%d8%b4%d8%af/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"7\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"98\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:73:\"\n		\n		\n					\n		\n		\n		\n				\n		\n\n					\n										\n					\n					\n			\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:6:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"برگزاری تولد وردپرس در میتاپ بندرعباس\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:239:\"https://fa.wordpress.org/team/2023/05/24/%d8%a8%d8%b1%da%af%d8%b2%d8%a7%d8%b1%db%8c-%d8%aa%d9%88%d9%84%d8%af-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3-%d8%af%d8%b1-%d9%85%db%8c%d8%aa%d8%a7%d9%be-%d8%a8%d9%86%d8%af%d8%b1%d8%b9%d8%a8%d8%a7%d8%b3/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:247:\"https://fa.wordpress.org/team/2023/05/24/%d8%a8%d8%b1%da%af%d8%b2%d8%a7%d8%b1%db%8c-%d8%aa%d9%88%d9%84%d8%af-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3-%d8%af%d8%b1-%d9%85%db%8c%d8%aa%d8%a7%d9%be-%d8%a8%d9%86%d8%af%d8%b1%d8%b9%d8%a8%d8%a7%d8%b3/#respond\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 24 May 2023 06:17:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"رویدادها\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:36:\"https://fa.wordpress.org/team/?p=102\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:469:\"به همین جهت ما نیز در جامعه وردپرس ایران در این روز دور هم جمع شده و در رویداد تولد ۲۰ سالگی وردپرس دیدار تازه می‌کنیم. از شما علاقمندان به دنیای وردپرس و متن باز دعوت میکنیم که این روز رو در کنار ما باشید. تاریخ برگزاری رویداد: شنبه 6 خرداد، ساعت 18:00 الی 20:15 [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"Saeed Fard\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:3355:\"<figure class=\"wp-block-image size-full\"><a href=\"https://fa.wordpress.org/files/2023/05/poster-wordpress-2-1024x1024-1.jpg\"><img decoding=\"async\" src=\"https://fa.wordpress.org/files/2023/05/poster-wordpress-2-1024x1024-1.jpg\" alt=\"\" class=\"wp-image-817\"></a></figure>\n\n\n\n<p>به همین جهت ما نیز در جامعه وردپرس ایران در این روز دور هم جمع شده و در رویداد تولد ۲۰ سالگی وردپرس دیدار تازه می‌کنیم.</p>\n\n\n\n<p>از شما علاقمندان به دنیای وردپرس و متن باز دعوت میکنیم که این روز رو در کنار ما باشید.</p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\">\n\n\n\n<p>تاریخ برگزاری رویداد: <strong>شنبه 6 خرداد، ساعت 18:00 الی 20:15</strong></p>\n\n\n\n<p>محل برگزاری: <strong>بندرعباس، خیابان آیت الله غفاری شمالی، ساختمان پارک علم و فناوری هرمزگان، سالن کنفرانس</strong></p>\n\n\n\n<p>ظرفیت: <strong>50 نفر</strong></p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\">\n\n\n\n<h2 class=\"wp-block-heading\">ثبت نام در میتاپ</h2>\n\n\n\n<p>شرکت در این رویداد رایگان است اما حتما برای حضور باید در آن ثبت نام کنید.<br>برای ثبت نام در میتاپ وردپرس بندرعباس به این لینک Attend کرده</p>\n\n\n\n<p><a href=\"https://www.meetup.com/bandarabbas-wordpress-meetup/events/293634850/\">https://www.meetup.com/bandarabbas-wordpress-meetup/</a></p>\n\n\n\n<p>به دلیل محدودیت ظرفیت در این رویداد در صورت ثبت نام و کنسل شدن حضورتون حتما به برگزار کنندگان رویداد اطلاع‌رسانی کنید.</p>\n\n\n\n<p>جهت اطلاع‌رسانی در مورد رویداد در شبکه‌های اجتماعی میتاپ وردپرس عضو شوید.</p>\n\n\n\n<p><a href=\"https://t.me/irwpmeetup\" target=\"_blank\" rel=\"noreferrer noopener\">https://t.me/irwpmeetup</a><br><a href=\"https://instagram.com/irwpmeetup\" target=\"_blank\" rel=\"noreferrer noopener\">https://instagram.com/irwpmeetup</a><br><a href=\"https://wpmeetup.ir/\" target=\"_blank\" rel=\"noreferrer noopener\">https://wpmeetup.ir/</a></p>\n\n\n\n<hr class=\"wp-block-separator has-alpha-channel-opacity\">\n\n\n\n<h2 class=\"wp-block-heading\">برنامه رویداد</h2>\n\n\n\n<figure class=\"wp-block-table is-style-stripes\"><table><tbody><tr><td><strong>برنامه</strong></td><td><strong>ساعت</strong></td></tr><tr><td>معرفی و خوش‌آمد گویی</td><td>18:00 الی 18:15</td></tr><tr><td>فرصت شبکه سازی با متخصصان و علاقه مندان وردپرس</td><td>18:15 الی 18:45</td></tr><tr><td>بحث و گفتگو در مورد سرعت و بهینه سازی وردپرس</td><td>18:45 الی 19:45</td></tr><tr><td>جشن تولد وردپرس همراه با کیک و عکاسی</td><td>19:45 الی 20:15</td></tr></tbody></table></figure>\n\n\n\n<h2 class=\"wp-block-heading\">برگزارکنندگان این رویداد</h2>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-full\"><img decoding=\"async\" src=\"https://fa.wordpress.org/files/2023/05/sponser-bnd.jpg\" alt=\"\" class=\"wp-image-818\"></figure></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:244:\"https://fa.wordpress.org/team/2023/05/24/%d8%a8%d8%b1%da%af%d8%b2%d8%a7%d8%b1%db%8c-%d8%aa%d9%88%d9%84%d8%af-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3-%d8%af%d8%b1-%d9%85%db%8c%d8%aa%d8%a7%d9%be-%d8%a8%d9%86%d8%af%d8%b1%d8%b9%d8%a8%d8%a7%d8%b3/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:3:\"102\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:73:\"\n		\n		\n					\n		\n		\n		\n				\n		\n\n					\n										\n					\n					\n			\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:6:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:91:\"میتاپ تولد ۲۰ سالگی وردپرس در تهران برگزار می‌شود\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:241:\"https://fa.wordpress.org/team/2023/05/16/%d9%85%db%8c%d8%aa%d8%a7%d9%be-%d8%aa%d9%88%d9%84%d8%af-%db%b2%db%b0-%d8%b3%d8%a7%d9%84%da%af%db%8c-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3-%d8%af%d8%b1-%d8%aa%d9%87%d8%b1%d8%a7%d9%86-%d8%a8%d8%b1%da%af/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:249:\"https://fa.wordpress.org/team/2023/05/16/%d9%85%db%8c%d8%aa%d8%a7%d9%be-%d8%aa%d9%88%d9%84%d8%af-%db%b2%db%b0-%d8%b3%d8%a7%d9%84%da%af%db%8c-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3-%d8%af%d8%b1-%d8%aa%d9%87%d8%b1%d8%a7%d9%86-%d8%a8%d8%b1%da%af/#respond\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 16 May 2023 06:22:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"رویدادها\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:36:\"https://fa.wordpress.org/team/?p=104\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:512:\"در تاریخ ۶ خرداد امسال وردپرس ۲۰ ساله می‌شود. به همین مناسبت در تمامی دنیا رویدادهایی با هدف گرفتن جشن برای این روز برگزار می‌شود. لوکال منیجرها، توسعه‌دهنده‌ها و سایر دوستدارن دنیای متن باز و وردپرس با دورهم جمع شدن این روز رو در کل دنیا با هم جشن می‌گیرند. به همین جهت ما نیز [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"Saeed Fard\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:4457:\"<figure class=\"wp-block-image size-large\"><a href=\"https://fa.wordpress.org/files/2023/05/2.png\"><img decoding=\"async\" src=\"https://fa.wordpress.org/files/2023/05/2-1024x768.png\" alt=\"\" class=\"wp-image-790\"></a></figure>\n\n\n\n<p>در تاریخ ۶ خرداد امسال وردپرس ۲۰ ساله می‌شود. به همین مناسبت در تمامی دنیا رویدادهایی با هدف گرفتن جشن برای این روز برگزار می‌شود. لوکال منیجرها، توسعه‌دهنده‌ها و سایر دوستدارن دنیای متن باز و وردپرس با دورهم جمع شدن این روز رو در کل دنیا با هم جشن می‌گیرند.</p>\n\n\n\n<p>به همین جهت ما نیز در جامعه وردپرس ایران در این روز دور هم جمع شده و در رویداد تولد ۲۰ سالگی وردپرس دیدار تازه می‌کنیم.</p>\n\n\n\n<p>از شما علاقمندان به دنیای وردپرس و متن باز دعوت میکنیم که این روز رو در کنار ما باشید.</p>\n\n\n\n<p>تاریخ برگزاری رویداد: <strong>جمعه 5 خرداد، ساعت 9:30 الی 14:00</strong></p>\n\n\n\n<p>محل برگزاری: <strong>تهران، کیلومتر 15 بزرگراه فتح (پل ایرانخودرو)، خیابان تولایی،نبش کوچه لاله،کارخانه نوآوری و صنایع خلاق آمپر</strong></p>\n\n\n\n<p>ظرفیت: <strong>45 نفر</strong></p>\n\n\n\n<p>شرکت در این رویداد رایگان است اما حتما برای حضور باید در آن ثبت نام کنید.<br>برای ثبت نام ابتدا در میتاپ وردپرس تهران به این لینک Attend کرده</p>\n\n\n\n<p><a href=\"https://www.meetup.com/tehran-wordpress-meetup/events/293556812/\">https://www.meetup.com/tehran-wordpress-meetup/events/293556812</a></p>\n\n\n\n<p>و سپس اطلاعاتتون رو در این فرم ثبت کنید.</p>\n\n\n\n<p><a href=\"https://wpmeetup.ir/wp20/\">https://wpmeetup.ir/wp20</a><br></p>\n\n\n\n<p><strong>توجه نمایید که ثبت اطلاعات در فرم ذکر شده به منزله نهایی کردن ثبت نام است.</strong></p>\n\n\n\n<p>به دلیل محدودیت ظرفیت در این رویداد در صورت ثبت نام و کنسل شدن حضورتون حتما به برگزار کنندگان رویداد اطلاع‌رسانی کنید.</p>\n\n\n\n<p>جهت اطلاع‌رسانی در مورد رویداد در شبکه‌های اجتماعی میتاپ وردپرس عضو شوید.</p>\n\n\n\n<p><a rel=\"noreferrer noopener\" href=\"https://t.me/irwpmeetup\" target=\"_blank\">https://t.me/irwpmeetup</a><br><a rel=\"noreferrer noopener\" href=\"https://instagram.com/irwpmeetup\" target=\"_blank\">https://instagram.com/irwpmeetup</a><br><a rel=\"noreferrer noopener\" href=\"https://wpmeetup.ir/\" target=\"_blank\">https://wpmeetup.ir/</a></p>\n\n\n\n<span id=\"more-104\"></span>\n\n\n\n<h2 class=\"wp-block-heading\">برنامه رویداد</h2>\n\n\n\n<figure class=\"wp-block-table is-style-stripes\"><table><tbody><tr><td><strong>برنامه</strong></td><td><strong>ساعت</strong></td></tr><tr><td>معرفی و خوش‌آمد گویی (سعید فرد)</td><td>9:45 الی 10</td></tr><tr><td>سخنرانی اول – رسول وحدتی (امنیت وردپرس)</td><td>10 الی 10:45</td></tr><tr><td>وقت استراحت و پذیرایی اول</td><td>10:45 الی 11:15</td></tr><tr><td>سخنرانی دوم – مخاطرات استفاده محصولات وردپرسی نال و غیراصل (صحبت به صورت آزاد)</td><td>11:15 الی 12</td></tr><tr><td>تولد وردپرس، عکاسی و پذیرایی و شبکه‌سازی</td><td>12 الی 13:30</td></tr></tbody></table></figure>\n\n\n\n<figure class=\"wp-block-image size-large\"><a href=\"https://fa.wordpress.org/files/2023/05/2.5.png\"><img decoding=\"async\" src=\"https://fa.wordpress.org/files/2023/05/2.5-1024x768.png\" alt=\"\" class=\"wp-image-802\"></a></figure>\n\n\n\n<h2 class=\"wp-block-heading\">اسپانسر برگزاری این رویداد</h2>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-medium is-resized\"><a href=\"https://limoo.host/\" target=\"_blank\" rel=\"noreferrer noopener\"><img decoding=\"async\" src=\"https://wpmeetup.ir/wp-content/uploads/2023/05/IMG_7339-300x300.png\" alt=\"\" class=\"wp-image-531\" style=\"width:146px;height:146px\"></a></figure></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:246:\"https://fa.wordpress.org/team/2023/05/16/%d9%85%db%8c%d8%aa%d8%a7%d9%be-%d8%aa%d9%88%d9%84%d8%af-%db%b2%db%b0-%d8%b3%d8%a7%d9%84%da%af%db%8c-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3-%d8%af%d8%b1-%d8%aa%d9%87%d8%b1%d8%a7%d9%86-%d8%a8%d8%b1%da%af/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:3:\"104\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:73:\"\n		\n		\n					\n		\n		\n		\n				\n		\n\n					\n										\n					\n					\n			\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:6:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:57:\"میتاپ روز ترجمه وردپرس به فارسی\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:203:\"https://fa.wordpress.org/team/2020/09/01/%d9%85%db%8c%d8%aa%d8%a7%d9%be-%d8%b1%d9%88%d8%b2-%d8%aa%d8%b1%d8%ac%d9%85%d9%87-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3-%d8%a8%d9%87-%d9%81%d8%a7%d8%b1%d8%b3%db%8c/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:211:\"https://fa.wordpress.org/team/2020/09/01/%d9%85%db%8c%d8%aa%d8%a7%d9%be-%d8%b1%d9%88%d8%b2-%d8%aa%d8%b1%d8%ac%d9%85%d9%87-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3-%d8%a8%d9%87-%d9%81%d8%a7%d8%b1%d8%b3%db%8c/#respond\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 01 Sep 2020 06:51:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"رویدادها\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:36:\"https://fa.wordpress.org/team/?p=115\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:564:\"رویداد چند روزه ترجمه وردپرس همزمان با روز جهانی ترجمه شروع شد. در این رویداد طبق روال چند سال اخیر، همزمان با سایر مترجمان وردپرس به زبان‌های مختلف، بخش‌های هسته، سایت اصلی، پوسته‌ها، افزونه‌ها و اپ‌های موبایل را در کنار هم به زبان فارسی ترجمه می‌کنیم. رویداد روز ترجمه فارسی، بصورت یک میتاپ آنلاین در [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"Saeed Fard\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:1895:\"<p>رویداد چند روزه ترجمه وردپرس همزمان با روز جهانی ترجمه شروع شد. در این رویداد طبق روال چند سال اخیر، همزمان با سایر مترجمان وردپرس به زبان‌های مختلف، بخش‌های هسته، سایت اصلی، پوسته‌ها، افزونه‌ها و اپ‌های موبایل را در کنار هم به زبان فارسی ترجمه می‌کنیم.</p>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://fa.wordpress.org/files/2020/09/highres_492664489-1024x576.png\" alt=\"\" class=\"wp-image-648\"></figure>\n\n\n\n<p>رویداد روز ترجمه فارسی، بصورت یک میتاپ آنلاین در روز <strong>جمعه ۱۱ مهرماه ۱۳۹۹</strong> انجام می شود. اگر علاقمند به حضور در این رویداد هستید می‌توانید از طریق آدرس زیر اطلاعات بیشتری در مورد آن کسب کنید:<br></p>\n\n\n\n<figure class=\"wp-block-embed-meetup-com wp-block-embed is-type-rich is-provider-meetup\"><div class=\"wp-block-embed__wrapper\">\r\nhttps://www.meetup.com/tehran-wordpress-meetup/events/273541393/\r\n</div></figure>\n\n\n\n<p class=\"has-text-align-right\">و یا می‌توانید در ساعت مشخص شده، بصورت مستقیم به پیوند رویداد وارد و به جمع دیگر دوستان بپیوندید:</p>\n\n\n\n<p class=\"has-text-align-left\" style=\"font-size:18px\"><br><strong><a href=\"https://www.meetup.com/tehran-wordpress-meetup/events/273541393\">https://www.meetup.com/tehran-wordpress-meetup/events/273541393</a></strong></p>\n\n\n\n<p>توجه داشته باشید که برای شرکت در پیوند بالا، نیازی به ثبت نام نیست و رویداد راس ساعت اعلام شده آغاز می‌شود.</p>\n\n\n\n<p></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:208:\"https://fa.wordpress.org/team/2020/09/01/%d9%85%db%8c%d8%aa%d8%a7%d9%be-%d8%b1%d9%88%d8%b2-%d8%aa%d8%b1%d8%ac%d9%85%d9%87-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3-%d8%a8%d9%87-%d9%81%d8%a7%d8%b1%d8%b3%db%8c/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:3:\"115\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:73:\"\n		\n		\n					\n		\n		\n		\n				\n		\n\n					\n										\n					\n					\n			\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:6:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:77:\"برگزاری روز ترجمه وردپرس به فارسی در تهران\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:241:\"https://fa.wordpress.org/team/2019/05/11/%d8%a8%d8%b1%da%af%d8%b2%d8%a7%d8%b1%db%8c-%d8%b1%d9%88%d8%b2-%d8%aa%d8%b1%d8%ac%d9%85%d9%87-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3-%d8%a8%d9%87-%d9%81%d8%a7%d8%b1%d8%b3%db%8c-%d8%af%d8%b1-%d8%aa%d9%87/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:249:\"https://fa.wordpress.org/team/2019/05/11/%d8%a8%d8%b1%da%af%d8%b2%d8%a7%d8%b1%db%8c-%d8%b1%d9%88%d8%b2-%d8%aa%d8%b1%d8%ac%d9%85%d9%87-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3-%d8%a8%d9%87-%d9%81%d8%a7%d8%b1%d8%b3%db%8c-%d8%af%d8%b1-%d8%aa%d9%87/#respond\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 11 May 2019 07:54:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"رویدادها\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:36:\"https://fa.wordpress.org/team/?p=122\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:509:\"امروز (۲۱ اردیبهشت ۱۳۹۸) روز جهانی ترجمه وردپرس بود، یک رویداد که افراد زیادی در سراسر جهان جهت مشارکت برای ترجمه وردپرس، همکاری می‌کنند. ما نیز از این موضوع به دور نبودیم و به صورت گروهی وردپرس را به فارسی ترجمه کردیم و از کنار هم بودن لذت بردیم. روز ترجمه وردپرس باز نیز تکرار [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Farhad Sakhaei\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2346:\"<p>امروز (۲۱ اردیبهشت ۱۳۹۸) روز جهانی ترجمه وردپرس بود، یک رویداد که افراد زیادی در سراسر جهان جهت مشارکت برای ترجمه وردپرس، همکاری می‌کنند. ما نیز از این موضوع به دور نبودیم و به صورت گروهی وردپرس را به فارسی ترجمه کردیم و از کنار هم بودن لذت بردیم. روز ترجمه وردپرس باز نیز تکرار خواهد شد. </p>\n\n\n\n<figure class=\"wp-block-gallery has-nested-images columns-default is-cropped wp-block-gallery-1 is-layout-flex wp-block-gallery-is-layout-flex\">\n<figure class=\"wp-block-image size-large\"><a href=\"https://fa.wordpress.org/files/2019/05/1.jpg\"><img decoding=\"async\" data-id=\"495\" src=\"https://fa.wordpress.org/files/2019/05/1-1024x772.jpg\" alt=\"\" class=\"wp-image-495\"></a></figure>\n\n\n\n<figure class=\"wp-block-image size-large\"><a href=\"https://fa.wordpress.org/files/2019/05/2.jpg\"><img decoding=\"async\" data-id=\"496\" src=\"https://fa.wordpress.org/files/2019/05/2-1024x767.jpg\" alt=\"\" class=\"wp-image-496\"></a></figure>\n\n\n\n<figure class=\"wp-block-image size-large\"><a href=\"https://fa.wordpress.org/files/2019/05/3.jpg\"><img decoding=\"async\" data-id=\"497\" src=\"https://fa.wordpress.org/files/2019/05/3-1024x767.jpg\" alt=\"\" class=\"wp-image-497\"></a></figure>\n\n\n\n<figure class=\"wp-block-image size-large\"><a href=\"https://fa.wordpress.org/files/2019/05/4.jpg\"><img decoding=\"async\" data-id=\"498\" src=\"https://fa.wordpress.org/files/2019/05/4-1024x767.jpg\" alt=\"\" class=\"wp-image-498\"></a></figure>\n\n\n\n<figure class=\"wp-block-image size-large\"><a href=\"https://fa.wordpress.org/files/2019/05/5.jpg\"><img decoding=\"async\" data-id=\"499\" src=\"https://fa.wordpress.org/files/2019/05/5-1024x767.jpg\" alt=\"\" class=\"wp-image-499\"></a></figure>\n\n\n\n<figure class=\"wp-block-image size-large\"><a href=\"https://fa.wordpress.org/files/2019/05/6.jpg\"><img decoding=\"async\" data-id=\"500\" src=\"https://fa.wordpress.org/files/2019/05/6-1024x767.jpg\" alt=\"\" class=\"wp-image-500\"></a></figure>\n\n\n\n<figure class=\"wp-block-image size-large\"><a href=\"https://fa.wordpress.org/files/2019/05/7.jpg\"><img decoding=\"async\" data-id=\"501\" src=\"https://fa.wordpress.org/files/2019/05/7-1024x533.jpg\" alt=\"\" class=\"wp-image-501\"></a></figure>\n</figure>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:246:\"https://fa.wordpress.org/team/2019/05/11/%d8%a8%d8%b1%da%af%d8%b2%d8%a7%d8%b1%db%8c-%d8%b1%d9%88%d8%b2-%d8%aa%d8%b1%d8%ac%d9%85%d9%87-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3-%d8%a8%d9%87-%d9%81%d8%a7%d8%b1%d8%b3%db%8c-%d8%af%d8%b1-%d8%aa%d9%87/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:3:\"122\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:73:\"\n		\n		\n					\n		\n		\n		\n				\n		\n\n					\n										\n					\n					\n			\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:6:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:47:\"پنجمین میتاپ وردپرس تهران\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:177:\"https://fa.wordpress.org/team/2019/01/03/%d9%be%d9%86%d8%ac%d9%85%db%8c%d9%86-%d9%85%db%8c%d8%aa%d8%a7%d9%be-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3-%d8%aa%d9%87%d8%b1%d8%a7%d9%86/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:185:\"https://fa.wordpress.org/team/2019/01/03/%d9%be%d9%86%d8%ac%d9%85%db%8c%d9%86-%d9%85%db%8c%d8%aa%d8%a7%d9%be-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3-%d8%aa%d9%87%d8%b1%d8%a7%d9%86/#respond\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 03 Jan 2019 07:59:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"رویدادها\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:36:\"https://fa.wordpress.org/team/?p=127\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:554:\"پنجمین میتاپ وردپرس تهران در تاریخ 7 دی‌ماه 1397 برگزار شد. میتاپ در این دوره هم با استقبال بی‌نظیر علاقمندان به وردپرس مواجه بود . انتظار می‌رود که شاهدحضور بیشتر شما عزیزان در میتاپ‌های بعد باشیم. آقای سعید فرد با صحبت درباره اهداف میتاپ (برگزاری wordcamp در سال آینده، توسعه وردپرس فارسی) آغاز کننده این [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"Saeed Fard\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:4863:\"<p>پنجمین میتاپ وردپرس تهران در تاریخ 7 دی‌ماه 1397 برگزار شد. میتاپ در این دوره هم با استقبال بی‌نظیر علاقمندان به وردپرس مواجه بود . انتظار می‌رود که شاهدحضور بیشتر شما عزیزان در میتاپ‌های بعد باشیم.</p>\n\n\n\n<p>آقای سعید فرد با صحبت درباره اهداف میتاپ (برگزاری wordcamp در سال آینده، توسعه وردپرس فارسی) آغاز کننده این رویداد بود.</p>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://fa.wordpress.org/files/2020/01/%D8%B3%D8%B9%DB%8C%D8%AF-%D9%81%D8%B1%D8%AF-%D9%85%DB%8C%D8%AA%D8%A7%D9%BE-768x768-1.jpg\" alt=\"\" class=\"wp-image-587\"></figure>\n\n\n\n<p>بعد از اینکه دوستان شرکت کننده خودشان را معرفی کردند نوبت به ارائه آقای مهدی رضایی (طراح وتوسعه دهنده وب) با موضوع: توسعه دهنده بهتری برای وردپرس باشیم رسید .</p>\n\n\n\n<p>آقای رضایی در ابتدا وردپرسفیای را برای دوستان معرفی کرد و مراحل نصب آن را توضیح و انجام داد. به سوالات حضار درباره ودرپرسفیای پاسخ داد .</p>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://fa.wordpress.org/files/2020/01/mehdi-rezaeii-768x768-1.jpg\" alt=\"\" class=\"wp-image-588\"></figure>\n\n\n\n<p>در قسمت دوم ارائه خود آقای رضایی، سایپرس (ابزاری برای آزمایش سایت وردپرسی) را معرفی کرده و مراحل کار با سایپرس را به صورت عملی توضیح داد.</p>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://fa.wordpress.org/files/2020/01/member-meetup-768x768-1.jpg\" alt=\"\" class=\"wp-image-589\"></figure>\n\n\n\n<p>بعد از تمام شدن ارائه آقای رضایی نوبت به پذیرایی و تبادل نظر شرکت کنندگان رسید .</p>\n\n\n\n<p>بعد از پذیرایی آقای سعید فرد برد ترلو میتاپ را معرفی کرد و از کاربران خواست که برای مشارکت در زمینه بهبود وردپرس فارسی به آن بپیوندند. تمامی دوستان و شرکت‌کننده‌های میتاپ وردپرس می‌توانند در این بورد نظرات و پیشنهادات خود را برای این رویداد ارسال کنند و در برگزاری میتاپ همکاری داشته باشند.</p>\n\n\n\n<p>قسمت دوم میتاپ به صورت بحث و گفتگو بین شرکت‌کننده‌ها در میتاپ با موضوع فارسی سازی وردپرس و مشکلات آن شکل گرفت.</p>\n\n\n\n<p>آقای سخایی از کاربران وردپرس خواست تا در زمینه ترجمه وردپرس، گروه وردپرس را همراهی کنند و به بحث و تبادل نظر بپردازند.</p>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://fa.wordpress.org/files/2020/01/all-member-768x768-1.jpg\" alt=\"\" class=\"wp-image-590\"></figure>\n\n\n\n<p>گفت و گو درباره ترجمه وردپرس فارسی ادامه پیدا کرد و کاربران پیشنهادات و نظرات خود را درباره این موضوع به اشتراک گذاشتند. بعد از جمع‌بندی صحبت‌های کاربران توسط سعید فرد میتاپ پنجم به پایان رسید.</p>\n\n\n\n<p>عکس دسته جمعی در پایان میتاپ</p>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://fa.wordpress.org/files/2020/01/5th-meetup-tehran-768x773-1.jpg\" alt=\"\" class=\"wp-image-591\"></figure>\n\n\n\n<p>اگر تمایل به حضور در دوره‌های بعدی میتاپ وردپرس تهران را دارید می‌توانید جهت اطلاع‌رسانی از برگزاری در اکانت‌های شبکه اجتماعی میتاپ در تلگرام و اینستاگرام عضو شوید.</p>\n\n\n\n<p class=\"has-text-align-center\" dir=\"ltr\"><a href=\"https://t.me/irwpmeetup\">https://t.me/irwpmeetup</a></p>\n\n\n\n<p class=\"has-text-align-center\" dir=\"ltr\"><a href=\"https://instagram.com/irwpmeetup\">https://instagram.com/irwpmeetup</a></p>\n\n\n\n<p>این مژده به کسانی که فرصت حضور در میتاپ ها را ندارند داده می‎‌شود که می‌توانند از طریق اکانت ما در اینستاگرام به صورت زنده و یا از طریق بخش <a href=\"https://wpmeetup.ir/category/videos/\">ویدیوهای میتاپ</a>، میتاپ‌های وردپرس قبلی را مشاهده کنند.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:182:\"https://fa.wordpress.org/team/2019/01/03/%d9%be%d9%86%d8%ac%d9%85%db%8c%d9%86-%d9%85%db%8c%d8%aa%d8%a7%d9%be-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3-%d8%aa%d9%87%d8%b1%d8%a7%d9%86/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:3:\"127\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:73:\"\n		\n		\n					\n		\n		\n		\n				\n		\n\n					\n										\n					\n					\n			\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:6:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:49:\"چهارمین میتاپ وردپرس تهران\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:183:\"https://fa.wordpress.org/team/2018/12/01/%da%86%d9%87%d8%a7%d8%b1%d9%85%db%8c%d9%86-%d9%85%db%8c%d8%aa%d8%a7%d9%be-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3-%d8%aa%d9%87%d8%b1%d8%a7%d9%86/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:191:\"https://fa.wordpress.org/team/2018/12/01/%da%86%d9%87%d8%a7%d8%b1%d9%85%db%8c%d9%86-%d9%85%db%8c%d8%aa%d8%a7%d9%be-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3-%d8%aa%d9%87%d8%b1%d8%a7%d9%86/#respond\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 01 Dec 2018 08:20:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"رویدادها\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:36:\"https://fa.wordpress.org/team/?p=131\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:567:\"چهارمین میتاپ وردپرس ۹ آذر ۹۷ ساعت ۱۰ صبح برگزار شد. این میتاپ هم مانند سه میتاپ قبل شاهد حضور علاقه‌مندان وردپرس در هر زمینه‌ای (توسعه دهنده‌، طراح، کاربران وردپرس وحتی دانشجویان) بود. میتاپ با صحبت‌های آغازین آقای سعید‌‌ فرد با تأکید بر اهداف میتاپ که تشکیل جامعه‌ی وردپرسی، مطرح کردن مباحث فنی و عمومی [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"Saeed Fard\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:5473:\"<p>چهارمین میتاپ وردپرس ۹ آذر ۹۷ ساعت ۱۰ صبح برگزار شد. این میتاپ هم مانند سه میتاپ قبل شاهد حضور علاقه‌مندان وردپرس در هر زمینه‌ای (توسعه دهنده‌، طراح، کاربران وردپرس وحتی دانشجویان) بود.</p>\n\n\n\n<p>میتاپ با صحبت‌های آغازین آقای سعید‌‌ فرد با تأکید بر اهداف میتاپ که تشکیل جامعه‌ی وردپرسی، مطرح کردن مباحث فنی و عمومی در رابطه با وردپرس، کمک به توسعه و پیشرفت  وردپرس در ایران و اشاره به این که هدف اصلی برگزاری میتاپ‌ها برگزاری وردکمپ در سال آینده برای اولین بار در آسیا است آغاز شد.</p>\n\n\n<div class=\"wp-block-image\">\n<figure class=\"aligncenter size-large\"><img decoding=\"async\" src=\"https://fa.wordpress.org/files/2020/01/%D8%B3%D8%B9%DB%8C%D8%AF-%D9%81%D8%B1%D8%AF-768x623-1.jpg\" alt=\"\" class=\"wp-image-579\"></figure></div>\n\n\n<p>بعد از معرفی شرکت کنندگان مثل میتاپ های گذشته نوبت به ارائه دوستان رسید.</p>\n\n\n\n<p>در این میتاپ آقای مهدی سلطانی که به صورت داوطلب و از طریق قراردادن ارائه خود در قسمت ارسال مقاله در  سایت میتاپ وردپرس علاقه خود را برای به اشتراک گذاشتن تجربیات خود با دیگر دوستان اعلام کرده بود  ارائه‌ی خود را در زمینه برنامه نویسی شی‌گرا در وردپرس آغاز کرد.</p>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://fa.wordpress.org/files/2020/01/soltani-768x493-1.jpg\" alt=\"\" class=\"wp-image-580\"></figure>\n\n\n\n<p>در این ارائه نکات کلیدی در استفاده از برنامه نویسی شی‌گرا توسط آقای سلطانی گفته شد، نمونه کدهای نوشته شده OOP نشان دادن و توضیحاتی بر روی کدها دادن.</p>\n\n\n\n<p>بعد از تبادل نظر و استراحت دوستان شرکت کننده و پذیرایی توسط مجموعه آتی ارتباط کیش نوبت به ارائه دوم با عنوان وردپرس ارزان برای شروع کسب و کار توسط آقای شاهین کلانتر آغاز شد.</p>\n\n\n\n<p>آقای کلانتر راهکارهایی ارائه کرد که بتوان کسب و کار نوپایی را با کمترین هزینه شروع کرد . در ادامه اضافه کرد که میتوانید بسته به نیاز وب سایت و کسب و کارتان پوسته ای نزدیک به اهدافتان بیابید و مخازن رایگان پوسته های وردپرس را معرفی کرد.</p>\n\n\n\n<p>آقای کلانتر :باجستجو در شبکه های اجتماعی میتوان از خلاقیت های طراحان صفحات وب استفاده کرد. با استفاده از هشتگ‌ها در شبکه‌های اجتماعی مانند اینستاگرام و پینترست.</p>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://fa.wordpress.org/files/2020/01/kalantar-768x512-1.jpg\" alt=\"\" class=\"wp-image-581\"></figure>\n\n\n\n<p>در ادامه به بررسی و معرفی پلاگین‌های رایگان و مهم و پرکاربرد وردپرس پرداخت و در آخر اضافه کرد که ما با رشد و توسعه وب سایت خود رشد می‌کنیم و بزرگ وبزرگتر می‌شویم  و وقتی وب سایت ما به سود دهی رسید برای برنده شدن در فضای رقابتی باید هزینه کنیم، هیچ رقابتی بدون هزینه نیست و از هزینه کردن نترسیم چون در مقابل بازدهی آن هزینه‌ی کمی است.</p>\n\n\n\n<p>بعد از اتمام ارائه آقای کلانتر دوستان به بحث و گفتگو در زمینه بازار کسب و کار وردپرس پرداختن و نظرات جالب و نکات مثبت زیادی در این زمینه گفته شد.</p>\n\n\n\n<figure class=\"wp-block-gallery has-nested-images columns-default is-cropped wp-block-gallery-2 is-layout-flex wp-block-gallery-is-layout-flex\">\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" data-id=\"582\" src=\"https://fa.wordpress.org/files/2020/01/all1-meetup-768x650-1.jpg\" alt=\"\" class=\"wp-image-582\"></figure>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" data-id=\"583\" src=\"https://fa.wordpress.org/files/2020/01/all2-meetup-768x638-1.jpg\" alt=\"\" class=\"wp-image-583\"></figure>\n</figure>\n\n\n\n<p>گروه وردپرس برای دوستان و علاقه مندانی که موفق به حضور در میتاپ‌ها را نشده‌اند با پخش زنده از طریق اینستاگرام و همچنین قراردادن ویدئوی میتاپ در آپارات امکان استفاده از مطالب گفته شده در میتاپ را فراهم می‌کند.</p>\n\n\n\n<p>عکس دست جمعی در پایان رویداد وردپرس</p>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://fa.wordpress.org/files/2020/01/irwpmeetup4-768x830-1.jpg\" alt=\"\" class=\"wp-image-584\"></figure>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:188:\"https://fa.wordpress.org/team/2018/12/01/%da%86%d9%87%d8%a7%d8%b1%d9%85%db%8c%d9%86-%d9%85%db%8c%d8%aa%d8%a7%d9%be-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3-%d8%aa%d9%87%d8%b1%d8%a7%d9%86/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:3:\"131\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:73:\"\n		\n		\n					\n		\n		\n		\n				\n		\n\n					\n										\n					\n					\n			\n		\n		\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:6:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:45:\"سومین میتاپ وردپرس تهران\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:171:\"https://fa.wordpress.org/team/2018/11/22/%d8%b3%d9%88%d9%85%db%8c%d9%86-%d9%85%db%8c%d8%aa%d8%a7%d9%be-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3-%d8%aa%d9%87%d8%b1%d8%a7%d9%86/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:179:\"https://fa.wordpress.org/team/2018/11/22/%d8%b3%d9%88%d9%85%db%8c%d9%86-%d9%85%db%8c%d8%aa%d8%a7%d9%be-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3-%d8%aa%d9%87%d8%b1%d8%a7%d9%86/#respond\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 22 Nov 2018 08:38:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"رویدادها\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:36:\"https://fa.wordpress.org/team/?p=134\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:511:\"سومین میتاپ وردپرس هم در تاریخ 25 آبان 97 ساعت 14 برگزار شد و مانند دو میتاپ قبل با استقبال کاربران و توسعه دهندگان وردپرس روبه‌رو شد. این میتاپ با صبحت‌های سعید فرد و مصطفی صوفی شروع شد که در مورد برگزاری میتاپ‌ها و ارائه‌های آن نکاتی را به شرکت‌کنندگان توضیح دادند. طبق عادت در [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"Saeed Fard\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:6592:\"<p>سومین میتاپ وردپرس هم در تاریخ 25 آبان 97 ساعت 14 برگزار شد و مانند دو میتاپ قبل با استقبال کاربران و توسعه دهندگان وردپرس روبه‌رو شد.</p>\n\n\n\n<p>این میتاپ با صبحت‌های سعید فرد و مصطفی صوفی شروع شد که در مورد برگزاری میتاپ‌ها و ارائه‌های آن نکاتی را به شرکت‌کنندگان توضیح دادند.</p>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://fa.wordpress.org/files/2018/11/saeed-fard-768x432-1.jpg\" alt=\"\" class=\"wp-image-566\"></figure>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://fa.wordpress.org/files/2018/11/mostafa-768x432-1.jpg\" alt=\"\" class=\"wp-image-567\"></figure>\n\n\n\n<p>طبق عادت در هر میتاپ، شرکت‌کنندگان میتاپ خود را معرفی کردند و در مورد حیطه فعالیت و استفاده‌ از وردپرس در کارشان توضیح دادند.</p>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://fa.wordpress.org/files/2018/11/all-meetup-768x512-1.jpg\" alt=\"\" class=\"wp-image-568\"></figure>\n\n\n\n<p>در ادامه نوبت به ارائه آقای فرهاد سخایی درباره بهینه سازی وردپرس رسید . آقای سخایی در ادامه به بررسی دلایل بهینه‌سازی سایت وردپرسی پرداخت :</p>\n\n\n\n<p>چرا باید بهینه سازی کنیم:</p>\n\n\n\n<p>1 – بهینه سازی برای موتورهای جستجو</p>\n\n\n\n<p>– Google Webmasters Guldelines</p>\n\n\n\n<p>– ابزارهای بررسی وبهینه سازی محتوا (SEO Quake , Yoast)</p>\n\n\n\n<p>– Google Webmasters</p>\n\n\n\n<p>2  بهینه سازی برای مصرف منابع</p>\n\n\n\n<p>– بهینه سازی دامنه،DNS Server ، وب سرور ، پایگاه داده، پیچیدگی درخواست های پایگاه داده ،پیچیدگی الگوریتم های کدها</p>\n\n\n\n<p>3 – بهینه سازی برای سرعت بیشتر</p>\n\n\n\n<p>– استفاده از افزونه های کش (Cache)</p>\n\n\n\n<p>– CDN</p>\n\n\n\n<p>4 – بهینه سازد برای کاربر و انواع دستگاه ها</p>\n\n\n\n<p>– Responsive Frameworks</p>\n\n\n\n<p>– Mobile Usability</p>\n\n\n\n<p>5- بهینه سازد برای استاندارد ها (CSS , HTML,..)</p>\n\n\n\n<p>– HTML Validator</p>\n\n\n\n<p>– CSS Validator</p>\n\n\n\n<p>– Microformats</p>\n\n\n\n<p>6 – بهینه سازی امنیت (امنیت نرم افزار ،امنیت وب سرور،امنیت افزونه ها و قالب ها و …)</p>\n\n\n\n<figure class=\"wp-block-gallery has-nested-images columns-default is-cropped wp-block-gallery-3 is-layout-flex wp-block-gallery-is-layout-flex\">\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" data-id=\"569\" src=\"https://fa.wordpress.org/files/2018/11/sakhaii-768x432-1.jpg\" alt=\"\" class=\"wp-image-569\"></figure>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" data-id=\"570\" src=\"https://fa.wordpress.org/files/2018/11/sakhaii-slide-768x432-1.jpg\" alt=\"\" class=\"wp-image-570\"></figure>\n</figure>\n\n\n\n<p>و در ادامه افزونه WP-Rocet را به عنوان یک راهکار مناسب برای بحث کش وسئو معرفی کرد و نحوه عمل کرد این افزونه را در بخش های مختلف مورد بررسی قرار داد و به ارائه خود خاتمه داد.</p>\n\n\n\n<p>بعد از ارائه اول، نوبت به استراحت و پذیرایی شرکت کنندگان رسید که با بحث و گفتوگو  و آشنایی بیشتر دوستان همراه بود.</p>\n\n\n\n<p>در بخش دوم سوشیانت زوارزاده ارائه خود را با داستان جالبی درباره ی وبلاگ نویسی خود آغاز کرد و به صحبت درباره وبلاگستان وردپرس پرداخت و با طرح سوالاتی مانند:</p>\n\n\n\n<p>چرا باید وبلاگ نویسی کنیم ؟<br>چه چیزی کاربران را از وبلاگ نویسی باز می دارد ؟<br>شباهت ها و تفاوت های وبلاگ و شبکه های اجتماعی</p>\n\n\n\n<p>دوستان را به چالش کشید و حتی از طریق پوشش زنده اینستاگرام نیز نظرات دوستانی که امکان حضور در میتاپ را نداشتن هم خوانده شد. و با به تصویر کشیدن وضعیت وبلاگستان در گذشته و امروز و نگرانی‌ها درباره این ساختار و ارائه چشم اندازه پیشنهادی آینده‌ی وبلاگستان ارائه خود را پایان داد.</p>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://fa.wordpress.org/files/2018/11/sushyant-768x507-1.jpg\" alt=\"\" class=\"wp-image-572\"></figure>\n\n\n\n<p>بعد از پایان ارائه‌ی سوشیانت زوارزاده ، سعید فرد نکات پایانی در مورد میتاپ وردپرس را گفت و به جلسه پایان داد، عکس دسته‌جمعی در انتهای رویداد تهیه شد.</p>\n\n\n\n<figure class=\"wp-block-image size-large\"><img decoding=\"async\" src=\"https://fa.wordpress.org/files/2018/11/wpmeetup-3-768x876-1.jpg\" alt=\"\" class=\"wp-image-573\"></figure>\n\n\n\n<p>با توجه به استقبال دوستان از میتاپ و استفاده‌ی همگانی از مطالب گفته شده در میتاپ وردپرس، امکان مشاهده جلسات میتاپ به صورت زنده در اینستاگرام ایجاد شده است که دوستان می‌توانند از صفحه اینستاگرام میتاپ وردپرس رویدادها را به صورت زنده مشاهده کنند.</p>\n\n\n\n<p>آدرس صفحه اینستاگرام میتاپ وردپرس : <a href=\"https://www.instagram.com/irwpmeetup\">https://www.instagram.com/irwpmeetup</a></p>\n\n\n\n<p> آدرس سایت میتاپ وردپرس ایران : <a href=\"https://wpmeetup.ir\">https://wpmeetup.ir</a></p>\n\n\n\n<p>همچنین امکان مشاهده‌ ویدئوهای ضبط شده میتاپ در کانال آپارات میتاپ وردپرس وجود دارد، هم اکنون میتوانید ویدئوی این میتاپ را در آپارات مشاهده نمایید ، آدرس کانال آپارات میتاپ : <a href=\"https://www.aparat.com/wpmeetup\">https://www.aparat.com/wpmeetup</a></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:36:\"http://wellformedweb.org/CommentAPI/\";a:1:{s:10:\"commentRss\";a:1:{i:0;a:5:{s:4:\"data\";s:176:\"https://fa.wordpress.org/team/2018/11/22/%d8%b3%d9%88%d9%85%db%8c%d9%86-%d9%85%db%8c%d8%aa%d8%a7%d9%be-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3-%d8%aa%d9%87%d8%b1%d8%a7%d9%86/feed/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:38:\"http://purl.org/rss/1.0/modules/slash/\";a:1:{s:8:\"comments\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"0\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:3:\"134\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}s:27:\"http://www.w3.org/2005/Atom\";a:1:{s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:4:\"href\";s:35:\"https://fa.wordpress.org/team/feed/\";s:3:\"rel\";s:4:\"self\";s:4:\"type\";s:19:\"application/rss+xml\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:44:\"http://purl.org/rss/1.0/modules/syndication/\";a:2:{s:12:\"updatePeriod\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"\n	hourly	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:15:\"updateFrequency\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"\n	1	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:4:\"site\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"117865853\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";O:48:\"WpOrg\\Requests\\Utility\\CaseInsensitiveDictionary\":1:{s:7:\"\0*\0data\";a:11:{s:6:\"server\";s:5:\"nginx\";s:4:\"date\";s:29:\"Thu, 11 Jul 2024 06:59:33 GMT\";s:12:\"content-type\";s:34:\"application/rss+xml; charset=UTF-8\";s:4:\"vary\";s:37:\"Accept-Encoding, accept, content-type\";s:6:\"x-olaf\";s:3:\"⛄\";s:13:\"last-modified\";s:29:\"Tue, 23 Apr 2024 17:58:38 GMT\";s:4:\"link\";s:66:\"<https://fa.wordpress.org/team/wp-json/>; rel=\"https://api.w.org/\"\";s:15:\"x-frame-options\";s:10:\"SAMEORIGIN\";s:16:\"content-encoding\";s:2:\"br\";s:7:\"alt-svc\";s:19:\"h3=\":443\"; ma=86400\";s:4:\"x-nc\";s:9:\"HIT ord 1\";}}s:5:\"build\";s:14:\"20240711054944\";}", "no");
INSERT INTO `wp_options` VALUES("182", "elementor_active_kit", "5", "yes");
INSERT INTO `wp_options` VALUES("167", "new_admin_email", "omidqodsi@gmail.com", "yes");
INSERT INTO `wp_options` VALUES("205", "_elementor_pro_api_requests_lock", "a:1:{s:11:\"get_version\";i:1720682055;}", "yes");
INSERT INTO `wp_options` VALUES("193", "elementor_remote_info_feed_data", "a:3:{i:0;a:5:{s:5:\"title\";s:57:\"New Off-Canvas Widget & Element Caching in Elementor 3.22\";s:7:\"excerpt\";s:147:\"Build Interactive Layouts with the Off-Canvas Widget and Give Your Websites a Major Performance Improvement by Activating Element Caching and More!\";s:7:\"created\";i:1718720040;s:5:\"badge\";s:3:\"NEW\";s:3:\"url\";s:140:\"https://elementor.com/blog/elementor-322-off-canvas-element-caching/?utm_source=wp-overview-widget&utm_medium=wp-dash&utm_campaign=news-feed\";}i:1;a:5:{s:5:\"title\";s:73:\"AI 0.4 Release: Context Boosts A 58% Content Uplift for Improved Workflow\";s:7:\"excerpt\";s:163:\"Hitting creative walls & code roadblocks? Elementor AI\'s update creates a future where AI writes captivating copy with a 58% approval boost... what else can it do?\";s:7:\"created\";i:1716217283;s:5:\"badge\";s:3:\"NEW\";s:3:\"url\";s:155:\"https://elementor.com/blog/elementor-ai-enhanced-workflow-and-high-quality-results/?utm_source=wp-overview-widget&utm_medium=wp-dash&utm_campaign=news-feed\";}i:2;a:5:{s:5:\"title\";s:97:\"Introducing Elementor 3.21: Loop Taxonomy Query for Listings, Performance Improvements, and More!\";s:7:\"excerpt\";s:160:\"Version 3.21 includes the ability to build listings for your categories and tags and significant performance improvements alongside an exciting new AI feature. \";s:7:\"created\";i:1714559068;s:5:\"badge\";s:3:\"NEW\";s:3:\"url\";s:152:\"https://elementor.com/blog/elementor-321-taxonomy-query-performance-improvement/?utm_source=wp-overview-widget&utm_medium=wp-dash&utm_campaign=news-feed\";}}", "no");
INSERT INTO `wp_options` VALUES("392", "_transient_timeout_elementor_remote_info_api_data_3.14.1", "1720720353", "no");
INSERT INTO `wp_options` VALUES("393", "_transient_elementor_remote_info_api_data_3.14.1", "a:4:{s:9:\"timestamp\";s:10:\"1720676874\";s:14:\"upgrade_notice\";a:3:{s:7:\"version\";s:5:\"2.0.0\";s:7:\"message\";s:0:\"\";s:11:\"update_link\";s:0:\"\";}s:11:\"pro_widgets\";a:76:{i:0;a:4:{s:4:\"name\";s:5:\"posts\";s:5:\"title\";s:5:\"Posts\";s:4:\"icon\";s:15:\"eicon-post-list\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:1;a:4:{s:4:\"name\";s:9:\"portfolio\";s:5:\"title\";s:9:\"Portfolio\";s:4:\"icon\";s:18:\"eicon-gallery-grid\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:2;a:4:{s:4:\"name\";s:9:\"mega-menu\";s:5:\"title\";s:4:\"Menu\";s:4:\"icon\";s:15:\"eicon-mega-menu\";s:10:\"categories\";s:33:\"[\"pro-elements\",\"theme-elements\"]\";}i:3;a:4:{s:4:\"name\";s:4:\"form\";s:5:\"title\";s:4:\"Form\";s:4:\"icon\";s:21:\"eicon-form-horizontal\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:4;a:4:{s:4:\"name\";s:9:\"loop-grid\";s:5:\"title\";s:9:\"Loop Grid\";s:4:\"icon\";s:18:\"eicon-loop-builder\";s:10:\"categories\";s:33:\"[\"pro-elements\",\"theme-elements\"]\";}i:5;a:4:{s:4:\"name\";s:13:\"loop-carousel\";s:5:\"title\";s:13:\"Loop Carousel\";s:4:\"icon\";s:19:\"eicon-carousel-loop\";s:10:\"categories\";s:33:\"[\"pro-elements\",\"theme-elements\"]\";}i:6;a:4:{s:4:\"name\";s:7:\"gallery\";s:5:\"title\";s:7:\"Gallery\";s:4:\"icon\";s:23:\"eicon-gallery-justified\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:7;a:4:{s:4:\"name\";s:17:\"animated-headline\";s:5:\"title\";s:17:\"Animated Headline\";s:4:\"icon\";s:23:\"eicon-animated-headline\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:8;a:4:{s:4:\"name\";s:10:\"price-list\";s:5:\"title\";s:10:\"Price List\";s:4:\"icon\";s:16:\"eicon-price-list\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:9;a:4:{s:4:\"name\";s:11:\"price-table\";s:5:\"title\";s:11:\"Price Table\";s:4:\"icon\";s:17:\"eicon-price-table\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:10;a:4:{s:4:\"name\";s:8:\"flip-box\";s:5:\"title\";s:8:\"Flip Box\";s:4:\"icon\";s:14:\"eicon-flip-box\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:11;a:4:{s:4:\"name\";s:14:\"call-to-action\";s:5:\"title\";s:14:\"Call to Action\";s:4:\"icon\";s:20:\"eicon-image-rollover\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:12;a:4:{s:4:\"name\";s:14:\"media-carousel\";s:5:\"title\";s:14:\"Media Carousel\";s:4:\"icon\";s:20:\"eicon-media-carousel\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:13;a:4:{s:4:\"name\";s:15:\"nested-carousel\";s:5:\"title\";s:8:\"Carousel\";s:4:\"icon\";s:21:\"eicon-nested-carousel\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:14;a:4:{s:4:\"name\";s:10:\"off-canvas\";s:5:\"title\";s:10:\"Off-Canvas\";s:4:\"icon\";s:16:\"eicon-off-canvas\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:15;a:4:{s:4:\"name\";s:9:\"countdown\";s:5:\"title\";s:9:\"Countdown\";s:4:\"icon\";s:15:\"eicon-countdown\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:16;a:4:{s:4:\"name\";s:13:\"share-buttons\";s:5:\"title\";s:13:\"Share Buttons\";s:4:\"icon\";s:11:\"eicon-share\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:17;a:4:{s:4:\"name\";s:10:\"blockquote\";s:5:\"title\";s:10:\"Blockquote\";s:4:\"icon\";s:16:\"eicon-blockquote\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:18;a:4:{s:4:\"name\";s:6:\"lottie\";s:5:\"title\";s:6:\"Lottie\";s:4:\"icon\";s:12:\"eicon-lottie\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:19;a:4:{s:4:\"name\";s:7:\"hotspot\";s:5:\"title\";s:7:\"Hotspot\";s:4:\"icon\";s:19:\"eicon-image-hotspot\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:20;a:4:{s:4:\"name\";s:13:\"paypal-button\";s:5:\"title\";s:13:\"PayPal Button\";s:4:\"icon\";s:19:\"eicon-paypal-button\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:21;a:4:{s:4:\"name\";s:14:\"code-highlight\";s:5:\"title\";s:14:\"Code Highlight\";s:4:\"icon\";s:20:\"eicon-code-highlight\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:22;a:4:{s:4:\"name\";s:14:\"video-playlist\";s:5:\"title\";s:14:\"Video Playlist\";s:4:\"icon\";s:20:\"eicon-video-playlist\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:23;a:4:{s:4:\"name\";s:8:\"template\";s:5:\"title\";s:8:\"Template\";s:4:\"icon\";s:19:\"eicon-document-file\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:24;a:4:{s:4:\"name\";s:13:\"stripe-button\";s:5:\"title\";s:13:\"Stripe Button\";s:4:\"icon\";s:19:\"eicon-stripe-button\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:25;a:4:{s:4:\"name\";s:16:\"progress-tracker\";s:5:\"title\";s:16:\"Progress Tracker\";s:4:\"icon\";s:22:\"eicon-progress-tracker\";s:10:\"categories\";s:40:\"[\"pro-elements\",\"theme-elements-single\"]\";}i:26;a:4:{s:4:\"name\";s:8:\"nav-menu\";s:5:\"title\";s:8:\"Nav Menu\";s:4:\"icon\";s:14:\"eicon-nav-menu\";s:10:\"categories\";s:33:\"[\"pro-elements\",\"theme-elements\"]\";}i:27;a:4:{s:4:\"name\";s:17:\"table-of-contents\";s:5:\"title\";s:17:\"Table of Contents\";s:4:\"icon\";s:23:\"eicon-table-of-contents\";s:10:\"categories\";s:33:\"[\"pro-elements\",\"theme-elements\"]\";}i:28;a:4:{s:4:\"name\";s:5:\"login\";s:5:\"title\";s:5:\"Login\";s:4:\"icon\";s:15:\"eicon-lock-user\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:29;a:4:{s:4:\"name\";s:6:\"slides\";s:5:\"title\";s:6:\"Slides\";s:4:\"icon\";s:12:\"eicon-slides\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:30;a:4:{s:4:\"name\";s:20:\"testimonial-carousel\";s:5:\"title\";s:20:\"Testimonial Carousel\";s:4:\"icon\";s:26:\"eicon-testimonial-carousel\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:31;a:4:{s:4:\"name\";s:7:\"reviews\";s:5:\"title\";s:7:\"Reviews\";s:4:\"icon\";s:12:\"eicon-review\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:32;a:4:{s:4:\"name\";s:15:\"facebook-button\";s:5:\"title\";s:15:\"Facebook Button\";s:4:\"icon\";s:23:\"eicon-facebook-like-box\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:33;a:4:{s:4:\"name\";s:17:\"facebook-comments\";s:5:\"title\";s:17:\"Facebook Comments\";s:4:\"icon\";s:23:\"eicon-facebook-comments\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:34;a:4:{s:4:\"name\";s:14:\"facebook-embed\";s:5:\"title\";s:14:\"Facebook Embed\";s:4:\"icon\";s:14:\"eicon-fb-embed\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:35;a:4:{s:4:\"name\";s:13:\"facebook-page\";s:5:\"title\";s:13:\"Facebook Page\";s:4:\"icon\";s:13:\"eicon-fb-feed\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:36;a:4:{s:4:\"name\";s:15:\"theme-site-logo\";s:5:\"title\";s:9:\"Site Logo\";s:4:\"icon\";s:15:\"eicon-site-logo\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:37;a:4:{s:4:\"name\";s:16:\"theme-site-title\";s:5:\"title\";s:10:\"Site Title\";s:4:\"icon\";s:16:\"eicon-site-title\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:38;a:4:{s:4:\"name\";s:16:\"theme-page-title\";s:5:\"title\";s:10:\"Page Title\";s:4:\"icon\";s:19:\"eicon-archive-title\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:39;a:4:{s:4:\"name\";s:16:\"theme-post-title\";s:5:\"title\";s:10:\"Post Title\";s:4:\"icon\";s:16:\"eicon-post-title\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:40;a:4:{s:4:\"name\";s:18:\"theme-post-excerpt\";s:5:\"title\";s:12:\"Post Excerpt\";s:4:\"icon\";s:18:\"eicon-post-excerpt\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:41;a:4:{s:4:\"name\";s:25:\"theme-post-featured-image\";s:5:\"title\";s:14:\"Featured Image\";s:4:\"icon\";s:20:\"eicon-featured-image\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:42;a:4:{s:4:\"name\";s:19:\"theme-archive-title\";s:5:\"title\";s:13:\"Archive Title\";s:4:\"icon\";s:19:\"eicon-archive-title\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:43;a:4:{s:4:\"name\";s:13:\"archive-posts\";s:5:\"title\";s:13:\"Archive Posts\";s:4:\"icon\";s:19:\"eicon-archive-posts\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:44;a:4:{s:4:\"name\";s:11:\"search-form\";s:5:\"title\";s:11:\"Search Form\";s:4:\"icon\";s:17:\"eicon-site-search\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:45;a:4:{s:4:\"name\";s:10:\"author-box\";s:5:\"title\";s:10:\"Author Box\";s:4:\"icon\";s:12:\"eicon-person\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:46;a:4:{s:4:\"name\";s:13:\"post-comments\";s:5:\"title\";s:13:\"Post Comments\";s:4:\"icon\";s:14:\"eicon-comments\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:47;a:4:{s:4:\"name\";s:15:\"post-navigation\";s:5:\"title\";s:15:\"Post Navigation\";s:4:\"icon\";s:21:\"eicon-post-navigation\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:48;a:4:{s:4:\"name\";s:9:\"post-info\";s:5:\"title\";s:9:\"Post Info\";s:4:\"icon\";s:15:\"eicon-post-info\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:49;a:4:{s:4:\"name\";s:7:\"sitemap\";s:5:\"title\";s:7:\"Sitemap\";s:4:\"icon\";s:13:\"eicon-sitemap\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:50;a:4:{s:4:\"name\";s:11:\"breadcrumbs\";s:5:\"title\";s:11:\"Breadcrumbs\";s:4:\"icon\";s:11:\"eicon-yoast\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:51;a:4:{s:4:\"name\";s:21:\"woocommerce-menu-cart\";s:5:\"title\";s:9:\"Menu Cart\";s:4:\"icon\";s:10:\"eicon-cart\";s:10:\"categories\";s:41:\"[\"theme-elements\",\"woocommerce-elements\"]\";}i:52;a:4:{s:4:\"name\";s:19:\"wc-archive-products\";s:5:\"title\";s:16:\"Archive Products\";s:4:\"icon\";s:14:\"eicon-products\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:53;a:4:{s:4:\"name\";s:31:\"woocommerce-archive-description\";s:5:\"title\";s:19:\"Archive Description\";s:4:\"icon\";s:25:\"eicon-product-description\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:54;a:4:{s:4:\"name\";s:20:\"woocommerce-products\";s:5:\"title\";s:8:\"Products\";s:4:\"icon\";s:14:\"eicon-products\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:55;a:4:{s:4:\"name\";s:22:\"woocommerce-breadcrumb\";s:5:\"title\";s:23:\"WooCommerce Breadcrumbs\";s:4:\"icon\";s:25:\"eicon-product-breadcrumbs\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:56;a:4:{s:4:\"name\";s:14:\"wc-add-to-cart\";s:5:\"title\";s:18:\"Custom Add To Cart\";s:4:\"icon\";s:17:\"eicon-woocommerce\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:57;a:4:{s:4:\"name\";s:11:\"wc-elements\";s:5:\"title\";s:17:\"WooCommerce Pages\";s:4:\"icon\";s:19:\"eicon-product-pages\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:58;a:4:{s:4:\"name\";s:13:\"wc-categories\";s:5:\"title\";s:18:\"Product Categories\";s:4:\"icon\";s:24:\"eicon-product-categories\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:59;a:4:{s:4:\"name\";s:25:\"woocommerce-product-title\";s:5:\"title\";s:13:\"Product Title\";s:4:\"icon\";s:19:\"eicon-product-title\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:60;a:4:{s:4:\"name\";s:26:\"woocommerce-product-images\";s:5:\"title\";s:14:\"Product Images\";s:4:\"icon\";s:20:\"eicon-product-images\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:61;a:4:{s:4:\"name\";s:25:\"woocommerce-product-price\";s:5:\"title\";s:13:\"Product Price\";s:4:\"icon\";s:19:\"eicon-product-price\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:62;a:4:{s:4:\"name\";s:31:\"woocommerce-product-add-to-cart\";s:5:\"title\";s:11:\"Add To Cart\";s:4:\"icon\";s:25:\"eicon-product-add-to-cart\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:63;a:4:{s:4:\"name\";s:26:\"woocommerce-product-rating\";s:5:\"title\";s:14:\"Product Rating\";s:4:\"icon\";s:20:\"eicon-product-rating\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:64;a:4:{s:4:\"name\";s:25:\"woocommerce-product-stock\";s:5:\"title\";s:13:\"Product Stock\";s:4:\"icon\";s:19:\"eicon-product-stock\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:65;a:4:{s:4:\"name\";s:24:\"woocommerce-product-meta\";s:5:\"title\";s:12:\"Product Meta\";s:4:\"icon\";s:18:\"eicon-product-meta\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:66;a:4:{s:4:\"name\";s:37:\"woocommerce-product-short-description\";s:5:\"title\";s:17:\"Short Description\";s:4:\"icon\";s:25:\"eicon-product-description\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:67;a:4:{s:4:\"name\";s:29:\"woocommerce-product-data-tabs\";s:5:\"title\";s:17:\"Product Data Tabs\";s:4:\"icon\";s:18:\"eicon-product-tabs\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:68;a:4:{s:4:\"name\";s:42:\"woocommerce-product-additional-information\";s:5:\"title\";s:22:\"Additional Information\";s:4:\"icon\";s:19:\" eicon-product-info\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:69;a:4:{s:4:\"name\";s:27:\"woocommerce-product-related\";s:5:\"title\";s:15:\"Product Related\";s:4:\"icon\";s:21:\"eicon-product-related\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:70;a:4:{s:4:\"name\";s:26:\"woocommerce-product-upsell\";s:5:\"title\";s:7:\"Upsells\";s:4:\"icon\";s:20:\"eicon-product-upsell\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:71;a:4:{s:4:\"name\";s:25:\"woocommerce-checkout-page\";s:5:\"title\";s:8:\"Checkout\";s:4:\"icon\";s:14:\"eicon-checkout\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:72;a:4:{s:4:\"name\";s:16:\"woocommerce-cart\";s:5:\"title\";s:4:\"Cart\";s:4:\"icon\";s:14:\"eicon-woo-cart\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:73;a:4:{s:4:\"name\";s:22:\"woocommerce-my-account\";s:5:\"title\";s:10:\"My Account\";s:4:\"icon\";s:16:\"eicon-my-account\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:74;a:4:{s:4:\"name\";s:28:\"woocommerce-purchase-summary\";s:5:\"title\";s:16:\"Purchase Summary\";s:4:\"icon\";s:22:\"eicon-purchase-summary\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:75;a:4:{s:4:\"name\";s:19:\"woocommerce-notices\";s:5:\"title\";s:19:\"WooCommerce Notices\";s:4:\"icon\";s:25:\"eicon-woocommerce-notices\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}}s:17:\"canary_deployment\";a:2:{s:11:\"plugin_info\";a:11:{s:2:\"id\";s:23:\"w.org/plugins/elementor\";s:4:\"slug\";s:9:\"elementor\";s:6:\"plugin\";s:23:\"elementor/elementor.php\";s:11:\"new_version\";s:5:\"3.6.0\";s:7:\"package\";s:58:\"https://downloads.wordpress.org/plugin/elementor.3.6.0.zip\";s:3:\"url\";s:40:\"https://wordpress.org/plugins/elementor/\";s:5:\"icons\";a:3:{s:2:\"2x\";s:62:\"https://ps.w.org/elementor/assets/icon-256x256.png?rev=1427768\";s:2:\"1x\";s:54:\"https://ps.w.org/elementor/assets/icon.svg?rev=1426809\";s:3:\"svg\";s:54:\"https://ps.w.org/elementor/assets/icon.svg?rev=1426809\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:65:\"https://ps.w.org/elementor/assets/banner-1544x500.png?rev=1475479\";s:2:\"1x\";s:64:\"https://ps.w.org/elementor/assets/banner-772x250.png?rev=1475479\";}s:11:\"banners_rtl\";a:0:{}s:6:\"tested\";s:5:\"6.5.5\";s:12:\"requires_php\";s:3:\"5.6\";}s:10:\"conditions\";a:0:{}}}", "no");
INSERT INTO `wp_options` VALUES("394", "can_compress_scripts", "1", "yes");
INSERT INTO `wp_options` VALUES("204", "edd_sl_277b604563d01dfe91aa99a42305d38c", "a:2:{s:7:\"timeout\";i:1720688407;s:5:\"value\";s:5:\"false\";}", "no");
INSERT INTO `wp_options` VALUES("198", "elementor_pro_license_key", "activated", "yes");
INSERT INTO `wp_options` VALUES("199", "_elementor_pro_license_v2_data", "a:2:{s:7:\"timeout\";i:1720737905;s:5:\"value\";s:71:\"{\"success\":true,\"license\":\"valid\",\"expires\":\"01.01.2030\",\"features\":[]}\";}", "yes");
INSERT INTO `wp_options` VALUES("200", "elementor_pro_version", "3.22.1", "yes");
INSERT INTO `wp_options` VALUES("201", "widget_elementor-library", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("202", "_elementor_pro_installed_time", "1689448474", "yes");
INSERT INTO `wp_options` VALUES("203", "elementor_submissions_db_version", "5", "yes");
INSERT INTO `wp_options` VALUES("219", "elementor_fonts_manager_font_types", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("220", "elementor_fonts_manager_fonts", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("221", "elementor_scheme_color", "a:4:{i:1;s:7:\"#6ec1e4\";i:2;s:7:\"#54595f\";i:3;s:7:\"#7a7a7a\";i:4;s:7:\"#61ce70\";}", "yes");
INSERT INTO `wp_options` VALUES("222", "elementor_scheme_typography", "a:4:{i:1;a:2:{s:11:\"font_family\";s:6:\"Roboto\";s:11:\"font_weight\";s:3:\"600\";}i:2;a:2:{s:11:\"font_family\";s:11:\"Roboto Slab\";s:11:\"font_weight\";s:3:\"400\";}i:3;a:2:{s:11:\"font_family\";s:6:\"Roboto\";s:11:\"font_weight\";s:3:\"400\";}i:4;a:2:{s:11:\"font_family\";s:6:\"Roboto\";s:11:\"font_weight\";s:3:\"500\";}}", "yes");
INSERT INTO `wp_options` VALUES("223", "elementor_scheme_color-picker", "a:8:{i:1;s:7:\"#6ec1e4\";i:2;s:7:\"#54595f\";i:3;s:7:\"#7a7a7a\";i:4;s:7:\"#61ce70\";i:5;s:7:\"#4054b2\";i:6;s:7:\"#23a455\";i:7;s:4:\"#000\";i:8;s:4:\"#fff\";}", "yes");
INSERT INTO `wp_options` VALUES("224", "elementor_custom_icon_sets_config", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("236", "site_logo", "11", "yes");
INSERT INTO `wp_options` VALUES("465", "edd_sl_failed_http_6c62aa33ffd0ffc87a3a520645381e64", "1720685333", "yes");
INSERT INTO `wp_options` VALUES("466", "_site_transient_timeout_theme_roots", "1720683892", "no");
INSERT INTO `wp_options` VALUES("467", "_site_transient_theme_roots", "a:2:{s:5:\"astra\";s:7:\"/themes\";s:15:\"twentytwentytwo\";s:7:\"/themes\";}", "no");
INSERT INTO `wp_options` VALUES("377", "wp_attachment_pages_enabled", "1", "yes");
INSERT INTO `wp_options` VALUES("481", "_site_transient_update_plugins", "O:8:\"stdClass\":5:{s:12:\"last_checked\";i:1720694656;s:8:\"response\";a:0:{}s:12:\"translations\";a:0:{}s:9:\"no_update\";a:5:{s:19:\"akismet/akismet.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:21:\"w.org/plugins/akismet\";s:4:\"slug\";s:7:\"akismet\";s:6:\"plugin\";s:19:\"akismet/akismet.php\";s:11:\"new_version\";s:5:\"5.3.3\";s:3:\"url\";s:38:\"https://wordpress.org/plugins/akismet/\";s:7:\"package\";s:56:\"https://downloads.wordpress.org/plugin/akismet.5.3.3.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:60:\"https://ps.w.org/akismet/assets/icon-256x256.png?rev=2818463\";s:2:\"1x\";s:60:\"https://ps.w.org/akismet/assets/icon-128x128.png?rev=2818463\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:63:\"https://ps.w.org/akismet/assets/banner-1544x500.png?rev=2900731\";s:2:\"1x\";s:62:\"https://ps.w.org/akismet/assets/banner-772x250.png?rev=2900731\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"5.8\";}s:25:\"duplicator/duplicator.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:24:\"w.org/plugins/duplicator\";s:4:\"slug\";s:10:\"duplicator\";s:6:\"plugin\";s:25:\"duplicator/duplicator.php\";s:11:\"new_version\";s:6:\"1.5.10\";s:3:\"url\";s:41:\"https://wordpress.org/plugins/duplicator/\";s:7:\"package\";s:60:\"https://downloads.wordpress.org/plugin/duplicator.1.5.10.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:63:\"https://ps.w.org/duplicator/assets/icon-256x256.png?rev=2906985\";s:2:\"1x\";s:63:\"https://ps.w.org/duplicator/assets/icon-128x128.png?rev=2906985\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:66:\"https://ps.w.org/duplicator/assets/banner-1544x500.png?rev=2906985\";s:2:\"1x\";s:65:\"https://ps.w.org/duplicator/assets/banner-772x250.png?rev=2906985\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"4.9\";}s:23:\"elementor/elementor.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:23:\"w.org/plugins/elementor\";s:4:\"slug\";s:9:\"elementor\";s:6:\"plugin\";s:23:\"elementor/elementor.php\";s:11:\"new_version\";s:6:\"3.22.3\";s:3:\"url\";s:40:\"https://wordpress.org/plugins/elementor/\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/plugin/elementor.3.22.3.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:62:\"https://ps.w.org/elementor/assets/icon-256x256.gif?rev=3111597\";s:2:\"1x\";s:62:\"https://ps.w.org/elementor/assets/icon-128x128.gif?rev=3111597\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:65:\"https://ps.w.org/elementor/assets/banner-1544x500.png?rev=3005087\";s:2:\"1x\";s:64:\"https://ps.w.org/elementor/assets/banner-772x250.png?rev=3005087\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"6.0\";}s:9:\"hello.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:25:\"w.org/plugins/hello-dolly\";s:4:\"slug\";s:11:\"hello-dolly\";s:6:\"plugin\";s:9:\"hello.php\";s:11:\"new_version\";s:5:\"1.7.2\";s:3:\"url\";s:42:\"https://wordpress.org/plugins/hello-dolly/\";s:7:\"package\";s:60:\"https://downloads.wordpress.org/plugin/hello-dolly.1.7.3.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:64:\"https://ps.w.org/hello-dolly/assets/icon-256x256.jpg?rev=2052855\";s:2:\"1x\";s:64:\"https://ps.w.org/hello-dolly/assets/icon-128x128.jpg?rev=2052855\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:67:\"https://ps.w.org/hello-dolly/assets/banner-1544x500.jpg?rev=2645582\";s:2:\"1x\";s:66:\"https://ps.w.org/hello-dolly/assets/banner-772x250.jpg?rev=2052855\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"4.6\";}s:31:\"elementor-pro/elementor-pro.php\";O:8:\"stdClass\":17:{s:14:\"stable_version\";s:6:\"3.22.1\";s:12:\"last_updated\";s:19:\"2024-06-24 12:10:43\";s:11:\"new_version\";s:6:\"3.22.1\";s:4:\"name\";s:13:\"Elementor Pro\";s:4:\"slug\";s:13:\"elementor-pro\";s:3:\"url\";s:36:\"https://elementor.com/pro/changelog/\";s:8:\"homepage\";s:26:\"https://elementor.com/pro/\";s:8:\"requires\";s:3:\"5.0\";s:6:\"tested\";s:5:\"6.5.5\";s:18:\"elementor_requires\";s:5:\"3.0.1\";s:7:\"package\";s:333:\"https://plugin-downloads.elementor.com/v2/package_download/eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJsaWNlbnNlIjoiYWN0aXZhdGVkIiwidXJsIjoiaHR0cHM6Ly90ZXN0LmZpbHRlcnNhbmFhdC5jb20iLCJkb3dubG9hZF9iZXRhIjpmYWxzZSwiZmlsZV9rZXkiOiIxIiwiaWF0IjoxNzIwNjgyMDU1LCJleHAiOjE3MjA3Njg0NTV9.DIupYUYAZLEGDQO1cUMiG_z2P19J_EPBp1J0joiN_Es/package_download\";s:13:\"download_link\";s:333:\"https://plugin-downloads.elementor.com/v2/package_download/eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJsaWNlbnNlIjoiYWN0aXZhdGVkIiwidXJsIjoiaHR0cHM6Ly90ZXN0LmZpbHRlcnNhbmFhdC5jb20iLCJkb3dubG9hZF9iZXRhIjpmYWxzZSwiZmlsZV9rZXkiOiIxIiwiaWF0IjoxNzIwNjgyMDU1LCJleHAiOjE3MjA3Njg0NTV9.DIupYUYAZLEGDQO1cUMiG_z2P19J_EPBp1J0joiN_Es/package_download\";s:7:\"banners\";a:2:{s:2:\"2x\";s:65:\"https://ps.w.org/elementor/assets/banner-1544x500.png?rev=1475479\";s:2:\"1x\";s:64:\"https://ps.w.org/elementor/assets/banner-772x250.png?rev=1475479\";}s:5:\"icons\";a:1:{s:3:\"svg\";s:75:\"https://storage.googleapis.com/web-public-files/Web%20Assets/icons/icon.svg\";}s:17:\"canary_deployment\";a:2:{s:11:\"plugin_info\";a:12:{s:11:\"new_version\";s:5:\"3.7.0\";s:4:\"name\";s:13:\"Elementor Pro\";s:4:\"slug\";s:13:\"elementor-pro\";s:3:\"url\";s:36:\"https://elementor.com/pro/changelog/\";s:8:\"homepage\";s:26:\"https://elementor.com/pro/\";s:8:\"requires\";s:3:\"5.0\";s:6:\"tested\";s:5:\"6.5.5\";s:18:\"elementor_requires\";s:5:\"3.0.1\";s:7:\"package\";s:310:\"https://plugin-downloads.elementor.com/v2/previous_download/eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJsaWNlbnNlIjoiYWN0aXZhdGVkIiwidmVyc2lvbiI6IjMuNy4wIiwidXJsIjoiaHR0cHM6Ly90ZXN0LmZpbHRlcnNhbmFhdC5jb20iLCJpYXQiOjE3MjA2ODIwNTUsImV4cCI6MTcyMDc2ODQ1NX0.wJjwAsXfhENMURzEpDk3Tdqhw6iJgfKVPN92QzjPmwk/previous_download\";s:13:\"download_link\";s:310:\"https://plugin-downloads.elementor.com/v2/previous_download/eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJsaWNlbnNlIjoiYWN0aXZhdGVkIiwidmVyc2lvbiI6IjMuNy4wIiwidXJsIjoiaHR0cHM6Ly90ZXN0LmZpbHRlcnNhbmFhdC5jb20iLCJpYXQiOjE3MjA2ODIwNTUsImV4cCI6MTcyMDc2ODQ1NX0.wJjwAsXfhENMURzEpDk3Tdqhw6iJgfKVPN92QzjPmwk/previous_download\";s:7:\"banners\";a:2:{s:2:\"2x\";s:65:\"https://ps.w.org/elementor/assets/banner-1544x500.png?rev=1475479\";s:2:\"1x\";s:64:\"https://ps.w.org/elementor/assets/banner-772x250.png?rev=1475479\";}s:5:\"icons\";a:1:{s:3:\"svg\";s:75:\"https://storage.googleapis.com/web-public-files/Web%20Assets/icons/icon.svg\";}}s:10:\"conditions\";a:1:{i:0;a:1:{i:0;a:3:{s:4:\"type\";s:8:\"language\";s:9:\"languages\";a:27:{i:0;s:5:\"he_IL\";i:1;s:5:\"nl_NL\";i:2;s:5:\"en_GB\";i:3;s:5:\"en_NZ\";i:4;s:5:\"en_ZA\";i:5;s:5:\"en_AU\";i:6;s:5:\"en_CA\";i:7;s:5:\"sv_SE\";i:8;s:5:\"da_DK\";i:9;s:5:\"fr_FR\";i:10;s:5:\"nl_NL\";i:11;s:5:\"nb_NO\";i:12;s:5:\"de_AT\";i:13;s:2:\"fi\";i:14;s:5:\"it_IT\";i:15;s:5:\"nn_NO\";i:16;s:5:\"de_CH\";i:17;s:5:\"en_GB\";i:18;s:5:\"is_IS\";i:19;s:2:\"ga\";i:20;s:5:\"fr_BE\";i:21;s:5:\"nl_BE\";i:22;s:3:\"ast\";i:23;s:5:\"lb_LU\";i:24;s:5:\"es_ES\";i:25;s:5:\"pt_PT\";i:26;s:3:\"mlt\";}s:8:\"operator\";s:2:\"in\";}}}}s:5:\"cloud\";b:0;s:6:\"plugin\";s:31:\"elementor-pro/elementor-pro.php\";}}s:7:\"checked\";a:1:{s:31:\"elementor-pro/elementor-pro.php\";s:6:\"3.22.1\";}}", "no");
INSERT INTO `wp_options` VALUES("386", "auto_core_update_notified", "a:4:{s:4:\"type\";s:7:\"success\";s:5:\"email\";s:19:\"omidqodsi@gmail.com\";s:7:\"version\";s:5:\"6.5.5\";s:9:\"timestamp\";i:1720677089;}", "no");
INSERT INTO `wp_options` VALUES("387", "_site_transient_timeout_php_check_1a31e573deff9bf63840fe4b3ef8afb9", "1721281893", "no");
INSERT INTO `wp_options` VALUES("388", "_site_transient_php_check_1a31e573deff9bf63840fe4b3ef8afb9", "a:5:{s:19:\"recommended_version\";s:3:\"7.4\";s:15:\"minimum_version\";s:3:\"7.0\";s:12:\"is_supported\";b:1;s:9:\"is_secure\";b:1;s:13:\"is_acceptable\";b:1;}", "no");
INSERT INTO `wp_options` VALUES("459", "_transient_timeout_feed_mod_813f86eb29c12d6094f1acd1445797e5", "1720724373", "no");
INSERT INTO `wp_options` VALUES("460", "_transient_feed_mod_813f86eb29c12d6094f1acd1445797e5", "1720681173", "no");
INSERT INTO `wp_options` VALUES("461", "_transient_timeout_dash_v2_ccb55a4e4b351a220e50ef4117d7dc27", "1720724373", "no");
INSERT INTO `wp_options` VALUES("462", "_transient_dash_v2_ccb55a4e4b351a220e50ef4117d7dc27", "<div class=\"rss-widget\"><ul><li><a class=\'rsswidget\' href=\'https://fa.wordpress.org/2023/11/07/%D9%88%D8%B1%D8%AF%D9%BE%D8%B1%D8%B3-6-4-%D9%85%D9%86%D8%AA%D8%B4%D8%B1-%D8%B4%D8%AF/\'>وردپرس فارسی نگارش ۶.۴</a></li><li><a class=\'rsswidget\' href=\'https://fa.wordpress.org/2023/08/20/wordpress-6-3/\'>وردپرس فارسی نگارش ۶.۳</a></li></ul></div><div class=\"rss-widget\"><ul><li><a class=\'rsswidget\' href=\'https://fa.wordpress.org/team/2024/04/21/%D9%BE%DB%8C%D9%88%D8%B3%D8%AA%D9%86-%D8%A8%D9%87-%DA%AF%D8%B1%D9%88%D9%87-%D9%85%D8%AA%D8%B1%D8%AC%D9%85%DB%8C%D9%86-%D9%88-%D8%AA%D9%88%D8%B3%D8%B9%D9%87-%D8%AF%D9%87%D9%86%D8%AF%DA%AF%D8%A7%D9%86/\'>پیوستن به گروه مترجمین و توسعه دهندگان وردپرس فارسی</a></li><li><a class=\'rsswidget\' href=\'https://fa.wordpress.org/team/2024/02/17/%D9%85%D8%B9%D8%B1%D9%81%DB%8C-%D8%AA%DB%8C%D9%85-%D9%88%D8%B1%D8%AF%D9%BE%D8%B1%D8%B3-%D9%81%D8%A7%D8%B1%D8%B3%DB%8C/\'>معرفی تیم وردپرس فارسی</a></li><li><a class=\'rsswidget\' href=\'https://fa.wordpress.org/team/2024/02/09/%D9%88%D8%A7%DA%98%D9%87%D9%86%D8%A7%D9%85%D9%87-%D8%B1%D8%B3%D9%85%DB%8C-%D9%88%D8%B1%D8%AF%D9%BE%D8%B1%D8%B3-%D9%81%D8%A7%D8%B1%D8%B3%DB%8C-%D9%85%D9%86%D8%AA%D8%B4%D8%B1-%D8%B4%D8%AF/\'>واژه‌نامه رسمی وردپرس فارسی منتشر شد</a></li></ul></div>", "no");
INSERT INTO `wp_options` VALUES("470", "duplicator_package_active", "O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2024-07-11 07:15:00\";s:7:\"Version\";s:6:\"1.5.10\";s:9:\"VersionWP\";s:5:\"6.5.5\";s:9:\"VersionDB\";s:7:\"10.11.7\";s:10:\"VersionPHP\";s:6:\"8.1.29\";s:9:\"VersionOS\";s:5:\"Linux\";s:2:\"ID\";N;s:4:\"Name\";s:39:\"20240711_d982d8a7d984d8a8d8a2d8b3d8aad8\";s:4:\"Hash\";s:35:\"2ad2249ec47e21b11471_20240711071500\";s:8:\"NameHash\";s:75:\"20240711_d982d8a7d984d8a8d8a2d8b3d8aad8_2ad2249ec47e21b11471_20240711071500\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";s:85:\"20240711_d982d8a7d984d8a8d8a2d8b3d8aad8_2ad2249ec47e21b11471_20240711071500_scan.json\";s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";i:0;s:6:\"WPUser\";N;s:7:\"Archive\";O:11:\"DUP_Archive\":26:{s:10:\"FilterDirs\";s:0:\"\";s:11:\"FilterFiles\";s:0:\"\";s:10:\"FilterExts\";s:0:\"\";s:13:\"FilterDirsAll\";a:0:{}s:14:\"FilterFilesAll\";a:0:{}s:13:\"FilterExtsAll\";a:0:{}s:8:\"FilterOn\";i:0;s:12:\"ExportOnlyDB\";i:0;s:4:\"File\";N;s:6:\"Format\";s:3:\"ZIP\";s:7:\"PackDir\";s:35:\"/home/cp54407/test.filtersanaat.com\";s:4:\"Size\";i:0;s:4:\"Dirs\";a:0:{}s:9:\"dirsCount\";i:1572;s:5:\"Files\";a:0:{}s:10:\"filesCount\";i:7104;s:10:\"FilterInfo\";O:23:\"DUP_Archive_Filter_Info\":8:{s:4:\"Dirs\";O:34:\"DUP_Archive_Filter_Scope_Directory\":6:{s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:10:\"AddonSites\";a:0:{}}s:5:\"Files\";O:29:\"DUP_Archive_Filter_Scope_File\":7:{s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:10:\"AddonSites\";a:0:{}s:4:\"Size\";a:0:{}}s:4:\"Exts\";O:29:\"DUP_Archive_Filter_Scope_Base\":3:{s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:9:\"UDirCount\";i:0;s:10:\"UFileCount\";i:0;s:9:\"UExtCount\";i:0;s:8:\"TreeSize\";a:0:{}s:11:\"TreeWarning\";a:0:{}}s:14:\"RecursiveLinks\";a:0:{}s:10:\"file_count\";i:-1;s:10:\"\0*\0Package\";O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2024-07-11 07:15:00\";s:7:\"Version\";s:6:\"1.5.10\";s:9:\"VersionWP\";s:5:\"6.5.5\";s:9:\"VersionDB\";s:7:\"10.11.7\";s:10:\"VersionPHP\";s:6:\"8.1.29\";s:9:\"VersionOS\";s:5:\"Linux\";s:2:\"ID\";N;s:4:\"Name\";s:39:\"20240711_d982d8a7d984d8a8d8a2d8b3d8aad8\";s:4:\"Hash\";s:35:\"2ad2249ec47e21b11471_20240711071500\";s:8:\"NameHash\";s:75:\"20240711_d982d8a7d984d8a8d8a2d8b3d8aad8_2ad2249ec47e21b11471_20240711071500\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";N;s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";i:0;s:6:\"WPUser\";N;s:7:\"Archive\";r:21;s:9:\"Installer\";O:13:\"DUP_Installer\":15:{s:4:\"File\";N;s:4:\"Size\";i:0;s:10:\"OptsDBHost\";s:0:\"\";s:10:\"OptsDBPort\";s:0:\"\";s:10:\"OptsDBName\";s:0:\"\";s:10:\"OptsDBUser\";s:0:\"\";s:13:\"OptsDBCharset\";s:0:\"\";s:15:\"OptsDBCollation\";s:0:\"\";s:12:\"OptsSecureOn\";i:0;s:14:\"OptsSecurePass\";s:0:\"\";s:13:\"numFilesAdded\";i:0;s:12:\"numDirsAdded\";i:0;s:10:\"\0*\0Package\";r:65;s:17:\"\0*\0origFileManger\";N;s:32:\"\0DUP_Installer\0configTransformer\";O:44:\"Duplicator\\Libs\\WpConfig\\WPConfigTransformer\":3:{s:17:\"\0*\0wp_config_path\";s:49:\"/home/cp54407/test.filtersanaat.com/wp-config.php\";s:16:\"\0*\0wp_config_src\";N;s:13:\"\0*\0wp_configs\";a:0:{}}}s:8:\"Database\";O:12:\"DUP_Database\":15:{s:4:\"Type\";s:5:\"MySQL\";s:4:\"Size\";N;s:4:\"File\";N;s:4:\"Path\";N;s:12:\"FilterTables\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"Name\";N;s:10:\"Compatible\";s:0:\"\";s:8:\"Comments\";s:14:\"MariaDB Server\";s:19:\"sameNameTableExists\";N;s:4:\"info\";O:16:\"DUP_DatabaseInfo\":23:{s:9:\"buildMode\";s:3:\"PHP\";s:11:\"charSetList\";a:0:{}s:13:\"collationList\";a:0:{}s:10:\"engineList\";a:0:{}s:17:\"isTablesUpperCase\";b:0;s:15:\"isNameUpperCase\";b:0;s:4:\"name\";s:0:\"\";s:15:\"tablesBaseCount\";i:0;s:16:\"tablesFinalCount\";i:0;s:20:\"muFilteredTableCount\";i:0;s:14:\"tablesRowCount\";i:0;s:16:\"tablesSizeOnDisk\";i:0;s:10:\"tablesList\";a:0:{}s:19:\"lowerCaseTableNames\";i:0;s:8:\"dbEngine\";s:0:\"\";s:7:\"version\";i:0;s:14:\"versionComment\";i:0;s:9:\"viewCount\";i:0;s:9:\"procCount\";i:0;s:9:\"funcCount\";i:0;s:11:\"triggerList\";a:0:{}s:33:\"\0DUP_DatabaseInfo\0intFieldsStruct\";a:0:{}s:42:\"\0DUP_DatabaseInfo\0indexProcessedSchemaSize\";a:0:{}}s:10:\"\0*\0Package\";r:65;s:24:\"\0DUP_Database\0tempDbPath\";N;s:23:\"\0DUP_Database\0EOFMarker\";s:0:\"\";s:26:\"\0DUP_Database\0networkFlush\";b:0;}s:13:\"BuildProgress\";O:18:\"DUP_Build_Progress\":12:{s:17:\"thread_start_time\";N;s:11:\"initialized\";b:0;s:15:\"installer_built\";b:0;s:15:\"archive_started\";b:0;s:20:\"archive_has_database\";b:0;s:13:\"archive_built\";b:0;s:21:\"database_script_built\";b:0;s:6:\"failed\";b:0;s:7:\"retries\";i:0;s:14:\"build_failures\";a:0:{}s:19:\"validation_failures\";a:0:{}s:27:\"\0DUP_Build_Progress\0package\";r:65;}}s:29:\"\0DUP_Archive\0tmpFilterDirsAll\";a:0:{}s:24:\"\0DUP_Archive\0wpCorePaths\";a:3:{i:0;s:44:\"/home/cp54407/test.filtersanaat.com/wp-admin\";i:1;s:47:\"/home/cp54407/test.filtersanaat.com/wp-includes\";i:2;s:56:\"/home/cp54407/test.filtersanaat.com/wp-content/languages\";}s:29:\"\0DUP_Archive\0wpCoreExactPaths\";a:7:{i:0;s:35:\"/home/cp54407/test.filtersanaat.com\";i:1;s:35:\"/home/cp54407/test.filtersanaat.com\";i:2;s:46:\"/home/cp54407/test.filtersanaat.com/wp-content\";i:3;s:54:\"/home/cp54407/test.filtersanaat.com/wp-content/uploads\";i:4;s:54:\"/home/cp54407/test.filtersanaat.com/wp-content/plugins\";i:5;s:57:\"/home/cp54407/test.filtersanaat.com/wp-content/mu-plugins\";i:6;s:53:\"/home/cp54407/test.filtersanaat.com/wp-content/themes\";}s:31:\"\0DUP_Archive\0relativeFiltersDir\";a:2:{i:0;s:67:\"/home/cp54407/test.filtersanaat.com/wp-content/backups-dup-lite/tmp\";i:1;s:15:\"backups-dup-pro\";}s:24:\"\0DUP_Archive\0listFileObj\";N;s:23:\"\0DUP_Archive\0listDirObj\";N;}s:9:\"Installer\";r:86;s:8:\"Database\";r:105;s:13:\"BuildProgress\";r:144;}", "yes");
INSERT INTO `wp_options` VALUES("471", "duplicator_email_summary_info", "{\"CL_-=_-=\":\"Duplicator\\\\Utils\\\\Email\\\\EmailSummary\",\"manualPackageIds\":[2],\"failedPackageIds\":[]}", "yes");
INSERT INTO `wp_options` VALUES("482", "_site_transient_update_themes", "O:8:\"stdClass\":5:{s:12:\"last_checked\";i:1720682092;s:7:\"checked\";a:2:{s:5:\"astra\";s:5:\"4.7.2\";s:15:\"twentytwentytwo\";s:3:\"1.4\";}s:8:\"response\";a:1:{s:15:\"twentytwentytwo\";a:6:{s:5:\"theme\";s:15:\"twentytwentytwo\";s:11:\"new_version\";s:3:\"1.7\";s:3:\"url\";s:45:\"https://wordpress.org/themes/twentytwentytwo/\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/theme/twentytwentytwo.1.7.zip\";s:8:\"requires\";s:3:\"5.9\";s:12:\"requires_php\";s:3:\"5.6\";}}s:9:\"no_update\";a:1:{s:5:\"astra\";a:6:{s:5:\"theme\";s:5:\"astra\";s:11:\"new_version\";s:5:\"4.7.2\";s:3:\"url\";s:35:\"https://wordpress.org/themes/astra/\";s:7:\"package\";s:53:\"https://downloads.wordpress.org/theme/astra.4.7.2.zip\";s:8:\"requires\";s:3:\"5.3\";s:12:\"requires_php\";s:3:\"5.3\";}}s:12:\"translations\";a:0:{}}", "no");
INSERT INTO `wp_options` VALUES("243", "elementor_unfiltered_files_upload", "1", "yes");
INSERT INTO `wp_options` VALUES("250", "nav_menu_options", "a:2:{i:0;b:0;s:8:\"auto_add\";a:0:{}}", "yes");
INSERT INTO `wp_options` VALUES("248", "elementor_pro_theme_builder_conditions", "a:2:{s:6:\"footer\";a:1:{i:40;a:1:{i:0;s:15:\"include/general\";}}s:6:\"header\";a:1:{i:29;a:1:{i:0;s:15:\"include/general\";}}}", "yes");
INSERT INTO `wp_options` VALUES("251", "elementor_library_category_children", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("254", "elementor_log", "a:17:{s:32:\"2cc3fadf832176ee6086ee0cb2692535\";O:31:\"Elementor\\Core\\Logger\\Items\\PHP\":9:{s:7:\"\0*\0date\";s:19:\"2023-07-16 00:08:37\";s:7:\"\0*\0type\";s:6:\"notice\";s:10:\"\0*\0message\";s:21:\"Undefined index: data\";s:7:\"\0*\0meta\";a:1:{s:5:\"trace\";a:1:{i:0;a:3:{s:8:\"function\";s:8:\"shutdown\";s:5:\"class\";s:29:\"Elementor\\Core\\Logger\\Manager\";s:4:\"type\";s:2:\"->\";}}}s:8:\"\0*\0times\";i:2;s:14:\"\0*\0times_dates\";a:2:{i:0;s:19:\"2023-07-16 00:08:37\";i:1;s:19:\"2023-07-16 00:56:05\";}s:7:\"\0*\0args\";a:5:{s:4:\"type\";s:6:\"notice\";s:7:\"message\";s:21:\"Undefined index: data\";s:4:\"file\";s:100:\"/home/cp54407/test.filtersanaat.com/wp-content/plugins/elementor/core/common/modules/ajax/module.php\";s:4:\"line\";i:175;s:5:\"trace\";b:1;}s:7:\"\0*\0file\";s:100:\"/home/cp54407/test.filtersanaat.com/wp-content/plugins/elementor/core/common/modules/ajax/module.php\";s:7:\"\0*\0line\";i:175;}s:32:\"c64e155f8bc4802c968cd4d472390420\";O:30:\"Elementor\\Core\\Logger\\Items\\JS\":10:{s:7:\"\0*\0date\";s:19:\"2023-07-15 19:42:03\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:9:\"V is null\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-07-15 19:42:03\";}s:7:\"\0*\0args\";a:6:{s:4:\"type\";s:5:\"error\";s:9:\"timestamp\";s:10:\"1689450123\";s:7:\"message\";s:9:\"V is null\";s:3:\"url\";s:93:\"https://test.filtersanaat.com/wp-content/plugins/elementor/assets/js/editor.min.js?ver=3.14.1\";s:4:\"line\";s:1:\"3\";s:6:\"column\";s:7:\"1113618\";}s:7:\"\0*\0file\";s:93:\"https://test.filtersanaat.com/wp-content/plugins/elementor/assets/js/editor.min.js?ver=3.14.1\";s:7:\"\0*\0line\";s:1:\"3\";s:9:\"\0*\0column\";s:7:\"1113618\";}s:32:\"30ac477f8a06d1ff7993d8afb9742557\";O:30:\"Elementor\\Core\\Logger\\Items\\JS\":10:{s:7:\"\0*\0date\";s:19:\"2023-07-16 00:10:23\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:32:\"T.originalEvent.key is undefined\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-07-16 00:10:23\";}s:7:\"\0*\0args\";a:6:{s:4:\"type\";s:5:\"error\";s:9:\"timestamp\";s:10:\"1689466223\";s:7:\"message\";s:32:\"T.originalEvent.key is undefined\";s:3:\"url\";s:93:\"https://test.filtersanaat.com/wp-content/plugins/elementor/assets/js/editor.min.js?ver=3.14.1\";s:4:\"line\";s:1:\"3\";s:6:\"column\";s:6:\"806979\";}s:7:\"\0*\0file\";s:93:\"https://test.filtersanaat.com/wp-content/plugins/elementor/assets/js/editor.min.js?ver=3.14.1\";s:7:\"\0*\0line\";s:1:\"3\";s:9:\"\0*\0column\";s:6:\"806979\";}s:32:\"d3fcdd9f4904297378ebaed32a828d59\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2024-07-11 09:31:52\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:47:\"Elementor data updater process has been queued.\";s:7:\"\0*\0meta\";a:3:{s:6:\"plugin\";s:14:\"المنتور\";s:4:\"from\";s:6:\"3.14.1\";s:2:\"to\";s:6:\"3.22.3\";}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2024-07-11 09:31:52\";}s:7:\"\0*\0args\";a:3:{s:4:\"meta\";a:3:{s:6:\"plugin\";s:14:\"المنتور\";s:4:\"from\";s:6:\"3.14.1\";s:2:\"to\";s:6:\"3.22.3\";}s:7:\"message\";s:47:\"Elementor data updater process has been queued.\";s:4:\"type\";s:4:\"info\";}}s:32:\"6772a03465efb9a89ad2f40d29c21053\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2024-07-11 09:31:52\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:44:\"elementor-pro::elementor_pro_updater Started\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2024-07-11 09:31:52\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:44:\"elementor-pro::elementor_pro_updater Started\";s:4:\"type\";s:4:\"info\";}}s:32:\"fa22aa27f86eeaf95b5a88c961a3e46c\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2024-07-11 09:31:52\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:56:\"المنتور پرو/Upgrades - _on_each_version Start \";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2024-07-11 09:31:52\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:56:\"المنتور پرو/Upgrades - _on_each_version Start \";s:4:\"type\";s:4:\"info\";}}s:32:\"1ad67721f5135f1ecdcaaaf3e474ddb0\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2024-07-11 09:31:52\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:58:\"المنتور پرو/Upgrades - _on_each_version Finished\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2024-07-11 09:31:52\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:58:\"المنتور پرو/Upgrades - _on_each_version Finished\";s:4:\"type\";s:4:\"info\";}}s:32:\"40461d04253aa9d7b01fc90c54ba6f73\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2024-07-11 09:31:52\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:50:\"Elementor data updater process has been completed.\";s:7:\"\0*\0meta\";a:3:{s:6:\"plugin\";s:21:\"المنتور پرو\";s:4:\"from\";s:6:\"3.14.1\";s:2:\"to\";s:6:\"3.22.1\";}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2024-07-11 09:31:52\";}s:7:\"\0*\0args\";a:3:{s:4:\"meta\";a:3:{s:6:\"plugin\";s:21:\"المنتور پرو\";s:4:\"from\";s:6:\"3.14.1\";s:2:\"to\";s:6:\"3.22.1\";}s:7:\"message\";s:50:\"Elementor data updater process has been completed.\";s:4:\"type\";s:4:\"info\";}}s:32:\"65714464bf664ef50e0ea168070ab30d\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2024-07-11 09:31:52\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:47:\"Elementor data updater process has been queued.\";s:7:\"\0*\0meta\";a:3:{s:6:\"plugin\";s:21:\"المنتور پرو\";s:4:\"from\";s:6:\"3.14.1\";s:2:\"to\";s:6:\"3.22.1\";}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2024-07-11 09:31:52\";}s:7:\"\0*\0args\";a:3:{s:4:\"meta\";a:3:{s:6:\"plugin\";s:21:\"المنتور پرو\";s:4:\"from\";s:6:\"3.14.1\";s:2:\"to\";s:6:\"3.22.1\";}s:7:\"message\";s:47:\"Elementor data updater process has been queued.\";s:4:\"type\";s:4:\"info\";}}s:32:\"72aeec223be3613c28813f482be4efa1\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2024-07-11 09:31:52\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:36:\"elementor::elementor_updater Started\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2024-07-11 09:31:52\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:36:\"elementor::elementor_updater Started\";s:4:\"type\";s:4:\"info\";}}s:32:\"926219440b5ce7856aa3a269e06c7ce7\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2024-07-11 09:31:52\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:49:\"المنتور/Upgrades - _on_each_version Start \";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2024-07-11 09:31:52\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:49:\"المنتور/Upgrades - _on_each_version Start \";s:4:\"type\";s:4:\"info\";}}s:32:\"be2f0703070b6648b9d86707961c9402\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2024-07-11 09:31:52\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:51:\"المنتور/Upgrades - _on_each_version Finished\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2024-07-11 09:31:52\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:51:\"المنتور/Upgrades - _on_each_version Finished\";s:4:\"type\";s:4:\"info\";}}s:32:\"0e746b9d0d7ff038dc3e002b48f578e3\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2024-07-11 09:31:52\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:60:\"المنتور/Upgrades - _v_3_16_0_container_updates Start \";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2024-07-11 09:31:52\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:60:\"المنتور/Upgrades - _v_3_16_0_container_updates Start \";s:4:\"type\";s:4:\"info\";}}s:32:\"b62407de8874adef7e2acf2864e0a2db\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2024-07-11 09:31:52\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:62:\"المنتور/Upgrades - _v_3_16_0_container_updates Finished\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2024-07-11 09:31:52\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:62:\"المنتور/Upgrades - _v_3_16_0_container_updates Finished\";s:4:\"type\";s:4:\"info\";}}s:32:\"241d2f36d1125a0aab2ecb3d28e59670\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2024-07-11 09:31:52\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:64:\"المنتور/Upgrades - _v_3_17_0_site_settings_updates Start \";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2024-07-11 09:31:52\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:64:\"المنتور/Upgrades - _v_3_17_0_site_settings_updates Start \";s:4:\"type\";s:4:\"info\";}}s:32:\"602c45292260ba4c3def6cc75e2bea4f\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2024-07-11 09:31:52\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:66:\"المنتور/Upgrades - _v_3_17_0_site_settings_updates Finished\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2024-07-11 09:31:52\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:66:\"المنتور/Upgrades - _v_3_17_0_site_settings_updates Finished\";s:4:\"type\";s:4:\"info\";}}s:32:\"b130d4b75b9f2c99ec62e48e170fe422\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2024-07-11 09:31:52\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:50:\"Elementor data updater process has been completed.\";s:7:\"\0*\0meta\";a:3:{s:6:\"plugin\";s:14:\"المنتور\";s:4:\"from\";s:6:\"3.14.1\";s:2:\"to\";s:6:\"3.22.3\";}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2024-07-11 09:31:52\";}s:7:\"\0*\0args\";a:3:{s:4:\"meta\";a:3:{s:6:\"plugin\";s:14:\"المنتور\";s:4:\"from\";s:6:\"3.14.1\";s:2:\"to\";s:6:\"3.22.3\";}s:7:\"message\";s:50:\"Elementor data updater process has been completed.\";s:4:\"type\";s:4:\"info\";}}}", "no");
INSERT INTO `wp_options` VALUES("359", "duplicator_pro_exe_safe_mode", "0", "yes");
INSERT INTO `wp_options` VALUES("360", "duplicator_activate_plugins_after_installation", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("362", "duplicator_migration_data", "{\n    \"time\": 1720677023,\n    \"installType\": -1,\n    \"restoreBackupMode\": false,\n    \"recoveryMode\": false,\n    \"archivePath\": \"\\/home\\/cp54407\\/test.filtersanaat.com\\/astrapro_elmineh_0d931c51347a9f381680_20230716002506_archive.zip\",\n    \"packageHash\": \"0d931c5-16002506\",\n    \"installerPath\": \"\\/home\\/cp54407\\/test.filtersanaat.com\\/installer.php\",\n    \"installerBootLog\": \"\\/home\\/cp54407\\/test.filtersanaat.com\\/dup-installer-bootlog__eacea48-16002506.txt\",\n    \"installerLog\": \"\\/home\\/cp54407\\/test.filtersanaat.com\\/dup-installer\\/dup-installer-log__eacea48-16002506.txt\",\n    \"dupInstallerPath\": \"\\/home\\/cp54407\\/test.filtersanaat.com\\/dup-installer\",\n    \"origFileFolderPath\": \"\\/home\\/cp54407\\/test.filtersanaat.com\\/dup-installer\\/original_files_0d931c5-16002506\",\n    \"safeMode\": 0,\n    \"cleanInstallerFiles\": true\n}", "no");
INSERT INTO `wp_options` VALUES("447", "_transient_timeout_astra-theme-cron-test-ok", "1720684318", "no");
INSERT INTO `wp_options` VALUES("448", "_transient_astra-theme-cron-test-ok", "1", "no");
INSERT INTO `wp_options` VALUES("451", "_site_transient_timeout_community-events-1fc651e7a540d47a97574323d7facb47", "1720724372", "no");
INSERT INTO `wp_options` VALUES("350", "duplicator_version_plugin", "1.5.10", "yes");
INSERT INTO `wp_options` VALUES("352", "duplicator_uninstall_package", "1", "yes");
INSERT INTO `wp_options` VALUES("353", "duplicator_uninstall_settings", "1", "yes");
INSERT INTO `wp_options` VALUES("428", "duplicator_install_info", "a:3:{s:7:\"version\";s:5:\"1.5.5\";s:4:\"time\";i:1689467068;s:10:\"updateTime\";i:1720677751;}", "no");
INSERT INTO `wp_options` VALUES("356", "duplicator_notifications", "a:4:{s:6:\"update\";i:1720677150;s:4:\"feed\";a:0:{}s:6:\"events\";a:0:{}s:9:\"dismissed\";a:0:{}}", "yes");
INSERT INTO `wp_options` VALUES("368", "_site_transient_timeout_available_translations", "1720687828", "no");
INSERT INTO `wp_options` VALUES("369", "_site_transient_available_translations", "a:131:{s:2:\"af\";a:8:{s:8:\"language\";s:2:\"af\";s:7:\"version\";s:8:\"5.8-beta\";s:7:\"updated\";s:19:\"2021-05-13 15:59:22\";s:12:\"english_name\";s:9:\"Afrikaans\";s:11:\"native_name\";s:9:\"Afrikaans\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.8-beta/af.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"af\";i:2;s:3:\"afr\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"Gaan voort\";}}s:2:\"am\";a:8:{s:8:\"language\";s:2:\"am\";s:7:\"version\";s:5:\"6.0.8\";s:7:\"updated\";s:19:\"2022-09-29 20:43:49\";s:12:\"english_name\";s:7:\"Amharic\";s:11:\"native_name\";s:12:\"አማርኛ\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.0.8/am.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"am\";i:2;s:3:\"amh\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"ቀጥል\";}}s:3:\"arg\";a:8:{s:8:\"language\";s:3:\"arg\";s:7:\"version\";s:8:\"6.2-beta\";s:7:\"updated\";s:19:\"2022-09-22 16:46:56\";s:12:\"english_name\";s:9:\"Aragonese\";s:11:\"native_name\";s:9:\"Aragonés\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/6.2-beta/arg.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"an\";i:2;s:3:\"arg\";i:3;s:3:\"arg\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continar\";}}s:2:\"ar\";a:8:{s:8:\"language\";s:2:\"ar\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-06-18 08:25:23\";s:12:\"english_name\";s:6:\"Arabic\";s:11:\"native_name\";s:14:\"العربية\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.2.2/ar.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ar\";i:2;s:3:\"ara\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"متابعة\";}}s:3:\"ary\";a:8:{s:8:\"language\";s:3:\"ary\";s:7:\"version\";s:6:\"4.8.24\";s:7:\"updated\";s:19:\"2017-01-26 15:42:35\";s:12:\"english_name\";s:15:\"Moroccan Arabic\";s:11:\"native_name\";s:31:\"العربية المغربية\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/translation/core/4.8.24/ary.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ar\";i:3;s:3:\"ary\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:16:\"المتابعة\";}}s:2:\"as\";a:8:{s:8:\"language\";s:2:\"as\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-06-17 14:44:15\";s:12:\"english_name\";s:8:\"Assamese\";s:11:\"native_name\";s:21:\"অসমীয়া\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.2.2/as.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"as\";i:2;s:3:\"asm\";i:3;s:3:\"asm\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:3:\"azb\";a:8:{s:8:\"language\";s:3:\"azb\";s:7:\"version\";s:5:\"6.0.8\";s:7:\"updated\";s:19:\"2023-12-01 14:08:36\";s:12:\"english_name\";s:17:\"South Azerbaijani\";s:11:\"native_name\";s:29:\"گؤنئی آذربایجان\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.0.8/azb.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"az\";i:3;s:3:\"azb\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:2:\"az\";a:8:{s:8:\"language\";s:2:\"az\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-11-06 00:09:27\";s:12:\"english_name\";s:11:\"Azerbaijani\";s:11:\"native_name\";s:16:\"Azərbaycan dili\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.2/az.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"az\";i:2;s:3:\"aze\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:5:\"Davam\";}}s:3:\"bel\";a:8:{s:8:\"language\";s:3:\"bel\";s:7:\"version\";s:6:\"4.9.25\";s:7:\"updated\";s:19:\"2019-10-29 07:54:22\";s:12:\"english_name\";s:10:\"Belarusian\";s:11:\"native_name\";s:29:\"Беларуская мова\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/translation/core/4.9.25/bel.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"be\";i:2;s:3:\"bel\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:20:\"Працягнуць\";}}s:5:\"bg_BG\";a:8:{s:8:\"language\";s:5:\"bg_BG\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-06-23 11:21:55\";s:12:\"english_name\";s:9:\"Bulgarian\";s:11:\"native_name\";s:18:\"Български\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/bg_BG.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"bg\";i:2;s:3:\"bul\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"Напред\";}}s:5:\"bn_BD\";a:8:{s:8:\"language\";s:5:\"bn_BD\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-07-15 14:46:58\";s:12:\"english_name\";s:20:\"Bengali (Bangladesh)\";s:11:\"native_name\";s:15:\"বাংলা\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/bn_BD.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"bn\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:28:\"চালিয়ে যান\";}}s:2:\"bo\";a:8:{s:8:\"language\";s:2:\"bo\";s:7:\"version\";s:8:\"5.8-beta\";s:7:\"updated\";s:19:\"2020-10-30 03:24:38\";s:12:\"english_name\";s:7:\"Tibetan\";s:11:\"native_name\";s:21:\"བོད་ཡིག\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.8-beta/bo.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"bo\";i:2;s:3:\"tib\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:33:\"མུ་མཐུད་དུ།\";}}s:5:\"bs_BA\";a:8:{s:8:\"language\";s:5:\"bs_BA\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-02-22 20:45:53\";s:12:\"english_name\";s:7:\"Bosnian\";s:11:\"native_name\";s:8:\"Bosanski\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/bs_BA.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"bs\";i:2;s:3:\"bos\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:7:\"Nastavi\";}}s:2:\"ca\";a:8:{s:8:\"language\";s:2:\"ca\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-10-11 14:14:04\";s:12:\"english_name\";s:7:\"Catalan\";s:11:\"native_name\";s:7:\"Català\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.2.2/ca.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ca\";i:2;s:3:\"cat\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continua\";}}s:3:\"ceb\";a:8:{s:8:\"language\";s:3:\"ceb\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-03-02 17:25:51\";s:12:\"english_name\";s:7:\"Cebuano\";s:11:\"native_name\";s:7:\"Cebuano\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/ceb.zip\";s:3:\"iso\";a:2:{i:2;s:3:\"ceb\";i:3;s:3:\"ceb\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:7:\"Padayun\";}}s:5:\"cs_CZ\";a:8:{s:8:\"language\";s:5:\"cs_CZ\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-05-22 09:37:21\";s:12:\"english_name\";s:5:\"Czech\";s:11:\"native_name\";s:9:\"Čeština\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/cs_CZ.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"cs\";i:2;s:3:\"ces\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:11:\"Pokračovat\";}}s:2:\"cy\";a:8:{s:8:\"language\";s:2:\"cy\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-05-10 08:48:02\";s:12:\"english_name\";s:5:\"Welsh\";s:11:\"native_name\";s:7:\"Cymraeg\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.2.2/cy.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"cy\";i:2;s:3:\"cym\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Parhau\";}}s:5:\"da_DK\";a:8:{s:8:\"language\";s:5:\"da_DK\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-07-14 12:12:09\";s:12:\"english_name\";s:6:\"Danish\";s:11:\"native_name\";s:5:\"Dansk\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/da_DK.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"da\";i:2;s:3:\"dan\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Fortsæt\";}}s:12:\"de_DE_formal\";a:8:{s:8:\"language\";s:12:\"de_DE_formal\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-08-29 18:35:41\";s:12:\"english_name\";s:15:\"German (Formal)\";s:11:\"native_name\";s:13:\"Deutsch (Sie)\";s:7:\"package\";s:71:\"https://downloads.wordpress.org/translation/core/6.2.2/de_DE_formal.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"de\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Weiter\";}}s:5:\"de_AT\";a:8:{s:8:\"language\";s:5:\"de_AT\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-03-29 21:14:35\";s:12:\"english_name\";s:16:\"German (Austria)\";s:11:\"native_name\";s:21:\"Deutsch (Österreich)\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/de_AT.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"de\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Weiter\";}}s:5:\"de_CH\";a:8:{s:8:\"language\";s:5:\"de_CH\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-03-28 07:37:41\";s:12:\"english_name\";s:20:\"German (Switzerland)\";s:11:\"native_name\";s:17:\"Deutsch (Schweiz)\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/de_CH.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"de\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Weiter\";}}s:5:\"de_DE\";a:8:{s:8:\"language\";s:5:\"de_DE\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-08-29 18:37:21\";s:12:\"english_name\";s:6:\"German\";s:11:\"native_name\";s:7:\"Deutsch\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/de_DE.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"de\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Weiter\";}}s:14:\"de_CH_informal\";a:8:{s:8:\"language\";s:14:\"de_CH_informal\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-03-28 07:33:50\";s:12:\"english_name\";s:30:\"German (Switzerland, Informal)\";s:11:\"native_name\";s:21:\"Deutsch (Schweiz, Du)\";s:7:\"package\";s:73:\"https://downloads.wordpress.org/translation/core/6.2.2/de_CH_informal.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"de\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Weiter\";}}s:3:\"dsb\";a:8:{s:8:\"language\";s:3:\"dsb\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2022-07-16 12:13:09\";s:12:\"english_name\";s:13:\"Lower Sorbian\";s:11:\"native_name\";s:16:\"Dolnoserbšćina\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.2.2/dsb.zip\";s:3:\"iso\";a:2:{i:2;s:3:\"dsb\";i:3;s:3:\"dsb\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:5:\"Dalej\";}}s:3:\"dzo\";a:8:{s:8:\"language\";s:3:\"dzo\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-06-29 08:59:03\";s:12:\"english_name\";s:8:\"Dzongkha\";s:11:\"native_name\";s:18:\"རྫོང་ཁ\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/dzo.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"dz\";i:2;s:3:\"dzo\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:2:\"el\";a:8:{s:8:\"language\";s:2:\"el\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-06-22 15:41:41\";s:12:\"english_name\";s:5:\"Greek\";s:11:\"native_name\";s:16:\"Ελληνικά\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.2.2/el.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"el\";i:2;s:3:\"ell\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:16:\"Συνέχεια\";}}s:5:\"en_AU\";a:8:{s:8:\"language\";s:5:\"en_AU\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-05-11 07:12:43\";s:12:\"english_name\";s:19:\"English (Australia)\";s:11:\"native_name\";s:19:\"English (Australia)\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/en_AU.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"en\";i:2;s:3:\"eng\";i:3;s:3:\"eng\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:5:\"en_NZ\";a:8:{s:8:\"language\";s:5:\"en_NZ\";s:7:\"version\";s:5:\"6.0.8\";s:7:\"updated\";s:19:\"2024-06-04 06:05:50\";s:12:\"english_name\";s:21:\"English (New Zealand)\";s:11:\"native_name\";s:21:\"English (New Zealand)\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.0.8/en_NZ.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"en\";i:2;s:3:\"eng\";i:3;s:3:\"eng\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:5:\"en_GB\";a:8:{s:8:\"language\";s:5:\"en_GB\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-06-04 17:36:42\";s:12:\"english_name\";s:12:\"English (UK)\";s:11:\"native_name\";s:12:\"English (UK)\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/en_GB.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"en\";i:2;s:3:\"eng\";i:3;s:3:\"eng\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:5:\"en_CA\";a:8:{s:8:\"language\";s:5:\"en_CA\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-08-06 19:32:15\";s:12:\"english_name\";s:16:\"English (Canada)\";s:11:\"native_name\";s:16:\"English (Canada)\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/en_CA.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"en\";i:2;s:3:\"eng\";i:3;s:3:\"eng\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:5:\"en_ZA\";a:8:{s:8:\"language\";s:5:\"en_ZA\";s:7:\"version\";s:5:\"6.0.8\";s:7:\"updated\";s:19:\"2021-12-24 12:36:39\";s:12:\"english_name\";s:22:\"English (South Africa)\";s:11:\"native_name\";s:22:\"English (South Africa)\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.0.8/en_ZA.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"en\";i:2;s:3:\"eng\";i:3;s:3:\"eng\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:2:\"eo\";a:8:{s:8:\"language\";s:2:\"eo\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-05-17 04:31:21\";s:12:\"english_name\";s:9:\"Esperanto\";s:11:\"native_name\";s:9:\"Esperanto\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.2.2/eo.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"eo\";i:2;s:3:\"epo\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Daŭrigi\";}}s:5:\"es_CO\";a:8:{s:8:\"language\";s:5:\"es_CO\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-03-14 22:16:37\";s:12:\"english_name\";s:18:\"Spanish (Colombia)\";s:11:\"native_name\";s:20:\"Español de Colombia\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/es_CO.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_AR\";a:8:{s:8:\"language\";s:5:\"es_AR\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-05-19 05:08:30\";s:12:\"english_name\";s:19:\"Spanish (Argentina)\";s:11:\"native_name\";s:21:\"Español de Argentina\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/es_AR.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_ES\";a:8:{s:8:\"language\";s:5:\"es_ES\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-06-20 17:07:49\";s:12:\"english_name\";s:15:\"Spanish (Spain)\";s:11:\"native_name\";s:8:\"Español\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/es_ES.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_CR\";a:8:{s:8:\"language\";s:5:\"es_CR\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-06-12 14:36:10\";s:12:\"english_name\";s:20:\"Spanish (Costa Rica)\";s:11:\"native_name\";s:22:\"Español de Costa Rica\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/es_CR.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_MX\";a:8:{s:8:\"language\";s:5:\"es_MX\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-05-22 14:08:08\";s:12:\"english_name\";s:16:\"Spanish (Mexico)\";s:11:\"native_name\";s:19:\"Español de México\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/es_MX.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_VE\";a:8:{s:8:\"language\";s:5:\"es_VE\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-08-04 16:40:23\";s:12:\"english_name\";s:19:\"Spanish (Venezuela)\";s:11:\"native_name\";s:21:\"Español de Venezuela\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/es_VE.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_PE\";a:8:{s:8:\"language\";s:5:\"es_PE\";s:7:\"version\";s:5:\"5.8.9\";s:7:\"updated\";s:19:\"2021-10-04 20:53:18\";s:12:\"english_name\";s:14:\"Spanish (Peru)\";s:11:\"native_name\";s:17:\"Español de Perú\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.8.9/es_PE.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_DO\";a:8:{s:8:\"language\";s:5:\"es_DO\";s:7:\"version\";s:5:\"5.8.9\";s:7:\"updated\";s:19:\"2021-10-08 14:32:50\";s:12:\"english_name\";s:28:\"Spanish (Dominican Republic)\";s:11:\"native_name\";s:33:\"Español de República Dominicana\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.8.9/es_DO.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_CL\";a:8:{s:8:\"language\";s:5:\"es_CL\";s:7:\"version\";s:8:\"5.8-beta\";s:7:\"updated\";s:19:\"2021-06-14 16:02:22\";s:12:\"english_name\";s:15:\"Spanish (Chile)\";s:11:\"native_name\";s:17:\"Español de Chile\";s:7:\"package\";s:67:\"https://downloads.wordpress.org/translation/core/5.8-beta/es_CL.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_UY\";a:8:{s:8:\"language\";s:5:\"es_UY\";s:7:\"version\";s:8:\"5.8-beta\";s:7:\"updated\";s:19:\"2021-03-31 18:33:26\";s:12:\"english_name\";s:17:\"Spanish (Uruguay)\";s:11:\"native_name\";s:19:\"Español de Uruguay\";s:7:\"package\";s:67:\"https://downloads.wordpress.org/translation/core/5.8-beta/es_UY.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_PR\";a:8:{s:8:\"language\";s:5:\"es_PR\";s:7:\"version\";s:6:\"5.4.15\";s:7:\"updated\";s:19:\"2020-04-29 15:36:59\";s:12:\"english_name\";s:21:\"Spanish (Puerto Rico)\";s:11:\"native_name\";s:23:\"Español de Puerto Rico\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/5.4.15/es_PR.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_GT\";a:8:{s:8:\"language\";s:5:\"es_GT\";s:7:\"version\";s:6:\"5.2.20\";s:7:\"updated\";s:19:\"2019-03-02 06:35:01\";s:12:\"english_name\";s:19:\"Spanish (Guatemala)\";s:11:\"native_name\";s:21:\"Español de Guatemala\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/5.2.20/es_GT.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"es_EC\";a:8:{s:8:\"language\";s:5:\"es_EC\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-04-21 13:32:10\";s:12:\"english_name\";s:17:\"Spanish (Ecuador)\";s:11:\"native_name\";s:19:\"Español de Ecuador\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/es_EC.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"es\";i:2;s:3:\"spa\";i:3;s:3:\"spa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:2:\"et\";a:8:{s:8:\"language\";s:2:\"et\";s:7:\"version\";s:8:\"5.8-beta\";s:7:\"updated\";s:19:\"2020-08-12 08:38:59\";s:12:\"english_name\";s:8:\"Estonian\";s:11:\"native_name\";s:5:\"Eesti\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.8-beta/et.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"et\";i:2;s:3:\"est\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Jätka\";}}s:2:\"eu\";a:8:{s:8:\"language\";s:2:\"eu\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-08-26 23:05:34\";s:12:\"english_name\";s:6:\"Basque\";s:11:\"native_name\";s:7:\"Euskara\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.2.2/eu.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"eu\";i:2;s:3:\"eus\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Jarraitu\";}}s:5:\"fa_IR\";a:8:{s:8:\"language\";s:5:\"fa_IR\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-08-29 13:15:47\";s:12:\"english_name\";s:7:\"Persian\";s:11:\"native_name\";s:10:\"فارسی\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/fa_IR.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"fa\";i:2;s:3:\"fas\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"ادامه\";}}s:5:\"fa_AF\";a:8:{s:8:\"language\";s:5:\"fa_AF\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-07-02 10:08:01\";s:12:\"english_name\";s:21:\"Persian (Afghanistan)\";s:11:\"native_name\";s:31:\"(فارسی (افغانستان\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/fa_AF.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"fa\";i:2;s:3:\"fas\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"ادامه\";}}s:2:\"fi\";a:8:{s:8:\"language\";s:2:\"fi\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-05-17 05:20:27\";s:12:\"english_name\";s:7:\"Finnish\";s:11:\"native_name\";s:5:\"Suomi\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.2.2/fi.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"fi\";i:2;s:3:\"fin\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:5:\"Jatka\";}}s:5:\"fr_CA\";a:8:{s:8:\"language\";s:5:\"fr_CA\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-05-30 14:40:46\";s:12:\"english_name\";s:15:\"French (Canada)\";s:11:\"native_name\";s:19:\"Français du Canada\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/fr_CA.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"fr\";i:2;s:3:\"fra\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuer\";}}s:5:\"fr_FR\";a:8:{s:8:\"language\";s:5:\"fr_FR\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-05-25 15:00:05\";s:12:\"english_name\";s:15:\"French (France)\";s:11:\"native_name\";s:9:\"Français\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/fr_FR.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"fr\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuer\";}}s:5:\"fr_BE\";a:8:{s:8:\"language\";s:5:\"fr_BE\";s:7:\"version\";s:8:\"5.8-beta\";s:7:\"updated\";s:19:\"2021-02-22 13:54:46\";s:12:\"english_name\";s:16:\"French (Belgium)\";s:11:\"native_name\";s:21:\"Français de Belgique\";s:7:\"package\";s:67:\"https://downloads.wordpress.org/translation/core/5.8-beta/fr_BE.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"fr\";i:2;s:3:\"fra\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuer\";}}s:3:\"fur\";a:8:{s:8:\"language\";s:3:\"fur\";s:7:\"version\";s:6:\"4.8.24\";s:7:\"updated\";s:19:\"2023-04-30 13:56:46\";s:12:\"english_name\";s:8:\"Friulian\";s:11:\"native_name\";s:8:\"Friulian\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/translation/core/4.8.24/fur.zip\";s:3:\"iso\";a:2:{i:2;s:3:\"fur\";i:3;s:3:\"fur\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:2:\"fy\";a:8:{s:8:\"language\";s:2:\"fy\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2022-12-25 12:53:23\";s:12:\"english_name\";s:7:\"Frisian\";s:11:\"native_name\";s:5:\"Frysk\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.2.2/fy.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"fy\";i:2;s:3:\"fry\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Trochgean\";}}s:2:\"gd\";a:8:{s:8:\"language\";s:2:\"gd\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-08-23 17:41:37\";s:12:\"english_name\";s:15:\"Scottish Gaelic\";s:11:\"native_name\";s:9:\"Gàidhlig\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.2/gd.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"gd\";i:2;s:3:\"gla\";i:3;s:3:\"gla\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:15:\"Lean air adhart\";}}s:5:\"gl_ES\";a:8:{s:8:\"language\";s:5:\"gl_ES\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-06-21 12:21:18\";s:12:\"english_name\";s:8:\"Galician\";s:11:\"native_name\";s:6:\"Galego\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/gl_ES.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"gl\";i:2;s:3:\"glg\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:2:\"gu\";a:8:{s:8:\"language\";s:2:\"gu\";s:7:\"version\";s:6:\"4.9.25\";s:7:\"updated\";s:19:\"2024-02-07 08:07:00\";s:12:\"english_name\";s:8:\"Gujarati\";s:11:\"native_name\";s:21:\"ગુજરાતી\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.9.25/gu.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"gu\";i:2;s:3:\"guj\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:25:\"ચાલુ રાખો\";}}s:3:\"haz\";a:8:{s:8:\"language\";s:3:\"haz\";s:7:\"version\";s:6:\"4.4.32\";s:7:\"updated\";s:19:\"2015-12-05 00:59:09\";s:12:\"english_name\";s:8:\"Hazaragi\";s:11:\"native_name\";s:15:\"هزاره گی\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/translation/core/4.4.32/haz.zip\";s:3:\"iso\";a:1:{i:3;s:3:\"haz\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"ادامه\";}}s:5:\"he_IL\";a:8:{s:8:\"language\";s:5:\"he_IL\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-05-28 22:06:16\";s:12:\"english_name\";s:6:\"Hebrew\";s:11:\"native_name\";s:16:\"עִבְרִית\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/he_IL.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"he\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"המשך\";}}s:5:\"hi_IN\";a:8:{s:8:\"language\";s:5:\"hi_IN\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-08-08 11:04:56\";s:12:\"english_name\";s:5:\"Hindi\";s:11:\"native_name\";s:18:\"हिन्दी\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/hi_IN.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"hi\";i:2;s:3:\"hin\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:25:\"जारी रखें\";}}s:2:\"hr\";a:8:{s:8:\"language\";s:2:\"hr\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-05-28 10:18:51\";s:12:\"english_name\";s:8:\"Croatian\";s:11:\"native_name\";s:8:\"Hrvatski\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.2.2/hr.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"hr\";i:2;s:3:\"hrv\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:7:\"Nastavi\";}}s:3:\"hsb\";a:8:{s:8:\"language\";s:3:\"hsb\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-02-22 17:37:32\";s:12:\"english_name\";s:13:\"Upper Sorbian\";s:11:\"native_name\";s:17:\"Hornjoserbšćina\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.2.2/hsb.zip\";s:3:\"iso\";a:2:{i:2;s:3:\"hsb\";i:3;s:3:\"hsb\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:4:\"Dale\";}}s:5:\"hu_HU\";a:8:{s:8:\"language\";s:5:\"hu_HU\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-08-13 09:53:46\";s:12:\"english_name\";s:9:\"Hungarian\";s:11:\"native_name\";s:6:\"Magyar\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/hu_HU.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"hu\";i:2;s:3:\"hun\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"Folytatás\";}}s:2:\"hy\";a:8:{s:8:\"language\";s:2:\"hy\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-12-03 16:21:10\";s:12:\"english_name\";s:8:\"Armenian\";s:11:\"native_name\";s:14:\"Հայերեն\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.2/hy.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"hy\";i:2;s:3:\"hye\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:20:\"Շարունակել\";}}s:5:\"id_ID\";a:8:{s:8:\"language\";s:5:\"id_ID\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-07-07 13:57:04\";s:12:\"english_name\";s:10:\"Indonesian\";s:11:\"native_name\";s:16:\"Bahasa Indonesia\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/id_ID.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"id\";i:2;s:3:\"ind\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Lanjutkan\";}}s:5:\"is_IS\";a:8:{s:8:\"language\";s:5:\"is_IS\";s:7:\"version\";s:6:\"4.9.25\";s:7:\"updated\";s:19:\"2018-12-11 10:40:02\";s:12:\"english_name\";s:9:\"Icelandic\";s:11:\"native_name\";s:9:\"Íslenska\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/4.9.25/is_IS.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"is\";i:2;s:3:\"isl\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Áfram\";}}s:5:\"it_IT\";a:8:{s:8:\"language\";s:5:\"it_IT\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-08-07 12:42:08\";s:12:\"english_name\";s:7:\"Italian\";s:11:\"native_name\";s:8:\"Italiano\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/it_IT.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"it\";i:2;s:3:\"ita\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continua\";}}s:2:\"ja\";a:8:{s:8:\"language\";s:2:\"ja\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-09-20 05:53:15\";s:12:\"english_name\";s:8:\"Japanese\";s:11:\"native_name\";s:9:\"日本語\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.2.2/ja.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"ja\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"次へ\";}}s:5:\"jv_ID\";a:8:{s:8:\"language\";s:5:\"jv_ID\";s:7:\"version\";s:6:\"4.9.25\";s:7:\"updated\";s:19:\"2019-02-16 23:58:56\";s:12:\"english_name\";s:8:\"Javanese\";s:11:\"native_name\";s:9:\"Basa Jawa\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/4.9.25/jv_ID.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"jv\";i:2;s:3:\"jav\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Nerusaké\";}}s:5:\"ka_GE\";a:8:{s:8:\"language\";s:5:\"ka_GE\";s:7:\"version\";s:5:\"6.1.6\";s:7:\"updated\";s:19:\"2024-01-31 09:40:45\";s:12:\"english_name\";s:8:\"Georgian\";s:11:\"native_name\";s:21:\"ქართული\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.1.6/ka_GE.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ka\";i:2;s:3:\"kat\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:30:\"გაგრძელება\";}}s:3:\"kab\";a:8:{s:8:\"language\";s:3:\"kab\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-07-05 11:40:39\";s:12:\"english_name\";s:6:\"Kabyle\";s:11:\"native_name\";s:9:\"Taqbaylit\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.2.2/kab.zip\";s:3:\"iso\";a:2:{i:2;s:3:\"kab\";i:3;s:3:\"kab\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Kemmel\";}}s:2:\"kk\";a:8:{s:8:\"language\";s:2:\"kk\";s:7:\"version\";s:6:\"4.9.25\";s:7:\"updated\";s:19:\"2018-07-10 11:35:44\";s:12:\"english_name\";s:6:\"Kazakh\";s:11:\"native_name\";s:19:\"Қазақ тілі\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.9.25/kk.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"kk\";i:2;s:3:\"kaz\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:20:\"Жалғастыру\";}}s:2:\"km\";a:8:{s:8:\"language\";s:2:\"km\";s:7:\"version\";s:6:\"5.2.20\";s:7:\"updated\";s:19:\"2019-06-10 16:18:28\";s:12:\"english_name\";s:5:\"Khmer\";s:11:\"native_name\";s:27:\"ភាសាខ្មែរ\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.2.20/km.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"km\";i:2;s:3:\"khm\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"បន្ត\";}}s:2:\"kn\";a:8:{s:8:\"language\";s:2:\"kn\";s:7:\"version\";s:5:\"6.1.6\";s:7:\"updated\";s:19:\"2022-10-20 17:15:28\";s:12:\"english_name\";s:7:\"Kannada\";s:11:\"native_name\";s:15:\"ಕನ್ನಡ\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.1.6/kn.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"kn\";i:2;s:3:\"kan\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:30:\"ಮುಂದುವರಿಸು\";}}s:5:\"ko_KR\";a:8:{s:8:\"language\";s:5:\"ko_KR\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-05-30 08:24:13\";s:12:\"english_name\";s:6:\"Korean\";s:11:\"native_name\";s:9:\"한국어\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/ko_KR.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ko\";i:2;s:3:\"kor\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"계속\";}}s:3:\"ckb\";a:8:{s:8:\"language\";s:3:\"ckb\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-07-15 01:34:39\";s:12:\"english_name\";s:16:\"Kurdish (Sorani)\";s:11:\"native_name\";s:13:\"كوردی‎\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.2.2/ckb.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ku\";i:3;s:3:\"ckb\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:30:\"به‌رده‌وام به‌\";}}s:3:\"kir\";a:8:{s:8:\"language\";s:3:\"kir\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-07-11 18:16:48\";s:12:\"english_name\";s:6:\"Kyrgyz\";s:11:\"native_name\";s:16:\"Кыргызча\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.2.2/kir.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"ky\";i:2;s:3:\"kir\";i:3;s:3:\"kir\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:14:\"Улантуу\";}}s:2:\"lo\";a:8:{s:8:\"language\";s:2:\"lo\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-11-12 09:59:23\";s:12:\"english_name\";s:3:\"Lao\";s:11:\"native_name\";s:21:\"ພາສາລາວ\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.2/lo.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"lo\";i:2;s:3:\"lao\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:18:\"ຕໍ່​ໄປ\";}}s:5:\"lt_LT\";a:8:{s:8:\"language\";s:5:\"lt_LT\";s:7:\"version\";s:5:\"6.1.6\";s:7:\"updated\";s:19:\"2024-02-11 20:58:34\";s:12:\"english_name\";s:10:\"Lithuanian\";s:11:\"native_name\";s:15:\"Lietuvių kalba\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.1.6/lt_LT.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"lt\";i:2;s:3:\"lit\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Tęsti\";}}s:2:\"lv\";a:8:{s:8:\"language\";s:2:\"lv\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-08-07 05:58:21\";s:12:\"english_name\";s:7:\"Latvian\";s:11:\"native_name\";s:16:\"Latviešu valoda\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.2.2/lv.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"lv\";i:2;s:3:\"lav\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Turpināt\";}}s:5:\"mk_MK\";a:8:{s:8:\"language\";s:5:\"mk_MK\";s:7:\"version\";s:5:\"6.0.8\";s:7:\"updated\";s:19:\"2022-10-01 09:23:52\";s:12:\"english_name\";s:10:\"Macedonian\";s:11:\"native_name\";s:31:\"Македонски јазик\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.0.8/mk_MK.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"mk\";i:2;s:3:\"mkd\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:16:\"Продолжи\";}}s:5:\"ml_IN\";a:8:{s:8:\"language\";s:5:\"ml_IN\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2017-01-27 03:43:32\";s:12:\"english_name\";s:9:\"Malayalam\";s:11:\"native_name\";s:18:\"മലയാളം\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.7.2/ml_IN.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ml\";i:2;s:3:\"mal\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:18:\"തുടരുക\";}}s:2:\"mn\";a:8:{s:8:\"language\";s:2:\"mn\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-07-21 13:23:01\";s:12:\"english_name\";s:9:\"Mongolian\";s:11:\"native_name\";s:12:\"Монгол\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.2.2/mn.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"mn\";i:2;s:3:\"mon\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:2:\"mr\";a:8:{s:8:\"language\";s:2:\"mr\";s:7:\"version\";s:6:\"4.9.25\";s:7:\"updated\";s:19:\"2019-11-22 15:32:08\";s:12:\"english_name\";s:7:\"Marathi\";s:11:\"native_name\";s:15:\"मराठी\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.9.25/mr.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"mr\";i:2;s:3:\"mar\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:25:\"सुरु ठेवा\";}}s:5:\"ms_MY\";a:8:{s:8:\"language\";s:5:\"ms_MY\";s:7:\"version\";s:6:\"5.5.14\";s:7:\"updated\";s:19:\"2022-03-11 13:52:22\";s:12:\"english_name\";s:5:\"Malay\";s:11:\"native_name\";s:13:\"Bahasa Melayu\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/5.5.14/ms_MY.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ms\";i:2;s:3:\"msa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Teruskan\";}}s:5:\"my_MM\";a:8:{s:8:\"language\";s:5:\"my_MM\";s:7:\"version\";s:6:\"4.2.37\";s:7:\"updated\";s:19:\"2017-12-26 11:57:10\";s:12:\"english_name\";s:17:\"Myanmar (Burmese)\";s:11:\"native_name\";s:15:\"ဗမာစာ\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/4.2.37/my_MM.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"my\";i:2;s:3:\"mya\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:54:\"ဆက်လက်လုပ်ဆောင်ပါ။\";}}s:5:\"nb_NO\";a:8:{s:8:\"language\";s:5:\"nb_NO\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-07-24 18:22:13\";s:12:\"english_name\";s:19:\"Norwegian (Bokmål)\";s:11:\"native_name\";s:13:\"Norsk bokmål\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/nb_NO.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"nb\";i:2;s:3:\"nob\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Fortsett\";}}s:5:\"ne_NP\";a:8:{s:8:\"language\";s:5:\"ne_NP\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-07-16 03:30:29\";s:12:\"english_name\";s:6:\"Nepali\";s:11:\"native_name\";s:18:\"नेपाली\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/ne_NP.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ne\";i:2;s:3:\"nep\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:43:\"जारी राख्नुहोस्\";}}s:5:\"nl_BE\";a:8:{s:8:\"language\";s:5:\"nl_BE\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-08-30 11:04:42\";s:12:\"english_name\";s:15:\"Dutch (Belgium)\";s:11:\"native_name\";s:20:\"Nederlands (België)\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/nl_BE.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"nl\";i:2;s:3:\"nld\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Doorgaan\";}}s:12:\"nl_NL_formal\";a:8:{s:8:\"language\";s:12:\"nl_NL_formal\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-02-22 21:20:14\";s:12:\"english_name\";s:14:\"Dutch (Formal)\";s:11:\"native_name\";s:20:\"Nederlands (Formeel)\";s:7:\"package\";s:71:\"https://downloads.wordpress.org/translation/core/6.2.2/nl_NL_formal.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"nl\";i:2;s:3:\"nld\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Doorgaan\";}}s:5:\"nl_NL\";a:8:{s:8:\"language\";s:5:\"nl_NL\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-09-10 16:26:06\";s:12:\"english_name\";s:5:\"Dutch\";s:11:\"native_name\";s:10:\"Nederlands\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/nl_NL.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"nl\";i:2;s:3:\"nld\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Doorgaan\";}}s:5:\"nn_NO\";a:8:{s:8:\"language\";s:5:\"nn_NO\";s:7:\"version\";s:8:\"5.8-beta\";s:7:\"updated\";s:19:\"2021-03-18 10:59:16\";s:12:\"english_name\";s:19:\"Norwegian (Nynorsk)\";s:11:\"native_name\";s:13:\"Norsk nynorsk\";s:7:\"package\";s:67:\"https://downloads.wordpress.org/translation/core/5.8-beta/nn_NO.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"nn\";i:2;s:3:\"nno\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Hald fram\";}}s:3:\"oci\";a:8:{s:8:\"language\";s:3:\"oci\";s:7:\"version\";s:6:\"4.8.24\";s:7:\"updated\";s:19:\"2017-08-25 10:03:08\";s:12:\"english_name\";s:7:\"Occitan\";s:11:\"native_name\";s:7:\"Occitan\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/translation/core/4.8.24/oci.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"oc\";i:2;s:3:\"oci\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Contunhar\";}}s:5:\"pa_IN\";a:8:{s:8:\"language\";s:5:\"pa_IN\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2017-01-16 05:19:43\";s:12:\"english_name\";s:15:\"Panjabi (India)\";s:11:\"native_name\";s:18:\"ਪੰਜਾਬੀ\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.7.2/pa_IN.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"pa\";i:2;s:3:\"pan\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:25:\"ਜਾਰੀ ਰੱਖੋ\";}}s:5:\"pl_PL\";a:8:{s:8:\"language\";s:5:\"pl_PL\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-07-28 06:12:06\";s:12:\"english_name\";s:6:\"Polish\";s:11:\"native_name\";s:6:\"Polski\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/pl_PL.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"pl\";i:2;s:3:\"pol\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Kontynuuj\";}}s:2:\"ps\";a:8:{s:8:\"language\";s:2:\"ps\";s:7:\"version\";s:6:\"4.3.33\";s:7:\"updated\";s:19:\"2015-12-02 21:41:29\";s:12:\"english_name\";s:6:\"Pashto\";s:11:\"native_name\";s:8:\"پښتو\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.3.33/ps.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ps\";i:2;s:3:\"pus\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:19:\"دوام ورکړه\";}}s:5:\"pt_PT\";a:8:{s:8:\"language\";s:5:\"pt_PT\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-09-28 12:06:37\";s:12:\"english_name\";s:21:\"Portuguese (Portugal)\";s:11:\"native_name\";s:10:\"Português\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/pt_PT.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"pt\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"pt_BR\";a:8:{s:8:\"language\";s:5:\"pt_BR\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-08-22 23:10:21\";s:12:\"english_name\";s:19:\"Portuguese (Brazil)\";s:11:\"native_name\";s:20:\"Português do Brasil\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/pt_BR.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"pt\";i:2;s:3:\"por\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:5:\"pt_AO\";a:8:{s:8:\"language\";s:5:\"pt_AO\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2022-10-01 12:16:29\";s:12:\"english_name\";s:19:\"Portuguese (Angola)\";s:11:\"native_name\";s:20:\"Português de Angola\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/pt_AO.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"pt\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:10:\"pt_PT_ao90\";a:8:{s:8:\"language\";s:10:\"pt_PT_ao90\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-09-28 12:14:57\";s:12:\"english_name\";s:27:\"Portuguese (Portugal, AO90)\";s:11:\"native_name\";s:17:\"Português (AO90)\";s:7:\"package\";s:69:\"https://downloads.wordpress.org/translation/core/6.2.2/pt_PT_ao90.zip\";s:3:\"iso\";a:1:{i:1;s:2:\"pt\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuar\";}}s:3:\"rhg\";a:8:{s:8:\"language\";s:3:\"rhg\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-03-16 13:03:18\";s:12:\"english_name\";s:8:\"Rohingya\";s:11:\"native_name\";s:8:\"Ruáinga\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/rhg.zip\";s:3:\"iso\";a:1:{i:3;s:3:\"rhg\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:5:\"ro_RO\";a:8:{s:8:\"language\";s:5:\"ro_RO\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-09-12 08:57:11\";s:12:\"english_name\";s:8:\"Romanian\";s:11:\"native_name\";s:8:\"Română\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/ro_RO.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ro\";i:2;s:3:\"ron\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Continuă\";}}s:5:\"ru_RU\";a:8:{s:8:\"language\";s:5:\"ru_RU\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-08-20 14:54:56\";s:12:\"english_name\";s:7:\"Russian\";s:11:\"native_name\";s:14:\"Русский\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/ru_RU.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ru\";i:2;s:3:\"rus\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:20:\"Продолжить\";}}s:3:\"sah\";a:8:{s:8:\"language\";s:3:\"sah\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2017-01-21 02:06:41\";s:12:\"english_name\";s:5:\"Sakha\";s:11:\"native_name\";s:14:\"Сахалыы\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/sah.zip\";s:3:\"iso\";a:2:{i:2;s:3:\"sah\";i:3;s:3:\"sah\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"Салҕаа\";}}s:3:\"snd\";a:8:{s:8:\"language\";s:3:\"snd\";s:7:\"version\";s:6:\"5.4.15\";s:7:\"updated\";s:19:\"2020-07-07 01:53:37\";s:12:\"english_name\";s:6:\"Sindhi\";s:11:\"native_name\";s:8:\"سنڌي\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/translation/core/5.4.15/snd.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"sd\";i:2;s:3:\"snd\";i:3;s:3:\"snd\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:15:\"اڳتي هلو\";}}s:5:\"si_LK\";a:8:{s:8:\"language\";s:5:\"si_LK\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-11-12 06:00:52\";s:12:\"english_name\";s:7:\"Sinhala\";s:11:\"native_name\";s:15:\"සිංහල\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.7.2/si_LK.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"si\";i:2;s:3:\"sin\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:44:\"දිගටම කරගෙන යන්න\";}}s:5:\"sk_SK\";a:8:{s:8:\"language\";s:5:\"sk_SK\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-06-23 12:06:50\";s:12:\"english_name\";s:6:\"Slovak\";s:11:\"native_name\";s:11:\"Slovenčina\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/sk_SK.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sk\";i:2;s:3:\"slk\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"Pokračovať\";}}s:3:\"skr\";a:8:{s:8:\"language\";s:3:\"skr\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-04-03 08:30:58\";s:12:\"english_name\";s:7:\"Saraiki\";s:11:\"native_name\";s:14:\"سرائیکی\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/6.2.2/skr.zip\";s:3:\"iso\";a:1:{i:3;s:3:\"skr\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:17:\"جاری رکھو\";}}s:5:\"sl_SI\";a:8:{s:8:\"language\";s:5:\"sl_SI\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-07-17 12:03:21\";s:12:\"english_name\";s:9:\"Slovenian\";s:11:\"native_name\";s:13:\"Slovenščina\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/sl_SI.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sl\";i:2;s:3:\"slv\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Nadaljuj\";}}s:2:\"sq\";a:8:{s:8:\"language\";s:2:\"sq\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-05-10 11:33:13\";s:12:\"english_name\";s:8:\"Albanian\";s:11:\"native_name\";s:5:\"Shqip\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.2.2/sq.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sq\";i:2;s:3:\"sqi\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"Vazhdo\";}}s:5:\"sr_RS\";a:8:{s:8:\"language\";s:5:\"sr_RS\";s:7:\"version\";s:5:\"5.8.9\";s:7:\"updated\";s:19:\"2024-01-05 19:26:05\";s:12:\"english_name\";s:7:\"Serbian\";s:11:\"native_name\";s:23:\"Српски језик\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/5.8.9/sr_RS.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sr\";i:2;s:3:\"srp\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:14:\"Настави\";}}s:5:\"sv_SE\";a:8:{s:8:\"language\";s:5:\"sv_SE\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-05-11 17:06:50\";s:12:\"english_name\";s:7:\"Swedish\";s:11:\"native_name\";s:7:\"Svenska\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/sv_SE.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sv\";i:2;s:3:\"swe\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:9:\"Fortsätt\";}}s:2:\"sw\";a:8:{s:8:\"language\";s:2:\"sw\";s:7:\"version\";s:6:\"5.3.17\";s:7:\"updated\";s:19:\"2019-10-13 15:35:35\";s:12:\"english_name\";s:7:\"Swahili\";s:11:\"native_name\";s:9:\"Kiswahili\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.3.17/sw.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"sw\";i:2;s:3:\"swa\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:7:\"Endelea\";}}s:3:\"szl\";a:8:{s:8:\"language\";s:3:\"szl\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-09-24 19:58:14\";s:12:\"english_name\";s:8:\"Silesian\";s:11:\"native_name\";s:17:\"Ślōnskŏ gŏdka\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/szl.zip\";s:3:\"iso\";a:1:{i:3;s:3:\"szl\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:13:\"Kōntynuować\";}}s:5:\"ta_IN\";a:8:{s:8:\"language\";s:5:\"ta_IN\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2017-01-27 03:22:47\";s:12:\"english_name\";s:5:\"Tamil\";s:11:\"native_name\";s:15:\"தமிழ்\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.7.2/ta_IN.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ta\";i:2;s:3:\"tam\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:24:\"தொடரவும்\";}}s:5:\"ta_LK\";a:8:{s:8:\"language\";s:5:\"ta_LK\";s:7:\"version\";s:6:\"4.2.37\";s:7:\"updated\";s:19:\"2015-12-03 01:07:44\";s:12:\"english_name\";s:17:\"Tamil (Sri Lanka)\";s:11:\"native_name\";s:15:\"தமிழ்\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/4.2.37/ta_LK.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ta\";i:2;s:3:\"tam\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:18:\"தொடர்க\";}}s:2:\"te\";a:8:{s:8:\"language\";s:2:\"te\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2017-01-26 15:47:39\";s:12:\"english_name\";s:6:\"Telugu\";s:11:\"native_name\";s:18:\"తెలుగు\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/4.7.2/te.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"te\";i:2;s:3:\"tel\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:30:\"కొనసాగించు\";}}s:2:\"th\";a:8:{s:8:\"language\";s:2:\"th\";s:7:\"version\";s:5:\"5.8.9\";s:7:\"updated\";s:19:\"2022-06-08 04:30:30\";s:12:\"english_name\";s:4:\"Thai\";s:11:\"native_name\";s:9:\"ไทย\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/5.8.9/th.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"th\";i:2;s:3:\"tha\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:15:\"ต่อไป\";}}s:2:\"tl\";a:8:{s:8:\"language\";s:2:\"tl\";s:7:\"version\";s:6:\"4.8.24\";s:7:\"updated\";s:19:\"2017-09-30 09:04:29\";s:12:\"english_name\";s:7:\"Tagalog\";s:11:\"native_name\";s:7:\"Tagalog\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.8.24/tl.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"tl\";i:2;s:3:\"tgl\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:10:\"Magpatuloy\";}}s:5:\"tr_TR\";a:8:{s:8:\"language\";s:5:\"tr_TR\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-05-22 10:14:53\";s:12:\"english_name\";s:7:\"Turkish\";s:11:\"native_name\";s:8:\"Türkçe\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/tr_TR.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"tr\";i:2;s:3:\"tur\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:5:\"Devam\";}}s:5:\"tt_RU\";a:8:{s:8:\"language\";s:5:\"tt_RU\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-11-20 20:20:50\";s:12:\"english_name\";s:5:\"Tatar\";s:11:\"native_name\";s:19:\"Татар теле\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/4.7.2/tt_RU.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"tt\";i:2;s:3:\"tat\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:17:\"дәвам итү\";}}s:3:\"tah\";a:8:{s:8:\"language\";s:3:\"tah\";s:7:\"version\";s:5:\"4.7.2\";s:7:\"updated\";s:19:\"2016-03-06 18:39:39\";s:12:\"english_name\";s:8:\"Tahitian\";s:11:\"native_name\";s:10:\"Reo Tahiti\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/4.7.2/tah.zip\";s:3:\"iso\";a:3:{i:1;s:2:\"ty\";i:2;s:3:\"tah\";i:3;s:3:\"tah\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:8:\"Continue\";}}s:5:\"ug_CN\";a:8:{s:8:\"language\";s:5:\"ug_CN\";s:7:\"version\";s:6:\"4.9.25\";s:7:\"updated\";s:19:\"2021-07-03 18:41:33\";s:12:\"english_name\";s:6:\"Uighur\";s:11:\"native_name\";s:16:\"ئۇيغۇرچە\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/translation/core/4.9.25/ug_CN.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ug\";i:2;s:3:\"uig\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:26:\"داۋاملاشتۇرۇش\";}}s:2:\"uk\";a:8:{s:8:\"language\";s:2:\"uk\";s:7:\"version\";s:5:\"6.1.6\";s:7:\"updated\";s:19:\"2023-03-04 10:46:30\";s:12:\"english_name\";s:9:\"Ukrainian\";s:11:\"native_name\";s:20:\"Українська\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.1.6/uk.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"uk\";i:2;s:3:\"ukr\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:20:\"Продовжити\";}}s:2:\"ur\";a:8:{s:8:\"language\";s:2:\"ur\";s:7:\"version\";s:6:\"5.4.15\";s:7:\"updated\";s:19:\"2020-04-09 11:17:33\";s:12:\"english_name\";s:4:\"Urdu\";s:11:\"native_name\";s:8:\"اردو\";s:7:\"package\";s:62:\"https://downloads.wordpress.org/translation/core/5.4.15/ur.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"ur\";i:2;s:3:\"urd\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:19:\"جاری رکھیں\";}}s:5:\"uz_UZ\";a:8:{s:8:\"language\";s:5:\"uz_UZ\";s:7:\"version\";s:8:\"5.8-beta\";s:7:\"updated\";s:19:\"2021-02-28 12:02:22\";s:12:\"english_name\";s:5:\"Uzbek\";s:11:\"native_name\";s:11:\"O‘zbekcha\";s:7:\"package\";s:67:\"https://downloads.wordpress.org/translation/core/5.8-beta/uz_UZ.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"uz\";i:2;s:3:\"uzb\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:11:\"Davom etish\";}}s:2:\"vi\";a:8:{s:8:\"language\";s:2:\"vi\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-07-15 15:30:50\";s:12:\"english_name\";s:10:\"Vietnamese\";s:11:\"native_name\";s:14:\"Tiếng Việt\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/translation/core/6.2.2/vi.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"vi\";i:2;s:3:\"vie\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:12:\"Tiếp tục\";}}s:5:\"zh_CN\";a:8:{s:8:\"language\";s:5:\"zh_CN\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-10-08 21:45:19\";s:12:\"english_name\";s:15:\"Chinese (China)\";s:11:\"native_name\";s:12:\"简体中文\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/zh_CN.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"zh\";i:2;s:3:\"zho\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"继续\";}}s:5:\"zh_HK\";a:8:{s:8:\"language\";s:5:\"zh_HK\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2022-07-15 15:25:03\";s:12:\"english_name\";s:19:\"Chinese (Hong Kong)\";s:11:\"native_name\";s:12:\"香港中文\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/zh_HK.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"zh\";i:2;s:3:\"zho\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"繼續\";}}s:5:\"zh_TW\";a:8:{s:8:\"language\";s:5:\"zh_TW\";s:7:\"version\";s:5:\"6.2.2\";s:7:\"updated\";s:19:\"2023-08-29 16:29:10\";s:12:\"english_name\";s:16:\"Chinese (Taiwan)\";s:11:\"native_name\";s:12:\"繁體中文\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.2.2/zh_TW.zip\";s:3:\"iso\";a:2:{i:1;s:2:\"zh\";i:2;s:3:\"zho\";}s:7:\"strings\";a:1:{s:8:\"continue\";s:6:\"繼續\";}}}", "no");
INSERT INTO `wp_options` VALUES("284", "category_children", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("321", "astra_partials_config_cache", "a:2:{s:8:\"settings\";a:769:{s:35:\"astra-settings[button-preset-style]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:40:\"astra-settings[theme-button-color-group]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:43:\"astra-settings[theme-button-bg-color-group]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:47:\"astra-settings[theme-button-border-color-group]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:54:\"astra-settings[theme-button-border-group-border-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_alpha_color\";}}s:56:\"astra-settings[theme-button-border-group-border-h-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_alpha_color\";}}s:28:\"astra-settings[button-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:30:\"astra-settings[button-h-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:31:\"astra-settings[button-bg-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:33:\"astra-settings[button-bg-h-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:36:\"astra-settings[theme-button-padding]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";i:15;s:5:\"right\";i:30;s:6:\"bottom\";i:15;s:4:\"left\";i:30;}s:6:\"tablet\";a:4:{s:3:\"top\";i:14;s:5:\"right\";i:28;s:6:\"bottom\";i:14;s:4:\"left\";i:28;}s:6:\"mobile\";a:4:{s:3:\"top\";i:12;s:5:\"right\";i:24;s:6:\"bottom\";i:12;s:4:\"left\";i:24;}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:53:\"astra-settings[theme-button-border-group-border-size]\";a:4:{s:7:\"default\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:36:\"astra-settings[button-radius-fields]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:34:\"astra-settings[site-content-width]\";a:4:{s:7:\"default\";i:1200;s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:42:\"astra-settings[narrow-container-max-width]\";a:4:{s:7:\"default\";i:750;s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:37:\"astra-settings[different-retina-logo]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:38:\"astra-settings[ast-header-retina-logo]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";s:11:\"esc_url_raw\";}s:37:\"astra-settings[different-mobile-logo]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:34:\"astra-settings[mobile-header-logo]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";s:11:\"esc_url_raw\";}s:48:\"astra-settings[ast-header-responsive-logo-width]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:45:\"astra-settings[display-site-title-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";i:1;s:6:\"tablet\";i:1;s:6:\"mobile\";i:1;}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:47:\"astra-settings[display-site-tagline-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";i:0;s:6:\"tablet\";i:0;s:6:\"mobile\";i:0;}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:33:\"astra-settings[logo-title-inline]\";a:4:{s:7:\"default\";i:1;s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:47:\"astra-settings[site-identity-title-color-group]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:39:\"astra-settings[header-color-site-title]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:41:\"astra-settings[header-color-h-site-title]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:41:\"astra-settings[header-color-site-tagline]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:30:\"astra-settings[site-icon-link]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:26:\"astra-settings[blog-width]\";a:4:{s:7:\"default\";s:7:\"default\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:30:\"astra-settings[blog-max-width]\";a:4:{s:7:\"default\";i:1200;s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:33:\"astra-settings[blog-post-content]\";a:4:{s:7:\"default\";s:7:\"excerpt\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:54:\"astra-settings[archive-post-content-structure-divider]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:35:\"astra-settings[blog-post-structure]\";a:4:{s:7:\"default\";a:2:{i:0;s:5:\"image\";i:1;s:10:\"title-meta\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:25:\"astra-settings[blog-meta]\";a:4:{s:7:\"default\";a:3:{i:0;s:8:\"comments\";i:1;s:8:\"category\";i:2;s:6:\"author\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:35:\"astra-settings[blog-meta-date-type]\";a:4:{s:7:\"default\";s:9:\"published\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:37:\"astra-settings[blog-meta-date-format]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:29:\"section-blog-ast-context-tabs\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:33:\"astra-settings[blog-single-width]\";a:4:{s:7:\"default\";s:7:\"default\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:37:\"astra-settings[blog-single-max-width]\";a:4:{s:7:\"default\";i:1200;s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:51:\"astra-settings[section-blog-single-spacing-divider]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:43:\"astra-settings[single-post-outside-spacing]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:36:\"section-blog-single-ast-context-tabs\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:35:\"astra-settings[site-sidebar-layout]\";a:4:{s:7:\"default\";s:10:\"no-sidebar\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:34:\"astra-settings[site-sidebar-width]\";a:4:{s:7:\"default\";i:23;s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:46:\"astra-settings[site-sidebar-width-description]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";s:0:\"\";}s:37:\"astra-settings[ast-sidebar-pro-items]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:35:\"astra-settings[site-content-layout]\";a:4:{s:7:\"default\";s:23:\"content-boxed-container\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:36:\"astra-settings[surface-colors-title]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:53:\"astra-settings[site-layout-outside-bg-obj-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";a:11:{s:16:\"background-color\";s:25:\"var(--ast-global-color-4)\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:15:\"background-type\";s:0:\"\";s:16:\"background-media\";s:0:\"\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";}s:6:\"tablet\";a:11:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:15:\"background-type\";s:0:\"\";s:16:\"background-media\";s:0:\"\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";}s:6:\"mobile\";a:11:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:15:\"background-type\";s:0:\"\";s:16:\"background-media\";s:0:\"\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";}}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:41:\"astra-settings[content-bg-obj-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";a:11:{s:16:\"background-color\";s:25:\"var(--ast-global-color-5)\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:15:\"background-type\";s:0:\"\";s:16:\"background-media\";s:0:\"\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";}s:6:\"tablet\";a:11:{s:16:\"background-color\";s:25:\"var(--ast-global-color-5)\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:15:\"background-type\";s:0:\"\";s:16:\"background-media\";s:0:\"\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";}s:6:\"mobile\";a:11:{s:16:\"background-color\";s:25:\"var(--ast-global-color-5)\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:15:\"background-type\";s:0:\"\";s:16:\"background-media\";s:0:\"\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";}}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:43:\"astra-settings[ast-site-layout-button-link]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:36:\"astra-settings[global-color-palette]\";a:4:{s:7:\"default\";a:1:{s:7:\"palette\";a:9:{i:0;s:7:\"#046bd2\";i:1;s:7:\"#045cb4\";i:2;s:7:\"#1e293b\";i:3;s:7:\"#334155\";i:4;s:7:\"#f9fafb\";i:5;s:7:\"#FFFFFF\";i:6;s:7:\"#e2e8f0\";i:7;s:7:\"#cbd5e1\";i:8;s:7:\"#94a3b8\";}}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:20:\"astra-color-palettes\";a:4:{s:7:\"default\";a:2:{s:14:\"currentPalette\";s:9:\"palette_1\";s:8:\"palettes\";a:3:{s:9:\"palette_1\";a:9:{i:0;s:7:\"#046bd2\";i:1;s:7:\"#045cb4\";i:2;s:7:\"#1e293b\";i:3;s:7:\"#334155\";i:4;s:7:\"#f9fafb\";i:5;s:7:\"#FFFFFF\";i:6;s:7:\"#e2e8f0\";i:7;s:7:\"#cbd5e1\";i:8;s:7:\"#94a3b8\";}s:9:\"palette_2\";a:9:{i:0;s:7:\"#0170B9\";i:1;s:7:\"#3a3a3a\";i:2;s:7:\"#3a3a3a\";i:3;s:7:\"#4B4F58\";i:4;s:7:\"#F5F5F5\";i:5;s:7:\"#FFFFFF\";i:6;s:7:\"#F2F5F7\";i:7;s:7:\"#424242\";i:8;s:7:\"#000000\";}s:9:\"palette_3\";a:9:{i:0;s:7:\"#0170B9\";i:1;s:7:\"#3a3a3a\";i:2;s:7:\"#3a3a3a\";i:3;s:7:\"#4B4F58\";i:4;s:7:\"#F5F5F5\";i:5;s:7:\"#FFFFFF\";i:6;s:7:\"#F2F5F7\";i:7;s:7:\"#424242\";i:8;s:7:\"#000000\";}}}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:41:\"astra-settings[theme-color-divider-reset]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:27:\"astra-settings[theme-color]\";a:4:{s:7:\"default\";s:25:\"var(--ast-global-color-0)\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:38:\"astra-settings[base-link-colors-group]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:26:\"astra-settings[link-color]\";a:4:{s:7:\"default\";s:25:\"var(--ast-global-color-0)\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:28:\"astra-settings[link-h-color]\";a:4:{s:7:\"default\";s:25:\"var(--ast-global-color-1)\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:26:\"astra-settings[text-color]\";a:4:{s:7:\"default\";s:25:\"var(--ast-global-color-3)\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:28:\"astra-settings[border-color]\";a:4:{s:7:\"default\";s:25:\"var(--ast-global-color-6)\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:34:\"astra-settings[ast-blog-pro-items]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:36:\"astra-settings[font-size-page-title]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";i:26;s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:46:\"astra-settings[ast-body-font-settings-divider]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:38:\"astra-settings[ast-body-font-settings]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:32:\"astra-settings[body-font-family]\";a:4:{s:7:\"default\";s:7:\"inherit\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";s:19:\"sanitize_text_field\";}s:33:\"astra-settings[body-font-variant]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:21:\"sanitize_font_variant\";}}s:32:\"astra-settings[body-font-weight]\";a:4:{s:7:\"default\";s:3:\"400\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_font_weight\";}}s:30:\"astra-settings[font-size-body]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";i:16;s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:32:\"astra-settings[body-font-extras]\";a:4:{s:7:\"default\";a:6:{s:11:\"line-height\";s:3:\"1.6\";s:16:\"line-height-unit\";s:2:\"em\";s:14:\"letter-spacing\";s:0:\"\";s:19:\"letter-spacing-unit\";s:2:\"px\";s:14:\"text-transform\";s:0:\"\";s:15:\"text-decoration\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:42:\"astra-settings[ast-headings-font-settings]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:50:\"astra-settings[ast-headings-font-settings-divider]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:36:\"astra-settings[headings-font-family]\";a:4:{s:7:\"default\";s:7:\"inherit\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";s:19:\"sanitize_text_field\";}s:36:\"astra-settings[headings-font-weight]\";a:4:{s:7:\"default\";s:3:\"600\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_font_weight\";}}s:37:\"astra-settings[headings-font-variant]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:21:\"sanitize_font_variant\";}}s:36:\"astra-settings[headings-font-extras]\";a:4:{s:7:\"default\";a:6:{s:11:\"line-height\";s:0:\"\";s:16:\"line-height-unit\";s:2:\"em\";s:14:\"letter-spacing\";s:0:\"\";s:19:\"letter-spacing-unit\";s:2:\"px\";s:14:\"text-transform\";s:0:\"\";s:15:\"text-decoration\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:34:\"astra-settings[para-margin-bottom]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:39:\"astra-settings[underline-content-links]\";a:4:{s:7:\"default\";b:1;s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:35:\"astra-settings[ast-heading-h1-typo]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:35:\"astra-settings[ast-heading-h2-typo]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:35:\"astra-settings[ast-heading-h3-typo]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:35:\"astra-settings[ast-heading-h4-typo]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:35:\"astra-settings[ast-heading-h5-typo]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:35:\"astra-settings[ast-heading-h6-typo]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:28:\"astra-settings[wp-blocks-ui]\";a:4:{s:7:\"default\";s:7:\"comfort\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:40:\"astra-settings[wp-blocks-global-padding]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"em\";s:11:\"tablet-unit\";s:2:\"em\";s:11:\"mobile-unit\";s:2:\"em\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:40:\"astra-settings[wp-blocks-ui-description]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";s:0:\"\";}s:30:\"astra-settings[font-family-h1]\";a:4:{s:7:\"default\";s:7:\"inherit\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";s:19:\"sanitize_text_field\";}s:30:\"astra-settings[font-weight-h1]\";a:4:{s:7:\"default\";s:7:\"inherit\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_font_weight\";}}s:28:\"astra-settings[font-size-h1]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";i:40;s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:30:\"astra-settings[font-extras-h1]\";a:4:{s:7:\"default\";a:6:{s:11:\"line-height\";s:3:\"1.4\";s:16:\"line-height-unit\";s:2:\"em\";s:14:\"letter-spacing\";s:0:\"\";s:19:\"letter-spacing-unit\";s:2:\"px\";s:14:\"text-transform\";s:0:\"\";s:15:\"text-decoration\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:30:\"astra-settings[font-family-h2]\";a:4:{s:7:\"default\";s:7:\"inherit\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";s:19:\"sanitize_text_field\";}s:30:\"astra-settings[font-weight-h2]\";a:4:{s:7:\"default\";s:7:\"inherit\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_font_weight\";}}s:28:\"astra-settings[font-size-h2]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";i:32;s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:30:\"astra-settings[font-extras-h2]\";a:4:{s:7:\"default\";a:6:{s:11:\"line-height\";s:4:\"1.25\";s:16:\"line-height-unit\";s:2:\"em\";s:14:\"letter-spacing\";s:0:\"\";s:19:\"letter-spacing-unit\";s:2:\"px\";s:14:\"text-transform\";s:0:\"\";s:15:\"text-decoration\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:30:\"astra-settings[font-family-h3]\";a:4:{s:7:\"default\";s:7:\"inherit\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";s:19:\"sanitize_text_field\";}s:30:\"astra-settings[font-weight-h3]\";a:4:{s:7:\"default\";s:7:\"inherit\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_font_weight\";}}s:28:\"astra-settings[font-size-h3]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";i:26;s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:30:\"astra-settings[font-extras-h3]\";a:4:{s:7:\"default\";a:6:{s:11:\"line-height\";s:3:\"1.2\";s:16:\"line-height-unit\";s:2:\"em\";s:14:\"letter-spacing\";s:0:\"\";s:19:\"letter-spacing-unit\";s:2:\"px\";s:14:\"text-transform\";s:0:\"\";s:15:\"text-decoration\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:30:\"astra-settings[font-family-h4]\";a:4:{s:7:\"default\";s:7:\"inherit\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";s:19:\"sanitize_text_field\";}s:30:\"astra-settings[font-weight-h4]\";a:4:{s:7:\"default\";s:7:\"inherit\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_font_weight\";}}s:28:\"astra-settings[font-size-h4]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";i:24;s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:30:\"astra-settings[font-extras-h4]\";a:4:{s:7:\"default\";a:6:{s:11:\"line-height\";s:3:\"1.2\";s:16:\"line-height-unit\";s:2:\"em\";s:14:\"letter-spacing\";s:0:\"\";s:19:\"letter-spacing-unit\";s:2:\"px\";s:14:\"text-transform\";s:0:\"\";s:15:\"text-decoration\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:30:\"astra-settings[font-family-h5]\";a:4:{s:7:\"default\";s:7:\"inherit\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";s:19:\"sanitize_text_field\";}s:30:\"astra-settings[font-weight-h5]\";a:4:{s:7:\"default\";s:7:\"inherit\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_font_weight\";}}s:28:\"astra-settings[font-size-h5]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";i:20;s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:30:\"astra-settings[font-extras-h5]\";a:4:{s:7:\"default\";a:6:{s:11:\"line-height\";s:3:\"1.2\";s:16:\"line-height-unit\";s:2:\"em\";s:14:\"letter-spacing\";s:0:\"\";s:19:\"letter-spacing-unit\";s:2:\"px\";s:14:\"text-transform\";s:0:\"\";s:15:\"text-decoration\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:30:\"astra-settings[font-family-h6]\";a:4:{s:7:\"default\";s:7:\"inherit\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";s:19:\"sanitize_text_field\";}s:30:\"astra-settings[font-weight-h6]\";a:4:{s:7:\"default\";s:7:\"inherit\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_font_weight\";}}s:28:\"astra-settings[font-size-h6]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";i:16;s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:30:\"astra-settings[font-extras-h6]\";a:4:{s:7:\"default\";a:6:{s:11:\"line-height\";s:4:\"1.25\";s:16:\"line-height-unit\";s:2:\"em\";s:14:\"letter-spacing\";s:0:\"\";s:19:\"letter-spacing-unit\";s:2:\"px\";s:14:\"text-transform\";s:0:\"\";s:15:\"text-decoration\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:36:\"astra-settings[font-size-site-title]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";i:26;s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:38:\"astra-settings[font-size-site-tagline]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";i:15;s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:37:\"astra-settings[ast-single-post-items]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:24:\"astra-typography-presets\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:35:\"astra-settings[enable-scroll-to-id]\";a:4:{s:7:\"default\";b:0;s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:41:\"astra-settings[site-accessibility-toggle]\";a:4:{s:7:\"default\";b:0;s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:49:\"astra-settings[site-accessibility-highlight-type]\";a:4:{s:7:\"default\";s:6:\"dotted\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:50:\"astra-settings[site-accessibility-highlight-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:55:\"astra-settings[site-accessibility-highlight-input-type]\";a:4:{s:7:\"default\";s:7:\"disable\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:56:\"astra-settings[site-accessibility-highlight-input-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:40:\"astra-settings[astra-pro-section-notice]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:42:\"astra-settings[single-post-content-layout]\";a:4:{s:7:\"default\";s:7:\"default\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:42:\"astra-settings[single-post-sidebar-layout]\";a:4:{s:7:\"default\";s:7:\"default\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:40:\"ast-dynamic-single-post-ast-context-tabs\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:37:\"astra-settings[ast-single-post-title]\";a:4:{s:7:\"default\";b:1;s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:46:\"astra-settings[ast-dynamic-single-post-layout]\";a:4:{s:7:\"default\";s:8:\"layout-1\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:57:\"astra-settings[ast-dynamic-single-post-banner-width-type]\";a:4:{s:7:\"default\";s:9:\"fullwidth\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:59:\"astra-settings[ast-dynamic-single-post-banner-custom-width]\";a:4:{s:7:\"default\";i:1200;s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:49:\"astra-settings[ast-dynamic-single-post-structure]\";a:4:{s:7:\"default\";a:2:{i:0;s:29:\"ast-dynamic-single-post-title\";i:1;s:28:\"ast-dynamic-single-post-meta\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:62:\"astra-settings[ast-dynamic-single-post-featured-as-background]\";a:4:{s:7:\"default\";b:0;s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:63:\"astra-settings[ast-dynamic-single-post-banner-featured-overlay]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:60:\"astra-settings[ast-dynamic-single-post-featured-help-notice]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:62:\"astra-settings[ast-dynamic-single-post-taxonomy-clone-tracker]\";a:4:{s:7:\"default\";i:1;s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:48:\"astra-settings[ast-dynamic-single-post-metadata]\";a:4:{s:7:\"default\";a:3:{i:0;s:8:\"comments\";i:1;s:6:\"author\";i:2;s:4:\"date\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:54:\"astra-settings[ast-dynamic-single-post-meta-date-type]\";a:4:{s:7:\"default\";s:9:\"published\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:51:\"astra-settings[ast-dynamic-single-post-date-format]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:60:\"astra-settings[ast-dynamic-single-post-horizontal-alignment]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:58:\"astra-settings[ast-dynamic-single-post-vertical-alignment]\";a:4:{s:7:\"default\";s:6:\"center\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:53:\"astra-settings[ast-dynamic-single-post-banner-height]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:52:\"astra-settings[ast-dynamic-single-post-elements-gap]\";a:4:{s:7:\"default\";i:10;s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:57:\"astra-settings[ast-dynamic-single-post-banner-background]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";a:11:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";s:15:\"background-type\";s:0:\"\";s:16:\"background-media\";s:0:\"\";}s:6:\"tablet\";a:11:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";s:15:\"background-type\";s:0:\"\";s:16:\"background-media\";s:0:\"\";}s:6:\"mobile\";a:11:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";s:15:\"background-type\";s:0:\"\";s:16:\"background-media\";s:0:\"\";}}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:58:\"astra-settings[ast-dynamic-single-post-banner-title-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:57:\"astra-settings[ast-dynamic-single-post-banner-text-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:57:\"astra-settings[ast-dynamic-single-post-banner-link-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:63:\"astra-settings[ast-dynamic-single-post-banner-link-hover-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:69:\"astra-settings[ast-dynamic-single-post-banner-title-typography-group]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:68:\"astra-settings[ast-dynamic-single-post-banner-text-typography-group]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:56:\"astra-settings[ast-dynamic-single-post-text-font-family]\";a:4:{s:7:\"default\";s:7:\"inherit\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";s:19:\"sanitize_text_field\";}s:56:\"astra-settings[ast-dynamic-single-post-text-font-weight]\";a:4:{s:7:\"default\";s:7:\"inherit\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_font_weight\";}}s:54:\"astra-settings[ast-dynamic-single-post-text-font-size]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:56:\"astra-settings[ast-dynamic-single-post-text-font-extras]\";a:4:{s:7:\"default\";a:6:{s:11:\"line-height\";s:0:\"\";s:16:\"line-height-unit\";s:2:\"em\";s:14:\"letter-spacing\";s:0:\"\";s:19:\"letter-spacing-unit\";s:2:\"px\";s:14:\"text-transform\";s:0:\"\";s:15:\"text-decoration\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:57:\"astra-settings[ast-dynamic-single-post-title-font-family]\";a:4:{s:7:\"default\";s:7:\"inherit\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";s:19:\"sanitize_text_field\";}s:57:\"astra-settings[ast-dynamic-single-post-title-font-weight]\";a:4:{s:7:\"default\";s:3:\"600\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_font_weight\";}}s:55:\"astra-settings[ast-dynamic-single-post-title-font-size]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";s:2:\"32\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:57:\"astra-settings[ast-dynamic-single-post-title-font-extras]\";a:4:{s:7:\"default\";a:6:{s:11:\"line-height\";s:0:\"\";s:16:\"line-height-unit\";s:2:\"em\";s:14:\"letter-spacing\";s:0:\"\";s:19:\"letter-spacing-unit\";s:2:\"px\";s:14:\"text-transform\";s:0:\"\";s:15:\"text-decoration\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:68:\"astra-settings[ast-dynamic-single-post-banner-meta-typography-group]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:56:\"astra-settings[ast-dynamic-single-post-meta-font-family]\";a:4:{s:7:\"default\";s:7:\"inherit\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";s:19:\"sanitize_text_field\";}s:56:\"astra-settings[ast-dynamic-single-post-meta-font-weight]\";a:4:{s:7:\"default\";s:7:\"inherit\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_font_weight\";}}s:54:\"astra-settings[ast-dynamic-single-post-meta-font-size]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:56:\"astra-settings[ast-dynamic-single-post-meta-font-extras]\";a:4:{s:7:\"default\";a:6:{s:11:\"line-height\";s:0:\"\";s:16:\"line-height-unit\";s:2:\"em\";s:14:\"letter-spacing\";s:0:\"\";s:19:\"letter-spacing-unit\";s:2:\"px\";s:14:\"text-transform\";s:0:\"\";s:15:\"text-decoration\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:53:\"astra-settings[ast-dynamic-single-post-banner-margin]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:54:\"astra-settings[ast-dynamic-single-post-banner-padding]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";i:3;s:5:\"right\";i:3;s:6:\"bottom\";i:3;s:4:\"left\";i:3;}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"em\";s:11:\"tablet-unit\";s:2:\"em\";s:11:\"mobile-unit\";s:2:\"em\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:48:\"astra-settings[ast-dynamic-single-post-taxonomy]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:50:\"astra-settings[ast-dynamic-single-post-taxonomy-1]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:50:\"astra-settings[ast-dynamic-single-post-taxonomy-2]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:42:\"astra-settings[single-page-content-layout]\";a:4:{s:7:\"default\";s:15:\"plain-container\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:42:\"astra-settings[single-page-sidebar-layout]\";a:4:{s:7:\"default\";s:10:\"no-sidebar\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:40:\"ast-dynamic-single-page-ast-context-tabs\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:37:\"astra-settings[ast-single-page-title]\";a:4:{s:7:\"default\";b:0;s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:46:\"astra-settings[ast-dynamic-single-page-layout]\";a:4:{s:7:\"default\";s:8:\"layout-1\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:57:\"astra-settings[ast-dynamic-single-page-banner-width-type]\";a:4:{s:7:\"default\";s:9:\"fullwidth\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:59:\"astra-settings[ast-dynamic-single-page-banner-custom-width]\";a:4:{s:7:\"default\";i:1200;s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:49:\"astra-settings[ast-dynamic-single-page-structure]\";a:4:{s:7:\"default\";a:2:{i:0;s:29:\"ast-dynamic-single-page-image\";i:1;s:29:\"ast-dynamic-single-page-title\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:62:\"astra-settings[ast-dynamic-single-page-featured-as-background]\";a:4:{s:7:\"default\";b:0;s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:63:\"astra-settings[ast-dynamic-single-page-banner-featured-overlay]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:60:\"astra-settings[ast-dynamic-single-page-featured-help-notice]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:62:\"astra-settings[ast-dynamic-single-page-taxonomy-clone-tracker]\";a:4:{s:7:\"default\";i:1;s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:48:\"astra-settings[ast-dynamic-single-page-metadata]\";a:4:{s:7:\"default\";a:3:{i:0;s:8:\"comments\";i:1;s:6:\"author\";i:2;s:4:\"date\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:54:\"astra-settings[ast-dynamic-single-page-meta-date-type]\";a:4:{s:7:\"default\";s:9:\"published\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:51:\"astra-settings[ast-dynamic-single-page-date-format]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:60:\"astra-settings[ast-dynamic-single-page-horizontal-alignment]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:58:\"astra-settings[ast-dynamic-single-page-vertical-alignment]\";a:4:{s:7:\"default\";s:6:\"center\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:53:\"astra-settings[ast-dynamic-single-page-banner-height]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:52:\"astra-settings[ast-dynamic-single-page-elements-gap]\";a:4:{s:7:\"default\";i:10;s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:57:\"astra-settings[ast-dynamic-single-page-banner-background]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";a:11:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";s:15:\"background-type\";s:0:\"\";s:16:\"background-media\";s:0:\"\";}s:6:\"tablet\";a:11:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";s:15:\"background-type\";s:0:\"\";s:16:\"background-media\";s:0:\"\";}s:6:\"mobile\";a:11:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";s:15:\"background-type\";s:0:\"\";s:16:\"background-media\";s:0:\"\";}}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:58:\"astra-settings[ast-dynamic-single-page-banner-title-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:57:\"astra-settings[ast-dynamic-single-page-banner-text-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:57:\"astra-settings[ast-dynamic-single-page-banner-link-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:63:\"astra-settings[ast-dynamic-single-page-banner-link-hover-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:69:\"astra-settings[ast-dynamic-single-page-banner-title-typography-group]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:68:\"astra-settings[ast-dynamic-single-page-banner-text-typography-group]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:56:\"astra-settings[ast-dynamic-single-page-text-font-family]\";a:4:{s:7:\"default\";s:7:\"inherit\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";s:19:\"sanitize_text_field\";}s:56:\"astra-settings[ast-dynamic-single-page-text-font-weight]\";a:4:{s:7:\"default\";s:7:\"inherit\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_font_weight\";}}s:54:\"astra-settings[ast-dynamic-single-page-text-font-size]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:56:\"astra-settings[ast-dynamic-single-page-text-font-extras]\";a:4:{s:7:\"default\";a:6:{s:11:\"line-height\";s:0:\"\";s:16:\"line-height-unit\";s:2:\"em\";s:14:\"letter-spacing\";s:0:\"\";s:19:\"letter-spacing-unit\";s:2:\"px\";s:14:\"text-transform\";s:0:\"\";s:15:\"text-decoration\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:57:\"astra-settings[ast-dynamic-single-page-title-font-family]\";a:4:{s:7:\"default\";s:7:\"inherit\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";s:19:\"sanitize_text_field\";}s:57:\"astra-settings[ast-dynamic-single-page-title-font-weight]\";a:4:{s:7:\"default\";s:3:\"600\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_font_weight\";}}s:55:\"astra-settings[ast-dynamic-single-page-title-font-size]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";s:2:\"32\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:57:\"astra-settings[ast-dynamic-single-page-title-font-extras]\";a:4:{s:7:\"default\";a:6:{s:11:\"line-height\";s:0:\"\";s:16:\"line-height-unit\";s:2:\"em\";s:14:\"letter-spacing\";s:0:\"\";s:19:\"letter-spacing-unit\";s:2:\"px\";s:14:\"text-transform\";s:0:\"\";s:15:\"text-decoration\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:68:\"astra-settings[ast-dynamic-single-page-banner-meta-typography-group]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:56:\"astra-settings[ast-dynamic-single-page-meta-font-family]\";a:4:{s:7:\"default\";s:7:\"inherit\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";s:19:\"sanitize_text_field\";}s:56:\"astra-settings[ast-dynamic-single-page-meta-font-weight]\";a:4:{s:7:\"default\";s:7:\"inherit\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_font_weight\";}}s:54:\"astra-settings[ast-dynamic-single-page-meta-font-size]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:56:\"astra-settings[ast-dynamic-single-page-meta-font-extras]\";a:4:{s:7:\"default\";a:6:{s:11:\"line-height\";s:0:\"\";s:16:\"line-height-unit\";s:2:\"em\";s:14:\"letter-spacing\";s:0:\"\";s:19:\"letter-spacing-unit\";s:2:\"px\";s:14:\"text-transform\";s:0:\"\";s:15:\"text-decoration\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:53:\"astra-settings[ast-dynamic-single-page-banner-margin]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:54:\"astra-settings[ast-dynamic-single-page-banner-padding]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";i:3;s:5:\"right\";i:3;s:6:\"bottom\";i:3;s:4:\"left\";i:3;}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"em\";s:11:\"tablet-unit\";s:2:\"em\";s:11:\"mobile-unit\";s:2:\"em\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:43:\"astra-settings[archive-post-content-layout]\";a:4:{s:7:\"default\";s:7:\"default\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:43:\"astra-settings[archive-post-sidebar-layout]\";a:4:{s:7:\"default\";s:7:\"default\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:41:\"ast-dynamic-archive-post-ast-context-tabs\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:38:\"astra-settings[ast-archive-post-title]\";a:4:{s:7:\"default\";b:1;s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:47:\"astra-settings[ast-dynamic-archive-post-layout]\";a:4:{s:7:\"default\";s:8:\"layout-1\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:58:\"astra-settings[ast-dynamic-archive-post-banner-width-type]\";a:4:{s:7:\"default\";s:9:\"fullwidth\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:60:\"astra-settings[ast-dynamic-archive-post-banner-custom-width]\";a:4:{s:7:\"default\";i:1200;s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:50:\"astra-settings[ast-dynamic-archive-post-structure]\";a:4:{s:7:\"default\";a:2:{i:0;s:30:\"ast-dynamic-archive-post-title\";i:1;s:36:\"ast-dynamic-archive-post-description\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:53:\"astra-settings[ast-dynamic-archive-post-custom-title]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:61:\"astra-settings[ast-dynamic-archive-post-custom-title-support]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:59:\"astra-settings[ast-dynamic-archive-post-custom-description]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:67:\"astra-settings[ast-dynamic-archive-post-custom-description-support]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:61:\"astra-settings[ast-dynamic-archive-post-horizontal-alignment]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:59:\"astra-settings[ast-dynamic-archive-post-vertical-alignment]\";a:4:{s:7:\"default\";s:6:\"center\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:54:\"astra-settings[ast-dynamic-archive-post-banner-height]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:53:\"astra-settings[ast-dynamic-archive-post-elements-gap]\";a:4:{s:7:\"default\";i:10;s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:58:\"astra-settings[ast-dynamic-archive-post-banner-image-type]\";a:4:{s:7:\"default\";s:4:\"none\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:57:\"astra-settings[ast-dynamic-archive-post-banner-custom-bg]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";a:11:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";s:15:\"background-type\";s:0:\"\";s:16:\"background-media\";s:0:\"\";}s:6:\"tablet\";a:11:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";s:15:\"background-type\";s:0:\"\";s:16:\"background-media\";s:0:\"\";}s:6:\"mobile\";a:11:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";s:15:\"background-type\";s:0:\"\";s:16:\"background-media\";s:0:\"\";}}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:59:\"astra-settings[ast-dynamic-archive-post-banner-title-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:58:\"astra-settings[ast-dynamic-archive-post-banner-text-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:58:\"astra-settings[ast-dynamic-archive-post-banner-link-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:64:\"astra-settings[ast-dynamic-archive-post-banner-link-hover-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:70:\"astra-settings[ast-dynamic-archive-post-banner-title-typography-group]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:69:\"astra-settings[ast-dynamic-archive-post-banner-text-typography-group]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:57:\"astra-settings[ast-dynamic-archive-post-text-font-family]\";a:4:{s:7:\"default\";s:7:\"inherit\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";s:19:\"sanitize_text_field\";}s:57:\"astra-settings[ast-dynamic-archive-post-text-font-weight]\";a:4:{s:7:\"default\";s:7:\"inherit\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_font_weight\";}}s:55:\"astra-settings[ast-dynamic-archive-post-text-font-size]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:57:\"astra-settings[ast-dynamic-archive-post-text-font-extras]\";a:4:{s:7:\"default\";a:6:{s:11:\"line-height\";s:0:\"\";s:16:\"line-height-unit\";s:2:\"em\";s:14:\"letter-spacing\";s:0:\"\";s:19:\"letter-spacing-unit\";s:2:\"px\";s:14:\"text-transform\";s:0:\"\";s:15:\"text-decoration\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:58:\"astra-settings[ast-dynamic-archive-post-title-font-family]\";a:4:{s:7:\"default\";s:7:\"inherit\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";s:19:\"sanitize_text_field\";}s:58:\"astra-settings[ast-dynamic-archive-post-title-font-weight]\";a:4:{s:7:\"default\";s:3:\"600\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_font_weight\";}}s:56:\"astra-settings[ast-dynamic-archive-post-title-font-size]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";s:2:\"32\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:58:\"astra-settings[ast-dynamic-archive-post-title-font-extras]\";a:4:{s:7:\"default\";a:6:{s:11:\"line-height\";s:0:\"\";s:16:\"line-height-unit\";s:2:\"em\";s:14:\"letter-spacing\";s:0:\"\";s:19:\"letter-spacing-unit\";s:2:\"px\";s:14:\"text-transform\";s:0:\"\";s:15:\"text-decoration\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:54:\"astra-settings[ast-dynamic-archive-post-banner-margin]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:55:\"astra-settings[ast-dynamic-archive-post-banner-padding]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";i:3;s:5:\"right\";i:3;s:6:\"bottom\";i:3;s:4:\"left\";i:3;}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"em\";s:11:\"tablet-unit\";s:2:\"em\";s:11:\"mobile-unit\";s:2:\"em\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:55:\"astra-settings[ast-dynamic-archive-post-banner-on-blog]\";a:4:{s:7:\"default\";b:0;s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:45:\"astra-settings[related-posts-section-heading]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:36:\"astra-settings[enable-related-posts]\";a:4:{s:7:\"default\";b:0;s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:35:\"astra-settings[related-posts-title]\";a:4:{s:7:\"default\";s:30:\"نوشته‌های مرتبط\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:45:\"astra-settings[releted-posts-title-alignment]\";a:4:{s:7:\"default\";s:4:\"left\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:39:\"astra-settings[related-posts-structure]\";a:4:{s:7:\"default\";a:2:{i:0;s:14:\"featured-image\";i:1;s:10:\"title-meta\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:44:\"astra-settings[related-posts-meta-structure]\";a:4:{s:7:\"default\";a:3:{i:0;s:8:\"comments\";i:1;s:8:\"category\";i:2;s:6:\"author\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:44:\"astra-settings[enable-related-posts-excerpt]\";a:4:{s:7:\"default\";b:0;s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:43:\"astra-settings[related-posts-excerpt-count]\";a:4:{s:7:\"default\";i:25;s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:41:\"astra-settings[related-posts-total-count]\";a:4:{s:7:\"default\";i:2;s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:45:\"astra-settings[related-posts-grid-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:7:\"2-equal\";s:6:\"tablet\";s:7:\"2-equal\";s:6:\"mobile\";s:4:\"full\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:41:\"astra-settings[related-posts-query-group]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:38:\"astra-settings[related-posts-based-on]\";a:4:{s:7:\"default\";s:10:\"categories\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:38:\"astra-settings[related-posts-order-by]\";a:4:{s:7:\"default\";s:4:\"date\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:35:\"astra-settings[related-posts-order]\";a:4:{s:7:\"default\";s:3:\"asc\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:42:\"astra-settings[related-posts-colors-group]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:60:\"astra-settings[related-posts-section-title-typography-group]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:52:\"astra-settings[related-posts-title-typography-group]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:51:\"astra-settings[related-posts-meta-typography-group]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:54:\"astra-settings[related-posts-content-typography-group]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:40:\"astra-settings[related-posts-text-color]\";a:4:{s:7:\"default\";s:25:\"var(--ast-global-color-2)\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:40:\"astra-settings[related-posts-link-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:52:\"astra-settings[related-posts-design-section-heading]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:41:\"astra-settings[related-posts-title-color]\";a:4:{s:7:\"default\";s:25:\"var(--ast-global-color-2)\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_alpha_color\";}}s:46:\"astra-settings[related-posts-background-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_alpha_color\";}}s:40:\"astra-settings[related-posts-meta-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:46:\"astra-settings[related-posts-link-hover-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:51:\"astra-settings[related-posts-meta-link-hover-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:47:\"astra-settings[related-posts-title-font-family]\";a:4:{s:7:\"default\";s:7:\"inherit\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";s:19:\"sanitize_text_field\";}s:47:\"astra-settings[related-posts-title-font-weight]\";a:4:{s:7:\"default\";s:3:\"500\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_font_weight\";}}s:45:\"astra-settings[related-posts-title-font-size]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";s:2:\"20\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:47:\"astra-settings[related-posts-title-font-extras]\";a:4:{s:7:\"default\";a:6:{s:11:\"line-height\";s:1:\"1\";s:16:\"line-height-unit\";s:2:\"em\";s:14:\"letter-spacing\";s:0:\"\";s:19:\"letter-spacing-unit\";s:2:\"px\";s:14:\"text-transform\";s:0:\"\";s:15:\"text-decoration\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:55:\"astra-settings[related-posts-section-title-font-family]\";a:4:{s:7:\"default\";s:7:\"inherit\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";s:19:\"sanitize_text_field\";}s:55:\"astra-settings[related-posts-section-title-font-weight]\";a:4:{s:7:\"default\";s:7:\"inherit\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_font_weight\";}}s:53:\"astra-settings[related-posts-section-title-font-size]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";s:2:\"26\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:55:\"astra-settings[related-posts-section-title-font-extras]\";a:4:{s:7:\"default\";a:6:{s:11:\"line-height\";s:3:\"1.6\";s:16:\"line-height-unit\";s:2:\"em\";s:14:\"letter-spacing\";s:0:\"\";s:19:\"letter-spacing-unit\";s:2:\"px\";s:14:\"text-transform\";s:0:\"\";s:15:\"text-decoration\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:46:\"astra-settings[related-posts-meta-font-family]\";a:4:{s:7:\"default\";s:7:\"inherit\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";s:19:\"sanitize_text_field\";}s:46:\"astra-settings[related-posts-meta-font-weight]\";a:4:{s:7:\"default\";s:7:\"inherit\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_font_weight\";}}s:44:\"astra-settings[related-posts-meta-font-size]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";s:2:\"14\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:46:\"astra-settings[related-posts-meta-font-extras]\";a:4:{s:7:\"default\";a:6:{s:11:\"line-height\";s:3:\"1.6\";s:16:\"line-height-unit\";s:2:\"em\";s:14:\"letter-spacing\";s:0:\"\";s:19:\"letter-spacing-unit\";s:2:\"px\";s:14:\"text-transform\";s:0:\"\";s:15:\"text-decoration\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:49:\"astra-settings[related-posts-content-font-family]\";a:4:{s:7:\"default\";s:7:\"inherit\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";s:19:\"sanitize_text_field\";}s:49:\"astra-settings[related-posts-content-font-weight]\";a:4:{s:7:\"default\";s:7:\"inherit\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_font_weight\";}}s:47:\"astra-settings[related-posts-content-font-size]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:49:\"astra-settings[related-posts-content-font-extras]\";a:4:{s:7:\"default\";a:6:{s:11:\"line-height\";s:0:\"\";s:16:\"line-height-unit\";s:2:\"em\";s:14:\"letter-spacing\";s:0:\"\";s:19:\"letter-spacing-unit\";s:2:\"px\";s:14:\"text-transform\";s:0:\"\";s:15:\"text-decoration\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:54:\"astra-settings[transparent-header-bg-color-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:62:\"astra-settings[transparent-header-color-site-title-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:64:\"astra-settings[transparent-header-color-h-site-title-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:49:\"astra-settings[transparent-menu-color-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:52:\"astra-settings[transparent-menu-bg-color-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:51:\"astra-settings[transparent-menu-h-color-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:52:\"astra-settings[transparent-submenu-color-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:55:\"astra-settings[transparent-submenu-bg-color-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:54:\"astra-settings[transparent-submenu-h-color-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:65:\"astra-settings[transparent-content-section-link-color-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:67:\"astra-settings[transparent-content-section-link-h-color-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:41:\"astra-settings[transparent-header-enable]\";a:4:{s:7:\"default\";b:0;s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:50:\"astra-settings[transparent-header-disable-archive]\";a:4:{s:7:\"default\";i:1;s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:48:\"astra-settings[transparent-header-disable-index]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:61:\"astra-settings[transparent-header-disable-latest-posts-index]\";a:4:{s:7:\"default\";i:1;s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:47:\"astra-settings[transparent-header-disable-page]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:48:\"astra-settings[transparent-header-disable-posts]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:45:\"astra-settings[transparent-header-on-devices]\";a:4:{s:7:\"default\";s:6:\"mobile\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:42:\"astra-settings[different-transparent-logo]\";a:4:{s:7:\"default\";i:0;s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:39:\"astra-settings[transparent-header-logo]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";s:11:\"esc_url_raw\";}s:49:\"astra-settings[different-transparent-retina-logo]\";a:4:{s:7:\"default\";i:0;s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:46:\"astra-settings[transparent-header-retina-logo]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";s:11:\"esc_url_raw\";}s:45:\"astra-settings[transparent-header-logo-width]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";i:150;s:6:\"tablet\";i:120;s:6:\"mobile\";i:100;}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:43:\"astra-settings[transparent-header-main-sep]\";a:4:{s:7:\"default\";i:0;s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:49:\"astra-settings[transparent-header-main-sep-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_alpha_color\";}}s:47:\"astra-settings[divider-sec-transparent-styling]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:41:\"astra-settings[transparent-header-colors]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:46:\"astra-settings[transparent-header-colors-menu]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:49:\"astra-settings[transparent-header-colors-submenu]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:43:\"section-transparent-header-ast-context-tabs\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:61:\"astra-settings[transparent-header-social-text-colors-content]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:67:\"astra-settings[transparent-header-social-background-colors-content]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:53:\"astra-settings[transparent-header-social-icons-color]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:55:\"astra-settings[transparent-header-social-icons-h-color]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:56:\"astra-settings[transparent-header-social-icons-bg-color]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:58:\"astra-settings[transparent-header-social-icons-bg-h-color]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:52:\"astra-settings[transparent-header-html-colors-group]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:50:\"astra-settings[transparent-header-html-text-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_alpha_color\";}}s:50:\"astra-settings[transparent-header-html-link-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_alpha_color\";}}s:52:\"astra-settings[transparent-header-html-link-h-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_alpha_color\";}}s:52:\"astra-settings[transparent-header-search-icon-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_alpha_color\";}}s:62:\"astra-settings[transparent-header-search-box-background-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_alpha_color\";}}s:53:\"astra-settings[transparent-header-buttons-text-group]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:59:\"astra-settings[transparent-header-buttons-background-group]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:52:\"astra-settings[transparent-header-button-text-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_alpha_color\";}}s:54:\"astra-settings[transparent-header-button-text-h-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_alpha_color\";}}s:50:\"astra-settings[transparent-header-button-bg-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_alpha_color\";}}s:52:\"astra-settings[transparent-header-button-bg-h-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_alpha_color\";}}s:46:\"astra-settings[transparent-account-icon-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_alpha_color\";}}s:51:\"astra-settings[transparent-account-type-text-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_alpha_color\";}}s:51:\"astra-settings[transparent-header-toggle-btn-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:54:\"astra-settings[transparent-header-toggle-btn-bg-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:54:\"astra-settings[transparent-header-toggle-border-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:35:\"astra-settings[breadcrumb-position]\";a:4:{s:7:\"default\";s:4:\"none\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:47:\"astra-settings[breadcrumb-position-none-notice]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";s:0:\"\";}s:49:\"astra-settings[breadcrumb-disable-layout-divider]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:44:\"astra-settings[breadcrumb-disable-home-page]\";a:4:{s:7:\"default\";s:1:\"1\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:50:\"astra-settings[breadcrumb-disable-blog-posts-page]\";a:4:{s:7:\"default\";s:1:\"1\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:41:\"astra-settings[breadcrumb-disable-search]\";a:4:{s:7:\"default\";s:1:\"1\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:42:\"astra-settings[breadcrumb-disable-archive]\";a:4:{s:7:\"default\";s:1:\"1\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:46:\"astra-settings[breadcrumb-disable-single-page]\";a:4:{s:7:\"default\";s:1:\"1\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:46:\"astra-settings[breadcrumb-disable-single-post]\";a:4:{s:7:\"default\";s:1:\"1\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:43:\"astra-settings[breadcrumb-disable-singular]\";a:4:{s:7:\"default\";s:1:\"1\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:43:\"astra-settings[breadcrumb-disable-404-page]\";a:4:{s:7:\"default\";s:1:\"1\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:36:\"astra-settings[breadcrumb-alignment]\";a:4:{s:7:\"default\";s:4:\"left\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:34:\"astra-settings[breadcrumb-spacing]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:45:\"astra-settings[breadcrumb-separator-selector]\";a:4:{s:7:\"default\";s:5:\"\\003E\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:36:\"astra-settings[breadcrumb-separator]\";a:4:{s:7:\"default\";s:5:\"\\00bb\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:35:\"section-breadcrumb-ast-context-tabs\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:48:\"astra-settings[breadcrumb-color-section-divider]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:35:\"astra-settings[breadcrumb-bg-color]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:50:\"astra-settings[breadcrumb-active-color-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:42:\"astra-settings[breadcrumb-separator-color]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:45:\"astra-settings[section-breadcrumb-link-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:48:\"astra-settings[breadcrumb-text-color-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:49:\"astra-settings[breadcrumb-hover-color-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:39:\"astra-settings[section-breadcrumb-typo]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:38:\"astra-settings[breadcrumb-font-family]\";a:4:{s:7:\"default\";s:7:\"inherit\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";s:19:\"sanitize_text_field\";}s:38:\"astra-settings[breadcrumb-font-weight]\";a:4:{s:7:\"default\";s:7:\"inherit\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_font_weight\";}}s:36:\"astra-settings[breadcrumb-font-size]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:38:\"astra-settings[breadcrumb-font-extras]\";a:4:{s:7:\"default\";a:6:{s:11:\"line-height\";s:0:\"\";s:16:\"line-height-unit\";s:2:\"em\";s:14:\"letter-spacing\";s:0:\"\";s:19:\"letter-spacing-unit\";s:2:\"px\";s:14:\"text-transform\";s:0:\"\";s:15:\"text-decoration\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:36:\"astra-settings[scroll-to-top-enable]\";a:4:{s:7:\"default\";b:1;s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:40:\"astra-settings[scroll-to-top-on-devices]\";a:4:{s:7:\"default\";s:4:\"both\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:43:\"astra-settings[scroll-to-top-icon-position]\";a:4:{s:7:\"default\";s:5:\"right\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:39:\"astra-settings[scroll-to-top-icon-size]\";a:4:{s:7:\"default\";i:15;s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:41:\"astra-settings[scroll-on-top-color-group]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:44:\"astra-settings[scroll-on-top-bg-color-group]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:48:\"astra-settings[scroll-to-top-icon-radius-fields]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:40:\"astra-settings[scroll-to-top-icon-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_alpha_color\";}}s:43:\"astra-settings[scroll-to-top-icon-bg-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_alpha_color\";}}s:42:\"astra-settings[scroll-to-top-icon-h-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_alpha_color\";}}s:45:\"astra-settings[scroll-to-top-icon-h-bg-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_alpha_color\";}}s:38:\"section-scroll-to-top-ast-context-tabs\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:43:\"astra-settings[enable-scroll-to-top-notice]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";s:0:\"\";}s:34:\"astra-settings[heading-base-color]\";a:4:{s:7:\"default\";s:25:\"var(--ast-global-color-2)\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_alpha_color\";}}s:38:\"astra-settings[button-text-typography]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:34:\"astra-settings[font-family-button]\";a:4:{s:7:\"default\";s:7:\"inherit\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";s:19:\"sanitize_text_field\";}s:34:\"astra-settings[font-weight-button]\";a:4:{s:7:\"default\";s:3:\"500\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_font_weight\";}}s:32:\"astra-settings[font-size-button]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";s:2:\"16\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:34:\"astra-settings[font-extras-button]\";a:4:{s:7:\"default\";a:6:{s:11:\"line-height\";i:1;s:16:\"line-height-unit\";s:2:\"em\";s:14:\"letter-spacing\";s:0:\"\";s:19:\"letter-spacing-unit\";s:2:\"px\";s:14:\"text-transform\";s:0:\"\";s:15:\"text-decoration\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:46:\"section-header-builder-layout-ast-context-tabs\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:38:\"astra-settings[cloned-component-track]\";a:4:{s:7:\"default\";a:12:{s:13:\"header-button\";i:2;s:13:\"footer-button\";i:2;s:11:\"header-html\";i:2;s:11:\"footer-html\";i:2;s:11:\"header-menu\";i:2;s:13:\"header-widget\";i:4;s:13:\"footer-widget\";i:4;s:19:\"header-social-icons\";i:1;s:19:\"footer-social-icons\";i:1;s:14:\"header-divider\";i:0;s:14:\"footer-divider\";i:0;s:13:\"removed-items\";a:0:{}}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:30:\"astra-settings[builder-header]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:36:\"astra-settings[header-desktop-items]\";a:4:{s:7:\"default\";a:5:{s:5:\"popup\";a:1:{s:13:\"popup_content\";a:1:{i:0;s:11:\"mobile-menu\";}}s:5:\"above\";a:5:{s:10:\"above_left\";a:0:{}s:17:\"above_left_center\";a:0:{}s:12:\"above_center\";a:0:{}s:18:\"above_right_center\";a:0:{}s:11:\"above_right\";a:0:{}}s:7:\"primary\";a:5:{s:12:\"primary_left\";a:0:{}s:19:\"primary_left_center\";a:0:{}s:14:\"primary_center\";a:0:{}s:20:\"primary_right_center\";a:0:{}s:13:\"primary_right\";a:0:{}}s:5:\"below\";a:5:{s:10:\"below_left\";a:0:{}s:17:\"below_left_center\";a:0:{}s:12:\"below_center\";a:0:{}s:18:\"below_right_center\";a:0:{}s:11:\"below_right\";a:0:{}}s:4:\"flag\";b:0;}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:46:\"astra-settings[header-desktop-draggable-items]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:35:\"astra-settings[header-mobile-items]\";a:4:{s:7:\"default\";a:4:{s:5:\"popup\";a:1:{s:13:\"popup_content\";a:1:{i:0;s:11:\"mobile-menu\";}}s:5:\"above\";a:3:{s:10:\"above_left\";a:0:{}s:12:\"above_center\";a:0:{}s:11:\"above_right\";a:0:{}}s:7:\"primary\";a:3:{s:12:\"primary_left\";a:1:{i:0;s:4:\"logo\";}s:14:\"primary_center\";a:0:{}s:13:\"primary_right\";a:1:{i:0;s:14:\"mobile-trigger\";}}s:5:\"below\";a:3:{s:10:\"below_left\";a:0:{}s:12:\"below_center\";a:0:{}s:11:\"below_right\";a:0:{}}}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:45:\"astra-settings[header-mobile-draggable-items]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:41:\"astra-settings[header-mobile-popup-items]\";a:4:{s:7:\"default\";b:0;s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:47:\"astra-settings[header-transparent-link-heading]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:39:\"astra-settings[header-transparant-link]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:43:\"astra-settings[hb-header-main-layout-width]\";a:4:{s:7:\"default\";s:7:\"content\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:52:\"astra-settings[section-header-builder-layout-margin]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:40:\"astra-settings[header-builder-pro-items]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:46:\"section-footer-builder-layout-ast-context-tabs\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:30:\"astra-settings[builder-footer]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:40:\"astra-settings[footer-bg-obj-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";a:9:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";}s:6:\"tablet\";a:9:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";}s:6:\"mobile\";a:9:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";}}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:52:\"astra-settings[footer-bg-obj-responsive-description]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";s:0:\"\";}s:36:\"astra-settings[footer-desktop-items]\";a:4:{s:7:\"default\";a:5:{s:5:\"above\";a:6:{s:7:\"above_1\";a:0:{}s:7:\"above_2\";a:0:{}s:7:\"above_3\";a:0:{}s:7:\"above_4\";a:0:{}s:7:\"above_5\";a:0:{}s:7:\"above_6\";a:0:{}}s:7:\"primary\";a:6:{s:9:\"primary_1\";a:0:{}s:9:\"primary_2\";a:0:{}s:9:\"primary_3\";a:0:{}s:9:\"primary_4\";a:0:{}s:9:\"primary_5\";a:0:{}s:9:\"primary_6\";a:0:{}}s:5:\"below\";a:6:{s:7:\"below_1\";a:0:{}s:7:\"below_2\";a:0:{}s:7:\"below_3\";a:0:{}s:7:\"below_4\";a:0:{}s:7:\"below_5\";a:0:{}s:7:\"below_6\";a:0:{}}s:5:\"popup\";a:1:{s:13:\"popup_content\";a:0:{}}s:4:\"flag\";b:1;}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:38:\"astra-settings[footer-draggable-items]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:40:\"astra-settings[footer-builder-pro-items]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:53:\"astra-settings[section-footer-builder-layout-divider]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:53:\"astra-settings[section-footer-builder-layout-padding]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:52:\"astra-settings[section-footer-builder-layout-margin]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:45:\"section-above-header-builder-ast-context-tabs\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:33:\"astra-settings[hba-header-height]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";i:50;s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:44:\"astra-settings[hba-header-bg-obj-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";a:10:{s:16:\"background-color\";s:7:\"#ffffff\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";s:15:\"background-type\";s:5:\"color\";}s:6:\"tablet\";a:9:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";}s:6:\"mobile\";a:9:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";}}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:46:\"astra-settings[hba-header-bottom-border-color]\";a:4:{s:7:\"default\";s:7:\"#eaeaea\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_alpha_color\";}}s:36:\"astra-settings[hba-header-separator]\";a:4:{s:7:\"default\";i:1;s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:52:\"astra-settings[section-above-header-builder-divider]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:52:\"astra-settings[section-above-header-builder-padding]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:51:\"astra-settings[section-above-header-builder-margin]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:66:\"astra-settings[section-above-header-builder-visibility-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";i:1;s:6:\"tablet\";i:1;s:6:\"mobile\";i:1;}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:45:\"section-below-header-builder-ast-context-tabs\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:33:\"astra-settings[hbb-header-height]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";i:60;s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:44:\"astra-settings[hbb-header-bg-obj-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";a:10:{s:16:\"background-color\";s:7:\"#eeeeee\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";s:15:\"background-type\";s:5:\"color\";}s:6:\"tablet\";a:9:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";}s:6:\"mobile\";a:9:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";}}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:46:\"astra-settings[hbb-header-bottom-border-color]\";a:4:{s:7:\"default\";s:7:\"#eaeaea\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_alpha_color\";}}s:36:\"astra-settings[hbb-header-separator]\";a:4:{s:7:\"default\";i:1;s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:52:\"astra-settings[section-below-header-builder-divider]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:52:\"astra-settings[section-below-header-builder-padding]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:51:\"astra-settings[section-below-header-builder-margin]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:66:\"astra-settings[section-below-header-builder-visibility-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";i:1;s:6:\"tablet\";i:1;s:6:\"mobile\";i:1;}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:60:\"astra-settings[astra-sidebar-widgets-header-widget-1-margin]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:75:\"astra-settings[astra-sidebar-widgets-header-widget-1-visibility-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";i:1;s:6:\"tablet\";i:1;s:6:\"mobile\";i:1;}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:60:\"astra-settings[astra-sidebar-widgets-header-widget-2-margin]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:75:\"astra-settings[astra-sidebar-widgets-header-widget-2-visibility-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";i:1;s:6:\"tablet\";i:1;s:6:\"mobile\";i:1;}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:46:\"section-header-mobile-trigger-ast-context-tabs\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:35:\"astra-settings[header-trigger-icon]\";a:4:{s:7:\"default\";s:4:\"menu\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:46:\"astra-settings[mobile-header-toggle-btn-style]\";a:4:{s:7:\"default\";s:7:\"minimal\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:40:\"astra-settings[mobile-header-menu-label]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:46:\"astra-settings[mobile-header-toggle-btn-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_alpha_color\";}}s:46:\"astra-settings[mobile-header-toggle-icon-size]\";a:4:{s:7:\"default\";i:20;s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:49:\"astra-settings[mobile-header-toggle-btn-bg-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_alpha_color\";}}s:52:\"astra-settings[mobile-header-toggle-btn-border-size]\";a:4:{s:7:\"default\";a:4:{s:3:\"top\";i:1;s:5:\"right\";i:1;s:6:\"bottom\";i:1;s:4:\"left\";i:1;}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:49:\"astra-settings[mobile-header-toggle-border-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_alpha_color\";}}s:57:\"astra-settings[mobile-header-toggle-border-radius-fields]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:60:\"astra-settings[section-header-mobile-trigger-margin-divider]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:52:\"astra-settings[section-header-mobile-trigger-margin]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:45:\"astra-settings[mobile-header-label-font-size]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:45:\"section-popup-header-builder-ast-context-tabs\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:34:\"astra-settings[mobile-header-type]\";a:4:{s:7:\"default\";s:8:\"dropdown\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:32:\"astra-settings[off-canvas-slide]\";a:4:{s:7:\"default\";s:5:\"right\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:49:\"astra-settings[header-builder-menu-toggle-target]\";a:4:{s:7:\"default\";s:4:\"icon\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:50:\"astra-settings[header-offcanvas-content-alignment]\";a:4:{s:7:\"default\";s:10:\"flex-start\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:37:\"astra-settings[off-canvas-background]\";a:4:{s:7:\"default\";a:9:{s:16:\"background-color\";s:7:\"#ffffff\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:23:\"sanitize_background_obj\";}}s:38:\"astra-settings[off-canvas-close-color]\";a:4:{s:7:\"default\";s:7:\"#3a3a3a\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_alpha_color\";}}s:40:\"astra-settings[off-canvas-inner-spacing]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:34:\"astra-settings[off-canvas-padding]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:47:\"section-primary-header-builder-ast-context-tabs\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:32:\"astra-settings[hb-header-height]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";i:30;s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:43:\"astra-settings[hb-header-bg-obj-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";a:10:{s:16:\"background-color\";s:7:\"#ffffff\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";s:15:\"background-type\";s:5:\"color\";}s:6:\"tablet\";a:9:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";}s:6:\"mobile\";a:9:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";}}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:40:\"astra-settings[hb-header-main-sep-color]\";a:4:{s:7:\"default\";s:7:\"#eaeaea\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_alpha_color\";}}s:34:\"astra-settings[hb-header-main-sep]\";a:4:{s:7:\"default\";i:1;s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:54:\"astra-settings[section-primary-header-builder-divider]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:54:\"astra-settings[section-primary-header-builder-padding]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:53:\"astra-settings[section-primary-header-builder-margin]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:68:\"astra-settings[section-primary-header-builder-visibility-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";i:1;s:6:\"tablet\";i:1;s:6:\"mobile\";i:1;}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:40:\"astra-settings[logo-title-settings-link]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:30:\"title_tagline-ast-context-tabs\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:44:\"astra-settings[title_tagline-margin-divider]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:36:\"astra-settings[title_tagline-margin]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:51:\"astra-settings[title_tagline-visibility-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";i:1;s:6:\"tablet\";i:1;s:6:\"mobile\";i:1;}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:36:\"section-hb-button-1-ast-context-tabs\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:35:\"astra-settings[header-button1-text]\";a:4:{s:7:\"default\";s:8:\"دکمه\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:42:\"astra-settings[header-button1-link-option]\";a:4:{s:7:\"default\";a:3:{s:3:\"url\";s:23:\"https://www.wpastra.com\";s:7:\"new_tab\";b:0;s:8:\"link_rel\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:13:\"sanitize_link\";}}s:47:\"astra-settings[header-button1-text-color-group]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:53:\"astra-settings[header-button1-background-color-group]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:41:\"astra-settings[header-button1-text-color]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:43:\"astra-settings[header-button1-text-h-color]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:41:\"astra-settings[header-button1-back-color]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:43:\"astra-settings[header-button1-back-h-color]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:65:\"astra-settings[header-button1-builder-button-border-colors-group]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:43:\"astra-settings[header-button1-border-color]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:45:\"astra-settings[header-button1-border-h-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:42:\"astra-settings[header-button1-border-size]\";a:4:{s:7:\"default\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:51:\"astra-settings[header-button1-border-radius-fields]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:46:\"astra-settings[header-button1-text-typography]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:42:\"astra-settings[header-button1-font-family]\";a:4:{s:7:\"default\";s:7:\"inherit\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";s:19:\"sanitize_text_field\";}s:42:\"astra-settings[header-button1-font-weight]\";a:4:{s:7:\"default\";s:7:\"inherit\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_font_weight\";}}s:40:\"astra-settings[header-button1-font-size]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:42:\"astra-settings[header-button1-font-extras]\";a:4:{s:7:\"default\";a:6:{s:11:\"line-height\";s:0:\"\";s:16:\"line-height-unit\";s:2:\"em\";s:14:\"letter-spacing\";s:0:\"\";s:19:\"letter-spacing-unit\";s:2:\"px\";s:14:\"text-transform\";s:0:\"\";s:15:\"text-decoration\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:57:\"astra-settings[section-hb-button-1-visibility-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";i:1;s:6:\"tablet\";i:1;s:6:\"mobile\";i:1;}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:43:\"astra-settings[section-hb-button-1-divider]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:43:\"astra-settings[section-hb-button-1-padding]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:2:\"12\";s:5:\"right\";s:2:\"20\";s:6:\"bottom\";s:2:\"12\";s:4:\"left\";s:2:\"20\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:42:\"astra-settings[section-hb-button-1-margin]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:55:\"astra-settings[section-hb-html-1-visibility-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";i:1;s:6:\"tablet\";i:1;s:6:\"mobile\";i:1;}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:43:\"astra-settings[font-size-section-hb-html-1]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";i:15;s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:34:\"section-hb-html-1-ast-context-tabs\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:29:\"astra-settings[header-html-1]\";a:4:{s:7:\"default\";s:53:\"متن HTML را در اینجا درج نمایید.\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:34:\"astra-settings[header-html-1color]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:40:\"astra-settings[header-html-1-link-group]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:39:\"astra-settings[header-html-1link-color]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:41:\"astra-settings[header-html-1link-h-color]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:48:\"astra-settings[section-hb-html-1-margin-divider]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:40:\"astra-settings[section-hb-html-1-margin]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:55:\"astra-settings[section-hb-html-2-visibility-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";i:1;s:6:\"tablet\";i:1;s:6:\"mobile\";i:1;}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:43:\"astra-settings[font-size-section-hb-html-2]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";i:15;s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:34:\"section-hb-html-2-ast-context-tabs\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:29:\"astra-settings[header-html-2]\";a:4:{s:7:\"default\";s:53:\"متن HTML را در اینجا درج نمایید.\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:34:\"astra-settings[header-html-2color]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:40:\"astra-settings[header-html-2-link-group]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:39:\"astra-settings[header-html-2link-color]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:41:\"astra-settings[header-html-2link-h-color]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:48:\"astra-settings[section-hb-html-2-margin-divider]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:40:\"astra-settings[section-hb-html-2-margin]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:55:\"astra-settings[section-hb-menu-1-visibility-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";i:1;s:6:\"tablet\";i:1;s:6:\"mobile\";i:1;}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:34:\"section-hb-menu-1-ast-context-tabs\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:45:\"astra-settings[header-menu1-create-menu-link]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:49:\"astra-settings[header-menu1-menu-hover-animation]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:44:\"astra-settings[header-menu1-submenu-heading]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:42:\"astra-settings[header-menu1-submenu-width]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:56:\"astra-settings[header-menu1-submenu-container-animation]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:54:\"astra-settings[header-menu1-submenu-container-divider]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:48:\"astra-settings[header-menu1-submenu-item-b-size]\";a:4:{s:7:\"default\";s:1:\"1\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:49:\"astra-settings[header-menu1-submenu-item-b-color]\";a:4:{s:7:\"default\";s:7:\"#eaeaea\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_alpha_color\";}}s:47:\"astra-settings[header-menu1-submenu-top-offset]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:43:\"astra-settings[header-menu1-submenu-border]\";a:4:{s:7:\"default\";a:4:{s:3:\"top\";i:2;s:6:\"bottom\";i:0;s:4:\"left\";i:0;s:5:\"right\";i:0;}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:44:\"astra-settings[header-menu1-submenu-b-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_alpha_color\";}}s:57:\"astra-settings[header-menu1-submenu-border-radius-fields]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:48:\"astra-settings[header-menu1-submenu-item-border]\";a:4:{s:7:\"default\";b:0;s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:49:\"astra-settings[header-menu1-menu-stack-on-mobile]\";a:4:{s:7:\"default\";b:1;s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:40:\"astra-settings[section-hb-menu-1-margin]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:40:\"astra-settings[header-menu1-text-colors]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:46:\"astra-settings[header-menu1-background-colors]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:45:\"astra-settings[header-menu1-color-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:25:\"var(--ast-global-color-3)\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:46:\"astra-settings[header-menu1-bg-obj-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";a:9:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";}s:6:\"tablet\";a:9:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";}s:6:\"mobile\";a:9:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";}}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:47:\"astra-settings[header-menu1-h-color-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:25:\"var(--ast-global-color-1)\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:50:\"astra-settings[header-menu1-h-bg-color-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:47:\"astra-settings[header-menu1-a-color-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:25:\"var(--ast-global-color-1)\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:50:\"astra-settings[header-menu1-a-bg-color-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:37:\"astra-settings[header-1-font-divider]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:51:\"astra-settings[header-menu1-header-menu-typography]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:40:\"astra-settings[header-menu1-font-family]\";a:4:{s:7:\"default\";s:7:\"inherit\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";s:19:\"sanitize_text_field\";}s:40:\"astra-settings[header-menu1-font-weight]\";a:4:{s:7:\"default\";s:7:\"inherit\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_font_weight\";}}s:38:\"astra-settings[header-menu1-font-size]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:40:\"astra-settings[header-menu1-font-extras]\";a:4:{s:7:\"default\";a:6:{s:11:\"line-height\";s:0:\"\";s:16:\"line-height-unit\";s:2:\"em\";s:14:\"letter-spacing\";s:0:\"\";s:19:\"letter-spacing-unit\";s:2:\"px\";s:14:\"text-transform\";s:0:\"\";s:15:\"text-decoration\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:40:\"astra-settings[header-1-spacing-divider]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:41:\"astra-settings[header-menu1-menu-spacing]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:55:\"astra-settings[section-hb-menu-2-visibility-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";i:1;s:6:\"tablet\";i:1;s:6:\"mobile\";i:1;}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:34:\"section-hb-menu-2-ast-context-tabs\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:45:\"astra-settings[header-menu2-create-menu-link]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:49:\"astra-settings[header-menu2-menu-hover-animation]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:44:\"astra-settings[header-menu2-submenu-heading]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:42:\"astra-settings[header-menu2-submenu-width]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:56:\"astra-settings[header-menu2-submenu-container-animation]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:54:\"astra-settings[header-menu2-submenu-container-divider]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:48:\"astra-settings[header-menu2-submenu-item-b-size]\";a:4:{s:7:\"default\";s:1:\"1\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:49:\"astra-settings[header-menu2-submenu-item-b-color]\";a:4:{s:7:\"default\";s:7:\"#eaeaea\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_alpha_color\";}}s:47:\"astra-settings[header-menu2-submenu-top-offset]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:43:\"astra-settings[header-menu2-submenu-border]\";a:4:{s:7:\"default\";a:4:{s:3:\"top\";i:2;s:6:\"bottom\";i:0;s:4:\"left\";i:0;s:5:\"right\";i:0;}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:44:\"astra-settings[header-menu2-submenu-b-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_alpha_color\";}}s:57:\"astra-settings[header-menu2-submenu-border-radius-fields]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:48:\"astra-settings[header-menu2-submenu-item-border]\";a:4:{s:7:\"default\";b:0;s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:49:\"astra-settings[header-menu2-menu-stack-on-mobile]\";a:4:{s:7:\"default\";b:1;s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:40:\"astra-settings[section-hb-menu-2-margin]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:40:\"astra-settings[header-menu2-text-colors]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:46:\"astra-settings[header-menu2-background-colors]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:45:\"astra-settings[header-menu2-color-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:25:\"var(--ast-global-color-3)\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:46:\"astra-settings[header-menu2-bg-obj-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";a:9:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";}s:6:\"tablet\";a:9:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";}s:6:\"mobile\";a:9:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";}}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:47:\"astra-settings[header-menu2-h-color-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:25:\"var(--ast-global-color-1)\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:50:\"astra-settings[header-menu2-h-bg-color-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:47:\"astra-settings[header-menu2-a-color-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:25:\"var(--ast-global-color-1)\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:50:\"astra-settings[header-menu2-a-bg-color-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:37:\"astra-settings[header-2-font-divider]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:51:\"astra-settings[header-menu2-header-menu-typography]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:40:\"astra-settings[header-menu2-font-family]\";a:4:{s:7:\"default\";s:7:\"inherit\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";s:19:\"sanitize_text_field\";}s:40:\"astra-settings[header-menu2-font-weight]\";a:4:{s:7:\"default\";s:7:\"inherit\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_font_weight\";}}s:38:\"astra-settings[header-menu2-font-size]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:40:\"astra-settings[header-menu2-font-extras]\";a:4:{s:7:\"default\";a:6:{s:11:\"line-height\";s:0:\"\";s:16:\"line-height-unit\";s:2:\"em\";s:14:\"letter-spacing\";s:0:\"\";s:19:\"letter-spacing-unit\";s:2:\"px\";s:14:\"text-transform\";s:0:\"\";s:15:\"text-decoration\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:40:\"astra-settings[header-2-spacing-divider]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:41:\"astra-settings[header-menu2-menu-spacing]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:38:\"section-header-search-ast-context-tabs\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:40:\"astra-settings[header-search-icon-color]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:40:\"astra-settings[header-search-icon-space]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";i:18;s:6:\"tablet\";i:18;s:6:\"mobile\";i:18;}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:52:\"astra-settings[section-header-search-margin-divider]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:44:\"astra-settings[section-header-search-margin]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:59:\"astra-settings[section-header-search-visibility-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";i:1;s:6:\"tablet\";i:1;s:6:\"mobile\";i:1;}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:35:\"astra-settings[header-account-tabs]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:44:\"astra-settings[header-account-login-heading]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:42:\"astra-settings[header-account-login-style]\";a:4:{s:7:\"default\";s:4:\"icon\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:45:\"astra-settings[header-account-logged-in-text]\";a:4:{s:7:\"default\";s:13:\"حساب من\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:41:\"astra-settings[header-account-login-link]\";a:4:{s:7:\"default\";a:3:{s:3:\"url\";s:0:\"\";s:7:\"new_tab\";b:0;s:8:\"link_rel\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:13:\"sanitize_link\";}}s:45:\"astra-settings[header-account-logout-heading]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:43:\"astra-settings[header-account-logout-style]\";a:4:{s:7:\"default\";s:4:\"icon\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:45:\"astra-settings[header-account-logout-preview]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:46:\"astra-settings[header-account-logged-out-text]\";a:4:{s:7:\"default\";s:8:\"ورود\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:42:\"astra-settings[header-account-logout-link]\";a:4:{s:7:\"default\";a:3:{s:3:\"url\";s:42:\"https://test.filtersanaat.com/wp-login.php\";s:7:\"new_tab\";b:0;s:8:\"link_rel\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:13:\"sanitize_link\";}}s:42:\"astra-settings[header-account-image-width]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:2:\"40\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:40:\"astra-settings[header-account-icon-size]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";i:18;s:6:\"tablet\";i:18;s:6:\"mobile\";i:18;}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:41:\"astra-settings[header-account-icon-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_alpha_color\";}}s:50:\"astra-settings[header-account-text-design-options]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:46:\"astra-settings[header-account-type-text-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_alpha_color\";}}s:46:\"astra-settings[header-account-spacing-divider]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:37:\"astra-settings[header-account-margin]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:48:\"astra-settings[font-size-section-header-account]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:60:\"astra-settings[section-header-account-visibility-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";i:1;s:6:\"tablet\";i:1;s:6:\"mobile\";i:1;}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:63:\"astra-settings[section-hb-social-icons-1-visibility-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";i:1;s:6:\"tablet\";i:1;s:6:\"mobile\";i:1;}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:51:\"astra-settings[font-size-section-hb-social-icons-1]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:42:\"section-hb-social-icons-1-ast-context-tabs\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:42:\"astra-settings[header-social-1-color-type]\";a:4:{s:7:\"default\";s:6:\"custom\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:48:\"astra-settings[header-social-1-icon-color-group]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:49:\"astra-settings[header-social-1-label-color-group]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:54:\"astra-settings[header-social-1-background-color-group]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:37:\"astra-settings[header-social-1-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:39:\"astra-settings[header-social-1-h-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:43:\"astra-settings[header-social-1-label-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:45:\"astra-settings[header-social-1-label-h-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:40:\"astra-settings[header-social-1-bg-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:42:\"astra-settings[header-social-1-bg-h-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:37:\"astra-settings[header-social-icons-1]\";a:4:{s:7:\"default\";a:1:{s:5:\"items\";a:3:{i:0;a:8:{s:2:\"id\";s:8:\"facebook\";s:7:\"enabled\";b:1;s:6:\"source\";s:4:\"icon\";s:3:\"url\";s:0:\"\";s:5:\"color\";s:7:\"#557dbc\";s:10:\"background\";s:11:\"transparent\";s:4:\"icon\";s:8:\"facebook\";s:5:\"label\";s:8:\"Facebook\";}i:1;a:8:{s:2:\"id\";s:7:\"twitter\";s:7:\"enabled\";b:1;s:6:\"source\";s:4:\"icon\";s:3:\"url\";s:0:\"\";s:5:\"color\";s:7:\"#7acdee\";s:10:\"background\";s:11:\"transparent\";s:4:\"icon\";s:7:\"twitter\";s:5:\"label\";s:7:\"Twitter\";}i:2;a:8:{s:2:\"id\";s:9:\"instagram\";s:7:\"enabled\";b:1;s:6:\"source\";s:4:\"icon\";s:3:\"url\";s:0:\"\";s:5:\"color\";s:7:\"#8a3ab9\";s:10:\"background\";s:11:\"transparent\";s:4:\"icon\";s:9:\"instagram\";s:5:\"label\";s:9:\"Instagram\";}}}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:44:\"astra-settings[header-social-1-label-toggle]\";a:4:{s:7:\"default\";b:0;s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:37:\"astra-settings[header-social-1-space]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:40:\"astra-settings[header-social-1-bg-space]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:36:\"astra-settings[header-social-1-size]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";i:18;s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:45:\"astra-settings[header-social-1-radius-fields]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:56:\"astra-settings[section-hb-social-icons-1-margin-divider]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:48:\"astra-settings[section-hb-social-icons-1-margin]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:43:\"section-header-mobile-menu-ast-context-tabs\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:51:\"astra-settings[header-mobile-menu-create-menu-link]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:54:\"astra-settings[header-mobile-menu-submenu-item-border]\";a:4:{s:7:\"default\";b:0;s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:57:\"astra-settings[header-mobile-menu-divider-colors-divider]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:54:\"astra-settings[header-mobile-menu-submenu-item-b-size]\";a:4:{s:7:\"default\";s:1:\"1\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:55:\"astra-settings[header-mobile-menu-submenu-item-b-color]\";a:4:{s:7:\"default\";s:7:\"#eaeaea\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_alpha_color\";}}s:46:\"astra-settings[header-mobile-menu-link-colors]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:52:\"astra-settings[header-mobile-menu-background-colors]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:51:\"astra-settings[header-mobile-menu-color-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:25:\"var(--ast-global-color-3)\";s:6:\"tablet\";s:25:\"var(--ast-global-color-3)\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:52:\"astra-settings[header-mobile-menu-bg-obj-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";a:9:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";}s:6:\"tablet\";a:9:{s:16:\"background-color\";s:25:\"var(--ast-global-color-5)\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";}s:6:\"mobile\";a:9:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";}}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:53:\"astra-settings[header-mobile-menu-h-color-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:25:\"var(--ast-global-color-1)\";s:6:\"tablet\";s:25:\"var(--ast-global-color-1)\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:56:\"astra-settings[header-mobile-menu-h-bg-color-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:25:\"var(--ast-global-color-4)\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:53:\"astra-settings[header-mobile-menu-a-color-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:25:\"var(--ast-global-color-1)\";s:6:\"tablet\";s:25:\"var(--ast-global-color-1)\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:56:\"astra-settings[header-mobile-menu-a-bg-color-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:25:\"var(--ast-global-color-4)\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:54:\"astra-settings[header-mobile-menu-header-typo-divider]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:57:\"astra-settings[header-mobile-menu-header-menu-typography]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:46:\"astra-settings[header-mobile-menu-font-family]\";a:4:{s:7:\"default\";s:7:\"inherit\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";s:19:\"sanitize_text_field\";}s:46:\"astra-settings[header-mobile-menu-font-weight]\";a:4:{s:7:\"default\";s:7:\"inherit\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_font_weight\";}}s:44:\"astra-settings[header-mobile-menu-font-size]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:46:\"astra-settings[font-extras-header-mobile-menu]\";a:4:{s:7:\"default\";a:6:{s:11:\"line-height\";s:0:\"\";s:16:\"line-height-unit\";s:2:\"em\";s:14:\"letter-spacing\";s:0:\"\";s:19:\"letter-spacing-unit\";s:2:\"px\";s:14:\"text-transform\";s:0:\"\";s:15:\"text-decoration\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:55:\"astra-settings[header-mobile-menu-menu-spacing-divider]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:47:\"astra-settings[header-mobile-menu-menu-spacing]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:49:\"astra-settings[section-header-mobile-menu-margin]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:64:\"astra-settings[section-header-mobile-menu-visibility-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";i:1;s:6:\"tablet\";i:1;s:6:\"mobile\";i:1;}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:45:\"section-above-footer-builder-ast-context-tabs\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:33:\"astra-settings[hba-footer-column]\";a:4:{s:7:\"default\";s:1:\"2\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:33:\"astra-settings[hba-footer-layout]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:7:\"2-equal\";s:6:\"tablet\";s:7:\"2-equal\";s:6:\"mobile\";s:4:\"full\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:39:\"astra-settings[hba-footer-layout-width]\";a:4:{s:7:\"default\";s:7:\"content\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:33:\"astra-settings[hba-footer-height]\";a:4:{s:7:\"default\";i:60;s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:45:\"astra-settings[hba-footer-vertical-alignment]\";a:4:{s:7:\"default\";s:10:\"flex-start\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:25:\"astra-settings[hba-stack]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:5:\"stack\";s:6:\"tablet\";s:5:\"stack\";s:6:\"mobile\";s:5:\"stack\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:36:\"astra-settings[hba-footer-separator]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:43:\"astra-settings[hba-footer-top-border-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_alpha_color\";}}s:44:\"astra-settings[hba-footer-bg-obj-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";a:9:{s:16:\"background-color\";s:7:\"#eeeeee\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";}s:6:\"tablet\";a:9:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";}s:6:\"mobile\";a:9:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";}}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:33:\"astra-settings[hba-inner-spacing]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:52:\"astra-settings[section-above-footer-builder-divider]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:52:\"astra-settings[section-above-footer-builder-padding]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:51:\"astra-settings[section-above-footer-builder-margin]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:66:\"astra-settings[section-above-footer-builder-visibility-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";i:1;s:6:\"tablet\";i:1;s:6:\"mobile\";i:1;}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:45:\"section-below-footer-builder-ast-context-tabs\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:33:\"astra-settings[hbb-footer-column]\";a:4:{s:7:\"default\";s:1:\"1\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:33:\"astra-settings[hbb-footer-layout]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:4:\"full\";s:6:\"tablet\";s:4:\"full\";s:6:\"mobile\";s:4:\"full\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:39:\"astra-settings[hbb-footer-layout-width]\";a:4:{s:7:\"default\";s:7:\"content\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:33:\"astra-settings[hbb-footer-height]\";a:4:{s:7:\"default\";i:80;s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:45:\"astra-settings[hbb-footer-vertical-alignment]\";a:4:{s:7:\"default\";s:10:\"flex-start\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:25:\"astra-settings[hbb-stack]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:5:\"stack\";s:6:\"tablet\";s:5:\"stack\";s:6:\"mobile\";s:5:\"stack\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:36:\"astra-settings[hbb-footer-separator]\";a:4:{s:7:\"default\";i:1;s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:43:\"astra-settings[hbb-footer-top-border-color]\";a:4:{s:7:\"default\";s:25:\"var(--ast-global-color-6)\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_alpha_color\";}}s:44:\"astra-settings[hbb-footer-bg-obj-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";a:9:{s:16:\"background-color\";s:25:\"var(--ast-global-color-5)\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";}s:6:\"tablet\";a:9:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";}s:6:\"mobile\";a:9:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";}}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:33:\"astra-settings[hbb-inner-spacing]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:52:\"astra-settings[section-below-footer-builder-divider]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:52:\"astra-settings[section-below-footer-builder-padding]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:51:\"astra-settings[section-below-footer-builder-margin]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:66:\"astra-settings[section-below-footer-builder-visibility-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";i:1;s:6:\"tablet\";i:1;s:6:\"mobile\";i:1;}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:41:\"section-footer-copyright-ast-context-tabs\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:39:\"astra-settings[footer-copyright-editor]\";a:4:{s:7:\"default\";s:77:\"Copyright [copyright] [current_year] [site_title] | Powered by [theme_author]\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:42:\"astra-settings[footer-copyright-alignment]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:6:\"center\";s:6:\"tablet\";s:6:\"center\";s:6:\"mobile\";s:6:\"center\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:38:\"astra-settings[footer-copyright-color]\";a:4:{s:7:\"default\";s:25:\"var(--ast-global-color-3)\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_alpha_color\";}}s:55:\"astra-settings[section-footer-copyright-margin-divider]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:47:\"astra-settings[section-footer-copyright-margin]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:50:\"astra-settings[font-size-section-footer-copyright]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";i:16;s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:62:\"astra-settings[section-footer-copyright-visibility-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";i:1;s:6:\"tablet\";i:1;s:6:\"mobile\";i:1;}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:36:\"section-footer-menu-ast-context-tabs\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:39:\"astra-settings[footer-create-menu-link]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:34:\"astra-settings[footer-menu-layout]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:10:\"horizontal\";s:6:\"tablet\";s:8:\"vertical\";s:6:\"mobile\";s:8:\"vertical\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:37:\"astra-settings[footer-menu-alignment]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:6:\"center\";s:6:\"tablet\";s:6:\"center\";s:6:\"mobile\";s:6:\"center\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:39:\"astra-settings[footer-menu-link-colors]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:45:\"astra-settings[footer-menu-background-colors]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:44:\"astra-settings[footer-menu-color-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:45:\"astra-settings[footer-menu-bg-obj-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";a:9:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";}s:6:\"tablet\";a:9:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";}s:6:\"mobile\";a:9:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";}}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:46:\"astra-settings[footer-menu-h-color-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:49:\"astra-settings[footer-menu-h-bg-color-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:46:\"astra-settings[footer-menu-a-color-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:49:\"astra-settings[footer-menu-a-bg-color-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:40:\"astra-settings[footer-main-menu-divider]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:40:\"astra-settings[footer-main-menu-spacing]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:1:\"0\";s:5:\"right\";s:2:\"20\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:2:\"20\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:42:\"astra-settings[section-footer-menu-margin]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:37:\"astra-settings[footer-menu-font-size]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:57:\"astra-settings[section-footer-menu-visibility-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";i:1;s:6:\"tablet\";i:1;s:6:\"mobile\";i:1;}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:63:\"astra-settings[section-fb-social-icons-1-visibility-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";i:1;s:6:\"tablet\";i:1;s:6:\"mobile\";i:1;}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:51:\"astra-settings[font-size-section-fb-social-icons-1]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:42:\"section-fb-social-icons-1-ast-context-tabs\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:42:\"astra-settings[footer-social-1-color-type]\";a:4:{s:7:\"default\";s:6:\"custom\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:48:\"astra-settings[footer-social-1-icon-color-group]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:49:\"astra-settings[footer-social-1-label-color-group]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:54:\"astra-settings[footer-social-1-background-color-group]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:37:\"astra-settings[footer-social-1-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:39:\"astra-settings[footer-social-1-h-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:43:\"astra-settings[footer-social-1-label-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:45:\"astra-settings[footer-social-1-label-h-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:40:\"astra-settings[footer-social-1-bg-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:42:\"astra-settings[footer-social-1-bg-h-color]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:37:\"astra-settings[footer-social-icons-1]\";a:4:{s:7:\"default\";a:1:{s:5:\"items\";a:3:{i:0;a:8:{s:2:\"id\";s:8:\"facebook\";s:7:\"enabled\";b:1;s:6:\"source\";s:4:\"icon\";s:3:\"url\";s:0:\"\";s:5:\"color\";s:7:\"#557dbc\";s:10:\"background\";s:11:\"transparent\";s:4:\"icon\";s:8:\"facebook\";s:5:\"label\";s:8:\"Facebook\";}i:1;a:8:{s:2:\"id\";s:7:\"twitter\";s:7:\"enabled\";b:1;s:6:\"source\";s:4:\"icon\";s:3:\"url\";s:0:\"\";s:5:\"color\";s:7:\"#7acdee\";s:10:\"background\";s:11:\"transparent\";s:4:\"icon\";s:7:\"twitter\";s:5:\"label\";s:7:\"Twitter\";}i:2;a:8:{s:2:\"id\";s:9:\"instagram\";s:7:\"enabled\";b:1;s:6:\"source\";s:4:\"icon\";s:3:\"url\";s:0:\"\";s:5:\"color\";s:7:\"#8a3ab9\";s:10:\"background\";s:11:\"transparent\";s:4:\"icon\";s:9:\"instagram\";s:5:\"label\";s:9:\"Instagram\";}}}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:44:\"astra-settings[footer-social-1-label-toggle]\";a:4:{s:7:\"default\";b:0;s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:37:\"astra-settings[footer-social-1-space]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:40:\"astra-settings[footer-social-1-bg-space]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:36:\"astra-settings[footer-social-1-size]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";i:18;s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:45:\"astra-settings[footer-social-1-radius-fields]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:56:\"astra-settings[section-fb-social-icons-1-margin-divider]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:48:\"astra-settings[section-fb-social-icons-1-margin]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:41:\"astra-settings[footer-social-1-alignment]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:6:\"center\";s:6:\"tablet\";s:6:\"center\";s:6:\"mobile\";s:6:\"center\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:47:\"section-primary-footer-builder-ast-context-tabs\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:32:\"astra-settings[hb-footer-column]\";a:4:{s:7:\"default\";s:1:\"3\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:32:\"astra-settings[hb-footer-layout]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:7:\"3-equal\";s:6:\"tablet\";s:7:\"3-equal\";s:6:\"mobile\";s:4:\"full\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:38:\"astra-settings[hb-footer-layout-width]\";a:4:{s:7:\"default\";s:7:\"content\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:44:\"astra-settings[hb-footer-vertical-alignment]\";a:4:{s:7:\"default\";s:10:\"flex-start\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:24:\"astra-settings[hb-stack]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:5:\"stack\";s:6:\"tablet\";s:5:\"stack\";s:6:\"mobile\";s:5:\"stack\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:34:\"astra-settings[hb-footer-main-sep]\";a:4:{s:7:\"default\";i:1;s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:40:\"astra-settings[hb-footer-main-sep-color]\";a:4:{s:7:\"default\";s:7:\"#e6e6e6\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:20:\"sanitize_alpha_color\";}}s:43:\"astra-settings[hb-footer-bg-obj-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";a:9:{s:16:\"background-color\";s:7:\"#f9f9f9\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";}s:6:\"tablet\";a:9:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";}s:6:\"mobile\";a:9:{s:16:\"background-color\";s:0:\"\";s:16:\"background-image\";s:0:\"\";s:17:\"background-repeat\";s:6:\"repeat\";s:19:\"background-position\";s:13:\"center center\";s:15:\"background-size\";s:4:\"auto\";s:21:\"background-attachment\";s:6:\"scroll\";s:12:\"overlay-type\";s:0:\"\";s:13:\"overlay-color\";s:0:\"\";s:16:\"overlay-gradient\";s:0:\"\";}}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:32:\"astra-settings[hb-inner-spacing]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:54:\"astra-settings[section-primary-footer-builder-divider]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:54:\"astra-settings[section-primary-footer-builder-padding]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:53:\"astra-settings[section-primary-footer-builder-margin]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:68:\"astra-settings[section-primary-footer-builder-visibility-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";i:1;s:6:\"tablet\";i:1;s:6:\"mobile\";i:1;}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:55:\"astra-settings[section-fb-html-1-visibility-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";i:1;s:6:\"tablet\";i:1;s:6:\"mobile\";i:1;}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:43:\"astra-settings[font-size-section-fb-html-1]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:34:\"section-fb-html-1-ast-context-tabs\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:29:\"astra-settings[footer-html-1]\";a:4:{s:7:\"default\";s:53:\"متن HTML را در اینجا درج نمایید.\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:34:\"astra-settings[footer-html-1color]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:40:\"astra-settings[footer-html-1-link-group]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:39:\"astra-settings[footer-html-1link-color]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:41:\"astra-settings[footer-html-1link-h-color]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:48:\"astra-settings[section-fb-html-1-margin-divider]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:40:\"astra-settings[section-fb-html-1-margin]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:39:\"astra-settings[footer-html-1-alignment]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:6:\"center\";s:6:\"tablet\";s:6:\"center\";s:6:\"mobile\";s:6:\"center\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:55:\"astra-settings[section-fb-html-2-visibility-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";i:1;s:6:\"tablet\";i:1;s:6:\"mobile\";i:1;}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:43:\"astra-settings[font-size-section-fb-html-2]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:34:\"section-fb-html-2-ast-context-tabs\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:29:\"astra-settings[footer-html-2]\";a:4:{s:7:\"default\";s:53:\"متن HTML را در اینجا درج نمایید.\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:34:\"astra-settings[footer-html-2color]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:40:\"astra-settings[footer-html-2-link-group]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:39:\"astra-settings[footer-html-2link-color]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:41:\"astra-settings[footer-html-2link-h-color]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:0:\"\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:48:\"astra-settings[section-fb-html-2-margin-divider]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:40:\"astra-settings[section-fb-html-2-margin]\";a:4:{s:7:\"default\";a:6:{s:7:\"desktop\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"tablet\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:6:\"mobile\";a:4:{s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";}s:12:\"desktop-unit\";s:2:\"px\";s:11:\"tablet-unit\";s:2:\"px\";s:11:\"mobile-unit\";s:2:\"px\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:39:\"astra-settings[footer-html-2-alignment]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:6:\"center\";s:6:\"tablet\";s:6:\"center\";s:6:\"mobile\";s:6:\"center\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:60:\"astra-settings[astra-sidebar-widgets-footer-widget-1-margin]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:41:\"astra-settings[footer-widget-alignment-1]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:4:\"left\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:75:\"astra-settings[astra-sidebar-widgets-footer-widget-1-visibility-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";i:1;s:6:\"tablet\";i:1;s:6:\"mobile\";i:1;}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:60:\"astra-settings[astra-sidebar-widgets-footer-widget-2-margin]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:41:\"astra-settings[footer-widget-alignment-2]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:4:\"left\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:75:\"astra-settings[astra-sidebar-widgets-footer-widget-2-visibility-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";i:1;s:6:\"tablet\";i:1;s:6:\"mobile\";i:1;}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:60:\"astra-settings[astra-sidebar-widgets-footer-widget-3-margin]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:41:\"astra-settings[footer-widget-alignment-3]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:4:\"left\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:75:\"astra-settings[astra-sidebar-widgets-footer-widget-3-visibility-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";i:1;s:6:\"tablet\";i:1;s:6:\"mobile\";i:1;}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}s:60:\"astra-settings[astra-sidebar-widgets-footer-widget-4-margin]\";a:4:{s:7:\"default\";s:0:\"\";s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";a:2:{i:0;s:26:\"Astra_Customizer_Sanitizes\";i:1;s:27:\"sanitize_responsive_spacing\";}}s:41:\"astra-settings[footer-widget-alignment-4]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";s:4:\"left\";s:6:\"tablet\";s:0:\"\";s:6:\"mobile\";s:0:\"\";}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:11:\"postMessage\";s:17:\"sanitize_callback\";b:0;}s:75:\"astra-settings[astra-sidebar-widgets-footer-widget-4-visibility-responsive]\";a:4:{s:7:\"default\";a:3:{s:7:\"desktop\";i:1;s:6:\"tablet\";i:1;s:6:\"mobile\";i:1;}s:4:\"type\";s:6:\"option\";s:9:\"transport\";s:7:\"refresh\";s:17:\"sanitize_callback\";b:0;}}s:8:\"partials\";a:35:{s:37:\"astra-settings[different-retina-logo]\";a:4:{s:8:\"selector\";s:14:\".site-branding\";s:15:\"render_callback\";s:35:\"Astra_Builder_Header::site_identity\";s:18:\"containerInclusive\";b:0;s:15:\"fallbackRefresh\";b:1;}s:38:\"astra-settings[ast-header-retina-logo]\";a:4:{s:8:\"selector\";s:14:\".site-branding\";s:15:\"render_callback\";s:35:\"Astra_Builder_Header::site_identity\";s:18:\"containerInclusive\";b:0;s:15:\"fallbackRefresh\";b:1;}s:37:\"astra-settings[different-mobile-logo]\";a:4:{s:8:\"selector\";s:14:\".site-branding\";s:15:\"render_callback\";s:35:\"Astra_Builder_Header::site_identity\";s:18:\"containerInclusive\";b:0;s:15:\"fallbackRefresh\";b:1;}s:33:\"astra-settings[logo-title-inline]\";a:4:{s:8:\"selector\";s:14:\".site-branding\";s:15:\"render_callback\";s:35:\"Astra_Builder_Header::site_identity\";s:18:\"containerInclusive\";b:0;s:15:\"fallbackRefresh\";b:1;}s:35:\"astra-settings[related-posts-title]\";a:4:{s:8:\"selector\";s:57:\".ast-related-posts-title-section .ast-related-posts-title\";s:15:\"render_callback\";a:2:{i:0;s:26:\"Astra_Related_Posts_Loader\";i:1;s:26:\"render_related_posts_title\";}s:18:\"containerInclusive\";b:0;s:15:\"fallbackRefresh\";b:1;}s:39:\"astra-settings[transparent-header-logo]\";a:4:{s:8:\"selector\";s:64:\".ast-replace-site-logo-transparent .site-branding .site-logo-img\";s:15:\"render_callback\";s:0:\"\";s:18:\"containerInclusive\";b:0;s:15:\"fallbackRefresh\";b:1;}s:35:\"astra-settings[breadcrumb-position]\";a:4:{s:8:\"selector\";s:54:\".ast-breadcrumbs-wrapper .ast-breadcrumbs .trail-items\";s:15:\"render_callback\";s:0:\"\";s:18:\"containerInclusive\";b:0;s:15:\"fallbackRefresh\";b:1;}s:36:\"astra-settings[header-desktop-items]\";a:4:{s:8:\"selector\";s:9:\"#masthead\";s:15:\"render_callback\";a:2:{i:0;O:20:\"Astra_Builder_Header\":0:{}i:1;s:21:\"header_builder_markup\";}s:18:\"containerInclusive\";b:1;s:15:\"fallbackRefresh\";b:1;}s:35:\"astra-settings[header-mobile-items]\";a:4:{s:8:\"selector\";s:9:\"#masthead\";s:15:\"render_callback\";a:2:{i:0;r:6584;i:1;s:21:\"header_builder_markup\";}s:18:\"containerInclusive\";b:1;s:15:\"fallbackRefresh\";b:1;}s:41:\"astra-settings[header-mobile-popup-items]\";a:4:{s:8:\"selector\";s:25:\"#ast-mobile-popup-wrapper\";s:15:\"render_callback\";a:2:{i:0;r:6584;i:1;s:12:\"mobile_popup\";}s:18:\"containerInclusive\";b:1;s:15:\"fallbackRefresh\";b:1;}s:36:\"astra-settings[footer-desktop-items]\";a:4:{s:8:\"selector\";s:12:\".site-footer\";s:15:\"render_callback\";a:2:{i:0;O:20:\"Astra_Builder_Footer\":0:{}i:1;s:13:\"footer_markup\";}s:18:\"containerInclusive\";b:1;s:15:\"fallbackRefresh\";b:1;}s:35:\"astra-settings[header-trigger-icon]\";a:4:{s:8:\"selector\";s:16:\".ast-button-wrap\";s:15:\"render_callback\";a:2:{i:0;s:27:\"Astra_Builder_UI_Controller\";i:1;s:21:\"render_mobile_trigger\";}s:18:\"containerInclusive\";s:0:\"\";s:15:\"fallbackRefresh\";b:1;}s:46:\"astra-settings[mobile-header-toggle-btn-style]\";a:4:{s:8:\"selector\";s:16:\".ast-button-wrap\";s:15:\"render_callback\";a:2:{i:0;s:27:\"Astra_Builder_UI_Controller\";i:1;s:21:\"render_mobile_trigger\";}s:18:\"containerInclusive\";s:0:\"\";s:15:\"fallbackRefresh\";b:1;}s:40:\"astra-settings[mobile-header-menu-label]\";a:4:{s:8:\"selector\";s:16:\".ast-button-wrap\";s:15:\"render_callback\";a:2:{i:0;s:27:\"Astra_Builder_UI_Controller\";i:1;s:21:\"render_mobile_trigger\";}s:18:\"containerInclusive\";s:0:\"\";s:15:\"fallbackRefresh\";b:1;}s:35:\"astra-settings[header-button1-text]\";a:4:{s:8:\"selector\";s:20:\".ast-header-button-1\";s:15:\"render_callback\";a:2:{i:0;r:6584;i:1;s:8:\"button_1\";}s:18:\"containerInclusive\";b:0;s:15:\"fallbackRefresh\";b:0;}s:42:\"astra-settings[header-button1-link-option]\";a:4:{s:8:\"selector\";s:20:\".ast-header-button-1\";s:15:\"render_callback\";a:2:{i:0;r:6584;i:1;s:8:\"button_1\";}s:18:\"containerInclusive\";b:0;s:15:\"fallbackRefresh\";b:1;}s:29:\"astra-settings[header-html-1]\";a:4:{s:8:\"selector\";s:18:\".ast-header-html-1\";s:15:\"render_callback\";a:2:{i:0;r:6584;i:1;s:13:\"header_html_1\";}s:18:\"containerInclusive\";s:0:\"\";s:15:\"fallbackRefresh\";b:0;}s:29:\"astra-settings[header-html-2]\";a:4:{s:8:\"selector\";s:18:\".ast-header-html-2\";s:15:\"render_callback\";a:2:{i:0;r:6584;i:1;s:13:\"header_html_2\";}s:18:\"containerInclusive\";s:0:\"\";s:15:\"fallbackRefresh\";b:0;}s:42:\"astra-settings[header-account-login-style]\";a:4:{s:8:\"selector\";s:19:\".ast-header-account\";s:15:\"render_callback\";a:2:{i:0;s:27:\"Astra_Builder_UI_Controller\";i:1;s:14:\"render_account\";}s:18:\"containerInclusive\";s:0:\"\";s:15:\"fallbackRefresh\";b:1;}s:45:\"astra-settings[header-account-logged-in-text]\";a:4:{s:8:\"selector\";s:19:\".ast-header-account\";s:15:\"render_callback\";a:2:{i:0;s:27:\"Astra_Builder_UI_Controller\";i:1;s:14:\"render_account\";}s:18:\"containerInclusive\";s:0:\"\";s:15:\"fallbackRefresh\";b:1;}s:41:\"astra-settings[header-account-login-link]\";a:4:{s:8:\"selector\";s:19:\".ast-header-account\";s:15:\"render_callback\";a:2:{i:0;s:27:\"Astra_Builder_UI_Controller\";i:1;s:14:\"render_account\";}s:18:\"containerInclusive\";s:0:\"\";s:15:\"fallbackRefresh\";b:1;}s:43:\"astra-settings[header-account-logout-style]\";a:4:{s:8:\"selector\";s:19:\".ast-header-account\";s:15:\"render_callback\";a:2:{i:0;s:27:\"Astra_Builder_UI_Controller\";i:1;s:14:\"render_account\";}s:18:\"containerInclusive\";s:0:\"\";s:15:\"fallbackRefresh\";b:1;}s:45:\"astra-settings[header-account-logout-preview]\";a:4:{s:8:\"selector\";s:19:\".ast-header-account\";s:15:\"render_callback\";a:2:{i:0;s:27:\"Astra_Builder_UI_Controller\";i:1;s:14:\"render_account\";}s:18:\"containerInclusive\";s:0:\"\";s:15:\"fallbackRefresh\";b:1;}s:46:\"astra-settings[header-account-logged-out-text]\";a:4:{s:8:\"selector\";s:19:\".ast-header-account\";s:15:\"render_callback\";a:2:{i:0;s:27:\"Astra_Builder_UI_Controller\";i:1;s:14:\"render_account\";}s:18:\"containerInclusive\";s:0:\"\";s:15:\"fallbackRefresh\";b:1;}s:37:\"astra-settings[header-social-icons-1]\";a:4:{s:8:\"selector\";s:25:\".ast-header-social-1-wrap\";s:15:\"render_callback\";a:2:{i:0;r:6584;i:1;s:15:\"header_social_1\";}s:18:\"containerInclusive\";b:1;s:15:\"fallbackRefresh\";b:0;}s:44:\"astra-settings[header-social-1-label-toggle]\";a:4:{s:8:\"selector\";s:25:\".ast-header-social-1-wrap\";s:15:\"render_callback\";a:2:{i:0;r:6584;i:1;s:15:\"header_social_1\";}s:18:\"containerInclusive\";b:1;s:15:\"fallbackRefresh\";b:0;}s:33:\"astra-settings[hba-footer-column]\";a:4:{s:8:\"selector\";s:23:\".site-above-footer-wrap\";s:15:\"render_callback\";a:2:{i:0;r:6605;i:1;s:12:\"above_footer\";}s:18:\"containerInclusive\";b:0;s:15:\"fallbackRefresh\";b:1;}s:33:\"astra-settings[hbb-footer-column]\";a:4:{s:8:\"selector\";s:23:\".site-below-footer-wrap\";s:15:\"render_callback\";a:2:{i:0;r:6605;i:1;s:12:\"below_footer\";}s:18:\"containerInclusive\";b:0;s:15:\"fallbackRefresh\";b:1;}s:39:\"astra-settings[footer-copyright-editor]\";a:4:{s:8:\"selector\";s:21:\".ast-footer-copyright\";s:15:\"render_callback\";a:2:{i:0;r:6605;i:1;s:16:\"footer_copyright\";}s:18:\"containerInclusive\";b:1;s:15:\"fallbackRefresh\";b:1;}s:34:\"astra-settings[footer-menu-layout]\";a:4:{s:8:\"selector\";s:59:\".footer-widget-area[data-section=\"section-footer-menu\"] nav\";s:15:\"render_callback\";a:2:{i:0;r:6605;i:1;s:11:\"footer_menu\";}s:18:\"containerInclusive\";b:1;s:15:\"fallbackRefresh\";b:1;}s:37:\"astra-settings[footer-social-icons-1]\";a:4:{s:8:\"selector\";s:25:\".ast-footer-social-1-wrap\";s:15:\"render_callback\";a:2:{i:0;r:6605;i:1;s:15:\"footer_social_1\";}s:18:\"containerInclusive\";b:1;s:15:\"fallbackRefresh\";b:0;}s:44:\"astra-settings[footer-social-1-label-toggle]\";a:4:{s:8:\"selector\";s:25:\".ast-footer-social-1-wrap\";s:15:\"render_callback\";a:2:{i:0;r:6605;i:1;s:15:\"footer_social_1\";}s:18:\"containerInclusive\";b:1;s:15:\"fallbackRefresh\";b:0;}s:32:\"astra-settings[hb-footer-column]\";a:4:{s:8:\"selector\";s:25:\".site-primary-footer-wrap\";s:15:\"render_callback\";a:2:{i:0;r:6605;i:1;s:14:\"primary_footer\";}s:18:\"containerInclusive\";b:0;s:15:\"fallbackRefresh\";b:1;}s:29:\"astra-settings[footer-html-1]\";a:4:{s:8:\"selector\";s:18:\".ast-footer-html-1\";s:15:\"render_callback\";a:2:{i:0;r:6605;i:1;s:13:\"footer_html_1\";}s:18:\"containerInclusive\";s:0:\"\";s:15:\"fallbackRefresh\";b:0;}s:29:\"astra-settings[footer-html-2]\";a:4:{s:8:\"selector\";s:18:\".ast-footer-html-2\";s:15:\"render_callback\";a:2:{i:0;r:6605;i:1;s:13:\"footer_html_2\";}s:18:\"containerInclusive\";s:0:\"\";s:15:\"fallbackRefresh\";b:0;}}}", "no");

/* INSERT TABLE DATA: wp_postmeta */
INSERT INTO `wp_postmeta` VALUES("1", "2", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("2", "3", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("3", "5", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("4", "5", "_elementor_template_type", "kit");
INSERT INTO `wp_postmeta` VALUES("8", "7", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("7", "7", "_edit_lock", "1689467051:1");
INSERT INTO `wp_postmeta` VALUES("9", "7", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("10", "7", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("11", "7", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("12", "7", "_astra_content_layout_flag", "disabled");
INSERT INTO `wp_postmeta` VALUES("13", "7", "site-post-title", "disabled");
INSERT INTO `wp_postmeta` VALUES("14", "7", "ast-title-bar-display", "disabled");
INSERT INTO `wp_postmeta` VALUES("15", "7", "ast-featured-img", "disabled");
INSERT INTO `wp_postmeta` VALUES("16", "7", "site-content-layout", "page-builder");
INSERT INTO `wp_postmeta` VALUES("17", "7", "site-sidebar-layout", "no-sidebar");
INSERT INTO `wp_postmeta` VALUES("19", "7", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("20", "7", "_elementor_data", "[{\"id\":\"3d47da92\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"bc47e13\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\"},\"elements\":[{\"id\":\"7b24fe6b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"5b81e2a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"47a97a8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648<\\/strong> \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"46fec036\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.1,\"sizes\":[]},\"editor\":\"<p style=\\\"text-align: justify;\\\">\\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u0647\\u0645\\u06cc\\u0634 \\u062c\\u0632\\u0621 \\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646 \\u0647\\u0627 \\u062f\\u0631 \\u062f\\u0646\\u06cc\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0628\\u0648\\u062f\\u0647\\u060c \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0628\\u0647 \\u0639\\u0644\\u062a \\u0647\\u0645\\u0627\\u0647\\u0646\\u06af\\u06cc \\u0628\\u0627\\u0644\\u0627\\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u0648 \\u0633\\u0631\\u0639\\u062a \\u0628\\u0633\\u06cc\\u0627\\u0631 \\u0628\\u0627\\u0648\\u0631\\u0646\\u06a9\\u0631\\u062f\\u0646\\u06cc \\u0645\\u062d\\u0628\\u0648\\u0628\\u06cc\\u062a \\u0628\\u0633\\u06cc\\u0627\\u0631 \\u0628\\u0627\\u0644\\u0627\\u06cc\\u06cc \\u0628\\u06cc\\u0646 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u06a9\\u0627\\u0631\\u0627\\u0646 \\u062f\\u0627\\u0631\\u062f\\u060c \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647 \\u0627\\u06cc\\u0646 \\u0646\\u0633\\u062e\\u0647 \\u0627\\u0632 \\u0642\\u0627\\u0644\\u0628 \\u0631\\u0627 \\u0628\\u0647 \\u0635\\u0648\\u0631\\u062a \\u0627\\u062e\\u062a\\u0635\\u0627\\u0635\\u06cc \\u0628\\u0631\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u0627\\u0646 \\u0633\\u0627\\u06cc\\u062a \\u062e\\u0648\\u062f \\u0637\\u0631\\u0627\\u062d\\u06cc \\u06a9\\u0631\\u062f\\u0647.<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6e51cf6c\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0647\\u0627\",\"link\":{\"url\":\"#takhfif\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"5e5aaebf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"content_position\":\"center\"},\"elements\":[{\"id\":\"5e81c5e2\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width\":{\"unit\":\"%\",\"size\":46,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6f9eb886\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"150\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"bcfb378\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"3098e3f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u0642\\u0627\\u0644\\u0628<\\/strong> \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"59830cb0\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0631\\u0627 \\u0645\\u06cc\\u200c\\u062a\\u0648\\u0627\\u0646\\u06cc\\u062f \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0627\\u0632 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647 \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"68c7709a\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#FCEEEF\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"25\",\"isLinked\":false},\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"4e7cb11e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"d926dc7\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 \\u0686\\u0646\\u062f \\u0645\\u0646\\u0638\\u0648\\u0631\\u0647 \\u2013 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc Astra \\u060c \\u06cc\\u06a9 \\u0642\\u0627\\u0644\\u0628 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0628\\u0631\\u0627\\u06cc \\u0631\\u0627\\u0647 \\u0627\\u0646\\u062f\\u0627\\u0632\\u06cc \\u06cc\\u06a9 \\u0648\\u0628\\u0633\\u0627\\u06cc\\u062a \\u062d\\u0631\\u0641\\u0647\\u200c\\u0627\\u06cc \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0627\\u0633\\u062a. \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u0627\\u0632 \\u0633\\u0627\\u0632\\u06af\\u0627\\u0631 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u200c\\u0647\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u0648 \\u062c\\u0632 \\u0633\\u0631\\u06cc\\u0639\\u200c\\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u200c\\u0647\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0627\\u0633\\u062a!! \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u060c \\u0628\\u0637\\u0648\\u0631 \\u06a9\\u0627\\u0645\\u0644 \\u062a\\u0631\\u062c\\u0645\\u0647\\u060c \\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646 \\u0648 \\u0628\\u0648\\u0645\\u06cc \\u0634\\u062f\\u0647 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0633\\u0627\\u06cc\\u062a\\u200c\\u0647\\u0627\\u06cc \\u0627\\u06cc\\u0631\\u0627\\u0646\\u06cc\\u060c \\u0628\\u0631\\u0627\\u062d\\u062a\\u06cc \\u0642\\u0627\\u0628\\u0644 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0633\\u062a.\\u0628\\u062e\\u0634\\u200c\\u0647\\u0627\\u06cc \\u0645\\u062e\\u062a\\u0644\\u0641 \\u0642\\u0627\\u0644\\u0628 Astra \\u062e\\u06cc\\u0644\\u06cc \\u0631\\u0627\\u062d\\u062a \\u0628\\u0627 \\u0633\\u0641\\u0627\\u0631\\u0634\\u06cc \\u0633\\u0627\\u0632 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\\u060c \\u0642\\u0627\\u0628\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0648 \\u0634\\u062e\\u0635\\u06cc \\u0633\\u0627\\u0632\\u06cc \\u0627\\u0633\\u062a. \\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0627\\u062a \\u0645\\u062e\\u062a\\u0644\\u0641 \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u060c \\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u06cc\\u0639\\u0646\\u06cc \\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0647 \\u0633\\u0627\\u0632 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0642\\u0627\\u0628\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u0633\\u062a\\u060c \\u062f\\u0631 \\u0627\\u06cc\\u0646 \\u0646\\u0633\\u062e\\u0647 \\u0627\\u0632 \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u06a9\\u0647 \\u062a\\u0648\\u0633\\u0637 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647 \\u0637\\u0631\\u0627\\u062d\\u06cc \\u0634\\u062f\\u0647 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u067e\\u0631\\u0648 \\u0628\\u0627 \\u0644\\u0627\\u06cc\\u0633\\u0646\\u0633 \\u0627\\u0635\\u0644\\u06cc \\u0646\\u06cc\\u0632 \\u0628\\u0647 \\u0635\\u0648\\u0631\\u062a \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0631\\u0648\\u06cc \\u0642\\u0627\\u0644\\u0628 \\u0646\\u0635\\u0628 \\u0645\\u06cc\\u200c\\u0628\\u0627\\u0634\\u062f \\u067e\\u0633 \\u0628\\u0627 \\u062e\\u06cc\\u0627\\u0644 \\u0631\\u0627\\u062d\\u062a \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0646\\u06cc\\u062f\\u060c \\u0627\\u0644\\u0628\\u062a\\u0647 \\u0646\\u0633\\u062e\\u0647 \\u0647\\u0627\\u06cc \\u062c\\u062f\\u06cc\\u062f\\u062a\\u0631 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u0631\\u0627 \\u0646\\u06cc\\u0632 \\u0645\\u06cc \\u062a\\u0648\\u0627\\u0646\\u06cc\\u062f \\u0627\\u0632 \\u0633\\u0627\\u06cc\\u062a \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647 \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0646\\u06cc\\u062f.\",\"align\":\"center\",\"title_color\":\"#0B0B0B\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"},\"align_mobile\":\"justify\",\"typography_line_height\":{\"unit\":\"px\",\"size\":42,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"4ddff111\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"40\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"72432585\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7a3633a3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0631\\u062e\\u06cc<strong style=\\\"font-weight: bold;\\\"> \\u0627\\u0632 <\\/strong> \\u0627\\u0645\\u06a9\\u0627\\u0646\\u0627\\u062a \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e715028\",\"elType\":\"section\",\"settings\":{\"structure\":\"60\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"50\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"height\":\"min-height\"},\"elements\":[{\"id\":\"4760962c\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"685374c\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-elementor\",\"library\":\"fa-brands\"},\"_id\":\"0ff8d56\"}],\"icon_color\":\"custom\",\"icon_primary_color\":\"#EEEEEE\",\"icon_secondary_color\":\"#282828\",\"icon_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":55,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"social-icons\"},{\"id\":\"6f14ce2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631\\u067e\\u0631\\u0648\",\"align\":\"center\",\"title_color\":\"#282828\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANYekanFN\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"300\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"8e9ae7e\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"10f68d8\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"_id\":\"b0892a9\"}],\"icon_color\":\"custom\",\"icon_primary_color\":\"#EEEEEE\",\"icon_secondary_color\":\"#282828\",\"icon_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":55,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"social-icons\"},{\"id\":\"b8bf7fb\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0622\\u062e\\u0631\\u06cc\\u0646 \\u0646\\u0633\\u062e\\u0647\",\"align\":\"center\",\"title_color\":\"#282828\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANYekanFN\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"300\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"efedc26\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"2864377\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-erlang\",\"library\":\"fa-brands\"},\"_id\":\"4f9e77b\"}],\"icon_color\":\"custom\",\"icon_primary_color\":\"#EEEEEE\",\"icon_secondary_color\":\"#282828\",\"icon_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":55,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"social-icons\"},{\"id\":\"2b1f61e\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0641\\u0627\\u0631\\u0633\\u06cc \\u0633\\u0627\\u0632\\u06cc \\u0634\\u062f\\u0647\",\"align\":\"center\",\"title_color\":\"#282828\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANYekanFN\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"300\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"49a3f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"28b1c17\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fas fa-cloud-upload-alt\",\"library\":\"fa-solid\"},\"_id\":\"abf151b\"}],\"icon_color\":\"custom\",\"icon_primary_color\":\"#EEEEEE\",\"icon_secondary_color\":\"#282828\",\"icon_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":55,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"social-icons\"},{\"id\":\"219c6a3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"align\":\"center\",\"title_color\":\"#282828\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANYekanFN\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"300\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"43d9d1b\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"f4ede82\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fas fa-spell-check\",\"library\":\"fa-solid\"},\"_id\":\"142f58a\"}],\"icon_color\":\"custom\",\"icon_primary_color\":\"#EEEEEE\",\"icon_secondary_color\":\"#282828\",\"icon_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":55,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"social-icons\"},{\"id\":\"2c7442e\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646\",\"align\":\"center\",\"title_color\":\"#282828\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANYekanFN\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"300\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"7f17510\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"1ad4bc4\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-html5\",\"library\":\"fa-brands\"},\"_id\":\"c60c9c2\"}],\"icon_color\":\"custom\",\"icon_primary_color\":\"#EEEEEE\",\"icon_secondary_color\":\"#282828\",\"icon_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":55,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"social-icons\"},{\"id\":\"d1f4436\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u06a9\\u062f\\u0646\\u0648\\u06cc\\u0633\\u06cc \\u0628\\u0647\\u06cc\\u0646\\u0647\",\"align\":\"center\",\"title_color\":\"#282828\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANYekanFN\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"300\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"2704b328\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"66adc7cc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":37.923,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_radius_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"border_radius_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"content_position\":\"center\",\"align\":\"center\"},\"elements\":[{\"id\":\"59b59eb3\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"width\":{\"unit\":\"%\",\"size\":49,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"907199f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":62.077,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e5012f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u067e\\u064f\\u0631\\u0641\\u0631\\u0648\\u0634 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\\u06cc\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6ad9e4f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0647\\u062a \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"67353f86\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627\\u067e\\u0631\\u0648\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"449c823e\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"76fa53ff\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"795b4470\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f<\\/strong> \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"42799af2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648 \\u0628\\u0647 \\u0647\\u0645\\u0631\\u0627\\u0647 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u067e\\u0631\\u0648 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"45da3027\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_element_id\":\"takhfif\",\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"6121ccf1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"7f3f1df\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astrapro.jpg\",\"id\":58,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"width\":{\"unit\":\"%\",\"size\":44,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":76,\"sizes\":[]},\"image_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"63f49a14\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#282828\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"100\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"height\":\"min-height\"},\"elements\":[{\"id\":\"2e4826c5\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":25.074,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"4c117094\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":68,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/favicon.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"1f3b48f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":74.926,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"331ce172\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0631\\u0627\\u0626\\u0647 \\u0634\\u062f\\u0647 \\u062a\\u0648\\u0633\\u0637 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5294f8c5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0634\\u0627\\u0648\\u0631\\u0647 \\u0637\\u0631\\u0627\\u062d\\u06cc \\u0633\\u0627\\u06cc\\u062a \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"0f660fe\",\"elType\":\"widget\",\"settings\":{\"text\":\"0990-9365394\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-mobile-alt\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#FCFCFC\",\"background_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false},\"link\":{\"url\":\"tel:09909365394\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("21", "7", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("22", "10", "_wp_attached_file", "2023/07/astra-logo.png");
INSERT INTO `wp_postmeta` VALUES("23", "10", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:327;s:6:\"height\";i:327;s:4:\"file\";s:22:\"2023/07/astra-logo.png\";s:8:\"filesize\";i:33952;s:5:\"sizes\";a:2:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"astra-logo-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:28532;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"astra-logo-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:9049;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("24", "11", "_wp_attached_file", "2023/07/icon-astra.png");
INSERT INTO `wp_postmeta` VALUES("25", "11", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:80;s:6:\"height\";i:80;s:4:\"file\";s:22:\"2023/07/icon-astra.png\";s:8:\"filesize\";i:6545;s:5:\"sizes\";a:0:{}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("26", "12", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("27", "12", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("28", "12", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("29", "12", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("30", "12", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("31", "12", "_elementor_data", "[]");
INSERT INTO `wp_postmeta` VALUES("32", "12", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("33", "13", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("34", "13", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("35", "13", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("36", "13", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("37", "13", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("38", "13", "_elementor_data", "[]");
INSERT INTO `wp_postmeta` VALUES("39", "13", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("40", "7", "_thumbnail_id", "10");
INSERT INTO `wp_postmeta` VALUES("41", "7", "_elementor_page_settings", "a:1:{s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("42", "14", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("43", "14", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("44", "14", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("45", "14", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("46", "14", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("47", "14", "_elementor_data", "[]");
INSERT INTO `wp_postmeta` VALUES("48", "14", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("49", "14", "_thumbnail_id", "10");
INSERT INTO `wp_postmeta` VALUES("50", "14", "_elementor_page_settings", "a:1:{s:10:\"hide_title\";s:3:\"yes\";}");
INSERT INTO `wp_postmeta` VALUES("52", "5", "_edit_lock", "1689451674:1");
INSERT INTO `wp_postmeta` VALUES("53", "15", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("54", "15", "_elementor_template_type", "kit");
INSERT INTO `wp_postmeta` VALUES("70", "17", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("71", "17", "_elementor_template_type", "kit");
INSERT INTO `wp_postmeta` VALUES("72", "17", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("56", "5", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("57", "5", "_elementor_page_settings", "a:30:{s:13:\"system_colors\";a:4:{i:0;a:3:{s:3:\"_id\";s:7:\"primary\";s:5:\"title\";s:10:\"اولیه\";s:5:\"color\";s:7:\"#6EC1E4\";}i:1;a:3:{s:3:\"_id\";s:9:\"secondary\";s:5:\"title\";s:6:\"دوم\";s:5:\"color\";s:7:\"#54595F\";}i:2;a:3:{s:3:\"_id\";s:4:\"text\";s:5:\"title\";s:6:\"متن\";s:5:\"color\";s:7:\"#7A7A7A\";}i:3;a:3:{s:3:\"_id\";s:6:\"accent\";s:5:\"title\";s:29:\"رنگ تم اصلی سایت\";s:5:\"color\";s:7:\"#61CE70\";}}s:13:\"custom_colors\";a:0:{}s:17:\"system_typography\";a:4:{i:0;a:5:{s:3:\"_id\";s:7:\"primary\";s:5:\"title\";s:10:\"اولیه\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:11:\"IRANYekanFN\";s:22:\"typography_font_weight\";s:3:\"600\";}i:1;a:5:{s:3:\"_id\";s:9:\"secondary\";s:5:\"title\";s:6:\"دوم\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:11:\"IRANYekanFN\";s:22:\"typography_font_weight\";s:3:\"400\";}i:2;a:5:{s:3:\"_id\";s:4:\"text\";s:5:\"title\";s:6:\"متن\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:11:\"IRANYekanFN\";s:22:\"typography_font_weight\";s:3:\"400\";}i:3;a:5:{s:3:\"_id\";s:6:\"accent\";s:5:\"title\";s:29:\"رنگ تم اصلی سایت\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:11:\"IRANYekanFN\";s:22:\"typography_font_weight\";s:3:\"500\";}}s:17:\"custom_typography\";a:0:{}s:21:\"default_generic_fonts\";s:11:\"IRANYekanFN\";s:26:\"body_typography_typography\";s:6:\"custom\";s:27:\"body_typography_font_family\";s:11:\"IRANYekanFN\";s:27:\"body_typography_font_weight\";s:3:\"300\";s:33:\"link_normal_typography_typography\";s:6:\"custom\";s:34:\"link_normal_typography_font_family\";s:11:\"IRANYekanFN\";s:24:\"h1_typography_typography\";s:6:\"custom\";s:25:\"h1_typography_font_family\";s:11:\"IRANYekanFN\";s:24:\"h2_typography_typography\";s:6:\"custom\";s:25:\"h2_typography_font_family\";s:11:\"IRANYekanFN\";s:24:\"h3_typography_typography\";s:6:\"custom\";s:25:\"h3_typography_font_family\";s:11:\"IRANYekanFN\";s:24:\"h5_typography_typography\";s:6:\"custom\";s:25:\"h5_typography_font_family\";s:11:\"IRANYekanFN\";s:24:\"h6_typography_typography\";s:6:\"custom\";s:25:\"h6_typography_font_family\";s:11:\"IRANYekanFN\";s:28:\"button_typography_typography\";s:6:\"custom\";s:29:\"button_typography_font_family\";s:11:\"IRANYekanFN\";s:9:\"site_name\";s:58:\"قالب آسترا پرو | آموزشگاع علمینه\";s:16:\"site_description\";s:81:\"دمو رایگان قالب آسترا پرو | سیدامید قدسی زاده\";s:9:\"site_logo\";a:5:{s:3:\"url\";s:71:\"https://test.filtersanaat.com/wp-content/uploads/2023/07/icon-astra.png\";s:2:\"id\";i:11;s:4:\"size\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:6:\"source\";s:7:\"library\";}s:12:\"site_favicon\";a:5:{s:3:\"url\";s:71:\"https://test.filtersanaat.com/wp-content/uploads/2023/07/icon-astra.png\";s:2:\"id\";i:11;s:4:\"size\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:6:\"source\";s:7:\"library\";}s:19:\"page_title_selector\";s:14:\"h1.entry-title\";s:15:\"activeItemIndex\";i:1;s:11:\"viewport_md\";i:768;s:11:\"viewport_lg\";i:1025;}");
INSERT INTO `wp_postmeta` VALUES("58", "5", "_elementor_data", "[]");
INSERT INTO `wp_postmeta` VALUES("59", "16", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("60", "16", "_elementor_template_type", "kit");
INSERT INTO `wp_postmeta` VALUES("73", "17", "_elementor_page_settings", "a:12:{s:13:\"system_colors\";a:4:{i:0;a:3:{s:3:\"_id\";s:7:\"primary\";s:5:\"title\";s:10:\"اولیه\";s:5:\"color\";s:7:\"#6EC1E4\";}i:1;a:3:{s:3:\"_id\";s:9:\"secondary\";s:5:\"title\";s:6:\"دوم\";s:5:\"color\";s:7:\"#54595F\";}i:2;a:3:{s:3:\"_id\";s:4:\"text\";s:5:\"title\";s:6:\"متن\";s:5:\"color\";s:7:\"#7A7A7A\";}i:3;a:3:{s:3:\"_id\";s:6:\"accent\";s:5:\"title\";s:29:\"رنگ تم اصلی سایت\";s:5:\"color\";s:7:\"#61CE70\";}}s:13:\"custom_colors\";a:0:{}s:17:\"system_typography\";a:4:{i:0;a:5:{s:3:\"_id\";s:7:\"primary\";s:5:\"title\";s:10:\"اولیه\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:11:\"IRANYekanFN\";s:22:\"typography_font_weight\";s:3:\"600\";}i:1;a:5:{s:3:\"_id\";s:9:\"secondary\";s:5:\"title\";s:6:\"دوم\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:11:\"IRANYekanFN\";s:22:\"typography_font_weight\";s:3:\"400\";}i:2;a:5:{s:3:\"_id\";s:4:\"text\";s:5:\"title\";s:6:\"متن\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:11:\"IRANYekanFN\";s:22:\"typography_font_weight\";s:3:\"400\";}i:3;a:5:{s:3:\"_id\";s:6:\"accent\";s:5:\"title\";s:29:\"رنگ تم اصلی سایت\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:11:\"IRANYekanFN\";s:22:\"typography_font_weight\";s:3:\"500\";}}s:17:\"custom_typography\";a:0:{}s:21:\"default_generic_fonts\";s:11:\"IRANYekanFN\";s:28:\"button_typography_typography\";s:6:\"custom\";s:29:\"button_typography_font_family\";s:11:\"IRANYekanFN\";s:9:\"site_name\";s:58:\"قالب آسترا پرو | آموزشگاع علمینه\";s:19:\"page_title_selector\";s:14:\"h1.entry-title\";s:15:\"activeItemIndex\";i:1;s:11:\"viewport_md\";i:768;s:11:\"viewport_lg\";i:1025;}");
INSERT INTO `wp_postmeta` VALUES("62", "16", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("63", "16", "_elementor_page_settings", "a:10:{s:13:\"system_colors\";a:4:{i:0;a:3:{s:3:\"_id\";s:7:\"primary\";s:5:\"title\";s:10:\"اولیه\";s:5:\"color\";s:7:\"#6EC1E4\";}i:1;a:3:{s:3:\"_id\";s:9:\"secondary\";s:5:\"title\";s:6:\"دوم\";s:5:\"color\";s:7:\"#54595F\";}i:2;a:3:{s:3:\"_id\";s:4:\"text\";s:5:\"title\";s:6:\"متن\";s:5:\"color\";s:7:\"#7A7A7A\";}i:3;a:3:{s:3:\"_id\";s:6:\"accent\";s:5:\"title\";s:29:\"رنگ تم اصلی سایت\";s:5:\"color\";s:7:\"#61CE70\";}}s:13:\"custom_colors\";a:0:{}s:17:\"system_typography\";a:4:{i:0;a:5:{s:3:\"_id\";s:7:\"primary\";s:5:\"title\";s:10:\"اولیه\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:11:\"IRANYekanFN\";s:22:\"typography_font_weight\";s:3:\"600\";}i:1;a:5:{s:3:\"_id\";s:9:\"secondary\";s:5:\"title\";s:6:\"دوم\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:11:\"IRANYekanFN\";s:22:\"typography_font_weight\";s:3:\"400\";}i:2;a:5:{s:3:\"_id\";s:4:\"text\";s:5:\"title\";s:6:\"متن\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:11:\"IRANYekanFN\";s:22:\"typography_font_weight\";s:3:\"400\";}i:3;a:5:{s:3:\"_id\";s:6:\"accent\";s:5:\"title\";s:29:\"رنگ تم اصلی سایت\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:11:\"IRANYekanFN\";s:22:\"typography_font_weight\";s:3:\"500\";}}s:17:\"custom_typography\";a:0:{}s:21:\"default_generic_fonts\";s:11:\"IRANYekanFN\";s:9:\"site_name\";s:58:\"قالب آسترا پرو | آموزشگاع علمینه\";s:19:\"page_title_selector\";s:14:\"h1.entry-title\";s:15:\"activeItemIndex\";i:1;s:11:\"viewport_md\";i:768;s:11:\"viewport_lg\";i:1025;}");
INSERT INTO `wp_postmeta` VALUES("64", "16", "_elementor_data", "[]");
INSERT INTO `wp_postmeta` VALUES("65", "5", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("66", "5", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("67", "5", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("74", "17", "_elementor_data", "[]");
INSERT INTO `wp_postmeta` VALUES("75", "17", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("76", "17", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("77", "17", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("102", "20", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:379;s:6:\"height\";i:383;s:4:\"file\";s:16:\"2023/07/amoo.png\";s:8:\"filesize\";i:37309;s:5:\"sizes\";a:2:{s:6:\"medium\";a:5:{s:4:\"file\";s:16:\"amoo-297x300.png\";s:5:\"width\";i:297;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:105061;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:16:\"amoo-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:31863;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("80", "18", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("81", "18", "_elementor_template_type", "kit");
INSERT INTO `wp_postmeta` VALUES("82", "18", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("83", "18", "_elementor_page_settings", "a:27:{s:13:\"system_colors\";a:4:{i:0;a:3:{s:3:\"_id\";s:7:\"primary\";s:5:\"title\";s:10:\"اولیه\";s:5:\"color\";s:7:\"#6EC1E4\";}i:1;a:3:{s:3:\"_id\";s:9:\"secondary\";s:5:\"title\";s:6:\"دوم\";s:5:\"color\";s:7:\"#54595F\";}i:2;a:3:{s:3:\"_id\";s:4:\"text\";s:5:\"title\";s:6:\"متن\";s:5:\"color\";s:7:\"#7A7A7A\";}i:3;a:3:{s:3:\"_id\";s:6:\"accent\";s:5:\"title\";s:29:\"رنگ تم اصلی سایت\";s:5:\"color\";s:7:\"#61CE70\";}}s:13:\"custom_colors\";a:0:{}s:17:\"system_typography\";a:4:{i:0;a:5:{s:3:\"_id\";s:7:\"primary\";s:5:\"title\";s:10:\"اولیه\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:11:\"IRANYekanFN\";s:22:\"typography_font_weight\";s:3:\"600\";}i:1;a:5:{s:3:\"_id\";s:9:\"secondary\";s:5:\"title\";s:6:\"دوم\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:11:\"IRANYekanFN\";s:22:\"typography_font_weight\";s:3:\"400\";}i:2;a:5:{s:3:\"_id\";s:4:\"text\";s:5:\"title\";s:6:\"متن\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:11:\"IRANYekanFN\";s:22:\"typography_font_weight\";s:3:\"400\";}i:3;a:5:{s:3:\"_id\";s:6:\"accent\";s:5:\"title\";s:29:\"رنگ تم اصلی سایت\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:11:\"IRANYekanFN\";s:22:\"typography_font_weight\";s:3:\"500\";}}s:17:\"custom_typography\";a:0:{}s:21:\"default_generic_fonts\";s:11:\"IRANYekanFN\";s:26:\"body_typography_typography\";s:6:\"custom\";s:27:\"body_typography_font_family\";s:11:\"IRANYekanFN\";s:27:\"body_typography_font_weight\";s:3:\"300\";s:33:\"link_normal_typography_typography\";s:6:\"custom\";s:34:\"link_normal_typography_font_family\";s:11:\"IRANYekanFN\";s:24:\"h1_typography_typography\";s:6:\"custom\";s:25:\"h1_typography_font_family\";s:11:\"IRANYekanFN\";s:24:\"h2_typography_typography\";s:6:\"custom\";s:25:\"h2_typography_font_family\";s:11:\"IRANYekanFN\";s:24:\"h3_typography_typography\";s:6:\"custom\";s:25:\"h3_typography_font_family\";s:11:\"IRANYekanFN\";s:24:\"h5_typography_typography\";s:6:\"custom\";s:25:\"h5_typography_font_family\";s:11:\"IRANYekanFN\";s:24:\"h6_typography_typography\";s:6:\"custom\";s:25:\"h6_typography_font_family\";s:11:\"IRANYekanFN\";s:28:\"button_typography_typography\";s:6:\"custom\";s:29:\"button_typography_font_family\";s:11:\"IRANYekanFN\";s:9:\"site_name\";s:58:\"قالب آسترا پرو | آموزشگاه علمینه\";s:19:\"page_title_selector\";s:14:\"h1.entry-title\";s:15:\"activeItemIndex\";i:1;s:11:\"viewport_md\";i:768;s:11:\"viewport_lg\";i:1025;}");
INSERT INTO `wp_postmeta` VALUES("84", "18", "_elementor_data", "[]");
INSERT INTO `wp_postmeta` VALUES("85", "18", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("86", "18", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("87", "18", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("101", "20", "_wp_attached_file", "2023/07/amoo.png");
INSERT INTO `wp_postmeta` VALUES("103", "20", "_elementor_source_image_hash", "bb02e395e777e328eb3308fe5e0cad3a346d6d3a");
INSERT INTO `wp_postmeta` VALUES("104", "21", "_wp_attached_file", "2023/07/bglite-1.png");
INSERT INTO `wp_postmeta` VALUES("105", "21", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:497;s:6:\"height\";i:254;s:4:\"file\";s:20:\"2023/07/bglite-1.png\";s:8:\"filesize\";i:9943;s:5:\"sizes\";a:2:{s:6:\"medium\";a:5:{s:4:\"file\";s:20:\"bglite-1-300x153.png\";s:5:\"width\";i:300;s:6:\"height\";i:153;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:3648;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:20:\"bglite-1-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2094;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("106", "21", "_elementor_source_image_hash", "fd9603bdfc4a522d59d1258f62cc4e301003f298");
INSERT INTO `wp_postmeta` VALUES("107", "22", "_wp_attached_file", "2023/07/element.png");
INSERT INTO `wp_postmeta` VALUES("108", "22", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:378;s:6:\"height\";i:440;s:4:\"file\";s:19:\"2023/07/element.png\";s:8:\"filesize\";i:37838;s:5:\"sizes\";a:2:{s:6:\"medium\";a:5:{s:4:\"file\";s:19:\"element-258x300.png\";s:5:\"width\";i:258;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:31553;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:19:\"element-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:15712;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("109", "22", "_elementor_source_image_hash", "8b87f3efdd2376ca001ca81d0a6e2991382bb766");
INSERT INTO `wp_postmeta` VALUES("110", "23", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("111", "23", "_elementor_template_type", "page");
INSERT INTO `wp_postmeta` VALUES("112", "23", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("113", "23", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("114", "24", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("115", "24", "_elementor_template_type", "page");
INSERT INTO `wp_postmeta` VALUES("116", "24", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("117", "24", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("118", "23", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("119", "23", "_elementor_page_settings", "a:4:{s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";s:16:\"background_image\";a:3:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";s:4:\"size\";s:0:\"\";}s:25:\"background_video_fallback\";a:3:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";s:4:\"size\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}}");
INSERT INTO `wp_postmeta` VALUES("120", "23", "_elementor_data", "[{\"id\":\"4929fe62\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"20\",\"right\":0,\"bottom\":\"20\",\"left\":0,\"isLinked\":true},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"20\",\"left\":0,\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"7e46c38\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"_inline_size_mobile\":15,\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"2b982b9a\",\"elType\":\"widget\",\"settings\":{\"menu\":\"%d9%81%d9%87%d8%b1%d8%b3%d8%aa-%d9%81%d9%88%d8%aa%d8%b1\",\"pointer\":\"none\",\"dropdown\":\"mobile\",\"menu_typography_typography\":\"custom\",\"menu_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"menu_typography_font_weight\":\"bold\",\"color_menu_item\":\"#474747\",\"color_menu_item_hover\":\"#DE184C\",\"padding_horizontal_menu_item\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"full_width\":\"stretch\",\"text_align\":\"center\",\"toggle_align\":\"right\",\"menu_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"dropdown_box_shadow_box_shadow_type\":\"yes\",\"dropdown_box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.2)\"},\"padding_horizontal_dropdown_item_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"dropdown_divider_width\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"dropdown_top_distance_mobile\":{\"unit\":\"px\",\"size\":27,\"sizes\":[]},\"toggle_color\":\"#4A4A4A\",\"toggle_background_color\":\"#EEEEEE\",\"toggle_size_mobile\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"toggle_border_width_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"toggle_border_radius_mobile\":{\"unit\":\"px\",\"size\":4,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"0\",\"bottom\":\"6\",\"left\":\"6\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"menu_id\":32,\"submenu_icon\":{\"value\":\"fas fa-caret-down\",\"library\":\"fa-solid\"},\"toggle_icon_normal\":{\"value\":\"\",\"library\":\"\"},\"toggle_icon_active\":{\"value\":\"\",\"library\":\"\"},\"_background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_slideshow_gallery\":[],\"_background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_slideshow_gallery\":[],\"_mask_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"nav-menu\"}],\"isInner\":false},{\"id\":\"418fd895\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"_inline_size_mobile\":85,\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"93d4288\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook\",\"library\":\"fa-brands\"},\"_id\":\"c76eae1\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"_id\":\"90fbc25\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-telegram\",\"library\":\"fa-brands\"},\"_id\":\"e193c8e\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"adfbcc5\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-youtube\",\"library\":\"fa-brands\"},\"_id\":\"b79d4c6\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"}],\"align\":\"left\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#EEEEEE\",\"icon_secondary_color\":\"#282828\",\"icon_size\":{\"unit\":\"px\",\"size\":19,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"left\",\"_background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_slideshow_gallery\":[],\"_background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_slideshow_gallery\":[],\"_mask_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"3c4c0982\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"6393aaec\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\",\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"1ce53334\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"e820270\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"48b141bc\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0634\\u0646\\u0648\\u0627\\u0631\\u0647 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0646\\u0648\\u0631\\u0648\\u0632 <\\/strong> \\u0634\\u06af\\u0641\\u062a \\u0627\\u0646\\u06af\\u06cc\\u0632\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\",\"_background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_slideshow_gallery\":[],\"_background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_slideshow_gallery\":[],\"_mask_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"790725e\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.1,\"sizes\":[]},\"_background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_slideshow_gallery\":[],\"_background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_slideshow_gallery\":[],\"_mask_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"31319fe5\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0647\\u0627\",\"link\":{\"url\":\"#takhfif\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"button_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"button_background_hover_slideshow_gallery\":[],\"_background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_slideshow_gallery\":[],\"_background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_slideshow_gallery\":[],\"_mask_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"252c4254\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"6790c01a\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":20,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/amoo.png\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_slideshow_gallery\":[],\"_background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_slideshow_gallery\":[],\"_mask_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"586f6f88\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"150\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"c533094\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"3bfffe34\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062e\\u0641\\u06cc\\u0641 <strong style=\\\"font-weight: bold;\\\"> \\u0648\\u06cc\\u0698\\u0647 <\\/strong> \\u0627\\u0645\\u0631\\u0648\\u0632 \",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"},\"_background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_slideshow_gallery\":[],\"_background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_slideshow_gallery\":[],\"_mask_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4b7d8d63\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0641\\u0642\\u0637 \\u0628\\u0647 \\u0645\\u062f\\u062a \\u06cc\\u06a9 \\u0631\\u0648\\u0632 \\u0641\\u0639\\u0627\\u0644 \\u0627\\u0633\\u062a \",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"},\"_background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_slideshow_gallery\":[],\"_background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_slideshow_gallery\":[],\"_mask_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6a20903\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#FCEEEF\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"25\",\"isLinked\":false},\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\",\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"302563ef\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"2aaba4f\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"40\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true},\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"78ac8a06\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"82fde3e\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062e\\u0641\\u06cc\\u0641 <strong style=\\\"font-weight: bold;\\\"> \\u0648\\u06cc\\u0698\\u0647 <\\/strong> \\u0627\\u0645\\u0631\\u0648\\u0632 \",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"},\"_background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_slideshow_gallery\":[],\"_background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_slideshow_gallery\":[],\"_mask_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"1c47f09\",\"elType\":\"section\",\"settings\":{\"structure\":\"60\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"50\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"3bed8d6a\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":false},{\"id\":\"3a9ac46f\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":false},{\"id\":\"77ae1e97\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":false},{\"id\":\"7a71533e\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":false},{\"id\":\"45d03570\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":false},{\"id\":\"5ddc3777\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"760e4b1\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"3c7d9f21\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":37.923,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_radius_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"border_radius_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"74243370\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"\",\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/plugins\\/elementor\\/assets\\/images\\/placeholder.png\"},\"_background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_slideshow_gallery\":[],\"_background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_slideshow_gallery\":[],\"_mask_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"ead4976\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":62.077,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"37471cf4\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0641\\u0631\\u0648\\u0634 \\u06a9\\u062a \\u0648 \\u0634\\u0644\\u0648\\u0627\\u0631 \\u0645\\u0631\\u062f\\u0627\\u0646\\u0647 \\u062d\\u0631\\u0641\\u0647 \\u0627\\u06cc\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"},\"_background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_slideshow_gallery\":[],\"_background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_slideshow_gallery\":[],\"_mask_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"3541dd36\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sell professional men\'s suit \",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"},\"_background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_slideshow_gallery\":[],\"_background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_slideshow_gallery\":[],\"_mask_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"21be29d2\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062c\\u0632\\u06cc\\u06cc\\u0627\\u062a \\u0645\\u062d\\u0635\\u0648\\u0644\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"button_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"button_background_hover_slideshow_gallery\":[],\"_background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_slideshow_gallery\":[],\"_background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_slideshow_gallery\":[],\"_mask_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"10c7f13e\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true},\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"1fbe297e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"591caff6\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062e\\u0641\\u06cc\\u0641 <strong style=\\\"font-weight: bold;\\\"> \\u0648\\u06cc\\u0698\\u0647 <\\/strong> \\u062f\\u06a9\\u0648\\u0631\\u0627\\u0633\\u06cc\\u0648\\u0646\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"},\"_background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_slideshow_gallery\":[],\"_background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_slideshow_gallery\":[],\"_mask_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"8bfb0c9\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0641\\u0642\\u0637 \\u0628\\u0647 \\u0645\\u062f\\u062a \\u06cc\\u06a9 \\u0631\\u0648\\u0632 \\u0641\\u0639\\u0627\\u0644 \\u0627\\u0633\\u062a \",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"},\"_background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_slideshow_gallery\":[],\"_background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_slideshow_gallery\":[],\"_mask_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"5b235bc1\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_element_id\":\"takhfif\",\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\",\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"767ee3a0\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"232c32b5\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#282828\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"100\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"605116d3\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":25.074,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-mobile\",\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"3dfde1c0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":22,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/element.png\"},\"_background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_slideshow_gallery\":[],\"_background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_slideshow_gallery\":[],\"_mask_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"16da7228\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":74.926,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"239ebeb5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0648\\u0631\\u0648\\u0632 1401 \\u0645\\u0628\\u0627\\u0631\\u06a9\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"},\"_background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_slideshow_gallery\":[],\"_background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_slideshow_gallery\":[],\"_mask_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"79d69b4b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Happy Nowruz 1401 \",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"},\"_background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_slideshow_gallery\":[],\"_background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_slideshow_gallery\":[],\"_mask_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("121", "25", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("122", "25", "_elementor_template_type", "page");
INSERT INTO `wp_postmeta` VALUES("123", "25", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("124", "25", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("125", "25", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("126", "25", "_elementor_page_settings", "a:4:{s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";s:16:\"background_image\";a:3:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";s:4:\"size\";s:0:\"\";}s:25:\"background_video_fallback\";a:3:{s:3:\"url\";s:0:\"\";s:2:\"id\";s:0:\"\";s:4:\"size\";s:0:\"\";}s:28:\"background_slideshow_gallery\";a:0:{}}");
INSERT INTO `wp_postmeta` VALUES("127", "25", "_elementor_data", "[{\"id\":\"4929fe62\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"20\",\"right\":0,\"bottom\":\"20\",\"left\":0,\"isLinked\":true},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"20\",\"left\":0,\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"7e46c38\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"_inline_size_mobile\":15,\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"2b982b9a\",\"elType\":\"widget\",\"settings\":{\"menu\":\"%d9%81%d9%87%d8%b1%d8%b3%d8%aa-%d9%81%d9%88%d8%aa%d8%b1\",\"pointer\":\"none\",\"dropdown\":\"mobile\",\"menu_typography_typography\":\"custom\",\"menu_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"menu_typography_font_weight\":\"bold\",\"color_menu_item\":\"#474747\",\"color_menu_item_hover\":\"#DE184C\",\"padding_horizontal_menu_item\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"full_width\":\"stretch\",\"text_align\":\"center\",\"toggle_align\":\"right\",\"menu_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"dropdown_box_shadow_box_shadow_type\":\"yes\",\"dropdown_box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.2)\"},\"padding_horizontal_dropdown_item_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"dropdown_divider_width\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"dropdown_top_distance_mobile\":{\"unit\":\"px\",\"size\":27,\"sizes\":[]},\"toggle_color\":\"#4A4A4A\",\"toggle_background_color\":\"#EEEEEE\",\"toggle_size_mobile\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"toggle_border_width_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"toggle_border_radius_mobile\":{\"unit\":\"px\",\"size\":4,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"0\",\"bottom\":\"6\",\"left\":\"6\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"menu_id\":32,\"submenu_icon\":{\"value\":\"fas fa-caret-down\",\"library\":\"fa-solid\"},\"toggle_icon_normal\":{\"value\":\"\",\"library\":\"\"},\"toggle_icon_active\":{\"value\":\"\",\"library\":\"\"},\"_background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_slideshow_gallery\":[],\"_background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_slideshow_gallery\":[],\"_mask_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"nav-menu\"}],\"isInner\":false},{\"id\":\"418fd895\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"_inline_size_mobile\":85,\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"93d4288\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook\",\"library\":\"fa-brands\"},\"_id\":\"c76eae1\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"_id\":\"90fbc25\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-telegram\",\"library\":\"fa-brands\"},\"_id\":\"e193c8e\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"adfbcc5\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"},{\"social_icon\":{\"value\":\"fab fa-youtube\",\"library\":\"fa-brands\"},\"_id\":\"b79d4c6\",\"link\":{\"url\":\"\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"item_icon_color\":\"default\",\"item_icon_primary_color\":\"\",\"item_icon_secondary_color\":\"\"}],\"align\":\"left\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#EEEEEE\",\"icon_secondary_color\":\"#282828\",\"icon_size\":{\"unit\":\"px\",\"size\":19,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"left\",\"_background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_slideshow_gallery\":[],\"_background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_slideshow_gallery\":[],\"_mask_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"3c4c0982\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"6393aaec\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\",\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"1ce53334\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"e820270\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"48b141bc\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0634\\u0646\\u0648\\u0627\\u0631\\u0647 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0646\\u0648\\u0631\\u0648\\u0632 <\\/strong> \\u0634\\u06af\\u0641\\u062a \\u0627\\u0646\\u06af\\u06cc\\u0632\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\",\"_background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_slideshow_gallery\":[],\"_background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_slideshow_gallery\":[],\"_mask_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"790725e\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.1,\"sizes\":[]},\"_background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_slideshow_gallery\":[],\"_background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_slideshow_gallery\":[],\"_mask_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"31319fe5\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0647\\u0627\",\"link\":{\"url\":\"#takhfif\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"button_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"button_background_hover_slideshow_gallery\":[],\"_background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_slideshow_gallery\":[],\"_background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_slideshow_gallery\":[],\"_mask_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"252c4254\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"6790c01a\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":20,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/amoo.png\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_slideshow_gallery\":[],\"_background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_slideshow_gallery\":[],\"_mask_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"586f6f88\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"150\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"c533094\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"3bfffe34\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062e\\u0641\\u06cc\\u0641 <strong style=\\\"font-weight: bold;\\\"> \\u0648\\u06cc\\u0698\\u0647 <\\/strong> \\u0627\\u0645\\u0631\\u0648\\u0632 \",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"},\"_background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_slideshow_gallery\":[],\"_background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_slideshow_gallery\":[],\"_mask_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4b7d8d63\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0641\\u0642\\u0637 \\u0628\\u0647 \\u0645\\u062f\\u062a \\u06cc\\u06a9 \\u0631\\u0648\\u0632 \\u0641\\u0639\\u0627\\u0644 \\u0627\\u0633\\u062a \",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"},\"_background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_slideshow_gallery\":[],\"_background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_slideshow_gallery\":[],\"_mask_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6a20903\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#FCEEEF\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"25\",\"isLinked\":false},\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\",\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"302563ef\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"2aaba4f\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"40\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true},\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"78ac8a06\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"82fde3e\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062e\\u0641\\u06cc\\u0641 <strong style=\\\"font-weight: bold;\\\"> \\u0648\\u06cc\\u0698\\u0647 <\\/strong> \\u0627\\u0645\\u0631\\u0648\\u0632 \",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"},\"_background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_slideshow_gallery\":[],\"_background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_slideshow_gallery\":[],\"_mask_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"1c47f09\",\"elType\":\"section\",\"settings\":{\"structure\":\"60\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"50\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"3bed8d6a\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":false},{\"id\":\"3a9ac46f\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":false},{\"id\":\"77ae1e97\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":false},{\"id\":\"7a71533e\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":false},{\"id\":\"45d03570\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":false},{\"id\":\"5ddc3777\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"760e4b1\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"3c7d9f21\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":37.923,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_radius_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"border_radius_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"74243370\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"\",\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/plugins\\/elementor\\/assets\\/images\\/placeholder.png\"},\"_background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_slideshow_gallery\":[],\"_background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_slideshow_gallery\":[],\"_mask_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"ead4976\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":62.077,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"37471cf4\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0641\\u0631\\u0648\\u0634 \\u06a9\\u062a \\u0648 \\u0634\\u0644\\u0648\\u0627\\u0631 \\u0645\\u0631\\u062f\\u0627\\u0646\\u0647 \\u062d\\u0631\\u0641\\u0647 \\u0627\\u06cc\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"},\"_background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_slideshow_gallery\":[],\"_background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_slideshow_gallery\":[],\"_mask_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"3541dd36\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sell professional men\'s suit \",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"},\"_background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_slideshow_gallery\":[],\"_background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_slideshow_gallery\":[],\"_mask_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"21be29d2\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062c\\u0632\\u06cc\\u06cc\\u0627\\u062a \\u0645\\u062d\\u0635\\u0648\\u0644\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"button_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"button_background_hover_slideshow_gallery\":[],\"_background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_slideshow_gallery\":[],\"_background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_slideshow_gallery\":[],\"_mask_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"10c7f13e\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true},\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"1fbe297e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"591caff6\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062e\\u0641\\u06cc\\u0641 <strong style=\\\"font-weight: bold;\\\"> \\u0648\\u06cc\\u0698\\u0647 <\\/strong> \\u062f\\u06a9\\u0648\\u0631\\u0627\\u0633\\u06cc\\u0648\\u0646\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"},\"_background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_slideshow_gallery\":[],\"_background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_slideshow_gallery\":[],\"_mask_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"8bfb0c9\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0641\\u0642\\u0637 \\u0628\\u0647 \\u0645\\u062f\\u062a \\u06cc\\u06a9 \\u0631\\u0648\\u0632 \\u0641\\u0639\\u0627\\u0644 \\u0627\\u0633\\u062a \",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"},\"_background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_slideshow_gallery\":[],\"_background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_slideshow_gallery\":[],\"_mask_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"5b235bc1\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_element_id\":\"takhfif\",\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\",\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"767ee3a0\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"232c32b5\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#282828\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"100\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"605116d3\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":25.074,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-mobile\",\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"3dfde1c0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":22,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/element.png\"},\"_background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_slideshow_gallery\":[],\"_background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_slideshow_gallery\":[],\"_mask_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"16da7228\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":74.926,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_slideshow_gallery\":[],\"background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_hover_slideshow_gallery\":[],\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_slideshow_gallery\":[],\"background_overlay_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"background_overlay_hover_slideshow_gallery\":[]},\"elements\":[{\"id\":\"239ebeb5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0648\\u0631\\u0648\\u0632 1401 \\u0645\\u0628\\u0627\\u0631\\u06a9\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"},\"_background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_slideshow_gallery\":[],\"_background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_slideshow_gallery\":[],\"_mask_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"79d69b4b\",\"elType\":\"widget\",\"settings\":{\"title\":\"Happy Nowruz 1401 \",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"},\"_background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_slideshow_gallery\":[],\"_background_hover_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_video_fallback\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"},\"_background_hover_slideshow_gallery\":[],\"_mask_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("128", "23", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("150", "28", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("151", "28", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("152", "28", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("153", "28", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("154", "28", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("155", "28", "_elementor_data", "[{\"id\":\"3d47da92\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"bc47e13\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\"},\"elements\":[{\"id\":\"7b24fe6b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"5b81e2a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"47a97a8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0634\\u0646\\u0648\\u0627\\u0631\\u0647 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0646\\u0648\\u0631\\u0648\\u0632 <\\/strong> \\u0634\\u06af\\u0641\\u062a \\u0627\\u0646\\u06af\\u06cc\\u0632\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"46fec036\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.1,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6e51cf6c\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0647\\u0627\",\"link\":{\"url\":\"#takhfif\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"5e5aaebf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100},\"elements\":[{\"id\":\"5e81c5e2\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":20,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/amoo.png\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6f9eb886\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"150\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"bcfb378\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"3098e3f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062e\\u0641\\u06cc\\u0641 <strong style=\\\"font-weight: bold;\\\"> \\u0648\\u06cc\\u0698\\u0647 <\\/strong> \\u0627\\u0645\\u0631\\u0648\\u0632 \",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"59830cb0\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0641\\u0642\\u0637 \\u0628\\u0647 \\u0645\\u062f\\u062a \\u06cc\\u06a9 \\u0631\\u0648\\u0632 \\u0641\\u0639\\u0627\\u0644 \\u0627\\u0633\\u062a \",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"68c7709a\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#FCEEEF\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"25\",\"isLinked\":false},\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"4e7cb11e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"4ddff111\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"40\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"72432585\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7a3633a3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062e\\u0641\\u06cc\\u0641 <strong style=\\\"font-weight: bold;\\\"> \\u0648\\u06cc\\u0698\\u0647 <\\/strong> \\u0627\\u0645\\u0631\\u0648\\u0632 \",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e715028\",\"elType\":\"section\",\"settings\":{\"structure\":\"60\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"50\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"4760962c\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"f2ebf9e\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"4eeb5f70\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"41a760e0\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"1c16b038\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"b0ab3a0\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"2704b328\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"66adc7cc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":37.923,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_radius_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"border_radius_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true}},\"elements\":[{\"id\":\"59b59eb3\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"\",\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/plugins\\/elementor\\/assets\\/images\\/placeholder.png\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"907199f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":62.077,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e5012f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0641\\u0631\\u0648\\u0634 \\u06a9\\u062a \\u0648 \\u0634\\u0644\\u0648\\u0627\\u0631 \\u0645\\u0631\\u062f\\u0627\\u0646\\u0647 \\u062d\\u0631\\u0641\\u0647 \\u0627\\u06cc\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6ad9e4f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sell professional men\'s suit \",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"67353f86\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062c\\u0632\\u06cc\\u06cc\\u0627\\u062a \\u0645\\u062d\\u0635\\u0648\\u0644\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"449c823e\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"76fa53ff\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"795b4470\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062e\\u0641\\u06cc\\u0641 <strong style=\\\"font-weight: bold;\\\"> \\u0648\\u06cc\\u0698\\u0647 <\\/strong> \\u062f\\u06a9\\u0648\\u0631\\u0627\\u0633\\u06cc\\u0648\\u0646\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"42799af2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0641\\u0642\\u0637 \\u0628\\u0647 \\u0645\\u062f\\u062a \\u06cc\\u06a9 \\u0631\\u0648\\u0632 \\u0641\\u0639\\u0627\\u0644 \\u0627\\u0633\\u062a \",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"45da3027\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_element_id\":\"takhfif\",\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"6121ccf1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"63f49a14\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#282828\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"100\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e4826c5\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":25.074,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-mobile\"},\"elements\":[{\"id\":\"4c117094\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":22,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/element.png\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"1f3b48f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":74.926,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"331ce172\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0648\\u0631\\u0648\\u0632 1401 \\u0645\\u0628\\u0627\\u0631\\u06a9\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5294f8c5\",\"elType\":\"widget\",\"settings\":{\"title\":\"Happy Nowruz 1401 \",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("160", "29", "_elementor_source", "post");
INSERT INTO `wp_postmeta` VALUES("161", "29", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("162", "29", "_elementor_template_type", "header");
INSERT INTO `wp_postmeta` VALUES("130", "26", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("131", "26", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("132", "26", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("133", "26", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("134", "26", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("135", "26", "_elementor_data", "[]");
INSERT INTO `wp_postmeta` VALUES("136", "26", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("137", "26", "_thumbnail_id", "10");
INSERT INTO `wp_postmeta` VALUES("138", "26", "_elementor_page_settings", "a:1:{s:10:\"hide_title\";s:3:\"yes\";}");
INSERT INTO `wp_postmeta` VALUES("140", "27", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("141", "27", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("142", "27", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("143", "27", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("144", "27", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("145", "27", "_elementor_data", "[]");
INSERT INTO `wp_postmeta` VALUES("146", "27", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("147", "27", "_thumbnail_id", "10");
INSERT INTO `wp_postmeta` VALUES("148", "27", "_elementor_page_settings", "a:1:{s:10:\"hide_title\";s:3:\"yes\";}");
INSERT INTO `wp_postmeta` VALUES("156", "28", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("157", "28", "_thumbnail_id", "10");
INSERT INTO `wp_postmeta` VALUES("158", "28", "_elementor_page_settings", "a:2:{s:10:\"hide_title\";s:3:\"yes\";s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("163", "29", "_elementor_version", "3.22.3");
INSERT INTO `wp_postmeta` VALUES("164", "29", "_elementor_pro_version", "3.22.1");
INSERT INTO `wp_postmeta` VALUES("165", "29", "_astra_content_layout_flag", "disabled");
INSERT INTO `wp_postmeta` VALUES("166", "29", "site-post-title", "disabled");
INSERT INTO `wp_postmeta` VALUES("167", "29", "ast-title-bar-display", "disabled");
INSERT INTO `wp_postmeta` VALUES("168", "29", "ast-featured-img", "disabled");
INSERT INTO `wp_postmeta` VALUES("169", "29", "site-content-layout", "page-builder");
INSERT INTO `wp_postmeta` VALUES("170", "29", "site-sidebar-layout", "no-sidebar");
INSERT INTO `wp_postmeta` VALUES("171", "29", "_edit_lock", "1720680213:1");
INSERT INTO `wp_postmeta` VALUES("172", "29", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("173", "29", "_elementor_page_settings", "a:1:{s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("174", "29", "_elementor_data", "[{\"id\":\"3e09cfa2\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"20\",\"right\":0,\"bottom\":\"20\",\"left\":0,\"isLinked\":true},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"20\",\"left\":0,\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"sticky\":\"top\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFFDB\"},\"elements\":[{\"id\":\"658dbfa1\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"_inline_size_mobile\":15,\"content_position\":\"center\",\"align\":\"center\"},\"elements\":[{\"id\":\"e08b741\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"id\":10,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"align\":\"right\",\"link_to\":\"custom\",\"width\":{\"unit\":\"%\",\"size\":13,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"__dynamic__\":{\"link\":\"[elementor-tag id=\\\"5040146\\\" name=\\\"site-url\\\" settings=\\\"%7B%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"1fdcfb86\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"_inline_size_mobile\":85},\"elements\":[{\"id\":\"504b8edb\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-github\",\"library\":\"fa-brands\"},\"_id\":\"c76eae1\",\"link\":{\"url\":\"elmineh.com\\/site\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"_id\":\"90fbc25\",\"link\":{\"url\":\"https:\\/\\/www.google.com\\/url?sa=t&rct=j&q=&esrc=s&source=web&cd=&ved=2ahUKEwiTtKy89pGAAxW-R_EDHcctDd8QFnoECBEQAQ&url=https%3A%2F%2Ftwitter.com%2Fomidqodsi%3Flang%3Dhu&usg=AOvVaw2Bk0ovKmFPi4BjsMu_7XN0&opi=89978449\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"social_icon\":{\"value\":\"fab fa-telegram\",\"library\":\"fa-brands\"},\"_id\":\"e193c8e\",\"link\":{\"url\":\"https:\\/\\/t.me\\/elminehshop\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"adfbcc5\",\"link\":{\"url\":\"http:\\/\\/instagram.com\\/elmineh_shop\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"social_icon\":{\"value\":\"fab fa-youtube\",\"library\":\"fa-brands\"},\"_id\":\"b79d4c6\",\"link\":{\"url\":\"https:\\/\\/www.youtube.com\\/@Elmineh\\/\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"}}],\"align\":\"left\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#EEEEEE\",\"icon_secondary_color\":\"#282828\",\"icon_size\":{\"unit\":\"px\",\"size\":19,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("781", "108", "_elementor_source", "post");
INSERT INTO `wp_postmeta` VALUES("758", "106", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("759", "106", "_elementor_template_type", "header");
INSERT INTO `wp_postmeta` VALUES("760", "106", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("761", "106", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("762", "106", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("763", "106", "_elementor_page_settings", "a:1:{s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("764", "106", "_elementor_data", "[{\"id\":\"3e09cfa2\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"20\",\"right\":0,\"bottom\":\"20\",\"left\":0,\"isLinked\":true},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"20\",\"left\":0,\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"sticky\":\"top\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFFDB\"},\"elements\":[{\"id\":\"658dbfa1\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"_inline_size_mobile\":15,\"content_position\":\"center\",\"align\":\"center\"},\"elements\":[{\"id\":\"fcda9e7\",\"elType\":\"widget\",\"settings\":{\"__dynamic__\":{\"image\":\"[elementor-tag id=\\\"\\\" name=\\\"site-logo\\\" settings=\\\"%7B%7D\\\"]\"},\"align\":\"right\",\"width\":{\"unit\":\"%\",\"size\":7,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":90,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"theme-site-logo\"}],\"isInner\":false},{\"id\":\"1fdcfb86\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"_inline_size_mobile\":85},\"elements\":[{\"id\":\"504b8edb\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook\",\"library\":\"fa-brands\"},\"_id\":\"c76eae1\"},{\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"_id\":\"90fbc25\"},{\"social_icon\":{\"value\":\"fab fa-telegram\",\"library\":\"fa-brands\"},\"_id\":\"e193c8e\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"adfbcc5\"},{\"social_icon\":{\"value\":\"fab fa-youtube\",\"library\":\"fa-brands\"},\"_id\":\"b79d4c6\"}],\"align\":\"left\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#EEEEEE\",\"icon_secondary_color\":\"#282828\",\"icon_size\":{\"unit\":\"px\",\"size\":19,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("185", "31", "_elementor_source", "post");
INSERT INTO `wp_postmeta` VALUES("186", "31", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("187", "31", "_elementor_template_type", "header");
INSERT INTO `wp_postmeta` VALUES("188", "31", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("189", "31", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("190", "31", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("191", "31", "_elementor_page_settings", "a:1:{s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("192", "31", "_elementor_data", "[{\"id\":\"3e09cfa2\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"20\",\"right\":0,\"bottom\":\"20\",\"left\":0,\"isLinked\":true},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"20\",\"left\":0,\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"sticky\":\"top\"},\"elements\":[{\"id\":\"658dbfa1\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"_inline_size_mobile\":15},\"elements\":[{\"id\":\"7eb2a562\",\"elType\":\"widget\",\"settings\":{\"menu\":\"%d9%81%d9%87%d8%b1%d8%b3%d8%aa-%d9%81%d9%88%d8%aa%d8%b1\",\"pointer\":\"none\",\"dropdown\":\"mobile\",\"menu_typography_typography\":\"custom\",\"menu_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"menu_typography_font_weight\":\"bold\",\"color_menu_item\":\"#474747\",\"color_menu_item_hover\":\"#DE184C\",\"padding_horizontal_menu_item\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"full_width\":\"stretch\",\"text_align\":\"center\",\"toggle_align\":\"right\",\"menu_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"dropdown_box_shadow_box_shadow_type\":\"yes\",\"dropdown_box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.2)\"},\"padding_horizontal_dropdown_item_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"dropdown_divider_width\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"dropdown_top_distance_mobile\":{\"unit\":\"px\",\"size\":27,\"sizes\":[]},\"toggle_color\":\"#4A4A4A\",\"toggle_background_color\":\"#EEEEEE\",\"toggle_size_mobile\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"toggle_border_width_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"toggle_border_radius_mobile\":{\"unit\":\"px\",\"size\":4,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"0\",\"bottom\":\"6\",\"left\":\"6\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"menu_id\":32},\"elements\":[],\"widgetType\":\"nav-menu\"}],\"isInner\":false},{\"id\":\"1fdcfb86\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"_inline_size_mobile\":85},\"elements\":[{\"id\":\"504b8edb\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook\",\"library\":\"fa-brands\"},\"_id\":\"c76eae1\"},{\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"_id\":\"90fbc25\"},{\"social_icon\":{\"value\":\"fab fa-telegram\",\"library\":\"fa-brands\"},\"_id\":\"e193c8e\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"adfbcc5\"},{\"social_icon\":{\"value\":\"fab fa-youtube\",\"library\":\"fa-brands\"},\"_id\":\"b79d4c6\"}],\"align\":\"left\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#EEEEEE\",\"icon_secondary_color\":\"#282828\",\"icon_size\":{\"unit\":\"px\",\"size\":19,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("193", "31", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("194", "29", "_elementor_conditions", "a:1:{i:0;s:15:\"include/general\";}");
INSERT INTO `wp_postmeta` VALUES("257", "38", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("258", "38", "_elementor_template_type", "footer");
INSERT INTO `wp_postmeta` VALUES("259", "39", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("757", "106", "_elementor_source", "post");
INSERT INTO `wp_postmeta` VALUES("215", "34", "_elementor_source", "post");
INSERT INTO `wp_postmeta` VALUES("216", "34", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("217", "34", "_elementor_template_type", "header");
INSERT INTO `wp_postmeta` VALUES("218", "34", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("219", "34", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("220", "34", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("221", "34", "_elementor_page_settings", "a:1:{s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("222", "34", "_elementor_data", "[{\"id\":\"3e09cfa2\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"20\",\"right\":0,\"bottom\":\"20\",\"left\":0,\"isLinked\":true},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"20\",\"left\":0,\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"sticky\":\"top\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFFDB\"},\"elements\":[{\"id\":\"658dbfa1\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"_inline_size_mobile\":15},\"elements\":[{\"id\":\"7eb2a562\",\"elType\":\"widget\",\"settings\":{\"menu\":\"%d9%81%d9%87%d8%b1%d8%b3%d8%aa-%d9%81%d9%88%d8%aa%d8%b1\",\"pointer\":\"none\",\"dropdown\":\"mobile\",\"menu_typography_typography\":\"custom\",\"menu_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"menu_typography_font_weight\":\"bold\",\"color_menu_item\":\"#474747\",\"color_menu_item_hover\":\"#DE184C\",\"padding_horizontal_menu_item\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"full_width\":\"stretch\",\"text_align\":\"center\",\"toggle_align\":\"right\",\"menu_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"dropdown_box_shadow_box_shadow_type\":\"yes\",\"dropdown_box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.2)\"},\"padding_horizontal_dropdown_item_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"dropdown_divider_width\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"dropdown_top_distance_mobile\":{\"unit\":\"px\",\"size\":27,\"sizes\":[]},\"toggle_color\":\"#4A4A4A\",\"toggle_background_color\":\"#EEEEEE\",\"toggle_size_mobile\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"toggle_border_width_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"toggle_border_radius_mobile\":{\"unit\":\"px\",\"size\":4,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"0\",\"bottom\":\"6\",\"left\":\"6\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"menu_id\":32},\"elements\":[],\"widgetType\":\"nav-menu\"}],\"isInner\":false},{\"id\":\"1fdcfb86\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"_inline_size_mobile\":85},\"elements\":[{\"id\":\"504b8edb\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook\",\"library\":\"fa-brands\"},\"_id\":\"c76eae1\"},{\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"_id\":\"90fbc25\"},{\"social_icon\":{\"value\":\"fab fa-telegram\",\"library\":\"fa-brands\"},\"_id\":\"e193c8e\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"adfbcc5\"},{\"social_icon\":{\"value\":\"fab fa-youtube\",\"library\":\"fa-brands\"},\"_id\":\"b79d4c6\"}],\"align\":\"left\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#EEEEEE\",\"icon_secondary_color\":\"#282828\",\"icon_size\":{\"unit\":\"px\",\"size\":19,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("223", "34", "_elementor_page_assets", "a:1:{s:7:\"scripts\";a:1:{i:0;s:8:\"e-sticky\";}}");
INSERT INTO `wp_postmeta` VALUES("224", "34", "_elementor_conditions", "a:1:{i:0;s:15:\"include/general\";}");
INSERT INTO `wp_postmeta` VALUES("227", "35", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("228", "35", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("229", "35", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("230", "35", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("231", "35", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("232", "35", "_elementor_data", "[{\"id\":\"3d47da92\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"bc47e13\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\"},\"elements\":[{\"id\":\"7b24fe6b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"5b81e2a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"47a97a8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0634\\u0646\\u0648\\u0627\\u0631\\u0647 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0646\\u0648\\u0631\\u0648\\u0632 <\\/strong> \\u0634\\u06af\\u0641\\u062a \\u0627\\u0646\\u06af\\u06cc\\u0632\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"46fec036\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.1,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6e51cf6c\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0647\\u0627\",\"link\":{\"url\":\"#takhfif\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"5e5aaebf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100},\"elements\":[{\"id\":\"5e81c5e2\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":20,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/amoo.png\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6f9eb886\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"150\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"bcfb378\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"3098e3f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062e\\u0641\\u06cc\\u0641 <strong style=\\\"font-weight: bold;\\\"> \\u0648\\u06cc\\u0698\\u0647 <\\/strong> \\u0627\\u0645\\u0631\\u0648\\u0632 \",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"59830cb0\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0641\\u0642\\u0637 \\u0628\\u0647 \\u0645\\u062f\\u062a \\u06cc\\u06a9 \\u0631\\u0648\\u0632 \\u0641\\u0639\\u0627\\u0644 \\u0627\\u0633\\u062a \",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"68c7709a\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#FCEEEF\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"25\",\"isLinked\":false},\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"4e7cb11e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"4ddff111\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"40\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"72432585\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7a3633a3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062e\\u0641\\u06cc\\u0641 <strong style=\\\"font-weight: bold;\\\"> \\u0648\\u06cc\\u0698\\u0647 <\\/strong> \\u0627\\u0645\\u0631\\u0648\\u0632 \",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e715028\",\"elType\":\"section\",\"settings\":{\"structure\":\"60\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"50\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"4760962c\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"f2ebf9e\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"4eeb5f70\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"41a760e0\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"1c16b038\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"b0ab3a0\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"2704b328\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"66adc7cc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":37.923,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_radius_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"border_radius_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true}},\"elements\":[{\"id\":\"59b59eb3\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"\",\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/plugins\\/elementor\\/assets\\/images\\/placeholder.png\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"907199f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":62.077,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e5012f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0641\\u0631\\u0648\\u0634 \\u06a9\\u062a \\u0648 \\u0634\\u0644\\u0648\\u0627\\u0631 \\u0645\\u0631\\u062f\\u0627\\u0646\\u0647 \\u062d\\u0631\\u0641\\u0647 \\u0627\\u06cc\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6ad9e4f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sell professional men\'s suit \",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"67353f86\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062c\\u0632\\u06cc\\u06cc\\u0627\\u062a \\u0645\\u062d\\u0635\\u0648\\u0644\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"449c823e\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"76fa53ff\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"795b4470\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062e\\u0641\\u06cc\\u0641 <strong style=\\\"font-weight: bold;\\\"> \\u0648\\u06cc\\u0698\\u0647 <\\/strong> \\u062f\\u06a9\\u0648\\u0631\\u0627\\u0633\\u06cc\\u0648\\u0646\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"42799af2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0641\\u0642\\u0637 \\u0628\\u0647 \\u0645\\u062f\\u062a \\u06cc\\u06a9 \\u0631\\u0648\\u0632 \\u0641\\u0639\\u0627\\u0644 \\u0627\\u0633\\u062a \",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"45da3027\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_element_id\":\"takhfif\",\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"6121ccf1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"63f49a14\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#282828\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"100\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e4826c5\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":25.074,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-mobile\"},\"elements\":[{\"id\":\"4c117094\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":22,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/element.png\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"1f3b48f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":74.926,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"331ce172\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0648\\u0631\\u0648\\u0632 1401 \\u0645\\u0628\\u0627\\u0631\\u06a9\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5294f8c5\",\"elType\":\"widget\",\"settings\":{\"title\":\"Happy Nowruz 1401 \",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("175", "29", "_elementor_page_assets", "a:1:{s:7:\"scripts\";a:1:{i:0;s:8:\"e-sticky\";}}");
INSERT INTO `wp_postmeta` VALUES("176", "30", "_elementor_source", "post");
INSERT INTO `wp_postmeta` VALUES("177", "30", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("178", "30", "_elementor_template_type", "header");
INSERT INTO `wp_postmeta` VALUES("179", "30", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("180", "30", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("181", "30", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("182", "30", "_elementor_page_settings", "a:1:{s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("183", "30", "_elementor_data", "[{\"id\":\"3e09cfa2\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"20\",\"right\":0,\"bottom\":\"20\",\"left\":0,\"isLinked\":true},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"20\",\"left\":0,\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"658dbfa1\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"_inline_size_mobile\":15},\"elements\":[{\"id\":\"7eb2a562\",\"elType\":\"widget\",\"settings\":{\"menu\":\"%d9%81%d9%87%d8%b1%d8%b3%d8%aa-%d9%81%d9%88%d8%aa%d8%b1\",\"pointer\":\"none\",\"dropdown\":\"mobile\",\"menu_typography_typography\":\"custom\",\"menu_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"menu_typography_font_weight\":\"bold\",\"color_menu_item\":\"#474747\",\"color_menu_item_hover\":\"#DE184C\",\"padding_horizontal_menu_item\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"full_width\":\"stretch\",\"text_align\":\"center\",\"toggle_align\":\"right\",\"menu_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"dropdown_box_shadow_box_shadow_type\":\"yes\",\"dropdown_box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.2)\"},\"padding_horizontal_dropdown_item_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"dropdown_divider_width\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"dropdown_top_distance_mobile\":{\"unit\":\"px\",\"size\":27,\"sizes\":[]},\"toggle_color\":\"#4A4A4A\",\"toggle_background_color\":\"#EEEEEE\",\"toggle_size_mobile\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"toggle_border_width_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"toggle_border_radius_mobile\":{\"unit\":\"px\",\"size\":4,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"0\",\"bottom\":\"6\",\"left\":\"6\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"menu_id\":32},\"elements\":[],\"widgetType\":\"nav-menu\"}],\"isInner\":false},{\"id\":\"1fdcfb86\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"_inline_size_mobile\":85},\"elements\":[{\"id\":\"504b8edb\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook\",\"library\":\"fa-brands\"},\"_id\":\"c76eae1\"},{\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"_id\":\"90fbc25\"},{\"social_icon\":{\"value\":\"fab fa-telegram\",\"library\":\"fa-brands\"},\"_id\":\"e193c8e\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"adfbcc5\"},{\"social_icon\":{\"value\":\"fab fa-youtube\",\"library\":\"fa-brands\"},\"_id\":\"b79d4c6\"}],\"align\":\"left\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#EEEEEE\",\"icon_secondary_color\":\"#282828\",\"icon_size\":{\"unit\":\"px\",\"size\":19,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"76a2bc99\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"68a4903b\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\"},\"elements\":[{\"id\":\"40984d5b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"1d031646\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"497974f4\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0634\\u0646\\u0648\\u0627\\u0631\\u0647 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0646\\u0648\\u0631\\u0648\\u0632 <\\/strong> \\u0634\\u06af\\u0641\\u062a \\u0627\\u0646\\u06af\\u06cc\\u0632\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"65e47d5f\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.1,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"1afb6d60\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0647\\u0627\",\"link\":{\"url\":\"#takhfif\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"2fc2d516\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100},\"elements\":[{\"id\":\"76e5dd28\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":20,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/amoo.png\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"3b9ad612\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"150\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"1da2c022\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"4d2328a7\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062e\\u0641\\u06cc\\u0641 <strong style=\\\"font-weight: bold;\\\"> \\u0648\\u06cc\\u0698\\u0647 <\\/strong> \\u0627\\u0645\\u0631\\u0648\\u0632 \",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5921d0a9\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0641\\u0642\\u0637 \\u0628\\u0647 \\u0645\\u062f\\u062a \\u06cc\\u06a9 \\u0631\\u0648\\u0632 \\u0641\\u0639\\u0627\\u0644 \\u0627\\u0633\\u062a \",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"13a60c01\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#FCEEEF\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"25\",\"isLinked\":false},\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"64bd271e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"5611814d\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"40\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"634afacc\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"796314cc\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062e\\u0641\\u06cc\\u0641 <strong style=\\\"font-weight: bold;\\\"> \\u0648\\u06cc\\u0698\\u0647 <\\/strong> \\u0627\\u0645\\u0631\\u0648\\u0632 \",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"3e0b297c\",\"elType\":\"section\",\"settings\":{\"structure\":\"60\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"50\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"15c28f36\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"7d45da62\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"5e7f0e1d\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"22994a61\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"46c3a402\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"299f81af\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"1820eeb8\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"4c400d70\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":37.923,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_radius_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"border_radius_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true}},\"elements\":[{\"id\":\"695558a1\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"\",\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/plugins\\/elementor\\/assets\\/images\\/placeholder.png\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"2161666a\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":62.077,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3bef41cb\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0641\\u0631\\u0648\\u0634 \\u06a9\\u062a \\u0648 \\u0634\\u0644\\u0648\\u0627\\u0631 \\u0645\\u0631\\u062f\\u0627\\u0646\\u0647 \\u062d\\u0631\\u0641\\u0647 \\u0627\\u06cc\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"59be1b5c\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sell professional men\'s suit \",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6ca587dd\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062c\\u0632\\u06cc\\u06cc\\u0627\\u062a \\u0645\\u062d\\u0635\\u0648\\u0644\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"1e96dc6\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"70528894\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"1b1414a9\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062e\\u0641\\u06cc\\u0641 <strong style=\\\"font-weight: bold;\\\"> \\u0648\\u06cc\\u0698\\u0647 <\\/strong> \\u062f\\u06a9\\u0648\\u0631\\u0627\\u0633\\u06cc\\u0648\\u0646\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"af52af1\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0641\\u0642\\u0637 \\u0628\\u0647 \\u0645\\u062f\\u062a \\u06cc\\u06a9 \\u0631\\u0648\\u0632 \\u0641\\u0639\\u0627\\u0644 \\u0627\\u0633\\u062a \",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"7ab4053b\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_element_id\":\"takhfif\",\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"5de12fdd\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"2946cadc\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#282828\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"100\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"46059074\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":25.074,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-mobile\"},\"elements\":[{\"id\":\"1facca79\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":22,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/element.png\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"12700839\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":74.926,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"750f259f\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0648\\u0631\\u0648\\u0632 1401 \\u0645\\u0628\\u0627\\u0631\\u06a9\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"413c7a49\",\"elType\":\"widget\",\"settings\":{\"title\":\"Happy Nowruz 1401 \",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("184", "30", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("233", "35", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("234", "35", "_thumbnail_id", "10");
INSERT INTO `wp_postmeta` VALUES("235", "35", "_elementor_page_settings", "a:2:{s:10:\"hide_title\";s:3:\"yes\";s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("237", "36", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("238", "36", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("239", "36", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("240", "36", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("241", "36", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("242", "36", "_elementor_data", "[{\"id\":\"3d47da92\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"bc47e13\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\"},\"elements\":[{\"id\":\"7b24fe6b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"5b81e2a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"47a97a8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0634\\u0646\\u0648\\u0627\\u0631\\u0647 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0646\\u0648\\u0631\\u0648\\u0632 <\\/strong> \\u0634\\u06af\\u0641\\u062a \\u0627\\u0646\\u06af\\u06cc\\u0632\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"46fec036\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.1,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6e51cf6c\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0647\\u0627\",\"link\":{\"url\":\"#takhfif\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"5e5aaebf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100},\"elements\":[{\"id\":\"5e81c5e2\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":20,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/amoo.png\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6f9eb886\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"150\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"bcfb378\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"3098e3f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062e\\u0641\\u06cc\\u0641 <strong style=\\\"font-weight: bold;\\\"> \\u0648\\u06cc\\u0698\\u0647 <\\/strong> \\u0627\\u0645\\u0631\\u0648\\u0632 \",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"59830cb0\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0641\\u0642\\u0637 \\u0628\\u0647 \\u0645\\u062f\\u062a \\u06cc\\u06a9 \\u0631\\u0648\\u0632 \\u0641\\u0639\\u0627\\u0644 \\u0627\\u0633\\u062a \",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"68c7709a\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#FCEEEF\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"25\",\"isLinked\":false},\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"4e7cb11e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"4ddff111\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"40\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"72432585\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7a3633a3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062e\\u0641\\u06cc\\u0641 <strong style=\\\"font-weight: bold;\\\"> \\u0648\\u06cc\\u0698\\u0647 <\\/strong> \\u0627\\u0645\\u0631\\u0648\\u0632 \",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e715028\",\"elType\":\"section\",\"settings\":{\"structure\":\"60\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"50\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"4760962c\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"f2ebf9e\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"4eeb5f70\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"41a760e0\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"1c16b038\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"b0ab3a0\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"2704b328\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"66adc7cc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":37.923,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_radius_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"border_radius_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true}},\"elements\":[{\"id\":\"59b59eb3\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"\",\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/plugins\\/elementor\\/assets\\/images\\/placeholder.png\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"907199f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":62.077,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e5012f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0641\\u0631\\u0648\\u0634 \\u06a9\\u062a \\u0648 \\u0634\\u0644\\u0648\\u0627\\u0631 \\u0645\\u0631\\u062f\\u0627\\u0646\\u0647 \\u062d\\u0631\\u0641\\u0647 \\u0627\\u06cc\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6ad9e4f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sell professional men\'s suit \",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"67353f86\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062c\\u0632\\u06cc\\u06cc\\u0627\\u062a \\u0645\\u062d\\u0635\\u0648\\u0644\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"449c823e\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"76fa53ff\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"795b4470\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062e\\u0641\\u06cc\\u0641 <strong style=\\\"font-weight: bold;\\\"> \\u0648\\u06cc\\u0698\\u0647 <\\/strong> \\u062f\\u06a9\\u0648\\u0631\\u0627\\u0633\\u06cc\\u0648\\u0646\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"42799af2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0641\\u0642\\u0637 \\u0628\\u0647 \\u0645\\u062f\\u062a \\u06cc\\u06a9 \\u0631\\u0648\\u0632 \\u0641\\u0639\\u0627\\u0644 \\u0627\\u0633\\u062a \",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"45da3027\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_element_id\":\"takhfif\",\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"6121ccf1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"63f49a14\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#282828\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"100\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e4826c5\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":25.074,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-mobile\"},\"elements\":[{\"id\":\"4c117094\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":22,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/element.png\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"1f3b48f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":74.926,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"331ce172\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0648\\u0631\\u0648\\u0632 1401 \\u0645\\u0628\\u0627\\u0631\\u06a9\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5294f8c5\",\"elType\":\"widget\",\"settings\":{\"title\":\"Happy Nowruz 1401 \",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("243", "36", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("244", "36", "_thumbnail_id", "10");
INSERT INTO `wp_postmeta` VALUES("245", "36", "_elementor_page_settings", "a:2:{s:10:\"hide_title\";s:3:\"yes\";s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("247", "37", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("248", "37", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("249", "37", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("250", "37", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("251", "37", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("252", "37", "_elementor_data", "[{\"id\":\"3d47da92\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"bc47e13\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\"},\"elements\":[{\"id\":\"7b24fe6b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"5b81e2a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"47a97a8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648<\\/strong> \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"46fec036\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.1,\"sizes\":[]},\"editor\":\"<p style=\\\"text-align: justify;\\\">\\u0628\\u0631\\u0627\\u06cc \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u06cc\\u0646 \\u0645\\u062a\\u0646 \\u0628\\u0631 \\u0631\\u0648\\u06cc \\u062f\\u06a9\\u0645\\u0647 \\u0648\\u06cc\\u0631\\u0627\\u06cc\\u0634 \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f. \\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6e51cf6c\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0647\\u0627\",\"link\":{\"url\":\"#takhfif\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"5e5aaebf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100},\"elements\":[{\"id\":\"5e81c5e2\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":20,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/amoo.png\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6f9eb886\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"150\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"bcfb378\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"3098e3f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062e\\u0641\\u06cc\\u0641 <strong style=\\\"font-weight: bold;\\\"> \\u0648\\u06cc\\u0698\\u0647 <\\/strong> \\u0627\\u0645\\u0631\\u0648\\u0632 \",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"59830cb0\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0641\\u0642\\u0637 \\u0628\\u0647 \\u0645\\u062f\\u062a \\u06cc\\u06a9 \\u0631\\u0648\\u0632 \\u0641\\u0639\\u0627\\u0644 \\u0627\\u0633\\u062a \",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"68c7709a\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#FCEEEF\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"25\",\"isLinked\":false},\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"4e7cb11e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"4ddff111\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"40\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"72432585\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7a3633a3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062e\\u0641\\u06cc\\u0641 <strong style=\\\"font-weight: bold;\\\"> \\u0648\\u06cc\\u0698\\u0647 <\\/strong> \\u0627\\u0645\\u0631\\u0648\\u0632 \",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e715028\",\"elType\":\"section\",\"settings\":{\"structure\":\"60\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"50\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"4760962c\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"f2ebf9e\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"4eeb5f70\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"41a760e0\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"1c16b038\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"b0ab3a0\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"2704b328\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"66adc7cc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":37.923,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_radius_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"border_radius_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true}},\"elements\":[{\"id\":\"59b59eb3\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"\",\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/plugins\\/elementor\\/assets\\/images\\/placeholder.png\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"907199f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":62.077,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e5012f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0641\\u0631\\u0648\\u0634 \\u06a9\\u062a \\u0648 \\u0634\\u0644\\u0648\\u0627\\u0631 \\u0645\\u0631\\u062f\\u0627\\u0646\\u0647 \\u062d\\u0631\\u0641\\u0647 \\u0627\\u06cc\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6ad9e4f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sell professional men\'s suit \",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"67353f86\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062c\\u0632\\u06cc\\u06cc\\u0627\\u062a \\u0645\\u062d\\u0635\\u0648\\u0644\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"449c823e\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"76fa53ff\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"795b4470\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062e\\u0641\\u06cc\\u0641 <strong style=\\\"font-weight: bold;\\\"> \\u0648\\u06cc\\u0698\\u0647 <\\/strong> \\u062f\\u06a9\\u0648\\u0631\\u0627\\u0633\\u06cc\\u0648\\u0646\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"42799af2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0641\\u0642\\u0637 \\u0628\\u0647 \\u0645\\u062f\\u062a \\u06cc\\u06a9 \\u0631\\u0648\\u0632 \\u0641\\u0639\\u0627\\u0644 \\u0627\\u0633\\u062a \",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"45da3027\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_element_id\":\"takhfif\",\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"6121ccf1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"63f49a14\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#282828\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"100\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e4826c5\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":25.074,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-mobile\"},\"elements\":[{\"id\":\"4c117094\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":22,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/element.png\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"1f3b48f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":74.926,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"331ce172\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0648\\u0631\\u0648\\u0632 1401 \\u0645\\u0628\\u0627\\u0631\\u06a9\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5294f8c5\",\"elType\":\"widget\",\"settings\":{\"title\":\"Happy Nowruz 1401 \",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("253", "37", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("254", "37", "_thumbnail_id", "10");
INSERT INTO `wp_postmeta` VALUES("255", "37", "_elementor_page_settings", "a:2:{s:10:\"hide_title\";s:3:\"yes\";s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("260", "39", "_elementor_template_type", "footer");
INSERT INTO `wp_postmeta` VALUES("261", "38", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("262", "38", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("352", "48", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("353", "48", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("354", "48", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("264", "40", "_elementor_source", "post");
INSERT INTO `wp_postmeta` VALUES("265", "40", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("266", "40", "_elementor_template_type", "footer");
INSERT INTO `wp_postmeta` VALUES("267", "40", "_elementor_version", "3.22.3");
INSERT INTO `wp_postmeta` VALUES("268", "40", "_elementor_pro_version", "3.22.1");
INSERT INTO `wp_postmeta` VALUES("269", "40", "_astra_content_layout_flag", "disabled");
INSERT INTO `wp_postmeta` VALUES("270", "40", "site-post-title", "disabled");
INSERT INTO `wp_postmeta` VALUES("271", "40", "ast-title-bar-display", "disabled");
INSERT INTO `wp_postmeta` VALUES("272", "40", "ast-featured-img", "disabled");
INSERT INTO `wp_postmeta` VALUES("273", "40", "site-content-layout", "page-builder");
INSERT INTO `wp_postmeta` VALUES("274", "40", "site-sidebar-layout", "no-sidebar");
INSERT INTO `wp_postmeta` VALUES("275", "40", "_edit_lock", "1720680217:1");
INSERT INTO `wp_postmeta` VALUES("276", "40", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("277", "40", "_elementor_page_settings", "a:1:{s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("278", "40", "_elementor_data", "[{\"id\":\"510215\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"b7bf019\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67000000000000003996802888650563545525074005126953125,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\"},\"elements\":[{\"id\":\"1d8e5f76\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"6eb09e2\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"55d36c85\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648<\\/strong> \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"11d79413\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.100000000000000088817841970012523233890533447265625,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"0fffc2a\",\"elType\":\"widget\",\"settings\":{\"view\":\"inline\",\"icon_list\":[{\"text\":\"\\u062a\\u0644\\u06af\\u0631\\u0627\\u0645\",\"selected_icon\":{\"value\":\"fab fa-telegram\",\"library\":\"fa-brands\"},\"_id\":\"fcf736c\",\"link\":{\"url\":\"https:\\/\\/t.me\\/elminehshop\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u0648\\u0627\\u062a\\u0633 \\u0627\\u067e\",\"selected_icon\":{\"value\":\"fab fa-whatsapp\",\"library\":\"fa-brands\"},\"_id\":\"1b17624\"},{\"text\":\"\\u0627\\u06cc\\u0646\\u0633\\u0646\\u062a\\u0627\\u06af\\u0631\\u0627\\u0645\",\"selected_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"1e9eac8\",\"link\":{\"url\":\"http:\\/\\/instagram.com\\/elmineh_shop\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}}],\"icon_align\":\"center\",\"divider\":\"yes\",\"icon_color\":\"#CDE728\",\"icon_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"IRANYekanFN\",\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"icon_typography_font_weight\":\"400\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":true},{\"id\":\"3c1960f6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"content_position\":\"center\"},\"elements\":[{\"id\":\"444ffe81\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width\":{\"unit\":\"%\",\"size\":43,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"d9cb0c8\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0637\\u0631\\u0627\\u062d \\u0633\\u06cc\\u062f\\u0627\\u0645\\u06cc\\u062f \\u0642\\u062f\\u0633\\u06cc \\u0632\\u0627\\u062f\\u0647 | \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"link\":{\"url\":\"elmineh.com\\/site\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align\":\"center\",\"title_color\":\"#101010\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANYekanFN\",\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":8,\"sizes\":[]},\"typography_font_weight\":\"300\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("289", "42", "_elementor_source", "post");
INSERT INTO `wp_postmeta` VALUES("290", "42", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("291", "42", "_elementor_template_type", "footer");
INSERT INTO `wp_postmeta` VALUES("292", "42", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("293", "42", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("294", "42", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("295", "42", "_elementor_page_settings", "a:1:{s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("296", "42", "_elementor_data", "[{\"id\":\"510215\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"b7bf019\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\"},\"elements\":[{\"id\":\"1d8e5f76\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"6eb09e2\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"55d36c85\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648<\\/strong> \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"11d79413\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.1,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"0fffc2a\",\"elType\":\"widget\",\"settings\":{\"view\":\"inline\",\"icon_list\":[{\"text\":\"\\u062a\\u0644\\u06af\\u0631\\u0627\\u0645\",\"selected_icon\":{\"value\":\"fab fa-telegram\",\"library\":\"fa-brands\"},\"_id\":\"fcf736c\"},{\"text\":\"\\u0648\\u0627\\u062a\\u0633 \\u0627\\u067e\",\"selected_icon\":{\"value\":\"fab fa-whatsapp\",\"library\":\"fa-brands\"},\"_id\":\"1b17624\"},{\"text\":\"\\u0641\\u06cc\\u0633 \\u0628\\u0648\\u06a9\",\"selected_icon\":{\"value\":\"fab fa-facebook\",\"library\":\"fa-brands\"},\"_id\":\"1e9eac8\"}],\"icon_align\":\"center\",\"divider\":\"yes\",\"icon_color\":\"#CDE728\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":true},{\"id\":\"3c1960f6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100},\"elements\":[{\"id\":\"444ffe81\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("297", "42", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("298", "40", "_elementor_conditions", "a:1:{i:0;s:15:\"include/general\";}");
INSERT INTO `wp_postmeta` VALUES("299", "43", "_elementor_source", "post");
INSERT INTO `wp_postmeta` VALUES("300", "43", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("301", "43", "_elementor_template_type", "footer");
INSERT INTO `wp_postmeta` VALUES("302", "43", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("303", "43", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("304", "43", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("305", "43", "_elementor_page_settings", "a:1:{s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("306", "43", "_elementor_data", "[{\"id\":\"510215\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"b7bf019\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\"},\"elements\":[{\"id\":\"1d8e5f76\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"6eb09e2\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"55d36c85\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648<\\/strong> \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"11d79413\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.1,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"0fffc2a\",\"elType\":\"widget\",\"settings\":{\"view\":\"inline\",\"icon_list\":[{\"text\":\"\\u062a\\u0644\\u06af\\u0631\\u0627\\u0645\",\"selected_icon\":{\"value\":\"fab fa-telegram\",\"library\":\"fa-brands\"},\"_id\":\"fcf736c\"},{\"text\":\"\\u0648\\u0627\\u062a\\u0633 \\u0627\\u067e\",\"selected_icon\":{\"value\":\"fab fa-whatsapp\",\"library\":\"fa-brands\"},\"_id\":\"1b17624\"},{\"text\":\"\\u0641\\u06cc\\u0633 \\u0628\\u0648\\u06a9\",\"selected_icon\":{\"value\":\"fab fa-facebook\",\"library\":\"fa-brands\"},\"_id\":\"1e9eac8\"}],\"icon_align\":\"center\",\"divider\":\"yes\",\"icon_color\":\"#CDE728\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":true},{\"id\":\"3c1960f6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"content_position\":\"center\"},\"elements\":[{\"id\":\"444ffe81\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width\":{\"unit\":\"%\",\"size\":43,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("307", "43", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("308", "43", "_elementor_conditions", "a:1:{i:0;s:15:\"include/general\";}");
INSERT INTO `wp_postmeta` VALUES("446", "58", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:849;s:6:\"height\";i:458;s:4:\"file\";s:20:\"2023/07/astrapro.jpg\";s:8:\"filesize\";i:60189;s:5:\"sizes\";a:3:{s:6:\"medium\";a:5:{s:4:\"file\";s:20:\"astrapro-300x162.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:162;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:20080;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:20:\"astrapro-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:15878;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:20:\"astrapro-768x414.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:414;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:52083;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"1\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("310", "44", "_elementor_source", "post");
INSERT INTO `wp_postmeta` VALUES("311", "44", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("312", "44", "_elementor_template_type", "footer");
INSERT INTO `wp_postmeta` VALUES("313", "44", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("314", "44", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("315", "44", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("316", "44", "_elementor_page_settings", "a:1:{s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("317", "44", "_elementor_data", "[{\"id\":\"510215\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"b7bf019\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\"},\"elements\":[{\"id\":\"1d8e5f76\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"6eb09e2\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"55d36c85\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648<\\/strong> \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"11d79413\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.1,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"0fffc2a\",\"elType\":\"widget\",\"settings\":{\"view\":\"inline\",\"icon_list\":[{\"text\":\"\\u062a\\u0644\\u06af\\u0631\\u0627\\u0645\",\"selected_icon\":{\"value\":\"fab fa-telegram\",\"library\":\"fa-brands\"},\"_id\":\"fcf736c\"},{\"text\":\"\\u0648\\u0627\\u062a\\u0633 \\u0627\\u067e\",\"selected_icon\":{\"value\":\"fab fa-whatsapp\",\"library\":\"fa-brands\"},\"_id\":\"1b17624\"},{\"text\":\"\\u0641\\u06cc\\u0633 \\u0628\\u0648\\u06a9\",\"selected_icon\":{\"value\":\"fab fa-facebook\",\"library\":\"fa-brands\"},\"_id\":\"1e9eac8\"}],\"icon_align\":\"center\",\"divider\":\"yes\",\"icon_color\":\"#CDE728\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":true},{\"id\":\"3c1960f6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"content_position\":\"center\"},\"elements\":[{\"id\":\"444ffe81\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width\":{\"unit\":\"%\",\"size\":43,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"d9cb0c8\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0637\\u0631\\u0627\\u062d \\u0633\\u06cc\\u062f\\u0627\\u0645\\u06cc\\u062f \\u0642\\u062f\\u0633\\u06cc \\u0632\\u0627\\u062f\\u0647 | \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"link\":{\"url\":\"elmineh.com\\/site\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align\":\"center\",\"title_color\":\"#101010\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANYekanFN\",\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_font_weight\":\"300\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("318", "44", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("319", "44", "_elementor_conditions", "a:1:{i:0;s:15:\"include/general\";}");
INSERT INTO `wp_postmeta` VALUES("279", "40", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("280", "41", "_elementor_source", "post");
INSERT INTO `wp_postmeta` VALUES("281", "41", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("282", "41", "_elementor_template_type", "footer");
INSERT INTO `wp_postmeta` VALUES("283", "41", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("284", "41", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("285", "41", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("286", "41", "_elementor_page_settings", "a:1:{s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("287", "41", "_elementor_data", "[{\"id\":\"55e2145d\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"20\",\"right\":0,\"bottom\":\"20\",\"left\":0,\"isLinked\":true},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"20\",\"left\":0,\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false}},\"elements\":[{\"id\":\"5067913c\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"_inline_size_mobile\":15},\"elements\":[{\"id\":\"40bc6772\",\"elType\":\"widget\",\"settings\":{\"menu\":\"%d9%81%d9%87%d8%b1%d8%b3%d8%aa-%d9%81%d9%88%d8%aa%d8%b1\",\"pointer\":\"none\",\"dropdown\":\"mobile\",\"menu_typography_typography\":\"custom\",\"menu_typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"menu_typography_font_weight\":\"bold\",\"color_menu_item\":\"#474747\",\"color_menu_item_hover\":\"#DE184C\",\"padding_horizontal_menu_item\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"full_width\":\"stretch\",\"text_align\":\"center\",\"toggle_align\":\"right\",\"menu_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"dropdown_box_shadow_box_shadow_type\":\"yes\",\"dropdown_box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.2)\"},\"padding_horizontal_dropdown_item_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"dropdown_divider_width\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"dropdown_top_distance_mobile\":{\"unit\":\"px\",\"size\":27,\"sizes\":[]},\"toggle_color\":\"#4A4A4A\",\"toggle_background_color\":\"#EEEEEE\",\"toggle_size_mobile\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"toggle_border_width_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"toggle_border_radius_mobile\":{\"unit\":\"px\",\"size\":4,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"0\",\"bottom\":\"6\",\"left\":\"6\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"menu_id\":32},\"elements\":[],\"widgetType\":\"nav-menu\"}],\"isInner\":false},{\"id\":\"29cd6a70\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"_inline_size_mobile\":85},\"elements\":[{\"id\":\"3f6713da\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook\",\"library\":\"fa-brands\"},\"_id\":\"c76eae1\"},{\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"_id\":\"90fbc25\"},{\"social_icon\":{\"value\":\"fab fa-telegram\",\"library\":\"fa-brands\"},\"_id\":\"e193c8e\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"adfbcc5\"},{\"social_icon\":{\"value\":\"fab fa-youtube\",\"library\":\"fa-brands\"},\"_id\":\"b79d4c6\"}],\"align\":\"left\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#EEEEEE\",\"icon_secondary_color\":\"#282828\",\"icon_size\":{\"unit\":\"px\",\"size\":19,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"510215\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"b7bf019\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\"},\"elements\":[{\"id\":\"1d8e5f76\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"6eb09e2\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"55d36c85\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0634\\u0646\\u0648\\u0627\\u0631\\u0647 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0646\\u0648\\u0631\\u0648\\u0632 <\\/strong> \\u0634\\u06af\\u0641\\u062a \\u0627\\u0646\\u06af\\u06cc\\u0632\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"11d79413\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.1,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"2659f661\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0647\\u0627\",\"link\":{\"url\":\"#takhfif\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"3c1960f6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100},\"elements\":[{\"id\":\"444ffe81\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":20,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/amoo.png\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"3c0d0517\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"150\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"3c065971\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"ea8d11e\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062e\\u0641\\u06cc\\u0641 <strong style=\\\"font-weight: bold;\\\"> \\u0648\\u06cc\\u0698\\u0647 <\\/strong> \\u0627\\u0645\\u0631\\u0648\\u0632 \",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"1646102d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0641\\u0642\\u0637 \\u0628\\u0647 \\u0645\\u062f\\u062a \\u06cc\\u06a9 \\u0631\\u0648\\u0632 \\u0641\\u0639\\u0627\\u0644 \\u0627\\u0633\\u062a \",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"1fdbb062\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#FCEEEF\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"25\",\"isLinked\":false},\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"2fc4e3b\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"10f8a23c\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"40\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"35096062\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"5dc36b45\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062e\\u0641\\u06cc\\u0641 <strong style=\\\"font-weight: bold;\\\"> \\u0648\\u06cc\\u0698\\u0647 <\\/strong> \\u0627\\u0645\\u0631\\u0648\\u0632 \",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"41562008\",\"elType\":\"section\",\"settings\":{\"structure\":\"60\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"50\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"1002cc88\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"67675f6e\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"40ca812a\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"23ba1409\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"6d5f4a79\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"2b60cd5a\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"2ea2a6fb\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"5c2aae98\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":37.923,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_radius_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"border_radius_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true}},\"elements\":[{\"id\":\"3e633f48\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"\",\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/plugins\\/elementor\\/assets\\/images\\/placeholder.png\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"33446374\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":62.077,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"3391204\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0641\\u0631\\u0648\\u0634 \\u06a9\\u062a \\u0648 \\u0634\\u0644\\u0648\\u0627\\u0631 \\u0645\\u0631\\u062f\\u0627\\u0646\\u0647 \\u062d\\u0631\\u0641\\u0647 \\u0627\\u06cc\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"74ad6af1\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sell professional men\'s suit \",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4e7241ae\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062c\\u0632\\u06cc\\u06cc\\u0627\\u062a \\u0645\\u062d\\u0635\\u0648\\u0644\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6aa254f5\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"38b11862\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"793b6ea8\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062e\\u0641\\u06cc\\u0641 <strong style=\\\"font-weight: bold;\\\"> \\u0648\\u06cc\\u0698\\u0647 <\\/strong> \\u062f\\u06a9\\u0648\\u0631\\u0627\\u0633\\u06cc\\u0648\\u0646\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5efa56cb\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0641\\u0642\\u0637 \\u0628\\u0647 \\u0645\\u062f\\u062a \\u06cc\\u06a9 \\u0631\\u0648\\u0632 \\u0641\\u0639\\u0627\\u0644 \\u0627\\u0633\\u062a \",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"2fccdcd2\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_element_id\":\"takhfif\",\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"7a07316b\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"5f802344\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#282828\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"100\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"21b9c3dd\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":25.074,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-mobile\"},\"elements\":[{\"id\":\"55e3e8ff\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":22,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/element.png\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"8f7634d\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":74.926,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"1838c349\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0648\\u0631\\u0648\\u0632 1401 \\u0645\\u0628\\u0627\\u0631\\u06a9\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"23ccbf5a\",\"elType\":\"widget\",\"settings\":{\"title\":\"Happy Nowruz 1401 \",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("288", "41", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("445", "58", "_wp_attached_file", "2023/07/astrapro.jpg");
INSERT INTO `wp_postmeta` VALUES("322", "45", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("323", "45", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("324", "45", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("325", "45", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("326", "45", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("327", "45", "_elementor_data", "[{\"id\":\"3d47da92\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"bc47e13\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\"},\"elements\":[{\"id\":\"7b24fe6b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"5b81e2a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"47a97a8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648<\\/strong> \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"46fec036\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.1,\"sizes\":[]},\"editor\":\"<p style=\\\"text-align: justify;\\\">\\u0628\\u0631\\u0627\\u06cc \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u06cc\\u0646 \\u0645\\u062a\\u0646 \\u0628\\u0631 \\u0631\\u0648\\u06cc \\u062f\\u06a9\\u0645\\u0647 \\u0648\\u06cc\\u0631\\u0627\\u06cc\\u0634 \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f. \\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6e51cf6c\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0647\\u0627\",\"link\":{\"url\":\"#takhfif\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"5e5aaebf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100},\"elements\":[{\"id\":\"5e81c5e2\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":20,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/amoo.png\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6f9eb886\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"150\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"bcfb378\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"3098e3f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062e\\u0641\\u06cc\\u0641 <strong style=\\\"font-weight: bold;\\\"> \\u0648\\u06cc\\u0698\\u0647 <\\/strong> \\u0627\\u0645\\u0631\\u0648\\u0632 \",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"59830cb0\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0641\\u0642\\u0637 \\u0628\\u0647 \\u0645\\u062f\\u062a \\u06cc\\u06a9 \\u0631\\u0648\\u0632 \\u0641\\u0639\\u0627\\u0644 \\u0627\\u0633\\u062a \",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"68c7709a\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#FCEEEF\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"25\",\"isLinked\":false},\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"4e7cb11e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"4ddff111\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"40\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"72432585\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7a3633a3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062e\\u0641\\u06cc\\u0641 <strong style=\\\"font-weight: bold;\\\"> \\u0648\\u06cc\\u0698\\u0647 <\\/strong> \\u0627\\u0645\\u0631\\u0648\\u0632 \",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e715028\",\"elType\":\"section\",\"settings\":{\"structure\":\"60\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"50\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"4760962c\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"f2ebf9e\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"4eeb5f70\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"41a760e0\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"1c16b038\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"b0ab3a0\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"2704b328\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"66adc7cc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":37.923,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_radius_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"border_radius_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true}},\"elements\":[{\"id\":\"59b59eb3\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"\",\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/plugins\\/elementor\\/assets\\/images\\/placeholder.png\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"907199f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":62.077,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e5012f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0641\\u0631\\u0648\\u0634 \\u06a9\\u062a \\u0648 \\u0634\\u0644\\u0648\\u0627\\u0631 \\u0645\\u0631\\u062f\\u0627\\u0646\\u0647 \\u062d\\u0631\\u0641\\u0647 \\u0627\\u06cc\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6ad9e4f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sell professional men\'s suit \",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"67353f86\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062c\\u0632\\u06cc\\u06cc\\u0627\\u062a \\u0645\\u062d\\u0635\\u0648\\u0644\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"449c823e\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"76fa53ff\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"795b4470\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062e\\u0641\\u06cc\\u0641 <strong style=\\\"font-weight: bold;\\\"> \\u0648\\u06cc\\u0698\\u0647 <\\/strong> \\u062f\\u06a9\\u0648\\u0631\\u0627\\u0633\\u06cc\\u0648\\u0646\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"42799af2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0641\\u0642\\u0637 \\u0628\\u0647 \\u0645\\u062f\\u062a \\u06cc\\u06a9 \\u0631\\u0648\\u0632 \\u0641\\u0639\\u0627\\u0644 \\u0627\\u0633\\u062a \",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"45da3027\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_element_id\":\"takhfif\",\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"6121ccf1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"63f49a14\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#282828\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"100\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e4826c5\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":25.074,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-mobile\"},\"elements\":[{\"id\":\"4c117094\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":22,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/element.png\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"1f3b48f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":74.926,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"331ce172\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0648\\u0631\\u0648\\u0632 1401 \\u0645\\u0628\\u0627\\u0631\\u06a9\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5294f8c5\",\"elType\":\"widget\",\"settings\":{\"title\":\"Happy Nowruz 1401 \",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("328", "45", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("329", "45", "_thumbnail_id", "10");
INSERT INTO `wp_postmeta` VALUES("330", "45", "_elementor_page_settings", "a:2:{s:10:\"hide_title\";s:3:\"yes\";s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("332", "46", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("333", "46", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("334", "46", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("335", "46", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("336", "46", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("337", "46", "_elementor_data", "[{\"id\":\"3d47da92\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"bc47e13\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\"},\"elements\":[{\"id\":\"7b24fe6b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"5b81e2a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"47a97a8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648<\\/strong> \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"46fec036\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.1,\"sizes\":[]},\"editor\":\"<p style=\\\"text-align: justify;\\\">\\u0628\\u0631\\u0627\\u06cc \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u06cc\\u0646 \\u0645\\u062a\\u0646 \\u0628\\u0631 \\u0631\\u0648\\u06cc \\u062f\\u06a9\\u0645\\u0647 \\u0648\\u06cc\\u0631\\u0627\\u06cc\\u0634 \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f. \\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6e51cf6c\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0647\\u0627\",\"link\":{\"url\":\"#takhfif\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"5e5aaebf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100},\"elements\":[{\"id\":\"5e81c5e2\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":20,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/amoo.png\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6f9eb886\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"150\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"bcfb378\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"3098e3f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062e\\u0641\\u06cc\\u0641 <strong style=\\\"font-weight: bold;\\\"> \\u0648\\u06cc\\u0698\\u0647 <\\/strong> \\u0627\\u0645\\u0631\\u0648\\u0632 \",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"59830cb0\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0641\\u0642\\u0637 \\u0628\\u0647 \\u0645\\u062f\\u062a \\u06cc\\u06a9 \\u0631\\u0648\\u0632 \\u0641\\u0639\\u0627\\u0644 \\u0627\\u0633\\u062a \",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"68c7709a\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#FCEEEF\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"25\",\"isLinked\":false},\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"4e7cb11e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"4ddff111\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"40\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"72432585\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7a3633a3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062e\\u0641\\u06cc\\u0641 <strong style=\\\"font-weight: bold;\\\"> \\u0648\\u06cc\\u0698\\u0647 <\\/strong> \\u0627\\u0645\\u0631\\u0648\\u0632 \",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e715028\",\"elType\":\"section\",\"settings\":{\"structure\":\"60\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"50\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"4760962c\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"f2ebf9e\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"4eeb5f70\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"41a760e0\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"1c16b038\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"b0ab3a0\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"2704b328\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"66adc7cc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":37.923,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_radius_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"border_radius_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true}},\"elements\":[{\"id\":\"59b59eb3\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"\",\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/plugins\\/elementor\\/assets\\/images\\/placeholder.png\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"907199f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":62.077,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e5012f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0641\\u0631\\u0648\\u0634 \\u06a9\\u062a \\u0648 \\u0634\\u0644\\u0648\\u0627\\u0631 \\u0645\\u0631\\u062f\\u0627\\u0646\\u0647 \\u062d\\u0631\\u0641\\u0647 \\u0627\\u06cc\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6ad9e4f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sell professional men\'s suit \",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"67353f86\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062c\\u0632\\u06cc\\u06cc\\u0627\\u062a \\u0645\\u062d\\u0635\\u0648\\u0644\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"449c823e\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"76fa53ff\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"795b4470\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062e\\u0641\\u06cc\\u0641 <strong style=\\\"font-weight: bold;\\\"> \\u0648\\u06cc\\u0698\\u0647 <\\/strong> \\u062f\\u06a9\\u0648\\u0631\\u0627\\u0633\\u06cc\\u0648\\u0646\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"42799af2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0641\\u0642\\u0637 \\u0628\\u0647 \\u0645\\u062f\\u062a \\u06cc\\u06a9 \\u0631\\u0648\\u0632 \\u0641\\u0639\\u0627\\u0644 \\u0627\\u0633\\u062a \",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"45da3027\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_element_id\":\"takhfif\",\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"6121ccf1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"63f49a14\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#282828\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"100\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e4826c5\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":25.074,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-mobile\"},\"elements\":[{\"id\":\"4c117094\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":22,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/element.png\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"1f3b48f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":74.926,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"331ce172\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0648\\u0631\\u0648\\u0632 1401 \\u0645\\u0628\\u0627\\u0631\\u06a9\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5294f8c5\",\"elType\":\"widget\",\"settings\":{\"title\":\"Happy Nowruz 1401 \",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("338", "46", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("339", "46", "_thumbnail_id", "10");
INSERT INTO `wp_postmeta` VALUES("340", "46", "_elementor_page_settings", "a:2:{s:10:\"hide_title\";s:3:\"yes\";s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("342", "47", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("343", "47", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("344", "47", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("345", "47", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("346", "47", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("347", "47", "_elementor_data", "[{\"id\":\"3d47da92\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"bc47e13\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\"},\"elements\":[{\"id\":\"7b24fe6b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"5b81e2a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"47a97a8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648<\\/strong> \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"46fec036\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.1,\"sizes\":[]},\"editor\":\"<p style=\\\"text-align: justify;\\\">\\u0628\\u0631\\u0627\\u06cc \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u06cc\\u0646 \\u0645\\u062a\\u0646 \\u0628\\u0631 \\u0631\\u0648\\u06cc \\u062f\\u06a9\\u0645\\u0647 \\u0648\\u06cc\\u0631\\u0627\\u06cc\\u0634 \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f. \\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6e51cf6c\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0647\\u0627\",\"link\":{\"url\":\"#takhfif\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"5e5aaebf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"content_position\":\"center\"},\"elements\":[{\"id\":\"5e81c5e2\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width\":{\"unit\":\"%\",\"size\":46,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6f9eb886\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"150\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"bcfb378\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"3098e3f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062e\\u0641\\u06cc\\u0641 <strong style=\\\"font-weight: bold;\\\"> \\u0648\\u06cc\\u0698\\u0647 <\\/strong> \\u0627\\u0645\\u0631\\u0648\\u0632 \",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"59830cb0\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0641\\u0642\\u0637 \\u0628\\u0647 \\u0645\\u062f\\u062a \\u06cc\\u06a9 \\u0631\\u0648\\u0632 \\u0641\\u0639\\u0627\\u0644 \\u0627\\u0633\\u062a \",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"68c7709a\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#FCEEEF\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"25\",\"isLinked\":false},\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"4e7cb11e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"4ddff111\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"40\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"72432585\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7a3633a3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062e\\u0641\\u06cc\\u0641 <strong style=\\\"font-weight: bold;\\\"> \\u0648\\u06cc\\u0698\\u0647 <\\/strong> \\u0627\\u0645\\u0631\\u0648\\u0632 \",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e715028\",\"elType\":\"section\",\"settings\":{\"structure\":\"60\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"50\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"4760962c\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"f2ebf9e\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"4eeb5f70\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"41a760e0\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"1c16b038\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"b0ab3a0\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"2704b328\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"66adc7cc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":37.923,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_radius_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"border_radius_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true}},\"elements\":[{\"id\":\"59b59eb3\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"\",\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/plugins\\/elementor\\/assets\\/images\\/placeholder.png\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"907199f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":62.077,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e5012f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0641\\u0631\\u0648\\u0634 \\u06a9\\u062a \\u0648 \\u0634\\u0644\\u0648\\u0627\\u0631 \\u0645\\u0631\\u062f\\u0627\\u0646\\u0647 \\u062d\\u0631\\u0641\\u0647 \\u0627\\u06cc\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6ad9e4f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sell professional men\'s suit \",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"67353f86\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062c\\u0632\\u06cc\\u06cc\\u0627\\u062a \\u0645\\u062d\\u0635\\u0648\\u0644\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"449c823e\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"76fa53ff\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"795b4470\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062e\\u0641\\u06cc\\u0641 <strong style=\\\"font-weight: bold;\\\"> \\u0648\\u06cc\\u0698\\u0647 <\\/strong> \\u062f\\u06a9\\u0648\\u0631\\u0627\\u0633\\u06cc\\u0648\\u0646\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"42799af2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0641\\u0642\\u0637 \\u0628\\u0647 \\u0645\\u062f\\u062a \\u06cc\\u06a9 \\u0631\\u0648\\u0632 \\u0641\\u0639\\u0627\\u0644 \\u0627\\u0633\\u062a \",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"45da3027\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_element_id\":\"takhfif\",\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"6121ccf1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"63f49a14\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#282828\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"100\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e4826c5\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":25.074,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-mobile\"},\"elements\":[{\"id\":\"4c117094\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":22,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/element.png\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"1f3b48f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":74.926,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"331ce172\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0648\\u0631\\u0648\\u0632 1401 \\u0645\\u0628\\u0627\\u0631\\u06a9\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5294f8c5\",\"elType\":\"widget\",\"settings\":{\"title\":\"Happy Nowruz 1401 \",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("348", "47", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("349", "47", "_thumbnail_id", "10");
INSERT INTO `wp_postmeta` VALUES("350", "47", "_elementor_page_settings", "a:2:{s:10:\"hide_title\";s:3:\"yes\";s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("355", "48", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("356", "48", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("357", "48", "_elementor_data", "[{\"id\":\"3d47da92\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"bc47e13\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\"},\"elements\":[{\"id\":\"7b24fe6b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"5b81e2a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"47a97a8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648<\\/strong> \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"46fec036\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.1,\"sizes\":[]},\"editor\":\"<p style=\\\"text-align: justify;\\\">\\u0628\\u0631\\u0627\\u06cc \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u06cc\\u0646 \\u0645\\u062a\\u0646 \\u0628\\u0631 \\u0631\\u0648\\u06cc \\u062f\\u06a9\\u0645\\u0647 \\u0648\\u06cc\\u0631\\u0627\\u06cc\\u0634 \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f. \\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6e51cf6c\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0647\\u0627\",\"link\":{\"url\":\"#takhfif\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"5e5aaebf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"content_position\":\"center\"},\"elements\":[{\"id\":\"5e81c5e2\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width\":{\"unit\":\"%\",\"size\":46,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6f9eb886\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"150\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"bcfb378\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"3098e3f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062e\\u0641\\u06cc\\u0641 <strong style=\\\"font-weight: bold;\\\"> \\u0648\\u06cc\\u0698\\u0647 <\\/strong> \\u0627\\u0645\\u0631\\u0648\\u0632 \",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"59830cb0\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0641\\u0642\\u0637 \\u0628\\u0647 \\u0645\\u062f\\u062a \\u06cc\\u06a9 \\u0631\\u0648\\u0632 \\u0641\\u0639\\u0627\\u0644 \\u0627\\u0633\\u062a \",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"68c7709a\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#FCEEEF\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"25\",\"isLinked\":false},\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"4e7cb11e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"4ddff111\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"40\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"72432585\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7a3633a3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062e\\u0641\\u06cc\\u0641 <strong style=\\\"font-weight: bold;\\\"> \\u0648\\u06cc\\u0698\\u0647 <\\/strong> \\u0627\\u0645\\u0631\\u0648\\u0632 \",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e715028\",\"elType\":\"section\",\"settings\":{\"structure\":\"60\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"50\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"4760962c\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"f2ebf9e\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"4eeb5f70\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"41a760e0\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"1c16b038\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"b0ab3a0\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"2704b328\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"66adc7cc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":37.923,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_radius_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"border_radius_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true}},\"elements\":[{\"id\":\"59b59eb3\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"\",\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/plugins\\/elementor\\/assets\\/images\\/placeholder.png\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"907199f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":62.077,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e5012f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0641\\u0631\\u0648\\u0634 \\u06a9\\u062a \\u0648 \\u0634\\u0644\\u0648\\u0627\\u0631 \\u0645\\u0631\\u062f\\u0627\\u0646\\u0647 \\u062d\\u0631\\u0641\\u0647 \\u0627\\u06cc\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6ad9e4f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sell professional men\'s suit \",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"67353f86\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062c\\u0632\\u06cc\\u06cc\\u0627\\u062a \\u0645\\u062d\\u0635\\u0648\\u0644\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"449c823e\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"76fa53ff\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"795b4470\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062e\\u0641\\u06cc\\u0641 <strong style=\\\"font-weight: bold;\\\"> \\u0648\\u06cc\\u0698\\u0647 <\\/strong> \\u062f\\u06a9\\u0648\\u0631\\u0627\\u0633\\u06cc\\u0648\\u0646\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"42799af2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0641\\u0642\\u0637 \\u0628\\u0647 \\u0645\\u062f\\u062a \\u06cc\\u06a9 \\u0631\\u0648\\u0632 \\u0641\\u0639\\u0627\\u0644 \\u0627\\u0633\\u062a \",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"45da3027\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_element_id\":\"takhfif\",\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"6121ccf1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"63f49a14\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#282828\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"100\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e4826c5\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":25.074,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-mobile\"},\"elements\":[{\"id\":\"4c117094\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":22,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/element.png\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"1f3b48f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":74.926,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"331ce172\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0648\\u0631\\u0648\\u0632 1401 \\u0645\\u0628\\u0627\\u0631\\u06a9\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5294f8c5\",\"elType\":\"widget\",\"settings\":{\"title\":\"Happy Nowruz 1401 \",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("358", "48", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("359", "48", "_thumbnail_id", "10");
INSERT INTO `wp_postmeta` VALUES("360", "48", "_elementor_page_settings", "a:2:{s:10:\"hide_title\";s:3:\"yes\";s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("361", "49", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("362", "49", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("363", "49", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("364", "49", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("365", "49", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("366", "49", "_elementor_data", "[{\"id\":\"3d47da92\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"bc47e13\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\"},\"elements\":[{\"id\":\"7b24fe6b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"5b81e2a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"47a97a8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648<\\/strong> \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"46fec036\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.1,\"sizes\":[]},\"editor\":\"<p style=\\\"text-align: justify;\\\">\\u0628\\u0631\\u0627\\u06cc \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u06cc\\u0646 \\u0645\\u062a\\u0646 \\u0628\\u0631 \\u0631\\u0648\\u06cc \\u062f\\u06a9\\u0645\\u0647 \\u0648\\u06cc\\u0631\\u0627\\u06cc\\u0634 \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f. \\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6e51cf6c\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0647\\u0627\",\"link\":{\"url\":\"#takhfif\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"5e5aaebf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"content_position\":\"center\"},\"elements\":[{\"id\":\"5e81c5e2\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width\":{\"unit\":\"%\",\"size\":46,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6f9eb886\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"150\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"bcfb378\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"3098e3f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062e\\u0641\\u06cc\\u0641 <strong style=\\\"font-weight: bold;\\\"> \\u0648\\u06cc\\u0698\\u0647 <\\/strong> \\u0627\\u0645\\u0631\\u0648\\u0632 \",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"59830cb0\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0641\\u0642\\u0637 \\u0628\\u0647 \\u0645\\u062f\\u062a \\u06cc\\u06a9 \\u0631\\u0648\\u0632 \\u0641\\u0639\\u0627\\u0644 \\u0627\\u0633\\u062a \",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"68c7709a\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#FCEEEF\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"25\",\"isLinked\":false},\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"4e7cb11e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"4ddff111\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"40\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"72432585\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7a3633a3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062e\\u0641\\u06cc\\u0641 <strong style=\\\"font-weight: bold;\\\"> \\u0648\\u06cc\\u0698\\u0647 <\\/strong> \\u0627\\u0645\\u0631\\u0648\\u0632 \",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e715028\",\"elType\":\"section\",\"settings\":{\"structure\":\"60\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"50\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"4760962c\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"f2ebf9e\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"4eeb5f70\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"41a760e0\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"1c16b038\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"b0ab3a0\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"2704b328\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"66adc7cc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":37.923,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_radius_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"border_radius_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true}},\"elements\":[{\"id\":\"59b59eb3\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"\",\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/plugins\\/elementor\\/assets\\/images\\/placeholder.png\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"907199f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":62.077,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e5012f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0641\\u0631\\u0648\\u0634 \\u06a9\\u062a \\u0648 \\u0634\\u0644\\u0648\\u0627\\u0631 \\u0645\\u0631\\u062f\\u0627\\u0646\\u0647 \\u062d\\u0631\\u0641\\u0647 \\u0627\\u06cc\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6ad9e4f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sell professional men\'s suit \",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"67353f86\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062c\\u0632\\u06cc\\u06cc\\u0627\\u062a \\u0645\\u062d\\u0635\\u0648\\u0644\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"449c823e\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"76fa53ff\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"795b4470\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062e\\u0641\\u06cc\\u0641 <strong style=\\\"font-weight: bold;\\\"> \\u0648\\u06cc\\u0698\\u0647 <\\/strong> \\u062f\\u06a9\\u0648\\u0631\\u0627\\u0633\\u06cc\\u0648\\u0646\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"42799af2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0641\\u0642\\u0637 \\u0628\\u0647 \\u0645\\u062f\\u062a \\u06cc\\u06a9 \\u0631\\u0648\\u0632 \\u0641\\u0639\\u0627\\u0644 \\u0627\\u0633\\u062a \",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"45da3027\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_element_id\":\"takhfif\",\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"6121ccf1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"63f49a14\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#282828\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"100\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e4826c5\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":25.074,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-mobile\"},\"elements\":[{\"id\":\"4c117094\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":22,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/element.png\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"1f3b48f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":74.926,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"331ce172\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0648\\u0631\\u0648\\u0632 1401 \\u0645\\u0628\\u0627\\u0631\\u06a9\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5294f8c5\",\"elType\":\"widget\",\"settings\":{\"title\":\"Happy Nowruz 1401 \",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("367", "49", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("368", "49", "_thumbnail_id", "10");
INSERT INTO `wp_postmeta` VALUES("369", "49", "_elementor_page_settings", "a:2:{s:10:\"hide_title\";s:3:\"yes\";s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("370", "50", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("371", "50", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("372", "50", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("373", "50", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("374", "50", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("375", "50", "_elementor_data", "[{\"id\":\"3d47da92\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"bc47e13\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\"},\"elements\":[{\"id\":\"7b24fe6b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"5b81e2a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"47a97a8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648<\\/strong> \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"46fec036\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.1,\"sizes\":[]},\"editor\":\"<p style=\\\"text-align: justify;\\\">\\u0628\\u0631\\u0627\\u06cc \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u06cc\\u0646 \\u0645\\u062a\\u0646 \\u0628\\u0631 \\u0631\\u0648\\u06cc \\u062f\\u06a9\\u0645\\u0647 \\u0648\\u06cc\\u0631\\u0627\\u06cc\\u0634 \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f. \\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6e51cf6c\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0647\\u0627\",\"link\":{\"url\":\"#takhfif\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"5e5aaebf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"content_position\":\"center\"},\"elements\":[{\"id\":\"5e81c5e2\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width\":{\"unit\":\"%\",\"size\":46,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6f9eb886\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"150\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"bcfb378\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"3098e3f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u0642\\u0627\\u0644\\u0628<\\/strong> \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"59830cb0\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0631\\u0627 \\u0645\\u06cc\\u200c\\u062a\\u0648\\u0627\\u0646\\u06cc\\u062f \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0627\\u0632 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647 \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"68c7709a\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#FCEEEF\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"25\",\"isLinked\":false},\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"4e7cb11e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"4ddff111\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"40\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"72432585\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7a3633a3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062e\\u0641\\u06cc\\u0641 <strong style=\\\"font-weight: bold;\\\"> \\u0648\\u06cc\\u0698\\u0647 <\\/strong> \\u0627\\u0645\\u0631\\u0648\\u0632 \",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e715028\",\"elType\":\"section\",\"settings\":{\"structure\":\"60\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"50\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"4760962c\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"f2ebf9e\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"4eeb5f70\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"41a760e0\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"1c16b038\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"b0ab3a0\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"2704b328\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"66adc7cc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":37.923,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_radius_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"border_radius_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true}},\"elements\":[{\"id\":\"59b59eb3\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"\",\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/plugins\\/elementor\\/assets\\/images\\/placeholder.png\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"907199f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":62.077,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e5012f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0641\\u0631\\u0648\\u0634 \\u06a9\\u062a \\u0648 \\u0634\\u0644\\u0648\\u0627\\u0631 \\u0645\\u0631\\u062f\\u0627\\u0646\\u0647 \\u062d\\u0631\\u0641\\u0647 \\u0627\\u06cc\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6ad9e4f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sell professional men\'s suit \",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"67353f86\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062c\\u0632\\u06cc\\u06cc\\u0627\\u062a \\u0645\\u062d\\u0635\\u0648\\u0644\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"449c823e\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"76fa53ff\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"795b4470\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062e\\u0641\\u06cc\\u0641 <strong style=\\\"font-weight: bold;\\\"> \\u0648\\u06cc\\u0698\\u0647 <\\/strong> \\u062f\\u06a9\\u0648\\u0631\\u0627\\u0633\\u06cc\\u0648\\u0646\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"42799af2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0641\\u0642\\u0637 \\u0628\\u0647 \\u0645\\u062f\\u062a \\u06cc\\u06a9 \\u0631\\u0648\\u0632 \\u0641\\u0639\\u0627\\u0644 \\u0627\\u0633\\u062a \",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"45da3027\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_element_id\":\"takhfif\",\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"6121ccf1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"63f49a14\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#282828\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"100\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e4826c5\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":25.074,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-mobile\"},\"elements\":[{\"id\":\"4c117094\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":22,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/element.png\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"1f3b48f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":74.926,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"331ce172\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0648\\u0631\\u0648\\u0632 1401 \\u0645\\u0628\\u0627\\u0631\\u06a9\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5294f8c5\",\"elType\":\"widget\",\"settings\":{\"title\":\"Happy Nowruz 1401 \",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("376", "50", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("377", "50", "_thumbnail_id", "10");
INSERT INTO `wp_postmeta` VALUES("378", "50", "_elementor_page_settings", "a:2:{s:10:\"hide_title\";s:3:\"yes\";s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("379", "51", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("380", "51", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("381", "51", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("382", "51", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("383", "51", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("384", "51", "_elementor_data", "[{\"id\":\"3d47da92\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"bc47e13\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\"},\"elements\":[{\"id\":\"7b24fe6b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"5b81e2a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"47a97a8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648<\\/strong> \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"46fec036\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.1,\"sizes\":[]},\"editor\":\"<p style=\\\"text-align: justify;\\\">\\u0628\\u0631\\u0627\\u06cc \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u06cc\\u0646 \\u0645\\u062a\\u0646 \\u0628\\u0631 \\u0631\\u0648\\u06cc \\u062f\\u06a9\\u0645\\u0647 \\u0648\\u06cc\\u0631\\u0627\\u06cc\\u0634 \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f. \\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6e51cf6c\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0647\\u0627\",\"link\":{\"url\":\"#takhfif\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"5e5aaebf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"content_position\":\"center\"},\"elements\":[{\"id\":\"5e81c5e2\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width\":{\"unit\":\"%\",\"size\":46,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6f9eb886\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"150\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"bcfb378\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"3098e3f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u0642\\u0627\\u0644\\u0628<\\/strong> \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"59830cb0\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0631\\u0627 \\u0645\\u06cc\\u200c\\u062a\\u0648\\u0627\\u0646\\u06cc\\u062f \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0627\\u0632 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647 \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"68c7709a\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#FCEEEF\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"25\",\"isLinked\":false},\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"4e7cb11e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"4ddff111\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"40\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"72432585\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7a3633a3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062e\\u0641\\u06cc\\u0641 <strong style=\\\"font-weight: bold;\\\"> \\u0648\\u06cc\\u0698\\u0647 <\\/strong> \\u0627\\u0645\\u0631\\u0648\\u0632 \",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e715028\",\"elType\":\"section\",\"settings\":{\"structure\":\"60\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"50\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"4760962c\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"f2ebf9e\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"4eeb5f70\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"41a760e0\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"1c16b038\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"b0ab3a0\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"2704b328\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"66adc7cc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":37.923,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_radius_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"border_radius_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true}},\"elements\":[{\"id\":\"59b59eb3\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"\",\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/plugins\\/elementor\\/assets\\/images\\/placeholder.png\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"907199f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":62.077,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e5012f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0641\\u0631\\u0648\\u0634 \\u06a9\\u062a \\u0648 \\u0634\\u0644\\u0648\\u0627\\u0631 \\u0645\\u0631\\u062f\\u0627\\u0646\\u0647 \\u062d\\u0631\\u0641\\u0647 \\u0627\\u06cc\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6ad9e4f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sell professional men\'s suit \",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"67353f86\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062c\\u0632\\u06cc\\u06cc\\u0627\\u062a \\u0645\\u062d\\u0635\\u0648\\u0644\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"449c823e\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"76fa53ff\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"795b4470\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062e\\u0641\\u06cc\\u0641 <strong style=\\\"font-weight: bold;\\\"> \\u0648\\u06cc\\u0698\\u0647 <\\/strong> \\u062f\\u06a9\\u0648\\u0631\\u0627\\u0633\\u06cc\\u0648\\u0646\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"42799af2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0641\\u0642\\u0637 \\u0628\\u0647 \\u0645\\u062f\\u062a \\u06cc\\u06a9 \\u0631\\u0648\\u0632 \\u0641\\u0639\\u0627\\u0644 \\u0627\\u0633\\u062a \",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"45da3027\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_element_id\":\"takhfif\",\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"6121ccf1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"63f49a14\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#282828\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"100\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e4826c5\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":25.074,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-mobile\"},\"elements\":[{\"id\":\"4c117094\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":22,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/element.png\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"1f3b48f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":74.926,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"331ce172\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0648\\u0631\\u0648\\u0632 1401 \\u0645\\u0628\\u0627\\u0631\\u06a9\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5294f8c5\",\"elType\":\"widget\",\"settings\":{\"title\":\"Happy Nowruz 1401 \",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("385", "51", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("386", "51", "_thumbnail_id", "10");
INSERT INTO `wp_postmeta` VALUES("387", "51", "_elementor_page_settings", "a:2:{s:10:\"hide_title\";s:3:\"yes\";s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("388", "52", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("389", "52", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("390", "52", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("391", "52", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("392", "52", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("393", "52", "_elementor_data", "[{\"id\":\"3d47da92\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"bc47e13\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\"},\"elements\":[{\"id\":\"7b24fe6b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"5b81e2a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"47a97a8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648<\\/strong> \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"46fec036\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.1,\"sizes\":[]},\"editor\":\"<p style=\\\"text-align: justify;\\\">\\u0628\\u0631\\u0627\\u06cc \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u06cc\\u0646 \\u0645\\u062a\\u0646 \\u0628\\u0631 \\u0631\\u0648\\u06cc \\u062f\\u06a9\\u0645\\u0647 \\u0648\\u06cc\\u0631\\u0627\\u06cc\\u0634 \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f. \\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6e51cf6c\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0647\\u0627\",\"link\":{\"url\":\"#takhfif\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"5e5aaebf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"content_position\":\"center\"},\"elements\":[{\"id\":\"5e81c5e2\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width\":{\"unit\":\"%\",\"size\":46,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6f9eb886\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"150\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"bcfb378\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"3098e3f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u0642\\u0627\\u0644\\u0628<\\/strong> \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"59830cb0\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0631\\u0627 \\u0645\\u06cc\\u200c\\u062a\\u0648\\u0627\\u0646\\u06cc\\u062f \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0627\\u0632 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647 \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"68c7709a\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#FCEEEF\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"25\",\"isLinked\":false},\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"4e7cb11e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"4ddff111\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"40\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"72432585\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7a3633a3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062e\\u0641\\u06cc\\u0641 <strong style=\\\"font-weight: bold;\\\"> \\u0648\\u06cc\\u0698\\u0647 <\\/strong> \\u0627\\u0645\\u0631\\u0648\\u0632 \",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e715028\",\"elType\":\"section\",\"settings\":{\"structure\":\"60\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"50\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"4760962c\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"f2ebf9e\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"4eeb5f70\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"41a760e0\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"1c16b038\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"b0ab3a0\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"2704b328\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"66adc7cc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":37.923,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_radius_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"border_radius_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true}},\"elements\":[{\"id\":\"59b59eb3\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":\"\",\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/plugins\\/elementor\\/assets\\/images\\/placeholder.png\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"907199f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":62.077,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e5012f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0641\\u0631\\u0648\\u0634 \\u06a9\\u062a \\u0648 \\u0634\\u0644\\u0648\\u0627\\u0631 \\u0645\\u0631\\u062f\\u0627\\u0646\\u0647 \\u062d\\u0631\\u0641\\u0647 \\u0627\\u06cc\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6ad9e4f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"Sell professional men\'s suit \",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"67353f86\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062c\\u0632\\u06cc\\u06cc\\u0627\\u062a \\u0645\\u062d\\u0635\\u0648\\u0644\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"449c823e\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"76fa53ff\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"795b4470\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062e\\u0641\\u06cc\\u0641 <strong style=\\\"font-weight: bold;\\\"> \\u0648\\u06cc\\u0698\\u0647 <\\/strong> \\u062f\\u06a9\\u0648\\u0631\\u0627\\u0633\\u06cc\\u0648\\u0646\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"42799af2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0641\\u0642\\u0637 \\u0628\\u0647 \\u0645\\u062f\\u062a \\u06cc\\u06a9 \\u0631\\u0648\\u0632 \\u0641\\u0639\\u0627\\u0644 \\u0627\\u0633\\u062a \",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"45da3027\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_element_id\":\"takhfif\",\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"6121ccf1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"63f49a14\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#282828\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"100\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e4826c5\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":25.074,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-mobile\"},\"elements\":[{\"id\":\"4c117094\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":22,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/element.png\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"1f3b48f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":74.926,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"331ce172\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0648\\u0631\\u0648\\u0632 1401 \\u0645\\u0628\\u0627\\u0631\\u06a9\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5294f8c5\",\"elType\":\"widget\",\"settings\":{\"title\":\"Happy Nowruz 1401 \",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("394", "52", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("395", "52", "_thumbnail_id", "10");
INSERT INTO `wp_postmeta` VALUES("396", "52", "_elementor_page_settings", "a:2:{s:10:\"hide_title\";s:3:\"yes\";s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("397", "53", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("398", "53", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("399", "53", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("400", "53", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("401", "53", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("402", "53", "_elementor_data", "[{\"id\":\"3d47da92\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"bc47e13\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\"},\"elements\":[{\"id\":\"7b24fe6b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"5b81e2a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"47a97a8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648<\\/strong> \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"46fec036\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.1,\"sizes\":[]},\"editor\":\"<p style=\\\"text-align: justify;\\\">\\u0628\\u0631\\u0627\\u06cc \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u06cc\\u0646 \\u0645\\u062a\\u0646 \\u0628\\u0631 \\u0631\\u0648\\u06cc \\u062f\\u06a9\\u0645\\u0647 \\u0648\\u06cc\\u0631\\u0627\\u06cc\\u0634 \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f. \\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6e51cf6c\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0647\\u0627\",\"link\":{\"url\":\"#takhfif\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"5e5aaebf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"content_position\":\"center\"},\"elements\":[{\"id\":\"5e81c5e2\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width\":{\"unit\":\"%\",\"size\":46,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6f9eb886\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"150\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"bcfb378\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"3098e3f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u0642\\u0627\\u0644\\u0628<\\/strong> \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"59830cb0\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0631\\u0627 \\u0645\\u06cc\\u200c\\u062a\\u0648\\u0627\\u0646\\u06cc\\u062f \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0627\\u0632 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647 \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"68c7709a\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#FCEEEF\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"25\",\"isLinked\":false},\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"4e7cb11e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"4ddff111\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"40\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"72432585\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7a3633a3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0631\\u062e\\u06cc<strong style=\\\"font-weight: bold;\\\"> \\u0627\\u0632 <\\/strong> \\u0627\\u0645\\u06a9\\u0627\\u0646\\u0627\\u062a \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e715028\",\"elType\":\"section\",\"settings\":{\"structure\":\"60\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"50\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"4760962c\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"f2ebf9e\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"4eeb5f70\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"41a760e0\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"1c16b038\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"b0ab3a0\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"2704b328\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"66adc7cc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":37.923,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_radius_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"border_radius_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true}},\"elements\":[{\"id\":\"59b59eb3\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"907199f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":62.077,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e5012f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u067e\\u0631 \\u0641\\u0631\\u0648\\u0634 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u067e\\u0631\\u062f\\u067e\\u0631\\u0633\\u06cc\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6ad9e4f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0647\\u062a \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"67353f86\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627\\u067e\\u0631\\u0648\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"449c823e\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"76fa53ff\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"795b4470\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062e\\u0641\\u06cc\\u0641 <strong style=\\\"font-weight: bold;\\\"> \\u0648\\u06cc\\u0698\\u0647 <\\/strong> \\u062f\\u06a9\\u0648\\u0631\\u0627\\u0633\\u06cc\\u0648\\u0646\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"42799af2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0641\\u0642\\u0637 \\u0628\\u0647 \\u0645\\u062f\\u062a \\u06cc\\u06a9 \\u0631\\u0648\\u0632 \\u0641\\u0639\\u0627\\u0644 \\u0627\\u0633\\u062a \",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"45da3027\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_element_id\":\"takhfif\",\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"6121ccf1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"63f49a14\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#282828\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"100\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e4826c5\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":25.074,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-mobile\"},\"elements\":[{\"id\":\"4c117094\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":22,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/element.png\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"1f3b48f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":74.926,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"331ce172\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0648\\u0631\\u0648\\u0632 1401 \\u0645\\u0628\\u0627\\u0631\\u06a9\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5294f8c5\",\"elType\":\"widget\",\"settings\":{\"title\":\"Happy Nowruz 1401 \",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("403", "53", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("404", "53", "_thumbnail_id", "10");
INSERT INTO `wp_postmeta` VALUES("405", "53", "_elementor_page_settings", "a:2:{s:10:\"hide_title\";s:3:\"yes\";s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("406", "54", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("407", "54", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("408", "54", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("409", "54", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("410", "54", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("411", "54", "_elementor_data", "[{\"id\":\"3d47da92\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"bc47e13\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\"},\"elements\":[{\"id\":\"7b24fe6b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"5b81e2a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"47a97a8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648<\\/strong> \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"46fec036\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.1,\"sizes\":[]},\"editor\":\"<p style=\\\"text-align: justify;\\\">\\u0628\\u0631\\u0627\\u06cc \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u06cc\\u0646 \\u0645\\u062a\\u0646 \\u0628\\u0631 \\u0631\\u0648\\u06cc \\u062f\\u06a9\\u0645\\u0647 \\u0648\\u06cc\\u0631\\u0627\\u06cc\\u0634 \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f. \\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6e51cf6c\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0647\\u0627\",\"link\":{\"url\":\"#takhfif\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"5e5aaebf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"content_position\":\"center\"},\"elements\":[{\"id\":\"5e81c5e2\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width\":{\"unit\":\"%\",\"size\":46,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6f9eb886\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"150\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"bcfb378\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"3098e3f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u0642\\u0627\\u0644\\u0628<\\/strong> \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"59830cb0\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0631\\u0627 \\u0645\\u06cc\\u200c\\u062a\\u0648\\u0627\\u0646\\u06cc\\u062f \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0627\\u0632 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647 \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"68c7709a\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#FCEEEF\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"25\",\"isLinked\":false},\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"4e7cb11e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"4ddff111\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"40\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"72432585\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7a3633a3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0631\\u062e\\u06cc<strong style=\\\"font-weight: bold;\\\"> \\u0627\\u0632 <\\/strong> \\u0627\\u0645\\u06a9\\u0627\\u0646\\u0627\\u062a \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e715028\",\"elType\":\"section\",\"settings\":{\"structure\":\"60\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"50\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"4760962c\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"f2ebf9e\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"4eeb5f70\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"41a760e0\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"1c16b038\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"b0ab3a0\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"2704b328\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"66adc7cc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":37.923,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_radius_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"border_radius_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true}},\"elements\":[{\"id\":\"59b59eb3\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"907199f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":62.077,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e5012f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u067e\\u0631 \\u0641\\u0631\\u0648\\u0634 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u067e\\u0631\\u062f\\u067e\\u0631\\u0633\\u06cc\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6ad9e4f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0647\\u062a \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"67353f86\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627\\u067e\\u0631\\u0648\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"449c823e\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"76fa53ff\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"795b4470\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062e\\u0641\\u06cc\\u0641 <strong style=\\\"font-weight: bold;\\\"> \\u0648\\u06cc\\u0698\\u0647 <\\/strong> \\u062f\\u06a9\\u0648\\u0631\\u0627\\u0633\\u06cc\\u0648\\u0646\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"42799af2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0641\\u0642\\u0637 \\u0628\\u0647 \\u0645\\u062f\\u062a \\u06cc\\u06a9 \\u0631\\u0648\\u0632 \\u0641\\u0639\\u0627\\u0644 \\u0627\\u0633\\u062a \",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"45da3027\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_element_id\":\"takhfif\",\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"6121ccf1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"63f49a14\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#282828\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"100\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e4826c5\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":25.074,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-mobile\"},\"elements\":[{\"id\":\"4c117094\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":22,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/element.png\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"1f3b48f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":74.926,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"331ce172\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0648\\u0631\\u0648\\u0632 1401 \\u0645\\u0628\\u0627\\u0631\\u06a9\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5294f8c5\",\"elType\":\"widget\",\"settings\":{\"title\":\"Happy Nowruz 1401 \",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("412", "54", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("413", "54", "_thumbnail_id", "10");
INSERT INTO `wp_postmeta` VALUES("414", "54", "_elementor_page_settings", "a:2:{s:10:\"hide_title\";s:3:\"yes\";s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("415", "55", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("416", "55", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("417", "55", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("418", "55", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("419", "55", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("420", "55", "_elementor_data", "[{\"id\":\"3d47da92\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"bc47e13\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\"},\"elements\":[{\"id\":\"7b24fe6b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"5b81e2a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"47a97a8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648<\\/strong> \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"46fec036\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.1,\"sizes\":[]},\"editor\":\"<p style=\\\"text-align: justify;\\\">\\u0628\\u0631\\u0627\\u06cc \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u06cc\\u0646 \\u0645\\u062a\\u0646 \\u0628\\u0631 \\u0631\\u0648\\u06cc \\u062f\\u06a9\\u0645\\u0647 \\u0648\\u06cc\\u0631\\u0627\\u06cc\\u0634 \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f. \\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6e51cf6c\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0647\\u0627\",\"link\":{\"url\":\"#takhfif\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"5e5aaebf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"content_position\":\"center\"},\"elements\":[{\"id\":\"5e81c5e2\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width\":{\"unit\":\"%\",\"size\":46,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6f9eb886\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"150\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"bcfb378\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"3098e3f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u0642\\u0627\\u0644\\u0628<\\/strong> \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"59830cb0\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0631\\u0627 \\u0645\\u06cc\\u200c\\u062a\\u0648\\u0627\\u0646\\u06cc\\u062f \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0627\\u0632 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647 \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"68c7709a\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#FCEEEF\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"25\",\"isLinked\":false},\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"4e7cb11e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"4ddff111\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"40\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"72432585\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7a3633a3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0631\\u062e\\u06cc<strong style=\\\"font-weight: bold;\\\"> \\u0627\\u0632 <\\/strong> \\u0627\\u0645\\u06a9\\u0627\\u0646\\u0627\\u062a \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e715028\",\"elType\":\"section\",\"settings\":{\"structure\":\"60\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"50\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"4760962c\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"f2ebf9e\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"4eeb5f70\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"41a760e0\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"1c16b038\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"b0ab3a0\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"2704b328\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"66adc7cc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":37.923,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_radius_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"border_radius_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true}},\"elements\":[{\"id\":\"59b59eb3\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"907199f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":62.077,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e5012f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u067e\\u0631 \\u0641\\u0631\\u0648\\u0634 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u067e\\u0631\\u062f\\u067e\\u0631\\u0633\\u06cc\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6ad9e4f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0647\\u062a \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"67353f86\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627\\u067e\\u0631\\u0648\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"449c823e\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"76fa53ff\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"795b4470\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062e\\u0641\\u06cc\\u0641 <strong style=\\\"font-weight: bold;\\\"> \\u0648\\u06cc\\u0698\\u0647 <\\/strong> \\u062f\\u06a9\\u0648\\u0631\\u0627\\u0633\\u06cc\\u0648\\u0646\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"42799af2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0641\\u0642\\u0637 \\u0628\\u0647 \\u0645\\u062f\\u062a \\u06cc\\u06a9 \\u0631\\u0648\\u0632 \\u0641\\u0639\\u0627\\u0644 \\u0627\\u0633\\u062a \",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"45da3027\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_element_id\":\"takhfif\",\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"6121ccf1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"63f49a14\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#282828\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"100\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e4826c5\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":25.074,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-mobile\"},\"elements\":[{\"id\":\"4c117094\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":22,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/element.png\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"1f3b48f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":74.926,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"331ce172\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0648\\u0631\\u0648\\u0632 1401 \\u0645\\u0628\\u0627\\u0631\\u06a9\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5294f8c5\",\"elType\":\"widget\",\"settings\":{\"title\":\"Happy Nowruz 1401 \",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("421", "55", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("422", "55", "_thumbnail_id", "10");
INSERT INTO `wp_postmeta` VALUES("423", "55", "_elementor_page_settings", "a:2:{s:10:\"hide_title\";s:3:\"yes\";s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("424", "56", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("425", "56", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("426", "56", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("427", "56", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("428", "56", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("429", "56", "_elementor_data", "[{\"id\":\"3d47da92\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"bc47e13\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\"},\"elements\":[{\"id\":\"7b24fe6b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"5b81e2a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"47a97a8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648<\\/strong> \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"46fec036\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.1,\"sizes\":[]},\"editor\":\"<p style=\\\"text-align: justify;\\\">\\u0628\\u0631\\u0627\\u06cc \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u06cc\\u0646 \\u0645\\u062a\\u0646 \\u0628\\u0631 \\u0631\\u0648\\u06cc \\u062f\\u06a9\\u0645\\u0647 \\u0648\\u06cc\\u0631\\u0627\\u06cc\\u0634 \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f. \\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6e51cf6c\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0647\\u0627\",\"link\":{\"url\":\"#takhfif\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"5e5aaebf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"content_position\":\"center\"},\"elements\":[{\"id\":\"5e81c5e2\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width\":{\"unit\":\"%\",\"size\":46,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6f9eb886\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"150\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"bcfb378\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"3098e3f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u0642\\u0627\\u0644\\u0628<\\/strong> \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"59830cb0\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0631\\u0627 \\u0645\\u06cc\\u200c\\u062a\\u0648\\u0627\\u0646\\u06cc\\u062f \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0627\\u0632 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647 \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"68c7709a\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#FCEEEF\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"25\",\"isLinked\":false},\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"4e7cb11e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"4ddff111\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"40\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"72432585\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7a3633a3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0631\\u062e\\u06cc<strong style=\\\"font-weight: bold;\\\"> \\u0627\\u0632 <\\/strong> \\u0627\\u0645\\u06a9\\u0627\\u0646\\u0627\\u062a \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e715028\",\"elType\":\"section\",\"settings\":{\"structure\":\"60\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"50\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"4760962c\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"f2ebf9e\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"4eeb5f70\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"41a760e0\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"1c16b038\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"b0ab3a0\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"2704b328\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"66adc7cc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":37.923,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_radius_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"border_radius_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true}},\"elements\":[{\"id\":\"59b59eb3\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"907199f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":62.077,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e5012f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u067e\\u064f\\u0631\\u0641\\u0631\\u0648\\u0634 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u067e\\u0631\\u062f\\u067e\\u0631\\u0633\\u06cc\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6ad9e4f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0647\\u062a \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"67353f86\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627\\u067e\\u0631\\u0648\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"449c823e\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"76fa53ff\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"795b4470\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062e\\u0641\\u06cc\\u0641 <strong style=\\\"font-weight: bold;\\\"> \\u0648\\u06cc\\u0698\\u0647 <\\/strong> \\u062f\\u06a9\\u0648\\u0631\\u0627\\u0633\\u06cc\\u0648\\u0646\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"42799af2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0641\\u0642\\u0637 \\u0628\\u0647 \\u0645\\u062f\\u062a \\u06cc\\u06a9 \\u0631\\u0648\\u0632 \\u0641\\u0639\\u0627\\u0644 \\u0627\\u0633\\u062a \",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"45da3027\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_element_id\":\"takhfif\",\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"6121ccf1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"63f49a14\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#282828\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"100\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"height\":\"min-height\"},\"elements\":[{\"id\":\"2e4826c5\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":25.074,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-mobile\"},\"elements\":[{\"id\":\"4c117094\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"1f3b48f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":74.926,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"331ce172\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5294f8c5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u06cc\\u06a9\\u06cc \\u0627\\u0632 \\u0645\\u0647\\u062a\\u0631\\u06cc\\u0646 \\u0645\\u0632\\u06cc\\u062a \\u0647\\u0627\\u06cc \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648 \\u0633\\u0631\\u0639\\u062a \\u0628\\u0633\\u06cc\\u0627\\u0631 \\u0628\\u0627\\u0644\\u0627\\u06cc \\u0622\\u0646 \\u0627\\u0633\\u062a.\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("430", "56", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("431", "56", "_thumbnail_id", "10");
INSERT INTO `wp_postmeta` VALUES("432", "56", "_elementor_page_settings", "a:2:{s:10:\"hide_title\";s:3:\"yes\";s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("477", "62", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("478", "62", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("479", "62", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("434", "57", "_elementor_source", "post");
INSERT INTO `wp_postmeta` VALUES("435", "57", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("436", "57", "_elementor_template_type", "footer");
INSERT INTO `wp_postmeta` VALUES("437", "57", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("438", "57", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("439", "57", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("440", "57", "_elementor_page_settings", "a:1:{s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("441", "57", "_elementor_data", "[{\"id\":\"510215\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"b7bf019\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\"},\"elements\":[{\"id\":\"1d8e5f76\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"6eb09e2\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"55d36c85\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648<\\/strong> \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"11d79413\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.1,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"0fffc2a\",\"elType\":\"widget\",\"settings\":{\"view\":\"inline\",\"icon_list\":[{\"text\":\"\\u062a\\u0644\\u06af\\u0631\\u0627\\u0645\",\"selected_icon\":{\"value\":\"fab fa-telegram\",\"library\":\"fa-brands\"},\"_id\":\"fcf736c\"},{\"text\":\"\\u0648\\u0627\\u062a\\u0633 \\u0627\\u067e\",\"selected_icon\":{\"value\":\"fab fa-whatsapp\",\"library\":\"fa-brands\"},\"_id\":\"1b17624\"},{\"text\":\"\\u0641\\u06cc\\u0633 \\u0628\\u0648\\u06a9\",\"selected_icon\":{\"value\":\"fab fa-facebook\",\"library\":\"fa-brands\"},\"_id\":\"1e9eac8\"}],\"icon_align\":\"center\",\"divider\":\"yes\",\"icon_color\":\"#CDE728\",\"icon_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"IRANYekanFN\",\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"icon_typography_font_weight\":\"400\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":true},{\"id\":\"3c1960f6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"content_position\":\"center\"},\"elements\":[{\"id\":\"444ffe81\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width\":{\"unit\":\"%\",\"size\":43,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"d9cb0c8\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0637\\u0631\\u0627\\u062d \\u0633\\u06cc\\u062f\\u0627\\u0645\\u06cc\\u062f \\u0642\\u062f\\u0633\\u06cc \\u0632\\u0627\\u062f\\u0647 | \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"link\":{\"url\":\"elmineh.com\\/site\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align\":\"center\",\"title_color\":\"#101010\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANYekanFN\",\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":8,\"sizes\":[]},\"typography_font_weight\":\"300\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("442", "57", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("443", "57", "_elementor_conditions", "a:1:{i:0;s:15:\"include/general\";}");
INSERT INTO `wp_postmeta` VALUES("447", "59", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("448", "59", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("449", "59", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("450", "59", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("451", "59", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("452", "59", "_elementor_data", "[{\"id\":\"3d47da92\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"bc47e13\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\"},\"elements\":[{\"id\":\"7b24fe6b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"5b81e2a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"47a97a8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648<\\/strong> \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"46fec036\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.1,\"sizes\":[]},\"editor\":\"<p style=\\\"text-align: justify;\\\">\\u0628\\u0631\\u0627\\u06cc \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u06cc\\u0646 \\u0645\\u062a\\u0646 \\u0628\\u0631 \\u0631\\u0648\\u06cc \\u062f\\u06a9\\u0645\\u0647 \\u0648\\u06cc\\u0631\\u0627\\u06cc\\u0634 \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f. \\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6e51cf6c\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0647\\u0627\",\"link\":{\"url\":\"#takhfif\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"5e5aaebf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"content_position\":\"center\"},\"elements\":[{\"id\":\"5e81c5e2\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width\":{\"unit\":\"%\",\"size\":46,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6f9eb886\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"150\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"bcfb378\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"3098e3f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u0642\\u0627\\u0644\\u0628<\\/strong> \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"59830cb0\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0631\\u0627 \\u0645\\u06cc\\u200c\\u062a\\u0648\\u0627\\u0646\\u06cc\\u062f \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0627\\u0632 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647 \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"68c7709a\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#FCEEEF\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"25\",\"isLinked\":false},\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"4e7cb11e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"4ddff111\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"40\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"72432585\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7a3633a3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0631\\u062e\\u06cc<strong style=\\\"font-weight: bold;\\\"> \\u0627\\u0632 <\\/strong> \\u0627\\u0645\\u06a9\\u0627\\u0646\\u0627\\u062a \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e715028\",\"elType\":\"section\",\"settings\":{\"structure\":\"60\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"50\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"4760962c\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"f2ebf9e\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"4eeb5f70\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"41a760e0\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"1c16b038\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"b0ab3a0\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"2704b328\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"66adc7cc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":37.923,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_radius_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"border_radius_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true}},\"elements\":[{\"id\":\"59b59eb3\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"907199f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":62.077,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e5012f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u067e\\u064f\\u0631\\u0641\\u0631\\u0648\\u0634 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u067e\\u0631\\u062f\\u067e\\u0631\\u0633\\u06cc\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6ad9e4f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0647\\u062a \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"67353f86\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627\\u067e\\u0631\\u0648\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"449c823e\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"76fa53ff\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"795b4470\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062e\\u0641\\u06cc\\u0641 <strong style=\\\"font-weight: bold;\\\"> \\u0648\\u06cc\\u0698\\u0647 <\\/strong> \\u062f\\u06a9\\u0648\\u0631\\u0627\\u0633\\u06cc\\u0648\\u0646\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"42799af2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0641\\u0642\\u0637 \\u0628\\u0647 \\u0645\\u062f\\u062a \\u06cc\\u06a9 \\u0631\\u0648\\u0632 \\u0641\\u0639\\u0627\\u0644 \\u0627\\u0633\\u062a \",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"45da3027\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_element_id\":\"takhfif\",\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"6121ccf1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"63f49a14\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#282828\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"100\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"height\":\"min-height\"},\"elements\":[{\"id\":\"2e4826c5\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":25.074,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-mobile\"},\"elements\":[{\"id\":\"4c117094\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"1f3b48f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":74.926,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"331ce172\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5294f8c5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u06cc\\u06a9\\u06cc \\u0627\\u0632 \\u0645\\u0647\\u062a\\u0631\\u06cc\\u0646 \\u0645\\u0632\\u06cc\\u062a \\u0647\\u0627\\u06cc \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648 \\u0633\\u0631\\u0639\\u062a \\u0628\\u0633\\u06cc\\u0627\\u0631 \\u0628\\u0627\\u0644\\u0627\\u06cc \\u0622\\u0646 \\u0627\\u0633\\u062a.\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("453", "59", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("454", "59", "_thumbnail_id", "10");
INSERT INTO `wp_postmeta` VALUES("455", "59", "_elementor_page_settings", "a:2:{s:10:\"hide_title\";s:3:\"yes\";s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("457", "60", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("458", "60", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("459", "60", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("460", "60", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("461", "60", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("462", "60", "_elementor_data", "[{\"id\":\"3d47da92\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"bc47e13\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\"},\"elements\":[{\"id\":\"7b24fe6b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"5b81e2a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"47a97a8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648<\\/strong> \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"46fec036\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.1,\"sizes\":[]},\"editor\":\"<p style=\\\"text-align: justify;\\\">\\u0628\\u0631\\u0627\\u06cc \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u06cc\\u0646 \\u0645\\u062a\\u0646 \\u0628\\u0631 \\u0631\\u0648\\u06cc \\u062f\\u06a9\\u0645\\u0647 \\u0648\\u06cc\\u0631\\u0627\\u06cc\\u0634 \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f. \\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6e51cf6c\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0647\\u0627\",\"link\":{\"url\":\"#takhfif\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"5e5aaebf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"content_position\":\"center\"},\"elements\":[{\"id\":\"5e81c5e2\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width\":{\"unit\":\"%\",\"size\":46,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6f9eb886\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"150\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"bcfb378\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"3098e3f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u0642\\u0627\\u0644\\u0628<\\/strong> \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"59830cb0\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0631\\u0627 \\u0645\\u06cc\\u200c\\u062a\\u0648\\u0627\\u0646\\u06cc\\u062f \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0627\\u0632 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647 \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"68c7709a\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#FCEEEF\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"25\",\"isLinked\":false},\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"4e7cb11e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"4ddff111\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"40\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"72432585\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7a3633a3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0631\\u062e\\u06cc<strong style=\\\"font-weight: bold;\\\"> \\u0627\\u0632 <\\/strong> \\u0627\\u0645\\u06a9\\u0627\\u0646\\u0627\\u062a \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e715028\",\"elType\":\"section\",\"settings\":{\"structure\":\"60\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"50\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"4760962c\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"f2ebf9e\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"4eeb5f70\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"41a760e0\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"1c16b038\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false},{\"id\":\"b0ab3a0\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"2704b328\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"66adc7cc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":37.923,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_radius_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"border_radius_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true}},\"elements\":[{\"id\":\"59b59eb3\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"907199f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":62.077,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e5012f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u067e\\u064f\\u0631\\u0641\\u0631\\u0648\\u0634 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u067e\\u0631\\u062f\\u067e\\u0631\\u0633\\u06cc\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6ad9e4f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0647\\u062a \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"67353f86\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627\\u067e\\u0631\\u0648\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"449c823e\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"76fa53ff\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"795b4470\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u062e\\u0641\\u06cc\\u0641 <strong style=\\\"font-weight: bold;\\\"> \\u0648\\u06cc\\u0698\\u0647 <\\/strong> \\u062f\\u06a9\\u0648\\u0631\\u0627\\u0633\\u06cc\\u0648\\u0646\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"42799af2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0641\\u0642\\u0637 \\u0628\\u0647 \\u0645\\u062f\\u062a \\u06cc\\u06a9 \\u0631\\u0648\\u0632 \\u0641\\u0639\\u0627\\u0644 \\u0627\\u0633\\u062a \",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"45da3027\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_element_id\":\"takhfif\",\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"6121ccf1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[],\"isInner\":false}],\"isInner\":false},{\"id\":\"63f49a14\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#282828\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"100\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"height\":\"min-height\"},\"elements\":[{\"id\":\"2e4826c5\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":25.074,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-mobile\"},\"elements\":[{\"id\":\"4c117094\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"1f3b48f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":74.926,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"331ce172\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5294f8c5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u06cc\\u06a9\\u06cc \\u0627\\u0632 \\u0645\\u0647\\u062a\\u0631\\u06cc\\u0646 \\u0645\\u0632\\u06cc\\u062a \\u0647\\u0627\\u06cc \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648 \\u0633\\u0631\\u0639\\u062a \\u0628\\u0633\\u06cc\\u0627\\u0631 \\u0628\\u0627\\u0644\\u0627\\u06cc \\u0622\\u0646 \\u0627\\u0633\\u062a.\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("463", "60", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("464", "60", "_thumbnail_id", "10");
INSERT INTO `wp_postmeta` VALUES("465", "60", "_elementor_page_settings", "a:2:{s:10:\"hide_title\";s:3:\"yes\";s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("467", "61", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("468", "61", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("469", "61", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("470", "61", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("471", "61", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("472", "61", "_elementor_data", "[{\"id\":\"3d47da92\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"bc47e13\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\"},\"elements\":[{\"id\":\"7b24fe6b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"5b81e2a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"47a97a8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648<\\/strong> \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"46fec036\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.1,\"sizes\":[]},\"editor\":\"<p style=\\\"text-align: justify;\\\">\\u0628\\u0631\\u0627\\u06cc \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u06cc\\u0646 \\u0645\\u062a\\u0646 \\u0628\\u0631 \\u0631\\u0648\\u06cc \\u062f\\u06a9\\u0645\\u0647 \\u0648\\u06cc\\u0631\\u0627\\u06cc\\u0634 \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f. \\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6e51cf6c\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0647\\u0627\",\"link\":{\"url\":\"#takhfif\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"5e5aaebf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"content_position\":\"center\"},\"elements\":[{\"id\":\"5e81c5e2\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width\":{\"unit\":\"%\",\"size\":46,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6f9eb886\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"150\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"bcfb378\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"3098e3f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u0642\\u0627\\u0644\\u0628<\\/strong> \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"59830cb0\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0631\\u0627 \\u0645\\u06cc\\u200c\\u062a\\u0648\\u0627\\u0646\\u06cc\\u062f \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0627\\u0632 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647 \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"68c7709a\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#FCEEEF\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"25\",\"isLinked\":false},\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"4e7cb11e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"d926dc7\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 \\u0686\\u0646\\u062f \\u0645\\u0646\\u0638\\u0648\\u0631\\u0647 \\u2013 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc Astra \\u060c \\u06cc\\u06a9 \\u0642\\u0627\\u0644\\u0628 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0628\\u0631\\u0627\\u06cc \\u0631\\u0627\\u0647 \\u0627\\u0646\\u062f\\u0627\\u0632\\u06cc \\u06cc\\u06a9 \\u0648\\u0628\\u0633\\u0627\\u06cc\\u062a \\u062d\\u0631\\u0641\\u0647\\u200c\\u0627\\u06cc \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0627\\u0633\\u062a. \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u0627\\u0632 \\u0633\\u0627\\u0632\\u06af\\u0627\\u0631 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u200c\\u0647\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u0648 \\u062c\\u0632 \\u0633\\u0631\\u06cc\\u0639\\u200c\\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u200c\\u0647\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0627\\u0633\\u062a!! \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u060c \\u0628\\u0637\\u0648\\u0631 \\u06a9\\u0627\\u0645\\u0644 \\u062a\\u0631\\u062c\\u0645\\u0647\\u060c \\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646 \\u0648 \\u0628\\u0648\\u0645\\u06cc \\u0634\\u062f\\u0647 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0633\\u0627\\u06cc\\u062a\\u200c\\u0647\\u0627\\u06cc \\u0627\\u06cc\\u0631\\u0627\\u0646\\u06cc\\u060c \\u0628\\u0631\\u0627\\u062d\\u062a\\u06cc \\u0642\\u0627\\u0628\\u0644 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0633\\u062a.\\u0628\\u062e\\u0634\\u200c\\u0647\\u0627\\u06cc \\u0645\\u062e\\u062a\\u0644\\u0641 \\u0642\\u0627\\u0644\\u0628 Astra \\u062e\\u06cc\\u0644\\u06cc \\u0631\\u0627\\u062d\\u062a \\u0628\\u0627 \\u0633\\u0641\\u0627\\u0631\\u0634\\u06cc \\u0633\\u0627\\u0632 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\\u060c \\u0642\\u0627\\u0628\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0648 \\u0634\\u062e\\u0635\\u06cc \\u0633\\u0627\\u0632\\u06cc \\u0627\\u0633\\u062a. \\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0627\\u062a \\u0645\\u062e\\u062a\\u0644\\u0641 \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u060c \\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u06cc\\u0639\\u0646\\u06cc \\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0647 \\u0633\\u0627\\u0632 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0642\\u0627\\u0628\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u0633\\u062a.\",\"align\":\"center\",\"title_color\":\"#101112\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"},\"typography_line_height\":{\"unit\":\"px\",\"size\":42,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"4ddff111\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"40\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"72432585\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7a3633a3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0631\\u062e\\u06cc<strong style=\\\"font-weight: bold;\\\"> \\u0627\\u0632 <\\/strong> \\u0627\\u0645\\u06a9\\u0627\\u0646\\u0627\\u062a \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e715028\",\"elType\":\"section\",\"settings\":{\"structure\":\"60\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"50\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"4760962c\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"4518c74\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-spell-check\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"7ce8d54\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"60e93fe\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-spell-check\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"3c75623\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"c7be9b2\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-spell-check\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"fcb9c63\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"bbc4680\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-spell-check\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"b3d6f8a\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"ab25cb1\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-spell-check\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"7608217\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"fc93ef3\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-spell-check\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"2704b328\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"66adc7cc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":37.923,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_radius_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"border_radius_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true}},\"elements\":[{\"id\":\"59b59eb3\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"907199f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":62.077,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e5012f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u067e\\u064f\\u0631\\u0641\\u0631\\u0648\\u0634 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u067e\\u0631\\u062f\\u067e\\u0631\\u0633\\u06cc\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6ad9e4f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0647\\u062a \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"67353f86\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627\\u067e\\u0631\\u0648\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"449c823e\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"76fa53ff\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"795b4470\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f<\\/strong> \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"42799af2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648 \\u0628\\u0647 \\u0647\\u0645\\u0631\\u0627\\u0647 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u067e\\u0631\\u0648 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"45da3027\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_element_id\":\"takhfif\",\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"6121ccf1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"7f3f1df\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astrapro.jpg\",\"id\":58,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"width\":{\"unit\":\"%\",\"size\":44,\"sizes\":[]},\"image_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"63f49a14\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#282828\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"100\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"height\":\"min-height\"},\"elements\":[{\"id\":\"2e4826c5\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":25.074,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-mobile\"},\"elements\":[{\"id\":\"4c117094\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"1f3b48f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":74.926,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"331ce172\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5294f8c5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u06cc\\u06a9\\u06cc \\u0627\\u0632 \\u0645\\u0647\\u062a\\u0631\\u06cc\\u0646 \\u0645\\u0632\\u06cc\\u062a \\u0647\\u0627\\u06cc \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648 \\u0633\\u0631\\u0639\\u062a \\u0628\\u0633\\u06cc\\u0627\\u0631 \\u0628\\u0627\\u0644\\u0627\\u06cc \\u0622\\u0646 \\u0627\\u0633\\u062a.\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("473", "61", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("474", "61", "_thumbnail_id", "10");
INSERT INTO `wp_postmeta` VALUES("475", "61", "_elementor_page_settings", "a:2:{s:10:\"hide_title\";s:3:\"yes\";s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("480", "62", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("481", "62", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("482", "62", "_elementor_data", "[{\"id\":\"3d47da92\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"bc47e13\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\"},\"elements\":[{\"id\":\"7b24fe6b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"5b81e2a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"47a97a8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648<\\/strong> \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"46fec036\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.1,\"sizes\":[]},\"editor\":\"<p style=\\\"text-align: justify;\\\">\\u0628\\u0631\\u0627\\u06cc \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u06cc\\u0646 \\u0645\\u062a\\u0646 \\u0628\\u0631 \\u0631\\u0648\\u06cc \\u062f\\u06a9\\u0645\\u0647 \\u0648\\u06cc\\u0631\\u0627\\u06cc\\u0634 \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f. \\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6e51cf6c\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0647\\u0627\",\"link\":{\"url\":\"#takhfif\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"5e5aaebf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"content_position\":\"center\"},\"elements\":[{\"id\":\"5e81c5e2\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width\":{\"unit\":\"%\",\"size\":46,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6f9eb886\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"150\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"bcfb378\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"3098e3f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u0642\\u0627\\u0644\\u0628<\\/strong> \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"59830cb0\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0631\\u0627 \\u0645\\u06cc\\u200c\\u062a\\u0648\\u0627\\u0646\\u06cc\\u062f \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0627\\u0632 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647 \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"68c7709a\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#FCEEEF\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"25\",\"isLinked\":false},\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"4e7cb11e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"d926dc7\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 \\u0686\\u0646\\u062f \\u0645\\u0646\\u0638\\u0648\\u0631\\u0647 \\u2013 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc Astra \\u060c \\u06cc\\u06a9 \\u0642\\u0627\\u0644\\u0628 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0628\\u0631\\u0627\\u06cc \\u0631\\u0627\\u0647 \\u0627\\u0646\\u062f\\u0627\\u0632\\u06cc \\u06cc\\u06a9 \\u0648\\u0628\\u0633\\u0627\\u06cc\\u062a \\u062d\\u0631\\u0641\\u0647\\u200c\\u0627\\u06cc \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0627\\u0633\\u062a. \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u0627\\u0632 \\u0633\\u0627\\u0632\\u06af\\u0627\\u0631 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u200c\\u0647\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u0648 \\u062c\\u0632 \\u0633\\u0631\\u06cc\\u0639\\u200c\\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u200c\\u0647\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0627\\u0633\\u062a!! \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u060c \\u0628\\u0637\\u0648\\u0631 \\u06a9\\u0627\\u0645\\u0644 \\u062a\\u0631\\u062c\\u0645\\u0647\\u060c \\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646 \\u0648 \\u0628\\u0648\\u0645\\u06cc \\u0634\\u062f\\u0647 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0633\\u0627\\u06cc\\u062a\\u200c\\u0647\\u0627\\u06cc \\u0627\\u06cc\\u0631\\u0627\\u0646\\u06cc\\u060c \\u0628\\u0631\\u0627\\u062d\\u062a\\u06cc \\u0642\\u0627\\u0628\\u0644 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0633\\u062a.\\u0628\\u062e\\u0634\\u200c\\u0647\\u0627\\u06cc \\u0645\\u062e\\u062a\\u0644\\u0641 \\u0642\\u0627\\u0644\\u0628 Astra \\u062e\\u06cc\\u0644\\u06cc \\u0631\\u0627\\u062d\\u062a \\u0628\\u0627 \\u0633\\u0641\\u0627\\u0631\\u0634\\u06cc \\u0633\\u0627\\u0632 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\\u060c \\u0642\\u0627\\u0628\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0648 \\u0634\\u062e\\u0635\\u06cc \\u0633\\u0627\\u0632\\u06cc \\u0627\\u0633\\u062a. \\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0627\\u062a \\u0645\\u062e\\u062a\\u0644\\u0641 \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u060c \\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u06cc\\u0639\\u0646\\u06cc \\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0647 \\u0633\\u0627\\u0632 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0642\\u0627\\u0628\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u0633\\u062a.\",\"align\":\"center\",\"title_color\":\"#101112\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"},\"typography_line_height\":{\"unit\":\"px\",\"size\":42,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"4ddff111\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"40\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"72432585\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7a3633a3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0631\\u062e\\u06cc<strong style=\\\"font-weight: bold;\\\"> \\u0627\\u0632 <\\/strong> \\u0627\\u0645\\u06a9\\u0627\\u0646\\u0627\\u062a \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e715028\",\"elType\":\"section\",\"settings\":{\"structure\":\"60\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"50\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"4760962c\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"4518c74\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-spell-check\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"7ce8d54\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"60e93fe\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-spell-check\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"3c75623\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"c7be9b2\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-spell-check\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"fcb9c63\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"bbc4680\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-spell-check\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"b3d6f8a\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"ab25cb1\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-spell-check\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"7608217\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"fc93ef3\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-spell-check\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"2704b328\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"66adc7cc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":37.923,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_radius_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"border_radius_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true}},\"elements\":[{\"id\":\"59b59eb3\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"907199f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":62.077,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e5012f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u067e\\u064f\\u0631\\u0641\\u0631\\u0648\\u0634 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u067e\\u0631\\u062f\\u067e\\u0631\\u0633\\u06cc\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6ad9e4f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0647\\u062a \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"67353f86\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627\\u067e\\u0631\\u0648\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"449c823e\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"76fa53ff\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"795b4470\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f<\\/strong> \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"42799af2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648 \\u0628\\u0647 \\u0647\\u0645\\u0631\\u0627\\u0647 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u067e\\u0631\\u0648 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"45da3027\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_element_id\":\"takhfif\",\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"6121ccf1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"7f3f1df\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astrapro.jpg\",\"id\":58,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"width\":{\"unit\":\"%\",\"size\":44,\"sizes\":[]},\"image_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"63f49a14\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#282828\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"100\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"height\":\"min-height\"},\"elements\":[{\"id\":\"2e4826c5\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":25.074,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-mobile\"},\"elements\":[{\"id\":\"4c117094\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"1f3b48f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":74.926,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"331ce172\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5294f8c5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u06cc\\u06a9\\u06cc \\u0627\\u0632 \\u0645\\u0647\\u062a\\u0631\\u06cc\\u0646 \\u0645\\u0632\\u06cc\\u062a \\u0647\\u0627\\u06cc \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648 \\u0633\\u0631\\u0639\\u062a \\u0628\\u0633\\u06cc\\u0627\\u0631 \\u0628\\u0627\\u0644\\u0627\\u06cc \\u0622\\u0646 \\u0627\\u0633\\u062a.\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("483", "62", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("484", "62", "_thumbnail_id", "10");
INSERT INTO `wp_postmeta` VALUES("485", "62", "_elementor_page_settings", "a:2:{s:10:\"hide_title\";s:3:\"yes\";s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("486", "63", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("487", "63", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("488", "63", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("489", "63", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("490", "63", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("491", "63", "_elementor_data", "[{\"id\":\"3d47da92\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"bc47e13\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\"},\"elements\":[{\"id\":\"7b24fe6b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"5b81e2a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"47a97a8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648<\\/strong> \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"46fec036\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.1,\"sizes\":[]},\"editor\":\"<p style=\\\"text-align: justify;\\\">\\u0628\\u0631\\u0627\\u06cc \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u06cc\\u0646 \\u0645\\u062a\\u0646 \\u0628\\u0631 \\u0631\\u0648\\u06cc \\u062f\\u06a9\\u0645\\u0647 \\u0648\\u06cc\\u0631\\u0627\\u06cc\\u0634 \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f. \\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6e51cf6c\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0647\\u0627\",\"link\":{\"url\":\"#takhfif\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"5e5aaebf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"content_position\":\"center\"},\"elements\":[{\"id\":\"5e81c5e2\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width\":{\"unit\":\"%\",\"size\":46,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6f9eb886\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"150\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"bcfb378\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"3098e3f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u0642\\u0627\\u0644\\u0628<\\/strong> \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"59830cb0\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0631\\u0627 \\u0645\\u06cc\\u200c\\u062a\\u0648\\u0627\\u0646\\u06cc\\u062f \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0627\\u0632 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647 \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"68c7709a\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#FCEEEF\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"25\",\"isLinked\":false},\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"4e7cb11e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"d926dc7\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 \\u0686\\u0646\\u062f \\u0645\\u0646\\u0638\\u0648\\u0631\\u0647 \\u2013 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc Astra \\u060c \\u06cc\\u06a9 \\u0642\\u0627\\u0644\\u0628 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0628\\u0631\\u0627\\u06cc \\u0631\\u0627\\u0647 \\u0627\\u0646\\u062f\\u0627\\u0632\\u06cc \\u06cc\\u06a9 \\u0648\\u0628\\u0633\\u0627\\u06cc\\u062a \\u062d\\u0631\\u0641\\u0647\\u200c\\u0627\\u06cc \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0627\\u0633\\u062a. \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u0627\\u0632 \\u0633\\u0627\\u0632\\u06af\\u0627\\u0631 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u200c\\u0647\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u0648 \\u062c\\u0632 \\u0633\\u0631\\u06cc\\u0639\\u200c\\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u200c\\u0647\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0627\\u0633\\u062a!! \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u060c \\u0628\\u0637\\u0648\\u0631 \\u06a9\\u0627\\u0645\\u0644 \\u062a\\u0631\\u062c\\u0645\\u0647\\u060c \\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646 \\u0648 \\u0628\\u0648\\u0645\\u06cc \\u0634\\u062f\\u0647 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0633\\u0627\\u06cc\\u062a\\u200c\\u0647\\u0627\\u06cc \\u0627\\u06cc\\u0631\\u0627\\u0646\\u06cc\\u060c \\u0628\\u0631\\u0627\\u062d\\u062a\\u06cc \\u0642\\u0627\\u0628\\u0644 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0633\\u062a.\\u0628\\u062e\\u0634\\u200c\\u0647\\u0627\\u06cc \\u0645\\u062e\\u062a\\u0644\\u0641 \\u0642\\u0627\\u0644\\u0628 Astra \\u062e\\u06cc\\u0644\\u06cc \\u0631\\u0627\\u062d\\u062a \\u0628\\u0627 \\u0633\\u0641\\u0627\\u0631\\u0634\\u06cc \\u0633\\u0627\\u0632 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\\u060c \\u0642\\u0627\\u0628\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0648 \\u0634\\u062e\\u0635\\u06cc \\u0633\\u0627\\u0632\\u06cc \\u0627\\u0633\\u062a. \\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0627\\u062a \\u0645\\u062e\\u062a\\u0644\\u0641 \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u060c \\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u06cc\\u0639\\u0646\\u06cc \\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0647 \\u0633\\u0627\\u0632 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0642\\u0627\\u0628\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u0633\\u062a.\",\"align\":\"center\",\"title_color\":\"#101112\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"},\"typography_line_height\":{\"unit\":\"px\",\"size\":42,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"4ddff111\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"40\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"72432585\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7a3633a3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0631\\u062e\\u06cc<strong style=\\\"font-weight: bold;\\\"> \\u0627\\u0632 <\\/strong> \\u0627\\u0645\\u06a9\\u0627\\u0646\\u0627\\u062a \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e715028\",\"elType\":\"section\",\"settings\":{\"structure\":\"60\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"50\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"4760962c\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"4518c74\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-spell-check\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"7ce8d54\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"60e93fe\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-spell-check\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"3c75623\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"c7be9b2\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-spell-check\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"fcb9c63\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"bbc4680\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-spell-check\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"b3d6f8a\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"ab25cb1\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-spell-check\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"7608217\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"fc93ef3\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-spell-check\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"2704b328\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"66adc7cc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":37.923,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_radius_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"border_radius_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true}},\"elements\":[{\"id\":\"59b59eb3\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"907199f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":62.077,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e5012f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u067e\\u064f\\u0631\\u0641\\u0631\\u0648\\u0634 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u067e\\u0631\\u062f\\u067e\\u0631\\u0633\\u06cc\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6ad9e4f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0647\\u062a \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"67353f86\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627\\u067e\\u0631\\u0648\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"449c823e\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"76fa53ff\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"795b4470\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f<\\/strong> \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"42799af2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648 \\u0628\\u0647 \\u0647\\u0645\\u0631\\u0627\\u0647 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u067e\\u0631\\u0648 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"45da3027\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_element_id\":\"takhfif\",\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"6121ccf1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"7f3f1df\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astrapro.jpg\",\"id\":58,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"width\":{\"unit\":\"%\",\"size\":44,\"sizes\":[]},\"image_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"63f49a14\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#282828\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"100\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"height\":\"min-height\"},\"elements\":[{\"id\":\"2e4826c5\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":25.074,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-mobile\"},\"elements\":[{\"id\":\"4c117094\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"1f3b48f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":74.926,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"331ce172\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5294f8c5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u06cc\\u06a9\\u06cc \\u0627\\u0632 \\u0645\\u0647\\u062a\\u0631\\u06cc\\u0646 \\u0645\\u0632\\u06cc\\u062a \\u0647\\u0627\\u06cc \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648 \\u0633\\u0631\\u0639\\u062a \\u0628\\u0633\\u06cc\\u0627\\u0631 \\u0628\\u0627\\u0644\\u0627\\u06cc \\u0622\\u0646 \\u0627\\u0633\\u062a.\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("492", "63", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("493", "63", "_thumbnail_id", "10");
INSERT INTO `wp_postmeta` VALUES("494", "63", "_elementor_page_settings", "a:2:{s:10:\"hide_title\";s:3:\"yes\";s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("495", "64", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("496", "64", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("497", "64", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("498", "64", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("499", "64", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("500", "64", "_elementor_data", "[{\"id\":\"3d47da92\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"bc47e13\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\"},\"elements\":[{\"id\":\"7b24fe6b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"5b81e2a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"47a97a8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648<\\/strong> \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"46fec036\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.1,\"sizes\":[]},\"editor\":\"<p style=\\\"text-align: justify;\\\">\\u0628\\u0631\\u0627\\u06cc \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u06cc\\u0646 \\u0645\\u062a\\u0646 \\u0628\\u0631 \\u0631\\u0648\\u06cc \\u062f\\u06a9\\u0645\\u0647 \\u0648\\u06cc\\u0631\\u0627\\u06cc\\u0634 \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f. \\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6e51cf6c\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0647\\u0627\",\"link\":{\"url\":\"#takhfif\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"5e5aaebf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"content_position\":\"center\"},\"elements\":[{\"id\":\"5e81c5e2\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width\":{\"unit\":\"%\",\"size\":46,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6f9eb886\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"150\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"bcfb378\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"3098e3f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u0642\\u0627\\u0644\\u0628<\\/strong> \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"59830cb0\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0631\\u0627 \\u0645\\u06cc\\u200c\\u062a\\u0648\\u0627\\u0646\\u06cc\\u062f \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0627\\u0632 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647 \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"68c7709a\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#FCEEEF\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"25\",\"isLinked\":false},\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"4e7cb11e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"d926dc7\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 \\u0686\\u0646\\u062f \\u0645\\u0646\\u0638\\u0648\\u0631\\u0647 \\u2013 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc Astra \\u060c \\u06cc\\u06a9 \\u0642\\u0627\\u0644\\u0628 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0628\\u0631\\u0627\\u06cc \\u0631\\u0627\\u0647 \\u0627\\u0646\\u062f\\u0627\\u0632\\u06cc \\u06cc\\u06a9 \\u0648\\u0628\\u0633\\u0627\\u06cc\\u062a \\u062d\\u0631\\u0641\\u0647\\u200c\\u0627\\u06cc \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0627\\u0633\\u062a. \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u0627\\u0632 \\u0633\\u0627\\u0632\\u06af\\u0627\\u0631 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u200c\\u0647\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u0648 \\u062c\\u0632 \\u0633\\u0631\\u06cc\\u0639\\u200c\\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u200c\\u0647\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0627\\u0633\\u062a!! \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u060c \\u0628\\u0637\\u0648\\u0631 \\u06a9\\u0627\\u0645\\u0644 \\u062a\\u0631\\u062c\\u0645\\u0647\\u060c \\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646 \\u0648 \\u0628\\u0648\\u0645\\u06cc \\u0634\\u062f\\u0647 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0633\\u0627\\u06cc\\u062a\\u200c\\u0647\\u0627\\u06cc \\u0627\\u06cc\\u0631\\u0627\\u0646\\u06cc\\u060c \\u0628\\u0631\\u0627\\u062d\\u062a\\u06cc \\u0642\\u0627\\u0628\\u0644 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0633\\u062a.\\u0628\\u062e\\u0634\\u200c\\u0647\\u0627\\u06cc \\u0645\\u062e\\u062a\\u0644\\u0641 \\u0642\\u0627\\u0644\\u0628 Astra \\u062e\\u06cc\\u0644\\u06cc \\u0631\\u0627\\u062d\\u062a \\u0628\\u0627 \\u0633\\u0641\\u0627\\u0631\\u0634\\u06cc \\u0633\\u0627\\u0632 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\\u060c \\u0642\\u0627\\u0628\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0648 \\u0634\\u062e\\u0635\\u06cc \\u0633\\u0627\\u0632\\u06cc \\u0627\\u0633\\u062a. \\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0627\\u062a \\u0645\\u062e\\u062a\\u0644\\u0641 \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u060c \\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u06cc\\u0639\\u0646\\u06cc \\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0647 \\u0633\\u0627\\u0632 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0642\\u0627\\u0628\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u0633\\u062a.\",\"align\":\"center\",\"title_color\":\"#101112\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"},\"typography_line_height\":{\"unit\":\"px\",\"size\":42,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"4ddff111\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"40\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"72432585\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7a3633a3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0631\\u062e\\u06cc<strong style=\\\"font-weight: bold;\\\"> \\u0627\\u0632 <\\/strong> \\u0627\\u0645\\u06a9\\u0627\\u0646\\u0627\\u062a \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e715028\",\"elType\":\"section\",\"settings\":{\"structure\":\"60\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"50\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"4760962c\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"4518c74\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-spell-check\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"7ce8d54\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"60e93fe\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fab fa-elementor\",\"library\":\"fa-brands\"},\"view\":\"stacked\",\"title_text\":\"\\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631\\u067e\\u0631\\u0648 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"3c75623\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"c7be9b2\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fab fa-erlang\",\"library\":\"fa-brands\"},\"view\":\"stacked\",\"title_text\":\"\\u0641\\u0627\\u0631\\u0633\\u06cc \\u0633\\u0627\\u0632\\u06cc \\u0634\\u062f\\u0647\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"fcb9c63\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"bbc4680\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-sort-numeric-up-alt\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"b3d6f8a\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"ab25cb1\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-spell-check\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"7608217\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"fc93ef3\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-spell-check\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"2704b328\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"66adc7cc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":37.923,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_radius_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"border_radius_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true}},\"elements\":[{\"id\":\"59b59eb3\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"907199f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":62.077,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e5012f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u067e\\u064f\\u0631\\u0641\\u0631\\u0648\\u0634 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u067e\\u0631\\u062f\\u067e\\u0631\\u0633\\u06cc\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6ad9e4f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0647\\u062a \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"67353f86\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627\\u067e\\u0631\\u0648\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"449c823e\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"76fa53ff\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"795b4470\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f<\\/strong> \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"42799af2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648 \\u0628\\u0647 \\u0647\\u0645\\u0631\\u0627\\u0647 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u067e\\u0631\\u0648 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"45da3027\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_element_id\":\"takhfif\",\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"6121ccf1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"7f3f1df\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astrapro.jpg\",\"id\":58,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"width\":{\"unit\":\"%\",\"size\":44,\"sizes\":[]},\"image_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"63f49a14\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#282828\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"100\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"height\":\"min-height\"},\"elements\":[{\"id\":\"2e4826c5\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":25.074,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-mobile\"},\"elements\":[{\"id\":\"4c117094\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"1f3b48f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":74.926,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"331ce172\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5294f8c5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u06cc\\u06a9\\u06cc \\u0627\\u0632 \\u0645\\u0647\\u062a\\u0631\\u06cc\\u0646 \\u0645\\u0632\\u06cc\\u062a \\u0647\\u0627\\u06cc \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648 \\u0633\\u0631\\u0639\\u062a \\u0628\\u0633\\u06cc\\u0627\\u0631 \\u0628\\u0627\\u0644\\u0627\\u06cc \\u0622\\u0646 \\u0627\\u0633\\u062a.\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("501", "64", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("502", "64", "_thumbnail_id", "10");
INSERT INTO `wp_postmeta` VALUES("503", "64", "_elementor_page_settings", "a:2:{s:10:\"hide_title\";s:3:\"yes\";s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("504", "65", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("505", "65", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("506", "65", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("507", "65", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("508", "65", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("509", "65", "_elementor_data", "[{\"id\":\"3d47da92\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"bc47e13\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\"},\"elements\":[{\"id\":\"7b24fe6b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"5b81e2a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"47a97a8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648<\\/strong> \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"46fec036\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.1,\"sizes\":[]},\"editor\":\"<p style=\\\"text-align: justify;\\\">\\u0628\\u0631\\u0627\\u06cc \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u06cc\\u0646 \\u0645\\u062a\\u0646 \\u0628\\u0631 \\u0631\\u0648\\u06cc \\u062f\\u06a9\\u0645\\u0647 \\u0648\\u06cc\\u0631\\u0627\\u06cc\\u0634 \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f. \\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6e51cf6c\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0647\\u0627\",\"link\":{\"url\":\"#takhfif\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"5e5aaebf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"content_position\":\"center\"},\"elements\":[{\"id\":\"5e81c5e2\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width\":{\"unit\":\"%\",\"size\":46,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6f9eb886\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"150\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"bcfb378\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"3098e3f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u0642\\u0627\\u0644\\u0628<\\/strong> \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"59830cb0\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0631\\u0627 \\u0645\\u06cc\\u200c\\u062a\\u0648\\u0627\\u0646\\u06cc\\u062f \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0627\\u0632 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647 \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"68c7709a\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#FCEEEF\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"25\",\"isLinked\":false},\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"4e7cb11e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"d926dc7\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 \\u0686\\u0646\\u062f \\u0645\\u0646\\u0638\\u0648\\u0631\\u0647 \\u2013 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc Astra \\u060c \\u06cc\\u06a9 \\u0642\\u0627\\u0644\\u0628 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0628\\u0631\\u0627\\u06cc \\u0631\\u0627\\u0647 \\u0627\\u0646\\u062f\\u0627\\u0632\\u06cc \\u06cc\\u06a9 \\u0648\\u0628\\u0633\\u0627\\u06cc\\u062a \\u062d\\u0631\\u0641\\u0647\\u200c\\u0627\\u06cc \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0627\\u0633\\u062a. \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u0627\\u0632 \\u0633\\u0627\\u0632\\u06af\\u0627\\u0631 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u200c\\u0647\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u0648 \\u062c\\u0632 \\u0633\\u0631\\u06cc\\u0639\\u200c\\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u200c\\u0647\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0627\\u0633\\u062a!! \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u060c \\u0628\\u0637\\u0648\\u0631 \\u06a9\\u0627\\u0645\\u0644 \\u062a\\u0631\\u062c\\u0645\\u0647\\u060c \\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646 \\u0648 \\u0628\\u0648\\u0645\\u06cc \\u0634\\u062f\\u0647 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0633\\u0627\\u06cc\\u062a\\u200c\\u0647\\u0627\\u06cc \\u0627\\u06cc\\u0631\\u0627\\u0646\\u06cc\\u060c \\u0628\\u0631\\u0627\\u062d\\u062a\\u06cc \\u0642\\u0627\\u0628\\u0644 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0633\\u062a.\\u0628\\u062e\\u0634\\u200c\\u0647\\u0627\\u06cc \\u0645\\u062e\\u062a\\u0644\\u0641 \\u0642\\u0627\\u0644\\u0628 Astra \\u062e\\u06cc\\u0644\\u06cc \\u0631\\u0627\\u062d\\u062a \\u0628\\u0627 \\u0633\\u0641\\u0627\\u0631\\u0634\\u06cc \\u0633\\u0627\\u0632 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\\u060c \\u0642\\u0627\\u0628\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0648 \\u0634\\u062e\\u0635\\u06cc \\u0633\\u0627\\u0632\\u06cc \\u0627\\u0633\\u062a. \\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0627\\u062a \\u0645\\u062e\\u062a\\u0644\\u0641 \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u060c \\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u06cc\\u0639\\u0646\\u06cc \\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0647 \\u0633\\u0627\\u0632 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0642\\u0627\\u0628\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u0633\\u062a.\",\"align\":\"center\",\"title_color\":\"#101112\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"},\"typography_line_height\":{\"unit\":\"px\",\"size\":42,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"4ddff111\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"40\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"72432585\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7a3633a3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0631\\u062e\\u06cc<strong style=\\\"font-weight: bold;\\\"> \\u0627\\u0632 <\\/strong> \\u0627\\u0645\\u06a9\\u0627\\u0646\\u0627\\u062a \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e715028\",\"elType\":\"section\",\"settings\":{\"structure\":\"60\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"50\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"4760962c\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"4518c74\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-spell-check\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"7ce8d54\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"60e93fe\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fab fa-elementor\",\"library\":\"fa-brands\"},\"view\":\"stacked\",\"title_text\":\"\\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631\\u067e\\u0631\\u0648 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"3c75623\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"c7be9b2\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fab fa-erlang\",\"library\":\"fa-brands\"},\"view\":\"stacked\",\"title_text\":\"\\u0641\\u0627\\u0631\\u0633\\u06cc \\u0633\\u0627\\u0632\\u06cc \\u0634\\u062f\\u0647\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"fcb9c63\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"bbc4680\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-sort-numeric-up-alt\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"b3d6f8a\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"ab25cb1\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-spell-check\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"7608217\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"fc93ef3\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-spell-check\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"2704b328\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"66adc7cc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":37.923,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_radius_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"border_radius_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true}},\"elements\":[{\"id\":\"59b59eb3\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"907199f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":62.077,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e5012f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u067e\\u064f\\u0631\\u0641\\u0631\\u0648\\u0634 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u067e\\u0631\\u062f\\u067e\\u0631\\u0633\\u06cc\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6ad9e4f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0647\\u062a \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"67353f86\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627\\u067e\\u0631\\u0648\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"449c823e\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"76fa53ff\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"795b4470\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f<\\/strong> \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"42799af2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648 \\u0628\\u0647 \\u0647\\u0645\\u0631\\u0627\\u0647 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u067e\\u0631\\u0648 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"45da3027\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_element_id\":\"takhfif\",\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"6121ccf1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"7f3f1df\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astrapro.jpg\",\"id\":58,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"width\":{\"unit\":\"%\",\"size\":44,\"sizes\":[]},\"image_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"63f49a14\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#282828\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"100\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"height\":\"min-height\"},\"elements\":[{\"id\":\"2e4826c5\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":25.074,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-mobile\"},\"elements\":[{\"id\":\"4c117094\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"1f3b48f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":74.926,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"331ce172\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5294f8c5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u06cc\\u06a9\\u06cc \\u0627\\u0632 \\u0645\\u0647\\u062a\\u0631\\u06cc\\u0646 \\u0645\\u0632\\u06cc\\u062a \\u0647\\u0627\\u06cc \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648 \\u0633\\u0631\\u0639\\u062a \\u0628\\u0633\\u06cc\\u0627\\u0631 \\u0628\\u0627\\u0644\\u0627\\u06cc \\u0622\\u0646 \\u0627\\u0633\\u062a.\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("510", "65", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("511", "65", "_thumbnail_id", "10");
INSERT INTO `wp_postmeta` VALUES("512", "65", "_elementor_page_settings", "a:2:{s:10:\"hide_title\";s:3:\"yes\";s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("513", "66", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("514", "66", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("515", "66", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("516", "66", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("517", "66", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("518", "66", "_elementor_data", "[{\"id\":\"3d47da92\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"bc47e13\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\"},\"elements\":[{\"id\":\"7b24fe6b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"5b81e2a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"47a97a8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648<\\/strong> \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"46fec036\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.1,\"sizes\":[]},\"editor\":\"<p style=\\\"text-align: justify;\\\">\\u0628\\u0631\\u0627\\u06cc \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u06cc\\u0646 \\u0645\\u062a\\u0646 \\u0628\\u0631 \\u0631\\u0648\\u06cc \\u062f\\u06a9\\u0645\\u0647 \\u0648\\u06cc\\u0631\\u0627\\u06cc\\u0634 \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f. \\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6e51cf6c\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0647\\u0627\",\"link\":{\"url\":\"#takhfif\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"5e5aaebf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"content_position\":\"center\"},\"elements\":[{\"id\":\"5e81c5e2\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width\":{\"unit\":\"%\",\"size\":46,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6f9eb886\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"150\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"bcfb378\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"3098e3f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u0642\\u0627\\u0644\\u0628<\\/strong> \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"59830cb0\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0631\\u0627 \\u0645\\u06cc\\u200c\\u062a\\u0648\\u0627\\u0646\\u06cc\\u062f \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0627\\u0632 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647 \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"68c7709a\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#FCEEEF\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"25\",\"isLinked\":false},\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"4e7cb11e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"d926dc7\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 \\u0686\\u0646\\u062f \\u0645\\u0646\\u0638\\u0648\\u0631\\u0647 \\u2013 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc Astra \\u060c \\u06cc\\u06a9 \\u0642\\u0627\\u0644\\u0628 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0628\\u0631\\u0627\\u06cc \\u0631\\u0627\\u0647 \\u0627\\u0646\\u062f\\u0627\\u0632\\u06cc \\u06cc\\u06a9 \\u0648\\u0628\\u0633\\u0627\\u06cc\\u062a \\u062d\\u0631\\u0641\\u0647\\u200c\\u0627\\u06cc \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0627\\u0633\\u062a. \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u0627\\u0632 \\u0633\\u0627\\u0632\\u06af\\u0627\\u0631 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u200c\\u0647\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u0648 \\u062c\\u0632 \\u0633\\u0631\\u06cc\\u0639\\u200c\\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u200c\\u0647\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0627\\u0633\\u062a!! \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u060c \\u0628\\u0637\\u0648\\u0631 \\u06a9\\u0627\\u0645\\u0644 \\u062a\\u0631\\u062c\\u0645\\u0647\\u060c \\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646 \\u0648 \\u0628\\u0648\\u0645\\u06cc \\u0634\\u062f\\u0647 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0633\\u0627\\u06cc\\u062a\\u200c\\u0647\\u0627\\u06cc \\u0627\\u06cc\\u0631\\u0627\\u0646\\u06cc\\u060c \\u0628\\u0631\\u0627\\u062d\\u062a\\u06cc \\u0642\\u0627\\u0628\\u0644 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0633\\u062a.\\u0628\\u062e\\u0634\\u200c\\u0647\\u0627\\u06cc \\u0645\\u062e\\u062a\\u0644\\u0641 \\u0642\\u0627\\u0644\\u0628 Astra \\u062e\\u06cc\\u0644\\u06cc \\u0631\\u0627\\u062d\\u062a \\u0628\\u0627 \\u0633\\u0641\\u0627\\u0631\\u0634\\u06cc \\u0633\\u0627\\u0632 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\\u060c \\u0642\\u0627\\u0628\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0648 \\u0634\\u062e\\u0635\\u06cc \\u0633\\u0627\\u0632\\u06cc \\u0627\\u0633\\u062a. \\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0627\\u062a \\u0645\\u062e\\u062a\\u0644\\u0641 \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u060c \\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u06cc\\u0639\\u0646\\u06cc \\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0647 \\u0633\\u0627\\u0632 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0642\\u0627\\u0628\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u0633\\u062a.\",\"align\":\"center\",\"title_color\":\"#101112\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"},\"typography_line_height\":{\"unit\":\"px\",\"size\":42,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"4ddff111\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"40\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"72432585\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7a3633a3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0631\\u062e\\u06cc<strong style=\\\"font-weight: bold;\\\"> \\u0627\\u0632 <\\/strong> \\u0627\\u0645\\u06a9\\u0627\\u0646\\u0627\\u062a \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e715028\",\"elType\":\"section\",\"settings\":{\"structure\":\"60\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"50\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"4760962c\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"4518c74\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-spell-check\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"7ce8d54\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"60e93fe\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fab fa-elementor\",\"library\":\"fa-brands\"},\"view\":\"stacked\",\"title_text\":\"\\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631\\u067e\\u0631\\u0648 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"3c75623\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"c7be9b2\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fab fa-erlang\",\"library\":\"fa-brands\"},\"view\":\"stacked\",\"title_text\":\"\\u0641\\u0627\\u0631\\u0633\\u06cc \\u0633\\u0627\\u0632\\u06cc \\u0634\\u062f\\u0647\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"fcb9c63\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"bbc4680\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-sort-numeric-up-alt\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"b3d6f8a\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"ab25cb1\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-spell-check\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"7608217\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"fc93ef3\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-spell-check\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"2704b328\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"66adc7cc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":37.923,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_radius_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"border_radius_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true}},\"elements\":[{\"id\":\"59b59eb3\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"907199f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":62.077,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e5012f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u067e\\u064f\\u0631\\u0641\\u0631\\u0648\\u0634 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u067e\\u0631\\u062f\\u067e\\u0631\\u0633\\u06cc\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6ad9e4f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0647\\u062a \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"67353f86\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627\\u067e\\u0631\\u0648\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"449c823e\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"76fa53ff\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"795b4470\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f<\\/strong> \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"42799af2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648 \\u0628\\u0647 \\u0647\\u0645\\u0631\\u0627\\u0647 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u067e\\u0631\\u0648 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"45da3027\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_element_id\":\"takhfif\",\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"6121ccf1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"7f3f1df\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astrapro.jpg\",\"id\":58,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"width\":{\"unit\":\"%\",\"size\":44,\"sizes\":[]},\"image_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"63f49a14\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#282828\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"100\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"height\":\"min-height\"},\"elements\":[{\"id\":\"2e4826c5\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":25.074,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-mobile\"},\"elements\":[{\"id\":\"4c117094\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"1f3b48f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":74.926,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"331ce172\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5294f8c5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u06cc\\u06a9\\u06cc \\u0627\\u0632 \\u0645\\u0647\\u062a\\u0631\\u06cc\\u0646 \\u0645\\u0632\\u06cc\\u062a \\u0647\\u0627\\u06cc \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648 \\u0633\\u0631\\u0639\\u062a \\u0628\\u0633\\u06cc\\u0627\\u0631 \\u0628\\u0627\\u0644\\u0627\\u06cc \\u0622\\u0646 \\u0627\\u0633\\u062a.\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("519", "66", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("520", "66", "_thumbnail_id", "10");
INSERT INTO `wp_postmeta` VALUES("521", "66", "_elementor_page_settings", "a:2:{s:10:\"hide_title\";s:3:\"yes\";s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("522", "67", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("523", "67", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("524", "67", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("525", "67", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("526", "67", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("527", "67", "_elementor_data", "[{\"id\":\"3d47da92\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"bc47e13\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\"},\"elements\":[{\"id\":\"7b24fe6b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"5b81e2a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"47a97a8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648<\\/strong> \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"46fec036\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.1,\"sizes\":[]},\"editor\":\"<p style=\\\"text-align: justify;\\\">\\u0628\\u0631\\u0627\\u06cc \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u06cc\\u0646 \\u0645\\u062a\\u0646 \\u0628\\u0631 \\u0631\\u0648\\u06cc \\u062f\\u06a9\\u0645\\u0647 \\u0648\\u06cc\\u0631\\u0627\\u06cc\\u0634 \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f. \\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6e51cf6c\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0647\\u0627\",\"link\":{\"url\":\"#takhfif\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"5e5aaebf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"content_position\":\"center\"},\"elements\":[{\"id\":\"5e81c5e2\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width\":{\"unit\":\"%\",\"size\":46,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6f9eb886\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"150\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"bcfb378\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"3098e3f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u0642\\u0627\\u0644\\u0628<\\/strong> \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"59830cb0\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0631\\u0627 \\u0645\\u06cc\\u200c\\u062a\\u0648\\u0627\\u0646\\u06cc\\u062f \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0627\\u0632 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647 \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"68c7709a\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#FCEEEF\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"25\",\"isLinked\":false},\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"4e7cb11e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"d926dc7\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 \\u0686\\u0646\\u062f \\u0645\\u0646\\u0638\\u0648\\u0631\\u0647 \\u2013 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc Astra \\u060c \\u06cc\\u06a9 \\u0642\\u0627\\u0644\\u0628 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0628\\u0631\\u0627\\u06cc \\u0631\\u0627\\u0647 \\u0627\\u0646\\u062f\\u0627\\u0632\\u06cc \\u06cc\\u06a9 \\u0648\\u0628\\u0633\\u0627\\u06cc\\u062a \\u062d\\u0631\\u0641\\u0647\\u200c\\u0627\\u06cc \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0627\\u0633\\u062a. \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u0627\\u0632 \\u0633\\u0627\\u0632\\u06af\\u0627\\u0631 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u200c\\u0647\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u0648 \\u062c\\u0632 \\u0633\\u0631\\u06cc\\u0639\\u200c\\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u200c\\u0647\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0627\\u0633\\u062a!! \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u060c \\u0628\\u0637\\u0648\\u0631 \\u06a9\\u0627\\u0645\\u0644 \\u062a\\u0631\\u062c\\u0645\\u0647\\u060c \\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646 \\u0648 \\u0628\\u0648\\u0645\\u06cc \\u0634\\u062f\\u0647 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0633\\u0627\\u06cc\\u062a\\u200c\\u0647\\u0627\\u06cc \\u0627\\u06cc\\u0631\\u0627\\u0646\\u06cc\\u060c \\u0628\\u0631\\u0627\\u062d\\u062a\\u06cc \\u0642\\u0627\\u0628\\u0644 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0633\\u062a.\\u0628\\u062e\\u0634\\u200c\\u0647\\u0627\\u06cc \\u0645\\u062e\\u062a\\u0644\\u0641 \\u0642\\u0627\\u0644\\u0628 Astra \\u062e\\u06cc\\u0644\\u06cc \\u0631\\u0627\\u062d\\u062a \\u0628\\u0627 \\u0633\\u0641\\u0627\\u0631\\u0634\\u06cc \\u0633\\u0627\\u0632 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\\u060c \\u0642\\u0627\\u0628\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0648 \\u0634\\u062e\\u0635\\u06cc \\u0633\\u0627\\u0632\\u06cc \\u0627\\u0633\\u062a. \\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0627\\u062a \\u0645\\u062e\\u062a\\u0644\\u0641 \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u060c \\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u06cc\\u0639\\u0646\\u06cc \\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0647 \\u0633\\u0627\\u0632 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0642\\u0627\\u0628\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u0633\\u062a.\",\"align\":\"center\",\"title_color\":\"#101112\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"},\"align_mobile\":\"justify\",\"typography_line_height\":{\"unit\":\"px\",\"size\":42,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"4ddff111\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"40\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"72432585\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7a3633a3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0631\\u062e\\u06cc<strong style=\\\"font-weight: bold;\\\"> \\u0627\\u0632 <\\/strong> \\u0627\\u0645\\u06a9\\u0627\\u0646\\u0627\\u062a \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e715028\",\"elType\":\"section\",\"settings\":{\"structure\":\"60\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"50\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"4760962c\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"4518c74\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-spell-check\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"7ce8d54\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"60e93fe\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fab fa-elementor\",\"library\":\"fa-brands\"},\"view\":\"stacked\",\"title_text\":\"\\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631\\u067e\\u0631\\u0648 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"3c75623\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"c7be9b2\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fab fa-erlang\",\"library\":\"fa-brands\"},\"view\":\"stacked\",\"title_text\":\"\\u0641\\u0627\\u0631\\u0633\\u06cc \\u0633\\u0627\\u0632\\u06cc \\u0634\\u062f\\u0647\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"fcb9c63\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"bbc4680\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-sort-numeric-up-alt\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"b3d6f8a\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"ab25cb1\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fab fa-wordpress\",\"library\":\"fa-brands\"},\"view\":\"stacked\",\"title_text\":\"\\u0622\\u062e\\u0631\\u06cc\\u0646 \\u0648\\u0631\\u0698\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"7608217\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"fc93ef3\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-cloud-upload-alt\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0628\\u0633\\u062a\\u0647 \\u0646\\u0635\\u0628\\u06cc \\u0622\\u0633\\u0627\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"2704b328\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"66adc7cc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":37.923,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_radius_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"border_radius_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true}},\"elements\":[{\"id\":\"59b59eb3\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"907199f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":62.077,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e5012f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u067e\\u064f\\u0631\\u0641\\u0631\\u0648\\u0634 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u067e\\u0631\\u062f\\u067e\\u0631\\u0633\\u06cc\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6ad9e4f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0647\\u062a \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"67353f86\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627\\u067e\\u0631\\u0648\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"449c823e\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"76fa53ff\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"795b4470\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f<\\/strong> \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"42799af2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648 \\u0628\\u0647 \\u0647\\u0645\\u0631\\u0627\\u0647 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u067e\\u0631\\u0648 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"45da3027\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_element_id\":\"takhfif\",\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"6121ccf1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"7f3f1df\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astrapro.jpg\",\"id\":58,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"width\":{\"unit\":\"%\",\"size\":44,\"sizes\":[]},\"image_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"63f49a14\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#282828\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"100\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"height\":\"min-height\"},\"elements\":[{\"id\":\"2e4826c5\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":25.074,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-mobile\"},\"elements\":[{\"id\":\"4c117094\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"1f3b48f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":74.926,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"331ce172\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5294f8c5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u06cc\\u06a9\\u06cc \\u0627\\u0632 \\u0645\\u0647\\u062a\\u0631\\u06cc\\u0646 \\u0645\\u0632\\u06cc\\u062a \\u0647\\u0627\\u06cc \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648 \\u0633\\u0631\\u0639\\u062a \\u0628\\u0633\\u06cc\\u0627\\u0631 \\u0628\\u0627\\u0644\\u0627\\u06cc \\u0622\\u0646 \\u0627\\u0633\\u062a.\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("528", "67", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("529", "67", "_thumbnail_id", "10");
INSERT INTO `wp_postmeta` VALUES("530", "67", "_elementor_page_settings", "a:2:{s:10:\"hide_title\";s:3:\"yes\";s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("531", "68", "_wp_attached_file", "2023/07/favicon.png");
INSERT INTO `wp_postmeta` VALUES("532", "68", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:512;s:6:\"height\";i:512;s:4:\"file\";s:19:\"2023/07/favicon.png\";s:8:\"filesize\";i:33224;s:5:\"sizes\";a:2:{s:6:\"medium\";a:5:{s:4:\"file\";s:19:\"favicon-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:12760;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:19:\"favicon-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:5639;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("533", "69", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("534", "69", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("535", "69", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("536", "69", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("537", "69", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("538", "69", "_elementor_data", "[{\"id\":\"3d47da92\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"bc47e13\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\"},\"elements\":[{\"id\":\"7b24fe6b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"5b81e2a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"47a97a8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648<\\/strong> \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"46fec036\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.1,\"sizes\":[]},\"editor\":\"<p style=\\\"text-align: justify;\\\">\\u0628\\u0631\\u0627\\u06cc \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u06cc\\u0646 \\u0645\\u062a\\u0646 \\u0628\\u0631 \\u0631\\u0648\\u06cc \\u062f\\u06a9\\u0645\\u0647 \\u0648\\u06cc\\u0631\\u0627\\u06cc\\u0634 \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f. \\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6e51cf6c\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0647\\u0627\",\"link\":{\"url\":\"#takhfif\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"5e5aaebf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"content_position\":\"center\"},\"elements\":[{\"id\":\"5e81c5e2\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width\":{\"unit\":\"%\",\"size\":46,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6f9eb886\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"150\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"bcfb378\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"3098e3f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u0642\\u0627\\u0644\\u0628<\\/strong> \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"59830cb0\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0631\\u0627 \\u0645\\u06cc\\u200c\\u062a\\u0648\\u0627\\u0646\\u06cc\\u062f \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0627\\u0632 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647 \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"68c7709a\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#FCEEEF\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"25\",\"isLinked\":false},\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"4e7cb11e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"d926dc7\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 \\u0686\\u0646\\u062f \\u0645\\u0646\\u0638\\u0648\\u0631\\u0647 \\u2013 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc Astra \\u060c \\u06cc\\u06a9 \\u0642\\u0627\\u0644\\u0628 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0628\\u0631\\u0627\\u06cc \\u0631\\u0627\\u0647 \\u0627\\u0646\\u062f\\u0627\\u0632\\u06cc \\u06cc\\u06a9 \\u0648\\u0628\\u0633\\u0627\\u06cc\\u062a \\u062d\\u0631\\u0641\\u0647\\u200c\\u0627\\u06cc \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0627\\u0633\\u062a. \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u0627\\u0632 \\u0633\\u0627\\u0632\\u06af\\u0627\\u0631 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u200c\\u0647\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u0648 \\u062c\\u0632 \\u0633\\u0631\\u06cc\\u0639\\u200c\\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u200c\\u0647\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0627\\u0633\\u062a!! \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u060c \\u0628\\u0637\\u0648\\u0631 \\u06a9\\u0627\\u0645\\u0644 \\u062a\\u0631\\u062c\\u0645\\u0647\\u060c \\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646 \\u0648 \\u0628\\u0648\\u0645\\u06cc \\u0634\\u062f\\u0647 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0633\\u0627\\u06cc\\u062a\\u200c\\u0647\\u0627\\u06cc \\u0627\\u06cc\\u0631\\u0627\\u0646\\u06cc\\u060c \\u0628\\u0631\\u0627\\u062d\\u062a\\u06cc \\u0642\\u0627\\u0628\\u0644 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0633\\u062a.\\u0628\\u062e\\u0634\\u200c\\u0647\\u0627\\u06cc \\u0645\\u062e\\u062a\\u0644\\u0641 \\u0642\\u0627\\u0644\\u0628 Astra \\u062e\\u06cc\\u0644\\u06cc \\u0631\\u0627\\u062d\\u062a \\u0628\\u0627 \\u0633\\u0641\\u0627\\u0631\\u0634\\u06cc \\u0633\\u0627\\u0632 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\\u060c \\u0642\\u0627\\u0628\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0648 \\u0634\\u062e\\u0635\\u06cc \\u0633\\u0627\\u0632\\u06cc \\u0627\\u0633\\u062a. \\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0627\\u062a \\u0645\\u062e\\u062a\\u0644\\u0641 \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u060c \\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u06cc\\u0639\\u0646\\u06cc \\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0647 \\u0633\\u0627\\u0632 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0642\\u0627\\u0628\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u0633\\u062a.\",\"align\":\"center\",\"title_color\":\"#101112\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"},\"align_mobile\":\"justify\",\"typography_line_height\":{\"unit\":\"px\",\"size\":42,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"4ddff111\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"40\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"72432585\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7a3633a3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0631\\u062e\\u06cc<strong style=\\\"font-weight: bold;\\\"> \\u0627\\u0632 <\\/strong> \\u0627\\u0645\\u06a9\\u0627\\u0646\\u0627\\u062a \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e715028\",\"elType\":\"section\",\"settings\":{\"structure\":\"60\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"50\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"4760962c\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"4518c74\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-spell-check\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"7ce8d54\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"60e93fe\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fab fa-elementor\",\"library\":\"fa-brands\"},\"view\":\"stacked\",\"title_text\":\"\\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631\\u067e\\u0631\\u0648 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"3c75623\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"c7be9b2\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fab fa-erlang\",\"library\":\"fa-brands\"},\"view\":\"stacked\",\"title_text\":\"\\u0641\\u0627\\u0631\\u0633\\u06cc \\u0633\\u0627\\u0632\\u06cc \\u0634\\u062f\\u0647\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"fcb9c63\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"bbc4680\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-sort-numeric-up-alt\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"b3d6f8a\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"ab25cb1\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fab fa-wordpress\",\"library\":\"fa-brands\"},\"view\":\"stacked\",\"title_text\":\"\\u0622\\u062e\\u0631\\u06cc\\u0646 \\u0648\\u0631\\u0698\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"7608217\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"fc93ef3\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-cloud-upload-alt\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0628\\u0633\\u062a\\u0647 \\u0646\\u0635\\u0628\\u06cc \\u0622\\u0633\\u0627\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"2704b328\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"66adc7cc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":37.923,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_radius_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"border_radius_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true}},\"elements\":[{\"id\":\"59b59eb3\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"907199f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":62.077,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e5012f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u067e\\u064f\\u0631\\u0641\\u0631\\u0648\\u0634 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u067e\\u0631\\u062f\\u067e\\u0631\\u0633\\u06cc\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6ad9e4f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0647\\u062a \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"67353f86\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627\\u067e\\u0631\\u0648\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"449c823e\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"76fa53ff\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"795b4470\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f<\\/strong> \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"42799af2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648 \\u0628\\u0647 \\u0647\\u0645\\u0631\\u0627\\u0647 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u067e\\u0631\\u0648 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"45da3027\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_element_id\":\"takhfif\",\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"6121ccf1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"7f3f1df\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astrapro.jpg\",\"id\":58,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"width\":{\"unit\":\"%\",\"size\":44,\"sizes\":[]},\"image_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"63f49a14\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#282828\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"100\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"height\":\"min-height\"},\"elements\":[{\"id\":\"2e4826c5\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":25.074,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-mobile\"},\"elements\":[{\"id\":\"4c117094\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"1f3b48f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":74.926,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"331ce172\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5294f8c5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u06cc\\u06a9\\u06cc \\u0627\\u0632 \\u0645\\u0647\\u062a\\u0631\\u06cc\\u0646 \\u0645\\u0632\\u06cc\\u062a \\u0647\\u0627\\u06cc \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648 \\u0633\\u0631\\u0639\\u062a \\u0628\\u0633\\u06cc\\u0627\\u0631 \\u0628\\u0627\\u0644\\u0627\\u06cc \\u0622\\u0646 \\u0627\\u0633\\u062a.\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("539", "69", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("540", "69", "_thumbnail_id", "10");
INSERT INTO `wp_postmeta` VALUES("541", "69", "_elementor_page_settings", "a:2:{s:10:\"hide_title\";s:3:\"yes\";s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("542", "70", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("543", "70", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("544", "70", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("545", "70", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("546", "70", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("547", "70", "_elementor_data", "[{\"id\":\"3d47da92\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"bc47e13\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\"},\"elements\":[{\"id\":\"7b24fe6b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"5b81e2a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"47a97a8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648<\\/strong> \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"46fec036\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.1,\"sizes\":[]},\"editor\":\"<p style=\\\"text-align: justify;\\\">\\u0628\\u0631\\u0627\\u06cc \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u06cc\\u0646 \\u0645\\u062a\\u0646 \\u0628\\u0631 \\u0631\\u0648\\u06cc \\u062f\\u06a9\\u0645\\u0647 \\u0648\\u06cc\\u0631\\u0627\\u06cc\\u0634 \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f. \\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6e51cf6c\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0647\\u0627\",\"link\":{\"url\":\"#takhfif\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"5e5aaebf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"content_position\":\"center\"},\"elements\":[{\"id\":\"5e81c5e2\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width\":{\"unit\":\"%\",\"size\":46,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6f9eb886\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"150\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"bcfb378\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"3098e3f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u0642\\u0627\\u0644\\u0628<\\/strong> \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"59830cb0\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0631\\u0627 \\u0645\\u06cc\\u200c\\u062a\\u0648\\u0627\\u0646\\u06cc\\u062f \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0627\\u0632 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647 \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"68c7709a\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#FCEEEF\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"25\",\"isLinked\":false},\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"4e7cb11e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"d926dc7\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 \\u0686\\u0646\\u062f \\u0645\\u0646\\u0638\\u0648\\u0631\\u0647 \\u2013 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc Astra \\u060c \\u06cc\\u06a9 \\u0642\\u0627\\u0644\\u0628 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0628\\u0631\\u0627\\u06cc \\u0631\\u0627\\u0647 \\u0627\\u0646\\u062f\\u0627\\u0632\\u06cc \\u06cc\\u06a9 \\u0648\\u0628\\u0633\\u0627\\u06cc\\u062a \\u062d\\u0631\\u0641\\u0647\\u200c\\u0627\\u06cc \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0627\\u0633\\u062a. \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u0627\\u0632 \\u0633\\u0627\\u0632\\u06af\\u0627\\u0631 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u200c\\u0647\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u0648 \\u062c\\u0632 \\u0633\\u0631\\u06cc\\u0639\\u200c\\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u200c\\u0647\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0627\\u0633\\u062a!! \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u060c \\u0628\\u0637\\u0648\\u0631 \\u06a9\\u0627\\u0645\\u0644 \\u062a\\u0631\\u062c\\u0645\\u0647\\u060c \\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646 \\u0648 \\u0628\\u0648\\u0645\\u06cc \\u0634\\u062f\\u0647 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0633\\u0627\\u06cc\\u062a\\u200c\\u0647\\u0627\\u06cc \\u0627\\u06cc\\u0631\\u0627\\u0646\\u06cc\\u060c \\u0628\\u0631\\u0627\\u062d\\u062a\\u06cc \\u0642\\u0627\\u0628\\u0644 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0633\\u062a.\\u0628\\u062e\\u0634\\u200c\\u0647\\u0627\\u06cc \\u0645\\u062e\\u062a\\u0644\\u0641 \\u0642\\u0627\\u0644\\u0628 Astra \\u062e\\u06cc\\u0644\\u06cc \\u0631\\u0627\\u062d\\u062a \\u0628\\u0627 \\u0633\\u0641\\u0627\\u0631\\u0634\\u06cc \\u0633\\u0627\\u0632 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\\u060c \\u0642\\u0627\\u0628\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0648 \\u0634\\u062e\\u0635\\u06cc \\u0633\\u0627\\u0632\\u06cc \\u0627\\u0633\\u062a. \\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0627\\u062a \\u0645\\u062e\\u062a\\u0644\\u0641 \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u060c \\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u06cc\\u0639\\u0646\\u06cc \\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0647 \\u0633\\u0627\\u0632 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0642\\u0627\\u0628\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u0633\\u062a.\",\"align\":\"center\",\"title_color\":\"#101112\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"},\"align_mobile\":\"justify\",\"typography_line_height\":{\"unit\":\"px\",\"size\":42,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"4ddff111\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"40\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"72432585\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7a3633a3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0631\\u062e\\u06cc<strong style=\\\"font-weight: bold;\\\"> \\u0627\\u0632 <\\/strong> \\u0627\\u0645\\u06a9\\u0627\\u0646\\u0627\\u062a \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e715028\",\"elType\":\"section\",\"settings\":{\"structure\":\"60\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"50\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"4760962c\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"4518c74\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-spell-check\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"7ce8d54\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"60e93fe\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fab fa-elementor\",\"library\":\"fa-brands\"},\"view\":\"stacked\",\"title_text\":\"\\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631\\u067e\\u0631\\u0648 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"3c75623\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"c7be9b2\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fab fa-erlang\",\"library\":\"fa-brands\"},\"view\":\"stacked\",\"title_text\":\"\\u0641\\u0627\\u0631\\u0633\\u06cc \\u0633\\u0627\\u0632\\u06cc \\u0634\\u062f\\u0647\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"fcb9c63\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"bbc4680\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-sort-numeric-up-alt\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"b3d6f8a\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"ab25cb1\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fab fa-wordpress\",\"library\":\"fa-brands\"},\"view\":\"stacked\",\"title_text\":\"\\u0622\\u062e\\u0631\\u06cc\\u0646 \\u0648\\u0631\\u0698\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"7608217\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"fc93ef3\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-cloud-upload-alt\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0628\\u0633\\u062a\\u0647 \\u0646\\u0635\\u0628\\u06cc \\u0622\\u0633\\u0627\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"2704b328\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"66adc7cc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":37.923,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_radius_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"border_radius_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true}},\"elements\":[{\"id\":\"59b59eb3\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"907199f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":62.077,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e5012f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u067e\\u064f\\u0631\\u0641\\u0631\\u0648\\u0634 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u067e\\u0631\\u062f\\u067e\\u0631\\u0633\\u06cc\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6ad9e4f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0647\\u062a \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"67353f86\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627\\u067e\\u0631\\u0648\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"449c823e\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"76fa53ff\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"795b4470\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f<\\/strong> \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"42799af2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648 \\u0628\\u0647 \\u0647\\u0645\\u0631\\u0627\\u0647 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u067e\\u0631\\u0648 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"45da3027\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_element_id\":\"takhfif\",\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"6121ccf1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"7f3f1df\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astrapro.jpg\",\"id\":58,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"width\":{\"unit\":\"%\",\"size\":44,\"sizes\":[]},\"image_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"63f49a14\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#282828\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"100\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"height\":\"min-height\"},\"elements\":[{\"id\":\"2e4826c5\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":25.074,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-mobile\"},\"elements\":[{\"id\":\"4c117094\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"1f3b48f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":74.926,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"331ce172\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5294f8c5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u06cc\\u06a9\\u06cc \\u0627\\u0632 \\u0645\\u0647\\u062a\\u0631\\u06cc\\u0646 \\u0645\\u0632\\u06cc\\u062a \\u0647\\u0627\\u06cc \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648 \\u0633\\u0631\\u0639\\u062a \\u0628\\u0633\\u06cc\\u0627\\u0631 \\u0628\\u0627\\u0644\\u0627\\u06cc \\u0622\\u0646 \\u0627\\u0633\\u062a.\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("548", "70", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("549", "70", "_thumbnail_id", "10");
INSERT INTO `wp_postmeta` VALUES("550", "70", "_elementor_page_settings", "a:2:{s:10:\"hide_title\";s:3:\"yes\";s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("551", "71", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("552", "71", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("553", "71", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("554", "71", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("555", "71", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("556", "71", "_elementor_data", "[{\"id\":\"3d47da92\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"bc47e13\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\"},\"elements\":[{\"id\":\"7b24fe6b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"5b81e2a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"47a97a8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648<\\/strong> \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"46fec036\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.1,\"sizes\":[]},\"editor\":\"<p style=\\\"text-align: justify;\\\">\\u0628\\u0631\\u0627\\u06cc \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u06cc\\u0646 \\u0645\\u062a\\u0646 \\u0628\\u0631 \\u0631\\u0648\\u06cc \\u062f\\u06a9\\u0645\\u0647 \\u0648\\u06cc\\u0631\\u0627\\u06cc\\u0634 \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f. \\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6e51cf6c\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0647\\u0627\",\"link\":{\"url\":\"#takhfif\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"5e5aaebf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"content_position\":\"center\"},\"elements\":[{\"id\":\"5e81c5e2\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width\":{\"unit\":\"%\",\"size\":46,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6f9eb886\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"150\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"bcfb378\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"3098e3f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u0642\\u0627\\u0644\\u0628<\\/strong> \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"59830cb0\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0631\\u0627 \\u0645\\u06cc\\u200c\\u062a\\u0648\\u0627\\u0646\\u06cc\\u062f \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0627\\u0632 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647 \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"68c7709a\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#FCEEEF\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"25\",\"isLinked\":false},\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"4e7cb11e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"d926dc7\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 \\u0686\\u0646\\u062f \\u0645\\u0646\\u0638\\u0648\\u0631\\u0647 \\u2013 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc Astra \\u060c \\u06cc\\u06a9 \\u0642\\u0627\\u0644\\u0628 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0628\\u0631\\u0627\\u06cc \\u0631\\u0627\\u0647 \\u0627\\u0646\\u062f\\u0627\\u0632\\u06cc \\u06cc\\u06a9 \\u0648\\u0628\\u0633\\u0627\\u06cc\\u062a \\u062d\\u0631\\u0641\\u0647\\u200c\\u0627\\u06cc \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0627\\u0633\\u062a. \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u0627\\u0632 \\u0633\\u0627\\u0632\\u06af\\u0627\\u0631 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u200c\\u0647\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u0648 \\u062c\\u0632 \\u0633\\u0631\\u06cc\\u0639\\u200c\\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u200c\\u0647\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0627\\u0633\\u062a!! \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u060c \\u0628\\u0637\\u0648\\u0631 \\u06a9\\u0627\\u0645\\u0644 \\u062a\\u0631\\u062c\\u0645\\u0647\\u060c \\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646 \\u0648 \\u0628\\u0648\\u0645\\u06cc \\u0634\\u062f\\u0647 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0633\\u0627\\u06cc\\u062a\\u200c\\u0647\\u0627\\u06cc \\u0627\\u06cc\\u0631\\u0627\\u0646\\u06cc\\u060c \\u0628\\u0631\\u0627\\u062d\\u062a\\u06cc \\u0642\\u0627\\u0628\\u0644 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0633\\u062a.\\u0628\\u062e\\u0634\\u200c\\u0647\\u0627\\u06cc \\u0645\\u062e\\u062a\\u0644\\u0641 \\u0642\\u0627\\u0644\\u0628 Astra \\u062e\\u06cc\\u0644\\u06cc \\u0631\\u0627\\u062d\\u062a \\u0628\\u0627 \\u0633\\u0641\\u0627\\u0631\\u0634\\u06cc \\u0633\\u0627\\u0632 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\\u060c \\u0642\\u0627\\u0628\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0648 \\u0634\\u062e\\u0635\\u06cc \\u0633\\u0627\\u0632\\u06cc \\u0627\\u0633\\u062a. \\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0627\\u062a \\u0645\\u062e\\u062a\\u0644\\u0641 \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u060c \\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u06cc\\u0639\\u0646\\u06cc \\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0647 \\u0633\\u0627\\u0632 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0642\\u0627\\u0628\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u0633\\u062a.\",\"align\":\"center\",\"title_color\":\"#101112\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"},\"align_mobile\":\"justify\",\"typography_line_height\":{\"unit\":\"px\",\"size\":42,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"4ddff111\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"40\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"72432585\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7a3633a3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0631\\u062e\\u06cc<strong style=\\\"font-weight: bold;\\\"> \\u0627\\u0632 <\\/strong> \\u0627\\u0645\\u06a9\\u0627\\u0646\\u0627\\u062a \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e715028\",\"elType\":\"section\",\"settings\":{\"structure\":\"60\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"50\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"4760962c\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"4518c74\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-spell-check\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"7ce8d54\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"60e93fe\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fab fa-elementor\",\"library\":\"fa-brands\"},\"view\":\"stacked\",\"title_text\":\"\\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631\\u067e\\u0631\\u0648 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"3c75623\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"c7be9b2\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fab fa-erlang\",\"library\":\"fa-brands\"},\"view\":\"stacked\",\"title_text\":\"\\u0641\\u0627\\u0631\\u0633\\u06cc \\u0633\\u0627\\u0632\\u06cc \\u0634\\u062f\\u0647\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"fcb9c63\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"bbc4680\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-sort-numeric-up-alt\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"b3d6f8a\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"ab25cb1\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fab fa-wordpress\",\"library\":\"fa-brands\"},\"view\":\"stacked\",\"title_text\":\"\\u0622\\u062e\\u0631\\u06cc\\u0646 \\u0648\\u0631\\u0698\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"7608217\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"fc93ef3\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-cloud-upload-alt\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0628\\u0633\\u062a\\u0647 \\u0646\\u0635\\u0628\\u06cc \\u0622\\u0633\\u0627\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"2704b328\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"66adc7cc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":37.923,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_radius_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"border_radius_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true}},\"elements\":[{\"id\":\"59b59eb3\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"907199f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":62.077,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e5012f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u067e\\u064f\\u0631\\u0641\\u0631\\u0648\\u0634 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u067e\\u0631\\u062f\\u067e\\u0631\\u0633\\u06cc\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6ad9e4f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0647\\u062a \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"67353f86\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627\\u067e\\u0631\\u0648\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"449c823e\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"76fa53ff\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"795b4470\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f<\\/strong> \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"42799af2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648 \\u0628\\u0647 \\u0647\\u0645\\u0631\\u0627\\u0647 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u067e\\u0631\\u0648 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"45da3027\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_element_id\":\"takhfif\",\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"6121ccf1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"7f3f1df\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astrapro.jpg\",\"id\":58,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"width\":{\"unit\":\"%\",\"size\":44,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":76,\"sizes\":[]},\"image_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"63f49a14\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#282828\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"100\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"height\":\"min-height\"},\"elements\":[{\"id\":\"2e4826c5\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":25.074,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"4c117094\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":68,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/favicon.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"1f3b48f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":74.926,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"331ce172\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0631\\u0627\\u0626\\u0647 \\u0634\\u062f\\u0647 \\u062a\\u0648\\u0633\\u0637 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5294f8c5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0634\\u0627\\u0648\\u0631\\u0647 \\u0637\\u0631\\u0627\\u062d\\u06cc \\u0633\\u0627\\u06cc\\u062a \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"0f660fe\",\"elType\":\"widget\",\"settings\":{\"text\":\"0990-9365394\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-mobile-alt\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#FCFCFC\",\"background_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false},\"link\":{\"url\":\"tel:09909365394\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("557", "71", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("558", "71", "_thumbnail_id", "10");
INSERT INTO `wp_postmeta` VALUES("559", "71", "_elementor_page_settings", "a:2:{s:10:\"hide_title\";s:3:\"yes\";s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("560", "72", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("561", "72", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("562", "72", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("563", "72", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("564", "72", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("565", "72", "_elementor_data", "[{\"id\":\"3d47da92\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"bc47e13\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\"},\"elements\":[{\"id\":\"7b24fe6b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"5b81e2a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"47a97a8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648<\\/strong> \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"46fec036\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.1,\"sizes\":[]},\"editor\":\"<p style=\\\"text-align: justify;\\\">\\u0628\\u0631\\u0627\\u06cc \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u06cc\\u0646 \\u0645\\u062a\\u0646 \\u0628\\u0631 \\u0631\\u0648\\u06cc \\u062f\\u06a9\\u0645\\u0647 \\u0648\\u06cc\\u0631\\u0627\\u06cc\\u0634 \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f. \\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6e51cf6c\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0647\\u0627\",\"link\":{\"url\":\"#takhfif\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"5e5aaebf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"content_position\":\"center\"},\"elements\":[{\"id\":\"5e81c5e2\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width\":{\"unit\":\"%\",\"size\":46,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6f9eb886\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"150\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"bcfb378\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"3098e3f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u0642\\u0627\\u0644\\u0628<\\/strong> \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"59830cb0\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0631\\u0627 \\u0645\\u06cc\\u200c\\u062a\\u0648\\u0627\\u0646\\u06cc\\u062f \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0627\\u0632 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647 \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"68c7709a\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#FCEEEF\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"25\",\"isLinked\":false},\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"4e7cb11e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"d926dc7\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 \\u0686\\u0646\\u062f \\u0645\\u0646\\u0638\\u0648\\u0631\\u0647 \\u2013 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc Astra \\u060c \\u06cc\\u06a9 \\u0642\\u0627\\u0644\\u0628 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0628\\u0631\\u0627\\u06cc \\u0631\\u0627\\u0647 \\u0627\\u0646\\u062f\\u0627\\u0632\\u06cc \\u06cc\\u06a9 \\u0648\\u0628\\u0633\\u0627\\u06cc\\u062a \\u062d\\u0631\\u0641\\u0647\\u200c\\u0627\\u06cc \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0627\\u0633\\u062a. \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u0627\\u0632 \\u0633\\u0627\\u0632\\u06af\\u0627\\u0631 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u200c\\u0647\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u0648 \\u062c\\u0632 \\u0633\\u0631\\u06cc\\u0639\\u200c\\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u200c\\u0647\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0627\\u0633\\u062a!! \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u060c \\u0628\\u0637\\u0648\\u0631 \\u06a9\\u0627\\u0645\\u0644 \\u062a\\u0631\\u062c\\u0645\\u0647\\u060c \\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646 \\u0648 \\u0628\\u0648\\u0645\\u06cc \\u0634\\u062f\\u0647 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0633\\u0627\\u06cc\\u062a\\u200c\\u0647\\u0627\\u06cc \\u0627\\u06cc\\u0631\\u0627\\u0646\\u06cc\\u060c \\u0628\\u0631\\u0627\\u062d\\u062a\\u06cc \\u0642\\u0627\\u0628\\u0644 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0633\\u062a.\\u0628\\u062e\\u0634\\u200c\\u0647\\u0627\\u06cc \\u0645\\u062e\\u062a\\u0644\\u0641 \\u0642\\u0627\\u0644\\u0628 Astra \\u062e\\u06cc\\u0644\\u06cc \\u0631\\u0627\\u062d\\u062a \\u0628\\u0627 \\u0633\\u0641\\u0627\\u0631\\u0634\\u06cc \\u0633\\u0627\\u0632 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\\u060c \\u0642\\u0627\\u0628\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0648 \\u0634\\u062e\\u0635\\u06cc \\u0633\\u0627\\u0632\\u06cc \\u0627\\u0633\\u062a. \\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0627\\u062a \\u0645\\u062e\\u062a\\u0644\\u0641 \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u060c \\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u06cc\\u0639\\u0646\\u06cc \\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0647 \\u0633\\u0627\\u0632 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0642\\u0627\\u0628\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u0633\\u062a.\",\"align\":\"center\",\"title_color\":\"#101112\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"},\"align_mobile\":\"justify\",\"typography_line_height\":{\"unit\":\"px\",\"size\":42,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"4ddff111\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"40\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"72432585\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7a3633a3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0631\\u062e\\u06cc<strong style=\\\"font-weight: bold;\\\"> \\u0627\\u0632 <\\/strong> \\u0627\\u0645\\u06a9\\u0627\\u0646\\u0627\\u062a \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e715028\",\"elType\":\"section\",\"settings\":{\"structure\":\"60\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"50\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"4760962c\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"4518c74\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-spell-check\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"7ce8d54\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"60e93fe\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fab fa-elementor\",\"library\":\"fa-brands\"},\"view\":\"stacked\",\"title_text\":\"\\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631\\u067e\\u0631\\u0648 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"3c75623\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"c7be9b2\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fab fa-erlang\",\"library\":\"fa-brands\"},\"view\":\"stacked\",\"title_text\":\"\\u0641\\u0627\\u0631\\u0633\\u06cc \\u0633\\u0627\\u0632\\u06cc \\u0634\\u062f\\u0647\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"fcb9c63\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"bbc4680\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-sort-numeric-up-alt\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"b3d6f8a\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"ab25cb1\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fab fa-wordpress\",\"library\":\"fa-brands\"},\"view\":\"stacked\",\"title_text\":\"\\u0622\\u062e\\u0631\\u06cc\\u0646 \\u0648\\u0631\\u0698\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"7608217\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"fc93ef3\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-cloud-upload-alt\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0628\\u0633\\u062a\\u0647 \\u0646\\u0635\\u0628\\u06cc \\u0622\\u0633\\u0627\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"2704b328\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"66adc7cc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":37.923,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_radius_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"border_radius_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true}},\"elements\":[{\"id\":\"59b59eb3\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"907199f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":62.077,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e5012f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u067e\\u064f\\u0631\\u0641\\u0631\\u0648\\u0634 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u067e\\u0631\\u062f\\u067e\\u0631\\u0633\\u06cc\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6ad9e4f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0647\\u062a \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"67353f86\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627\\u067e\\u0631\\u0648\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"449c823e\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"76fa53ff\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"795b4470\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f<\\/strong> \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"42799af2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648 \\u0628\\u0647 \\u0647\\u0645\\u0631\\u0627\\u0647 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u067e\\u0631\\u0648 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"45da3027\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_element_id\":\"takhfif\",\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"6121ccf1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"7f3f1df\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astrapro.jpg\",\"id\":58,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"width\":{\"unit\":\"%\",\"size\":44,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":76,\"sizes\":[]},\"image_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"63f49a14\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#282828\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"100\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"height\":\"min-height\"},\"elements\":[{\"id\":\"2e4826c5\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":25.074,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"4c117094\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":68,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/favicon.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"1f3b48f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":74.926,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"331ce172\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0631\\u0627\\u0626\\u0647 \\u0634\\u062f\\u0647 \\u062a\\u0648\\u0633\\u0637 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5294f8c5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0634\\u0627\\u0648\\u0631\\u0647 \\u0637\\u0631\\u0627\\u062d\\u06cc \\u0633\\u0627\\u06cc\\u062a \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"0f660fe\",\"elType\":\"widget\",\"settings\":{\"text\":\"0990-9365394\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-mobile-alt\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#FCFCFC\",\"background_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false},\"link\":{\"url\":\"tel:09909365394\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("566", "72", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("567", "72", "_thumbnail_id", "10");
INSERT INTO `wp_postmeta` VALUES("568", "72", "_elementor_page_settings", "a:2:{s:10:\"hide_title\";s:3:\"yes\";s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("569", "73", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("570", "73", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("571", "73", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("572", "73", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("573", "73", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("574", "73", "_elementor_data", "[{\"id\":\"3d47da92\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"bc47e13\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\"},\"elements\":[{\"id\":\"7b24fe6b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"5b81e2a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"47a97a8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648<\\/strong> \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"46fec036\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.1,\"sizes\":[]},\"editor\":\"<p style=\\\"text-align: justify;\\\">\\u0628\\u0631\\u0627\\u06cc \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u06cc\\u0646 \\u0645\\u062a\\u0646 \\u0628\\u0631 \\u0631\\u0648\\u06cc \\u062f\\u06a9\\u0645\\u0647 \\u0648\\u06cc\\u0631\\u0627\\u06cc\\u0634 \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f. \\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6e51cf6c\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0647\\u0627\",\"link\":{\"url\":\"#takhfif\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"5e5aaebf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"content_position\":\"center\"},\"elements\":[{\"id\":\"5e81c5e2\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width\":{\"unit\":\"%\",\"size\":46,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6f9eb886\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"150\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"bcfb378\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"3098e3f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u0642\\u0627\\u0644\\u0628<\\/strong> \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"59830cb0\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0631\\u0627 \\u0645\\u06cc\\u200c\\u062a\\u0648\\u0627\\u0646\\u06cc\\u062f \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0627\\u0632 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647 \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"68c7709a\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#FCEEEF\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"25\",\"isLinked\":false},\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"4e7cb11e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"d926dc7\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 \\u0686\\u0646\\u062f \\u0645\\u0646\\u0638\\u0648\\u0631\\u0647 \\u2013 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc Astra \\u060c \\u06cc\\u06a9 \\u0642\\u0627\\u0644\\u0628 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0628\\u0631\\u0627\\u06cc \\u0631\\u0627\\u0647 \\u0627\\u0646\\u062f\\u0627\\u0632\\u06cc \\u06cc\\u06a9 \\u0648\\u0628\\u0633\\u0627\\u06cc\\u062a \\u062d\\u0631\\u0641\\u0647\\u200c\\u0627\\u06cc \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0627\\u0633\\u062a. \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u0627\\u0632 \\u0633\\u0627\\u0632\\u06af\\u0627\\u0631 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u200c\\u0647\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u0648 \\u062c\\u0632 \\u0633\\u0631\\u06cc\\u0639\\u200c\\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u200c\\u0647\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0627\\u0633\\u062a!! \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u060c \\u0628\\u0637\\u0648\\u0631 \\u06a9\\u0627\\u0645\\u0644 \\u062a\\u0631\\u062c\\u0645\\u0647\\u060c \\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646 \\u0648 \\u0628\\u0648\\u0645\\u06cc \\u0634\\u062f\\u0647 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0633\\u0627\\u06cc\\u062a\\u200c\\u0647\\u0627\\u06cc \\u0627\\u06cc\\u0631\\u0627\\u0646\\u06cc\\u060c \\u0628\\u0631\\u0627\\u062d\\u062a\\u06cc \\u0642\\u0627\\u0628\\u0644 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0633\\u062a.\\u0628\\u062e\\u0634\\u200c\\u0647\\u0627\\u06cc \\u0645\\u062e\\u062a\\u0644\\u0641 \\u0642\\u0627\\u0644\\u0628 Astra \\u062e\\u06cc\\u0644\\u06cc \\u0631\\u0627\\u062d\\u062a \\u0628\\u0627 \\u0633\\u0641\\u0627\\u0631\\u0634\\u06cc \\u0633\\u0627\\u0632 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\\u060c \\u0642\\u0627\\u0628\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0648 \\u0634\\u062e\\u0635\\u06cc \\u0633\\u0627\\u0632\\u06cc \\u0627\\u0633\\u062a. \\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0627\\u062a \\u0645\\u062e\\u062a\\u0644\\u0641 \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u060c \\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u06cc\\u0639\\u0646\\u06cc \\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0647 \\u0633\\u0627\\u0632 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0642\\u0627\\u0628\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u0633\\u062a.\",\"align\":\"center\",\"title_color\":\"#101112\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"},\"align_mobile\":\"justify\",\"typography_line_height\":{\"unit\":\"px\",\"size\":42,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"4ddff111\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"40\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"72432585\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7a3633a3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0631\\u062e\\u06cc<strong style=\\\"font-weight: bold;\\\"> \\u0627\\u0632 <\\/strong> \\u0627\\u0645\\u06a9\\u0627\\u0646\\u0627\\u062a \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e715028\",\"elType\":\"section\",\"settings\":{\"structure\":\"60\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"50\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"4760962c\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"4518c74\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-spell-check\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"7ce8d54\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"60e93fe\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fab fa-elementor\",\"library\":\"fa-brands\"},\"view\":\"stacked\",\"title_text\":\"\\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631\\u067e\\u0631\\u0648 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"3c75623\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"c7be9b2\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fab fa-erlang\",\"library\":\"fa-brands\"},\"view\":\"stacked\",\"title_text\":\"\\u0641\\u0627\\u0631\\u0633\\u06cc \\u0633\\u0627\\u0632\\u06cc \\u0634\\u062f\\u0647\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"fcb9c63\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"bbc4680\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-sort-numeric-up-alt\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"b3d6f8a\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"ab25cb1\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fab fa-wordpress\",\"library\":\"fa-brands\"},\"view\":\"stacked\",\"title_text\":\"\\u0622\\u062e\\u0631\\u06cc\\u0646 \\u0648\\u0631\\u0698\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"7608217\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"fc93ef3\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-cloud-upload-alt\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0628\\u0633\\u062a\\u0647 \\u0646\\u0635\\u0628\\u06cc \\u0622\\u0633\\u0627\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"2704b328\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"66adc7cc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":37.923,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_radius_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"border_radius_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true}},\"elements\":[{\"id\":\"59b59eb3\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"907199f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":62.077,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e5012f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u067e\\u064f\\u0631\\u0641\\u0631\\u0648\\u0634 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u067e\\u0631\\u062f\\u067e\\u0631\\u0633\\u06cc\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6ad9e4f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0647\\u062a \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"67353f86\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627\\u067e\\u0631\\u0648\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"449c823e\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"76fa53ff\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"795b4470\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f<\\/strong> \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"42799af2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648 \\u0628\\u0647 \\u0647\\u0645\\u0631\\u0627\\u0647 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u067e\\u0631\\u0648 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"45da3027\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_element_id\":\"takhfif\",\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"6121ccf1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"7f3f1df\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astrapro.jpg\",\"id\":58,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"width\":{\"unit\":\"%\",\"size\":44,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":76,\"sizes\":[]},\"image_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"63f49a14\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#282828\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"100\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"height\":\"min-height\"},\"elements\":[{\"id\":\"2e4826c5\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":25.074,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"4c117094\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":68,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/favicon.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"1f3b48f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":74.926,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"331ce172\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0631\\u0627\\u0626\\u0647 \\u0634\\u062f\\u0647 \\u062a\\u0648\\u0633\\u0637 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5294f8c5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0634\\u0627\\u0648\\u0631\\u0647 \\u0637\\u0631\\u0627\\u062d\\u06cc \\u0633\\u0627\\u06cc\\u062a \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"0f660fe\",\"elType\":\"widget\",\"settings\":{\"text\":\"0990-9365394\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-mobile-alt\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#FCFCFC\",\"background_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false},\"link\":{\"url\":\"tel:09909365394\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("575", "73", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("576", "73", "_thumbnail_id", "10");
INSERT INTO `wp_postmeta` VALUES("577", "73", "_elementor_page_settings", "a:2:{s:10:\"hide_title\";s:3:\"yes\";s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("578", "74", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("579", "74", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("580", "74", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("581", "74", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("582", "74", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("583", "74", "_elementor_data", "[{\"id\":\"3d47da92\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"bc47e13\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\"},\"elements\":[{\"id\":\"7b24fe6b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"5b81e2a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"47a97a8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648<\\/strong> \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"46fec036\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.1,\"sizes\":[]},\"editor\":\"<p style=\\\"text-align: justify;\\\">\\u0628\\u0631\\u0627\\u06cc \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u06cc\\u0646 \\u0645\\u062a\\u0646 \\u0628\\u0631 \\u0631\\u0648\\u06cc \\u062f\\u06a9\\u0645\\u0647 \\u0648\\u06cc\\u0631\\u0627\\u06cc\\u0634 \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f. \\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6e51cf6c\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0647\\u0627\",\"link\":{\"url\":\"#takhfif\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"5e5aaebf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"content_position\":\"center\"},\"elements\":[{\"id\":\"5e81c5e2\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width\":{\"unit\":\"%\",\"size\":46,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6f9eb886\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"150\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"bcfb378\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"3098e3f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u0642\\u0627\\u0644\\u0628<\\/strong> \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"59830cb0\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0631\\u0627 \\u0645\\u06cc\\u200c\\u062a\\u0648\\u0627\\u0646\\u06cc\\u062f \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0627\\u0632 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647 \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"68c7709a\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#FCEEEF\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"25\",\"isLinked\":false},\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"4e7cb11e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"d926dc7\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 \\u0686\\u0646\\u062f \\u0645\\u0646\\u0638\\u0648\\u0631\\u0647 \\u2013 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc Astra \\u060c \\u06cc\\u06a9 \\u0642\\u0627\\u0644\\u0628 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0628\\u0631\\u0627\\u06cc \\u0631\\u0627\\u0647 \\u0627\\u0646\\u062f\\u0627\\u0632\\u06cc \\u06cc\\u06a9 \\u0648\\u0628\\u0633\\u0627\\u06cc\\u062a \\u062d\\u0631\\u0641\\u0647\\u200c\\u0627\\u06cc \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0627\\u0633\\u062a. \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u0627\\u0632 \\u0633\\u0627\\u0632\\u06af\\u0627\\u0631 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u200c\\u0647\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u0648 \\u062c\\u0632 \\u0633\\u0631\\u06cc\\u0639\\u200c\\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u200c\\u0647\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0627\\u0633\\u062a!! \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u060c \\u0628\\u0637\\u0648\\u0631 \\u06a9\\u0627\\u0645\\u0644 \\u062a\\u0631\\u062c\\u0645\\u0647\\u060c \\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646 \\u0648 \\u0628\\u0648\\u0645\\u06cc \\u0634\\u062f\\u0647 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0633\\u0627\\u06cc\\u062a\\u200c\\u0647\\u0627\\u06cc \\u0627\\u06cc\\u0631\\u0627\\u0646\\u06cc\\u060c \\u0628\\u0631\\u0627\\u062d\\u062a\\u06cc \\u0642\\u0627\\u0628\\u0644 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0633\\u062a.\\u0628\\u062e\\u0634\\u200c\\u0647\\u0627\\u06cc \\u0645\\u062e\\u062a\\u0644\\u0641 \\u0642\\u0627\\u0644\\u0628 Astra \\u062e\\u06cc\\u0644\\u06cc \\u0631\\u0627\\u062d\\u062a \\u0628\\u0627 \\u0633\\u0641\\u0627\\u0631\\u0634\\u06cc \\u0633\\u0627\\u0632 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\\u060c \\u0642\\u0627\\u0628\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0648 \\u0634\\u062e\\u0635\\u06cc \\u0633\\u0627\\u0632\\u06cc \\u0627\\u0633\\u062a. \\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0627\\u062a \\u0645\\u062e\\u062a\\u0644\\u0641 \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u060c \\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u06cc\\u0639\\u0646\\u06cc \\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0647 \\u0633\\u0627\\u0632 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0642\\u0627\\u0628\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u0633\\u062a.\",\"align\":\"center\",\"title_color\":\"#101112\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"},\"align_mobile\":\"justify\",\"typography_line_height\":{\"unit\":\"px\",\"size\":42,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"4ddff111\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"40\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"72432585\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7a3633a3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0631\\u062e\\u06cc<strong style=\\\"font-weight: bold;\\\"> \\u0627\\u0632 <\\/strong> \\u0627\\u0645\\u06a9\\u0627\\u0646\\u0627\\u062a \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e715028\",\"elType\":\"section\",\"settings\":{\"structure\":\"60\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"50\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"4760962c\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"4518c74\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-spell-check\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"7ce8d54\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"60e93fe\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fab fa-elementor\",\"library\":\"fa-brands\"},\"view\":\"stacked\",\"title_text\":\"\\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631\\u067e\\u0631\\u0648 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"3c75623\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"c7be9b2\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fab fa-erlang\",\"library\":\"fa-brands\"},\"view\":\"stacked\",\"title_text\":\"\\u0641\\u0627\\u0631\\u0633\\u06cc \\u0633\\u0627\\u0632\\u06cc \\u0634\\u062f\\u0647\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"fcb9c63\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"bbc4680\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-sort-numeric-up-alt\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"b3d6f8a\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"ab25cb1\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fab fa-wordpress\",\"library\":\"fa-brands\"},\"view\":\"stacked\",\"title_text\":\"\\u0622\\u062e\\u0631\\u06cc\\u0646 \\u0648\\u0631\\u0698\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"7608217\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"fc93ef3\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-cloud-upload-alt\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0628\\u0633\\u062a\\u0647 \\u0646\\u0635\\u0628\\u06cc \\u0622\\u0633\\u0627\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"2704b328\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"66adc7cc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":37.923,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_radius_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"border_radius_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"content_position\":\"center\",\"align\":\"center\"},\"elements\":[{\"id\":\"59b59eb3\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"width\":{\"unit\":\"%\",\"size\":49,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"907199f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":62.077,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e5012f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u067e\\u064f\\u0631\\u0641\\u0631\\u0648\\u0634 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u067e\\u0631\\u062f\\u067e\\u0631\\u0633\\u06cc\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6ad9e4f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0647\\u062a \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"67353f86\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627\\u067e\\u0631\\u0648\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"449c823e\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"76fa53ff\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"795b4470\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f<\\/strong> \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"42799af2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648 \\u0628\\u0647 \\u0647\\u0645\\u0631\\u0627\\u0647 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u067e\\u0631\\u0648 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"45da3027\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_element_id\":\"takhfif\",\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"6121ccf1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"7f3f1df\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astrapro.jpg\",\"id\":58,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"width\":{\"unit\":\"%\",\"size\":44,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":76,\"sizes\":[]},\"image_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"63f49a14\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#282828\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"100\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"height\":\"min-height\"},\"elements\":[{\"id\":\"2e4826c5\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":25.074,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"4c117094\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":68,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/favicon.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"1f3b48f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":74.926,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"331ce172\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0631\\u0627\\u0626\\u0647 \\u0634\\u062f\\u0647 \\u062a\\u0648\\u0633\\u0637 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5294f8c5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0634\\u0627\\u0648\\u0631\\u0647 \\u0637\\u0631\\u0627\\u062d\\u06cc \\u0633\\u0627\\u06cc\\u062a \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"0f660fe\",\"elType\":\"widget\",\"settings\":{\"text\":\"0990-9365394\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-mobile-alt\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#FCFCFC\",\"background_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false},\"link\":{\"url\":\"tel:09909365394\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("584", "74", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("585", "74", "_thumbnail_id", "10");
INSERT INTO `wp_postmeta` VALUES("586", "74", "_elementor_page_settings", "a:2:{s:10:\"hide_title\";s:3:\"yes\";s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("618", "81", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("619", "81", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("620", "81", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("621", "81", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("642", "83", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("643", "83", "_thumbnail_id", "10");
INSERT INTO `wp_postmeta` VALUES("644", "83", "_elementor_page_settings", "a:1:{s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("639", "83", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("640", "83", "_wp_page_template", "elementor_header_footer");
INSERT INTO `wp_postmeta` VALUES("641", "83", "_elementor_data", "[{\"id\":\"3d47da92\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"bc47e13\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\"},\"elements\":[{\"id\":\"7b24fe6b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"5b81e2a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"47a97a8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648<\\/strong> \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"46fec036\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.1,\"sizes\":[]},\"editor\":\"<p style=\\\"text-align: justify;\\\">\\u0628\\u0631\\u0627\\u06cc \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u06cc\\u0646 \\u0645\\u062a\\u0646 \\u0628\\u0631 \\u0631\\u0648\\u06cc \\u062f\\u06a9\\u0645\\u0647 \\u0648\\u06cc\\u0631\\u0627\\u06cc\\u0634 \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f. \\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6e51cf6c\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0647\\u0627\",\"link\":{\"url\":\"#takhfif\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"5e5aaebf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"content_position\":\"center\"},\"elements\":[{\"id\":\"5e81c5e2\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width\":{\"unit\":\"%\",\"size\":46,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6f9eb886\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"150\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"bcfb378\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"3098e3f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u0642\\u0627\\u0644\\u0628<\\/strong> \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"59830cb0\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0631\\u0627 \\u0645\\u06cc\\u200c\\u062a\\u0648\\u0627\\u0646\\u06cc\\u062f \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0627\\u0632 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647 \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"68c7709a\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#FCEEEF\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"25\",\"isLinked\":false},\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"4e7cb11e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"d926dc7\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 \\u0686\\u0646\\u062f \\u0645\\u0646\\u0638\\u0648\\u0631\\u0647 \\u2013 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc Astra \\u060c \\u06cc\\u06a9 \\u0642\\u0627\\u0644\\u0628 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0628\\u0631\\u0627\\u06cc \\u0631\\u0627\\u0647 \\u0627\\u0646\\u062f\\u0627\\u0632\\u06cc \\u06cc\\u06a9 \\u0648\\u0628\\u0633\\u0627\\u06cc\\u062a \\u062d\\u0631\\u0641\\u0647\\u200c\\u0627\\u06cc \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0627\\u0633\\u062a. \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u0627\\u0632 \\u0633\\u0627\\u0632\\u06af\\u0627\\u0631 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u200c\\u0647\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u0648 \\u062c\\u0632 \\u0633\\u0631\\u06cc\\u0639\\u200c\\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u200c\\u0647\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0627\\u0633\\u062a!! \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u060c \\u0628\\u0637\\u0648\\u0631 \\u06a9\\u0627\\u0645\\u0644 \\u062a\\u0631\\u062c\\u0645\\u0647\\u060c \\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646 \\u0648 \\u0628\\u0648\\u0645\\u06cc \\u0634\\u062f\\u0647 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0633\\u0627\\u06cc\\u062a\\u200c\\u0647\\u0627\\u06cc \\u0627\\u06cc\\u0631\\u0627\\u0646\\u06cc\\u060c \\u0628\\u0631\\u0627\\u062d\\u062a\\u06cc \\u0642\\u0627\\u0628\\u0644 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0633\\u062a.\\u0628\\u062e\\u0634\\u200c\\u0647\\u0627\\u06cc \\u0645\\u062e\\u062a\\u0644\\u0641 \\u0642\\u0627\\u0644\\u0628 Astra \\u062e\\u06cc\\u0644\\u06cc \\u0631\\u0627\\u062d\\u062a \\u0628\\u0627 \\u0633\\u0641\\u0627\\u0631\\u0634\\u06cc \\u0633\\u0627\\u0632 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\\u060c \\u0642\\u0627\\u0628\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0648 \\u0634\\u062e\\u0635\\u06cc \\u0633\\u0627\\u0632\\u06cc \\u0627\\u0633\\u062a. \\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0627\\u062a \\u0645\\u062e\\u062a\\u0644\\u0641 \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u060c \\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u06cc\\u0639\\u0646\\u06cc \\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0647 \\u0633\\u0627\\u0632 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0642\\u0627\\u0628\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u0633\\u062a.\",\"align\":\"center\",\"title_color\":\"#101112\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"},\"align_mobile\":\"justify\",\"typography_line_height\":{\"unit\":\"px\",\"size\":42,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"4ddff111\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"40\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"72432585\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7a3633a3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0631\\u062e\\u06cc<strong style=\\\"font-weight: bold;\\\"> \\u0627\\u0632 <\\/strong> \\u0627\\u0645\\u06a9\\u0627\\u0646\\u0627\\u062a \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e715028\",\"elType\":\"section\",\"settings\":{\"structure\":\"60\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"50\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"4760962c\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"4518c74\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-spell-check\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"7ce8d54\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"60e93fe\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fab fa-elementor\",\"library\":\"fa-brands\"},\"view\":\"stacked\",\"title_text\":\"\\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631\\u067e\\u0631\\u0648 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"3c75623\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"c7be9b2\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fab fa-erlang\",\"library\":\"fa-brands\"},\"view\":\"stacked\",\"title_text\":\"\\u0641\\u0627\\u0631\\u0633\\u06cc \\u0633\\u0627\\u0632\\u06cc \\u0634\\u062f\\u0647\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"fcb9c63\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"bbc4680\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-sort-numeric-up-alt\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"b3d6f8a\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"ab25cb1\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fab fa-wordpress\",\"library\":\"fa-brands\"},\"view\":\"stacked\",\"title_text\":\"\\u0622\\u062e\\u0631\\u06cc\\u0646 \\u0648\\u0631\\u0698\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"7608217\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"fc93ef3\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-cloud-upload-alt\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0628\\u0633\\u062a\\u0647 \\u0646\\u0635\\u0628\\u06cc \\u0622\\u0633\\u0627\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"2704b328\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"66adc7cc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":37.923,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_radius_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"border_radius_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"content_position\":\"center\",\"align\":\"center\"},\"elements\":[{\"id\":\"59b59eb3\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"width\":{\"unit\":\"%\",\"size\":49,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"907199f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":62.077,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e5012f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u067e\\u064f\\u0631\\u0641\\u0631\\u0648\\u0634 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u067e\\u0631\\u062f\\u067e\\u0631\\u0633\\u06cc\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6ad9e4f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0647\\u062a \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"67353f86\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627\\u067e\\u0631\\u0648\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"449c823e\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"76fa53ff\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"795b4470\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f<\\/strong> \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"42799af2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648 \\u0628\\u0647 \\u0647\\u0645\\u0631\\u0627\\u0647 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u067e\\u0631\\u0648 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"45da3027\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_element_id\":\"takhfif\",\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"6121ccf1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"7f3f1df\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astrapro.jpg\",\"id\":58,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"width\":{\"unit\":\"%\",\"size\":44,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":76,\"sizes\":[]},\"image_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"63f49a14\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#282828\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"100\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"height\":\"min-height\"},\"elements\":[{\"id\":\"2e4826c5\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":25.074,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"4c117094\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":68,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/favicon.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"1f3b48f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":74.926,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"331ce172\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0631\\u0627\\u0626\\u0647 \\u0634\\u062f\\u0647 \\u062a\\u0648\\u0633\\u0637 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5294f8c5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0634\\u0627\\u0648\\u0631\\u0647 \\u0637\\u0631\\u0627\\u062d\\u06cc \\u0633\\u0627\\u06cc\\u062a \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"0f660fe\",\"elType\":\"widget\",\"settings\":{\"text\":\"0990-9365394\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-mobile-alt\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#FCFCFC\",\"background_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false},\"link\":{\"url\":\"tel:09909365394\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("686", "88", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("636", "83", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("637", "83", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("638", "83", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("622", "81", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("623", "81", "_elementor_data", "[{\"id\":\"3d47da92\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"bc47e13\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\"},\"elements\":[{\"id\":\"7b24fe6b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"5b81e2a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"47a97a8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648<\\/strong> \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"46fec036\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.1,\"sizes\":[]},\"editor\":\"<p style=\\\"text-align: justify;\\\">\\u0628\\u0631\\u0627\\u06cc \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u06cc\\u0646 \\u0645\\u062a\\u0646 \\u0628\\u0631 \\u0631\\u0648\\u06cc \\u062f\\u06a9\\u0645\\u0647 \\u0648\\u06cc\\u0631\\u0627\\u06cc\\u0634 \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f. \\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6e51cf6c\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0647\\u0627\",\"link\":{\"url\":\"#takhfif\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"5e5aaebf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"content_position\":\"center\"},\"elements\":[{\"id\":\"5e81c5e2\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width\":{\"unit\":\"%\",\"size\":46,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6f9eb886\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"150\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"bcfb378\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"3098e3f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u0642\\u0627\\u0644\\u0628<\\/strong> \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"59830cb0\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0631\\u0627 \\u0645\\u06cc\\u200c\\u062a\\u0648\\u0627\\u0646\\u06cc\\u062f \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0627\\u0632 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647 \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"68c7709a\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#FCEEEF\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"25\",\"isLinked\":false},\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"4e7cb11e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"d926dc7\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 \\u0686\\u0646\\u062f \\u0645\\u0646\\u0638\\u0648\\u0631\\u0647 \\u2013 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc Astra \\u060c \\u06cc\\u06a9 \\u0642\\u0627\\u0644\\u0628 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0628\\u0631\\u0627\\u06cc \\u0631\\u0627\\u0647 \\u0627\\u0646\\u062f\\u0627\\u0632\\u06cc \\u06cc\\u06a9 \\u0648\\u0628\\u0633\\u0627\\u06cc\\u062a \\u062d\\u0631\\u0641\\u0647\\u200c\\u0627\\u06cc \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0627\\u0633\\u062a. \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u0627\\u0632 \\u0633\\u0627\\u0632\\u06af\\u0627\\u0631 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u200c\\u0647\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u0648 \\u062c\\u0632 \\u0633\\u0631\\u06cc\\u0639\\u200c\\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u200c\\u0647\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0627\\u0633\\u062a!! \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u060c \\u0628\\u0637\\u0648\\u0631 \\u06a9\\u0627\\u0645\\u0644 \\u062a\\u0631\\u062c\\u0645\\u0647\\u060c \\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646 \\u0648 \\u0628\\u0648\\u0645\\u06cc \\u0634\\u062f\\u0647 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0633\\u0627\\u06cc\\u062a\\u200c\\u0647\\u0627\\u06cc \\u0627\\u06cc\\u0631\\u0627\\u0646\\u06cc\\u060c \\u0628\\u0631\\u0627\\u062d\\u062a\\u06cc \\u0642\\u0627\\u0628\\u0644 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0633\\u062a.\\u0628\\u062e\\u0634\\u200c\\u0647\\u0627\\u06cc \\u0645\\u062e\\u062a\\u0644\\u0641 \\u0642\\u0627\\u0644\\u0628 Astra \\u062e\\u06cc\\u0644\\u06cc \\u0631\\u0627\\u062d\\u062a \\u0628\\u0627 \\u0633\\u0641\\u0627\\u0631\\u0634\\u06cc \\u0633\\u0627\\u0632 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\\u060c \\u0642\\u0627\\u0628\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0648 \\u0634\\u062e\\u0635\\u06cc \\u0633\\u0627\\u0632\\u06cc \\u0627\\u0633\\u062a. \\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0627\\u062a \\u0645\\u062e\\u062a\\u0644\\u0641 \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u060c \\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u06cc\\u0639\\u0646\\u06cc \\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0647 \\u0633\\u0627\\u0632 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0642\\u0627\\u0628\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u0633\\u062a.\",\"align\":\"center\",\"title_color\":\"#101112\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"},\"align_mobile\":\"justify\",\"typography_line_height\":{\"unit\":\"px\",\"size\":42,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"4ddff111\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"40\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"72432585\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7a3633a3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0631\\u062e\\u06cc<strong style=\\\"font-weight: bold;\\\"> \\u0627\\u0632 <\\/strong> \\u0627\\u0645\\u06a9\\u0627\\u0646\\u0627\\u062a \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e715028\",\"elType\":\"section\",\"settings\":{\"structure\":\"60\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"50\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"4760962c\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"4518c74\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-spell-check\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"7ce8d54\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"60e93fe\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fab fa-elementor\",\"library\":\"fa-brands\"},\"view\":\"stacked\",\"title_text\":\"\\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631\\u067e\\u0631\\u0648 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"3c75623\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"c7be9b2\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fab fa-erlang\",\"library\":\"fa-brands\"},\"view\":\"stacked\",\"title_text\":\"\\u0641\\u0627\\u0631\\u0633\\u06cc \\u0633\\u0627\\u0632\\u06cc \\u0634\\u062f\\u0647\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"fcb9c63\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"bbc4680\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-sort-numeric-up-alt\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"b3d6f8a\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"ab25cb1\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fab fa-wordpress\",\"library\":\"fa-brands\"},\"view\":\"stacked\",\"title_text\":\"\\u0622\\u062e\\u0631\\u06cc\\u0646 \\u0648\\u0631\\u0698\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"7608217\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"fc93ef3\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-cloud-upload-alt\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0628\\u0633\\u062a\\u0647 \\u0646\\u0635\\u0628\\u06cc \\u0622\\u0633\\u0627\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"2704b328\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"66adc7cc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":37.923,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_radius_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"border_radius_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"content_position\":\"center\",\"align\":\"center\"},\"elements\":[{\"id\":\"59b59eb3\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"width\":{\"unit\":\"%\",\"size\":49,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"907199f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":62.077,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e5012f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u067e\\u064f\\u0631\\u0641\\u0631\\u0648\\u0634 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u067e\\u0631\\u062f\\u067e\\u0631\\u0633\\u06cc\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6ad9e4f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0647\\u062a \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"67353f86\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627\\u067e\\u0631\\u0648\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"449c823e\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"76fa53ff\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"795b4470\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f<\\/strong> \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"42799af2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648 \\u0628\\u0647 \\u0647\\u0645\\u0631\\u0627\\u0647 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u067e\\u0631\\u0648 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"45da3027\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_element_id\":\"takhfif\",\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"6121ccf1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"7f3f1df\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astrapro.jpg\",\"id\":58,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"width\":{\"unit\":\"%\",\"size\":44,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":76,\"sizes\":[]},\"image_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"63f49a14\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#282828\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"100\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"height\":\"min-height\"},\"elements\":[{\"id\":\"2e4826c5\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":25.074,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"4c117094\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":68,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/favicon.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"1f3b48f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":74.926,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"331ce172\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0631\\u0627\\u0626\\u0647 \\u0634\\u062f\\u0647 \\u062a\\u0648\\u0633\\u0637 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5294f8c5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0634\\u0627\\u0648\\u0631\\u0647 \\u0637\\u0631\\u0627\\u062d\\u06cc \\u0633\\u0627\\u06cc\\u062a \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"0f660fe\",\"elType\":\"widget\",\"settings\":{\"text\":\"0990-9365394\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-mobile-alt\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#FCFCFC\",\"background_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false},\"link\":{\"url\":\"tel:09909365394\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("624", "81", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("625", "81", "_thumbnail_id", "10");
INSERT INTO `wp_postmeta` VALUES("626", "81", "_elementor_page_settings", "a:2:{s:10:\"hide_title\";s:3:\"yes\";s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("627", "82", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("628", "82", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("629", "82", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("630", "82", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("631", "82", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("632", "82", "_elementor_data", "[{\"id\":\"3d47da92\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"bc47e13\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\"},\"elements\":[{\"id\":\"7b24fe6b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"5b81e2a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"47a97a8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648<\\/strong> \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"46fec036\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.1,\"sizes\":[]},\"editor\":\"<p style=\\\"text-align: justify;\\\">\\u0628\\u0631\\u0627\\u06cc \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u06cc\\u0646 \\u0645\\u062a\\u0646 \\u0628\\u0631 \\u0631\\u0648\\u06cc \\u062f\\u06a9\\u0645\\u0647 \\u0648\\u06cc\\u0631\\u0627\\u06cc\\u0634 \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f. \\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6e51cf6c\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0647\\u0627\",\"link\":{\"url\":\"#takhfif\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"5e5aaebf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"content_position\":\"center\"},\"elements\":[{\"id\":\"5e81c5e2\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width\":{\"unit\":\"%\",\"size\":46,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6f9eb886\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"150\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"bcfb378\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"3098e3f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u0642\\u0627\\u0644\\u0628<\\/strong> \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"59830cb0\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0631\\u0627 \\u0645\\u06cc\\u200c\\u062a\\u0648\\u0627\\u0646\\u06cc\\u062f \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0627\\u0632 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647 \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"68c7709a\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#FCEEEF\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"25\",\"isLinked\":false},\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"4e7cb11e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"d926dc7\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 \\u0686\\u0646\\u062f \\u0645\\u0646\\u0638\\u0648\\u0631\\u0647 \\u2013 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc Astra \\u060c \\u06cc\\u06a9 \\u0642\\u0627\\u0644\\u0628 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0628\\u0631\\u0627\\u06cc \\u0631\\u0627\\u0647 \\u0627\\u0646\\u062f\\u0627\\u0632\\u06cc \\u06cc\\u06a9 \\u0648\\u0628\\u0633\\u0627\\u06cc\\u062a \\u062d\\u0631\\u0641\\u0647\\u200c\\u0627\\u06cc \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0627\\u0633\\u062a. \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u0627\\u0632 \\u0633\\u0627\\u0632\\u06af\\u0627\\u0631 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u200c\\u0647\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u0648 \\u062c\\u0632 \\u0633\\u0631\\u06cc\\u0639\\u200c\\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u200c\\u0647\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0627\\u0633\\u062a!! \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u060c \\u0628\\u0637\\u0648\\u0631 \\u06a9\\u0627\\u0645\\u0644 \\u062a\\u0631\\u062c\\u0645\\u0647\\u060c \\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646 \\u0648 \\u0628\\u0648\\u0645\\u06cc \\u0634\\u062f\\u0647 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0633\\u0627\\u06cc\\u062a\\u200c\\u0647\\u0627\\u06cc \\u0627\\u06cc\\u0631\\u0627\\u0646\\u06cc\\u060c \\u0628\\u0631\\u0627\\u062d\\u062a\\u06cc \\u0642\\u0627\\u0628\\u0644 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0633\\u062a.\\u0628\\u062e\\u0634\\u200c\\u0647\\u0627\\u06cc \\u0645\\u062e\\u062a\\u0644\\u0641 \\u0642\\u0627\\u0644\\u0628 Astra \\u062e\\u06cc\\u0644\\u06cc \\u0631\\u0627\\u062d\\u062a \\u0628\\u0627 \\u0633\\u0641\\u0627\\u0631\\u0634\\u06cc \\u0633\\u0627\\u0632 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\\u060c \\u0642\\u0627\\u0628\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0648 \\u0634\\u062e\\u0635\\u06cc \\u0633\\u0627\\u0632\\u06cc \\u0627\\u0633\\u062a. \\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0627\\u062a \\u0645\\u062e\\u062a\\u0644\\u0641 \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u060c \\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u06cc\\u0639\\u0646\\u06cc \\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0647 \\u0633\\u0627\\u0632 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0642\\u0627\\u0628\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u0633\\u062a.\",\"align\":\"center\",\"title_color\":\"#101112\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"},\"align_mobile\":\"justify\",\"typography_line_height\":{\"unit\":\"px\",\"size\":42,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"4ddff111\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"40\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"72432585\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7a3633a3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0631\\u062e\\u06cc<strong style=\\\"font-weight: bold;\\\"> \\u0627\\u0632 <\\/strong> \\u0627\\u0645\\u06a9\\u0627\\u0646\\u0627\\u062a \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e715028\",\"elType\":\"section\",\"settings\":{\"structure\":\"60\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"50\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"4760962c\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"4518c74\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-spell-check\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"7ce8d54\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"60e93fe\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fab fa-elementor\",\"library\":\"fa-brands\"},\"view\":\"stacked\",\"title_text\":\"\\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631\\u067e\\u0631\\u0648 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"3c75623\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"c7be9b2\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fab fa-erlang\",\"library\":\"fa-brands\"},\"view\":\"stacked\",\"title_text\":\"\\u0641\\u0627\\u0631\\u0633\\u06cc \\u0633\\u0627\\u0632\\u06cc \\u0634\\u062f\\u0647\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"fcb9c63\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"bbc4680\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-sort-numeric-up-alt\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"b3d6f8a\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"ab25cb1\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fab fa-wordpress\",\"library\":\"fa-brands\"},\"view\":\"stacked\",\"title_text\":\"\\u0622\\u062e\\u0631\\u06cc\\u0646 \\u0648\\u0631\\u0698\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"7608217\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"fc93ef3\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-cloud-upload-alt\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0628\\u0633\\u062a\\u0647 \\u0646\\u0635\\u0628\\u06cc \\u0622\\u0633\\u0627\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"2704b328\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"66adc7cc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":37.923,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_radius_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"border_radius_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"content_position\":\"center\",\"align\":\"center\"},\"elements\":[{\"id\":\"59b59eb3\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"width\":{\"unit\":\"%\",\"size\":49,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"907199f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":62.077,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e5012f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u067e\\u064f\\u0631\\u0641\\u0631\\u0648\\u0634 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u067e\\u0631\\u062f\\u067e\\u0631\\u0633\\u06cc\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6ad9e4f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0647\\u062a \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"67353f86\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627\\u067e\\u0631\\u0648\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"449c823e\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"76fa53ff\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"795b4470\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f<\\/strong> \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"42799af2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648 \\u0628\\u0647 \\u0647\\u0645\\u0631\\u0627\\u0647 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u067e\\u0631\\u0648 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"45da3027\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_element_id\":\"takhfif\",\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"6121ccf1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"7f3f1df\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astrapro.jpg\",\"id\":58,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"width\":{\"unit\":\"%\",\"size\":44,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":76,\"sizes\":[]},\"image_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"63f49a14\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#282828\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"100\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"height\":\"min-height\"},\"elements\":[{\"id\":\"2e4826c5\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":25.074,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"4c117094\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":68,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/favicon.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"1f3b48f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":74.926,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"331ce172\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0631\\u0627\\u0626\\u0647 \\u0634\\u062f\\u0647 \\u062a\\u0648\\u0633\\u0637 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5294f8c5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0634\\u0627\\u0648\\u0631\\u0647 \\u0637\\u0631\\u0627\\u062d\\u06cc \\u0633\\u0627\\u06cc\\u062a \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"0f660fe\",\"elType\":\"widget\",\"settings\":{\"text\":\"0990-9365394\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-mobile-alt\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#FCFCFC\",\"background_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false},\"link\":{\"url\":\"tel:09909365394\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("633", "82", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("634", "82", "_thumbnail_id", "10");
INSERT INTO `wp_postmeta` VALUES("635", "82", "_elementor_page_settings", "a:2:{s:10:\"hide_title\";s:3:\"yes\";s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("692", "88", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("693", "88", "_thumbnail_id", "10");
INSERT INTO `wp_postmeta` VALUES("694", "88", "_elementor_page_settings", "a:1:{s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("690", "88", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("691", "88", "_elementor_data", "[{\"id\":\"3d47da92\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"bc47e13\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\"},\"elements\":[{\"id\":\"7b24fe6b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"5b81e2a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"47a97a8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648<\\/strong> \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"46fec036\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.1,\"sizes\":[]},\"editor\":\"<p style=\\\"text-align: justify;\\\">\\u0628\\u0631\\u0627\\u06cc \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u06cc\\u0646 \\u0645\\u062a\\u0646 \\u0628\\u0631 \\u0631\\u0648\\u06cc \\u062f\\u06a9\\u0645\\u0647 \\u0648\\u06cc\\u0631\\u0627\\u06cc\\u0634 \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f. \\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6e51cf6c\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0647\\u0627\",\"link\":{\"url\":\"#takhfif\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"5e5aaebf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"content_position\":\"center\"},\"elements\":[{\"id\":\"5e81c5e2\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width\":{\"unit\":\"%\",\"size\":46,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6f9eb886\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"150\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"bcfb378\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"3098e3f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u0642\\u0627\\u0644\\u0628<\\/strong> \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"59830cb0\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0631\\u0627 \\u0645\\u06cc\\u200c\\u062a\\u0648\\u0627\\u0646\\u06cc\\u062f \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0627\\u0632 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647 \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"68c7709a\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#FCEEEF\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"25\",\"isLinked\":false},\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"4e7cb11e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"d926dc7\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 \\u0686\\u0646\\u062f \\u0645\\u0646\\u0638\\u0648\\u0631\\u0647 \\u2013 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc Astra \\u060c \\u06cc\\u06a9 \\u0642\\u0627\\u0644\\u0628 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0628\\u0631\\u0627\\u06cc \\u0631\\u0627\\u0647 \\u0627\\u0646\\u062f\\u0627\\u0632\\u06cc \\u06cc\\u06a9 \\u0648\\u0628\\u0633\\u0627\\u06cc\\u062a \\u062d\\u0631\\u0641\\u0647\\u200c\\u0627\\u06cc \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0627\\u0633\\u062a. \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u0627\\u0632 \\u0633\\u0627\\u0632\\u06af\\u0627\\u0631 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u200c\\u0647\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u0648 \\u062c\\u0632 \\u0633\\u0631\\u06cc\\u0639\\u200c\\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u200c\\u0647\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0627\\u0633\\u062a!! \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u060c \\u0628\\u0637\\u0648\\u0631 \\u06a9\\u0627\\u0645\\u0644 \\u062a\\u0631\\u062c\\u0645\\u0647\\u060c \\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646 \\u0648 \\u0628\\u0648\\u0645\\u06cc \\u0634\\u062f\\u0647 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0633\\u0627\\u06cc\\u062a\\u200c\\u0647\\u0627\\u06cc \\u0627\\u06cc\\u0631\\u0627\\u0646\\u06cc\\u060c \\u0628\\u0631\\u0627\\u062d\\u062a\\u06cc \\u0642\\u0627\\u0628\\u0644 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0633\\u062a.\\u0628\\u062e\\u0634\\u200c\\u0647\\u0627\\u06cc \\u0645\\u062e\\u062a\\u0644\\u0641 \\u0642\\u0627\\u0644\\u0628 Astra \\u062e\\u06cc\\u0644\\u06cc \\u0631\\u0627\\u062d\\u062a \\u0628\\u0627 \\u0633\\u0641\\u0627\\u0631\\u0634\\u06cc \\u0633\\u0627\\u0632 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\\u060c \\u0642\\u0627\\u0628\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0648 \\u0634\\u062e\\u0635\\u06cc \\u0633\\u0627\\u0632\\u06cc \\u0627\\u0633\\u062a. \\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0627\\u062a \\u0645\\u062e\\u062a\\u0644\\u0641 \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u060c \\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u06cc\\u0639\\u0646\\u06cc \\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0647 \\u0633\\u0627\\u0632 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0642\\u0627\\u0628\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u0633\\u062a.\",\"align\":\"center\",\"title_color\":\"#101112\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"},\"align_mobile\":\"justify\",\"typography_line_height\":{\"unit\":\"px\",\"size\":42,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"4ddff111\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"40\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"72432585\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7a3633a3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0631\\u062e\\u06cc<strong style=\\\"font-weight: bold;\\\"> \\u0627\\u0632 <\\/strong> \\u0627\\u0645\\u06a9\\u0627\\u0646\\u0627\\u062a \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e715028\",\"elType\":\"section\",\"settings\":{\"structure\":\"60\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"50\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"4760962c\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"4518c74\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-spell-check\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"7ce8d54\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"60e93fe\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fab fa-elementor\",\"library\":\"fa-brands\"},\"view\":\"stacked\",\"title_text\":\"\\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631\\u067e\\u0631\\u0648 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"3c75623\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"c7be9b2\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fab fa-erlang\",\"library\":\"fa-brands\"},\"view\":\"stacked\",\"title_text\":\"\\u0641\\u0627\\u0631\\u0633\\u06cc \\u0633\\u0627\\u0632\\u06cc \\u0634\\u062f\\u0647\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"fcb9c63\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"bbc4680\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-sort-numeric-up-alt\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"b3d6f8a\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"ab25cb1\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fab fa-wordpress\",\"library\":\"fa-brands\"},\"view\":\"stacked\",\"title_text\":\"\\u0622\\u062e\\u0631\\u06cc\\u0646 \\u0648\\u0631\\u0698\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"7608217\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"fc93ef3\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-cloud-upload-alt\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0628\\u0633\\u062a\\u0647 \\u0646\\u0635\\u0628\\u06cc \\u0622\\u0633\\u0627\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"2704b328\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"66adc7cc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":37.923,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_radius_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"border_radius_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"content_position\":\"center\",\"align\":\"center\"},\"elements\":[{\"id\":\"59b59eb3\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"width\":{\"unit\":\"%\",\"size\":49,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"907199f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":62.077,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e5012f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u067e\\u064f\\u0631\\u0641\\u0631\\u0648\\u0634 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u067e\\u0631\\u062f\\u067e\\u0631\\u0633\\u06cc\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6ad9e4f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0647\\u062a \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"67353f86\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627\\u067e\\u0631\\u0648\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"449c823e\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"76fa53ff\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"795b4470\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f<\\/strong> \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"42799af2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648 \\u0628\\u0647 \\u0647\\u0645\\u0631\\u0627\\u0647 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u067e\\u0631\\u0648 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"45da3027\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_element_id\":\"takhfif\",\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"6121ccf1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"7f3f1df\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astrapro.jpg\",\"id\":58,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"width\":{\"unit\":\"%\",\"size\":44,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":76,\"sizes\":[]},\"image_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"63f49a14\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#282828\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"100\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"height\":\"min-height\"},\"elements\":[{\"id\":\"2e4826c5\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":25.074,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"4c117094\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":68,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/favicon.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"1f3b48f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":74.926,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"331ce172\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0631\\u0627\\u0626\\u0647 \\u0634\\u062f\\u0647 \\u062a\\u0648\\u0633\\u0637 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5294f8c5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0634\\u0627\\u0648\\u0631\\u0647 \\u0637\\u0631\\u0627\\u062d\\u06cc \\u0633\\u0627\\u06cc\\u062a \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"0f660fe\",\"elType\":\"widget\",\"settings\":{\"text\":\"0990-9365394\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-mobile-alt\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#FCFCFC\",\"background_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false},\"link\":{\"url\":\"tel:09909365394\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("687", "88", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("688", "88", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("689", "88", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("947", "124", "_elementor_data", "[{\"id\":\"3e09cfa2\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"20\",\"right\":0,\"bottom\":\"20\",\"left\":0,\"isLinked\":true},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"20\",\"left\":0,\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"sticky\":\"top\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFFDB\"},\"elements\":[{\"id\":\"658dbfa1\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"_inline_size_mobile\":15,\"content_position\":\"center\",\"align\":\"center\"},\"elements\":[{\"id\":\"e08b741\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"id\":10,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"align\":\"right\",\"link_to\":\"custom\",\"width\":{\"unit\":\"%\",\"size\":13,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"__dynamic__\":{\"link\":\"[elementor-tag id=\\\"5040146\\\" name=\\\"site-url\\\" settings=\\\"%7B%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"1fdcfb86\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"_inline_size_mobile\":85},\"elements\":[{\"id\":\"504b8edb\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-github\",\"library\":\"fa-brands\"},\"_id\":\"c76eae1\",\"link\":{\"url\":\"elmineh.com\\/site\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"_id\":\"90fbc25\",\"link\":{\"url\":\"https:\\/\\/www.google.com\\/url?sa=t&rct=j&q=&esrc=s&source=web&cd=&ved=2ahUKEwiTtKy89pGAAxW-R_EDHcctDd8QFnoECBEQAQ&url=https%3A%2F%2Ftwitter.com%2Fomidqodsi%3Flang%3Dhu&usg=AOvVaw2Bk0ovKmFPi4BjsMu_7XN0&opi=89978449\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"social_icon\":{\"value\":\"fab fa-telegram\",\"library\":\"fa-brands\"},\"_id\":\"e193c8e\",\"link\":{\"url\":\"https:\\/\\/t.me\\/elminehshop\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"adfbcc5\",\"link\":{\"url\":\"http:\\/\\/instagram.com\\/elmineh_shop\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"social_icon\":{\"value\":\"fab fa-youtube\",\"library\":\"fa-brands\"},\"_id\":\"b79d4c6\",\"link\":{\"url\":\"https:\\/\\/www.youtube.com\\/@Elmineh\\/\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"}}],\"align\":\"left\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#EEEEEE\",\"icon_secondary_color\":\"#282828\",\"icon_size\":{\"unit\":\"px\",\"size\":19,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("668", "86", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("669", "86", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("670", "86", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("671", "86", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("672", "86", "_wp_page_template", "elementor_header_footer");
INSERT INTO `wp_postmeta` VALUES("673", "86", "_elementor_data", "[{\"id\":\"3d47da92\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"bc47e13\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\"},\"elements\":[{\"id\":\"7b24fe6b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"5b81e2a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"47a97a8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648<\\/strong> \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"46fec036\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.1,\"sizes\":[]},\"editor\":\"<p style=\\\"text-align: justify;\\\">\\u0628\\u0631\\u0627\\u06cc \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u06cc\\u0646 \\u0645\\u062a\\u0646 \\u0628\\u0631 \\u0631\\u0648\\u06cc \\u062f\\u06a9\\u0645\\u0647 \\u0648\\u06cc\\u0631\\u0627\\u06cc\\u0634 \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f. \\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6e51cf6c\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0647\\u0627\",\"link\":{\"url\":\"#takhfif\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"5e5aaebf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"content_position\":\"center\"},\"elements\":[{\"id\":\"5e81c5e2\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width\":{\"unit\":\"%\",\"size\":46,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6f9eb886\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"150\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"bcfb378\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"3098e3f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u0642\\u0627\\u0644\\u0628<\\/strong> \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"59830cb0\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0631\\u0627 \\u0645\\u06cc\\u200c\\u062a\\u0648\\u0627\\u0646\\u06cc\\u062f \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0627\\u0632 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647 \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"68c7709a\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#FCEEEF\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"25\",\"isLinked\":false},\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"4e7cb11e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"d926dc7\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 \\u0686\\u0646\\u062f \\u0645\\u0646\\u0638\\u0648\\u0631\\u0647 \\u2013 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc Astra \\u060c \\u06cc\\u06a9 \\u0642\\u0627\\u0644\\u0628 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0628\\u0631\\u0627\\u06cc \\u0631\\u0627\\u0647 \\u0627\\u0646\\u062f\\u0627\\u0632\\u06cc \\u06cc\\u06a9 \\u0648\\u0628\\u0633\\u0627\\u06cc\\u062a \\u062d\\u0631\\u0641\\u0647\\u200c\\u0627\\u06cc \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0627\\u0633\\u062a. \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u0627\\u0632 \\u0633\\u0627\\u0632\\u06af\\u0627\\u0631 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u200c\\u0647\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u0648 \\u062c\\u0632 \\u0633\\u0631\\u06cc\\u0639\\u200c\\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u200c\\u0647\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0627\\u0633\\u062a!! \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u060c \\u0628\\u0637\\u0648\\u0631 \\u06a9\\u0627\\u0645\\u0644 \\u062a\\u0631\\u062c\\u0645\\u0647\\u060c \\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646 \\u0648 \\u0628\\u0648\\u0645\\u06cc \\u0634\\u062f\\u0647 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0633\\u0627\\u06cc\\u062a\\u200c\\u0647\\u0627\\u06cc \\u0627\\u06cc\\u0631\\u0627\\u0646\\u06cc\\u060c \\u0628\\u0631\\u0627\\u062d\\u062a\\u06cc \\u0642\\u0627\\u0628\\u0644 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0633\\u062a.\\u0628\\u062e\\u0634\\u200c\\u0647\\u0627\\u06cc \\u0645\\u062e\\u062a\\u0644\\u0641 \\u0642\\u0627\\u0644\\u0628 Astra \\u062e\\u06cc\\u0644\\u06cc \\u0631\\u0627\\u062d\\u062a \\u0628\\u0627 \\u0633\\u0641\\u0627\\u0631\\u0634\\u06cc \\u0633\\u0627\\u0632 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\\u060c \\u0642\\u0627\\u0628\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0648 \\u0634\\u062e\\u0635\\u06cc \\u0633\\u0627\\u0632\\u06cc \\u0627\\u0633\\u062a. \\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0627\\u062a \\u0645\\u062e\\u062a\\u0644\\u0641 \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u060c \\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u06cc\\u0639\\u0646\\u06cc \\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0647 \\u0633\\u0627\\u0632 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0642\\u0627\\u0628\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u0633\\u062a.\",\"align\":\"center\",\"title_color\":\"#101112\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"},\"align_mobile\":\"justify\",\"typography_line_height\":{\"unit\":\"px\",\"size\":42,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"4ddff111\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"40\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"72432585\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7a3633a3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0631\\u062e\\u06cc<strong style=\\\"font-weight: bold;\\\"> \\u0627\\u0632 <\\/strong> \\u0627\\u0645\\u06a9\\u0627\\u0646\\u0627\\u062a \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e715028\",\"elType\":\"section\",\"settings\":{\"structure\":\"60\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"50\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"4760962c\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"4518c74\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-spell-check\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"7ce8d54\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"60e93fe\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fab fa-elementor\",\"library\":\"fa-brands\"},\"view\":\"stacked\",\"title_text\":\"\\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631\\u067e\\u0631\\u0648 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"3c75623\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"c7be9b2\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fab fa-erlang\",\"library\":\"fa-brands\"},\"view\":\"stacked\",\"title_text\":\"\\u0641\\u0627\\u0631\\u0633\\u06cc \\u0633\\u0627\\u0632\\u06cc \\u0634\\u062f\\u0647\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"fcb9c63\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"bbc4680\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-sort-numeric-up-alt\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"b3d6f8a\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"ab25cb1\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fab fa-wordpress\",\"library\":\"fa-brands\"},\"view\":\"stacked\",\"title_text\":\"\\u0622\\u062e\\u0631\\u06cc\\u0646 \\u0648\\u0631\\u0698\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"7608217\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"fc93ef3\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-cloud-upload-alt\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0628\\u0633\\u062a\\u0647 \\u0646\\u0635\\u0628\\u06cc \\u0622\\u0633\\u0627\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"2704b328\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"66adc7cc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":37.923,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_radius_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"border_radius_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"content_position\":\"center\",\"align\":\"center\"},\"elements\":[{\"id\":\"59b59eb3\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"width\":{\"unit\":\"%\",\"size\":49,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"907199f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":62.077,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e5012f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u067e\\u064f\\u0631\\u0641\\u0631\\u0648\\u0634 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u067e\\u0631\\u062f\\u067e\\u0631\\u0633\\u06cc\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6ad9e4f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0647\\u062a \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"67353f86\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627\\u067e\\u0631\\u0648\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"449c823e\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"76fa53ff\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"795b4470\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f<\\/strong> \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"42799af2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648 \\u0628\\u0647 \\u0647\\u0645\\u0631\\u0627\\u0647 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u067e\\u0631\\u0648 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"45da3027\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_element_id\":\"takhfif\",\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"6121ccf1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"7f3f1df\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astrapro.jpg\",\"id\":58,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"width\":{\"unit\":\"%\",\"size\":44,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":76,\"sizes\":[]},\"image_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"63f49a14\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#282828\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"100\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"height\":\"min-height\"},\"elements\":[{\"id\":\"2e4826c5\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":25.074,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"4c117094\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":68,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/favicon.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"1f3b48f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":74.926,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"331ce172\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0631\\u0627\\u0626\\u0647 \\u0634\\u062f\\u0647 \\u062a\\u0648\\u0633\\u0637 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5294f8c5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0634\\u0627\\u0648\\u0631\\u0647 \\u0637\\u0631\\u0627\\u062d\\u06cc \\u0633\\u0627\\u06cc\\u062a \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"0f660fe\",\"elType\":\"widget\",\"settings\":{\"text\":\"0990-9365394\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-mobile-alt\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#FCFCFC\",\"background_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false},\"link\":{\"url\":\"tel:09909365394\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("674", "86", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("675", "86", "_thumbnail_id", "10");
INSERT INTO `wp_postmeta` VALUES("676", "86", "_elementor_page_settings", "a:1:{s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("677", "87", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("678", "87", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("679", "87", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("680", "87", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("681", "87", "_wp_page_template", "elementor_header_footer");
INSERT INTO `wp_postmeta` VALUES("682", "87", "_elementor_data", "[{\"id\":\"3d47da92\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"bc47e13\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\"},\"elements\":[{\"id\":\"7b24fe6b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"5b81e2a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"47a97a8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648<\\/strong> \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"46fec036\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.1,\"sizes\":[]},\"editor\":\"<p style=\\\"text-align: justify;\\\">\\u0628\\u0631\\u0627\\u06cc \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u06cc\\u0646 \\u0645\\u062a\\u0646 \\u0628\\u0631 \\u0631\\u0648\\u06cc \\u062f\\u06a9\\u0645\\u0647 \\u0648\\u06cc\\u0631\\u0627\\u06cc\\u0634 \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f. \\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6e51cf6c\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0647\\u0627\",\"link\":{\"url\":\"#takhfif\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"5e5aaebf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"content_position\":\"center\"},\"elements\":[{\"id\":\"5e81c5e2\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width\":{\"unit\":\"%\",\"size\":46,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6f9eb886\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"150\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"bcfb378\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"3098e3f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u0642\\u0627\\u0644\\u0628<\\/strong> \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"59830cb0\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0631\\u0627 \\u0645\\u06cc\\u200c\\u062a\\u0648\\u0627\\u0646\\u06cc\\u062f \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0627\\u0632 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647 \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"68c7709a\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#FCEEEF\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"25\",\"isLinked\":false},\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"4e7cb11e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"d926dc7\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 \\u0686\\u0646\\u062f \\u0645\\u0646\\u0638\\u0648\\u0631\\u0647 \\u2013 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc Astra \\u060c \\u06cc\\u06a9 \\u0642\\u0627\\u0644\\u0628 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0628\\u0631\\u0627\\u06cc \\u0631\\u0627\\u0647 \\u0627\\u0646\\u062f\\u0627\\u0632\\u06cc \\u06cc\\u06a9 \\u0648\\u0628\\u0633\\u0627\\u06cc\\u062a \\u062d\\u0631\\u0641\\u0647\\u200c\\u0627\\u06cc \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0627\\u0633\\u062a. \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u0627\\u0632 \\u0633\\u0627\\u0632\\u06af\\u0627\\u0631 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u200c\\u0647\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u0648 \\u062c\\u0632 \\u0633\\u0631\\u06cc\\u0639\\u200c\\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u200c\\u0647\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0627\\u0633\\u062a!! \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u060c \\u0628\\u0637\\u0648\\u0631 \\u06a9\\u0627\\u0645\\u0644 \\u062a\\u0631\\u062c\\u0645\\u0647\\u060c \\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646 \\u0648 \\u0628\\u0648\\u0645\\u06cc \\u0634\\u062f\\u0647 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0633\\u0627\\u06cc\\u062a\\u200c\\u0647\\u0627\\u06cc \\u0627\\u06cc\\u0631\\u0627\\u0646\\u06cc\\u060c \\u0628\\u0631\\u0627\\u062d\\u062a\\u06cc \\u0642\\u0627\\u0628\\u0644 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0633\\u062a.\\u0628\\u062e\\u0634\\u200c\\u0647\\u0627\\u06cc \\u0645\\u062e\\u062a\\u0644\\u0641 \\u0642\\u0627\\u0644\\u0628 Astra \\u062e\\u06cc\\u0644\\u06cc \\u0631\\u0627\\u062d\\u062a \\u0628\\u0627 \\u0633\\u0641\\u0627\\u0631\\u0634\\u06cc \\u0633\\u0627\\u0632 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\\u060c \\u0642\\u0627\\u0628\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0648 \\u0634\\u062e\\u0635\\u06cc \\u0633\\u0627\\u0632\\u06cc \\u0627\\u0633\\u062a. \\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0627\\u062a \\u0645\\u062e\\u062a\\u0644\\u0641 \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u060c \\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u06cc\\u0639\\u0646\\u06cc \\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0647 \\u0633\\u0627\\u0632 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0642\\u0627\\u0628\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u0633\\u062a.\",\"align\":\"center\",\"title_color\":\"#101112\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"},\"align_mobile\":\"justify\",\"typography_line_height\":{\"unit\":\"px\",\"size\":42,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"4ddff111\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"40\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"72432585\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7a3633a3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0631\\u062e\\u06cc<strong style=\\\"font-weight: bold;\\\"> \\u0627\\u0632 <\\/strong> \\u0627\\u0645\\u06a9\\u0627\\u0646\\u0627\\u062a \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e715028\",\"elType\":\"section\",\"settings\":{\"structure\":\"60\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"50\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"4760962c\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"4518c74\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-spell-check\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"7ce8d54\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"60e93fe\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fab fa-elementor\",\"library\":\"fa-brands\"},\"view\":\"stacked\",\"title_text\":\"\\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631\\u067e\\u0631\\u0648 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"3c75623\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"c7be9b2\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fab fa-erlang\",\"library\":\"fa-brands\"},\"view\":\"stacked\",\"title_text\":\"\\u0641\\u0627\\u0631\\u0633\\u06cc \\u0633\\u0627\\u0632\\u06cc \\u0634\\u062f\\u0647\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"fcb9c63\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"bbc4680\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-sort-numeric-up-alt\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"b3d6f8a\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"ab25cb1\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fab fa-wordpress\",\"library\":\"fa-brands\"},\"view\":\"stacked\",\"title_text\":\"\\u0622\\u062e\\u0631\\u06cc\\u0646 \\u0648\\u0631\\u0698\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"7608217\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"fc93ef3\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-cloud-upload-alt\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0628\\u0633\\u062a\\u0647 \\u0646\\u0635\\u0628\\u06cc \\u0622\\u0633\\u0627\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"2704b328\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"66adc7cc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":37.923,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_radius_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"border_radius_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"content_position\":\"center\",\"align\":\"center\"},\"elements\":[{\"id\":\"59b59eb3\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"width\":{\"unit\":\"%\",\"size\":49,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"907199f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":62.077,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e5012f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u067e\\u064f\\u0631\\u0641\\u0631\\u0648\\u0634 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u067e\\u0631\\u062f\\u067e\\u0631\\u0633\\u06cc\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6ad9e4f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0647\\u062a \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"67353f86\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627\\u067e\\u0631\\u0648\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"449c823e\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"76fa53ff\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"795b4470\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f<\\/strong> \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"42799af2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648 \\u0628\\u0647 \\u0647\\u0645\\u0631\\u0627\\u0647 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u067e\\u0631\\u0648 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"45da3027\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_element_id\":\"takhfif\",\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"6121ccf1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"7f3f1df\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astrapro.jpg\",\"id\":58,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"width\":{\"unit\":\"%\",\"size\":44,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":76,\"sizes\":[]},\"image_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"63f49a14\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#282828\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"100\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"height\":\"min-height\"},\"elements\":[{\"id\":\"2e4826c5\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":25.074,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"4c117094\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":68,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/favicon.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"1f3b48f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":74.926,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"331ce172\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0631\\u0627\\u0626\\u0647 \\u0634\\u062f\\u0647 \\u062a\\u0648\\u0633\\u0637 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5294f8c5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0634\\u0627\\u0648\\u0631\\u0647 \\u0637\\u0631\\u0627\\u062d\\u06cc \\u0633\\u0627\\u06cc\\u062a \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"0f660fe\",\"elType\":\"widget\",\"settings\":{\"text\":\"0990-9365394\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-mobile-alt\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#FCFCFC\",\"background_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false},\"link\":{\"url\":\"tel:09909365394\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("683", "87", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("684", "87", "_thumbnail_id", "10");
INSERT INTO `wp_postmeta` VALUES("685", "87", "_elementor_page_settings", "a:1:{s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("945", "124", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("946", "124", "_elementor_page_settings", "a:1:{s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("944", "124", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("943", "124", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("942", "124", "_elementor_template_type", "header");
INSERT INTO `wp_postmeta` VALUES("941", "124", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("940", "124", "_elementor_source", "post");
INSERT INTO `wp_postmeta` VALUES("938", "123", "_elementor_css", "a:6:{s:4:\"time\";i:1720680042;s:5:\"fonts\";a:1:{i:0;s:11:\"IRANYekanFN\";}s:5:\"icons\";a:1:{i:0;s:9:\"fa-brands\";}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("937", "123", "_elementor_conditions", "a:1:{i:0;s:15:\"include/general\";}");
INSERT INTO `wp_postmeta` VALUES("936", "123", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("765", "106", "_elementor_page_assets", "a:1:{s:7:\"scripts\";a:1:{i:0;s:8:\"e-sticky\";}}");
INSERT INTO `wp_postmeta` VALUES("766", "106", "_elementor_conditions", "a:1:{i:0;s:15:\"include/general\";}");
INSERT INTO `wp_postmeta` VALUES("769", "107", "_elementor_source", "post");
INSERT INTO `wp_postmeta` VALUES("770", "107", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("771", "107", "_elementor_template_type", "header");
INSERT INTO `wp_postmeta` VALUES("772", "107", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("773", "107", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("774", "107", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("775", "107", "_elementor_page_settings", "a:1:{s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("776", "107", "_elementor_data", "[{\"id\":\"3e09cfa2\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"20\",\"right\":0,\"bottom\":\"20\",\"left\":0,\"isLinked\":true},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"20\",\"left\":0,\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"sticky\":\"top\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFFDB\"},\"elements\":[{\"id\":\"658dbfa1\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"_inline_size_mobile\":15,\"content_position\":\"center\",\"align\":\"center\"},\"elements\":[{\"id\":\"fcda9e7\",\"elType\":\"widget\",\"settings\":{\"__dynamic__\":{\"image\":\"[elementor-tag id=\\\"\\\" name=\\\"site-logo\\\" settings=\\\"%7B%7D\\\"]\"},\"align\":\"right\",\"width\":{\"unit\":\"%\",\"size\":9,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":90,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"theme-site-logo\"}],\"isInner\":false},{\"id\":\"1fdcfb86\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"_inline_size_mobile\":85},\"elements\":[{\"id\":\"504b8edb\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook\",\"library\":\"fa-brands\"},\"_id\":\"c76eae1\"},{\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"_id\":\"90fbc25\"},{\"social_icon\":{\"value\":\"fab fa-telegram\",\"library\":\"fa-brands\"},\"_id\":\"e193c8e\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"adfbcc5\"},{\"social_icon\":{\"value\":\"fab fa-youtube\",\"library\":\"fa-brands\"},\"_id\":\"b79d4c6\"}],\"align\":\"left\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#EEEEEE\",\"icon_secondary_color\":\"#282828\",\"icon_size\":{\"unit\":\"px\",\"size\":19,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("777", "107", "_elementor_page_assets", "a:1:{s:7:\"scripts\";a:1:{i:0;s:8:\"e-sticky\";}}");
INSERT INTO `wp_postmeta` VALUES("778", "107", "_elementor_conditions", "a:1:{i:0;s:15:\"include/general\";}");
INSERT INTO `wp_postmeta` VALUES("782", "108", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("783", "108", "_elementor_template_type", "header");
INSERT INTO `wp_postmeta` VALUES("784", "108", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("785", "108", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("786", "108", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("787", "108", "_elementor_page_settings", "a:1:{s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("788", "108", "_elementor_data", "[{\"id\":\"3e09cfa2\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"20\",\"right\":0,\"bottom\":\"20\",\"left\":0,\"isLinked\":true},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"20\",\"left\":0,\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"sticky\":\"top\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFFDB\"},\"elements\":[{\"id\":\"658dbfa1\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"_inline_size_mobile\":15,\"content_position\":\"center\",\"align\":\"center\"},\"elements\":[{\"id\":\"fcda9e7\",\"elType\":\"widget\",\"settings\":{\"__dynamic__\":{\"image\":\"[elementor-tag id=\\\"\\\" name=\\\"site-logo\\\" settings=\\\"%7B%7D\\\"]\"},\"align\":\"right\"},\"elements\":[],\"widgetType\":\"theme-site-logo\"}],\"isInner\":false},{\"id\":\"1fdcfb86\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"_inline_size_mobile\":85},\"elements\":[{\"id\":\"504b8edb\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook\",\"library\":\"fa-brands\"},\"_id\":\"c76eae1\"},{\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"_id\":\"90fbc25\"},{\"social_icon\":{\"value\":\"fab fa-telegram\",\"library\":\"fa-brands\"},\"_id\":\"e193c8e\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"adfbcc5\"},{\"social_icon\":{\"value\":\"fab fa-youtube\",\"library\":\"fa-brands\"},\"_id\":\"b79d4c6\"}],\"align\":\"left\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#EEEEEE\",\"icon_secondary_color\":\"#282828\",\"icon_size\":{\"unit\":\"px\",\"size\":19,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("789", "108", "_elementor_page_assets", "a:1:{s:7:\"scripts\";a:1:{i:0;s:8:\"e-sticky\";}}");
INSERT INTO `wp_postmeta` VALUES("790", "108", "_elementor_conditions", "a:1:{i:0;s:15:\"include/general\";}");
INSERT INTO `wp_postmeta` VALUES("935", "123", "_elementor_data", "[{\"id\":\"510215\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"b7bf019\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67000000000000003996802888650563545525074005126953125,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\"},\"elements\":[{\"id\":\"1d8e5f76\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"6eb09e2\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"55d36c85\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648<\\/strong> \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"11d79413\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.100000000000000088817841970012523233890533447265625,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"0fffc2a\",\"elType\":\"widget\",\"settings\":{\"view\":\"inline\",\"icon_list\":[{\"text\":\"\\u062a\\u0644\\u06af\\u0631\\u0627\\u0645\",\"selected_icon\":{\"value\":\"fab fa-telegram\",\"library\":\"fa-brands\"},\"_id\":\"fcf736c\",\"link\":{\"url\":\"https:\\/\\/t.me\\/elminehshop\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u0648\\u0627\\u062a\\u0633 \\u0627\\u067e\",\"selected_icon\":{\"value\":\"fab fa-whatsapp\",\"library\":\"fa-brands\"},\"_id\":\"1b17624\"},{\"text\":\"\\u0627\\u06cc\\u0646\\u0633\\u0646\\u062a\\u0627\\u06af\\u0631\\u0627\\u0645\",\"selected_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"1e9eac8\",\"link\":{\"url\":\"http:\\/\\/instagram.com\\/elmineh_shop\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}}],\"icon_align\":\"center\",\"divider\":\"yes\",\"icon_color\":\"#CDE728\",\"icon_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"IRANYekanFN\",\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"icon_typography_font_weight\":\"400\",\"text_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":true},{\"id\":\"3c1960f6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"content_position\":\"center\"},\"elements\":[{\"id\":\"444ffe81\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width\":{\"unit\":\"%\",\"size\":43,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"d9cb0c8\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0637\\u0631\\u0627\\u062d \\u0633\\u06cc\\u062f\\u0627\\u0645\\u06cc\\u062f \\u0642\\u062f\\u0633\\u06cc \\u0632\\u0627\\u062f\\u0647 | \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"link\":{\"url\":\"elmineh.com\\/site\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align\":\"center\",\"title_color\":\"#101010\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANYekanFN\",\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":8,\"sizes\":[]},\"typography_font_weight\":\"300\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("805", "110", "_elementor_source", "post");
INSERT INTO `wp_postmeta` VALUES("793", "109", "_elementor_source", "post");
INSERT INTO `wp_postmeta` VALUES("794", "109", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("795", "109", "_elementor_template_type", "header");
INSERT INTO `wp_postmeta` VALUES("796", "109", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("797", "109", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("798", "109", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("799", "109", "_elementor_page_settings", "a:1:{s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("800", "109", "_elementor_data", "[{\"id\":\"3e09cfa2\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"20\",\"right\":0,\"bottom\":\"20\",\"left\":0,\"isLinked\":true},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"20\",\"left\":0,\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"sticky\":\"top\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFFDB\"},\"elements\":[{\"id\":\"658dbfa1\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"_inline_size_mobile\":15,\"content_position\":\"center\",\"align\":\"center\"},\"elements\":[{\"id\":\"fcda9e7\",\"elType\":\"widget\",\"settings\":{\"__dynamic__\":{\"image\":\"[elementor-tag id=\\\"\\\" name=\\\"site-logo\\\" settings=\\\"%7B%7D\\\"]\"},\"align\":\"right\",\"width\":{\"unit\":\"%\",\"size\":9,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"theme-site-logo\"}],\"isInner\":false},{\"id\":\"1fdcfb86\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"_inline_size_mobile\":85},\"elements\":[{\"id\":\"504b8edb\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook\",\"library\":\"fa-brands\"},\"_id\":\"c76eae1\"},{\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"_id\":\"90fbc25\"},{\"social_icon\":{\"value\":\"fab fa-telegram\",\"library\":\"fa-brands\"},\"_id\":\"e193c8e\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"adfbcc5\"},{\"social_icon\":{\"value\":\"fab fa-youtube\",\"library\":\"fa-brands\"},\"_id\":\"b79d4c6\"}],\"align\":\"left\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#EEEEEE\",\"icon_secondary_color\":\"#282828\",\"icon_size\":{\"unit\":\"px\",\"size\":19,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("801", "109", "_elementor_page_assets", "a:1:{s:7:\"scripts\";a:1:{i:0;s:8:\"e-sticky\";}}");
INSERT INTO `wp_postmeta` VALUES("802", "109", "_elementor_conditions", "a:1:{i:0;s:15:\"include/general\";}");
INSERT INTO `wp_postmeta` VALUES("806", "110", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("807", "110", "_elementor_template_type", "header");
INSERT INTO `wp_postmeta` VALUES("808", "110", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("809", "110", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("810", "110", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("811", "110", "_elementor_page_settings", "a:1:{s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("812", "110", "_elementor_data", "[{\"id\":\"3e09cfa2\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"20\",\"right\":0,\"bottom\":\"20\",\"left\":0,\"isLinked\":true},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"20\",\"left\":0,\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"sticky\":\"top\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFFDB\"},\"elements\":[{\"id\":\"658dbfa1\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"_inline_size_mobile\":15,\"content_position\":\"center\",\"align\":\"center\"},\"elements\":[{\"id\":\"fcda9e7\",\"elType\":\"widget\",\"settings\":{\"__dynamic__\":{\"image\":\"[elementor-tag id=\\\"\\\" name=\\\"site-logo\\\" settings=\\\"%7B%7D\\\"]\"},\"align\":\"right\"},\"elements\":[],\"widgetType\":\"theme-site-logo\"}],\"isInner\":false},{\"id\":\"1fdcfb86\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"_inline_size_mobile\":85},\"elements\":[{\"id\":\"504b8edb\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook\",\"library\":\"fa-brands\"},\"_id\":\"c76eae1\"},{\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"_id\":\"90fbc25\"},{\"social_icon\":{\"value\":\"fab fa-telegram\",\"library\":\"fa-brands\"},\"_id\":\"e193c8e\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"adfbcc5\"},{\"social_icon\":{\"value\":\"fab fa-youtube\",\"library\":\"fa-brands\"},\"_id\":\"b79d4c6\"}],\"align\":\"left\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#EEEEEE\",\"icon_secondary_color\":\"#282828\",\"icon_size\":{\"unit\":\"px\",\"size\":19,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("813", "110", "_elementor_page_assets", "a:1:{s:7:\"scripts\";a:1:{i:0;s:8:\"e-sticky\";}}");
INSERT INTO `wp_postmeta` VALUES("814", "110", "_elementor_conditions", "a:1:{i:0;s:15:\"include/general\";}");
INSERT INTO `wp_postmeta` VALUES("817", "111", "_elementor_source", "post");
INSERT INTO `wp_postmeta` VALUES("818", "111", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("819", "111", "_elementor_template_type", "header");
INSERT INTO `wp_postmeta` VALUES("820", "111", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("821", "111", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("822", "111", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("823", "111", "_elementor_page_settings", "a:1:{s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("824", "111", "_elementor_data", "[{\"id\":\"3e09cfa2\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"20\",\"right\":0,\"bottom\":\"20\",\"left\":0,\"isLinked\":true},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"20\",\"left\":0,\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"sticky\":\"top\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFFDB\"},\"elements\":[{\"id\":\"658dbfa1\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"_inline_size_mobile\":15,\"content_position\":\"center\",\"align\":\"center\"},\"elements\":[{\"id\":\"e08b741\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"id\":10,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"align\":\"right\",\"link_to\":\"custom\",\"width\":{\"unit\":\"%\",\"size\":13,\"sizes\":[]},\"__dynamic__\":{\"link\":\"[elementor-tag id=\\\"5040146\\\" name=\\\"site-url\\\" settings=\\\"%7B%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"1fdcfb86\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"_inline_size_mobile\":85},\"elements\":[{\"id\":\"504b8edb\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook\",\"library\":\"fa-brands\"},\"_id\":\"c76eae1\"},{\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"_id\":\"90fbc25\"},{\"social_icon\":{\"value\":\"fab fa-telegram\",\"library\":\"fa-brands\"},\"_id\":\"e193c8e\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"adfbcc5\"},{\"social_icon\":{\"value\":\"fab fa-youtube\",\"library\":\"fa-brands\"},\"_id\":\"b79d4c6\"}],\"align\":\"left\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#EEEEEE\",\"icon_secondary_color\":\"#282828\",\"icon_size\":{\"unit\":\"px\",\"size\":19,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("825", "111", "_elementor_page_assets", "a:1:{s:7:\"scripts\";a:1:{i:0;s:8:\"e-sticky\";}}");
INSERT INTO `wp_postmeta` VALUES("826", "111", "_elementor_conditions", "a:1:{i:0;s:15:\"include/general\";}");
INSERT INTO `wp_postmeta` VALUES("934", "123", "_elementor_page_settings", "a:1:{s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("829", "112", "_elementor_source", "post");
INSERT INTO `wp_postmeta` VALUES("830", "112", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("831", "112", "_elementor_template_type", "header");
INSERT INTO `wp_postmeta` VALUES("832", "112", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("833", "112", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("834", "112", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("835", "112", "_elementor_page_settings", "a:1:{s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("836", "112", "_elementor_data", "[{\"id\":\"3e09cfa2\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"20\",\"right\":0,\"bottom\":\"20\",\"left\":0,\"isLinked\":true},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"20\",\"left\":0,\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"sticky\":\"top\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFFDB\"},\"elements\":[{\"id\":\"658dbfa1\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"_inline_size_mobile\":15,\"content_position\":\"center\",\"align\":\"center\"},\"elements\":[{\"id\":\"e08b741\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"id\":10,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"align\":\"right\",\"link_to\":\"custom\",\"width\":{\"unit\":\"%\",\"size\":13,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"__dynamic__\":{\"link\":\"[elementor-tag id=\\\"5040146\\\" name=\\\"site-url\\\" settings=\\\"%7B%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"1fdcfb86\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"_inline_size_mobile\":85},\"elements\":[{\"id\":\"504b8edb\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-facebook\",\"library\":\"fa-brands\"},\"_id\":\"c76eae1\"},{\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"_id\":\"90fbc25\"},{\"social_icon\":{\"value\":\"fab fa-telegram\",\"library\":\"fa-brands\"},\"_id\":\"e193c8e\"},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"adfbcc5\"},{\"social_icon\":{\"value\":\"fab fa-youtube\",\"library\":\"fa-brands\"},\"_id\":\"b79d4c6\"}],\"align\":\"left\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#EEEEEE\",\"icon_secondary_color\":\"#282828\",\"icon_size\":{\"unit\":\"px\",\"size\":19,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("837", "112", "_elementor_page_assets", "a:1:{s:7:\"scripts\";a:1:{i:0;s:8:\"e-sticky\";}}");
INSERT INTO `wp_postmeta` VALUES("838", "112", "_elementor_conditions", "a:1:{i:0;s:15:\"include/general\";}");
INSERT INTO `wp_postmeta` VALUES("931", "123", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("932", "123", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("933", "123", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("841", "113", "_elementor_source", "post");
INSERT INTO `wp_postmeta` VALUES("842", "113", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("843", "113", "_elementor_template_type", "header");
INSERT INTO `wp_postmeta` VALUES("844", "113", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("845", "113", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("846", "113", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("847", "113", "_elementor_page_settings", "a:1:{s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("848", "113", "_elementor_data", "[{\"id\":\"3e09cfa2\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"margin\":{\"unit\":\"px\",\"top\":\"20\",\"right\":0,\"bottom\":\"20\",\"left\":0,\"isLinked\":true},\"margin_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"20\",\"left\":0,\"isLinked\":false},\"padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"20\",\"isLinked\":false},\"sticky\":\"top\",\"background_background\":\"classic\",\"background_color\":\"#FFFFFFDB\"},\"elements\":[{\"id\":\"658dbfa1\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"_inline_size_mobile\":15,\"content_position\":\"center\",\"align\":\"center\"},\"elements\":[{\"id\":\"e08b741\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"id\":10,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"align\":\"right\",\"link_to\":\"custom\",\"width\":{\"unit\":\"%\",\"size\":13,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"__dynamic__\":{\"link\":\"[elementor-tag id=\\\"5040146\\\" name=\\\"site-url\\\" settings=\\\"%7B%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"1fdcfb86\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"hide_tablet\":\"hidden-tablet\",\"_inline_size_mobile\":85},\"elements\":[{\"id\":\"504b8edb\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-github\",\"library\":\"fa-brands\"},\"_id\":\"c76eae1\",\"link\":{\"url\":\"elmineh.com\\/site\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"social_icon\":{\"value\":\"fab fa-twitter\",\"library\":\"fa-brands\"},\"_id\":\"90fbc25\",\"link\":{\"url\":\"https:\\/\\/www.google.com\\/url?sa=t&rct=j&q=&esrc=s&source=web&cd=&ved=2ahUKEwiTtKy89pGAAxW-R_EDHcctDd8QFnoECBEQAQ&url=https%3A%2F%2Ftwitter.com%2Fomidqodsi%3Flang%3Dhu&usg=AOvVaw2Bk0ovKmFPi4BjsMu_7XN0&opi=89978449\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"social_icon\":{\"value\":\"fab fa-telegram\",\"library\":\"fa-brands\"},\"_id\":\"e193c8e\",\"link\":{\"url\":\"https:\\/\\/t.me\\/omidqodsi\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"social_icon\":{\"value\":\"fab fa-instagram\",\"library\":\"fa-brands\"},\"_id\":\"adfbcc5\",\"link\":{\"url\":\"instagram.com\\/elmineh_shop\",\"is_external\":\"true\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"social_icon\":{\"value\":\"fab fa-youtube\",\"library\":\"fa-brands\"},\"_id\":\"b79d4c6\"}],\"align\":\"left\",\"icon_color\":\"custom\",\"icon_primary_color\":\"#EEEEEE\",\"icon_secondary_color\":\"#282828\",\"icon_size\":{\"unit\":\"px\",\"size\":19,\"sizes\":[]},\"_margin\":{\"unit\":\"px\",\"top\":\"4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"align_mobile\":\"left\"},\"elements\":[],\"widgetType\":\"social-icons\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("849", "113", "_elementor_page_assets", "a:1:{s:7:\"scripts\";a:1:{i:0;s:8:\"e-sticky\";}}");
INSERT INTO `wp_postmeta` VALUES("850", "113", "_elementor_conditions", "a:1:{i:0;s:15:\"include/general\";}");
INSERT INTO `wp_postmeta` VALUES("928", "123", "_elementor_source", "post");
INSERT INTO `wp_postmeta` VALUES("929", "123", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("930", "123", "_elementor_template_type", "footer");
INSERT INTO `wp_postmeta` VALUES("853", "114", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("854", "114", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("855", "114", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("856", "114", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("857", "114", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("858", "114", "_elementor_data", "[{\"id\":\"3d47da92\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"bc47e13\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\"},\"elements\":[{\"id\":\"7b24fe6b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"5b81e2a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"47a97a8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648<\\/strong> \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"46fec036\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.1,\"sizes\":[]},\"editor\":\"<p style=\\\"text-align: justify;\\\">\\u0628\\u0631\\u0627\\u06cc \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u06cc\\u0646 \\u0645\\u062a\\u0646 \\u0628\\u0631 \\u0631\\u0648\\u06cc \\u062f\\u06a9\\u0645\\u0647 \\u0648\\u06cc\\u0631\\u0627\\u06cc\\u0634 \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f. \\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6e51cf6c\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0647\\u0627\",\"link\":{\"url\":\"#takhfif\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"5e5aaebf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"content_position\":\"center\"},\"elements\":[{\"id\":\"5e81c5e2\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width\":{\"unit\":\"%\",\"size\":46,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6f9eb886\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"150\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"bcfb378\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"3098e3f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u0642\\u0627\\u0644\\u0628<\\/strong> \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"59830cb0\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0631\\u0627 \\u0645\\u06cc\\u200c\\u062a\\u0648\\u0627\\u0646\\u06cc\\u062f \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0627\\u0632 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647 \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"68c7709a\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#FCEEEF\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"25\",\"isLinked\":false},\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"4e7cb11e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"d926dc7\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 \\u0686\\u0646\\u062f \\u0645\\u0646\\u0638\\u0648\\u0631\\u0647 \\u2013 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc Astra \\u060c \\u06cc\\u06a9 \\u0642\\u0627\\u0644\\u0628 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0628\\u0631\\u0627\\u06cc \\u0631\\u0627\\u0647 \\u0627\\u0646\\u062f\\u0627\\u0632\\u06cc \\u06cc\\u06a9 \\u0648\\u0628\\u0633\\u0627\\u06cc\\u062a \\u062d\\u0631\\u0641\\u0647\\u200c\\u0627\\u06cc \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0627\\u0633\\u062a. \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u0627\\u0632 \\u0633\\u0627\\u0632\\u06af\\u0627\\u0631 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u200c\\u0647\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u0648 \\u062c\\u0632 \\u0633\\u0631\\u06cc\\u0639\\u200c\\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u200c\\u0647\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0627\\u0633\\u062a!! \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u060c \\u0628\\u0637\\u0648\\u0631 \\u06a9\\u0627\\u0645\\u0644 \\u062a\\u0631\\u062c\\u0645\\u0647\\u060c \\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646 \\u0648 \\u0628\\u0648\\u0645\\u06cc \\u0634\\u062f\\u0647 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0633\\u0627\\u06cc\\u062a\\u200c\\u0647\\u0627\\u06cc \\u0627\\u06cc\\u0631\\u0627\\u0646\\u06cc\\u060c \\u0628\\u0631\\u0627\\u062d\\u062a\\u06cc \\u0642\\u0627\\u0628\\u0644 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0633\\u062a.\\u0628\\u062e\\u0634\\u200c\\u0647\\u0627\\u06cc \\u0645\\u062e\\u062a\\u0644\\u0641 \\u0642\\u0627\\u0644\\u0628 Astra \\u062e\\u06cc\\u0644\\u06cc \\u0631\\u0627\\u062d\\u062a \\u0628\\u0627 \\u0633\\u0641\\u0627\\u0631\\u0634\\u06cc \\u0633\\u0627\\u0632 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\\u060c \\u0642\\u0627\\u0628\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0648 \\u0634\\u062e\\u0635\\u06cc \\u0633\\u0627\\u0632\\u06cc \\u0627\\u0633\\u062a. \\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0627\\u062a \\u0645\\u062e\\u062a\\u0644\\u0641 \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u060c \\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u06cc\\u0639\\u0646\\u06cc \\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0647 \\u0633\\u0627\\u0632 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0642\\u0627\\u0628\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u0633\\u062a.\",\"align\":\"center\",\"title_color\":\"#101112\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"},\"align_mobile\":\"justify\",\"typography_line_height\":{\"unit\":\"px\",\"size\":42,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"4ddff111\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"40\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"72432585\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7a3633a3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0631\\u062e\\u06cc<strong style=\\\"font-weight: bold;\\\"> \\u0627\\u0632 <\\/strong> \\u0627\\u0645\\u06a9\\u0627\\u0646\\u0627\\u062a \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e715028\",\"elType\":\"section\",\"settings\":{\"structure\":\"60\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"50\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"4760962c\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"4518c74\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-spell-check\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"7ce8d54\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"60e93fe\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fab fa-elementor\",\"library\":\"fa-brands\"},\"view\":\"stacked\",\"title_text\":\"\\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631\\u067e\\u0631\\u0648 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"3c75623\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"c7be9b2\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fab fa-erlang\",\"library\":\"fa-brands\"},\"view\":\"stacked\",\"title_text\":\"\\u0641\\u0627\\u0631\\u0633\\u06cc \\u0633\\u0627\\u0632\\u06cc \\u0634\\u062f\\u0647\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"fcb9c63\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"bbc4680\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-sort-numeric-up-alt\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"b3d6f8a\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"ab25cb1\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fab fa-wordpress\",\"library\":\"fa-brands\"},\"view\":\"stacked\",\"title_text\":\"\\u0622\\u062e\\u0631\\u06cc\\u0646 \\u0648\\u0631\\u0698\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"7608217\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"fc93ef3\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-cloud-upload-alt\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0628\\u0633\\u062a\\u0647 \\u0646\\u0635\\u0628\\u06cc \\u0622\\u0633\\u0627\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"2704b328\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"66adc7cc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":37.923,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_radius_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"border_radius_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"content_position\":\"center\",\"align\":\"center\"},\"elements\":[{\"id\":\"59b59eb3\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"width\":{\"unit\":\"%\",\"size\":49,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"907199f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":62.077,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e5012f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u067e\\u064f\\u0631\\u0641\\u0631\\u0648\\u0634 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u067e\\u0631\\u062f\\u067e\\u0631\\u0633\\u06cc\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6ad9e4f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0647\\u062a \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"67353f86\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627\\u067e\\u0631\\u0648\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"449c823e\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"76fa53ff\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"795b4470\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f<\\/strong> \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"42799af2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648 \\u0628\\u0647 \\u0647\\u0645\\u0631\\u0627\\u0647 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u067e\\u0631\\u0648 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"45da3027\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_element_id\":\"takhfif\",\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"6121ccf1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"7f3f1df\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astrapro.jpg\",\"id\":58,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"width\":{\"unit\":\"%\",\"size\":44,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":76,\"sizes\":[]},\"image_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"63f49a14\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#282828\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"100\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"height\":\"min-height\"},\"elements\":[{\"id\":\"2e4826c5\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":25.074,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"4c117094\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":68,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/favicon.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"1f3b48f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":74.926,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"331ce172\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0631\\u0627\\u0626\\u0647 \\u0634\\u062f\\u0647 \\u062a\\u0648\\u0633\\u0637 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5294f8c5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0634\\u0627\\u0648\\u0631\\u0647 \\u0637\\u0631\\u0627\\u062d\\u06cc \\u0633\\u0627\\u06cc\\u062a \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"0f660fe\",\"elType\":\"widget\",\"settings\":{\"text\":\"0990-9365394\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-mobile-alt\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#FCFCFC\",\"background_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false},\"link\":{\"url\":\"tel:09909365394\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("859", "114", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("860", "114", "_thumbnail_id", "10");
INSERT INTO `wp_postmeta` VALUES("861", "114", "_elementor_page_settings", "a:1:{s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("939", "40", "_elementor_css", "a:6:{s:4:\"time\";i:1720680201;s:5:\"fonts\";a:1:{i:0;s:11:\"IRANYekanFN\";}s:5:\"icons\";a:1:{i:0;s:9:\"fa-brands\";}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("863", "115", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("864", "115", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("865", "115", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("866", "115", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("867", "115", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("868", "115", "_elementor_data", "[{\"id\":\"3d47da92\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"bc47e13\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\"},\"elements\":[{\"id\":\"7b24fe6b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"5b81e2a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"47a97a8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648<\\/strong> \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"46fec036\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.1,\"sizes\":[]},\"editor\":\"<p style=\\\"text-align: justify;\\\">\\u0628\\u0631\\u0627\\u06cc \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u06cc\\u0646 \\u0645\\u062a\\u0646 \\u0628\\u0631 \\u0631\\u0648\\u06cc \\u062f\\u06a9\\u0645\\u0647 \\u0648\\u06cc\\u0631\\u0627\\u06cc\\u0634 \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f. \\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6e51cf6c\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0647\\u0627\",\"link\":{\"url\":\"#takhfif\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"5e5aaebf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"content_position\":\"center\"},\"elements\":[{\"id\":\"5e81c5e2\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width\":{\"unit\":\"%\",\"size\":46,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6f9eb886\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"150\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"bcfb378\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"3098e3f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u0642\\u0627\\u0644\\u0628<\\/strong> \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"59830cb0\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0631\\u0627 \\u0645\\u06cc\\u200c\\u062a\\u0648\\u0627\\u0646\\u06cc\\u062f \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0627\\u0632 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647 \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"68c7709a\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#FCEEEF\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"25\",\"isLinked\":false},\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"4e7cb11e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"d926dc7\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 \\u0686\\u0646\\u062f \\u0645\\u0646\\u0638\\u0648\\u0631\\u0647 \\u2013 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc Astra \\u060c \\u06cc\\u06a9 \\u0642\\u0627\\u0644\\u0628 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0628\\u0631\\u0627\\u06cc \\u0631\\u0627\\u0647 \\u0627\\u0646\\u062f\\u0627\\u0632\\u06cc \\u06cc\\u06a9 \\u0648\\u0628\\u0633\\u0627\\u06cc\\u062a \\u062d\\u0631\\u0641\\u0647\\u200c\\u0627\\u06cc \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0627\\u0633\\u062a. \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u0627\\u0632 \\u0633\\u0627\\u0632\\u06af\\u0627\\u0631 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u200c\\u0647\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u0648 \\u062c\\u0632 \\u0633\\u0631\\u06cc\\u0639\\u200c\\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u200c\\u0647\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0627\\u0633\\u062a!! \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u060c \\u0628\\u0637\\u0648\\u0631 \\u06a9\\u0627\\u0645\\u0644 \\u062a\\u0631\\u062c\\u0645\\u0647\\u060c \\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646 \\u0648 \\u0628\\u0648\\u0645\\u06cc \\u0634\\u062f\\u0647 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0633\\u0627\\u06cc\\u062a\\u200c\\u0647\\u0627\\u06cc \\u0627\\u06cc\\u0631\\u0627\\u0646\\u06cc\\u060c \\u0628\\u0631\\u0627\\u062d\\u062a\\u06cc \\u0642\\u0627\\u0628\\u0644 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0633\\u062a.\\u0628\\u062e\\u0634\\u200c\\u0647\\u0627\\u06cc \\u0645\\u062e\\u062a\\u0644\\u0641 \\u0642\\u0627\\u0644\\u0628 Astra \\u062e\\u06cc\\u0644\\u06cc \\u0631\\u0627\\u062d\\u062a \\u0628\\u0627 \\u0633\\u0641\\u0627\\u0631\\u0634\\u06cc \\u0633\\u0627\\u0632 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\\u060c \\u0642\\u0627\\u0628\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0648 \\u0634\\u062e\\u0635\\u06cc \\u0633\\u0627\\u0632\\u06cc \\u0627\\u0633\\u062a. \\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0627\\u062a \\u0645\\u062e\\u062a\\u0644\\u0641 \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u060c \\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u06cc\\u0639\\u0646\\u06cc \\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0647 \\u0633\\u0627\\u0632 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0642\\u0627\\u0628\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u0633\\u062a.\",\"align\":\"center\",\"title_color\":\"#101112\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"},\"align_mobile\":\"justify\",\"typography_line_height\":{\"unit\":\"px\",\"size\":42,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"4ddff111\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"40\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"72432585\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7a3633a3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0631\\u062e\\u06cc<strong style=\\\"font-weight: bold;\\\"> \\u0627\\u0632 <\\/strong> \\u0627\\u0645\\u06a9\\u0627\\u0646\\u0627\\u062a \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e715028\",\"elType\":\"section\",\"settings\":{\"structure\":\"60\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"50\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"4760962c\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"4518c74\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-spell-check\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"7ce8d54\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"60e93fe\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fab fa-elementor\",\"library\":\"fa-brands\"},\"view\":\"stacked\",\"title_text\":\"\\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631\\u067e\\u0631\\u0648 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"3c75623\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"c7be9b2\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fab fa-erlang\",\"library\":\"fa-brands\"},\"view\":\"stacked\",\"title_text\":\"\\u0641\\u0627\\u0631\\u0633\\u06cc \\u0633\\u0627\\u0632\\u06cc \\u0634\\u062f\\u0647\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"fcb9c63\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"bbc4680\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-sort-numeric-up-alt\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"b3d6f8a\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"ab25cb1\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fab fa-wordpress\",\"library\":\"fa-brands\"},\"view\":\"stacked\",\"title_text\":\"\\u0622\\u062e\\u0631\\u06cc\\u0646 \\u0648\\u0631\\u0698\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false},{\"id\":\"7608217\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_border\":\"groove\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"fc93ef3\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-cloud-upload-alt\",\"library\":\"fa-solid\"},\"view\":\"stacked\",\"title_text\":\"\\u0628\\u0633\\u062a\\u0647 \\u0646\\u0635\\u0628\\u06cc \\u0622\\u0633\\u0627\\u0646\",\"description_text\":\"\",\"primary_color\":\"#EF2B36\",\"title_color\":\"#454545\",\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"IRANYekanFN\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"title_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"title_typography_font_weight\":\"500\"},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"2704b328\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"66adc7cc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":37.923,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_radius_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"border_radius_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"content_position\":\"center\",\"align\":\"center\"},\"elements\":[{\"id\":\"59b59eb3\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"width\":{\"unit\":\"%\",\"size\":49,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"907199f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":62.077,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e5012f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u067e\\u064f\\u0631\\u0641\\u0631\\u0648\\u0634 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u067e\\u0631\\u062f\\u067e\\u0631\\u0633\\u06cc\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6ad9e4f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0647\\u062a \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"67353f86\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627\\u067e\\u0631\\u0648\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"449c823e\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"76fa53ff\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"795b4470\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f<\\/strong> \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"42799af2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648 \\u0628\\u0647 \\u0647\\u0645\\u0631\\u0627\\u0647 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u067e\\u0631\\u0648 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"45da3027\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_element_id\":\"takhfif\",\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"6121ccf1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"7f3f1df\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astrapro.jpg\",\"id\":58,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"width\":{\"unit\":\"%\",\"size\":44,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":76,\"sizes\":[]},\"image_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"63f49a14\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#282828\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"100\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"height\":\"min-height\"},\"elements\":[{\"id\":\"2e4826c5\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":25.074,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"4c117094\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":68,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/favicon.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"1f3b48f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":74.926,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"331ce172\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0631\\u0627\\u0626\\u0647 \\u0634\\u062f\\u0647 \\u062a\\u0648\\u0633\\u0637 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5294f8c5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0634\\u0627\\u0648\\u0631\\u0647 \\u0637\\u0631\\u0627\\u062d\\u06cc \\u0633\\u0627\\u06cc\\u062a \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"0f660fe\",\"elType\":\"widget\",\"settings\":{\"text\":\"0990-9365394\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-mobile-alt\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#FCFCFC\",\"background_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false},\"link\":{\"url\":\"tel:09909365394\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("869", "115", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("870", "115", "_thumbnail_id", "10");
INSERT INTO `wp_postmeta` VALUES("871", "115", "_elementor_page_settings", "a:1:{s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("951", "29", "_elementor_css", "a:6:{s:4:\"time\";i:1720680718;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:1:{i:0;s:9:\"fa-brands\";}s:20:\"dynamic_elements_ids\";a:1:{i:0;s:7:\"e08b741\";}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("873", "116", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("874", "116", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("875", "116", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("876", "116", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("877", "116", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("878", "116", "_elementor_data", "[{\"id\":\"3d47da92\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"bc47e13\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\"},\"elements\":[{\"id\":\"7b24fe6b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"5b81e2a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"47a97a8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648<\\/strong> \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"46fec036\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.1,\"sizes\":[]},\"editor\":\"<p style=\\\"text-align: justify;\\\">\\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u0647\\u0645\\u06cc\\u0634 \\u062c\\u0632\\u0621 \\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646 \\u0647\\u0627 \\u062f\\u0631 \\u062f\\u0646\\u06cc\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0628\\u0648\\u062f\\u0647\\u060c \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0628\\u0647 \\u0639\\u0644\\u062a \\u0647\\u0645\\u0627\\u0647\\u0646\\u06af\\u06cc \\u0628\\u0627\\u0644\\u0627\\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u0648 \\u0633\\u0631\\u0639\\u062a \\u0628\\u0633\\u06cc\\u0627\\u0631 \\u0628\\u0627\\u0648\\u0631\\u0646\\u06a9\\u0631\\u062f\\u0646\\u06cc \\u0645\\u062d\\u0628\\u0648\\u0628\\u06cc\\u062a \\u0628\\u0633\\u06cc\\u0627\\u0631 \\u0628\\u0627\\u0644\\u0627\\u06cc\\u06cc \\u0628\\u06cc\\u0646 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u06a9\\u0627\\u0631\\u0627\\u0646 \\u062f\\u0627\\u0631\\u062f\\u060c \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647 \\u0627\\u06cc\\u0646 \\u0646\\u0633\\u062e\\u0647 \\u0627\\u0632 \\u0642\\u0627\\u0644\\u0628 \\u0631\\u0627 \\u0628\\u0647 \\u0635\\u0648\\u0631\\u062a \\u0627\\u062e\\u062a\\u0635\\u0627\\u0635\\u06cc \\u0628\\u0631\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u0627\\u0646 \\u0633\\u0627\\u06cc\\u062a \\u062e\\u0648\\u062f \\u0637\\u0631\\u0627\\u062d\\u06cc \\u06a9\\u0631\\u062f\\u0647.<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6e51cf6c\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0647\\u0627\",\"link\":{\"url\":\"#takhfif\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"5e5aaebf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"content_position\":\"center\"},\"elements\":[{\"id\":\"5e81c5e2\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width\":{\"unit\":\"%\",\"size\":46,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6f9eb886\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"150\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"bcfb378\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"3098e3f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u0642\\u0627\\u0644\\u0628<\\/strong> \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"59830cb0\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0631\\u0627 \\u0645\\u06cc\\u200c\\u062a\\u0648\\u0627\\u0646\\u06cc\\u062f \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0627\\u0632 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647 \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"68c7709a\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#FCEEEF\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"25\",\"isLinked\":false},\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"4e7cb11e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"d926dc7\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 \\u0686\\u0646\\u062f \\u0645\\u0646\\u0638\\u0648\\u0631\\u0647 \\u2013 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc Astra \\u060c \\u06cc\\u06a9 \\u0642\\u0627\\u0644\\u0628 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0628\\u0631\\u0627\\u06cc \\u0631\\u0627\\u0647 \\u0627\\u0646\\u062f\\u0627\\u0632\\u06cc \\u06cc\\u06a9 \\u0648\\u0628\\u0633\\u0627\\u06cc\\u062a \\u062d\\u0631\\u0641\\u0647\\u200c\\u0627\\u06cc \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0627\\u0633\\u062a. \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u0627\\u0632 \\u0633\\u0627\\u0632\\u06af\\u0627\\u0631 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u200c\\u0647\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u0648 \\u062c\\u0632 \\u0633\\u0631\\u06cc\\u0639\\u200c\\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u200c\\u0647\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0627\\u0633\\u062a!! \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u060c \\u0628\\u0637\\u0648\\u0631 \\u06a9\\u0627\\u0645\\u0644 \\u062a\\u0631\\u062c\\u0645\\u0647\\u060c \\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646 \\u0648 \\u0628\\u0648\\u0645\\u06cc \\u0634\\u062f\\u0647 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0633\\u0627\\u06cc\\u062a\\u200c\\u0647\\u0627\\u06cc \\u0627\\u06cc\\u0631\\u0627\\u0646\\u06cc\\u060c \\u0628\\u0631\\u0627\\u062d\\u062a\\u06cc \\u0642\\u0627\\u0628\\u0644 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0633\\u062a.\\u0628\\u062e\\u0634\\u200c\\u0647\\u0627\\u06cc \\u0645\\u062e\\u062a\\u0644\\u0641 \\u0642\\u0627\\u0644\\u0628 Astra \\u062e\\u06cc\\u0644\\u06cc \\u0631\\u0627\\u062d\\u062a \\u0628\\u0627 \\u0633\\u0641\\u0627\\u0631\\u0634\\u06cc \\u0633\\u0627\\u0632 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\\u060c \\u0642\\u0627\\u0628\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0648 \\u0634\\u062e\\u0635\\u06cc \\u0633\\u0627\\u0632\\u06cc \\u0627\\u0633\\u062a. \\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0627\\u062a \\u0645\\u062e\\u062a\\u0644\\u0641 \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u060c \\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u06cc\\u0639\\u0646\\u06cc \\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0647 \\u0633\\u0627\\u0632 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0642\\u0627\\u0628\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u0633\\u062a\\u060c \\u062f\\u0631 \\u0627\\u06cc\\u0646 \\u0646\\u0633\\u062e\\u0647 \\u0627\\u0632 \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u06a9\\u0647 \\u062a\\u0648\\u0633\\u0637 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647 \\u0637\\u0631\\u0627\\u062d\\u06cc \\u0634\\u062f\\u0647 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u067e\\u0631\\u0648 \\u0628\\u0627 \\u0644\\u0627\\u06cc\\u0633\\u0646\\u0633 \\u0627\\u0635\\u0644\\u06cc \\u0646\\u06cc\\u0632 \\u0628\\u0647 \\u0635\\u0648\\u0631\\u062a \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0631\\u0648\\u06cc \\u0642\\u0627\\u0644\\u0628 \\u0646\\u0635\\u0628 \\u0645\\u06cc\\u200c\\u0628\\u0627\\u0634\\u062f \\u067e\\u0633 \\u0628\\u0627 \\u062e\\u06cc\\u0627\\u0644 \\u0631\\u0627\\u062d\\u062a \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0646\\u06cc\\u062f\\u060c \\u0627\\u0644\\u0628\\u062a\\u0647 \\u0646\\u0633\\u062e\\u0647 \\u0647\\u0627\\u06cc \\u062c\\u062f\\u06cc\\u062f\\u062a\\u0631 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u0631\\u0627 \\u0646\\u06cc\\u0632 \\u0645\\u06cc \\u062a\\u0648\\u0627\\u0646\\u06cc\\u062f \\u0627\\u0632 \\u0633\\u0627\\u06cc\\u062a \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647 \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0646\\u06cc\\u062f.\",\"align\":\"center\",\"title_color\":\"#0B0B0B\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"},\"align_mobile\":\"justify\",\"typography_line_height\":{\"unit\":\"px\",\"size\":42,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"4ddff111\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"40\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"72432585\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7a3633a3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0631\\u062e\\u06cc<strong style=\\\"font-weight: bold;\\\"> \\u0627\\u0632 <\\/strong> \\u0627\\u0645\\u06a9\\u0627\\u0646\\u0627\\u062a \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e715028\",\"elType\":\"section\",\"settings\":{\"structure\":\"60\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"50\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"4760962c\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"685374c\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-elementor\",\"library\":\"fa-brands\"},\"_id\":\"0ff8d56\"}],\"icon_color\":\"custom\",\"icon_primary_color\":\"#EEEEEE\",\"icon_secondary_color\":\"#282828\",\"icon_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":55,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"social-icons\"},{\"id\":\"6f14ce2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631\\u067e\\u0631\\u0648\",\"align\":\"center\",\"title_color\":\"#282828\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANYekanFN\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"300\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"8e9ae7e\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"10f68d8\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"_id\":\"b0892a9\"}],\"icon_color\":\"custom\",\"icon_primary_color\":\"#EEEEEE\",\"icon_secondary_color\":\"#282828\",\"icon_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":55,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"social-icons\"},{\"id\":\"b8bf7fb\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0622\\u062e\\u0631\\u06cc\\u0646 \\u0646\\u0633\\u062e\\u0647\",\"align\":\"center\",\"title_color\":\"#282828\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANYekanFN\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"300\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"efedc26\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"2864377\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-erlang\",\"library\":\"fa-brands\"},\"_id\":\"4f9e77b\"}],\"icon_color\":\"custom\",\"icon_primary_color\":\"#EEEEEE\",\"icon_secondary_color\":\"#282828\",\"icon_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":55,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"social-icons\"},{\"id\":\"2b1f61e\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0641\\u0627\\u0631\\u0633\\u06cc \\u0633\\u0627\\u0632\\u06cc \\u0634\\u062f\\u0647\",\"align\":\"center\",\"title_color\":\"#282828\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANYekanFN\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"300\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"49a3f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"28b1c17\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fas fa-cloud-upload-alt\",\"library\":\"fa-solid\"},\"_id\":\"abf151b\"}],\"icon_color\":\"custom\",\"icon_primary_color\":\"#EEEEEE\",\"icon_secondary_color\":\"#282828\",\"icon_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":55,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"social-icons\"},{\"id\":\"219c6a3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"align\":\"center\",\"title_color\":\"#282828\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANYekanFN\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"300\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"43d9d1b\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"f4ede82\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fas fa-spell-check\",\"library\":\"fa-solid\"},\"_id\":\"142f58a\"}],\"icon_color\":\"custom\",\"icon_primary_color\":\"#EEEEEE\",\"icon_secondary_color\":\"#282828\",\"icon_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":55,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"social-icons\"},{\"id\":\"2c7442e\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646\",\"align\":\"center\",\"title_color\":\"#282828\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANYekanFN\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"300\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"7f17510\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"1ad4bc4\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-html5\",\"library\":\"fa-brands\"},\"_id\":\"c60c9c2\"}],\"icon_color\":\"custom\",\"icon_primary_color\":\"#EEEEEE\",\"icon_secondary_color\":\"#282828\",\"icon_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":55,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"social-icons\"},{\"id\":\"d1f4436\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u06a9\\u062f\\u0646\\u0648\\u06cc\\u0633\\u06cc \\u0628\\u0647\\u06cc\\u0646\\u0647\",\"align\":\"center\",\"title_color\":\"#282828\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANYekanFN\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"300\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"2704b328\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"66adc7cc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":37.923,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_radius_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"border_radius_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"content_position\":\"center\",\"align\":\"center\"},\"elements\":[{\"id\":\"59b59eb3\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"width\":{\"unit\":\"%\",\"size\":49,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"907199f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":62.077,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e5012f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u067e\\u064f\\u0631\\u0641\\u0631\\u0648\\u0634 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u067e\\u0631\\u062f\\u067e\\u0631\\u0633\\u06cc\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6ad9e4f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0647\\u062a \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"67353f86\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627\\u067e\\u0631\\u0648\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"449c823e\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"76fa53ff\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"795b4470\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f<\\/strong> \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"42799af2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648 \\u0628\\u0647 \\u0647\\u0645\\u0631\\u0627\\u0647 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u067e\\u0631\\u0648 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"45da3027\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_element_id\":\"takhfif\",\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"6121ccf1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"7f3f1df\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astrapro.jpg\",\"id\":58,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"width\":{\"unit\":\"%\",\"size\":44,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":76,\"sizes\":[]},\"image_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"63f49a14\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#282828\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"100\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"height\":\"min-height\"},\"elements\":[{\"id\":\"2e4826c5\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":25.074,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"4c117094\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":68,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/favicon.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"1f3b48f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":74.926,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"331ce172\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0631\\u0627\\u0626\\u0647 \\u0634\\u062f\\u0647 \\u062a\\u0648\\u0633\\u0637 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5294f8c5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0634\\u0627\\u0648\\u0631\\u0647 \\u0637\\u0631\\u0627\\u062d\\u06cc \\u0633\\u0627\\u06cc\\u062a \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"0f660fe\",\"elType\":\"widget\",\"settings\":{\"text\":\"0990-9365394\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-mobile-alt\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#FCFCFC\",\"background_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false},\"link\":{\"url\":\"tel:09909365394\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("879", "116", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("880", "116", "_thumbnail_id", "10");
INSERT INTO `wp_postmeta` VALUES("881", "116", "_elementor_page_settings", "a:1:{s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("925", "7", "_elementor_css", "a:6:{s:4:\"time\";i:1720680042;s:5:\"fonts\";a:1:{i:0;s:11:\"IRANYekanFN\";}s:5:\"icons\";a:2:{i:0;s:8:\"fa-solid\";i:1;s:9:\"fa-brands\";}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("916", "120", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("917", "120", "_thumbnail_id", "10");
INSERT INTO `wp_postmeta` VALUES("918", "120", "_elementor_page_settings", "a:1:{s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("910", "120", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("911", "120", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("912", "120", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("913", "120", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("914", "120", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("915", "120", "_elementor_data", "[{\"id\":\"3d47da92\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"bc47e13\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\"},\"elements\":[{\"id\":\"7b24fe6b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"5b81e2a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"47a97a8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648<\\/strong> \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"46fec036\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.1,\"sizes\":[]},\"editor\":\"<p style=\\\"text-align: justify;\\\">\\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u0647\\u0645\\u06cc\\u0634 \\u062c\\u0632\\u0621 \\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646 \\u0647\\u0627 \\u062f\\u0631 \\u062f\\u0646\\u06cc\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0628\\u0648\\u062f\\u0647\\u060c \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0628\\u0647 \\u0639\\u0644\\u062a \\u0647\\u0645\\u0627\\u0647\\u0646\\u06af\\u06cc \\u0628\\u0627\\u0644\\u0627\\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u0648 \\u0633\\u0631\\u0639\\u062a \\u0628\\u0633\\u06cc\\u0627\\u0631 \\u0628\\u0627\\u0648\\u0631\\u0646\\u06a9\\u0631\\u062f\\u0646\\u06cc \\u0645\\u062d\\u0628\\u0648\\u0628\\u06cc\\u062a \\u0628\\u0633\\u06cc\\u0627\\u0631 \\u0628\\u0627\\u0644\\u0627\\u06cc\\u06cc \\u0628\\u06cc\\u0646 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u06a9\\u0627\\u0631\\u0627\\u0646 \\u062f\\u0627\\u0631\\u062f\\u060c \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647 \\u0627\\u06cc\\u0646 \\u0646\\u0633\\u062e\\u0647 \\u0627\\u0632 \\u0642\\u0627\\u0644\\u0628 \\u0631\\u0627 \\u0628\\u0647 \\u0635\\u0648\\u0631\\u062a \\u0627\\u062e\\u062a\\u0635\\u0627\\u0635\\u06cc \\u0628\\u0631\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u0627\\u0646 \\u0633\\u0627\\u06cc\\u062a \\u062e\\u0648\\u062f \\u0637\\u0631\\u0627\\u062d\\u06cc \\u06a9\\u0631\\u062f\\u0647.<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6e51cf6c\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0647\\u0627\",\"link\":{\"url\":\"#takhfif\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"5e5aaebf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"content_position\":\"center\"},\"elements\":[{\"id\":\"5e81c5e2\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width\":{\"unit\":\"%\",\"size\":46,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6f9eb886\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"150\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"bcfb378\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"3098e3f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u0642\\u0627\\u0644\\u0628<\\/strong> \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"59830cb0\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0631\\u0627 \\u0645\\u06cc\\u200c\\u062a\\u0648\\u0627\\u0646\\u06cc\\u062f \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0627\\u0632 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647 \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"68c7709a\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#FCEEEF\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"25\",\"isLinked\":false},\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"4e7cb11e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"d926dc7\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 \\u0686\\u0646\\u062f \\u0645\\u0646\\u0638\\u0648\\u0631\\u0647 \\u2013 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc Astra \\u060c \\u06cc\\u06a9 \\u0642\\u0627\\u0644\\u0628 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0628\\u0631\\u0627\\u06cc \\u0631\\u0627\\u0647 \\u0627\\u0646\\u062f\\u0627\\u0632\\u06cc \\u06cc\\u06a9 \\u0648\\u0628\\u0633\\u0627\\u06cc\\u062a \\u062d\\u0631\\u0641\\u0647\\u200c\\u0627\\u06cc \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0627\\u0633\\u062a. \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u0627\\u0632 \\u0633\\u0627\\u0632\\u06af\\u0627\\u0631 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u200c\\u0647\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u0648 \\u062c\\u0632 \\u0633\\u0631\\u06cc\\u0639\\u200c\\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u200c\\u0647\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0627\\u0633\\u062a!! \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u060c \\u0628\\u0637\\u0648\\u0631 \\u06a9\\u0627\\u0645\\u0644 \\u062a\\u0631\\u062c\\u0645\\u0647\\u060c \\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646 \\u0648 \\u0628\\u0648\\u0645\\u06cc \\u0634\\u062f\\u0647 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0633\\u0627\\u06cc\\u062a\\u200c\\u0647\\u0627\\u06cc \\u0627\\u06cc\\u0631\\u0627\\u0646\\u06cc\\u060c \\u0628\\u0631\\u0627\\u062d\\u062a\\u06cc \\u0642\\u0627\\u0628\\u0644 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0633\\u062a.\\u0628\\u062e\\u0634\\u200c\\u0647\\u0627\\u06cc \\u0645\\u062e\\u062a\\u0644\\u0641 \\u0642\\u0627\\u0644\\u0628 Astra \\u062e\\u06cc\\u0644\\u06cc \\u0631\\u0627\\u062d\\u062a \\u0628\\u0627 \\u0633\\u0641\\u0627\\u0631\\u0634\\u06cc \\u0633\\u0627\\u0632 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\\u060c \\u0642\\u0627\\u0628\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0648 \\u0634\\u062e\\u0635\\u06cc \\u0633\\u0627\\u0632\\u06cc \\u0627\\u0633\\u062a. \\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0627\\u062a \\u0645\\u062e\\u062a\\u0644\\u0641 \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u060c \\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u06cc\\u0639\\u0646\\u06cc \\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0647 \\u0633\\u0627\\u0632 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0642\\u0627\\u0628\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u0633\\u062a\\u060c \\u062f\\u0631 \\u0627\\u06cc\\u0646 \\u0646\\u0633\\u062e\\u0647 \\u0627\\u0632 \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u06a9\\u0647 \\u062a\\u0648\\u0633\\u0637 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647 \\u0637\\u0631\\u0627\\u062d\\u06cc \\u0634\\u062f\\u0647 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u067e\\u0631\\u0648 \\u0628\\u0627 \\u0644\\u0627\\u06cc\\u0633\\u0646\\u0633 \\u0627\\u0635\\u0644\\u06cc \\u0646\\u06cc\\u0632 \\u0628\\u0647 \\u0635\\u0648\\u0631\\u062a \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0631\\u0648\\u06cc \\u0642\\u0627\\u0644\\u0628 \\u0646\\u0635\\u0628 \\u0645\\u06cc\\u200c\\u0628\\u0627\\u0634\\u062f \\u067e\\u0633 \\u0628\\u0627 \\u062e\\u06cc\\u0627\\u0644 \\u0631\\u0627\\u062d\\u062a \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0646\\u06cc\\u062f\\u060c \\u0627\\u0644\\u0628\\u062a\\u0647 \\u0646\\u0633\\u062e\\u0647 \\u0647\\u0627\\u06cc \\u062c\\u062f\\u06cc\\u062f\\u062a\\u0631 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u0631\\u0627 \\u0646\\u06cc\\u0632 \\u0645\\u06cc \\u062a\\u0648\\u0627\\u0646\\u06cc\\u062f \\u0627\\u0632 \\u0633\\u0627\\u06cc\\u062a \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647 \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0646\\u06cc\\u062f.\",\"align\":\"center\",\"title_color\":\"#0B0B0B\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"},\"align_mobile\":\"justify\",\"typography_line_height\":{\"unit\":\"px\",\"size\":42,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"4ddff111\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"40\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"72432585\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7a3633a3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0631\\u062e\\u06cc<strong style=\\\"font-weight: bold;\\\"> \\u0627\\u0632 <\\/strong> \\u0627\\u0645\\u06a9\\u0627\\u0646\\u0627\\u062a \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e715028\",\"elType\":\"section\",\"settings\":{\"structure\":\"60\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"50\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"height\":\"min-height\"},\"elements\":[{\"id\":\"4760962c\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"685374c\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-elementor\",\"library\":\"fa-brands\"},\"_id\":\"0ff8d56\"}],\"icon_color\":\"custom\",\"icon_primary_color\":\"#EEEEEE\",\"icon_secondary_color\":\"#282828\",\"icon_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":55,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"social-icons\"},{\"id\":\"6f14ce2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631\\u067e\\u0631\\u0648\",\"align\":\"center\",\"title_color\":\"#282828\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANYekanFN\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"300\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"8e9ae7e\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"10f68d8\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"_id\":\"b0892a9\"}],\"icon_color\":\"custom\",\"icon_primary_color\":\"#EEEEEE\",\"icon_secondary_color\":\"#282828\",\"icon_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":55,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"social-icons\"},{\"id\":\"b8bf7fb\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0622\\u062e\\u0631\\u06cc\\u0646 \\u0646\\u0633\\u062e\\u0647\",\"align\":\"center\",\"title_color\":\"#282828\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANYekanFN\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"300\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"efedc26\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"2864377\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-erlang\",\"library\":\"fa-brands\"},\"_id\":\"4f9e77b\"}],\"icon_color\":\"custom\",\"icon_primary_color\":\"#EEEEEE\",\"icon_secondary_color\":\"#282828\",\"icon_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":55,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"social-icons\"},{\"id\":\"2b1f61e\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0641\\u0627\\u0631\\u0633\\u06cc \\u0633\\u0627\\u0632\\u06cc \\u0634\\u062f\\u0647\",\"align\":\"center\",\"title_color\":\"#282828\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANYekanFN\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"300\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"49a3f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"28b1c17\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fas fa-cloud-upload-alt\",\"library\":\"fa-solid\"},\"_id\":\"abf151b\"}],\"icon_color\":\"custom\",\"icon_primary_color\":\"#EEEEEE\",\"icon_secondary_color\":\"#282828\",\"icon_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":55,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"social-icons\"},{\"id\":\"219c6a3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"align\":\"center\",\"title_color\":\"#282828\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANYekanFN\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"300\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"43d9d1b\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"f4ede82\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fas fa-spell-check\",\"library\":\"fa-solid\"},\"_id\":\"142f58a\"}],\"icon_color\":\"custom\",\"icon_primary_color\":\"#EEEEEE\",\"icon_secondary_color\":\"#282828\",\"icon_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":55,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"social-icons\"},{\"id\":\"2c7442e\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646\",\"align\":\"center\",\"title_color\":\"#282828\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANYekanFN\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"300\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"7f17510\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"1ad4bc4\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-html5\",\"library\":\"fa-brands\"},\"_id\":\"c60c9c2\"}],\"icon_color\":\"custom\",\"icon_primary_color\":\"#EEEEEE\",\"icon_secondary_color\":\"#282828\",\"icon_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":55,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"social-icons\"},{\"id\":\"d1f4436\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u06a9\\u062f\\u0646\\u0648\\u06cc\\u0633\\u06cc \\u0628\\u0647\\u06cc\\u0646\\u0647\",\"align\":\"center\",\"title_color\":\"#282828\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANYekanFN\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"300\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"2704b328\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"66adc7cc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":37.923,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_radius_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"border_radius_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"content_position\":\"center\",\"align\":\"center\"},\"elements\":[{\"id\":\"59b59eb3\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"width\":{\"unit\":\"%\",\"size\":49,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"907199f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":62.077,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e5012f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u067e\\u064f\\u0631\\u0641\\u0631\\u0648\\u0634 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\\u06cc\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6ad9e4f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0647\\u062a \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"67353f86\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627\\u067e\\u0631\\u0648\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"449c823e\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"76fa53ff\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"795b4470\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f<\\/strong> \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"42799af2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648 \\u0628\\u0647 \\u0647\\u0645\\u0631\\u0627\\u0647 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u067e\\u0631\\u0648 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"45da3027\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_element_id\":\"takhfif\",\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"6121ccf1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"7f3f1df\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astrapro.jpg\",\"id\":58,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"width\":{\"unit\":\"%\",\"size\":44,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":76,\"sizes\":[]},\"image_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"63f49a14\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#282828\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"100\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"height\":\"min-height\"},\"elements\":[{\"id\":\"2e4826c5\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":25.074,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"4c117094\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":68,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/favicon.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"1f3b48f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":74.926,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"331ce172\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0631\\u0627\\u0626\\u0647 \\u0634\\u062f\\u0647 \\u062a\\u0648\\u0633\\u0637 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5294f8c5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0634\\u0627\\u0648\\u0631\\u0647 \\u0637\\u0631\\u0627\\u062d\\u06cc \\u0633\\u0627\\u06cc\\u062a \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"0f660fe\",\"elType\":\"widget\",\"settings\":{\"text\":\"0990-9365394\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-mobile-alt\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#FCFCFC\",\"background_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false},\"link\":{\"url\":\"tel:09909365394\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("892", "118", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("893", "118", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("894", "118", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("895", "118", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("896", "118", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("897", "118", "_elementor_data", "[{\"id\":\"3d47da92\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"bc47e13\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\"},\"elements\":[{\"id\":\"7b24fe6b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"5b81e2a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"47a97a8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648<\\/strong> \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"46fec036\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.1,\"sizes\":[]},\"editor\":\"<p style=\\\"text-align: justify;\\\">\\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u0647\\u0645\\u06cc\\u0634 \\u062c\\u0632\\u0621 \\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646 \\u0647\\u0627 \\u062f\\u0631 \\u062f\\u0646\\u06cc\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0628\\u0648\\u062f\\u0647\\u060c \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0628\\u0647 \\u0639\\u0644\\u062a \\u0647\\u0645\\u0627\\u0647\\u0646\\u06af\\u06cc \\u0628\\u0627\\u0644\\u0627\\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u0648 \\u0633\\u0631\\u0639\\u062a \\u0628\\u0633\\u06cc\\u0627\\u0631 \\u0628\\u0627\\u0648\\u0631\\u0646\\u06a9\\u0631\\u062f\\u0646\\u06cc \\u0645\\u062d\\u0628\\u0648\\u0628\\u06cc\\u062a \\u0628\\u0633\\u06cc\\u0627\\u0631 \\u0628\\u0627\\u0644\\u0627\\u06cc\\u06cc \\u0628\\u06cc\\u0646 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u06a9\\u0627\\u0631\\u0627\\u0646 \\u062f\\u0627\\u0631\\u062f\\u060c \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647 \\u0627\\u06cc\\u0646 \\u0646\\u0633\\u062e\\u0647 \\u0627\\u0632 \\u0642\\u0627\\u0644\\u0628 \\u0631\\u0627 \\u0628\\u0647 \\u0635\\u0648\\u0631\\u062a \\u0627\\u062e\\u062a\\u0635\\u0627\\u0635\\u06cc \\u0628\\u0631\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u0627\\u0646 \\u0633\\u0627\\u06cc\\u062a \\u062e\\u0648\\u062f \\u0637\\u0631\\u0627\\u062d\\u06cc \\u06a9\\u0631\\u062f\\u0647.<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6e51cf6c\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0647\\u0627\",\"link\":{\"url\":\"#takhfif\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"5e5aaebf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"content_position\":\"center\"},\"elements\":[{\"id\":\"5e81c5e2\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width\":{\"unit\":\"%\",\"size\":46,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6f9eb886\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"150\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"bcfb378\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"3098e3f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u0642\\u0627\\u0644\\u0628<\\/strong> \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"59830cb0\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0631\\u0627 \\u0645\\u06cc\\u200c\\u062a\\u0648\\u0627\\u0646\\u06cc\\u062f \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0627\\u0632 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647 \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"68c7709a\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#FCEEEF\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"25\",\"isLinked\":false},\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"4e7cb11e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"d926dc7\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 \\u0686\\u0646\\u062f \\u0645\\u0646\\u0638\\u0648\\u0631\\u0647 \\u2013 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc Astra \\u060c \\u06cc\\u06a9 \\u0642\\u0627\\u0644\\u0628 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0628\\u0631\\u0627\\u06cc \\u0631\\u0627\\u0647 \\u0627\\u0646\\u062f\\u0627\\u0632\\u06cc \\u06cc\\u06a9 \\u0648\\u0628\\u0633\\u0627\\u06cc\\u062a \\u062d\\u0631\\u0641\\u0647\\u200c\\u0627\\u06cc \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0627\\u0633\\u062a. \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u0627\\u0632 \\u0633\\u0627\\u0632\\u06af\\u0627\\u0631 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u200c\\u0647\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u0648 \\u062c\\u0632 \\u0633\\u0631\\u06cc\\u0639\\u200c\\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u200c\\u0647\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0627\\u0633\\u062a!! \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u060c \\u0628\\u0637\\u0648\\u0631 \\u06a9\\u0627\\u0645\\u0644 \\u062a\\u0631\\u062c\\u0645\\u0647\\u060c \\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646 \\u0648 \\u0628\\u0648\\u0645\\u06cc \\u0634\\u062f\\u0647 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0633\\u0627\\u06cc\\u062a\\u200c\\u0647\\u0627\\u06cc \\u0627\\u06cc\\u0631\\u0627\\u0646\\u06cc\\u060c \\u0628\\u0631\\u0627\\u062d\\u062a\\u06cc \\u0642\\u0627\\u0628\\u0644 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0633\\u062a.\\u0628\\u062e\\u0634\\u200c\\u0647\\u0627\\u06cc \\u0645\\u062e\\u062a\\u0644\\u0641 \\u0642\\u0627\\u0644\\u0628 Astra \\u062e\\u06cc\\u0644\\u06cc \\u0631\\u0627\\u062d\\u062a \\u0628\\u0627 \\u0633\\u0641\\u0627\\u0631\\u0634\\u06cc \\u0633\\u0627\\u0632 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\\u060c \\u0642\\u0627\\u0628\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0648 \\u0634\\u062e\\u0635\\u06cc \\u0633\\u0627\\u0632\\u06cc \\u0627\\u0633\\u062a. \\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0627\\u062a \\u0645\\u062e\\u062a\\u0644\\u0641 \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u060c \\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u06cc\\u0639\\u0646\\u06cc \\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0647 \\u0633\\u0627\\u0632 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0642\\u0627\\u0628\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u0633\\u062a\\u060c \\u062f\\u0631 \\u0627\\u06cc\\u0646 \\u0646\\u0633\\u062e\\u0647 \\u0627\\u0632 \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u06a9\\u0647 \\u062a\\u0648\\u0633\\u0637 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647 \\u0637\\u0631\\u0627\\u062d\\u06cc \\u0634\\u062f\\u0647 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u067e\\u0631\\u0648 \\u0628\\u0627 \\u0644\\u0627\\u06cc\\u0633\\u0646\\u0633 \\u0627\\u0635\\u0644\\u06cc \\u0646\\u06cc\\u0632 \\u0628\\u0647 \\u0635\\u0648\\u0631\\u062a \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0631\\u0648\\u06cc \\u0642\\u0627\\u0644\\u0628 \\u0646\\u0635\\u0628 \\u0645\\u06cc\\u200c\\u0628\\u0627\\u0634\\u062f \\u067e\\u0633 \\u0628\\u0627 \\u062e\\u06cc\\u0627\\u0644 \\u0631\\u0627\\u062d\\u062a \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0646\\u06cc\\u062f\\u060c \\u0627\\u0644\\u0628\\u062a\\u0647 \\u0646\\u0633\\u062e\\u0647 \\u0647\\u0627\\u06cc \\u062c\\u062f\\u06cc\\u062f\\u062a\\u0631 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u0631\\u0627 \\u0646\\u06cc\\u0632 \\u0645\\u06cc \\u062a\\u0648\\u0627\\u0646\\u06cc\\u062f \\u0627\\u0632 \\u0633\\u0627\\u06cc\\u062a \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647 \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0646\\u06cc\\u062f.\",\"align\":\"center\",\"title_color\":\"#0B0B0B\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"},\"align_mobile\":\"justify\",\"typography_line_height\":{\"unit\":\"px\",\"size\":42,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"4ddff111\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"40\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"72432585\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7a3633a3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0631\\u062e\\u06cc<strong style=\\\"font-weight: bold;\\\"> \\u0627\\u0632 <\\/strong> \\u0627\\u0645\\u06a9\\u0627\\u0646\\u0627\\u062a \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e715028\",\"elType\":\"section\",\"settings\":{\"structure\":\"60\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"50\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"4760962c\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"685374c\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-elementor\",\"library\":\"fa-brands\"},\"_id\":\"0ff8d56\"}],\"icon_color\":\"custom\",\"icon_primary_color\":\"#EEEEEE\",\"icon_secondary_color\":\"#282828\",\"icon_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":55,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"social-icons\"},{\"id\":\"6f14ce2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631\\u067e\\u0631\\u0648\",\"align\":\"center\",\"title_color\":\"#282828\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANYekanFN\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"300\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"8e9ae7e\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"10f68d8\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"_id\":\"b0892a9\"}],\"icon_color\":\"custom\",\"icon_primary_color\":\"#EEEEEE\",\"icon_secondary_color\":\"#282828\",\"icon_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":55,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"social-icons\"},{\"id\":\"b8bf7fb\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0622\\u062e\\u0631\\u06cc\\u0646 \\u0646\\u0633\\u062e\\u0647\",\"align\":\"center\",\"title_color\":\"#282828\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANYekanFN\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"300\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"efedc26\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"2864377\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-erlang\",\"library\":\"fa-brands\"},\"_id\":\"4f9e77b\"}],\"icon_color\":\"custom\",\"icon_primary_color\":\"#EEEEEE\",\"icon_secondary_color\":\"#282828\",\"icon_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":55,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"social-icons\"},{\"id\":\"2b1f61e\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0641\\u0627\\u0631\\u0633\\u06cc \\u0633\\u0627\\u0632\\u06cc \\u0634\\u062f\\u0647\",\"align\":\"center\",\"title_color\":\"#282828\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANYekanFN\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"300\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"49a3f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"28b1c17\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fas fa-cloud-upload-alt\",\"library\":\"fa-solid\"},\"_id\":\"abf151b\"}],\"icon_color\":\"custom\",\"icon_primary_color\":\"#EEEEEE\",\"icon_secondary_color\":\"#282828\",\"icon_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":55,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"social-icons\"},{\"id\":\"219c6a3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"align\":\"center\",\"title_color\":\"#282828\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANYekanFN\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"300\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"43d9d1b\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"f4ede82\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fas fa-spell-check\",\"library\":\"fa-solid\"},\"_id\":\"142f58a\"}],\"icon_color\":\"custom\",\"icon_primary_color\":\"#EEEEEE\",\"icon_secondary_color\":\"#282828\",\"icon_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":55,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"social-icons\"},{\"id\":\"2c7442e\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646\",\"align\":\"center\",\"title_color\":\"#282828\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANYekanFN\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"300\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"7f17510\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"1ad4bc4\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-html5\",\"library\":\"fa-brands\"},\"_id\":\"c60c9c2\"}],\"icon_color\":\"custom\",\"icon_primary_color\":\"#EEEEEE\",\"icon_secondary_color\":\"#282828\",\"icon_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":55,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"social-icons\"},{\"id\":\"d1f4436\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u06a9\\u062f\\u0646\\u0648\\u06cc\\u0633\\u06cc \\u0628\\u0647\\u06cc\\u0646\\u0647\",\"align\":\"center\",\"title_color\":\"#282828\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANYekanFN\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"300\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"2704b328\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"66adc7cc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":37.923,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_radius_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"border_radius_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"content_position\":\"center\",\"align\":\"center\"},\"elements\":[{\"id\":\"59b59eb3\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"width\":{\"unit\":\"%\",\"size\":49,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"907199f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":62.077,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e5012f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u067e\\u064f\\u0631\\u0641\\u0631\\u0648\\u0634 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u067e\\u0631\\u062f\\u067e\\u0631\\u0633\\u06cc\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6ad9e4f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0647\\u062a \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"67353f86\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627\\u067e\\u0631\\u0648\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"449c823e\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"76fa53ff\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"795b4470\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f<\\/strong> \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"42799af2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648 \\u0628\\u0647 \\u0647\\u0645\\u0631\\u0627\\u0647 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u067e\\u0631\\u0648 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"45da3027\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_element_id\":\"takhfif\",\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"6121ccf1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"7f3f1df\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astrapro.jpg\",\"id\":58,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"width\":{\"unit\":\"%\",\"size\":44,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":76,\"sizes\":[]},\"image_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"63f49a14\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#282828\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"100\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"height\":\"min-height\"},\"elements\":[{\"id\":\"2e4826c5\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":25.074,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"4c117094\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":68,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/favicon.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"1f3b48f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":74.926,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"331ce172\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0631\\u0627\\u0626\\u0647 \\u0634\\u062f\\u0647 \\u062a\\u0648\\u0633\\u0637 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5294f8c5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0634\\u0627\\u0648\\u0631\\u0647 \\u0637\\u0631\\u0627\\u062d\\u06cc \\u0633\\u0627\\u06cc\\u062a \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"0f660fe\",\"elType\":\"widget\",\"settings\":{\"text\":\"0990-9365394\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-mobile-alt\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#FCFCFC\",\"background_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false},\"link\":{\"url\":\"tel:09909365394\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("898", "118", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("899", "118", "_thumbnail_id", "10");
INSERT INTO `wp_postmeta` VALUES("900", "118", "_elementor_page_settings", "a:1:{s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("901", "119", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("902", "119", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("903", "119", "_elementor_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("904", "119", "_elementor_pro_version", "3.14.1");
INSERT INTO `wp_postmeta` VALUES("905", "119", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("906", "119", "_elementor_data", "[{\"id\":\"3d47da92\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"45\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"bc47e13\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":310,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.67,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"45\",\"right\":\"45\",\"bottom\":\"45\",\"left\":\"45\",\"isLinked\":true},\"_element_id\":\"bubble\"},\"elements\":[{\"id\":\"7b24fe6b\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\"},\"elements\":[{\"id\":\"5b81e2a6\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"47a97a8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 <strong style=\\\"font-size: 40px;color: #FBEC08;font-weight: bold;\\\"> \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648<\\/strong> \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"typography_font_weight\":\"400\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"46fec036\",\"elType\":\"widget\",\"settings\":{\"align_tablet\":\"center\",\"text_color\":\"#F0F0F0\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":2.1,\"sizes\":[]},\"editor\":\"<p style=\\\"text-align: justify;\\\">\\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u0647\\u0645\\u06cc\\u0634 \\u062c\\u0632\\u0621 \\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646 \\u0647\\u0627 \\u062f\\u0631 \\u062f\\u0646\\u06cc\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0628\\u0648\\u062f\\u0647\\u060c \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0628\\u0647 \\u0639\\u0644\\u062a \\u0647\\u0645\\u0627\\u0647\\u0646\\u06af\\u06cc \\u0628\\u0627\\u0644\\u0627\\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u0648 \\u0633\\u0631\\u0639\\u062a \\u0628\\u0633\\u06cc\\u0627\\u0631 \\u0628\\u0627\\u0648\\u0631\\u0646\\u06a9\\u0631\\u062f\\u0646\\u06cc \\u0645\\u062d\\u0628\\u0648\\u0628\\u06cc\\u062a \\u0628\\u0633\\u06cc\\u0627\\u0631 \\u0628\\u0627\\u0644\\u0627\\u06cc\\u06cc \\u0628\\u06cc\\u0646 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u06a9\\u0627\\u0631\\u0627\\u0646 \\u062f\\u0627\\u0631\\u062f\\u060c \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647 \\u0627\\u06cc\\u0646 \\u0646\\u0633\\u062e\\u0647 \\u0627\\u0632 \\u0642\\u0627\\u0644\\u0628 \\u0631\\u0627 \\u0628\\u0647 \\u0635\\u0648\\u0631\\u062a \\u0627\\u062e\\u062a\\u0635\\u0627\\u0635\\u06cc \\u0628\\u0631\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u0627\\u0646 \\u0633\\u0627\\u06cc\\u062a \\u062e\\u0648\\u062f \\u0637\\u0631\\u0627\\u062d\\u06cc \\u06a9\\u0631\\u062f\\u0647.<\\/p>\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"6e51cf6c\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u062a\\u062e\\u0641\\u06cc\\u0641 \\u0647\\u0627\",\"link\":{\"url\":\"#takhfif\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"5e5aaebf\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":null,\"_inline_size_tablet\":100,\"content_position\":\"center\"},\"elements\":[{\"id\":\"5e81c5e2\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width\":{\"unit\":\"%\",\"size\":46,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}],\"isInner\":false},{\"id\":\"6f9eb886\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"150\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":false}},\"elements\":[{\"id\":\"bcfb378\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"3098e3f2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u0642\\u0627\\u0644\\u0628<\\/strong> \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"59830cb0\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0631\\u0627 \\u0645\\u06cc\\u200c\\u062a\\u0648\\u0627\\u0646\\u06cc\\u062f \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0627\\u0632 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647 \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"68c7709a\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#FCEEEF\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"25\",\"isLinked\":false},\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"4e7cb11e\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"d926dc7\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 \\u0686\\u0646\\u062f \\u0645\\u0646\\u0638\\u0648\\u0631\\u0647 \\u2013 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc Astra \\u060c \\u06cc\\u06a9 \\u0642\\u0627\\u0644\\u0628 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0628\\u0631\\u0627\\u06cc \\u0631\\u0627\\u0647 \\u0627\\u0646\\u062f\\u0627\\u0632\\u06cc \\u06cc\\u06a9 \\u0648\\u0628\\u0633\\u0627\\u06cc\\u062a \\u062d\\u0631\\u0641\\u0647\\u200c\\u0627\\u06cc \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0627\\u0633\\u062a. \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u0627\\u0632 \\u0633\\u0627\\u0632\\u06af\\u0627\\u0631 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u200c\\u0647\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u0648 \\u062c\\u0632 \\u0633\\u0631\\u06cc\\u0639\\u200c\\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u200c\\u0647\\u0627\\u06cc \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0627\\u0633\\u062a!! \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628\\u060c \\u0628\\u0637\\u0648\\u0631 \\u06a9\\u0627\\u0645\\u0644 \\u062a\\u0631\\u062c\\u0645\\u0647\\u060c \\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646 \\u0648 \\u0628\\u0648\\u0645\\u06cc \\u0634\\u062f\\u0647 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0633\\u0627\\u06cc\\u062a\\u200c\\u0647\\u0627\\u06cc \\u0627\\u06cc\\u0631\\u0627\\u0646\\u06cc\\u060c \\u0628\\u0631\\u0627\\u062d\\u062a\\u06cc \\u0642\\u0627\\u0628\\u0644 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0633\\u062a.\\u0628\\u062e\\u0634\\u200c\\u0647\\u0627\\u06cc \\u0645\\u062e\\u062a\\u0644\\u0641 \\u0642\\u0627\\u0644\\u0628 Astra \\u062e\\u06cc\\u0644\\u06cc \\u0631\\u0627\\u062d\\u062a \\u0628\\u0627 \\u0633\\u0641\\u0627\\u0631\\u0634\\u06cc \\u0633\\u0627\\u0632 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633\\u060c \\u0642\\u0627\\u0628\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0648 \\u0634\\u062e\\u0635\\u06cc \\u0633\\u0627\\u0632\\u06cc \\u0627\\u0633\\u062a. \\u0647\\u0645\\u0686\\u0646\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0627\\u062a \\u0645\\u062e\\u062a\\u0644\\u0641 \\u0627\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u060c \\u0628\\u0627 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u06cc\\u0639\\u0646\\u06cc \\u0628\\u0647\\u062a\\u0631\\u06cc\\u0646 \\u0635\\u0641\\u062d\\u0647 \\u0633\\u0627\\u0632 \\u0648\\u0631\\u062f\\u067e\\u0631\\u0633 \\u0642\\u0627\\u0628\\u0644 \\u062a\\u063a\\u06cc\\u06cc\\u0631 \\u0627\\u0633\\u062a\\u060c \\u062f\\u0631 \\u0627\\u06cc\\u0646 \\u0646\\u0633\\u062e\\u0647 \\u0627\\u0632 \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u06a9\\u0647 \\u062a\\u0648\\u0633\\u0637 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647 \\u0637\\u0631\\u0627\\u062d\\u06cc \\u0634\\u062f\\u0647 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u067e\\u0631\\u0648 \\u0628\\u0627 \\u0644\\u0627\\u06cc\\u0633\\u0646\\u0633 \\u0627\\u0635\\u0644\\u06cc \\u0646\\u06cc\\u0632 \\u0628\\u0647 \\u0635\\u0648\\u0631\\u062a \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646 \\u0631\\u0648\\u06cc \\u0642\\u0627\\u0644\\u0628 \\u0646\\u0635\\u0628 \\u0645\\u06cc\\u200c\\u0628\\u0627\\u0634\\u062f \\u067e\\u0633 \\u0628\\u0627 \\u062e\\u06cc\\u0627\\u0644 \\u0631\\u0627\\u062d\\u062a \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0646\\u06cc\\u062f\\u060c \\u0627\\u0644\\u0628\\u062a\\u0647 \\u0646\\u0633\\u062e\\u0647 \\u0647\\u0627\\u06cc \\u062c\\u062f\\u06cc\\u062f\\u062a\\u0631 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u0631\\u0627 \\u0646\\u06cc\\u0632 \\u0645\\u06cc \\u062a\\u0648\\u0627\\u0646\\u06cc\\u062f \\u0627\\u0632 \\u0633\\u0627\\u06cc\\u062a \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647 \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0646\\u06cc\\u062f.\",\"align\":\"center\",\"title_color\":\"#0B0B0B\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"},\"align_mobile\":\"justify\",\"typography_line_height\":{\"unit\":\"px\",\"size\":42,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"4ddff111\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"40\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"72432585\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"7a3633a3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0631\\u062e\\u06cc<strong style=\\\"font-weight: bold;\\\"> \\u0627\\u0632 <\\/strong> \\u0627\\u0645\\u06a9\\u0627\\u0646\\u0627\\u062a \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"e715028\",\"elType\":\"section\",\"settings\":{\"structure\":\"60\",\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":0,\"bottom\":\"50\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"0\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"4760962c\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"685374c\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-elementor\",\"library\":\"fa-brands\"},\"_id\":\"0ff8d56\"}],\"icon_color\":\"custom\",\"icon_primary_color\":\"#EEEEEE\",\"icon_secondary_color\":\"#282828\",\"icon_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":55,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"social-icons\"},{\"id\":\"6f14ce2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631\\u067e\\u0631\\u0648\",\"align\":\"center\",\"title_color\":\"#282828\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANYekanFN\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"300\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"8e9ae7e\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"10f68d8\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"_id\":\"b0892a9\"}],\"icon_color\":\"custom\",\"icon_primary_color\":\"#EEEEEE\",\"icon_secondary_color\":\"#282828\",\"icon_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":55,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"social-icons\"},{\"id\":\"b8bf7fb\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0622\\u062e\\u0631\\u06cc\\u0646 \\u0646\\u0633\\u062e\\u0647\",\"align\":\"center\",\"title_color\":\"#282828\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANYekanFN\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"300\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"efedc26\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"2864377\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-erlang\",\"library\":\"fa-brands\"},\"_id\":\"4f9e77b\"}],\"icon_color\":\"custom\",\"icon_primary_color\":\"#EEEEEE\",\"icon_secondary_color\":\"#282828\",\"icon_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":55,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"social-icons\"},{\"id\":\"2b1f61e\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0641\\u0627\\u0631\\u0633\\u06cc \\u0633\\u0627\\u0632\\u06cc \\u0634\\u062f\\u0647\",\"align\":\"center\",\"title_color\":\"#282828\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANYekanFN\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"300\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"49a3f6d\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"28b1c17\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fas fa-cloud-upload-alt\",\"library\":\"fa-solid\"},\"_id\":\"abf151b\"}],\"icon_color\":\"custom\",\"icon_primary_color\":\"#EEEEEE\",\"icon_secondary_color\":\"#282828\",\"icon_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":55,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"social-icons\"},{\"id\":\"219c6a3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0633\\u0631\\u0639\\u062a \\u0628\\u0627\\u0644\\u0627\",\"align\":\"center\",\"title_color\":\"#282828\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANYekanFN\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"300\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"43d9d1b\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"f4ede82\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fas fa-spell-check\",\"library\":\"fa-solid\"},\"_id\":\"142f58a\"}],\"icon_color\":\"custom\",\"icon_primary_color\":\"#EEEEEE\",\"icon_secondary_color\":\"#282828\",\"icon_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":55,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"social-icons\"},{\"id\":\"2c7442e\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0631\\u0627\\u0633\\u062a\\u0686\\u06cc\\u0646\",\"align\":\"center\",\"title_color\":\"#282828\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANYekanFN\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"300\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false},{\"id\":\"7f17510\",\"elType\":\"column\",\"settings\":{\"_column_size\":16,\"_inline_size\":null,\"_inline_size_tablet\":50,\"_inline_size_mobile\":50,\"content_position\":\"center\",\"align\":\"center\",\"border_width\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":true},\"border_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true}},\"elements\":[{\"id\":\"1ad4bc4\",\"elType\":\"widget\",\"settings\":{\"social_icon_list\":[{\"social_icon\":{\"value\":\"fab fa-html5\",\"library\":\"fa-brands\"},\"_id\":\"c60c9c2\"}],\"icon_color\":\"custom\",\"icon_primary_color\":\"#EEEEEE\",\"icon_secondary_color\":\"#282828\",\"icon_size\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"icon_spacing\":{\"unit\":\"px\",\"size\":55,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"social-icons\"},{\"id\":\"d1f4436\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u06a9\\u062f\\u0646\\u0648\\u06cc\\u0633\\u06cc \\u0628\\u0647\\u06cc\\u0646\\u0647\",\"align\":\"center\",\"title_color\":\"#282828\",\"typography_typography\":\"custom\",\"typography_font_family\":\"IRANYekanFN\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"300\"},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"2704b328\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"gradient\",\"background_color\":\"#D70D59\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"60\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false}},\"elements\":[{\"id\":\"66adc7cc\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":37.923,\"_inline_size_tablet\":100,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"border_radius_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"40\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true},\"border_radius_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"content_position\":\"center\",\"align\":\"center\"},\"elements\":[{\"id\":\"59b59eb3\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":10,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astra-logo.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"},\"width\":{\"unit\":\"%\",\"size\":49,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"907199f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":62.077,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2e5012f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u067e\\u064f\\u0631\\u0641\\u0631\\u0648\\u0634 \\u062a\\u0631\\u06cc\\u0646 \\u0642\\u0627\\u0644\\u0628 \\u067e\\u0631\\u062f\\u067e\\u0631\\u0633\\u06cc\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6ad9e4f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062c\\u0647\\u062a \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"67353f86\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062f\\u0627\\u0646\\u0644\\u0648\\u062f \\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627\\u067e\\u0631\\u0648\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#3F3F3F\",\"background_color\":\"#FBEC08\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false},\"link\":{\"url\":\"https:\\/\\/elmineh.com\\/?p=10473\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"449c823e\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"px\",\"top\":\"80\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"30\",\"right\":0,\"bottom\":\"30\",\"left\":0,\"isLinked\":true}},\"elements\":[{\"id\":\"76fa53ff\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null},\"elements\":[{\"id\":\"795b4470\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646<strong style=\\\"font-weight: bold;\\\"> \\u062f\\u0627\\u0646\\u0644\\u0648\\u062f<\\/strong> \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=secondary\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"42799af2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0642\\u0627\\u0644\\u0628 \\u0622\\u0633\\u062a\\u0631\\u0627 \\u067e\\u0631\\u0648 \\u0628\\u0647 \\u0647\\u0645\\u0631\\u0627\\u0647 \\u0627\\u0644\\u0645\\u0646\\u062a\\u0648\\u0631 \\u067e\\u0631\\u0648 \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"align\":\"center\",\"title_color\":\"#787F87\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"100\",\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"45da3027\",\"elType\":\"section\",\"settings\":{\"background_background\":\"classic\",\"shape_divider_top\":\"mountains\",\"shape_divider_bottom\":\"mountains\",\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_element_id\":\"takhfif\",\"custom_css\":\".product-list-1.ps1.mehr-iran-21 {\\n\\tbox-shadow: 0px 0px 0px #fff;\\n\\tborder-radius: 15px;\\n}\"},\"elements\":[{\"id\":\"6121ccf1\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"7f3f1df\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/astrapro.jpg\",\"id\":58,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"width\":{\"unit\":\"%\",\"size\":44,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":76,\"sizes\":[]},\"image_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"63f49a14\",\"elType\":\"section\",\"settings\":{\"structure\":\"20\",\"background_background\":\"classic\",\"background_color\":\"#282828\",\"background_color_b\":\"#FC3B24\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":260,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"id\":21,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/bglite-1.png\"},\"background_overlay_position\":\"center center\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":0.72,\"sizes\":[]},\"shape_divider_top\":\"wave-brush\",\"shape_divider_bottom\":\"tilt\",\"shape_divider_bottom_flip\":\"yes\",\"margin\":{\"unit\":\"px\",\"top\":\"100\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"15\",\"bottom\":\"50\",\"left\":\"15\",\"isLinked\":false},\"height\":\"min-height\"},\"elements\":[{\"id\":\"2e4826c5\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":25.074,\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.14)\"},\"padding\":{\"unit\":\"px\",\"top\":\"30\",\"right\":\"30\",\"bottom\":\"30\",\"left\":\"30\",\"isLinked\":true}},\"elements\":[{\"id\":\"4c117094\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":68,\"url\":\"https:\\/\\/test.filtersanaat.com\\/wp-content\\/uploads\\/2023\\/07\\/favicon.png\",\"alt\":\"\",\"source\":\"library\",\"size\":\"\"}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false},{\"id\":\"1f3b48f\",\"elType\":\"column\",\"settings\":{\"_column_size\":50,\"_inline_size\":74.926,\"_inline_size_tablet\":100,\"margin\":{\"unit\":\"px\",\"top\":\"160\",\"right\":\"40\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"331ce172\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0631\\u0627\\u0626\\u0647 \\u0634\\u062f\\u0647 \\u062a\\u0648\\u0633\\u0637 \\u0622\\u0645\\u0648\\u0632\\u0634\\u06af\\u0627\\u0647 \\u0639\\u0644\\u0645\\u06cc\\u0646\\u0647\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5294f8c5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0634\\u0627\\u0648\\u0631\\u0647 \\u0637\\u0631\\u0627\\u062d\\u06cc \\u0633\\u0627\\u06cc\\u062a \\u0631\\u0627\\u06cc\\u06af\\u0627\\u0646\",\"align_tablet\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"100\",\"_margin\":{\"unit\":\"px\",\"top\":\"-6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"title_color\":\"\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"0f660fe\",\"elType\":\"widget\",\"settings\":{\"text\":\"0990-9365394\",\"align_tablet\":\"center\",\"selected_icon\":{\"value\":\"fas fa-mobile-alt\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_color\":\"#FCFCFC\",\"background_color\":\"#EF2B36\",\"border_radius\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"7\",\"bottom\":\"7\",\"left\":\"7\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"35\",\"bottom\":\"20\",\"left\":\"35\",\"isLinked\":false},\"link\":{\"url\":\"tel:09909365394\",\"is_external\":\"on\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("907", "119", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("908", "119", "_thumbnail_id", "10");
INSERT INTO `wp_postmeta` VALUES("909", "119", "_elementor_page_settings", "a:1:{s:10:\"custom_css\";s:535:\"body {\n	background: #fff !important;\n}\n\n.product-list {\n	float: right;\n	width: 100%;\n	padding: 0px;\n	box-sizing: border-box;\n	padding: 20px 0px;\n}\n\n#bubble::before {\n	content: \"\";\n	right: 0;\n	position: absolute;\n	width: 90%;\n	height: 25px;\n	background: #FFE0E3;\n	border-radius: 0px 0px 7px 7px;\n	bottom: 0;\n	margin-right: 5%;\n	margin-bottom: -25px;\n}\n#bubble::after {\n	content: \"\";\n	position: absolute;\n	background: #FFEFF1;\n	right: 10%;\n	height: 15px;\n	bottom: 0;\n	width: 80%;\n	border-radius: 0px 0px 7px 7px;\n	margin-bottom: -40px;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("924", "5", "_elementor_css", "a:6:{s:4:\"time\";i:1720680040;s:5:\"fonts\";a:1:{i:0;s:11:\"IRANYekanFN\";}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("948", "124", "_elementor_page_assets", "a:1:{s:7:\"scripts\";a:1:{i:0;s:8:\"e-sticky\";}}");
INSERT INTO `wp_postmeta` VALUES("949", "124", "_elementor_conditions", "a:1:{i:0;s:15:\"include/general\";}");
INSERT INTO `wp_postmeta` VALUES("950", "124", "_elementor_css", "a:6:{s:4:\"time\";i:1720680042;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:1:{i:0;s:9:\"fa-brands\";}s:20:\"dynamic_elements_ids\";a:1:{i:0;s:7:\"e08b741\";}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");

/* INSERT TABLE DATA: wp_posts */
INSERT INTO `wp_posts` VALUES("1", "1", "2023-07-15 22:38:43", "2023-07-15 19:08:43", "<!-- wp:paragraph -->\n<p>به وردپرس خوش آمدید. این اولین نوشتهٔ شماست. این را ویرایش یا حذف کنید، سپس نوشتن را شروع نمایید!</p>\n<!-- /wp:paragraph -->", "سلام دنیا!", "", "publish", "open", "open", "", "%d8%b3%d9%84%d8%a7%d9%85-%d8%af%d9%86%db%8c%d8%a7", "", "", "2023-07-15 22:38:43", "2023-07-15 19:08:43", "", "0", "https://test.filtersanaat.com/?p=1", "0", "post", "", "1");
INSERT INTO `wp_posts` VALUES("2", "1", "2023-07-15 22:38:43", "2023-07-15 19:08:43", "<!-- wp:paragraph -->\n<p>این یک برگهٔ نمونه است. این از یک نوشتهٔ وبلاگ متفاوت است زیرا در یک مکان باقی خواهد ماند و در راهبری سایتتان (در بیشتر پوسته‌ها) نشان داده خواهد شد. بیشتر مردم با یک برگه درباره که آن‌ها را به بازدیدکنندگان بالقوهٔ سایت معرفی می‌کند، آغاز می‌کنند. که ممکن است چیزی همانند این باشد:</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><p>سلام! من یک پیام‌رسان دوچرخه‌سوار در روز، بازیگر مشتاق در شب هستم، و این وب‌سایت من است. من در لس آنجلس زندگی می‌کنم، یک سگ بزرگ به نام جک دارم، و من پینیا کولادا دوست دارم. (همچنین گرفتار شدن در باران را دوست دارم.)</p></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>...یا چیزهایی مانند این:</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><p>شرکت XYZ در سال ۱۹۷۱ تأسیس شد، و تا کنون چیزهای با کیفیتی را به عموم عرضه کرده است. این شرکت در شهر گاتهام واقع شده است، بیش از ۲۰۰۰ نفر در آن کار می‌کنند و همه نوع چیز عالی برای جامعه گاتهام انجام می‌دهد.</p></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>به عنوان یک کاربر جدید وردپرس، برای حذف این برگه و ایجاد برگه‌های جدید برای محتوای خود شما باید به <a href=\"https://test.filtersanaat.com/wp-admin/\">پیشخوان</a> بروید. خوش بگذره!</p>\n<!-- /wp:paragraph -->", "برگه نمونه", "", "publish", "closed", "open", "", "برگه-نمونه", "", "", "2023-07-15 22:38:43", "2023-07-15 19:08:43", "", "0", "https://test.filtersanaat.com/?page_id=2", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("3", "1", "2023-07-15 22:38:43", "2023-07-15 19:08:43", "<!-- wp:heading --><h2>ما که هستیم</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">متن پیشنهادی: </strong>نشانی وب‌سایت ما: http://astra.lenzcover.ir.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>دیدگاه‌ها</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">متن پیشنهادی: </strong>هنگامی که بازدیدکنندگان نظرات خود را در سایت می‌نویسند، ما اطلاعاتی را که در فرم نظرات و همچنین بازدید کننده‌ها ارائه می‌شود جمع آوری می‌کنیم &#8217;s آدرس IP و رجیستر عامل کاربر مرورگر برای کمک به تشخیص هرزنامه.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>یک رشته ناشناس ایجاد شده از آدرس ایمیل شما (همچنین هش نامیده می‌شود) ممکن است به سرویس Gravatar ارائه شود تا ببینید آیا از آن استفاده می‌کنید. سیاست حفظ حریم خصوصی خدمات Gravatar در اینجا در دسترس است: https://automattic.com/privacy/. پس از تأیید نظر شما، تصویر نمایه شما در متن نظر شما قابل مشاهده است.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>رسانه</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">متن پیشنهادی: </strong>اگر تصاویر را به وبسایت آپلود کنید، نباید آپلود تصاویر با داده‌های مکان جغرافیایی (EXIF GPS) شامل شود. بازدیدکنندگان وب سایت می‌توانند هر گونه اطلاعات مکان را از تصاویر در وب سایت دانلود و استخراج کنند.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>کوکی‌ها</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">متن پیشنهادی: </strong>اگر شما نظر خود را در سایت ما ثبت کنید، ممکن است برای ذخیره نام، آدرس ایمیل و وب سایت خود در کوکی‌ها تصمیم گیری کنید. اینها برای راحتی شما هستند، به طوری که شما مجبور نیستید دوباره جزئیات خود را پر کنید زمانی که نظر دیگری را ارسال کنید. این کوکی‌ها یک سال طول خواهد کشید.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>اگر از برگه ورود ما بازدید نمایید، ما یک کوکی موقت برای مشخص نمودن اینکه آیا مروگر شما کوکی قبول می‌کند را تنظیم می‌کنیم. این کوکی محتوای اطلاعات شخصی شما نیست و وقتی مرورگر شما بسته می‌شود از بین می‌رود.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>هنگام ورود به سیستم، ما همچنین کوکی‌ها را تنظیم خواهیم کرد تا اطلاعات ورود به سیستم و گزینه‌های صفحه نمایش خود را ذخیره کنید. کوکی‌های ورود به سیستم برای دو روز گذشته و کوکی‌های گزینه‌های صفحه نمایش برای یک سال گذشته است. اگر &quot; مرا به خاطر بسپار &quot; را انتخاب کنید، ورود شما برای دو هفته ادامه خواهد داشت. اگر از حساب خود خارج شوید، کوکی‌های ورود حذف خواهند شد.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>اگر یک مقاله را ویرایش یا منتشر کنید، یک کوکی اضافی در مرورگر شما ذخیره خواهد شد. این کوکی حاوی اطلاعات شخصی نیست و به سادگی نشان می‌دهد که شناسه پست مقاله شما فقط ویرایش شده است. بعد از یک روز منقضی می‌شود.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>محتوای جاسازی‌شده از دیگر وب‌سایت‌ها</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">متن پیشنهادی: </strong>مقالات موجود در این سایت ممکن است شامل محتوای تعبیه شده (مثلا ویدئوها، تصاویر، مقالات و غیره) باشد. مطالب جاسازی شده از وب سایت‌های دیگر رفتار دقیقا همان طوری که بازدید کننده از وب سایت دیگر بازدید کرده است.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>این وبسایت‌ها ممکن است اطلاعاتی مربوط به شما را جمع‌آوری کنند، از کوکی‌ها استفاده کنند، ردیابی سوم شخص اضافه را جاسازی کنند و تعامل شما را با محتوای تعبیه شده نظارت کنند که شامل ردیابی تعامل شما با محتوای جاسازی شده است اگر حساب کاربری داشته و به آن وبسایت وارد شده باشید.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>اطلاعات شما را با چه کسی به اشتراک می‌گذاریم</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">متن پیشنهادی: </strong>اگر شما یک تنظیم دوباره رمز عبور را درخواست دادید، نشانی IP شما در ایمیل تنظیم دوباره وجود خواهد داشت.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>چه مدت ما اطلاعات شما را حفظ می‌کنیم</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">متن پیشنهادی: </strong>اگر یک نظر را ارسال کنید، نظر و متادیتای آن به طور نامحدود حفظ می‌شوند. این به این معنا است که ما می‌توانیم نظرات بعدی را بطور خودکار بجای اینکه در صف بازدید قرار دهیم، تشخیص داده و تایید کنیم.</p><!-- /wp:paragraph --><!-- wp:paragraph --><p>برای کاربرانی که در وب سایت ما ثبت نام می‌کنند (اگر وجود داشته باشند)، ما همچنین اطلاعات شخصی را که در مشخصات کاربر آنها ارائه می‌کنیم، ذخیره می‌کنیم. همه کاربران می‌توانند اطلاعات شخصی خود را در هر زمان (به جز آنها که نمی‌توانند نام کاربری خود را تغییر دهند) ببینند، ویرایش و یا حذف کنند. مدیران وب سایت همچنین می‌توانند این اطلاعات را مشاهده و ویرایش کنند.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>حقوقی که بر روی داده‌هایتان دارید</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">متن پیشنهادی: </strong>اگر در این سایت حساب کاربری دارید یا نظری ارسال کرده‌اید، می‌توانید درخواست دریافت یک فایل خروجی از اطلاعات شخصی که ما در مورد شما نگه می‌داریم، از جمله هرگونه داده‌ای که برای ما ارائه کرده‌اید را بدهید. همچنین می‌توانید درخواست کنید که ما هرگونه اطلاعات شخصی که در مورد شما داریم را پاک کنیم. این شامل اطلاعاتی نیست که ما مجبور به نگهداری آنها برای اهداف اداری، قانونی یا امنیتی باشیم.</p><!-- /wp:paragraph --><!-- wp:heading --><h2>داده‌هایتان کجا فرستاده شد</h2><!-- /wp:heading --><!-- wp:paragraph --><p><strong class=\"privacy-policy-tutorial\">متن پیشنهادی: </strong>دیدگاه‌های بازدیدکننده ممکن است از طریق یک سرویس تشخیص جفنگ خودکار بررسی شوند.</p><!-- /wp:paragraph -->", "سیاست حفظ حریم خصوصی", "", "draft", "closed", "open", "", "سیاست-حفظ-حریم-خصوصی", "", "", "2023-07-15 22:38:43", "2023-07-15 19:08:43", "", "0", "https://test.filtersanaat.com/?page_id=3", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("5", "1", "2023-07-15 19:13:57", "2023-07-15 19:13:57", "", "Kit پیش‌ فرض", "", "publish", "closed", "closed", "", "kit-%d9%be%db%8c%d8%b4-%d9%81%d8%b1%d8%b6", "", "", "2023-07-16 00:00:52", "2023-07-15 19:30:52", "", "0", "https://test.filtersanaat.com/?p=5", "0", "elementor_library", "", "0");
INSERT INTO `wp_posts` VALUES("7", "1", "2023-07-15 23:51:53", "2023-07-15 19:21:53", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>قالب <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> آسترا پرو</strong> علمینه</h2>		\n		<p style=\"text-align: justify;\">قالب آسترا همیش جزء بهترین ها در دنیای وردپرس بوده، این قالب به علت هماهنگی بالابا المنتور و سرعت بسیار باورنکردنی محبوبیت بسیار بالایی بین وردپرس کاران دارد، آموزشگاه علمینه این نسخه از قالب را به صورت اختصاصی برای کاربران سایت خود طراحی کرده.</p>		\n			<a href=\"#takhfif\">\n						مشاهده تخفیف ها\n					</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2>بهترین<strong style=\"font-weight: bold;\"> قالب</strong> شرکتی وردپرس</h2>		\n			<h2>این قالب را می‌توانید رایگان از آموزشگاه علمینه دانلود کنید</h2>		\n			<h2>قالب چند منظوره – فروشگاهی Astra ، یک قالب وردپرس رایگان برای راه اندازی یک وبسایت حرفه‌ای فروشگاهی است. قالب آسترا از سازگار ترین قالب‌های وردپرس با المنتور و جز سریع‌ترین قالب‌های وردپرس است!! این قالب، بطور کامل ترجمه، راستچین و بومی شده است و برای سایت‌های ایرانی، براحتی قابل استفاده است.بخش‌های مختلف قالب Astra خیلی راحت با سفارشی ساز وردپرس، قابل تغییر و شخصی سازی است. همچنین صفحات مختلف این قالب فروشگاهی رایگان وردپرس ، با المنتور یعنی بهترین صفحه ساز وردپرس قابل تغییر است، در این نسخه از قالب آسترا که توسط آموزشگاه علمینه طراحی شده المنتور پرو با لایسنس اصلی نیز به صورت رایگان روی قالب نصب می‌باشد پس با خیال راحت دانلود کنید، البته نسخه های جدیدتر المنتور را نیز می توانید از سایت علمینه دانلود کنید.</h2>		\n			<h2>برخی<strong style=\"font-weight: bold;\"> از </strong> امکانات آسترا پرو</h2>		\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-social-icons.elementor-grid-0 .elementor-widget-container,.elementor-widget-social-icons.elementor-grid-mobile-0 .elementor-widget-container,.elementor-widget-social-icons.elementor-grid-tablet-0 .elementor-widget-container{line-height:1;font-size:0}.elementor-widget-social-icons:not(.elementor-grid-0):not(.elementor-grid-tablet-0):not(.elementor-grid-mobile-0) .elementor-grid{display:inline-grid}.elementor-widget-social-icons .elementor-grid{grid-column-gap:var(--grid-column-gap,5px);grid-row-gap:var(--grid-row-gap,5px);grid-template-columns:var(--grid-template-columns);justify-content:var(--justify-content,center);justify-items:var(--justify-content,center)}.elementor-icon.elementor-social-icon{font-size:var(--icon-size,25px);line-height:var(--icon-size,25px);width:calc(var(--icon-size, 25px) + (2 * var(--icon-padding, .5em)));height:calc(var(--icon-size, 25px) + (2 * var(--icon-padding, .5em)))}.elementor-social-icon{--e-social-icon-icon-color:#fff;display:inline-flex;background-color:#69727d;align-items:center;justify-content:center;text-align:center;cursor:pointer}.elementor-social-icon i{color:var(--e-social-icon-icon-color)}.elementor-social-icon svg{fill:var(--e-social-icon-icon-color)}.elementor-social-icon:last-child{margin:0}.elementor-social-icon:hover{opacity:.9;color:#fff}.elementor-social-icon-android{background-color:#a4c639}.elementor-social-icon-apple{background-color:#999}.elementor-social-icon-behance{background-color:#1769ff}.elementor-social-icon-bitbucket{background-color:#205081}.elementor-social-icon-codepen{background-color:#000}.elementor-social-icon-delicious{background-color:#39f}.elementor-social-icon-deviantart{background-color:#05cc47}.elementor-social-icon-digg{background-color:#005be2}.elementor-social-icon-dribbble{background-color:#ea4c89}.elementor-social-icon-elementor{background-color:#d30c5c}.elementor-social-icon-envelope{background-color:#ea4335}.elementor-social-icon-facebook,.elementor-social-icon-facebook-f{background-color:#3b5998}.elementor-social-icon-flickr{background-color:#0063dc}.elementor-social-icon-foursquare{background-color:#2d5be3}.elementor-social-icon-free-code-camp,.elementor-social-icon-freecodecamp{background-color:#006400}.elementor-social-icon-github{background-color:#333}.elementor-social-icon-gitlab{background-color:#e24329}.elementor-social-icon-globe{background-color:#69727d}.elementor-social-icon-google-plus,.elementor-social-icon-google-plus-g{background-color:#dd4b39}.elementor-social-icon-houzz{background-color:#7ac142}.elementor-social-icon-instagram{background-color:#262626}.elementor-social-icon-jsfiddle{background-color:#487aa2}.elementor-social-icon-link{background-color:#818a91}.elementor-social-icon-linkedin,.elementor-social-icon-linkedin-in{background-color:#0077b5}.elementor-social-icon-medium{background-color:#00ab6b}.elementor-social-icon-meetup{background-color:#ec1c40}.elementor-social-icon-mixcloud{background-color:#273a4b}.elementor-social-icon-odnoklassniki{background-color:#f4731c}.elementor-social-icon-pinterest{background-color:#bd081c}.elementor-social-icon-product-hunt{background-color:#da552f}.elementor-social-icon-reddit{background-color:#ff4500}.elementor-social-icon-rss{background-color:#f26522}.elementor-social-icon-shopping-cart{background-color:#4caf50}.elementor-social-icon-skype{background-color:#00aff0}.elementor-social-icon-slideshare{background-color:#0077b5}.elementor-social-icon-snapchat{background-color:#fffc00}.elementor-social-icon-soundcloud{background-color:#f80}.elementor-social-icon-spotify{background-color:#2ebd59}.elementor-social-icon-stack-overflow{background-color:#fe7a15}.elementor-social-icon-steam{background-color:#00adee}.elementor-social-icon-stumbleupon{background-color:#eb4924}.elementor-social-icon-telegram{background-color:#2ca5e0}.elementor-social-icon-thumb-tack{background-color:#1aa1d8}.elementor-social-icon-tripadvisor{background-color:#589442}.elementor-social-icon-tumblr{background-color:#35465c}.elementor-social-icon-twitch{background-color:#6441a5}.elementor-social-icon-twitter{background-color:#1da1f2}.elementor-social-icon-viber{background-color:#665cac}.elementor-social-icon-vimeo{background-color:#1ab7ea}.elementor-social-icon-vk{background-color:#45668e}.elementor-social-icon-weibo{background-color:#dd2430}.elementor-social-icon-weixin{background-color:#31a918}.elementor-social-icon-whatsapp{background-color:#25d366}.elementor-social-icon-wordpress{background-color:#21759b}.elementor-social-icon-xing{background-color:#026466}.elementor-social-icon-yelp{background-color:#af0606}.elementor-social-icon-youtube{background-color:#cd201f}.elementor-social-icon-500px{background-color:#0099e5}.elementor-shape-rounded .elementor-icon.elementor-social-icon{border-radius:10%}.elementor-shape-circle .elementor-icon.elementor-social-icon{border-radius:50%}</style>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Elementor\n											</a>\n			<h2>المنتورپرو</h2>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Wordpress\n											</a>\n			<h2>آخرین نسخه</h2>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Erlang\n											</a>\n			<h2>فارسی سازی شده</h2>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Cloud-upload-alt\n											</a>\n			<h2>سرعت بالا</h2>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Spell-check\n											</a>\n			<h2>راستچین</h2>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Html5\n											</a>\n			<h2>کدنویسی بهینه</h2>		\n															<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2><a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">پُرفروش ترین قالب وردپرسی</a></h2>		\n			<h2>جهت دانلود کلیک کنید</h2>		\n			<a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">\n						دانلود قالب آستراپرو\n					</a>\n			<h2>رایگان<strong style=\"font-weight: bold;\"> دانلود</strong> کنید</h2>		\n			<h2>قالب آسترا پرو به همراه المنتور پرو رایگان</h2>		\n															<img width=\"849\" height=\"458\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro.jpg 849w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro-300x162.jpg 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro-768x414.jpg 768w\" sizes=\"(max-width: 849px) 100vw, 849px\" />															\n															<img width=\"512\" height=\"512\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon.png 512w, https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon-150x150.png 150w\" sizes=\"(max-width: 512px) 100vw, 512px\" />															\n			<h2>ارائه شده توسط آموزشگاه علمینه</h2>		\n			<h2>مشاوره طراحی سایت رایگان</h2>		\n			<a href=\"tel:09909365394\" target=\"_blank\" rel=\"noopener\">\n						0990-9365394\n					</a>", "صفحه اصلی", "", "publish", "closed", "closed", "", "%d8%b5%d9%81%d8%ad%d9%87-%d8%a7%d8%b5%d9%84%db%8c", "", "", "2023-07-16 04:50:19", "2023-07-16 00:20:19", "", "0", "https://test.filtersanaat.com/?page_id=7", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("8", "1", "2023-07-15 23:49:41", "2023-07-15 19:19:41", "{\"version\": 2, \"isGlobalStylesUserThemeJSON\": true }", "Custom Styles", "", "publish", "closed", "closed", "", "wp-global-styles-astra", "", "", "2023-07-15 23:49:41", "2023-07-15 19:19:41", "", "0", "https://test.filtersanaat.com/2023/07/15/wp-global-styles-astra/", "0", "wp_global_styles", "", "0");
INSERT INTO `wp_posts` VALUES("9", "1", "2023-07-15 23:49:43", "2023-07-15 19:19:43", "", "Elementor #7", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-07-15 23:49:43", "2023-07-15 19:19:43", "", "7", "https://test.filtersanaat.com/?p=9", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("10", "1", "2023-07-15 23:53:19", "2023-07-15 19:23:19", "", "astra logo", "", "inherit", "open", "closed", "", "astra-logo", "", "", "2023-07-15 23:53:19", "2023-07-15 19:23:19", "", "7", "https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("11", "1", "2023-07-15 23:53:26", "2023-07-15 19:23:26", "", "icon astra", "", "inherit", "open", "closed", "", "icon-astra", "", "", "2023-07-15 23:53:26", "2023-07-15 19:23:26", "", "7", "https://test.filtersanaat.com/wp-content/uploads/2023/07/icon-astra.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("12", "1", "2023-07-15 23:53:37", "2023-07-15 19:23:37", "", "صفحه اصلی", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-07-15 23:53:37", "2023-07-15 19:23:37", "", "7", "https://test.filtersanaat.com/?p=12", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("13", "1", "2023-07-15 23:53:37", "2023-07-15 19:23:37", "", "صفحه اصلی", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-07-15 23:53:37", "2023-07-15 19:23:37", "", "7", "https://test.filtersanaat.com/?p=13", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("14", "1", "2023-07-15 23:53:37", "2023-07-15 19:23:37", "", "صفحه اصلی", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-07-15 23:53:37", "2023-07-15 19:23:37", "", "7", "https://test.filtersanaat.com/?p=14", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("15", "1", "2023-07-15 23:58:25", "2023-07-15 19:28:25", "", "Kit پیش‌ فرض", "", "inherit", "closed", "closed", "", "5-revision-v1", "", "", "2023-07-15 23:58:25", "2023-07-15 19:28:25", "", "5", "https://test.filtersanaat.com/?p=15", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("16", "1", "2023-07-15 23:58:25", "2023-07-15 19:28:25", "", "Kit پیش‌ فرض", "", "inherit", "closed", "closed", "", "5-revision-v1", "", "", "2023-07-15 23:58:25", "2023-07-15 19:28:25", "", "5", "https://test.filtersanaat.com/?p=16", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("17", "1", "2023-07-15 23:59:47", "2023-07-15 19:29:47", "", "Kit پیش‌ فرض", "", "inherit", "closed", "closed", "", "5-revision-v1", "", "", "2023-07-15 23:59:47", "2023-07-15 19:29:47", "", "5", "https://test.filtersanaat.com/?p=17", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("18", "1", "2023-07-16 00:00:52", "2023-07-15 19:30:52", "", "Kit پیش‌ فرض", "", "inherit", "closed", "closed", "", "5-revision-v1", "", "", "2023-07-16 00:00:52", "2023-07-15 19:30:52", "", "5", "https://test.filtersanaat.com/?p=18", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("20", "1", "2023-07-16 00:01:49", "2023-07-15 19:31:49", "", "amoo.png", "", "inherit", "open", "closed", "", "amoo-png", "", "", "2023-07-16 00:01:49", "2023-07-15 19:31:49", "", "0", "https://test.filtersanaat.com/wp-content/uploads/2023/07/amoo.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("21", "1", "2023-07-16 00:01:49", "2023-07-15 19:31:49", "", "bglite-1.png", "", "inherit", "open", "closed", "", "bglite-1-png", "", "", "2023-07-16 00:01:49", "2023-07-15 19:31:49", "", "0", "https://test.filtersanaat.com/wp-content/uploads/2023/07/bglite-1.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("22", "1", "2023-07-16 00:01:51", "2023-07-15 19:31:51", "", "element.png", "", "inherit", "open", "closed", "", "element-png", "", "", "2023-07-16 00:01:51", "2023-07-15 19:31:51", "", "0", "https://test.filtersanaat.com/wp-content/uploads/2023/07/element.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("23", "1", "2023-07-16 00:01:52", "2023-07-15 19:31:52", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-social-icons.elementor-grid-0 .elementor-widget-container,.elementor-widget-social-icons.elementor-grid-mobile-0 .elementor-widget-container,.elementor-widget-social-icons.elementor-grid-tablet-0 .elementor-widget-container{line-height:1;font-size:0}.elementor-widget-social-icons:not(.elementor-grid-0):not(.elementor-grid-tablet-0):not(.elementor-grid-mobile-0) .elementor-grid{display:inline-grid}.elementor-widget-social-icons .elementor-grid{grid-column-gap:var(--grid-column-gap,5px);grid-row-gap:var(--grid-row-gap,5px);grid-template-columns:var(--grid-template-columns);justify-content:var(--justify-content,center);justify-items:var(--justify-content,center)}.elementor-icon.elementor-social-icon{font-size:var(--icon-size,25px);line-height:var(--icon-size,25px);width:calc(var(--icon-size, 25px) + (2 * var(--icon-padding, .5em)));height:calc(var(--icon-size, 25px) + (2 * var(--icon-padding, .5em)))}.elementor-social-icon{--e-social-icon-icon-color:#fff;display:inline-flex;background-color:#69727d;align-items:center;justify-content:center;text-align:center;cursor:pointer}.elementor-social-icon i{color:var(--e-social-icon-icon-color)}.elementor-social-icon svg{fill:var(--e-social-icon-icon-color)}.elementor-social-icon:last-child{margin:0}.elementor-social-icon:hover{opacity:.9;color:#fff}.elementor-social-icon-android{background-color:#a4c639}.elementor-social-icon-apple{background-color:#999}.elementor-social-icon-behance{background-color:#1769ff}.elementor-social-icon-bitbucket{background-color:#205081}.elementor-social-icon-codepen{background-color:#000}.elementor-social-icon-delicious{background-color:#39f}.elementor-social-icon-deviantart{background-color:#05cc47}.elementor-social-icon-digg{background-color:#005be2}.elementor-social-icon-dribbble{background-color:#ea4c89}.elementor-social-icon-elementor{background-color:#d30c5c}.elementor-social-icon-envelope{background-color:#ea4335}.elementor-social-icon-facebook,.elementor-social-icon-facebook-f{background-color:#3b5998}.elementor-social-icon-flickr{background-color:#0063dc}.elementor-social-icon-foursquare{background-color:#2d5be3}.elementor-social-icon-free-code-camp,.elementor-social-icon-freecodecamp{background-color:#006400}.elementor-social-icon-github{background-color:#333}.elementor-social-icon-gitlab{background-color:#e24329}.elementor-social-icon-globe{background-color:#69727d}.elementor-social-icon-google-plus,.elementor-social-icon-google-plus-g{background-color:#dd4b39}.elementor-social-icon-houzz{background-color:#7ac142}.elementor-social-icon-instagram{background-color:#262626}.elementor-social-icon-jsfiddle{background-color:#487aa2}.elementor-social-icon-link{background-color:#818a91}.elementor-social-icon-linkedin,.elementor-social-icon-linkedin-in{background-color:#0077b5}.elementor-social-icon-medium{background-color:#00ab6b}.elementor-social-icon-meetup{background-color:#ec1c40}.elementor-social-icon-mixcloud{background-color:#273a4b}.elementor-social-icon-odnoklassniki{background-color:#f4731c}.elementor-social-icon-pinterest{background-color:#bd081c}.elementor-social-icon-product-hunt{background-color:#da552f}.elementor-social-icon-reddit{background-color:#ff4500}.elementor-social-icon-rss{background-color:#f26522}.elementor-social-icon-shopping-cart{background-color:#4caf50}.elementor-social-icon-skype{background-color:#00aff0}.elementor-social-icon-slideshare{background-color:#0077b5}.elementor-social-icon-snapchat{background-color:#fffc00}.elementor-social-icon-soundcloud{background-color:#f80}.elementor-social-icon-spotify{background-color:#2ebd59}.elementor-social-icon-stack-overflow{background-color:#fe7a15}.elementor-social-icon-steam{background-color:#00adee}.elementor-social-icon-stumbleupon{background-color:#eb4924}.elementor-social-icon-telegram{background-color:#2ca5e0}.elementor-social-icon-thumb-tack{background-color:#1aa1d8}.elementor-social-icon-tripadvisor{background-color:#589442}.elementor-social-icon-tumblr{background-color:#35465c}.elementor-social-icon-twitch{background-color:#6441a5}.elementor-social-icon-twitter{background-color:#1da1f2}.elementor-social-icon-viber{background-color:#665cac}.elementor-social-icon-vimeo{background-color:#1ab7ea}.elementor-social-icon-vk{background-color:#45668e}.elementor-social-icon-weibo{background-color:#dd2430}.elementor-social-icon-weixin{background-color:#31a918}.elementor-social-icon-whatsapp{background-color:#25d366}.elementor-social-icon-wordpress{background-color:#21759b}.elementor-social-icon-xing{background-color:#026466}.elementor-social-icon-yelp{background-color:#af0606}.elementor-social-icon-youtube{background-color:#cd201f}.elementor-social-icon-500px{background-color:#0099e5}.elementor-shape-rounded .elementor-icon.elementor-social-icon{border-radius:10%}.elementor-shape-circle .elementor-icon.elementor-social-icon{border-radius:50%}</style>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Facebook\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Twitter\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Telegram\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Instagram\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Youtube\n											</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>جشنواره <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> نوروز </strong> شگفت انگیز</h2>		\n		<p>برای تغییر این متن بر روی دکمه ویرایش کلیک کنید. لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<a href=\"#takhfif\">\n						مشاهده تخفیف ها\n					</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"379\" height=\"383\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/amoo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/amoo.png 379w, https://test.filtersanaat.com/wp-content/uploads/2023/07/amoo-297x300.png 297w\" sizes=\"(max-width: 379px) 100vw, 379px\" />															\n			<h2>تخفیف <strong style=\"font-weight: bold;\"> ویژه </strong> امروز </h2>		\n			<h2>این تخفیف فقط به مدت یک روز فعال است </h2>		\n			<h2>تخفیف <strong style=\"font-weight: bold;\"> ویژه </strong> امروز </h2>		\n															<img src=\"https://test.filtersanaat.com/wp-content/plugins/elementor/assets/images/placeholder.png\" title=\"\" alt=\"\" loading=\"lazy\" />															\n			<h2>فروش کت و شلوار مردانه حرفه ای</h2>		\n			<h2>Sell professional men\'s suit </h2>		\n			<a href=\"#\">\n						جزییات محصول\n					</a>\n			<h2>تخفیف <strong style=\"font-weight: bold;\"> ویژه </strong> دکوراسیون</h2>		\n			<h2>این تخفیف فقط به مدت یک روز فعال است </h2>		\n															<img width=\"378\" height=\"440\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/element.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/element.png 378w, https://test.filtersanaat.com/wp-content/uploads/2023/07/element-258x300.png 258w\" sizes=\"(max-width: 378px) 100vw, 378px\" />															\n			<h2>نوروز 1401 مبارک</h2>		\n			<h2>Happy Nowruz 1401 </h2>", "landdd", "", "publish", "closed", "closed", "", "landdd", "", "", "2023-07-16 00:01:52", "2023-07-15 19:31:52", "", "0", "https://test.filtersanaat.com/?elementor_library=landdd", "0", "elementor_library", "", "0");
INSERT INTO `wp_posts` VALUES("24", "1", "2023-07-16 00:01:52", "2023-07-15 19:31:52", "", "landdd", "", "inherit", "closed", "closed", "", "23-revision-v1", "", "", "2023-07-16 00:01:52", "2023-07-15 19:31:52", "", "23", "https://test.filtersanaat.com/?p=24", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("25", "1", "2023-07-16 00:01:52", "2023-07-15 19:31:52", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-social-icons.elementor-grid-0 .elementor-widget-container,.elementor-widget-social-icons.elementor-grid-mobile-0 .elementor-widget-container,.elementor-widget-social-icons.elementor-grid-tablet-0 .elementor-widget-container{line-height:1;font-size:0}.elementor-widget-social-icons:not(.elementor-grid-0):not(.elementor-grid-tablet-0):not(.elementor-grid-mobile-0) .elementor-grid{display:inline-grid}.elementor-widget-social-icons .elementor-grid{grid-column-gap:var(--grid-column-gap,5px);grid-row-gap:var(--grid-row-gap,5px);grid-template-columns:var(--grid-template-columns);justify-content:var(--justify-content,center);justify-items:var(--justify-content,center)}.elementor-icon.elementor-social-icon{font-size:var(--icon-size,25px);line-height:var(--icon-size,25px);width:calc(var(--icon-size, 25px) + (2 * var(--icon-padding, .5em)));height:calc(var(--icon-size, 25px) + (2 * var(--icon-padding, .5em)))}.elementor-social-icon{--e-social-icon-icon-color:#fff;display:inline-flex;background-color:#69727d;align-items:center;justify-content:center;text-align:center;cursor:pointer}.elementor-social-icon i{color:var(--e-social-icon-icon-color)}.elementor-social-icon svg{fill:var(--e-social-icon-icon-color)}.elementor-social-icon:last-child{margin:0}.elementor-social-icon:hover{opacity:.9;color:#fff}.elementor-social-icon-android{background-color:#a4c639}.elementor-social-icon-apple{background-color:#999}.elementor-social-icon-behance{background-color:#1769ff}.elementor-social-icon-bitbucket{background-color:#205081}.elementor-social-icon-codepen{background-color:#000}.elementor-social-icon-delicious{background-color:#39f}.elementor-social-icon-deviantart{background-color:#05cc47}.elementor-social-icon-digg{background-color:#005be2}.elementor-social-icon-dribbble{background-color:#ea4c89}.elementor-social-icon-elementor{background-color:#d30c5c}.elementor-social-icon-envelope{background-color:#ea4335}.elementor-social-icon-facebook,.elementor-social-icon-facebook-f{background-color:#3b5998}.elementor-social-icon-flickr{background-color:#0063dc}.elementor-social-icon-foursquare{background-color:#2d5be3}.elementor-social-icon-free-code-camp,.elementor-social-icon-freecodecamp{background-color:#006400}.elementor-social-icon-github{background-color:#333}.elementor-social-icon-gitlab{background-color:#e24329}.elementor-social-icon-globe{background-color:#69727d}.elementor-social-icon-google-plus,.elementor-social-icon-google-plus-g{background-color:#dd4b39}.elementor-social-icon-houzz{background-color:#7ac142}.elementor-social-icon-instagram{background-color:#262626}.elementor-social-icon-jsfiddle{background-color:#487aa2}.elementor-social-icon-link{background-color:#818a91}.elementor-social-icon-linkedin,.elementor-social-icon-linkedin-in{background-color:#0077b5}.elementor-social-icon-medium{background-color:#00ab6b}.elementor-social-icon-meetup{background-color:#ec1c40}.elementor-social-icon-mixcloud{background-color:#273a4b}.elementor-social-icon-odnoklassniki{background-color:#f4731c}.elementor-social-icon-pinterest{background-color:#bd081c}.elementor-social-icon-product-hunt{background-color:#da552f}.elementor-social-icon-reddit{background-color:#ff4500}.elementor-social-icon-rss{background-color:#f26522}.elementor-social-icon-shopping-cart{background-color:#4caf50}.elementor-social-icon-skype{background-color:#00aff0}.elementor-social-icon-slideshare{background-color:#0077b5}.elementor-social-icon-snapchat{background-color:#fffc00}.elementor-social-icon-soundcloud{background-color:#f80}.elementor-social-icon-spotify{background-color:#2ebd59}.elementor-social-icon-stack-overflow{background-color:#fe7a15}.elementor-social-icon-steam{background-color:#00adee}.elementor-social-icon-stumbleupon{background-color:#eb4924}.elementor-social-icon-telegram{background-color:#2ca5e0}.elementor-social-icon-thumb-tack{background-color:#1aa1d8}.elementor-social-icon-tripadvisor{background-color:#589442}.elementor-social-icon-tumblr{background-color:#35465c}.elementor-social-icon-twitch{background-color:#6441a5}.elementor-social-icon-twitter{background-color:#1da1f2}.elementor-social-icon-viber{background-color:#665cac}.elementor-social-icon-vimeo{background-color:#1ab7ea}.elementor-social-icon-vk{background-color:#45668e}.elementor-social-icon-weibo{background-color:#dd2430}.elementor-social-icon-weixin{background-color:#31a918}.elementor-social-icon-whatsapp{background-color:#25d366}.elementor-social-icon-wordpress{background-color:#21759b}.elementor-social-icon-xing{background-color:#026466}.elementor-social-icon-yelp{background-color:#af0606}.elementor-social-icon-youtube{background-color:#cd201f}.elementor-social-icon-500px{background-color:#0099e5}.elementor-shape-rounded .elementor-icon.elementor-social-icon{border-radius:10%}.elementor-shape-circle .elementor-icon.elementor-social-icon{border-radius:50%}</style>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Facebook\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Twitter\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Telegram\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Instagram\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Youtube\n											</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>جشنواره <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> نوروز </strong> شگفت انگیز</h2>		\n		<p>برای تغییر این متن بر روی دکمه ویرایش کلیک کنید. لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<a href=\"#takhfif\">\n						مشاهده تخفیف ها\n					</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"379\" height=\"383\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/amoo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/amoo.png 379w, https://test.filtersanaat.com/wp-content/uploads/2023/07/amoo-297x300.png 297w\" sizes=\"(max-width: 379px) 100vw, 379px\" />															\n			<h2>تخفیف <strong style=\"font-weight: bold;\"> ویژه </strong> امروز </h2>		\n			<h2>این تخفیف فقط به مدت یک روز فعال است </h2>		\n			<h2>تخفیف <strong style=\"font-weight: bold;\"> ویژه </strong> امروز </h2>		\n															<img src=\"https://test.filtersanaat.com/wp-content/plugins/elementor/assets/images/placeholder.png\" title=\"\" alt=\"\" loading=\"lazy\" />															\n			<h2>فروش کت و شلوار مردانه حرفه ای</h2>		\n			<h2>Sell professional men\'s suit </h2>		\n			<a href=\"#\">\n						جزییات محصول\n					</a>\n			<h2>تخفیف <strong style=\"font-weight: bold;\"> ویژه </strong> دکوراسیون</h2>		\n			<h2>این تخفیف فقط به مدت یک روز فعال است </h2>		\n															<img width=\"378\" height=\"440\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/element.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/element.png 378w, https://test.filtersanaat.com/wp-content/uploads/2023/07/element-258x300.png 258w\" sizes=\"(max-width: 378px) 100vw, 378px\" />															\n			<h2>نوروز 1401 مبارک</h2>		\n			<h2>Happy Nowruz 1401 </h2>", "landdd", "", "inherit", "closed", "closed", "", "23-revision-v1", "", "", "2023-07-16 00:01:52", "2023-07-15 19:31:52", "", "23", "https://test.filtersanaat.com/?p=25", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("28", "1", "2023-07-16 00:03:19", "2023-07-15 19:33:19", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>جشنواره <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> نوروز </strong> شگفت انگیز</h2>		\n		<p>برای تغییر این متن بر روی دکمه ویرایش کلیک کنید. لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<a href=\"#takhfif\">\n						مشاهده تخفیف ها\n					</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"379\" height=\"383\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/amoo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/amoo.png 379w, https://test.filtersanaat.com/wp-content/uploads/2023/07/amoo-297x300.png 297w\" sizes=\"(max-width: 379px) 100vw, 379px\" />															\n			<h2>تخفیف <strong style=\"font-weight: bold;\"> ویژه </strong> امروز </h2>		\n			<h2>این تخفیف فقط به مدت یک روز فعال است </h2>		\n			<h2>تخفیف <strong style=\"font-weight: bold;\"> ویژه </strong> امروز </h2>		\n															<img src=\"https://test.filtersanaat.com/wp-content/plugins/elementor/assets/images/placeholder.png\" title=\"\" alt=\"\" loading=\"lazy\" />															\n			<h2>فروش کت و شلوار مردانه حرفه ای</h2>		\n			<h2>Sell professional men\'s suit </h2>		\n			<a href=\"#\">\n						جزییات محصول\n					</a>\n			<h2>تخفیف <strong style=\"font-weight: bold;\"> ویژه </strong> دکوراسیون</h2>		\n			<h2>این تخفیف فقط به مدت یک روز فعال است </h2>		\n															<img width=\"378\" height=\"440\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/element.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/element.png 378w, https://test.filtersanaat.com/wp-content/uploads/2023/07/element-258x300.png 258w\" sizes=\"(max-width: 378px) 100vw, 378px\" />															\n			<h2>نوروز 1401 مبارک</h2>		\n			<h2>Happy Nowruz 1401 </h2>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-07-16 00:03:19", "2023-07-15 19:33:19", "", "7", "https://test.filtersanaat.com/?p=28", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("29", "1", "2023-07-16 00:04:17", "2023-07-15 19:34:17", "<style>/*! elementor - v3.22.0 - 26-06-2024 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>										<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />													\n			<style>/*! elementor - v3.22.0 - 26-06-2024 */\n.elementor-widget-social-icons.elementor-grid-0 .elementor-widget-container,.elementor-widget-social-icons.elementor-grid-mobile-0 .elementor-widget-container,.elementor-widget-social-icons.elementor-grid-tablet-0 .elementor-widget-container{line-height:1;font-size:0}.elementor-widget-social-icons:not(.elementor-grid-0):not(.elementor-grid-tablet-0):not(.elementor-grid-mobile-0) .elementor-grid{display:inline-grid}.elementor-widget-social-icons .elementor-grid{grid-column-gap:var(--grid-column-gap,5px);grid-row-gap:var(--grid-row-gap,5px);grid-template-columns:var(--grid-template-columns);justify-content:var(--justify-content,center);justify-items:var(--justify-content,center)}.elementor-icon.elementor-social-icon{font-size:var(--icon-size,25px);line-height:var(--icon-size,25px);width:calc(var(--icon-size, 25px) + 2 * var(--icon-padding, .5em));height:calc(var(--icon-size, 25px) + 2 * var(--icon-padding, .5em))}.elementor-social-icon{--e-social-icon-icon-color:#fff;display:inline-flex;background-color:#69727d;align-items:center;justify-content:center;text-align:center;cursor:pointer}.elementor-social-icon i{color:var(--e-social-icon-icon-color)}.elementor-social-icon svg{fill:var(--e-social-icon-icon-color)}.elementor-social-icon:last-child{margin:0}.elementor-social-icon:hover{opacity:.9;color:#fff}.elementor-social-icon-android{background-color:#a4c639}.elementor-social-icon-apple{background-color:#999}.elementor-social-icon-behance{background-color:#1769ff}.elementor-social-icon-bitbucket{background-color:#205081}.elementor-social-icon-codepen{background-color:#000}.elementor-social-icon-delicious{background-color:#39f}.elementor-social-icon-deviantart{background-color:#05cc47}.elementor-social-icon-digg{background-color:#005be2}.elementor-social-icon-dribbble{background-color:#ea4c89}.elementor-social-icon-elementor{background-color:#d30c5c}.elementor-social-icon-envelope{background-color:#ea4335}.elementor-social-icon-facebook,.elementor-social-icon-facebook-f{background-color:#3b5998}.elementor-social-icon-flickr{background-color:#0063dc}.elementor-social-icon-foursquare{background-color:#2d5be3}.elementor-social-icon-free-code-camp,.elementor-social-icon-freecodecamp{background-color:#006400}.elementor-social-icon-github{background-color:#333}.elementor-social-icon-gitlab{background-color:#e24329}.elementor-social-icon-globe{background-color:#69727d}.elementor-social-icon-google-plus,.elementor-social-icon-google-plus-g{background-color:#dd4b39}.elementor-social-icon-houzz{background-color:#7ac142}.elementor-social-icon-instagram{background-color:#262626}.elementor-social-icon-jsfiddle{background-color:#487aa2}.elementor-social-icon-link{background-color:#818a91}.elementor-social-icon-linkedin,.elementor-social-icon-linkedin-in{background-color:#0077b5}.elementor-social-icon-medium{background-color:#00ab6b}.elementor-social-icon-meetup{background-color:#ec1c40}.elementor-social-icon-mixcloud{background-color:#273a4b}.elementor-social-icon-odnoklassniki{background-color:#f4731c}.elementor-social-icon-pinterest{background-color:#bd081c}.elementor-social-icon-product-hunt{background-color:#da552f}.elementor-social-icon-reddit{background-color:#ff4500}.elementor-social-icon-rss{background-color:#f26522}.elementor-social-icon-shopping-cart{background-color:#4caf50}.elementor-social-icon-skype{background-color:#00aff0}.elementor-social-icon-slideshare{background-color:#0077b5}.elementor-social-icon-snapchat{background-color:#fffc00}.elementor-social-icon-soundcloud{background-color:#f80}.elementor-social-icon-spotify{background-color:#2ebd59}.elementor-social-icon-stack-overflow{background-color:#fe7a15}.elementor-social-icon-steam{background-color:#00adee}.elementor-social-icon-stumbleupon{background-color:#eb4924}.elementor-social-icon-telegram{background-color:#2ca5e0}.elementor-social-icon-threads{background-color:#000}.elementor-social-icon-thumb-tack{background-color:#1aa1d8}.elementor-social-icon-tripadvisor{background-color:#589442}.elementor-social-icon-tumblr{background-color:#35465c}.elementor-social-icon-twitch{background-color:#6441a5}.elementor-social-icon-twitter{background-color:#1da1f2}.elementor-social-icon-viber{background-color:#665cac}.elementor-social-icon-vimeo{background-color:#1ab7ea}.elementor-social-icon-vk{background-color:#45668e}.elementor-social-icon-weibo{background-color:#dd2430}.elementor-social-icon-weixin{background-color:#31a918}.elementor-social-icon-whatsapp{background-color:#25d366}.elementor-social-icon-wordpress{background-color:#21759b}.elementor-social-icon-x-twitter{background-color:#000}.elementor-social-icon-xing{background-color:#026466}.elementor-social-icon-yelp{background-color:#af0606}.elementor-social-icon-youtube{background-color:#cd201f}.elementor-social-icon-500px{background-color:#0099e5}.elementor-shape-rounded .elementor-icon.elementor-social-icon{border-radius:10%}.elementor-shape-circle .elementor-icon.elementor-social-icon{border-radius:50%}</style>		\n					<a href=\"http://elmineh.com/site\" target=\"_blank\" rel=\"noopener\">\n						Github\n											</a>\n					<a href=\"https://www.google.com/url?sa=t&#038;rct=j&#038;q=&#038;esrc=s&#038;source=web&#038;cd=&#038;ved=2ahUKEwiTtKy89pGAAxW-R_EDHcctDd8QFnoECBEQAQ&#038;url=https%3A%2F%2Ftwitter.com%2Fomidqodsi%3Flang%3Dhu&#038;usg=AOvVaw2Bk0ovKmFPi4BjsMu_7XN0&#038;opi=89978449\" target=\"_blank\" rel=\"noopener\">\n						Twitter\n											</a>\n					<a href=\"https://t.me/elminehshop\" target=\"_blank\" rel=\"noopener\">\n						Telegram\n											</a>\n					<a href=\"http://instagram.com/elmineh_shop\" target=\"_blank\" rel=\"noopener\">\n						Instagram\n											</a>\n					<a href=\"https://www.youtube.com/@Elmineh/\" target=\"_blank\" rel=\"noopener\">\n						Youtube\n											</a>", "هدر اصلی", "", "publish", "closed", "closed", "", "%d9%87%d8%af%d8%b1-%d8%a7%d8%b5%d9%84%db%8c", "", "", "2024-07-11 10:13:21", "2024-07-11 06:43:21", "", "0", "https://test.filtersanaat.com/?post_type=elementor_library&#038;p=29", "0", "elementor_library", "", "0");
INSERT INTO `wp_posts` VALUES("26", "1", "2023-07-16 00:03:19", "2023-07-15 19:33:19", "", "صفحه اصلی", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-07-16 00:03:19", "2023-07-15 19:33:19", "", "7", "https://test.filtersanaat.com/?p=26", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("27", "1", "2023-07-16 00:03:19", "2023-07-15 19:33:19", "", "صفحه اصلی", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-07-16 00:03:19", "2023-07-15 19:33:19", "", "7", "https://test.filtersanaat.com/?p=27", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("31", "1", "2023-07-16 00:05:13", "2023-07-15 19:35:13", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-social-icons.elementor-grid-0 .elementor-widget-container,.elementor-widget-social-icons.elementor-grid-mobile-0 .elementor-widget-container,.elementor-widget-social-icons.elementor-grid-tablet-0 .elementor-widget-container{line-height:1;font-size:0}.elementor-widget-social-icons:not(.elementor-grid-0):not(.elementor-grid-tablet-0):not(.elementor-grid-mobile-0) .elementor-grid{display:inline-grid}.elementor-widget-social-icons .elementor-grid{grid-column-gap:var(--grid-column-gap,5px);grid-row-gap:var(--grid-row-gap,5px);grid-template-columns:var(--grid-template-columns);justify-content:var(--justify-content,center);justify-items:var(--justify-content,center)}.elementor-icon.elementor-social-icon{font-size:var(--icon-size,25px);line-height:var(--icon-size,25px);width:calc(var(--icon-size, 25px) + (2 * var(--icon-padding, .5em)));height:calc(var(--icon-size, 25px) + (2 * var(--icon-padding, .5em)))}.elementor-social-icon{--e-social-icon-icon-color:#fff;display:inline-flex;background-color:#69727d;align-items:center;justify-content:center;text-align:center;cursor:pointer}.elementor-social-icon i{color:var(--e-social-icon-icon-color)}.elementor-social-icon svg{fill:var(--e-social-icon-icon-color)}.elementor-social-icon:last-child{margin:0}.elementor-social-icon:hover{opacity:.9;color:#fff}.elementor-social-icon-android{background-color:#a4c639}.elementor-social-icon-apple{background-color:#999}.elementor-social-icon-behance{background-color:#1769ff}.elementor-social-icon-bitbucket{background-color:#205081}.elementor-social-icon-codepen{background-color:#000}.elementor-social-icon-delicious{background-color:#39f}.elementor-social-icon-deviantart{background-color:#05cc47}.elementor-social-icon-digg{background-color:#005be2}.elementor-social-icon-dribbble{background-color:#ea4c89}.elementor-social-icon-elementor{background-color:#d30c5c}.elementor-social-icon-envelope{background-color:#ea4335}.elementor-social-icon-facebook,.elementor-social-icon-facebook-f{background-color:#3b5998}.elementor-social-icon-flickr{background-color:#0063dc}.elementor-social-icon-foursquare{background-color:#2d5be3}.elementor-social-icon-free-code-camp,.elementor-social-icon-freecodecamp{background-color:#006400}.elementor-social-icon-github{background-color:#333}.elementor-social-icon-gitlab{background-color:#e24329}.elementor-social-icon-globe{background-color:#69727d}.elementor-social-icon-google-plus,.elementor-social-icon-google-plus-g{background-color:#dd4b39}.elementor-social-icon-houzz{background-color:#7ac142}.elementor-social-icon-instagram{background-color:#262626}.elementor-social-icon-jsfiddle{background-color:#487aa2}.elementor-social-icon-link{background-color:#818a91}.elementor-social-icon-linkedin,.elementor-social-icon-linkedin-in{background-color:#0077b5}.elementor-social-icon-medium{background-color:#00ab6b}.elementor-social-icon-meetup{background-color:#ec1c40}.elementor-social-icon-mixcloud{background-color:#273a4b}.elementor-social-icon-odnoklassniki{background-color:#f4731c}.elementor-social-icon-pinterest{background-color:#bd081c}.elementor-social-icon-product-hunt{background-color:#da552f}.elementor-social-icon-reddit{background-color:#ff4500}.elementor-social-icon-rss{background-color:#f26522}.elementor-social-icon-shopping-cart{background-color:#4caf50}.elementor-social-icon-skype{background-color:#00aff0}.elementor-social-icon-slideshare{background-color:#0077b5}.elementor-social-icon-snapchat{background-color:#fffc00}.elementor-social-icon-soundcloud{background-color:#f80}.elementor-social-icon-spotify{background-color:#2ebd59}.elementor-social-icon-stack-overflow{background-color:#fe7a15}.elementor-social-icon-steam{background-color:#00adee}.elementor-social-icon-stumbleupon{background-color:#eb4924}.elementor-social-icon-telegram{background-color:#2ca5e0}.elementor-social-icon-thumb-tack{background-color:#1aa1d8}.elementor-social-icon-tripadvisor{background-color:#589442}.elementor-social-icon-tumblr{background-color:#35465c}.elementor-social-icon-twitch{background-color:#6441a5}.elementor-social-icon-twitter{background-color:#1da1f2}.elementor-social-icon-viber{background-color:#665cac}.elementor-social-icon-vimeo{background-color:#1ab7ea}.elementor-social-icon-vk{background-color:#45668e}.elementor-social-icon-weibo{background-color:#dd2430}.elementor-social-icon-weixin{background-color:#31a918}.elementor-social-icon-whatsapp{background-color:#25d366}.elementor-social-icon-wordpress{background-color:#21759b}.elementor-social-icon-xing{background-color:#026466}.elementor-social-icon-yelp{background-color:#af0606}.elementor-social-icon-youtube{background-color:#cd201f}.elementor-social-icon-500px{background-color:#0099e5}.elementor-shape-rounded .elementor-icon.elementor-social-icon{border-radius:10%}.elementor-shape-circle .elementor-icon.elementor-social-icon{border-radius:50%}</style>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Facebook\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Twitter\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Telegram\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Instagram\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Youtube\n											</a>", "هدر اصلی", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2023-07-16 00:05:13", "2023-07-15 19:35:13", "", "29", "https://test.filtersanaat.com/?p=31", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("30", "1", "2023-07-16 00:05:13", "2023-07-15 19:35:13", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-social-icons.elementor-grid-0 .elementor-widget-container,.elementor-widget-social-icons.elementor-grid-mobile-0 .elementor-widget-container,.elementor-widget-social-icons.elementor-grid-tablet-0 .elementor-widget-container{line-height:1;font-size:0}.elementor-widget-social-icons:not(.elementor-grid-0):not(.elementor-grid-tablet-0):not(.elementor-grid-mobile-0) .elementor-grid{display:inline-grid}.elementor-widget-social-icons .elementor-grid{grid-column-gap:var(--grid-column-gap,5px);grid-row-gap:var(--grid-row-gap,5px);grid-template-columns:var(--grid-template-columns);justify-content:var(--justify-content,center);justify-items:var(--justify-content,center)}.elementor-icon.elementor-social-icon{font-size:var(--icon-size,25px);line-height:var(--icon-size,25px);width:calc(var(--icon-size, 25px) + (2 * var(--icon-padding, .5em)));height:calc(var(--icon-size, 25px) + (2 * var(--icon-padding, .5em)))}.elementor-social-icon{--e-social-icon-icon-color:#fff;display:inline-flex;background-color:#69727d;align-items:center;justify-content:center;text-align:center;cursor:pointer}.elementor-social-icon i{color:var(--e-social-icon-icon-color)}.elementor-social-icon svg{fill:var(--e-social-icon-icon-color)}.elementor-social-icon:last-child{margin:0}.elementor-social-icon:hover{opacity:.9;color:#fff}.elementor-social-icon-android{background-color:#a4c639}.elementor-social-icon-apple{background-color:#999}.elementor-social-icon-behance{background-color:#1769ff}.elementor-social-icon-bitbucket{background-color:#205081}.elementor-social-icon-codepen{background-color:#000}.elementor-social-icon-delicious{background-color:#39f}.elementor-social-icon-deviantart{background-color:#05cc47}.elementor-social-icon-digg{background-color:#005be2}.elementor-social-icon-dribbble{background-color:#ea4c89}.elementor-social-icon-elementor{background-color:#d30c5c}.elementor-social-icon-envelope{background-color:#ea4335}.elementor-social-icon-facebook,.elementor-social-icon-facebook-f{background-color:#3b5998}.elementor-social-icon-flickr{background-color:#0063dc}.elementor-social-icon-foursquare{background-color:#2d5be3}.elementor-social-icon-free-code-camp,.elementor-social-icon-freecodecamp{background-color:#006400}.elementor-social-icon-github{background-color:#333}.elementor-social-icon-gitlab{background-color:#e24329}.elementor-social-icon-globe{background-color:#69727d}.elementor-social-icon-google-plus,.elementor-social-icon-google-plus-g{background-color:#dd4b39}.elementor-social-icon-houzz{background-color:#7ac142}.elementor-social-icon-instagram{background-color:#262626}.elementor-social-icon-jsfiddle{background-color:#487aa2}.elementor-social-icon-link{background-color:#818a91}.elementor-social-icon-linkedin,.elementor-social-icon-linkedin-in{background-color:#0077b5}.elementor-social-icon-medium{background-color:#00ab6b}.elementor-social-icon-meetup{background-color:#ec1c40}.elementor-social-icon-mixcloud{background-color:#273a4b}.elementor-social-icon-odnoklassniki{background-color:#f4731c}.elementor-social-icon-pinterest{background-color:#bd081c}.elementor-social-icon-product-hunt{background-color:#da552f}.elementor-social-icon-reddit{background-color:#ff4500}.elementor-social-icon-rss{background-color:#f26522}.elementor-social-icon-shopping-cart{background-color:#4caf50}.elementor-social-icon-skype{background-color:#00aff0}.elementor-social-icon-slideshare{background-color:#0077b5}.elementor-social-icon-snapchat{background-color:#fffc00}.elementor-social-icon-soundcloud{background-color:#f80}.elementor-social-icon-spotify{background-color:#2ebd59}.elementor-social-icon-stack-overflow{background-color:#fe7a15}.elementor-social-icon-steam{background-color:#00adee}.elementor-social-icon-stumbleupon{background-color:#eb4924}.elementor-social-icon-telegram{background-color:#2ca5e0}.elementor-social-icon-thumb-tack{background-color:#1aa1d8}.elementor-social-icon-tripadvisor{background-color:#589442}.elementor-social-icon-tumblr{background-color:#35465c}.elementor-social-icon-twitch{background-color:#6441a5}.elementor-social-icon-twitter{background-color:#1da1f2}.elementor-social-icon-viber{background-color:#665cac}.elementor-social-icon-vimeo{background-color:#1ab7ea}.elementor-social-icon-vk{background-color:#45668e}.elementor-social-icon-weibo{background-color:#dd2430}.elementor-social-icon-weixin{background-color:#31a918}.elementor-social-icon-whatsapp{background-color:#25d366}.elementor-social-icon-wordpress{background-color:#21759b}.elementor-social-icon-xing{background-color:#026466}.elementor-social-icon-yelp{background-color:#af0606}.elementor-social-icon-youtube{background-color:#cd201f}.elementor-social-icon-500px{background-color:#0099e5}.elementor-shape-rounded .elementor-icon.elementor-social-icon{border-radius:10%}.elementor-shape-circle .elementor-icon.elementor-social-icon{border-radius:50%}</style>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Facebook\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Twitter\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Telegram\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Instagram\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Youtube\n											</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>جشنواره <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> نوروز </strong> شگفت انگیز</h2>		\n		<p>برای تغییر این متن بر روی دکمه ویرایش کلیک کنید. لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<a href=\"#takhfif\">\n						مشاهده تخفیف ها\n					</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"379\" height=\"383\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/amoo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/amoo.png 379w, https://test.filtersanaat.com/wp-content/uploads/2023/07/amoo-297x300.png 297w\" sizes=\"(max-width: 379px) 100vw, 379px\" />															\n			<h2>تخفیف <strong style=\"font-weight: bold;\"> ویژه </strong> امروز </h2>		\n			<h2>این تخفیف فقط به مدت یک روز فعال است </h2>		\n			<h2>تخفیف <strong style=\"font-weight: bold;\"> ویژه </strong> امروز </h2>		\n															<img src=\"https://test.filtersanaat.com/wp-content/plugins/elementor/assets/images/placeholder.png\" title=\"\" alt=\"\" loading=\"lazy\" />															\n			<h2>فروش کت و شلوار مردانه حرفه ای</h2>		\n			<h2>Sell professional men\'s suit </h2>		\n			<a href=\"#\">\n						جزییات محصول\n					</a>\n			<h2>تخفیف <strong style=\"font-weight: bold;\"> ویژه </strong> دکوراسیون</h2>		\n			<h2>این تخفیف فقط به مدت یک روز فعال است </h2>		\n															<img width=\"378\" height=\"440\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/element.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/element.png 378w, https://test.filtersanaat.com/wp-content/uploads/2023/07/element-258x300.png 258w\" sizes=\"(max-width: 378px) 100vw, 378px\" />															\n			<h2>نوروز 1401 مبارک</h2>		\n			<h2>Happy Nowruz 1401 </h2>", "هدر اصلی", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2023-07-16 00:05:13", "2023-07-15 19:35:13", "", "29", "https://test.filtersanaat.com/?p=30", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("124", "1", "2024-07-11 10:13:21", "2024-07-11 06:43:21", "<style>/*! elementor - v3.22.0 - 26-06-2024 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>										<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />													\n			<style>/*! elementor - v3.22.0 - 26-06-2024 */\n.elementor-widget-social-icons.elementor-grid-0 .elementor-widget-container,.elementor-widget-social-icons.elementor-grid-mobile-0 .elementor-widget-container,.elementor-widget-social-icons.elementor-grid-tablet-0 .elementor-widget-container{line-height:1;font-size:0}.elementor-widget-social-icons:not(.elementor-grid-0):not(.elementor-grid-tablet-0):not(.elementor-grid-mobile-0) .elementor-grid{display:inline-grid}.elementor-widget-social-icons .elementor-grid{grid-column-gap:var(--grid-column-gap,5px);grid-row-gap:var(--grid-row-gap,5px);grid-template-columns:var(--grid-template-columns);justify-content:var(--justify-content,center);justify-items:var(--justify-content,center)}.elementor-icon.elementor-social-icon{font-size:var(--icon-size,25px);line-height:var(--icon-size,25px);width:calc(var(--icon-size, 25px) + 2 * var(--icon-padding, .5em));height:calc(var(--icon-size, 25px) + 2 * var(--icon-padding, .5em))}.elementor-social-icon{--e-social-icon-icon-color:#fff;display:inline-flex;background-color:#69727d;align-items:center;justify-content:center;text-align:center;cursor:pointer}.elementor-social-icon i{color:var(--e-social-icon-icon-color)}.elementor-social-icon svg{fill:var(--e-social-icon-icon-color)}.elementor-social-icon:last-child{margin:0}.elementor-social-icon:hover{opacity:.9;color:#fff}.elementor-social-icon-android{background-color:#a4c639}.elementor-social-icon-apple{background-color:#999}.elementor-social-icon-behance{background-color:#1769ff}.elementor-social-icon-bitbucket{background-color:#205081}.elementor-social-icon-codepen{background-color:#000}.elementor-social-icon-delicious{background-color:#39f}.elementor-social-icon-deviantart{background-color:#05cc47}.elementor-social-icon-digg{background-color:#005be2}.elementor-social-icon-dribbble{background-color:#ea4c89}.elementor-social-icon-elementor{background-color:#d30c5c}.elementor-social-icon-envelope{background-color:#ea4335}.elementor-social-icon-facebook,.elementor-social-icon-facebook-f{background-color:#3b5998}.elementor-social-icon-flickr{background-color:#0063dc}.elementor-social-icon-foursquare{background-color:#2d5be3}.elementor-social-icon-free-code-camp,.elementor-social-icon-freecodecamp{background-color:#006400}.elementor-social-icon-github{background-color:#333}.elementor-social-icon-gitlab{background-color:#e24329}.elementor-social-icon-globe{background-color:#69727d}.elementor-social-icon-google-plus,.elementor-social-icon-google-plus-g{background-color:#dd4b39}.elementor-social-icon-houzz{background-color:#7ac142}.elementor-social-icon-instagram{background-color:#262626}.elementor-social-icon-jsfiddle{background-color:#487aa2}.elementor-social-icon-link{background-color:#818a91}.elementor-social-icon-linkedin,.elementor-social-icon-linkedin-in{background-color:#0077b5}.elementor-social-icon-medium{background-color:#00ab6b}.elementor-social-icon-meetup{background-color:#ec1c40}.elementor-social-icon-mixcloud{background-color:#273a4b}.elementor-social-icon-odnoklassniki{background-color:#f4731c}.elementor-social-icon-pinterest{background-color:#bd081c}.elementor-social-icon-product-hunt{background-color:#da552f}.elementor-social-icon-reddit{background-color:#ff4500}.elementor-social-icon-rss{background-color:#f26522}.elementor-social-icon-shopping-cart{background-color:#4caf50}.elementor-social-icon-skype{background-color:#00aff0}.elementor-social-icon-slideshare{background-color:#0077b5}.elementor-social-icon-snapchat{background-color:#fffc00}.elementor-social-icon-soundcloud{background-color:#f80}.elementor-social-icon-spotify{background-color:#2ebd59}.elementor-social-icon-stack-overflow{background-color:#fe7a15}.elementor-social-icon-steam{background-color:#00adee}.elementor-social-icon-stumbleupon{background-color:#eb4924}.elementor-social-icon-telegram{background-color:#2ca5e0}.elementor-social-icon-threads{background-color:#000}.elementor-social-icon-thumb-tack{background-color:#1aa1d8}.elementor-social-icon-tripadvisor{background-color:#589442}.elementor-social-icon-tumblr{background-color:#35465c}.elementor-social-icon-twitch{background-color:#6441a5}.elementor-social-icon-twitter{background-color:#1da1f2}.elementor-social-icon-viber{background-color:#665cac}.elementor-social-icon-vimeo{background-color:#1ab7ea}.elementor-social-icon-vk{background-color:#45668e}.elementor-social-icon-weibo{background-color:#dd2430}.elementor-social-icon-weixin{background-color:#31a918}.elementor-social-icon-whatsapp{background-color:#25d366}.elementor-social-icon-wordpress{background-color:#21759b}.elementor-social-icon-x-twitter{background-color:#000}.elementor-social-icon-xing{background-color:#026466}.elementor-social-icon-yelp{background-color:#af0606}.elementor-social-icon-youtube{background-color:#cd201f}.elementor-social-icon-500px{background-color:#0099e5}.elementor-shape-rounded .elementor-icon.elementor-social-icon{border-radius:10%}.elementor-shape-circle .elementor-icon.elementor-social-icon{border-radius:50%}</style>		\n					<a href=\"http://elmineh.com/site\" target=\"_blank\" rel=\"noopener\">\n						Github\n											</a>\n					<a href=\"https://www.google.com/url?sa=t&#038;rct=j&#038;q=&#038;esrc=s&#038;source=web&#038;cd=&#038;ved=2ahUKEwiTtKy89pGAAxW-R_EDHcctDd8QFnoECBEQAQ&#038;url=https%3A%2F%2Ftwitter.com%2Fomidqodsi%3Flang%3Dhu&#038;usg=AOvVaw2Bk0ovKmFPi4BjsMu_7XN0&#038;opi=89978449\" target=\"_blank\" rel=\"noopener\">\n						Twitter\n											</a>\n					<a href=\"https://t.me/elminehshop\" target=\"_blank\" rel=\"noopener\">\n						Telegram\n											</a>\n					<a href=\"http://instagram.com/elmineh_shop\" target=\"_blank\" rel=\"noopener\">\n						Instagram\n											</a>\n					<a href=\"https://www.youtube.com/@Elmineh/\" target=\"_blank\" rel=\"noopener\">\n						Youtube\n											</a>", "هدر اصلی", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2024-07-11 10:13:21", "2024-07-11 06:43:21", "", "29", "https://test.filtersanaat.com/?p=124", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("34", "1", "2023-07-16 00:06:49", "2023-07-15 19:36:49", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-social-icons.elementor-grid-0 .elementor-widget-container,.elementor-widget-social-icons.elementor-grid-mobile-0 .elementor-widget-container,.elementor-widget-social-icons.elementor-grid-tablet-0 .elementor-widget-container{line-height:1;font-size:0}.elementor-widget-social-icons:not(.elementor-grid-0):not(.elementor-grid-tablet-0):not(.elementor-grid-mobile-0) .elementor-grid{display:inline-grid}.elementor-widget-social-icons .elementor-grid{grid-column-gap:var(--grid-column-gap,5px);grid-row-gap:var(--grid-row-gap,5px);grid-template-columns:var(--grid-template-columns);justify-content:var(--justify-content,center);justify-items:var(--justify-content,center)}.elementor-icon.elementor-social-icon{font-size:var(--icon-size,25px);line-height:var(--icon-size,25px);width:calc(var(--icon-size, 25px) + (2 * var(--icon-padding, .5em)));height:calc(var(--icon-size, 25px) + (2 * var(--icon-padding, .5em)))}.elementor-social-icon{--e-social-icon-icon-color:#fff;display:inline-flex;background-color:#69727d;align-items:center;justify-content:center;text-align:center;cursor:pointer}.elementor-social-icon i{color:var(--e-social-icon-icon-color)}.elementor-social-icon svg{fill:var(--e-social-icon-icon-color)}.elementor-social-icon:last-child{margin:0}.elementor-social-icon:hover{opacity:.9;color:#fff}.elementor-social-icon-android{background-color:#a4c639}.elementor-social-icon-apple{background-color:#999}.elementor-social-icon-behance{background-color:#1769ff}.elementor-social-icon-bitbucket{background-color:#205081}.elementor-social-icon-codepen{background-color:#000}.elementor-social-icon-delicious{background-color:#39f}.elementor-social-icon-deviantart{background-color:#05cc47}.elementor-social-icon-digg{background-color:#005be2}.elementor-social-icon-dribbble{background-color:#ea4c89}.elementor-social-icon-elementor{background-color:#d30c5c}.elementor-social-icon-envelope{background-color:#ea4335}.elementor-social-icon-facebook,.elementor-social-icon-facebook-f{background-color:#3b5998}.elementor-social-icon-flickr{background-color:#0063dc}.elementor-social-icon-foursquare{background-color:#2d5be3}.elementor-social-icon-free-code-camp,.elementor-social-icon-freecodecamp{background-color:#006400}.elementor-social-icon-github{background-color:#333}.elementor-social-icon-gitlab{background-color:#e24329}.elementor-social-icon-globe{background-color:#69727d}.elementor-social-icon-google-plus,.elementor-social-icon-google-plus-g{background-color:#dd4b39}.elementor-social-icon-houzz{background-color:#7ac142}.elementor-social-icon-instagram{background-color:#262626}.elementor-social-icon-jsfiddle{background-color:#487aa2}.elementor-social-icon-link{background-color:#818a91}.elementor-social-icon-linkedin,.elementor-social-icon-linkedin-in{background-color:#0077b5}.elementor-social-icon-medium{background-color:#00ab6b}.elementor-social-icon-meetup{background-color:#ec1c40}.elementor-social-icon-mixcloud{background-color:#273a4b}.elementor-social-icon-odnoklassniki{background-color:#f4731c}.elementor-social-icon-pinterest{background-color:#bd081c}.elementor-social-icon-product-hunt{background-color:#da552f}.elementor-social-icon-reddit{background-color:#ff4500}.elementor-social-icon-rss{background-color:#f26522}.elementor-social-icon-shopping-cart{background-color:#4caf50}.elementor-social-icon-skype{background-color:#00aff0}.elementor-social-icon-slideshare{background-color:#0077b5}.elementor-social-icon-snapchat{background-color:#fffc00}.elementor-social-icon-soundcloud{background-color:#f80}.elementor-social-icon-spotify{background-color:#2ebd59}.elementor-social-icon-stack-overflow{background-color:#fe7a15}.elementor-social-icon-steam{background-color:#00adee}.elementor-social-icon-stumbleupon{background-color:#eb4924}.elementor-social-icon-telegram{background-color:#2ca5e0}.elementor-social-icon-thumb-tack{background-color:#1aa1d8}.elementor-social-icon-tripadvisor{background-color:#589442}.elementor-social-icon-tumblr{background-color:#35465c}.elementor-social-icon-twitch{background-color:#6441a5}.elementor-social-icon-twitter{background-color:#1da1f2}.elementor-social-icon-viber{background-color:#665cac}.elementor-social-icon-vimeo{background-color:#1ab7ea}.elementor-social-icon-vk{background-color:#45668e}.elementor-social-icon-weibo{background-color:#dd2430}.elementor-social-icon-weixin{background-color:#31a918}.elementor-social-icon-whatsapp{background-color:#25d366}.elementor-social-icon-wordpress{background-color:#21759b}.elementor-social-icon-xing{background-color:#026466}.elementor-social-icon-yelp{background-color:#af0606}.elementor-social-icon-youtube{background-color:#cd201f}.elementor-social-icon-500px{background-color:#0099e5}.elementor-shape-rounded .elementor-icon.elementor-social-icon{border-radius:10%}.elementor-shape-circle .elementor-icon.elementor-social-icon{border-radius:50%}</style>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Facebook\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Twitter\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Telegram\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Instagram\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Youtube\n											</a>", "هدر اصلی", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2023-07-16 00:06:49", "2023-07-15 19:36:49", "", "29", "https://test.filtersanaat.com/?p=34", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("35", "1", "2023-07-16 00:08:24", "2023-07-15 19:38:24", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>جشنواره <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> نوروز </strong> شگفت انگیز</h2>		\n		<p>برای تغییر این متن بر روی دکمه ویرایش کلیک کنید. لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<a href=\"#takhfif\">\n						مشاهده تخفیف ها\n					</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"379\" height=\"383\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/amoo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/amoo.png 379w, https://test.filtersanaat.com/wp-content/uploads/2023/07/amoo-297x300.png 297w\" sizes=\"(max-width: 379px) 100vw, 379px\" />															\n			<h2>تخفیف <strong style=\"font-weight: bold;\"> ویژه </strong> امروز </h2>		\n			<h2>این تخفیف فقط به مدت یک روز فعال است </h2>		\n			<h2>تخفیف <strong style=\"font-weight: bold;\"> ویژه </strong> امروز </h2>		\n															<img src=\"https://test.filtersanaat.com/wp-content/plugins/elementor/assets/images/placeholder.png\" title=\"\" alt=\"\" loading=\"lazy\" />															\n			<h2>فروش کت و شلوار مردانه حرفه ای</h2>		\n			<h2>Sell professional men\'s suit </h2>		\n			<a href=\"#\">\n						جزییات محصول\n					</a>\n			<h2>تخفیف <strong style=\"font-weight: bold;\"> ویژه </strong> دکوراسیون</h2>		\n			<h2>این تخفیف فقط به مدت یک روز فعال است </h2>		\n															<img width=\"378\" height=\"440\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/element.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/element.png 378w, https://test.filtersanaat.com/wp-content/uploads/2023/07/element-258x300.png 258w\" sizes=\"(max-width: 378px) 100vw, 378px\" />															\n			<h2>نوروز 1401 مبارک</h2>		\n			<h2>Happy Nowruz 1401 </h2>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-07-16 00:08:24", "2023-07-15 19:38:24", "", "7", "https://test.filtersanaat.com/?p=35", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("36", "1", "2023-07-16 00:08:24", "2023-07-15 19:38:24", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>جشنواره <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> نوروز </strong> شگفت انگیز</h2>		\n		<p>برای تغییر این متن بر روی دکمه ویرایش کلیک کنید. لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<a href=\"#takhfif\">\n						مشاهده تخفیف ها\n					</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"379\" height=\"383\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/amoo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/amoo.png 379w, https://test.filtersanaat.com/wp-content/uploads/2023/07/amoo-297x300.png 297w\" sizes=\"(max-width: 379px) 100vw, 379px\" />															\n			<h2>تخفیف <strong style=\"font-weight: bold;\"> ویژه </strong> امروز </h2>		\n			<h2>این تخفیف فقط به مدت یک روز فعال است </h2>		\n			<h2>تخفیف <strong style=\"font-weight: bold;\"> ویژه </strong> امروز </h2>		\n															<img src=\"https://test.filtersanaat.com/wp-content/plugins/elementor/assets/images/placeholder.png\" title=\"\" alt=\"\" loading=\"lazy\" />															\n			<h2>فروش کت و شلوار مردانه حرفه ای</h2>		\n			<h2>Sell professional men\'s suit </h2>		\n			<a href=\"#\">\n						جزییات محصول\n					</a>\n			<h2>تخفیف <strong style=\"font-weight: bold;\"> ویژه </strong> دکوراسیون</h2>		\n			<h2>این تخفیف فقط به مدت یک روز فعال است </h2>		\n															<img width=\"378\" height=\"440\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/element.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/element.png 378w, https://test.filtersanaat.com/wp-content/uploads/2023/07/element-258x300.png 258w\" sizes=\"(max-width: 378px) 100vw, 378px\" />															\n			<h2>نوروز 1401 مبارک</h2>		\n			<h2>Happy Nowruz 1401 </h2>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-07-16 00:08:24", "2023-07-15 19:38:24", "", "7", "https://test.filtersanaat.com/?p=36", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("37", "1", "2023-07-16 00:08:24", "2023-07-15 19:38:24", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>قالب <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> آسترا پرو</strong> علمینه</h2>		\n		<p style=\"text-align: justify;\">برای تغییر این متن بر روی دکمه ویرایش کلیک کنید. لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<a href=\"#takhfif\">\n						مشاهده تخفیف ها\n					</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"379\" height=\"383\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/amoo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/amoo.png 379w, https://test.filtersanaat.com/wp-content/uploads/2023/07/amoo-297x300.png 297w\" sizes=\"(max-width: 379px) 100vw, 379px\" />															\n			<h2>تخفیف <strong style=\"font-weight: bold;\"> ویژه </strong> امروز </h2>		\n			<h2>این تخفیف فقط به مدت یک روز فعال است </h2>		\n			<h2>تخفیف <strong style=\"font-weight: bold;\"> ویژه </strong> امروز </h2>		\n															<img src=\"https://test.filtersanaat.com/wp-content/plugins/elementor/assets/images/placeholder.png\" title=\"\" alt=\"\" loading=\"lazy\" />															\n			<h2>فروش کت و شلوار مردانه حرفه ای</h2>		\n			<h2>Sell professional men\'s suit </h2>		\n			<a href=\"#\">\n						جزییات محصول\n					</a>\n			<h2>تخفیف <strong style=\"font-weight: bold;\"> ویژه </strong> دکوراسیون</h2>		\n			<h2>این تخفیف فقط به مدت یک روز فعال است </h2>		\n															<img width=\"378\" height=\"440\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/element.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/element.png 378w, https://test.filtersanaat.com/wp-content/uploads/2023/07/element-258x300.png 258w\" sizes=\"(max-width: 378px) 100vw, 378px\" />															\n			<h2>نوروز 1401 مبارک</h2>		\n			<h2>Happy Nowruz 1401 </h2>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-07-16 00:08:24", "2023-07-15 19:38:24", "", "7", "https://test.filtersanaat.com/?p=37", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("38", "1", "2023-07-16 00:08:51", "0000-00-00 00:00:00", "", "المنتور پاورقی #38", "", "draft", "closed", "closed", "", "", "", "", "2023-07-16 00:08:51", "2023-07-15 19:38:51", "", "0", "https://test.filtersanaat.com/?post_type=elementor_library&#038;p=38", "0", "elementor_library", "", "0");
INSERT INTO `wp_posts` VALUES("39", "1", "2023-07-16 00:08:51", "2023-07-15 19:38:51", "", "المنتور پاورقی #38", "", "inherit", "closed", "closed", "", "38-revision-v1", "", "", "2023-07-16 00:08:51", "2023-07-15 19:38:51", "", "38", "https://test.filtersanaat.com/?p=39", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("40", "1", "2023-07-16 00:10:56", "2023-07-15 19:40:56", "<style>/*! elementor - v3.22.0 - 26-06-2024 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>قالب <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> آسترا پرو</strong> علمینه</h2>		\n		<p>برای تغییر این متن بر روی دکمه ویرایش کلیک کنید. لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<link rel=\"stylesheet\" href=\"https://test.filtersanaat.com/wp-content/plugins/elementor/assets/css/widget-icon-list-rtl.min.css\">		<ul>\n							<li>\n											<a href=\"https://t.me/elminehshop\">\n										تلگرام\n											</a>\n									</li>\n								<li>\n										واتس اپ\n									</li>\n								<li>\n											<a href=\"http://instagram.com/elmineh_shop\">\n										اینسنتاگرام\n											</a>\n									</li>\n						</ul>\n			<style>/*! elementor - v3.22.0 - 26-06-2024 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>										<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />													\n			<h2><a href=\"http://elmineh.com/site\" target=\"_blank\" rel=\"noopener\">طراح سیدامید قدسی زاده | علمینه</a></h2>", "فوتر اصلی", "", "publish", "closed", "closed", "", "%d9%81%d9%88%d8%aa%d8%b1-%d8%a7%d8%b5%d9%84%db%8c", "", "", "2024-07-11 10:12:47", "2024-07-11 06:42:47", "", "0", "https://test.filtersanaat.com/?post_type=elementor_library&#038;p=40", "0", "elementor_library", "", "0");
INSERT INTO `wp_posts` VALUES("42", "1", "2023-07-16 00:13:38", "2023-07-15 19:43:38", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>قالب <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> آسترا پرو</strong> علمینه</h2>		\n		<p>برای تغییر این متن بر روی دکمه ویرایش کلیک کنید. لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<link rel=\"stylesheet\" href=\"https://test.filtersanaat.com/wp-content/plugins/elementor/assets/css/widget-icon-list-rtl.min.css\">		<ul>\n							<li>\n										تلگرام\n									</li>\n								<li>\n										واتس اپ\n									</li>\n								<li>\n										فیس بوک\n									</li>\n						</ul>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />", "فوتر اصلی", "", "inherit", "closed", "closed", "", "40-revision-v1", "", "", "2023-07-16 00:13:38", "2023-07-15 19:43:38", "", "40", "https://test.filtersanaat.com/?p=42", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("43", "1", "2023-07-16 00:13:50", "2023-07-15 19:43:50", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>قالب <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> آسترا پرو</strong> علمینه</h2>		\n		<p>برای تغییر این متن بر روی دکمه ویرایش کلیک کنید. لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<link rel=\"stylesheet\" href=\"https://test.filtersanaat.com/wp-content/plugins/elementor/assets/css/widget-icon-list-rtl.min.css\">		<ul>\n							<li>\n										تلگرام\n									</li>\n								<li>\n										واتس اپ\n									</li>\n								<li>\n										فیس بوک\n									</li>\n						</ul>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />", "فوتر اصلی", "", "inherit", "closed", "closed", "", "40-revision-v1", "", "", "2023-07-16 00:13:50", "2023-07-15 19:43:50", "", "40", "https://test.filtersanaat.com/?p=43", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("44", "1", "2023-07-16 00:16:15", "2023-07-15 19:46:15", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>قالب <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> آسترا پرو</strong> علمینه</h2>		\n		<p>برای تغییر این متن بر روی دکمه ویرایش کلیک کنید. لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<link rel=\"stylesheet\" href=\"https://test.filtersanaat.com/wp-content/plugins/elementor/assets/css/widget-icon-list-rtl.min.css\">		<ul>\n							<li>\n										تلگرام\n									</li>\n								<li>\n										واتس اپ\n									</li>\n								<li>\n										فیس بوک\n									</li>\n						</ul>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2><a href=\"http://elmineh.com/site\" target=\"_blank\" rel=\"noopener\">طراح سیدامید قدسی زاده | علمینه</a></h2>", "فوتر اصلی", "", "inherit", "closed", "closed", "", "40-revision-v1", "", "", "2023-07-16 00:16:15", "2023-07-15 19:46:15", "", "40", "https://test.filtersanaat.com/?p=44", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("41", "1", "2023-07-16 00:13:38", "2023-07-15 19:43:38", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-social-icons.elementor-grid-0 .elementor-widget-container,.elementor-widget-social-icons.elementor-grid-mobile-0 .elementor-widget-container,.elementor-widget-social-icons.elementor-grid-tablet-0 .elementor-widget-container{line-height:1;font-size:0}.elementor-widget-social-icons:not(.elementor-grid-0):not(.elementor-grid-tablet-0):not(.elementor-grid-mobile-0) .elementor-grid{display:inline-grid}.elementor-widget-social-icons .elementor-grid{grid-column-gap:var(--grid-column-gap,5px);grid-row-gap:var(--grid-row-gap,5px);grid-template-columns:var(--grid-template-columns);justify-content:var(--justify-content,center);justify-items:var(--justify-content,center)}.elementor-icon.elementor-social-icon{font-size:var(--icon-size,25px);line-height:var(--icon-size,25px);width:calc(var(--icon-size, 25px) + (2 * var(--icon-padding, .5em)));height:calc(var(--icon-size, 25px) + (2 * var(--icon-padding, .5em)))}.elementor-social-icon{--e-social-icon-icon-color:#fff;display:inline-flex;background-color:#69727d;align-items:center;justify-content:center;text-align:center;cursor:pointer}.elementor-social-icon i{color:var(--e-social-icon-icon-color)}.elementor-social-icon svg{fill:var(--e-social-icon-icon-color)}.elementor-social-icon:last-child{margin:0}.elementor-social-icon:hover{opacity:.9;color:#fff}.elementor-social-icon-android{background-color:#a4c639}.elementor-social-icon-apple{background-color:#999}.elementor-social-icon-behance{background-color:#1769ff}.elementor-social-icon-bitbucket{background-color:#205081}.elementor-social-icon-codepen{background-color:#000}.elementor-social-icon-delicious{background-color:#39f}.elementor-social-icon-deviantart{background-color:#05cc47}.elementor-social-icon-digg{background-color:#005be2}.elementor-social-icon-dribbble{background-color:#ea4c89}.elementor-social-icon-elementor{background-color:#d30c5c}.elementor-social-icon-envelope{background-color:#ea4335}.elementor-social-icon-facebook,.elementor-social-icon-facebook-f{background-color:#3b5998}.elementor-social-icon-flickr{background-color:#0063dc}.elementor-social-icon-foursquare{background-color:#2d5be3}.elementor-social-icon-free-code-camp,.elementor-social-icon-freecodecamp{background-color:#006400}.elementor-social-icon-github{background-color:#333}.elementor-social-icon-gitlab{background-color:#e24329}.elementor-social-icon-globe{background-color:#69727d}.elementor-social-icon-google-plus,.elementor-social-icon-google-plus-g{background-color:#dd4b39}.elementor-social-icon-houzz{background-color:#7ac142}.elementor-social-icon-instagram{background-color:#262626}.elementor-social-icon-jsfiddle{background-color:#487aa2}.elementor-social-icon-link{background-color:#818a91}.elementor-social-icon-linkedin,.elementor-social-icon-linkedin-in{background-color:#0077b5}.elementor-social-icon-medium{background-color:#00ab6b}.elementor-social-icon-meetup{background-color:#ec1c40}.elementor-social-icon-mixcloud{background-color:#273a4b}.elementor-social-icon-odnoklassniki{background-color:#f4731c}.elementor-social-icon-pinterest{background-color:#bd081c}.elementor-social-icon-product-hunt{background-color:#da552f}.elementor-social-icon-reddit{background-color:#ff4500}.elementor-social-icon-rss{background-color:#f26522}.elementor-social-icon-shopping-cart{background-color:#4caf50}.elementor-social-icon-skype{background-color:#00aff0}.elementor-social-icon-slideshare{background-color:#0077b5}.elementor-social-icon-snapchat{background-color:#fffc00}.elementor-social-icon-soundcloud{background-color:#f80}.elementor-social-icon-spotify{background-color:#2ebd59}.elementor-social-icon-stack-overflow{background-color:#fe7a15}.elementor-social-icon-steam{background-color:#00adee}.elementor-social-icon-stumbleupon{background-color:#eb4924}.elementor-social-icon-telegram{background-color:#2ca5e0}.elementor-social-icon-thumb-tack{background-color:#1aa1d8}.elementor-social-icon-tripadvisor{background-color:#589442}.elementor-social-icon-tumblr{background-color:#35465c}.elementor-social-icon-twitch{background-color:#6441a5}.elementor-social-icon-twitter{background-color:#1da1f2}.elementor-social-icon-viber{background-color:#665cac}.elementor-social-icon-vimeo{background-color:#1ab7ea}.elementor-social-icon-vk{background-color:#45668e}.elementor-social-icon-weibo{background-color:#dd2430}.elementor-social-icon-weixin{background-color:#31a918}.elementor-social-icon-whatsapp{background-color:#25d366}.elementor-social-icon-wordpress{background-color:#21759b}.elementor-social-icon-xing{background-color:#026466}.elementor-social-icon-yelp{background-color:#af0606}.elementor-social-icon-youtube{background-color:#cd201f}.elementor-social-icon-500px{background-color:#0099e5}.elementor-shape-rounded .elementor-icon.elementor-social-icon{border-radius:10%}.elementor-shape-circle .elementor-icon.elementor-social-icon{border-radius:50%}</style>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Facebook\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Twitter\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Telegram\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Instagram\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Youtube\n											</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>جشنواره <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> نوروز </strong> شگفت انگیز</h2>		\n		<p>برای تغییر این متن بر روی دکمه ویرایش کلیک کنید. لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<a href=\"#takhfif\">\n						مشاهده تخفیف ها\n					</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"379\" height=\"383\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/amoo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/amoo.png 379w, https://test.filtersanaat.com/wp-content/uploads/2023/07/amoo-297x300.png 297w\" sizes=\"(max-width: 379px) 100vw, 379px\" />															\n			<h2>تخفیف <strong style=\"font-weight: bold;\"> ویژه </strong> امروز </h2>		\n			<h2>این تخفیف فقط به مدت یک روز فعال است </h2>		\n			<h2>تخفیف <strong style=\"font-weight: bold;\"> ویژه </strong> امروز </h2>		\n															<img src=\"https://test.filtersanaat.com/wp-content/plugins/elementor/assets/images/placeholder.png\" title=\"\" alt=\"\" loading=\"lazy\" />															\n			<h2>فروش کت و شلوار مردانه حرفه ای</h2>		\n			<h2>Sell professional men\'s suit </h2>		\n			<a href=\"#\">\n						جزییات محصول\n					</a>\n			<h2>تخفیف <strong style=\"font-weight: bold;\"> ویژه </strong> دکوراسیون</h2>		\n			<h2>این تخفیف فقط به مدت یک روز فعال است </h2>		\n															<img width=\"378\" height=\"440\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/element.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/element.png 378w, https://test.filtersanaat.com/wp-content/uploads/2023/07/element-258x300.png 258w\" sizes=\"(max-width: 378px) 100vw, 378px\" />															\n			<h2>نوروز 1401 مبارک</h2>		\n			<h2>Happy Nowruz 1401 </h2>", "فوتر اصلی", "", "inherit", "closed", "closed", "", "40-revision-v1", "", "", "2023-07-16 00:13:38", "2023-07-15 19:43:38", "", "40", "https://test.filtersanaat.com/?p=41", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("45", "1", "2023-07-16 00:16:56", "2023-07-15 19:46:56", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>قالب <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> آسترا پرو</strong> علمینه</h2>		\n		<p style=\"text-align: justify;\">برای تغییر این متن بر روی دکمه ویرایش کلیک کنید. لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<a href=\"#takhfif\">\n						مشاهده تخفیف ها\n					</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"379\" height=\"383\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/amoo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/amoo.png 379w, https://test.filtersanaat.com/wp-content/uploads/2023/07/amoo-297x300.png 297w\" sizes=\"(max-width: 379px) 100vw, 379px\" />															\n			<h2>تخفیف <strong style=\"font-weight: bold;\"> ویژه </strong> امروز </h2>		\n			<h2>این تخفیف فقط به مدت یک روز فعال است </h2>		\n			<h2>تخفیف <strong style=\"font-weight: bold;\"> ویژه </strong> امروز </h2>		\n															<img src=\"https://test.filtersanaat.com/wp-content/plugins/elementor/assets/images/placeholder.png\" title=\"\" alt=\"\" loading=\"lazy\" />															\n			<h2>فروش کت و شلوار مردانه حرفه ای</h2>		\n			<h2>Sell professional men\'s suit </h2>		\n			<a href=\"#\">\n						جزییات محصول\n					</a>\n			<h2>تخفیف <strong style=\"font-weight: bold;\"> ویژه </strong> دکوراسیون</h2>		\n			<h2>این تخفیف فقط به مدت یک روز فعال است </h2>		\n															<img width=\"378\" height=\"440\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/element.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/element.png 378w, https://test.filtersanaat.com/wp-content/uploads/2023/07/element-258x300.png 258w\" sizes=\"(max-width: 378px) 100vw, 378px\" />															\n			<h2>نوروز 1401 مبارک</h2>		\n			<h2>Happy Nowruz 1401 </h2>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-07-16 00:16:56", "2023-07-15 19:46:56", "", "7", "https://test.filtersanaat.com/?p=45", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("46", "1", "2023-07-16 00:16:56", "2023-07-15 19:46:56", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>قالب <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> آسترا پرو</strong> علمینه</h2>		\n		<p style=\"text-align: justify;\">برای تغییر این متن بر روی دکمه ویرایش کلیک کنید. لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<a href=\"#takhfif\">\n						مشاهده تخفیف ها\n					</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"379\" height=\"383\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/amoo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/amoo.png 379w, https://test.filtersanaat.com/wp-content/uploads/2023/07/amoo-297x300.png 297w\" sizes=\"(max-width: 379px) 100vw, 379px\" />															\n			<h2>تخفیف <strong style=\"font-weight: bold;\"> ویژه </strong> امروز </h2>		\n			<h2>این تخفیف فقط به مدت یک روز فعال است </h2>		\n			<h2>تخفیف <strong style=\"font-weight: bold;\"> ویژه </strong> امروز </h2>		\n															<img src=\"https://test.filtersanaat.com/wp-content/plugins/elementor/assets/images/placeholder.png\" title=\"\" alt=\"\" loading=\"lazy\" />															\n			<h2>فروش کت و شلوار مردانه حرفه ای</h2>		\n			<h2>Sell professional men\'s suit </h2>		\n			<a href=\"#\">\n						جزییات محصول\n					</a>\n			<h2>تخفیف <strong style=\"font-weight: bold;\"> ویژه </strong> دکوراسیون</h2>		\n			<h2>این تخفیف فقط به مدت یک روز فعال است </h2>		\n															<img width=\"378\" height=\"440\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/element.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/element.png 378w, https://test.filtersanaat.com/wp-content/uploads/2023/07/element-258x300.png 258w\" sizes=\"(max-width: 378px) 100vw, 378px\" />															\n			<h2>نوروز 1401 مبارک</h2>		\n			<h2>Happy Nowruz 1401 </h2>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-07-16 00:16:56", "2023-07-15 19:46:56", "", "7", "https://test.filtersanaat.com/?p=46", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("47", "1", "2023-07-16 00:16:57", "2023-07-15 19:46:57", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>قالب <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> آسترا پرو</strong> علمینه</h2>		\n		<p style=\"text-align: justify;\">برای تغییر این متن بر روی دکمه ویرایش کلیک کنید. لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<a href=\"#takhfif\">\n						مشاهده تخفیف ها\n					</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2>تخفیف <strong style=\"font-weight: bold;\"> ویژه </strong> امروز </h2>		\n			<h2>این تخفیف فقط به مدت یک روز فعال است </h2>		\n			<h2>تخفیف <strong style=\"font-weight: bold;\"> ویژه </strong> امروز </h2>		\n															<img src=\"https://test.filtersanaat.com/wp-content/plugins/elementor/assets/images/placeholder.png\" title=\"\" alt=\"\" loading=\"lazy\" />															\n			<h2>فروش کت و شلوار مردانه حرفه ای</h2>		\n			<h2>Sell professional men\'s suit </h2>		\n			<a href=\"#\">\n						جزییات محصول\n					</a>\n			<h2>تخفیف <strong style=\"font-weight: bold;\"> ویژه </strong> دکوراسیون</h2>		\n			<h2>این تخفیف فقط به مدت یک روز فعال است </h2>		\n															<img width=\"378\" height=\"440\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/element.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/element.png 378w, https://test.filtersanaat.com/wp-content/uploads/2023/07/element-258x300.png 258w\" sizes=\"(max-width: 378px) 100vw, 378px\" />															\n			<h2>نوروز 1401 مبارک</h2>		\n			<h2>Happy Nowruz 1401 </h2>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-07-16 00:16:57", "2023-07-15 19:46:57", "", "7", "https://test.filtersanaat.com/?p=47", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("48", "1", "2023-07-16 00:18:02", "2023-07-15 19:48:02", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>قالب <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> آسترا پرو</strong> علمینه</h2>		\n		<p style=\"text-align: justify;\">برای تغییر این متن بر روی دکمه ویرایش کلیک کنید. لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<a href=\"#takhfif\">\n						مشاهده تخفیف ها\n					</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2>تخفیف <strong style=\"font-weight: bold;\"> ویژه </strong> امروز </h2>		\n			<h2>این تخفیف فقط به مدت یک روز فعال است </h2>		\n			<h2>تخفیف <strong style=\"font-weight: bold;\"> ویژه </strong> امروز </h2>		\n															<img src=\"https://test.filtersanaat.com/wp-content/plugins/elementor/assets/images/placeholder.png\" title=\"\" alt=\"\" loading=\"lazy\" />															\n			<h2>فروش کت و شلوار مردانه حرفه ای</h2>		\n			<h2>Sell professional men\'s suit </h2>		\n			<a href=\"#\">\n						جزییات محصول\n					</a>\n			<h2>تخفیف <strong style=\"font-weight: bold;\"> ویژه </strong> دکوراسیون</h2>		\n			<h2>این تخفیف فقط به مدت یک روز فعال است </h2>		\n															<img width=\"378\" height=\"440\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/element.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/element.png 378w, https://test.filtersanaat.com/wp-content/uploads/2023/07/element-258x300.png 258w\" sizes=\"(max-width: 378px) 100vw, 378px\" />															\n			<h2>نوروز 1401 مبارک</h2>		\n			<h2>Happy Nowruz 1401 </h2>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-07-16 00:18:02", "2023-07-15 19:48:02", "", "7", "https://test.filtersanaat.com/?p=48", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("49", "1", "2023-07-16 00:18:02", "2023-07-15 19:48:02", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>قالب <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> آسترا پرو</strong> علمینه</h2>		\n		<p style=\"text-align: justify;\">برای تغییر این متن بر روی دکمه ویرایش کلیک کنید. لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<a href=\"#takhfif\">\n						مشاهده تخفیف ها\n					</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2>تخفیف <strong style=\"font-weight: bold;\"> ویژه </strong> امروز </h2>		\n			<h2>این تخفیف فقط به مدت یک روز فعال است </h2>		\n			<h2>تخفیف <strong style=\"font-weight: bold;\"> ویژه </strong> امروز </h2>		\n															<img src=\"https://test.filtersanaat.com/wp-content/plugins/elementor/assets/images/placeholder.png\" title=\"\" alt=\"\" loading=\"lazy\" />															\n			<h2>فروش کت و شلوار مردانه حرفه ای</h2>		\n			<h2>Sell professional men\'s suit </h2>		\n			<a href=\"#\">\n						جزییات محصول\n					</a>\n			<h2>تخفیف <strong style=\"font-weight: bold;\"> ویژه </strong> دکوراسیون</h2>		\n			<h2>این تخفیف فقط به مدت یک روز فعال است </h2>		\n															<img width=\"378\" height=\"440\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/element.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/element.png 378w, https://test.filtersanaat.com/wp-content/uploads/2023/07/element-258x300.png 258w\" sizes=\"(max-width: 378px) 100vw, 378px\" />															\n			<h2>نوروز 1401 مبارک</h2>		\n			<h2>Happy Nowruz 1401 </h2>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-07-16 00:18:02", "2023-07-15 19:48:02", "", "7", "https://test.filtersanaat.com/?p=49", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("50", "1", "2023-07-16 00:18:02", "2023-07-15 19:48:02", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>قالب <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> آسترا پرو</strong> علمینه</h2>		\n		<p style=\"text-align: justify;\">برای تغییر این متن بر روی دکمه ویرایش کلیک کنید. لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<a href=\"#takhfif\">\n						مشاهده تخفیف ها\n					</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2>بهترین<strong style=\"font-weight: bold;\"> قالب</strong> شرکتی وردپرس</h2>		\n			<h2>این قالب را می‌توانید رایگان از آموزشگاه علمینه دانلود کنید</h2>		\n			<h2>تخفیف <strong style=\"font-weight: bold;\"> ویژه </strong> امروز </h2>		\n															<img src=\"https://test.filtersanaat.com/wp-content/plugins/elementor/assets/images/placeholder.png\" title=\"\" alt=\"\" loading=\"lazy\" />															\n			<h2>فروش کت و شلوار مردانه حرفه ای</h2>		\n			<h2>Sell professional men\'s suit </h2>		\n			<a href=\"#\">\n						جزییات محصول\n					</a>\n			<h2>تخفیف <strong style=\"font-weight: bold;\"> ویژه </strong> دکوراسیون</h2>		\n			<h2>این تخفیف فقط به مدت یک روز فعال است </h2>		\n															<img width=\"378\" height=\"440\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/element.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/element.png 378w, https://test.filtersanaat.com/wp-content/uploads/2023/07/element-258x300.png 258w\" sizes=\"(max-width: 378px) 100vw, 378px\" />															\n			<h2>نوروز 1401 مبارک</h2>		\n			<h2>Happy Nowruz 1401 </h2>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-07-16 00:18:02", "2023-07-15 19:48:02", "", "7", "https://test.filtersanaat.com/?p=50", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("51", "1", "2023-07-16 00:19:35", "2023-07-15 19:49:35", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>قالب <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> آسترا پرو</strong> علمینه</h2>		\n		<p style=\"text-align: justify;\">برای تغییر این متن بر روی دکمه ویرایش کلیک کنید. لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<a href=\"#takhfif\">\n						مشاهده تخفیف ها\n					</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2>بهترین<strong style=\"font-weight: bold;\"> قالب</strong> شرکتی وردپرس</h2>		\n			<h2>این قالب را می‌توانید رایگان از آموزشگاه علمینه دانلود کنید</h2>		\n			<h2>تخفیف <strong style=\"font-weight: bold;\"> ویژه </strong> امروز </h2>		\n															<img src=\"https://test.filtersanaat.com/wp-content/plugins/elementor/assets/images/placeholder.png\" title=\"\" alt=\"\" loading=\"lazy\" />															\n			<h2>فروش کت و شلوار مردانه حرفه ای</h2>		\n			<h2>Sell professional men\'s suit </h2>		\n			<a href=\"#\">\n						جزییات محصول\n					</a>\n			<h2>تخفیف <strong style=\"font-weight: bold;\"> ویژه </strong> دکوراسیون</h2>		\n			<h2>این تخفیف فقط به مدت یک روز فعال است </h2>		\n															<img width=\"378\" height=\"440\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/element.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/element.png 378w, https://test.filtersanaat.com/wp-content/uploads/2023/07/element-258x300.png 258w\" sizes=\"(max-width: 378px) 100vw, 378px\" />															\n			<h2>نوروز 1401 مبارک</h2>		\n			<h2>Happy Nowruz 1401 </h2>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-07-16 00:19:35", "2023-07-15 19:49:35", "", "7", "https://test.filtersanaat.com/?p=51", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("52", "1", "2023-07-16 00:19:35", "2023-07-15 19:49:35", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>قالب <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> آسترا پرو</strong> علمینه</h2>		\n		<p style=\"text-align: justify;\">برای تغییر این متن بر روی دکمه ویرایش کلیک کنید. لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<a href=\"#takhfif\">\n						مشاهده تخفیف ها\n					</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2>بهترین<strong style=\"font-weight: bold;\"> قالب</strong> شرکتی وردپرس</h2>		\n			<h2>این قالب را می‌توانید رایگان از آموزشگاه علمینه دانلود کنید</h2>		\n			<h2>تخفیف <strong style=\"font-weight: bold;\"> ویژه </strong> امروز </h2>		\n															<img src=\"https://test.filtersanaat.com/wp-content/plugins/elementor/assets/images/placeholder.png\" title=\"\" alt=\"\" loading=\"lazy\" />															\n			<h2>فروش کت و شلوار مردانه حرفه ای</h2>		\n			<h2>Sell professional men\'s suit </h2>		\n			<a href=\"#\">\n						جزییات محصول\n					</a>\n			<h2>تخفیف <strong style=\"font-weight: bold;\"> ویژه </strong> دکوراسیون</h2>		\n			<h2>این تخفیف فقط به مدت یک روز فعال است </h2>		\n															<img width=\"378\" height=\"440\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/element.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/element.png 378w, https://test.filtersanaat.com/wp-content/uploads/2023/07/element-258x300.png 258w\" sizes=\"(max-width: 378px) 100vw, 378px\" />															\n			<h2>نوروز 1401 مبارک</h2>		\n			<h2>Happy Nowruz 1401 </h2>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-07-16 00:19:35", "2023-07-15 19:49:35", "", "7", "https://test.filtersanaat.com/?p=52", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("53", "1", "2023-07-16 00:19:36", "2023-07-15 19:49:36", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>قالب <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> آسترا پرو</strong> علمینه</h2>		\n		<p style=\"text-align: justify;\">برای تغییر این متن بر روی دکمه ویرایش کلیک کنید. لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<a href=\"#takhfif\">\n						مشاهده تخفیف ها\n					</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2>بهترین<strong style=\"font-weight: bold;\"> قالب</strong> شرکتی وردپرس</h2>		\n			<h2>این قالب را می‌توانید رایگان از آموزشگاه علمینه دانلود کنید</h2>		\n			<h2>برخی<strong style=\"font-weight: bold;\"> از </strong> امکانات آسترا پرو</h2>		\n															<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2><a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">پر فروش ترین قالب پردپرسی</a></h2>		\n			<h2>جهت دانلود کلیک کنید</h2>		\n			<a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">\n						دانلود قالب آستراپرو\n					</a>\n			<h2>تخفیف <strong style=\"font-weight: bold;\"> ویژه </strong> دکوراسیون</h2>		\n			<h2>این تخفیف فقط به مدت یک روز فعال است </h2>		\n															<img width=\"378\" height=\"440\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/element.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/element.png 378w, https://test.filtersanaat.com/wp-content/uploads/2023/07/element-258x300.png 258w\" sizes=\"(max-width: 378px) 100vw, 378px\" />															\n			<h2>نوروز 1401 مبارک</h2>		\n			<h2>Happy Nowruz 1401 </h2>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-07-16 00:19:36", "2023-07-15 19:49:36", "", "7", "https://test.filtersanaat.com/?p=53", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("54", "1", "2023-07-16 00:20:49", "2023-07-15 19:50:49", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>قالب <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> آسترا پرو</strong> علمینه</h2>		\n		<p style=\"text-align: justify;\">برای تغییر این متن بر روی دکمه ویرایش کلیک کنید. لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<a href=\"#takhfif\">\n						مشاهده تخفیف ها\n					</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2>بهترین<strong style=\"font-weight: bold;\"> قالب</strong> شرکتی وردپرس</h2>		\n			<h2>این قالب را می‌توانید رایگان از آموزشگاه علمینه دانلود کنید</h2>		\n			<h2>برخی<strong style=\"font-weight: bold;\"> از </strong> امکانات آسترا پرو</h2>		\n															<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2><a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">پر فروش ترین قالب پردپرسی</a></h2>		\n			<h2>جهت دانلود کلیک کنید</h2>		\n			<a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">\n						دانلود قالب آستراپرو\n					</a>\n			<h2>تخفیف <strong style=\"font-weight: bold;\"> ویژه </strong> دکوراسیون</h2>		\n			<h2>این تخفیف فقط به مدت یک روز فعال است </h2>		\n															<img width=\"378\" height=\"440\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/element.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/element.png 378w, https://test.filtersanaat.com/wp-content/uploads/2023/07/element-258x300.png 258w\" sizes=\"(max-width: 378px) 100vw, 378px\" />															\n			<h2>نوروز 1401 مبارک</h2>		\n			<h2>Happy Nowruz 1401 </h2>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-07-16 00:20:49", "2023-07-15 19:50:49", "", "7", "https://test.filtersanaat.com/?p=54", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("55", "1", "2023-07-16 00:20:49", "2023-07-15 19:50:49", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>قالب <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> آسترا پرو</strong> علمینه</h2>		\n		<p style=\"text-align: justify;\">برای تغییر این متن بر روی دکمه ویرایش کلیک کنید. لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<a href=\"#takhfif\">\n						مشاهده تخفیف ها\n					</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2>بهترین<strong style=\"font-weight: bold;\"> قالب</strong> شرکتی وردپرس</h2>		\n			<h2>این قالب را می‌توانید رایگان از آموزشگاه علمینه دانلود کنید</h2>		\n			<h2>برخی<strong style=\"font-weight: bold;\"> از </strong> امکانات آسترا پرو</h2>		\n															<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2><a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">پر فروش ترین قالب پردپرسی</a></h2>		\n			<h2>جهت دانلود کلیک کنید</h2>		\n			<a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">\n						دانلود قالب آستراپرو\n					</a>\n			<h2>تخفیف <strong style=\"font-weight: bold;\"> ویژه </strong> دکوراسیون</h2>		\n			<h2>این تخفیف فقط به مدت یک روز فعال است </h2>		\n															<img width=\"378\" height=\"440\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/element.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/element.png 378w, https://test.filtersanaat.com/wp-content/uploads/2023/07/element-258x300.png 258w\" sizes=\"(max-width: 378px) 100vw, 378px\" />															\n			<h2>نوروز 1401 مبارک</h2>		\n			<h2>Happy Nowruz 1401 </h2>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-07-16 00:20:49", "2023-07-15 19:50:49", "", "7", "https://test.filtersanaat.com/?p=55", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("56", "1", "2023-07-16 00:20:50", "2023-07-15 19:50:50", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>قالب <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> آسترا پرو</strong> علمینه</h2>		\n		<p style=\"text-align: justify;\">برای تغییر این متن بر روی دکمه ویرایش کلیک کنید. لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<a href=\"#takhfif\">\n						مشاهده تخفیف ها\n					</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2>بهترین<strong style=\"font-weight: bold;\"> قالب</strong> شرکتی وردپرس</h2>		\n			<h2>این قالب را می‌توانید رایگان از آموزشگاه علمینه دانلود کنید</h2>		\n			<h2>برخی<strong style=\"font-weight: bold;\"> از </strong> امکانات آسترا پرو</h2>		\n															<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2><a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">پُرفروش ترین قالب پردپرسی</a></h2>		\n			<h2>جهت دانلود کلیک کنید</h2>		\n			<a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">\n						دانلود قالب آستراپرو\n					</a>\n			<h2>تخفیف <strong style=\"font-weight: bold;\"> ویژه </strong> دکوراسیون</h2>		\n			<h2>این تخفیف فقط به مدت یک روز فعال است </h2>		\n															<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2>سرعت بالا</h2>		\n			<h2>یکی از مهترین مزیت های آسترا پرو سرعت بسیار بالای آن است.</h2>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-07-16 00:20:50", "2023-07-15 19:50:50", "", "7", "https://test.filtersanaat.com/?p=56", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("57", "1", "2023-07-16 00:23:42", "2023-07-15 19:53:42", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>قالب <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> آسترا پرو</strong> علمینه</h2>		\n		<p>برای تغییر این متن بر روی دکمه ویرایش کلیک کنید. لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<link rel=\"stylesheet\" href=\"https://test.filtersanaat.com/wp-content/plugins/elementor/assets/css/widget-icon-list-rtl.min.css\">		<ul>\n							<li>\n										تلگرام\n									</li>\n								<li>\n										واتس اپ\n									</li>\n								<li>\n										فیس بوک\n									</li>\n						</ul>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2><a href=\"http://elmineh.com/site\" target=\"_blank\" rel=\"noopener\">طراح سیدامید قدسی زاده | علمینه</a></h2>", "فوتر اصلی", "", "inherit", "closed", "closed", "", "40-revision-v1", "", "", "2023-07-16 00:23:42", "2023-07-15 19:53:42", "", "40", "https://test.filtersanaat.com/?p=57", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("58", "1", "2023-07-16 00:29:03", "2023-07-15 19:59:03", "", "astrapro", "", "inherit", "open", "closed", "", "astrapro", "", "", "2023-07-16 00:29:03", "2023-07-15 19:59:03", "", "7", "https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("59", "1", "2023-07-16 00:29:34", "2023-07-15 19:59:34", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>قالب <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> آسترا پرو</strong> علمینه</h2>		\n		<p style=\"text-align: justify;\">برای تغییر این متن بر روی دکمه ویرایش کلیک کنید. لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<a href=\"#takhfif\">\n						مشاهده تخفیف ها\n					</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2>بهترین<strong style=\"font-weight: bold;\"> قالب</strong> شرکتی وردپرس</h2>		\n			<h2>این قالب را می‌توانید رایگان از آموزشگاه علمینه دانلود کنید</h2>		\n			<h2>برخی<strong style=\"font-weight: bold;\"> از </strong> امکانات آسترا پرو</h2>		\n															<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2><a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">پُرفروش ترین قالب پردپرسی</a></h2>		\n			<h2>جهت دانلود کلیک کنید</h2>		\n			<a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">\n						دانلود قالب آستراپرو\n					</a>\n			<h2>تخفیف <strong style=\"font-weight: bold;\"> ویژه </strong> دکوراسیون</h2>		\n			<h2>این تخفیف فقط به مدت یک روز فعال است </h2>		\n															<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2>سرعت بالا</h2>		\n			<h2>یکی از مهترین مزیت های آسترا پرو سرعت بسیار بالای آن است.</h2>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-07-16 00:29:34", "2023-07-15 19:59:34", "", "7", "https://test.filtersanaat.com/?p=59", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("60", "1", "2023-07-16 00:29:34", "2023-07-15 19:59:34", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>قالب <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> آسترا پرو</strong> علمینه</h2>		\n		<p style=\"text-align: justify;\">برای تغییر این متن بر روی دکمه ویرایش کلیک کنید. لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<a href=\"#takhfif\">\n						مشاهده تخفیف ها\n					</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2>بهترین<strong style=\"font-weight: bold;\"> قالب</strong> شرکتی وردپرس</h2>		\n			<h2>این قالب را می‌توانید رایگان از آموزشگاه علمینه دانلود کنید</h2>		\n			<h2>برخی<strong style=\"font-weight: bold;\"> از </strong> امکانات آسترا پرو</h2>		\n															<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2><a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">پُرفروش ترین قالب پردپرسی</a></h2>		\n			<h2>جهت دانلود کلیک کنید</h2>		\n			<a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">\n						دانلود قالب آستراپرو\n					</a>\n			<h2>تخفیف <strong style=\"font-weight: bold;\"> ویژه </strong> دکوراسیون</h2>		\n			<h2>این تخفیف فقط به مدت یک روز فعال است </h2>		\n															<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2>سرعت بالا</h2>		\n			<h2>یکی از مهترین مزیت های آسترا پرو سرعت بسیار بالای آن است.</h2>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-07-16 00:29:34", "2023-07-15 19:59:34", "", "7", "https://test.filtersanaat.com/?p=60", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("61", "1", "2023-07-16 00:29:34", "2023-07-15 19:59:34", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>قالب <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> آسترا پرو</strong> علمینه</h2>		\n		<p style=\"text-align: justify;\">برای تغییر این متن بر روی دکمه ویرایش کلیک کنید. لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<a href=\"#takhfif\">\n						مشاهده تخفیف ها\n					</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2>بهترین<strong style=\"font-weight: bold;\"> قالب</strong> شرکتی وردپرس</h2>		\n			<h2>این قالب را می‌توانید رایگان از آموزشگاه علمینه دانلود کنید</h2>		\n			<h2>قالب چند منظوره – فروشگاهی Astra ، یک قالب وردپرس رایگان برای راه اندازی یک وبسایت حرفه‌ای فروشگاهی است. قالب آسترا از سازگار ترین قالب‌های وردپرس با المنتور و جز سریع‌ترین قالب‌های وردپرس است!! این قالب، بطور کامل ترجمه، راستچین و بومی شده است و برای سایت‌های ایرانی، براحتی قابل استفاده است.بخش‌های مختلف قالب Astra خیلی راحت با سفارشی ساز وردپرس، قابل تغییر و شخصی سازی است. همچنین صفحات مختلف این قالب فروشگاهی رایگان وردپرس ، با المنتور یعنی بهترین صفحه ساز وردپرس قابل تغییر است.</h2>		\n			<h2>برخی<strong style=\"font-weight: bold;\"> از </strong> امکانات آسترا پرو</h2>		\n			<link rel=\"stylesheet\" href=\"https://test.filtersanaat.com/wp-content/plugins/elementor/assets/css/widget-icon-box-rtl.min.css\">		\n				<h3>\n						سرعت بالا					\n				</h3>\n				<h3>\n						سرعت بالا					\n				</h3>\n				<h3>\n						سرعت بالا					\n				</h3>\n				<h3>\n						سرعت بالا					\n				</h3>\n				<h3>\n						سرعت بالا					\n				</h3>\n				<h3>\n						سرعت بالا					\n				</h3>\n															<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2><a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">پُرفروش ترین قالب پردپرسی</a></h2>		\n			<h2>جهت دانلود کلیک کنید</h2>		\n			<a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">\n						دانلود قالب آستراپرو\n					</a>\n			<h2>رایگان<strong style=\"font-weight: bold;\"> دانلود</strong> کنید</h2>		\n			<h2>قالب آسترا پرو به همراه المنتور پرو رایگان</h2>		\n															<img width=\"849\" height=\"458\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro.jpg 849w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro-300x162.jpg 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro-768x414.jpg 768w\" sizes=\"(max-width: 849px) 100vw, 849px\" />															\n															<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2>سرعت بالا</h2>		\n			<h2>یکی از مهترین مزیت های آسترا پرو سرعت بسیار بالای آن است.</h2>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-07-16 00:29:34", "2023-07-15 19:59:34", "", "7", "https://test.filtersanaat.com/?p=61", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("62", "1", "2023-07-16 00:30:47", "2023-07-15 20:00:47", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>قالب <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> آسترا پرو</strong> علمینه</h2>		\n		<p style=\"text-align: justify;\">برای تغییر این متن بر روی دکمه ویرایش کلیک کنید. لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<a href=\"#takhfif\">\n						مشاهده تخفیف ها\n					</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2>بهترین<strong style=\"font-weight: bold;\"> قالب</strong> شرکتی وردپرس</h2>		\n			<h2>این قالب را می‌توانید رایگان از آموزشگاه علمینه دانلود کنید</h2>		\n			<h2>قالب چند منظوره – فروشگاهی Astra ، یک قالب وردپرس رایگان برای راه اندازی یک وبسایت حرفه‌ای فروشگاهی است. قالب آسترا از سازگار ترین قالب‌های وردپرس با المنتور و جز سریع‌ترین قالب‌های وردپرس است!! این قالب، بطور کامل ترجمه، راستچین و بومی شده است و برای سایت‌های ایرانی، براحتی قابل استفاده است.بخش‌های مختلف قالب Astra خیلی راحت با سفارشی ساز وردپرس، قابل تغییر و شخصی سازی است. همچنین صفحات مختلف این قالب فروشگاهی رایگان وردپرس ، با المنتور یعنی بهترین صفحه ساز وردپرس قابل تغییر است.</h2>		\n			<h2>برخی<strong style=\"font-weight: bold;\"> از </strong> امکانات آسترا پرو</h2>		\n			<link rel=\"stylesheet\" href=\"https://test.filtersanaat.com/wp-content/plugins/elementor/assets/css/widget-icon-box-rtl.min.css\">		\n				<h3>\n						سرعت بالا					\n				</h3>\n				<h3>\n						سرعت بالا					\n				</h3>\n				<h3>\n						سرعت بالا					\n				</h3>\n				<h3>\n						سرعت بالا					\n				</h3>\n				<h3>\n						سرعت بالا					\n				</h3>\n				<h3>\n						سرعت بالا					\n				</h3>\n															<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2><a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">پُرفروش ترین قالب پردپرسی</a></h2>		\n			<h2>جهت دانلود کلیک کنید</h2>		\n			<a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">\n						دانلود قالب آستراپرو\n					</a>\n			<h2>رایگان<strong style=\"font-weight: bold;\"> دانلود</strong> کنید</h2>		\n			<h2>قالب آسترا پرو به همراه المنتور پرو رایگان</h2>		\n															<img width=\"849\" height=\"458\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro.jpg 849w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro-300x162.jpg 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro-768x414.jpg 768w\" sizes=\"(max-width: 849px) 100vw, 849px\" />															\n															<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2>سرعت بالا</h2>		\n			<h2>یکی از مهترین مزیت های آسترا پرو سرعت بسیار بالای آن است.</h2>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-07-16 00:30:47", "2023-07-15 20:00:47", "", "7", "https://test.filtersanaat.com/?p=62", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("63", "1", "2023-07-16 00:30:47", "2023-07-15 20:00:47", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>قالب <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> آسترا پرو</strong> علمینه</h2>		\n		<p style=\"text-align: justify;\">برای تغییر این متن بر روی دکمه ویرایش کلیک کنید. لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<a href=\"#takhfif\">\n						مشاهده تخفیف ها\n					</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2>بهترین<strong style=\"font-weight: bold;\"> قالب</strong> شرکتی وردپرس</h2>		\n			<h2>این قالب را می‌توانید رایگان از آموزشگاه علمینه دانلود کنید</h2>		\n			<h2>قالب چند منظوره – فروشگاهی Astra ، یک قالب وردپرس رایگان برای راه اندازی یک وبسایت حرفه‌ای فروشگاهی است. قالب آسترا از سازگار ترین قالب‌های وردپرس با المنتور و جز سریع‌ترین قالب‌های وردپرس است!! این قالب، بطور کامل ترجمه، راستچین و بومی شده است و برای سایت‌های ایرانی، براحتی قابل استفاده است.بخش‌های مختلف قالب Astra خیلی راحت با سفارشی ساز وردپرس، قابل تغییر و شخصی سازی است. همچنین صفحات مختلف این قالب فروشگاهی رایگان وردپرس ، با المنتور یعنی بهترین صفحه ساز وردپرس قابل تغییر است.</h2>		\n			<h2>برخی<strong style=\"font-weight: bold;\"> از </strong> امکانات آسترا پرو</h2>		\n			<link rel=\"stylesheet\" href=\"https://test.filtersanaat.com/wp-content/plugins/elementor/assets/css/widget-icon-box-rtl.min.css\">		\n				<h3>\n						سرعت بالا					\n				</h3>\n				<h3>\n						سرعت بالا					\n				</h3>\n				<h3>\n						سرعت بالا					\n				</h3>\n				<h3>\n						سرعت بالا					\n				</h3>\n				<h3>\n						سرعت بالا					\n				</h3>\n				<h3>\n						سرعت بالا					\n				</h3>\n															<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2><a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">پُرفروش ترین قالب پردپرسی</a></h2>		\n			<h2>جهت دانلود کلیک کنید</h2>		\n			<a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">\n						دانلود قالب آستراپرو\n					</a>\n			<h2>رایگان<strong style=\"font-weight: bold;\"> دانلود</strong> کنید</h2>		\n			<h2>قالب آسترا پرو به همراه المنتور پرو رایگان</h2>		\n															<img width=\"849\" height=\"458\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro.jpg 849w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro-300x162.jpg 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro-768x414.jpg 768w\" sizes=\"(max-width: 849px) 100vw, 849px\" />															\n															<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2>سرعت بالا</h2>		\n			<h2>یکی از مهترین مزیت های آسترا پرو سرعت بسیار بالای آن است.</h2>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-07-16 00:30:47", "2023-07-15 20:00:47", "", "7", "https://test.filtersanaat.com/?p=63", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("64", "1", "2023-07-16 00:30:47", "2023-07-15 20:00:47", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>قالب <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> آسترا پرو</strong> علمینه</h2>		\n		<p style=\"text-align: justify;\">برای تغییر این متن بر روی دکمه ویرایش کلیک کنید. لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<a href=\"#takhfif\">\n						مشاهده تخفیف ها\n					</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2>بهترین<strong style=\"font-weight: bold;\"> قالب</strong> شرکتی وردپرس</h2>		\n			<h2>این قالب را می‌توانید رایگان از آموزشگاه علمینه دانلود کنید</h2>		\n			<h2>قالب چند منظوره – فروشگاهی Astra ، یک قالب وردپرس رایگان برای راه اندازی یک وبسایت حرفه‌ای فروشگاهی است. قالب آسترا از سازگار ترین قالب‌های وردپرس با المنتور و جز سریع‌ترین قالب‌های وردپرس است!! این قالب، بطور کامل ترجمه، راستچین و بومی شده است و برای سایت‌های ایرانی، براحتی قابل استفاده است.بخش‌های مختلف قالب Astra خیلی راحت با سفارشی ساز وردپرس، قابل تغییر و شخصی سازی است. همچنین صفحات مختلف این قالب فروشگاهی رایگان وردپرس ، با المنتور یعنی بهترین صفحه ساز وردپرس قابل تغییر است.</h2>		\n			<h2>برخی<strong style=\"font-weight: bold;\"> از </strong> امکانات آسترا پرو</h2>		\n			<link rel=\"stylesheet\" href=\"https://test.filtersanaat.com/wp-content/plugins/elementor/assets/css/widget-icon-box-rtl.min.css\">		\n				<h3>\n						سرعت بالا					\n				</h3>\n				<h3>\n						المنتورپرو رایگان					\n				</h3>\n				<h3>\n						فارسی سازی شده					\n				</h3>\n				<h3>\n						راستچین					\n				</h3>\n				<h3>\n						سرعت بالا					\n				</h3>\n				<h3>\n						سرعت بالا					\n				</h3>\n															<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2><a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">پُرفروش ترین قالب پردپرسی</a></h2>		\n			<h2>جهت دانلود کلیک کنید</h2>		\n			<a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">\n						دانلود قالب آستراپرو\n					</a>\n			<h2>رایگان<strong style=\"font-weight: bold;\"> دانلود</strong> کنید</h2>		\n			<h2>قالب آسترا پرو به همراه المنتور پرو رایگان</h2>		\n															<img width=\"849\" height=\"458\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro.jpg 849w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro-300x162.jpg 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro-768x414.jpg 768w\" sizes=\"(max-width: 849px) 100vw, 849px\" />															\n															<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2>سرعت بالا</h2>		\n			<h2>یکی از مهترین مزیت های آسترا پرو سرعت بسیار بالای آن است.</h2>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-07-16 00:30:47", "2023-07-15 20:00:47", "", "7", "https://test.filtersanaat.com/?p=64", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("65", "1", "2023-07-16 00:32:59", "2023-07-15 20:02:59", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>قالب <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> آسترا پرو</strong> علمینه</h2>		\n		<p style=\"text-align: justify;\">برای تغییر این متن بر روی دکمه ویرایش کلیک کنید. لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<a href=\"#takhfif\">\n						مشاهده تخفیف ها\n					</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2>بهترین<strong style=\"font-weight: bold;\"> قالب</strong> شرکتی وردپرس</h2>		\n			<h2>این قالب را می‌توانید رایگان از آموزشگاه علمینه دانلود کنید</h2>		\n			<h2>قالب چند منظوره – فروشگاهی Astra ، یک قالب وردپرس رایگان برای راه اندازی یک وبسایت حرفه‌ای فروشگاهی است. قالب آسترا از سازگار ترین قالب‌های وردپرس با المنتور و جز سریع‌ترین قالب‌های وردپرس است!! این قالب، بطور کامل ترجمه، راستچین و بومی شده است و برای سایت‌های ایرانی، براحتی قابل استفاده است.بخش‌های مختلف قالب Astra خیلی راحت با سفارشی ساز وردپرس، قابل تغییر و شخصی سازی است. همچنین صفحات مختلف این قالب فروشگاهی رایگان وردپرس ، با المنتور یعنی بهترین صفحه ساز وردپرس قابل تغییر است.</h2>		\n			<h2>برخی<strong style=\"font-weight: bold;\"> از </strong> امکانات آسترا پرو</h2>		\n			<link rel=\"stylesheet\" href=\"https://test.filtersanaat.com/wp-content/plugins/elementor/assets/css/widget-icon-box-rtl.min.css\">		\n				<h3>\n						سرعت بالا					\n				</h3>\n				<h3>\n						المنتورپرو رایگان					\n				</h3>\n				<h3>\n						فارسی سازی شده					\n				</h3>\n				<h3>\n						راستچین					\n				</h3>\n				<h3>\n						سرعت بالا					\n				</h3>\n				<h3>\n						سرعت بالا					\n				</h3>\n															<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2><a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">پُرفروش ترین قالب پردپرسی</a></h2>		\n			<h2>جهت دانلود کلیک کنید</h2>		\n			<a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">\n						دانلود قالب آستراپرو\n					</a>\n			<h2>رایگان<strong style=\"font-weight: bold;\"> دانلود</strong> کنید</h2>		\n			<h2>قالب آسترا پرو به همراه المنتور پرو رایگان</h2>		\n															<img width=\"849\" height=\"458\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro.jpg 849w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro-300x162.jpg 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro-768x414.jpg 768w\" sizes=\"(max-width: 849px) 100vw, 849px\" />															\n															<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2>سرعت بالا</h2>		\n			<h2>یکی از مهترین مزیت های آسترا پرو سرعت بسیار بالای آن است.</h2>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-07-16 00:32:59", "2023-07-15 20:02:59", "", "7", "https://test.filtersanaat.com/?p=65", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("66", "1", "2023-07-16 00:32:59", "2023-07-15 20:02:59", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>قالب <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> آسترا پرو</strong> علمینه</h2>		\n		<p style=\"text-align: justify;\">برای تغییر این متن بر روی دکمه ویرایش کلیک کنید. لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<a href=\"#takhfif\">\n						مشاهده تخفیف ها\n					</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2>بهترین<strong style=\"font-weight: bold;\"> قالب</strong> شرکتی وردپرس</h2>		\n			<h2>این قالب را می‌توانید رایگان از آموزشگاه علمینه دانلود کنید</h2>		\n			<h2>قالب چند منظوره – فروشگاهی Astra ، یک قالب وردپرس رایگان برای راه اندازی یک وبسایت حرفه‌ای فروشگاهی است. قالب آسترا از سازگار ترین قالب‌های وردپرس با المنتور و جز سریع‌ترین قالب‌های وردپرس است!! این قالب، بطور کامل ترجمه، راستچین و بومی شده است و برای سایت‌های ایرانی، براحتی قابل استفاده است.بخش‌های مختلف قالب Astra خیلی راحت با سفارشی ساز وردپرس، قابل تغییر و شخصی سازی است. همچنین صفحات مختلف این قالب فروشگاهی رایگان وردپرس ، با المنتور یعنی بهترین صفحه ساز وردپرس قابل تغییر است.</h2>		\n			<h2>برخی<strong style=\"font-weight: bold;\"> از </strong> امکانات آسترا پرو</h2>		\n			<link rel=\"stylesheet\" href=\"https://test.filtersanaat.com/wp-content/plugins/elementor/assets/css/widget-icon-box-rtl.min.css\">		\n				<h3>\n						سرعت بالا					\n				</h3>\n				<h3>\n						المنتورپرو رایگان					\n				</h3>\n				<h3>\n						فارسی سازی شده					\n				</h3>\n				<h3>\n						راستچین					\n				</h3>\n				<h3>\n						سرعت بالا					\n				</h3>\n				<h3>\n						سرعت بالا					\n				</h3>\n															<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2><a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">پُرفروش ترین قالب پردپرسی</a></h2>		\n			<h2>جهت دانلود کلیک کنید</h2>		\n			<a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">\n						دانلود قالب آستراپرو\n					</a>\n			<h2>رایگان<strong style=\"font-weight: bold;\"> دانلود</strong> کنید</h2>		\n			<h2>قالب آسترا پرو به همراه المنتور پرو رایگان</h2>		\n															<img width=\"849\" height=\"458\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro.jpg 849w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro-300x162.jpg 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro-768x414.jpg 768w\" sizes=\"(max-width: 849px) 100vw, 849px\" />															\n															<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2>سرعت بالا</h2>		\n			<h2>یکی از مهترین مزیت های آسترا پرو سرعت بسیار بالای آن است.</h2>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-07-16 00:32:59", "2023-07-15 20:02:59", "", "7", "https://test.filtersanaat.com/?p=66", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("67", "1", "2023-07-16 00:32:59", "2023-07-15 20:02:59", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>قالب <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> آسترا پرو</strong> علمینه</h2>		\n		<p style=\"text-align: justify;\">برای تغییر این متن بر روی دکمه ویرایش کلیک کنید. لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<a href=\"#takhfif\">\n						مشاهده تخفیف ها\n					</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2>بهترین<strong style=\"font-weight: bold;\"> قالب</strong> شرکتی وردپرس</h2>		\n			<h2>این قالب را می‌توانید رایگان از آموزشگاه علمینه دانلود کنید</h2>		\n			<h2>قالب چند منظوره – فروشگاهی Astra ، یک قالب وردپرس رایگان برای راه اندازی یک وبسایت حرفه‌ای فروشگاهی است. قالب آسترا از سازگار ترین قالب‌های وردپرس با المنتور و جز سریع‌ترین قالب‌های وردپرس است!! این قالب، بطور کامل ترجمه، راستچین و بومی شده است و برای سایت‌های ایرانی، براحتی قابل استفاده است.بخش‌های مختلف قالب Astra خیلی راحت با سفارشی ساز وردپرس، قابل تغییر و شخصی سازی است. همچنین صفحات مختلف این قالب فروشگاهی رایگان وردپرس ، با المنتور یعنی بهترین صفحه ساز وردپرس قابل تغییر است.</h2>		\n			<h2>برخی<strong style=\"font-weight: bold;\"> از </strong> امکانات آسترا پرو</h2>		\n			<link rel=\"stylesheet\" href=\"https://test.filtersanaat.com/wp-content/plugins/elementor/assets/css/widget-icon-box-rtl.min.css\">		\n				<h3>\n						سرعت بالا					\n				</h3>\n				<h3>\n						المنتورپرو رایگان					\n				</h3>\n				<h3>\n						فارسی سازی شده					\n				</h3>\n				<h3>\n						راستچین					\n				</h3>\n				<h3>\n						آخرین ورژن					\n				</h3>\n				<h3>\n						بسته نصبی آسان					\n				</h3>\n															<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2><a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">پُرفروش ترین قالب پردپرسی</a></h2>		\n			<h2>جهت دانلود کلیک کنید</h2>		\n			<a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">\n						دانلود قالب آستراپرو\n					</a>\n			<h2>رایگان<strong style=\"font-weight: bold;\"> دانلود</strong> کنید</h2>		\n			<h2>قالب آسترا پرو به همراه المنتور پرو رایگان</h2>		\n															<img width=\"849\" height=\"458\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro.jpg 849w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro-300x162.jpg 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro-768x414.jpg 768w\" sizes=\"(max-width: 849px) 100vw, 849px\" />															\n															<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2>سرعت بالا</h2>		\n			<h2>یکی از مهترین مزیت های آسترا پرو سرعت بسیار بالای آن است.</h2>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-07-16 00:32:59", "2023-07-15 20:02:59", "", "7", "https://test.filtersanaat.com/?p=67", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("68", "1", "2023-07-16 00:34:13", "2023-07-15 20:04:13", "", "favicon", "", "inherit", "open", "closed", "", "favicon", "", "", "2023-07-16 00:34:13", "2023-07-15 20:04:13", "", "7", "https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("69", "1", "2023-07-16 00:35:43", "2023-07-15 20:05:43", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>قالب <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> آسترا پرو</strong> علمینه</h2>		\n		<p style=\"text-align: justify;\">برای تغییر این متن بر روی دکمه ویرایش کلیک کنید. لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<a href=\"#takhfif\">\n						مشاهده تخفیف ها\n					</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2>بهترین<strong style=\"font-weight: bold;\"> قالب</strong> شرکتی وردپرس</h2>		\n			<h2>این قالب را می‌توانید رایگان از آموزشگاه علمینه دانلود کنید</h2>		\n			<h2>قالب چند منظوره – فروشگاهی Astra ، یک قالب وردپرس رایگان برای راه اندازی یک وبسایت حرفه‌ای فروشگاهی است. قالب آسترا از سازگار ترین قالب‌های وردپرس با المنتور و جز سریع‌ترین قالب‌های وردپرس است!! این قالب، بطور کامل ترجمه، راستچین و بومی شده است و برای سایت‌های ایرانی، براحتی قابل استفاده است.بخش‌های مختلف قالب Astra خیلی راحت با سفارشی ساز وردپرس، قابل تغییر و شخصی سازی است. همچنین صفحات مختلف این قالب فروشگاهی رایگان وردپرس ، با المنتور یعنی بهترین صفحه ساز وردپرس قابل تغییر است.</h2>		\n			<h2>برخی<strong style=\"font-weight: bold;\"> از </strong> امکانات آسترا پرو</h2>		\n			<link rel=\"stylesheet\" href=\"https://test.filtersanaat.com/wp-content/plugins/elementor/assets/css/widget-icon-box-rtl.min.css\">		\n				<h3>\n						سرعت بالا					\n				</h3>\n				<h3>\n						المنتورپرو رایگان					\n				</h3>\n				<h3>\n						فارسی سازی شده					\n				</h3>\n				<h3>\n						راستچین					\n				</h3>\n				<h3>\n						آخرین ورژن					\n				</h3>\n				<h3>\n						بسته نصبی آسان					\n				</h3>\n															<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2><a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">پُرفروش ترین قالب پردپرسی</a></h2>		\n			<h2>جهت دانلود کلیک کنید</h2>		\n			<a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">\n						دانلود قالب آستراپرو\n					</a>\n			<h2>رایگان<strong style=\"font-weight: bold;\"> دانلود</strong> کنید</h2>		\n			<h2>قالب آسترا پرو به همراه المنتور پرو رایگان</h2>		\n															<img width=\"849\" height=\"458\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro.jpg 849w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro-300x162.jpg 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro-768x414.jpg 768w\" sizes=\"(max-width: 849px) 100vw, 849px\" />															\n															<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2>سرعت بالا</h2>		\n			<h2>یکی از مهترین مزیت های آسترا پرو سرعت بسیار بالای آن است.</h2>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-07-16 00:35:43", "2023-07-15 20:05:43", "", "7", "https://test.filtersanaat.com/?p=69", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("70", "1", "2023-07-16 00:35:43", "2023-07-15 20:05:43", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>قالب <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> آسترا پرو</strong> علمینه</h2>		\n		<p style=\"text-align: justify;\">برای تغییر این متن بر روی دکمه ویرایش کلیک کنید. لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<a href=\"#takhfif\">\n						مشاهده تخفیف ها\n					</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2>بهترین<strong style=\"font-weight: bold;\"> قالب</strong> شرکتی وردپرس</h2>		\n			<h2>این قالب را می‌توانید رایگان از آموزشگاه علمینه دانلود کنید</h2>		\n			<h2>قالب چند منظوره – فروشگاهی Astra ، یک قالب وردپرس رایگان برای راه اندازی یک وبسایت حرفه‌ای فروشگاهی است. قالب آسترا از سازگار ترین قالب‌های وردپرس با المنتور و جز سریع‌ترین قالب‌های وردپرس است!! این قالب، بطور کامل ترجمه، راستچین و بومی شده است و برای سایت‌های ایرانی، براحتی قابل استفاده است.بخش‌های مختلف قالب Astra خیلی راحت با سفارشی ساز وردپرس، قابل تغییر و شخصی سازی است. همچنین صفحات مختلف این قالب فروشگاهی رایگان وردپرس ، با المنتور یعنی بهترین صفحه ساز وردپرس قابل تغییر است.</h2>		\n			<h2>برخی<strong style=\"font-weight: bold;\"> از </strong> امکانات آسترا پرو</h2>		\n			<link rel=\"stylesheet\" href=\"https://test.filtersanaat.com/wp-content/plugins/elementor/assets/css/widget-icon-box-rtl.min.css\">		\n				<h3>\n						سرعت بالا					\n				</h3>\n				<h3>\n						المنتورپرو رایگان					\n				</h3>\n				<h3>\n						فارسی سازی شده					\n				</h3>\n				<h3>\n						راستچین					\n				</h3>\n				<h3>\n						آخرین ورژن					\n				</h3>\n				<h3>\n						بسته نصبی آسان					\n				</h3>\n															<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2><a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">پُرفروش ترین قالب پردپرسی</a></h2>		\n			<h2>جهت دانلود کلیک کنید</h2>		\n			<a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">\n						دانلود قالب آستراپرو\n					</a>\n			<h2>رایگان<strong style=\"font-weight: bold;\"> دانلود</strong> کنید</h2>		\n			<h2>قالب آسترا پرو به همراه المنتور پرو رایگان</h2>		\n															<img width=\"849\" height=\"458\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro.jpg 849w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro-300x162.jpg 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro-768x414.jpg 768w\" sizes=\"(max-width: 849px) 100vw, 849px\" />															\n															<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2>سرعت بالا</h2>		\n			<h2>یکی از مهترین مزیت های آسترا پرو سرعت بسیار بالای آن است.</h2>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-07-16 00:35:43", "2023-07-15 20:05:43", "", "7", "https://test.filtersanaat.com/?p=70", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("71", "1", "2023-07-16 00:35:43", "2023-07-15 20:05:43", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>قالب <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> آسترا پرو</strong> علمینه</h2>		\n		<p style=\"text-align: justify;\">برای تغییر این متن بر روی دکمه ویرایش کلیک کنید. لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<a href=\"#takhfif\">\n						مشاهده تخفیف ها\n					</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2>بهترین<strong style=\"font-weight: bold;\"> قالب</strong> شرکتی وردپرس</h2>		\n			<h2>این قالب را می‌توانید رایگان از آموزشگاه علمینه دانلود کنید</h2>		\n			<h2>قالب چند منظوره – فروشگاهی Astra ، یک قالب وردپرس رایگان برای راه اندازی یک وبسایت حرفه‌ای فروشگاهی است. قالب آسترا از سازگار ترین قالب‌های وردپرس با المنتور و جز سریع‌ترین قالب‌های وردپرس است!! این قالب، بطور کامل ترجمه، راستچین و بومی شده است و برای سایت‌های ایرانی، براحتی قابل استفاده است.بخش‌های مختلف قالب Astra خیلی راحت با سفارشی ساز وردپرس، قابل تغییر و شخصی سازی است. همچنین صفحات مختلف این قالب فروشگاهی رایگان وردپرس ، با المنتور یعنی بهترین صفحه ساز وردپرس قابل تغییر است.</h2>		\n			<h2>برخی<strong style=\"font-weight: bold;\"> از </strong> امکانات آسترا پرو</h2>		\n			<link rel=\"stylesheet\" href=\"https://test.filtersanaat.com/wp-content/plugins/elementor/assets/css/widget-icon-box-rtl.min.css\">		\n				<h3>\n						سرعت بالا					\n				</h3>\n				<h3>\n						المنتورپرو رایگان					\n				</h3>\n				<h3>\n						فارسی سازی شده					\n				</h3>\n				<h3>\n						راستچین					\n				</h3>\n				<h3>\n						آخرین ورژن					\n				</h3>\n				<h3>\n						بسته نصبی آسان					\n				</h3>\n															<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2><a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">پُرفروش ترین قالب پردپرسی</a></h2>		\n			<h2>جهت دانلود کلیک کنید</h2>		\n			<a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">\n						دانلود قالب آستراپرو\n					</a>\n			<h2>رایگان<strong style=\"font-weight: bold;\"> دانلود</strong> کنید</h2>		\n			<h2>قالب آسترا پرو به همراه المنتور پرو رایگان</h2>		\n															<img width=\"849\" height=\"458\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro.jpg 849w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro-300x162.jpg 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro-768x414.jpg 768w\" sizes=\"(max-width: 849px) 100vw, 849px\" />															\n															<img width=\"512\" height=\"512\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon.png 512w, https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon-150x150.png 150w\" sizes=\"(max-width: 512px) 100vw, 512px\" />															\n			<h2>ارائه شده توسط آموزشگاه علمینه</h2>		\n			<h2>مشاوره طراحی سایت رایگان</h2>		\n			<a href=\"tel:09909365394\" target=\"_blank\" rel=\"noopener\">\n						0990-9365394\n					</a>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-07-16 00:35:43", "2023-07-15 20:05:43", "", "7", "https://test.filtersanaat.com/?p=71", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("72", "1", "2023-07-16 00:36:01", "2023-07-15 20:06:01", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>قالب <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> آسترا پرو</strong> علمینه</h2>		\n		<p style=\"text-align: justify;\">برای تغییر این متن بر روی دکمه ویرایش کلیک کنید. لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<a href=\"#takhfif\">\n						مشاهده تخفیف ها\n					</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2>بهترین<strong style=\"font-weight: bold;\"> قالب</strong> شرکتی وردپرس</h2>		\n			<h2>این قالب را می‌توانید رایگان از آموزشگاه علمینه دانلود کنید</h2>		\n			<h2>قالب چند منظوره – فروشگاهی Astra ، یک قالب وردپرس رایگان برای راه اندازی یک وبسایت حرفه‌ای فروشگاهی است. قالب آسترا از سازگار ترین قالب‌های وردپرس با المنتور و جز سریع‌ترین قالب‌های وردپرس است!! این قالب، بطور کامل ترجمه، راستچین و بومی شده است و برای سایت‌های ایرانی، براحتی قابل استفاده است.بخش‌های مختلف قالب Astra خیلی راحت با سفارشی ساز وردپرس، قابل تغییر و شخصی سازی است. همچنین صفحات مختلف این قالب فروشگاهی رایگان وردپرس ، با المنتور یعنی بهترین صفحه ساز وردپرس قابل تغییر است.</h2>		\n			<h2>برخی<strong style=\"font-weight: bold;\"> از </strong> امکانات آسترا پرو</h2>		\n			<link rel=\"stylesheet\" href=\"https://test.filtersanaat.com/wp-content/plugins/elementor/assets/css/widget-icon-box-rtl.min.css\">		\n				<h3>\n						سرعت بالا					\n				</h3>\n				<h3>\n						المنتورپرو رایگان					\n				</h3>\n				<h3>\n						فارسی سازی شده					\n				</h3>\n				<h3>\n						راستچین					\n				</h3>\n				<h3>\n						آخرین ورژن					\n				</h3>\n				<h3>\n						بسته نصبی آسان					\n				</h3>\n															<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2><a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">پُرفروش ترین قالب پردپرسی</a></h2>		\n			<h2>جهت دانلود کلیک کنید</h2>		\n			<a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">\n						دانلود قالب آستراپرو\n					</a>\n			<h2>رایگان<strong style=\"font-weight: bold;\"> دانلود</strong> کنید</h2>		\n			<h2>قالب آسترا پرو به همراه المنتور پرو رایگان</h2>		\n															<img width=\"849\" height=\"458\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro.jpg 849w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro-300x162.jpg 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro-768x414.jpg 768w\" sizes=\"(max-width: 849px) 100vw, 849px\" />															\n															<img width=\"512\" height=\"512\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon.png 512w, https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon-150x150.png 150w\" sizes=\"(max-width: 512px) 100vw, 512px\" />															\n			<h2>ارائه شده توسط آموزشگاه علمینه</h2>		\n			<h2>مشاوره طراحی سایت رایگان</h2>		\n			<a href=\"tel:09909365394\" target=\"_blank\" rel=\"noopener\">\n						0990-9365394\n					</a>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-07-16 00:36:01", "2023-07-15 20:06:01", "", "7", "https://test.filtersanaat.com/?p=72", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("73", "1", "2023-07-16 00:36:01", "2023-07-15 20:06:01", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>قالب <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> آسترا پرو</strong> علمینه</h2>		\n		<p style=\"text-align: justify;\">برای تغییر این متن بر روی دکمه ویرایش کلیک کنید. لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<a href=\"#takhfif\">\n						مشاهده تخفیف ها\n					</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2>بهترین<strong style=\"font-weight: bold;\"> قالب</strong> شرکتی وردپرس</h2>		\n			<h2>این قالب را می‌توانید رایگان از آموزشگاه علمینه دانلود کنید</h2>		\n			<h2>قالب چند منظوره – فروشگاهی Astra ، یک قالب وردپرس رایگان برای راه اندازی یک وبسایت حرفه‌ای فروشگاهی است. قالب آسترا از سازگار ترین قالب‌های وردپرس با المنتور و جز سریع‌ترین قالب‌های وردپرس است!! این قالب، بطور کامل ترجمه، راستچین و بومی شده است و برای سایت‌های ایرانی، براحتی قابل استفاده است.بخش‌های مختلف قالب Astra خیلی راحت با سفارشی ساز وردپرس، قابل تغییر و شخصی سازی است. همچنین صفحات مختلف این قالب فروشگاهی رایگان وردپرس ، با المنتور یعنی بهترین صفحه ساز وردپرس قابل تغییر است.</h2>		\n			<h2>برخی<strong style=\"font-weight: bold;\"> از </strong> امکانات آسترا پرو</h2>		\n			<link rel=\"stylesheet\" href=\"https://test.filtersanaat.com/wp-content/plugins/elementor/assets/css/widget-icon-box-rtl.min.css\">		\n				<h3>\n						سرعت بالا					\n				</h3>\n				<h3>\n						المنتورپرو رایگان					\n				</h3>\n				<h3>\n						فارسی سازی شده					\n				</h3>\n				<h3>\n						راستچین					\n				</h3>\n				<h3>\n						آخرین ورژن					\n				</h3>\n				<h3>\n						بسته نصبی آسان					\n				</h3>\n															<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2><a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">پُرفروش ترین قالب پردپرسی</a></h2>		\n			<h2>جهت دانلود کلیک کنید</h2>		\n			<a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">\n						دانلود قالب آستراپرو\n					</a>\n			<h2>رایگان<strong style=\"font-weight: bold;\"> دانلود</strong> کنید</h2>		\n			<h2>قالب آسترا پرو به همراه المنتور پرو رایگان</h2>		\n															<img width=\"849\" height=\"458\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro.jpg 849w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro-300x162.jpg 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro-768x414.jpg 768w\" sizes=\"(max-width: 849px) 100vw, 849px\" />															\n															<img width=\"512\" height=\"512\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon.png 512w, https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon-150x150.png 150w\" sizes=\"(max-width: 512px) 100vw, 512px\" />															\n			<h2>ارائه شده توسط آموزشگاه علمینه</h2>		\n			<h2>مشاوره طراحی سایت رایگان</h2>		\n			<a href=\"tel:09909365394\" target=\"_blank\" rel=\"noopener\">\n						0990-9365394\n					</a>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-07-16 00:36:01", "2023-07-15 20:06:01", "", "7", "https://test.filtersanaat.com/?p=73", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("74", "1", "2023-07-16 00:36:01", "2023-07-15 20:06:01", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>قالب <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> آسترا پرو</strong> علمینه</h2>		\n		<p style=\"text-align: justify;\">برای تغییر این متن بر روی دکمه ویرایش کلیک کنید. لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<a href=\"#takhfif\">\n						مشاهده تخفیف ها\n					</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2>بهترین<strong style=\"font-weight: bold;\"> قالب</strong> شرکتی وردپرس</h2>		\n			<h2>این قالب را می‌توانید رایگان از آموزشگاه علمینه دانلود کنید</h2>		\n			<h2>قالب چند منظوره – فروشگاهی Astra ، یک قالب وردپرس رایگان برای راه اندازی یک وبسایت حرفه‌ای فروشگاهی است. قالب آسترا از سازگار ترین قالب‌های وردپرس با المنتور و جز سریع‌ترین قالب‌های وردپرس است!! این قالب، بطور کامل ترجمه، راستچین و بومی شده است و برای سایت‌های ایرانی، براحتی قابل استفاده است.بخش‌های مختلف قالب Astra خیلی راحت با سفارشی ساز وردپرس، قابل تغییر و شخصی سازی است. همچنین صفحات مختلف این قالب فروشگاهی رایگان وردپرس ، با المنتور یعنی بهترین صفحه ساز وردپرس قابل تغییر است.</h2>		\n			<h2>برخی<strong style=\"font-weight: bold;\"> از </strong> امکانات آسترا پرو</h2>		\n			<link rel=\"stylesheet\" href=\"https://test.filtersanaat.com/wp-content/plugins/elementor/assets/css/widget-icon-box-rtl.min.css\">		\n				<h3>\n						سرعت بالا					\n				</h3>\n				<h3>\n						المنتورپرو رایگان					\n				</h3>\n				<h3>\n						فارسی سازی شده					\n				</h3>\n				<h3>\n						راستچین					\n				</h3>\n				<h3>\n						آخرین ورژن					\n				</h3>\n				<h3>\n						بسته نصبی آسان					\n				</h3>\n															<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2><a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">پُرفروش ترین قالب پردپرسی</a></h2>		\n			<h2>جهت دانلود کلیک کنید</h2>		\n			<a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">\n						دانلود قالب آستراپرو\n					</a>\n			<h2>رایگان<strong style=\"font-weight: bold;\"> دانلود</strong> کنید</h2>		\n			<h2>قالب آسترا پرو به همراه المنتور پرو رایگان</h2>		\n															<img width=\"849\" height=\"458\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro.jpg 849w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro-300x162.jpg 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro-768x414.jpg 768w\" sizes=\"(max-width: 849px) 100vw, 849px\" />															\n															<img width=\"512\" height=\"512\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon.png 512w, https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon-150x150.png 150w\" sizes=\"(max-width: 512px) 100vw, 512px\" />															\n			<h2>ارائه شده توسط آموزشگاه علمینه</h2>		\n			<h2>مشاوره طراحی سایت رایگان</h2>		\n			<a href=\"tel:09909365394\" target=\"_blank\" rel=\"noopener\">\n						0990-9365394\n					</a>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-07-16 00:36:01", "2023-07-15 20:06:01", "", "7", "https://test.filtersanaat.com/?p=74", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("123", "1", "2024-07-11 10:12:47", "2024-07-11 06:42:47", "<style>/*! elementor - v3.22.0 - 26-06-2024 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>قالب <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> آسترا پرو</strong> علمینه</h2>		\n		<p>برای تغییر این متن بر روی دکمه ویرایش کلیک کنید. لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<link rel=\"stylesheet\" href=\"https://test.filtersanaat.com/wp-content/plugins/elementor/assets/css/widget-icon-list-rtl.min.css\">		<ul>\n							<li>\n											<a href=\"https://t.me/elminehshop\">\n										تلگرام\n											</a>\n									</li>\n								<li>\n										واتس اپ\n									</li>\n								<li>\n											<a href=\"http://instagram.com/elmineh_shop\">\n										اینسنتاگرام\n											</a>\n									</li>\n						</ul>\n			<style>/*! elementor - v3.22.0 - 26-06-2024 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>										<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />													\n			<h2><a href=\"http://elmineh.com/site\" target=\"_blank\" rel=\"noopener\">طراح سیدامید قدسی زاده | علمینه</a></h2>", "فوتر اصلی", "", "inherit", "closed", "closed", "", "40-revision-v1", "", "", "2024-07-11 10:12:47", "2024-07-11 06:42:47", "", "40", "https://test.filtersanaat.com/?p=123", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("83", "1", "2023-07-16 00:52:21", "2023-07-15 20:22:21", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>قالب <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> آسترا پرو</strong> علمینه</h2>		\n		<p style=\"text-align: justify;\">برای تغییر این متن بر روی دکمه ویرایش کلیک کنید. لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<a href=\"#takhfif\">\n						مشاهده تخفیف ها\n					</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2>بهترین<strong style=\"font-weight: bold;\"> قالب</strong> شرکتی وردپرس</h2>		\n			<h2>این قالب را می‌توانید رایگان از آموزشگاه علمینه دانلود کنید</h2>		\n			<h2>قالب چند منظوره – فروشگاهی Astra ، یک قالب وردپرس رایگان برای راه اندازی یک وبسایت حرفه‌ای فروشگاهی است. قالب آسترا از سازگار ترین قالب‌های وردپرس با المنتور و جز سریع‌ترین قالب‌های وردپرس است!! این قالب، بطور کامل ترجمه، راستچین و بومی شده است و برای سایت‌های ایرانی، براحتی قابل استفاده است.بخش‌های مختلف قالب Astra خیلی راحت با سفارشی ساز وردپرس، قابل تغییر و شخصی سازی است. همچنین صفحات مختلف این قالب فروشگاهی رایگان وردپرس ، با المنتور یعنی بهترین صفحه ساز وردپرس قابل تغییر است.</h2>		\n			<h2>برخی<strong style=\"font-weight: bold;\"> از </strong> امکانات آسترا پرو</h2>		\n			<link rel=\"stylesheet\" href=\"https://test.filtersanaat.com/wp-content/plugins/elementor/assets/css/widget-icon-box-rtl.min.css\">		\n				<h3>\n						سرعت بالا					\n				</h3>\n				<h3>\n						المنتورپرو رایگان					\n				</h3>\n				<h3>\n						فارسی سازی شده					\n				</h3>\n				<h3>\n						راستچین					\n				</h3>\n				<h3>\n						آخرین ورژن					\n				</h3>\n				<h3>\n						بسته نصبی آسان					\n				</h3>\n															<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2><a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">پُرفروش ترین قالب پردپرسی</a></h2>		\n			<h2>جهت دانلود کلیک کنید</h2>		\n			<a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">\n						دانلود قالب آستراپرو\n					</a>\n			<h2>رایگان<strong style=\"font-weight: bold;\"> دانلود</strong> کنید</h2>		\n			<h2>قالب آسترا پرو به همراه المنتور پرو رایگان</h2>		\n															<img width=\"849\" height=\"458\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro.jpg 849w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro-300x162.jpg 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro-768x414.jpg 768w\" sizes=\"(max-width: 849px) 100vw, 849px\" />															\n															<img width=\"512\" height=\"512\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon.png 512w, https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon-150x150.png 150w\" sizes=\"(max-width: 512px) 100vw, 512px\" />															\n			<h2>ارائه شده توسط آموزشگاه علمینه</h2>		\n			<h2>مشاوره طراحی سایت رایگان</h2>		\n			<a href=\"tel:09909365394\" target=\"_blank\" rel=\"noopener\">\n						0990-9365394\n					</a>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-07-16 00:52:21", "2023-07-15 20:22:21", "", "7", "https://test.filtersanaat.com/?p=83", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("81", "1", "2023-07-16 00:52:20", "2023-07-15 20:22:20", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>قالب <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> آسترا پرو</strong> علمینه</h2>		\n		<p style=\"text-align: justify;\">برای تغییر این متن بر روی دکمه ویرایش کلیک کنید. لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<a href=\"#takhfif\">\n						مشاهده تخفیف ها\n					</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2>بهترین<strong style=\"font-weight: bold;\"> قالب</strong> شرکتی وردپرس</h2>		\n			<h2>این قالب را می‌توانید رایگان از آموزشگاه علمینه دانلود کنید</h2>		\n			<h2>قالب چند منظوره – فروشگاهی Astra ، یک قالب وردپرس رایگان برای راه اندازی یک وبسایت حرفه‌ای فروشگاهی است. قالب آسترا از سازگار ترین قالب‌های وردپرس با المنتور و جز سریع‌ترین قالب‌های وردپرس است!! این قالب، بطور کامل ترجمه، راستچین و بومی شده است و برای سایت‌های ایرانی، براحتی قابل استفاده است.بخش‌های مختلف قالب Astra خیلی راحت با سفارشی ساز وردپرس، قابل تغییر و شخصی سازی است. همچنین صفحات مختلف این قالب فروشگاهی رایگان وردپرس ، با المنتور یعنی بهترین صفحه ساز وردپرس قابل تغییر است.</h2>		\n			<h2>برخی<strong style=\"font-weight: bold;\"> از </strong> امکانات آسترا پرو</h2>		\n			<link rel=\"stylesheet\" href=\"https://test.filtersanaat.com/wp-content/plugins/elementor/assets/css/widget-icon-box-rtl.min.css\">		\n				<h3>\n						سرعت بالا					\n				</h3>\n				<h3>\n						المنتورپرو رایگان					\n				</h3>\n				<h3>\n						فارسی سازی شده					\n				</h3>\n				<h3>\n						راستچین					\n				</h3>\n				<h3>\n						آخرین ورژن					\n				</h3>\n				<h3>\n						بسته نصبی آسان					\n				</h3>\n															<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2><a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">پُرفروش ترین قالب پردپرسی</a></h2>		\n			<h2>جهت دانلود کلیک کنید</h2>		\n			<a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">\n						دانلود قالب آستراپرو\n					</a>\n			<h2>رایگان<strong style=\"font-weight: bold;\"> دانلود</strong> کنید</h2>		\n			<h2>قالب آسترا پرو به همراه المنتور پرو رایگان</h2>		\n															<img width=\"849\" height=\"458\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro.jpg 849w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro-300x162.jpg 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro-768x414.jpg 768w\" sizes=\"(max-width: 849px) 100vw, 849px\" />															\n															<img width=\"512\" height=\"512\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon.png 512w, https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon-150x150.png 150w\" sizes=\"(max-width: 512px) 100vw, 512px\" />															\n			<h2>ارائه شده توسط آموزشگاه علمینه</h2>		\n			<h2>مشاوره طراحی سایت رایگان</h2>		\n			<a href=\"tel:09909365394\" target=\"_blank\" rel=\"noopener\">\n						0990-9365394\n					</a>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-07-16 00:52:20", "2023-07-15 20:22:20", "", "7", "https://test.filtersanaat.com/?p=81", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("82", "1", "2023-07-16 00:52:20", "2023-07-15 20:22:20", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>قالب <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> آسترا پرو</strong> علمینه</h2>		\n		<p style=\"text-align: justify;\">برای تغییر این متن بر روی دکمه ویرایش کلیک کنید. لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<a href=\"#takhfif\">\n						مشاهده تخفیف ها\n					</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2>بهترین<strong style=\"font-weight: bold;\"> قالب</strong> شرکتی وردپرس</h2>		\n			<h2>این قالب را می‌توانید رایگان از آموزشگاه علمینه دانلود کنید</h2>		\n			<h2>قالب چند منظوره – فروشگاهی Astra ، یک قالب وردپرس رایگان برای راه اندازی یک وبسایت حرفه‌ای فروشگاهی است. قالب آسترا از سازگار ترین قالب‌های وردپرس با المنتور و جز سریع‌ترین قالب‌های وردپرس است!! این قالب، بطور کامل ترجمه، راستچین و بومی شده است و برای سایت‌های ایرانی، براحتی قابل استفاده است.بخش‌های مختلف قالب Astra خیلی راحت با سفارشی ساز وردپرس، قابل تغییر و شخصی سازی است. همچنین صفحات مختلف این قالب فروشگاهی رایگان وردپرس ، با المنتور یعنی بهترین صفحه ساز وردپرس قابل تغییر است.</h2>		\n			<h2>برخی<strong style=\"font-weight: bold;\"> از </strong> امکانات آسترا پرو</h2>		\n			<link rel=\"stylesheet\" href=\"https://test.filtersanaat.com/wp-content/plugins/elementor/assets/css/widget-icon-box-rtl.min.css\">		\n				<h3>\n						سرعت بالا					\n				</h3>\n				<h3>\n						المنتورپرو رایگان					\n				</h3>\n				<h3>\n						فارسی سازی شده					\n				</h3>\n				<h3>\n						راستچین					\n				</h3>\n				<h3>\n						آخرین ورژن					\n				</h3>\n				<h3>\n						بسته نصبی آسان					\n				</h3>\n															<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2><a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">پُرفروش ترین قالب پردپرسی</a></h2>		\n			<h2>جهت دانلود کلیک کنید</h2>		\n			<a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">\n						دانلود قالب آستراپرو\n					</a>\n			<h2>رایگان<strong style=\"font-weight: bold;\"> دانلود</strong> کنید</h2>		\n			<h2>قالب آسترا پرو به همراه المنتور پرو رایگان</h2>		\n															<img width=\"849\" height=\"458\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro.jpg 849w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro-300x162.jpg 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro-768x414.jpg 768w\" sizes=\"(max-width: 849px) 100vw, 849px\" />															\n															<img width=\"512\" height=\"512\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon.png 512w, https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon-150x150.png 150w\" sizes=\"(max-width: 512px) 100vw, 512px\" />															\n			<h2>ارائه شده توسط آموزشگاه علمینه</h2>		\n			<h2>مشاوره طراحی سایت رایگان</h2>		\n			<a href=\"tel:09909365394\" target=\"_blank\" rel=\"noopener\">\n						0990-9365394\n					</a>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-07-16 00:52:20", "2023-07-15 20:22:20", "", "7", "https://test.filtersanaat.com/?p=82", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("88", "1", "2023-07-16 00:53:31", "2023-07-15 20:23:31", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>قالب <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> آسترا پرو</strong> علمینه</h2>		\n		<p style=\"text-align: justify;\">برای تغییر این متن بر روی دکمه ویرایش کلیک کنید. لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<a href=\"#takhfif\">\n						مشاهده تخفیف ها\n					</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2>بهترین<strong style=\"font-weight: bold;\"> قالب</strong> شرکتی وردپرس</h2>		\n			<h2>این قالب را می‌توانید رایگان از آموزشگاه علمینه دانلود کنید</h2>		\n			<h2>قالب چند منظوره – فروشگاهی Astra ، یک قالب وردپرس رایگان برای راه اندازی یک وبسایت حرفه‌ای فروشگاهی است. قالب آسترا از سازگار ترین قالب‌های وردپرس با المنتور و جز سریع‌ترین قالب‌های وردپرس است!! این قالب، بطور کامل ترجمه، راستچین و بومی شده است و برای سایت‌های ایرانی، براحتی قابل استفاده است.بخش‌های مختلف قالب Astra خیلی راحت با سفارشی ساز وردپرس، قابل تغییر و شخصی سازی است. همچنین صفحات مختلف این قالب فروشگاهی رایگان وردپرس ، با المنتور یعنی بهترین صفحه ساز وردپرس قابل تغییر است.</h2>		\n			<h2>برخی<strong style=\"font-weight: bold;\"> از </strong> امکانات آسترا پرو</h2>		\n			<link rel=\"stylesheet\" href=\"https://test.filtersanaat.com/wp-content/plugins/elementor/assets/css/widget-icon-box-rtl.min.css\">		\n				<h3>\n						سرعت بالا					\n				</h3>\n				<h3>\n						المنتورپرو رایگان					\n				</h3>\n				<h3>\n						فارسی سازی شده					\n				</h3>\n				<h3>\n						راستچین					\n				</h3>\n				<h3>\n						آخرین ورژن					\n				</h3>\n				<h3>\n						بسته نصبی آسان					\n				</h3>\n															<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2><a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">پُرفروش ترین قالب پردپرسی</a></h2>		\n			<h2>جهت دانلود کلیک کنید</h2>		\n			<a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">\n						دانلود قالب آستراپرو\n					</a>\n			<h2>رایگان<strong style=\"font-weight: bold;\"> دانلود</strong> کنید</h2>		\n			<h2>قالب آسترا پرو به همراه المنتور پرو رایگان</h2>		\n															<img width=\"849\" height=\"458\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro.jpg 849w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro-300x162.jpg 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro-768x414.jpg 768w\" sizes=\"(max-width: 849px) 100vw, 849px\" />															\n															<img width=\"512\" height=\"512\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon.png 512w, https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon-150x150.png 150w\" sizes=\"(max-width: 512px) 100vw, 512px\" />															\n			<h2>ارائه شده توسط آموزشگاه علمینه</h2>		\n			<h2>مشاوره طراحی سایت رایگان</h2>		\n			<a href=\"tel:09909365394\" target=\"_blank\" rel=\"noopener\">\n						0990-9365394\n					</a>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-07-16 00:53:31", "2023-07-15 20:23:31", "", "7", "https://test.filtersanaat.com/?p=88", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("86", "1", "2023-07-16 00:53:30", "2023-07-15 20:23:30", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>قالب <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> آسترا پرو</strong> علمینه</h2>		\n		<p style=\"text-align: justify;\">برای تغییر این متن بر روی دکمه ویرایش کلیک کنید. لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<a href=\"#takhfif\">\n						مشاهده تخفیف ها\n					</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2>بهترین<strong style=\"font-weight: bold;\"> قالب</strong> شرکتی وردپرس</h2>		\n			<h2>این قالب را می‌توانید رایگان از آموزشگاه علمینه دانلود کنید</h2>		\n			<h2>قالب چند منظوره – فروشگاهی Astra ، یک قالب وردپرس رایگان برای راه اندازی یک وبسایت حرفه‌ای فروشگاهی است. قالب آسترا از سازگار ترین قالب‌های وردپرس با المنتور و جز سریع‌ترین قالب‌های وردپرس است!! این قالب، بطور کامل ترجمه، راستچین و بومی شده است و برای سایت‌های ایرانی، براحتی قابل استفاده است.بخش‌های مختلف قالب Astra خیلی راحت با سفارشی ساز وردپرس، قابل تغییر و شخصی سازی است. همچنین صفحات مختلف این قالب فروشگاهی رایگان وردپرس ، با المنتور یعنی بهترین صفحه ساز وردپرس قابل تغییر است.</h2>		\n			<h2>برخی<strong style=\"font-weight: bold;\"> از </strong> امکانات آسترا پرو</h2>		\n			<link rel=\"stylesheet\" href=\"https://test.filtersanaat.com/wp-content/plugins/elementor/assets/css/widget-icon-box-rtl.min.css\">		\n				<h3>\n						سرعت بالا					\n				</h3>\n				<h3>\n						المنتورپرو رایگان					\n				</h3>\n				<h3>\n						فارسی سازی شده					\n				</h3>\n				<h3>\n						راستچین					\n				</h3>\n				<h3>\n						آخرین ورژن					\n				</h3>\n				<h3>\n						بسته نصبی آسان					\n				</h3>\n															<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2><a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">پُرفروش ترین قالب پردپرسی</a></h2>		\n			<h2>جهت دانلود کلیک کنید</h2>		\n			<a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">\n						دانلود قالب آستراپرو\n					</a>\n			<h2>رایگان<strong style=\"font-weight: bold;\"> دانلود</strong> کنید</h2>		\n			<h2>قالب آسترا پرو به همراه المنتور پرو رایگان</h2>		\n															<img width=\"849\" height=\"458\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro.jpg 849w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro-300x162.jpg 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro-768x414.jpg 768w\" sizes=\"(max-width: 849px) 100vw, 849px\" />															\n															<img width=\"512\" height=\"512\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon.png 512w, https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon-150x150.png 150w\" sizes=\"(max-width: 512px) 100vw, 512px\" />															\n			<h2>ارائه شده توسط آموزشگاه علمینه</h2>		\n			<h2>مشاوره طراحی سایت رایگان</h2>		\n			<a href=\"tel:09909365394\" target=\"_blank\" rel=\"noopener\">\n						0990-9365394\n					</a>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-07-16 00:53:30", "2023-07-15 20:23:30", "", "7", "https://test.filtersanaat.com/?p=86", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("87", "1", "2023-07-16 00:53:30", "2023-07-15 20:23:30", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>قالب <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> آسترا پرو</strong> علمینه</h2>		\n		<p style=\"text-align: justify;\">برای تغییر این متن بر روی دکمه ویرایش کلیک کنید. لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<a href=\"#takhfif\">\n						مشاهده تخفیف ها\n					</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2>بهترین<strong style=\"font-weight: bold;\"> قالب</strong> شرکتی وردپرس</h2>		\n			<h2>این قالب را می‌توانید رایگان از آموزشگاه علمینه دانلود کنید</h2>		\n			<h2>قالب چند منظوره – فروشگاهی Astra ، یک قالب وردپرس رایگان برای راه اندازی یک وبسایت حرفه‌ای فروشگاهی است. قالب آسترا از سازگار ترین قالب‌های وردپرس با المنتور و جز سریع‌ترین قالب‌های وردپرس است!! این قالب، بطور کامل ترجمه، راستچین و بومی شده است و برای سایت‌های ایرانی، براحتی قابل استفاده است.بخش‌های مختلف قالب Astra خیلی راحت با سفارشی ساز وردپرس، قابل تغییر و شخصی سازی است. همچنین صفحات مختلف این قالب فروشگاهی رایگان وردپرس ، با المنتور یعنی بهترین صفحه ساز وردپرس قابل تغییر است.</h2>		\n			<h2>برخی<strong style=\"font-weight: bold;\"> از </strong> امکانات آسترا پرو</h2>		\n			<link rel=\"stylesheet\" href=\"https://test.filtersanaat.com/wp-content/plugins/elementor/assets/css/widget-icon-box-rtl.min.css\">		\n				<h3>\n						سرعت بالا					\n				</h3>\n				<h3>\n						المنتورپرو رایگان					\n				</h3>\n				<h3>\n						فارسی سازی شده					\n				</h3>\n				<h3>\n						راستچین					\n				</h3>\n				<h3>\n						آخرین ورژن					\n				</h3>\n				<h3>\n						بسته نصبی آسان					\n				</h3>\n															<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2><a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">پُرفروش ترین قالب پردپرسی</a></h2>		\n			<h2>جهت دانلود کلیک کنید</h2>		\n			<a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">\n						دانلود قالب آستراپرو\n					</a>\n			<h2>رایگان<strong style=\"font-weight: bold;\"> دانلود</strong> کنید</h2>		\n			<h2>قالب آسترا پرو به همراه المنتور پرو رایگان</h2>		\n															<img width=\"849\" height=\"458\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro.jpg 849w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro-300x162.jpg 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro-768x414.jpg 768w\" sizes=\"(max-width: 849px) 100vw, 849px\" />															\n															<img width=\"512\" height=\"512\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon.png 512w, https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon-150x150.png 150w\" sizes=\"(max-width: 512px) 100vw, 512px\" />															\n			<h2>ارائه شده توسط آموزشگاه علمینه</h2>		\n			<h2>مشاوره طراحی سایت رایگان</h2>		\n			<a href=\"tel:09909365394\" target=\"_blank\" rel=\"noopener\">\n						0990-9365394\n					</a>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-07-16 00:53:30", "2023-07-15 20:23:30", "", "7", "https://test.filtersanaat.com/?p=87", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("125", "1", "2024-07-11 10:29:30", "0000-00-00 00:00:00", "", "پیش‌نویس خودکار", "", "auto-draft", "open", "open", "", "", "", "", "2024-07-11 10:29:30", "0000-00-00 00:00:00", "", "0", "https://test.filtersanaat.com/?p=125", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("106", "1", "2023-07-16 01:16:15", "2023-07-15 20:46:15", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-social-icons.elementor-grid-0 .elementor-widget-container,.elementor-widget-social-icons.elementor-grid-mobile-0 .elementor-widget-container,.elementor-widget-social-icons.elementor-grid-tablet-0 .elementor-widget-container{line-height:1;font-size:0}.elementor-widget-social-icons:not(.elementor-grid-0):not(.elementor-grid-tablet-0):not(.elementor-grid-mobile-0) .elementor-grid{display:inline-grid}.elementor-widget-social-icons .elementor-grid{grid-column-gap:var(--grid-column-gap,5px);grid-row-gap:var(--grid-row-gap,5px);grid-template-columns:var(--grid-template-columns);justify-content:var(--justify-content,center);justify-items:var(--justify-content,center)}.elementor-icon.elementor-social-icon{font-size:var(--icon-size,25px);line-height:var(--icon-size,25px);width:calc(var(--icon-size, 25px) + (2 * var(--icon-padding, .5em)));height:calc(var(--icon-size, 25px) + (2 * var(--icon-padding, .5em)))}.elementor-social-icon{--e-social-icon-icon-color:#fff;display:inline-flex;background-color:#69727d;align-items:center;justify-content:center;text-align:center;cursor:pointer}.elementor-social-icon i{color:var(--e-social-icon-icon-color)}.elementor-social-icon svg{fill:var(--e-social-icon-icon-color)}.elementor-social-icon:last-child{margin:0}.elementor-social-icon:hover{opacity:.9;color:#fff}.elementor-social-icon-android{background-color:#a4c639}.elementor-social-icon-apple{background-color:#999}.elementor-social-icon-behance{background-color:#1769ff}.elementor-social-icon-bitbucket{background-color:#205081}.elementor-social-icon-codepen{background-color:#000}.elementor-social-icon-delicious{background-color:#39f}.elementor-social-icon-deviantart{background-color:#05cc47}.elementor-social-icon-digg{background-color:#005be2}.elementor-social-icon-dribbble{background-color:#ea4c89}.elementor-social-icon-elementor{background-color:#d30c5c}.elementor-social-icon-envelope{background-color:#ea4335}.elementor-social-icon-facebook,.elementor-social-icon-facebook-f{background-color:#3b5998}.elementor-social-icon-flickr{background-color:#0063dc}.elementor-social-icon-foursquare{background-color:#2d5be3}.elementor-social-icon-free-code-camp,.elementor-social-icon-freecodecamp{background-color:#006400}.elementor-social-icon-github{background-color:#333}.elementor-social-icon-gitlab{background-color:#e24329}.elementor-social-icon-globe{background-color:#69727d}.elementor-social-icon-google-plus,.elementor-social-icon-google-plus-g{background-color:#dd4b39}.elementor-social-icon-houzz{background-color:#7ac142}.elementor-social-icon-instagram{background-color:#262626}.elementor-social-icon-jsfiddle{background-color:#487aa2}.elementor-social-icon-link{background-color:#818a91}.elementor-social-icon-linkedin,.elementor-social-icon-linkedin-in{background-color:#0077b5}.elementor-social-icon-medium{background-color:#00ab6b}.elementor-social-icon-meetup{background-color:#ec1c40}.elementor-social-icon-mixcloud{background-color:#273a4b}.elementor-social-icon-odnoklassniki{background-color:#f4731c}.elementor-social-icon-pinterest{background-color:#bd081c}.elementor-social-icon-product-hunt{background-color:#da552f}.elementor-social-icon-reddit{background-color:#ff4500}.elementor-social-icon-rss{background-color:#f26522}.elementor-social-icon-shopping-cart{background-color:#4caf50}.elementor-social-icon-skype{background-color:#00aff0}.elementor-social-icon-slideshare{background-color:#0077b5}.elementor-social-icon-snapchat{background-color:#fffc00}.elementor-social-icon-soundcloud{background-color:#f80}.elementor-social-icon-spotify{background-color:#2ebd59}.elementor-social-icon-stack-overflow{background-color:#fe7a15}.elementor-social-icon-steam{background-color:#00adee}.elementor-social-icon-stumbleupon{background-color:#eb4924}.elementor-social-icon-telegram{background-color:#2ca5e0}.elementor-social-icon-thumb-tack{background-color:#1aa1d8}.elementor-social-icon-tripadvisor{background-color:#589442}.elementor-social-icon-tumblr{background-color:#35465c}.elementor-social-icon-twitch{background-color:#6441a5}.elementor-social-icon-twitter{background-color:#1da1f2}.elementor-social-icon-viber{background-color:#665cac}.elementor-social-icon-vimeo{background-color:#1ab7ea}.elementor-social-icon-vk{background-color:#45668e}.elementor-social-icon-weibo{background-color:#dd2430}.elementor-social-icon-weixin{background-color:#31a918}.elementor-social-icon-whatsapp{background-color:#25d366}.elementor-social-icon-wordpress{background-color:#21759b}.elementor-social-icon-xing{background-color:#026466}.elementor-social-icon-yelp{background-color:#af0606}.elementor-social-icon-youtube{background-color:#cd201f}.elementor-social-icon-500px{background-color:#0099e5}.elementor-shape-rounded .elementor-icon.elementor-social-icon{border-radius:10%}.elementor-shape-circle .elementor-icon.elementor-social-icon{border-radius:50%}</style>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Facebook\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Twitter\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Telegram\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Instagram\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Youtube\n											</a>", "هدر اصلی", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2023-07-16 01:16:15", "2023-07-15 20:46:15", "", "29", "https://test.filtersanaat.com/?p=106", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("107", "1", "2023-07-16 01:16:43", "2023-07-15 20:46:43", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-social-icons.elementor-grid-0 .elementor-widget-container,.elementor-widget-social-icons.elementor-grid-mobile-0 .elementor-widget-container,.elementor-widget-social-icons.elementor-grid-tablet-0 .elementor-widget-container{line-height:1;font-size:0}.elementor-widget-social-icons:not(.elementor-grid-0):not(.elementor-grid-tablet-0):not(.elementor-grid-mobile-0) .elementor-grid{display:inline-grid}.elementor-widget-social-icons .elementor-grid{grid-column-gap:var(--grid-column-gap,5px);grid-row-gap:var(--grid-row-gap,5px);grid-template-columns:var(--grid-template-columns);justify-content:var(--justify-content,center);justify-items:var(--justify-content,center)}.elementor-icon.elementor-social-icon{font-size:var(--icon-size,25px);line-height:var(--icon-size,25px);width:calc(var(--icon-size, 25px) + (2 * var(--icon-padding, .5em)));height:calc(var(--icon-size, 25px) + (2 * var(--icon-padding, .5em)))}.elementor-social-icon{--e-social-icon-icon-color:#fff;display:inline-flex;background-color:#69727d;align-items:center;justify-content:center;text-align:center;cursor:pointer}.elementor-social-icon i{color:var(--e-social-icon-icon-color)}.elementor-social-icon svg{fill:var(--e-social-icon-icon-color)}.elementor-social-icon:last-child{margin:0}.elementor-social-icon:hover{opacity:.9;color:#fff}.elementor-social-icon-android{background-color:#a4c639}.elementor-social-icon-apple{background-color:#999}.elementor-social-icon-behance{background-color:#1769ff}.elementor-social-icon-bitbucket{background-color:#205081}.elementor-social-icon-codepen{background-color:#000}.elementor-social-icon-delicious{background-color:#39f}.elementor-social-icon-deviantart{background-color:#05cc47}.elementor-social-icon-digg{background-color:#005be2}.elementor-social-icon-dribbble{background-color:#ea4c89}.elementor-social-icon-elementor{background-color:#d30c5c}.elementor-social-icon-envelope{background-color:#ea4335}.elementor-social-icon-facebook,.elementor-social-icon-facebook-f{background-color:#3b5998}.elementor-social-icon-flickr{background-color:#0063dc}.elementor-social-icon-foursquare{background-color:#2d5be3}.elementor-social-icon-free-code-camp,.elementor-social-icon-freecodecamp{background-color:#006400}.elementor-social-icon-github{background-color:#333}.elementor-social-icon-gitlab{background-color:#e24329}.elementor-social-icon-globe{background-color:#69727d}.elementor-social-icon-google-plus,.elementor-social-icon-google-plus-g{background-color:#dd4b39}.elementor-social-icon-houzz{background-color:#7ac142}.elementor-social-icon-instagram{background-color:#262626}.elementor-social-icon-jsfiddle{background-color:#487aa2}.elementor-social-icon-link{background-color:#818a91}.elementor-social-icon-linkedin,.elementor-social-icon-linkedin-in{background-color:#0077b5}.elementor-social-icon-medium{background-color:#00ab6b}.elementor-social-icon-meetup{background-color:#ec1c40}.elementor-social-icon-mixcloud{background-color:#273a4b}.elementor-social-icon-odnoklassniki{background-color:#f4731c}.elementor-social-icon-pinterest{background-color:#bd081c}.elementor-social-icon-product-hunt{background-color:#da552f}.elementor-social-icon-reddit{background-color:#ff4500}.elementor-social-icon-rss{background-color:#f26522}.elementor-social-icon-shopping-cart{background-color:#4caf50}.elementor-social-icon-skype{background-color:#00aff0}.elementor-social-icon-slideshare{background-color:#0077b5}.elementor-social-icon-snapchat{background-color:#fffc00}.elementor-social-icon-soundcloud{background-color:#f80}.elementor-social-icon-spotify{background-color:#2ebd59}.elementor-social-icon-stack-overflow{background-color:#fe7a15}.elementor-social-icon-steam{background-color:#00adee}.elementor-social-icon-stumbleupon{background-color:#eb4924}.elementor-social-icon-telegram{background-color:#2ca5e0}.elementor-social-icon-thumb-tack{background-color:#1aa1d8}.elementor-social-icon-tripadvisor{background-color:#589442}.elementor-social-icon-tumblr{background-color:#35465c}.elementor-social-icon-twitch{background-color:#6441a5}.elementor-social-icon-twitter{background-color:#1da1f2}.elementor-social-icon-viber{background-color:#665cac}.elementor-social-icon-vimeo{background-color:#1ab7ea}.elementor-social-icon-vk{background-color:#45668e}.elementor-social-icon-weibo{background-color:#dd2430}.elementor-social-icon-weixin{background-color:#31a918}.elementor-social-icon-whatsapp{background-color:#25d366}.elementor-social-icon-wordpress{background-color:#21759b}.elementor-social-icon-xing{background-color:#026466}.elementor-social-icon-yelp{background-color:#af0606}.elementor-social-icon-youtube{background-color:#cd201f}.elementor-social-icon-500px{background-color:#0099e5}.elementor-shape-rounded .elementor-icon.elementor-social-icon{border-radius:10%}.elementor-shape-circle .elementor-icon.elementor-social-icon{border-radius:50%}</style>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Facebook\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Twitter\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Telegram\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Instagram\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Youtube\n											</a>", "هدر اصلی", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2023-07-16 01:16:43", "2023-07-15 20:46:43", "", "29", "https://test.filtersanaat.com/?p=107", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("108", "1", "2023-07-16 01:17:18", "2023-07-15 20:47:18", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-social-icons.elementor-grid-0 .elementor-widget-container,.elementor-widget-social-icons.elementor-grid-mobile-0 .elementor-widget-container,.elementor-widget-social-icons.elementor-grid-tablet-0 .elementor-widget-container{line-height:1;font-size:0}.elementor-widget-social-icons:not(.elementor-grid-0):not(.elementor-grid-tablet-0):not(.elementor-grid-mobile-0) .elementor-grid{display:inline-grid}.elementor-widget-social-icons .elementor-grid{grid-column-gap:var(--grid-column-gap,5px);grid-row-gap:var(--grid-row-gap,5px);grid-template-columns:var(--grid-template-columns);justify-content:var(--justify-content,center);justify-items:var(--justify-content,center)}.elementor-icon.elementor-social-icon{font-size:var(--icon-size,25px);line-height:var(--icon-size,25px);width:calc(var(--icon-size, 25px) + (2 * var(--icon-padding, .5em)));height:calc(var(--icon-size, 25px) + (2 * var(--icon-padding, .5em)))}.elementor-social-icon{--e-social-icon-icon-color:#fff;display:inline-flex;background-color:#69727d;align-items:center;justify-content:center;text-align:center;cursor:pointer}.elementor-social-icon i{color:var(--e-social-icon-icon-color)}.elementor-social-icon svg{fill:var(--e-social-icon-icon-color)}.elementor-social-icon:last-child{margin:0}.elementor-social-icon:hover{opacity:.9;color:#fff}.elementor-social-icon-android{background-color:#a4c639}.elementor-social-icon-apple{background-color:#999}.elementor-social-icon-behance{background-color:#1769ff}.elementor-social-icon-bitbucket{background-color:#205081}.elementor-social-icon-codepen{background-color:#000}.elementor-social-icon-delicious{background-color:#39f}.elementor-social-icon-deviantart{background-color:#05cc47}.elementor-social-icon-digg{background-color:#005be2}.elementor-social-icon-dribbble{background-color:#ea4c89}.elementor-social-icon-elementor{background-color:#d30c5c}.elementor-social-icon-envelope{background-color:#ea4335}.elementor-social-icon-facebook,.elementor-social-icon-facebook-f{background-color:#3b5998}.elementor-social-icon-flickr{background-color:#0063dc}.elementor-social-icon-foursquare{background-color:#2d5be3}.elementor-social-icon-free-code-camp,.elementor-social-icon-freecodecamp{background-color:#006400}.elementor-social-icon-github{background-color:#333}.elementor-social-icon-gitlab{background-color:#e24329}.elementor-social-icon-globe{background-color:#69727d}.elementor-social-icon-google-plus,.elementor-social-icon-google-plus-g{background-color:#dd4b39}.elementor-social-icon-houzz{background-color:#7ac142}.elementor-social-icon-instagram{background-color:#262626}.elementor-social-icon-jsfiddle{background-color:#487aa2}.elementor-social-icon-link{background-color:#818a91}.elementor-social-icon-linkedin,.elementor-social-icon-linkedin-in{background-color:#0077b5}.elementor-social-icon-medium{background-color:#00ab6b}.elementor-social-icon-meetup{background-color:#ec1c40}.elementor-social-icon-mixcloud{background-color:#273a4b}.elementor-social-icon-odnoklassniki{background-color:#f4731c}.elementor-social-icon-pinterest{background-color:#bd081c}.elementor-social-icon-product-hunt{background-color:#da552f}.elementor-social-icon-reddit{background-color:#ff4500}.elementor-social-icon-rss{background-color:#f26522}.elementor-social-icon-shopping-cart{background-color:#4caf50}.elementor-social-icon-skype{background-color:#00aff0}.elementor-social-icon-slideshare{background-color:#0077b5}.elementor-social-icon-snapchat{background-color:#fffc00}.elementor-social-icon-soundcloud{background-color:#f80}.elementor-social-icon-spotify{background-color:#2ebd59}.elementor-social-icon-stack-overflow{background-color:#fe7a15}.elementor-social-icon-steam{background-color:#00adee}.elementor-social-icon-stumbleupon{background-color:#eb4924}.elementor-social-icon-telegram{background-color:#2ca5e0}.elementor-social-icon-thumb-tack{background-color:#1aa1d8}.elementor-social-icon-tripadvisor{background-color:#589442}.elementor-social-icon-tumblr{background-color:#35465c}.elementor-social-icon-twitch{background-color:#6441a5}.elementor-social-icon-twitter{background-color:#1da1f2}.elementor-social-icon-viber{background-color:#665cac}.elementor-social-icon-vimeo{background-color:#1ab7ea}.elementor-social-icon-vk{background-color:#45668e}.elementor-social-icon-weibo{background-color:#dd2430}.elementor-social-icon-weixin{background-color:#31a918}.elementor-social-icon-whatsapp{background-color:#25d366}.elementor-social-icon-wordpress{background-color:#21759b}.elementor-social-icon-xing{background-color:#026466}.elementor-social-icon-yelp{background-color:#af0606}.elementor-social-icon-youtube{background-color:#cd201f}.elementor-social-icon-500px{background-color:#0099e5}.elementor-shape-rounded .elementor-icon.elementor-social-icon{border-radius:10%}.elementor-shape-circle .elementor-icon.elementor-social-icon{border-radius:50%}</style>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Facebook\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Twitter\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Telegram\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Instagram\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Youtube\n											</a>", "هدر اصلی", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2023-07-16 01:17:18", "2023-07-15 20:47:18", "", "29", "https://test.filtersanaat.com/?p=108", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("109", "1", "2023-07-16 01:17:35", "2023-07-15 20:47:35", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-social-icons.elementor-grid-0 .elementor-widget-container,.elementor-widget-social-icons.elementor-grid-mobile-0 .elementor-widget-container,.elementor-widget-social-icons.elementor-grid-tablet-0 .elementor-widget-container{line-height:1;font-size:0}.elementor-widget-social-icons:not(.elementor-grid-0):not(.elementor-grid-tablet-0):not(.elementor-grid-mobile-0) .elementor-grid{display:inline-grid}.elementor-widget-social-icons .elementor-grid{grid-column-gap:var(--grid-column-gap,5px);grid-row-gap:var(--grid-row-gap,5px);grid-template-columns:var(--grid-template-columns);justify-content:var(--justify-content,center);justify-items:var(--justify-content,center)}.elementor-icon.elementor-social-icon{font-size:var(--icon-size,25px);line-height:var(--icon-size,25px);width:calc(var(--icon-size, 25px) + (2 * var(--icon-padding, .5em)));height:calc(var(--icon-size, 25px) + (2 * var(--icon-padding, .5em)))}.elementor-social-icon{--e-social-icon-icon-color:#fff;display:inline-flex;background-color:#69727d;align-items:center;justify-content:center;text-align:center;cursor:pointer}.elementor-social-icon i{color:var(--e-social-icon-icon-color)}.elementor-social-icon svg{fill:var(--e-social-icon-icon-color)}.elementor-social-icon:last-child{margin:0}.elementor-social-icon:hover{opacity:.9;color:#fff}.elementor-social-icon-android{background-color:#a4c639}.elementor-social-icon-apple{background-color:#999}.elementor-social-icon-behance{background-color:#1769ff}.elementor-social-icon-bitbucket{background-color:#205081}.elementor-social-icon-codepen{background-color:#000}.elementor-social-icon-delicious{background-color:#39f}.elementor-social-icon-deviantart{background-color:#05cc47}.elementor-social-icon-digg{background-color:#005be2}.elementor-social-icon-dribbble{background-color:#ea4c89}.elementor-social-icon-elementor{background-color:#d30c5c}.elementor-social-icon-envelope{background-color:#ea4335}.elementor-social-icon-facebook,.elementor-social-icon-facebook-f{background-color:#3b5998}.elementor-social-icon-flickr{background-color:#0063dc}.elementor-social-icon-foursquare{background-color:#2d5be3}.elementor-social-icon-free-code-camp,.elementor-social-icon-freecodecamp{background-color:#006400}.elementor-social-icon-github{background-color:#333}.elementor-social-icon-gitlab{background-color:#e24329}.elementor-social-icon-globe{background-color:#69727d}.elementor-social-icon-google-plus,.elementor-social-icon-google-plus-g{background-color:#dd4b39}.elementor-social-icon-houzz{background-color:#7ac142}.elementor-social-icon-instagram{background-color:#262626}.elementor-social-icon-jsfiddle{background-color:#487aa2}.elementor-social-icon-link{background-color:#818a91}.elementor-social-icon-linkedin,.elementor-social-icon-linkedin-in{background-color:#0077b5}.elementor-social-icon-medium{background-color:#00ab6b}.elementor-social-icon-meetup{background-color:#ec1c40}.elementor-social-icon-mixcloud{background-color:#273a4b}.elementor-social-icon-odnoklassniki{background-color:#f4731c}.elementor-social-icon-pinterest{background-color:#bd081c}.elementor-social-icon-product-hunt{background-color:#da552f}.elementor-social-icon-reddit{background-color:#ff4500}.elementor-social-icon-rss{background-color:#f26522}.elementor-social-icon-shopping-cart{background-color:#4caf50}.elementor-social-icon-skype{background-color:#00aff0}.elementor-social-icon-slideshare{background-color:#0077b5}.elementor-social-icon-snapchat{background-color:#fffc00}.elementor-social-icon-soundcloud{background-color:#f80}.elementor-social-icon-spotify{background-color:#2ebd59}.elementor-social-icon-stack-overflow{background-color:#fe7a15}.elementor-social-icon-steam{background-color:#00adee}.elementor-social-icon-stumbleupon{background-color:#eb4924}.elementor-social-icon-telegram{background-color:#2ca5e0}.elementor-social-icon-thumb-tack{background-color:#1aa1d8}.elementor-social-icon-tripadvisor{background-color:#589442}.elementor-social-icon-tumblr{background-color:#35465c}.elementor-social-icon-twitch{background-color:#6441a5}.elementor-social-icon-twitter{background-color:#1da1f2}.elementor-social-icon-viber{background-color:#665cac}.elementor-social-icon-vimeo{background-color:#1ab7ea}.elementor-social-icon-vk{background-color:#45668e}.elementor-social-icon-weibo{background-color:#dd2430}.elementor-social-icon-weixin{background-color:#31a918}.elementor-social-icon-whatsapp{background-color:#25d366}.elementor-social-icon-wordpress{background-color:#21759b}.elementor-social-icon-xing{background-color:#026466}.elementor-social-icon-yelp{background-color:#af0606}.elementor-social-icon-youtube{background-color:#cd201f}.elementor-social-icon-500px{background-color:#0099e5}.elementor-shape-rounded .elementor-icon.elementor-social-icon{border-radius:10%}.elementor-shape-circle .elementor-icon.elementor-social-icon{border-radius:50%}</style>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Facebook\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Twitter\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Telegram\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Instagram\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Youtube\n											</a>", "هدر اصلی", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2023-07-16 01:17:35", "2023-07-15 20:47:35", "", "29", "https://test.filtersanaat.com/?p=109", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("110", "1", "2023-07-16 01:17:51", "2023-07-15 20:47:51", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-social-icons.elementor-grid-0 .elementor-widget-container,.elementor-widget-social-icons.elementor-grid-mobile-0 .elementor-widget-container,.elementor-widget-social-icons.elementor-grid-tablet-0 .elementor-widget-container{line-height:1;font-size:0}.elementor-widget-social-icons:not(.elementor-grid-0):not(.elementor-grid-tablet-0):not(.elementor-grid-mobile-0) .elementor-grid{display:inline-grid}.elementor-widget-social-icons .elementor-grid{grid-column-gap:var(--grid-column-gap,5px);grid-row-gap:var(--grid-row-gap,5px);grid-template-columns:var(--grid-template-columns);justify-content:var(--justify-content,center);justify-items:var(--justify-content,center)}.elementor-icon.elementor-social-icon{font-size:var(--icon-size,25px);line-height:var(--icon-size,25px);width:calc(var(--icon-size, 25px) + (2 * var(--icon-padding, .5em)));height:calc(var(--icon-size, 25px) + (2 * var(--icon-padding, .5em)))}.elementor-social-icon{--e-social-icon-icon-color:#fff;display:inline-flex;background-color:#69727d;align-items:center;justify-content:center;text-align:center;cursor:pointer}.elementor-social-icon i{color:var(--e-social-icon-icon-color)}.elementor-social-icon svg{fill:var(--e-social-icon-icon-color)}.elementor-social-icon:last-child{margin:0}.elementor-social-icon:hover{opacity:.9;color:#fff}.elementor-social-icon-android{background-color:#a4c639}.elementor-social-icon-apple{background-color:#999}.elementor-social-icon-behance{background-color:#1769ff}.elementor-social-icon-bitbucket{background-color:#205081}.elementor-social-icon-codepen{background-color:#000}.elementor-social-icon-delicious{background-color:#39f}.elementor-social-icon-deviantart{background-color:#05cc47}.elementor-social-icon-digg{background-color:#005be2}.elementor-social-icon-dribbble{background-color:#ea4c89}.elementor-social-icon-elementor{background-color:#d30c5c}.elementor-social-icon-envelope{background-color:#ea4335}.elementor-social-icon-facebook,.elementor-social-icon-facebook-f{background-color:#3b5998}.elementor-social-icon-flickr{background-color:#0063dc}.elementor-social-icon-foursquare{background-color:#2d5be3}.elementor-social-icon-free-code-camp,.elementor-social-icon-freecodecamp{background-color:#006400}.elementor-social-icon-github{background-color:#333}.elementor-social-icon-gitlab{background-color:#e24329}.elementor-social-icon-globe{background-color:#69727d}.elementor-social-icon-google-plus,.elementor-social-icon-google-plus-g{background-color:#dd4b39}.elementor-social-icon-houzz{background-color:#7ac142}.elementor-social-icon-instagram{background-color:#262626}.elementor-social-icon-jsfiddle{background-color:#487aa2}.elementor-social-icon-link{background-color:#818a91}.elementor-social-icon-linkedin,.elementor-social-icon-linkedin-in{background-color:#0077b5}.elementor-social-icon-medium{background-color:#00ab6b}.elementor-social-icon-meetup{background-color:#ec1c40}.elementor-social-icon-mixcloud{background-color:#273a4b}.elementor-social-icon-odnoklassniki{background-color:#f4731c}.elementor-social-icon-pinterest{background-color:#bd081c}.elementor-social-icon-product-hunt{background-color:#da552f}.elementor-social-icon-reddit{background-color:#ff4500}.elementor-social-icon-rss{background-color:#f26522}.elementor-social-icon-shopping-cart{background-color:#4caf50}.elementor-social-icon-skype{background-color:#00aff0}.elementor-social-icon-slideshare{background-color:#0077b5}.elementor-social-icon-snapchat{background-color:#fffc00}.elementor-social-icon-soundcloud{background-color:#f80}.elementor-social-icon-spotify{background-color:#2ebd59}.elementor-social-icon-stack-overflow{background-color:#fe7a15}.elementor-social-icon-steam{background-color:#00adee}.elementor-social-icon-stumbleupon{background-color:#eb4924}.elementor-social-icon-telegram{background-color:#2ca5e0}.elementor-social-icon-thumb-tack{background-color:#1aa1d8}.elementor-social-icon-tripadvisor{background-color:#589442}.elementor-social-icon-tumblr{background-color:#35465c}.elementor-social-icon-twitch{background-color:#6441a5}.elementor-social-icon-twitter{background-color:#1da1f2}.elementor-social-icon-viber{background-color:#665cac}.elementor-social-icon-vimeo{background-color:#1ab7ea}.elementor-social-icon-vk{background-color:#45668e}.elementor-social-icon-weibo{background-color:#dd2430}.elementor-social-icon-weixin{background-color:#31a918}.elementor-social-icon-whatsapp{background-color:#25d366}.elementor-social-icon-wordpress{background-color:#21759b}.elementor-social-icon-xing{background-color:#026466}.elementor-social-icon-yelp{background-color:#af0606}.elementor-social-icon-youtube{background-color:#cd201f}.elementor-social-icon-500px{background-color:#0099e5}.elementor-shape-rounded .elementor-icon.elementor-social-icon{border-radius:10%}.elementor-shape-circle .elementor-icon.elementor-social-icon{border-radius:50%}</style>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Facebook\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Twitter\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Telegram\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Instagram\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Youtube\n											</a>", "هدر اصلی", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2023-07-16 01:17:51", "2023-07-15 20:47:51", "", "29", "https://test.filtersanaat.com/?p=110", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("111", "1", "2023-07-16 04:31:28", "2023-07-16 00:01:28", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-social-icons.elementor-grid-0 .elementor-widget-container,.elementor-widget-social-icons.elementor-grid-mobile-0 .elementor-widget-container,.elementor-widget-social-icons.elementor-grid-tablet-0 .elementor-widget-container{line-height:1;font-size:0}.elementor-widget-social-icons:not(.elementor-grid-0):not(.elementor-grid-tablet-0):not(.elementor-grid-mobile-0) .elementor-grid{display:inline-grid}.elementor-widget-social-icons .elementor-grid{grid-column-gap:var(--grid-column-gap,5px);grid-row-gap:var(--grid-row-gap,5px);grid-template-columns:var(--grid-template-columns);justify-content:var(--justify-content,center);justify-items:var(--justify-content,center)}.elementor-icon.elementor-social-icon{font-size:var(--icon-size,25px);line-height:var(--icon-size,25px);width:calc(var(--icon-size, 25px) + (2 * var(--icon-padding, .5em)));height:calc(var(--icon-size, 25px) + (2 * var(--icon-padding, .5em)))}.elementor-social-icon{--e-social-icon-icon-color:#fff;display:inline-flex;background-color:#69727d;align-items:center;justify-content:center;text-align:center;cursor:pointer}.elementor-social-icon i{color:var(--e-social-icon-icon-color)}.elementor-social-icon svg{fill:var(--e-social-icon-icon-color)}.elementor-social-icon:last-child{margin:0}.elementor-social-icon:hover{opacity:.9;color:#fff}.elementor-social-icon-android{background-color:#a4c639}.elementor-social-icon-apple{background-color:#999}.elementor-social-icon-behance{background-color:#1769ff}.elementor-social-icon-bitbucket{background-color:#205081}.elementor-social-icon-codepen{background-color:#000}.elementor-social-icon-delicious{background-color:#39f}.elementor-social-icon-deviantart{background-color:#05cc47}.elementor-social-icon-digg{background-color:#005be2}.elementor-social-icon-dribbble{background-color:#ea4c89}.elementor-social-icon-elementor{background-color:#d30c5c}.elementor-social-icon-envelope{background-color:#ea4335}.elementor-social-icon-facebook,.elementor-social-icon-facebook-f{background-color:#3b5998}.elementor-social-icon-flickr{background-color:#0063dc}.elementor-social-icon-foursquare{background-color:#2d5be3}.elementor-social-icon-free-code-camp,.elementor-social-icon-freecodecamp{background-color:#006400}.elementor-social-icon-github{background-color:#333}.elementor-social-icon-gitlab{background-color:#e24329}.elementor-social-icon-globe{background-color:#69727d}.elementor-social-icon-google-plus,.elementor-social-icon-google-plus-g{background-color:#dd4b39}.elementor-social-icon-houzz{background-color:#7ac142}.elementor-social-icon-instagram{background-color:#262626}.elementor-social-icon-jsfiddle{background-color:#487aa2}.elementor-social-icon-link{background-color:#818a91}.elementor-social-icon-linkedin,.elementor-social-icon-linkedin-in{background-color:#0077b5}.elementor-social-icon-medium{background-color:#00ab6b}.elementor-social-icon-meetup{background-color:#ec1c40}.elementor-social-icon-mixcloud{background-color:#273a4b}.elementor-social-icon-odnoklassniki{background-color:#f4731c}.elementor-social-icon-pinterest{background-color:#bd081c}.elementor-social-icon-product-hunt{background-color:#da552f}.elementor-social-icon-reddit{background-color:#ff4500}.elementor-social-icon-rss{background-color:#f26522}.elementor-social-icon-shopping-cart{background-color:#4caf50}.elementor-social-icon-skype{background-color:#00aff0}.elementor-social-icon-slideshare{background-color:#0077b5}.elementor-social-icon-snapchat{background-color:#fffc00}.elementor-social-icon-soundcloud{background-color:#f80}.elementor-social-icon-spotify{background-color:#2ebd59}.elementor-social-icon-stack-overflow{background-color:#fe7a15}.elementor-social-icon-steam{background-color:#00adee}.elementor-social-icon-stumbleupon{background-color:#eb4924}.elementor-social-icon-telegram{background-color:#2ca5e0}.elementor-social-icon-thumb-tack{background-color:#1aa1d8}.elementor-social-icon-tripadvisor{background-color:#589442}.elementor-social-icon-tumblr{background-color:#35465c}.elementor-social-icon-twitch{background-color:#6441a5}.elementor-social-icon-twitter{background-color:#1da1f2}.elementor-social-icon-viber{background-color:#665cac}.elementor-social-icon-vimeo{background-color:#1ab7ea}.elementor-social-icon-vk{background-color:#45668e}.elementor-social-icon-weibo{background-color:#dd2430}.elementor-social-icon-weixin{background-color:#31a918}.elementor-social-icon-whatsapp{background-color:#25d366}.elementor-social-icon-wordpress{background-color:#21759b}.elementor-social-icon-xing{background-color:#026466}.elementor-social-icon-yelp{background-color:#af0606}.elementor-social-icon-youtube{background-color:#cd201f}.elementor-social-icon-500px{background-color:#0099e5}.elementor-shape-rounded .elementor-icon.elementor-social-icon{border-radius:10%}.elementor-shape-circle .elementor-icon.elementor-social-icon{border-radius:50%}</style>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Facebook\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Twitter\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Telegram\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Instagram\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Youtube\n											</a>", "هدر اصلی", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2023-07-16 04:31:28", "2023-07-16 00:01:28", "", "29", "https://test.filtersanaat.com/?p=111", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("112", "1", "2023-07-16 04:31:51", "2023-07-16 00:01:51", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-social-icons.elementor-grid-0 .elementor-widget-container,.elementor-widget-social-icons.elementor-grid-mobile-0 .elementor-widget-container,.elementor-widget-social-icons.elementor-grid-tablet-0 .elementor-widget-container{line-height:1;font-size:0}.elementor-widget-social-icons:not(.elementor-grid-0):not(.elementor-grid-tablet-0):not(.elementor-grid-mobile-0) .elementor-grid{display:inline-grid}.elementor-widget-social-icons .elementor-grid{grid-column-gap:var(--grid-column-gap,5px);grid-row-gap:var(--grid-row-gap,5px);grid-template-columns:var(--grid-template-columns);justify-content:var(--justify-content,center);justify-items:var(--justify-content,center)}.elementor-icon.elementor-social-icon{font-size:var(--icon-size,25px);line-height:var(--icon-size,25px);width:calc(var(--icon-size, 25px) + (2 * var(--icon-padding, .5em)));height:calc(var(--icon-size, 25px) + (2 * var(--icon-padding, .5em)))}.elementor-social-icon{--e-social-icon-icon-color:#fff;display:inline-flex;background-color:#69727d;align-items:center;justify-content:center;text-align:center;cursor:pointer}.elementor-social-icon i{color:var(--e-social-icon-icon-color)}.elementor-social-icon svg{fill:var(--e-social-icon-icon-color)}.elementor-social-icon:last-child{margin:0}.elementor-social-icon:hover{opacity:.9;color:#fff}.elementor-social-icon-android{background-color:#a4c639}.elementor-social-icon-apple{background-color:#999}.elementor-social-icon-behance{background-color:#1769ff}.elementor-social-icon-bitbucket{background-color:#205081}.elementor-social-icon-codepen{background-color:#000}.elementor-social-icon-delicious{background-color:#39f}.elementor-social-icon-deviantart{background-color:#05cc47}.elementor-social-icon-digg{background-color:#005be2}.elementor-social-icon-dribbble{background-color:#ea4c89}.elementor-social-icon-elementor{background-color:#d30c5c}.elementor-social-icon-envelope{background-color:#ea4335}.elementor-social-icon-facebook,.elementor-social-icon-facebook-f{background-color:#3b5998}.elementor-social-icon-flickr{background-color:#0063dc}.elementor-social-icon-foursquare{background-color:#2d5be3}.elementor-social-icon-free-code-camp,.elementor-social-icon-freecodecamp{background-color:#006400}.elementor-social-icon-github{background-color:#333}.elementor-social-icon-gitlab{background-color:#e24329}.elementor-social-icon-globe{background-color:#69727d}.elementor-social-icon-google-plus,.elementor-social-icon-google-plus-g{background-color:#dd4b39}.elementor-social-icon-houzz{background-color:#7ac142}.elementor-social-icon-instagram{background-color:#262626}.elementor-social-icon-jsfiddle{background-color:#487aa2}.elementor-social-icon-link{background-color:#818a91}.elementor-social-icon-linkedin,.elementor-social-icon-linkedin-in{background-color:#0077b5}.elementor-social-icon-medium{background-color:#00ab6b}.elementor-social-icon-meetup{background-color:#ec1c40}.elementor-social-icon-mixcloud{background-color:#273a4b}.elementor-social-icon-odnoklassniki{background-color:#f4731c}.elementor-social-icon-pinterest{background-color:#bd081c}.elementor-social-icon-product-hunt{background-color:#da552f}.elementor-social-icon-reddit{background-color:#ff4500}.elementor-social-icon-rss{background-color:#f26522}.elementor-social-icon-shopping-cart{background-color:#4caf50}.elementor-social-icon-skype{background-color:#00aff0}.elementor-social-icon-slideshare{background-color:#0077b5}.elementor-social-icon-snapchat{background-color:#fffc00}.elementor-social-icon-soundcloud{background-color:#f80}.elementor-social-icon-spotify{background-color:#2ebd59}.elementor-social-icon-stack-overflow{background-color:#fe7a15}.elementor-social-icon-steam{background-color:#00adee}.elementor-social-icon-stumbleupon{background-color:#eb4924}.elementor-social-icon-telegram{background-color:#2ca5e0}.elementor-social-icon-thumb-tack{background-color:#1aa1d8}.elementor-social-icon-tripadvisor{background-color:#589442}.elementor-social-icon-tumblr{background-color:#35465c}.elementor-social-icon-twitch{background-color:#6441a5}.elementor-social-icon-twitter{background-color:#1da1f2}.elementor-social-icon-viber{background-color:#665cac}.elementor-social-icon-vimeo{background-color:#1ab7ea}.elementor-social-icon-vk{background-color:#45668e}.elementor-social-icon-weibo{background-color:#dd2430}.elementor-social-icon-weixin{background-color:#31a918}.elementor-social-icon-whatsapp{background-color:#25d366}.elementor-social-icon-wordpress{background-color:#21759b}.elementor-social-icon-xing{background-color:#026466}.elementor-social-icon-yelp{background-color:#af0606}.elementor-social-icon-youtube{background-color:#cd201f}.elementor-social-icon-500px{background-color:#0099e5}.elementor-shape-rounded .elementor-icon.elementor-social-icon{border-radius:10%}.elementor-shape-circle .elementor-icon.elementor-social-icon{border-radius:50%}</style>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Facebook\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Twitter\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Telegram\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Instagram\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Youtube\n											</a>", "هدر اصلی", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2023-07-16 04:31:51", "2023-07-16 00:01:51", "", "29", "https://test.filtersanaat.com/?p=112", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("113", "1", "2023-07-16 04:34:08", "2023-07-16 00:04:08", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-social-icons.elementor-grid-0 .elementor-widget-container,.elementor-widget-social-icons.elementor-grid-mobile-0 .elementor-widget-container,.elementor-widget-social-icons.elementor-grid-tablet-0 .elementor-widget-container{line-height:1;font-size:0}.elementor-widget-social-icons:not(.elementor-grid-0):not(.elementor-grid-tablet-0):not(.elementor-grid-mobile-0) .elementor-grid{display:inline-grid}.elementor-widget-social-icons .elementor-grid{grid-column-gap:var(--grid-column-gap,5px);grid-row-gap:var(--grid-row-gap,5px);grid-template-columns:var(--grid-template-columns);justify-content:var(--justify-content,center);justify-items:var(--justify-content,center)}.elementor-icon.elementor-social-icon{font-size:var(--icon-size,25px);line-height:var(--icon-size,25px);width:calc(var(--icon-size, 25px) + (2 * var(--icon-padding, .5em)));height:calc(var(--icon-size, 25px) + (2 * var(--icon-padding, .5em)))}.elementor-social-icon{--e-social-icon-icon-color:#fff;display:inline-flex;background-color:#69727d;align-items:center;justify-content:center;text-align:center;cursor:pointer}.elementor-social-icon i{color:var(--e-social-icon-icon-color)}.elementor-social-icon svg{fill:var(--e-social-icon-icon-color)}.elementor-social-icon:last-child{margin:0}.elementor-social-icon:hover{opacity:.9;color:#fff}.elementor-social-icon-android{background-color:#a4c639}.elementor-social-icon-apple{background-color:#999}.elementor-social-icon-behance{background-color:#1769ff}.elementor-social-icon-bitbucket{background-color:#205081}.elementor-social-icon-codepen{background-color:#000}.elementor-social-icon-delicious{background-color:#39f}.elementor-social-icon-deviantart{background-color:#05cc47}.elementor-social-icon-digg{background-color:#005be2}.elementor-social-icon-dribbble{background-color:#ea4c89}.elementor-social-icon-elementor{background-color:#d30c5c}.elementor-social-icon-envelope{background-color:#ea4335}.elementor-social-icon-facebook,.elementor-social-icon-facebook-f{background-color:#3b5998}.elementor-social-icon-flickr{background-color:#0063dc}.elementor-social-icon-foursquare{background-color:#2d5be3}.elementor-social-icon-free-code-camp,.elementor-social-icon-freecodecamp{background-color:#006400}.elementor-social-icon-github{background-color:#333}.elementor-social-icon-gitlab{background-color:#e24329}.elementor-social-icon-globe{background-color:#69727d}.elementor-social-icon-google-plus,.elementor-social-icon-google-plus-g{background-color:#dd4b39}.elementor-social-icon-houzz{background-color:#7ac142}.elementor-social-icon-instagram{background-color:#262626}.elementor-social-icon-jsfiddle{background-color:#487aa2}.elementor-social-icon-link{background-color:#818a91}.elementor-social-icon-linkedin,.elementor-social-icon-linkedin-in{background-color:#0077b5}.elementor-social-icon-medium{background-color:#00ab6b}.elementor-social-icon-meetup{background-color:#ec1c40}.elementor-social-icon-mixcloud{background-color:#273a4b}.elementor-social-icon-odnoklassniki{background-color:#f4731c}.elementor-social-icon-pinterest{background-color:#bd081c}.elementor-social-icon-product-hunt{background-color:#da552f}.elementor-social-icon-reddit{background-color:#ff4500}.elementor-social-icon-rss{background-color:#f26522}.elementor-social-icon-shopping-cart{background-color:#4caf50}.elementor-social-icon-skype{background-color:#00aff0}.elementor-social-icon-slideshare{background-color:#0077b5}.elementor-social-icon-snapchat{background-color:#fffc00}.elementor-social-icon-soundcloud{background-color:#f80}.elementor-social-icon-spotify{background-color:#2ebd59}.elementor-social-icon-stack-overflow{background-color:#fe7a15}.elementor-social-icon-steam{background-color:#00adee}.elementor-social-icon-stumbleupon{background-color:#eb4924}.elementor-social-icon-telegram{background-color:#2ca5e0}.elementor-social-icon-thumb-tack{background-color:#1aa1d8}.elementor-social-icon-tripadvisor{background-color:#589442}.elementor-social-icon-tumblr{background-color:#35465c}.elementor-social-icon-twitch{background-color:#6441a5}.elementor-social-icon-twitter{background-color:#1da1f2}.elementor-social-icon-viber{background-color:#665cac}.elementor-social-icon-vimeo{background-color:#1ab7ea}.elementor-social-icon-vk{background-color:#45668e}.elementor-social-icon-weibo{background-color:#dd2430}.elementor-social-icon-weixin{background-color:#31a918}.elementor-social-icon-whatsapp{background-color:#25d366}.elementor-social-icon-wordpress{background-color:#21759b}.elementor-social-icon-xing{background-color:#026466}.elementor-social-icon-yelp{background-color:#af0606}.elementor-social-icon-youtube{background-color:#cd201f}.elementor-social-icon-500px{background-color:#0099e5}.elementor-shape-rounded .elementor-icon.elementor-social-icon{border-radius:10%}.elementor-shape-circle .elementor-icon.elementor-social-icon{border-radius:50%}</style>		\n					<a href=\"http://elmineh.com/site\" target=\"_blank\" rel=\"noopener\">\n						Github\n											</a>\n					<a href=\"https://www.google.com/url?sa=t&#038;rct=j&#038;q=&#038;esrc=s&#038;source=web&#038;cd=&#038;ved=2ahUKEwiTtKy89pGAAxW-R_EDHcctDd8QFnoECBEQAQ&#038;url=https%3A%2F%2Ftwitter.com%2Fomidqodsi%3Flang%3Dhu&#038;usg=AOvVaw2Bk0ovKmFPi4BjsMu_7XN0&#038;opi=89978449\" target=\"_blank\" rel=\"noopener\">\n						Twitter\n											</a>\n					<a href=\"https://t.me/omidqodsi\" target=\"_blank\" rel=\"noopener\">\n						Telegram\n											</a>\n					<a href=\"http://instagram.com/elmineh_shop\" target=\"_blank\" rel=\"noopener\">\n						Instagram\n											</a>\n					<a target=\"_blank\" rel=\"noopener\">\n						Youtube\n											</a>", "هدر اصلی", "", "inherit", "closed", "closed", "", "29-revision-v1", "", "", "2023-07-16 04:34:08", "2023-07-16 00:04:08", "", "29", "https://test.filtersanaat.com/?p=113", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("114", "1", "2023-07-16 04:48:51", "2023-07-16 00:18:51", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>قالب <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> آسترا پرو</strong> علمینه</h2>		\n		<p style=\"text-align: justify;\">برای تغییر این متن بر روی دکمه ویرایش کلیک کنید. لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<a href=\"#takhfif\">\n						مشاهده تخفیف ها\n					</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2>بهترین<strong style=\"font-weight: bold;\"> قالب</strong> شرکتی وردپرس</h2>		\n			<h2>این قالب را می‌توانید رایگان از آموزشگاه علمینه دانلود کنید</h2>		\n			<h2>قالب چند منظوره – فروشگاهی Astra ، یک قالب وردپرس رایگان برای راه اندازی یک وبسایت حرفه‌ای فروشگاهی است. قالب آسترا از سازگار ترین قالب‌های وردپرس با المنتور و جز سریع‌ترین قالب‌های وردپرس است!! این قالب، بطور کامل ترجمه، راستچین و بومی شده است و برای سایت‌های ایرانی، براحتی قابل استفاده است.بخش‌های مختلف قالب Astra خیلی راحت با سفارشی ساز وردپرس، قابل تغییر و شخصی سازی است. همچنین صفحات مختلف این قالب فروشگاهی رایگان وردپرس ، با المنتور یعنی بهترین صفحه ساز وردپرس قابل تغییر است.</h2>		\n			<h2>برخی<strong style=\"font-weight: bold;\"> از </strong> امکانات آسترا پرو</h2>		\n			<link rel=\"stylesheet\" href=\"https://test.filtersanaat.com/wp-content/plugins/elementor/assets/css/widget-icon-box-rtl.min.css\">		\n				<h3>\n						سرعت بالا					\n				</h3>\n				<h3>\n						المنتورپرو رایگان					\n				</h3>\n				<h3>\n						فارسی سازی شده					\n				</h3>\n				<h3>\n						راستچین					\n				</h3>\n				<h3>\n						آخرین ورژن					\n				</h3>\n				<h3>\n						بسته نصبی آسان					\n				</h3>\n															<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2><a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">پُرفروش ترین قالب پردپرسی</a></h2>		\n			<h2>جهت دانلود کلیک کنید</h2>		\n			<a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">\n						دانلود قالب آستراپرو\n					</a>\n			<h2>رایگان<strong style=\"font-weight: bold;\"> دانلود</strong> کنید</h2>		\n			<h2>قالب آسترا پرو به همراه المنتور پرو رایگان</h2>		\n															<img width=\"849\" height=\"458\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro.jpg 849w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro-300x162.jpg 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro-768x414.jpg 768w\" sizes=\"(max-width: 849px) 100vw, 849px\" />															\n															<img width=\"512\" height=\"512\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon.png 512w, https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon-150x150.png 150w\" sizes=\"(max-width: 512px) 100vw, 512px\" />															\n			<h2>ارائه شده توسط آموزشگاه علمینه</h2>		\n			<h2>مشاوره طراحی سایت رایگان</h2>		\n			<a href=\"tel:09909365394\" target=\"_blank\" rel=\"noopener\">\n						0990-9365394\n					</a>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-07-16 04:48:51", "2023-07-16 00:18:51", "", "7", "https://test.filtersanaat.com/?p=114", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("115", "1", "2023-07-16 04:48:51", "2023-07-16 00:18:51", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>قالب <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> آسترا پرو</strong> علمینه</h2>		\n		<p style=\"text-align: justify;\">برای تغییر این متن بر روی دکمه ویرایش کلیک کنید. لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<a href=\"#takhfif\">\n						مشاهده تخفیف ها\n					</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2>بهترین<strong style=\"font-weight: bold;\"> قالب</strong> شرکتی وردپرس</h2>		\n			<h2>این قالب را می‌توانید رایگان از آموزشگاه علمینه دانلود کنید</h2>		\n			<h2>قالب چند منظوره – فروشگاهی Astra ، یک قالب وردپرس رایگان برای راه اندازی یک وبسایت حرفه‌ای فروشگاهی است. قالب آسترا از سازگار ترین قالب‌های وردپرس با المنتور و جز سریع‌ترین قالب‌های وردپرس است!! این قالب، بطور کامل ترجمه، راستچین و بومی شده است و برای سایت‌های ایرانی، براحتی قابل استفاده است.بخش‌های مختلف قالب Astra خیلی راحت با سفارشی ساز وردپرس، قابل تغییر و شخصی سازی است. همچنین صفحات مختلف این قالب فروشگاهی رایگان وردپرس ، با المنتور یعنی بهترین صفحه ساز وردپرس قابل تغییر است.</h2>		\n			<h2>برخی<strong style=\"font-weight: bold;\"> از </strong> امکانات آسترا پرو</h2>		\n			<link rel=\"stylesheet\" href=\"https://test.filtersanaat.com/wp-content/plugins/elementor/assets/css/widget-icon-box-rtl.min.css\">		\n				<h3>\n						سرعت بالا					\n				</h3>\n				<h3>\n						المنتورپرو رایگان					\n				</h3>\n				<h3>\n						فارسی سازی شده					\n				</h3>\n				<h3>\n						راستچین					\n				</h3>\n				<h3>\n						آخرین ورژن					\n				</h3>\n				<h3>\n						بسته نصبی آسان					\n				</h3>\n															<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2><a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">پُرفروش ترین قالب پردپرسی</a></h2>		\n			<h2>جهت دانلود کلیک کنید</h2>		\n			<a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">\n						دانلود قالب آستراپرو\n					</a>\n			<h2>رایگان<strong style=\"font-weight: bold;\"> دانلود</strong> کنید</h2>		\n			<h2>قالب آسترا پرو به همراه المنتور پرو رایگان</h2>		\n															<img width=\"849\" height=\"458\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro.jpg 849w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro-300x162.jpg 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro-768x414.jpg 768w\" sizes=\"(max-width: 849px) 100vw, 849px\" />															\n															<img width=\"512\" height=\"512\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon.png 512w, https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon-150x150.png 150w\" sizes=\"(max-width: 512px) 100vw, 512px\" />															\n			<h2>ارائه شده توسط آموزشگاه علمینه</h2>		\n			<h2>مشاوره طراحی سایت رایگان</h2>		\n			<a href=\"tel:09909365394\" target=\"_blank\" rel=\"noopener\">\n						0990-9365394\n					</a>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-07-16 04:48:51", "2023-07-16 00:18:51", "", "7", "https://test.filtersanaat.com/?p=115", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("116", "1", "2023-07-16 04:48:51", "2023-07-16 00:18:51", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>قالب <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> آسترا پرو</strong> علمینه</h2>		\n		<p style=\"text-align: justify;\">قالب آسترا همیش جزء بهترین ها در دنیای وردپرس بوده، این قالب به علت هماهنگی بالابا المنتور و سرعت بسیار باورنکردنی محبوبیت بسیار بالایی بین وردپرس کاران دارد، آموزشگاه علمینه این نسخه از قالب را به صورت اختصاصی برای کاربران سایت خود طراحی کرده.</p>		\n			<a href=\"#takhfif\">\n						مشاهده تخفیف ها\n					</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2>بهترین<strong style=\"font-weight: bold;\"> قالب</strong> شرکتی وردپرس</h2>		\n			<h2>این قالب را می‌توانید رایگان از آموزشگاه علمینه دانلود کنید</h2>		\n			<h2>قالب چند منظوره – فروشگاهی Astra ، یک قالب وردپرس رایگان برای راه اندازی یک وبسایت حرفه‌ای فروشگاهی است. قالب آسترا از سازگار ترین قالب‌های وردپرس با المنتور و جز سریع‌ترین قالب‌های وردپرس است!! این قالب، بطور کامل ترجمه، راستچین و بومی شده است و برای سایت‌های ایرانی، براحتی قابل استفاده است.بخش‌های مختلف قالب Astra خیلی راحت با سفارشی ساز وردپرس، قابل تغییر و شخصی سازی است. همچنین صفحات مختلف این قالب فروشگاهی رایگان وردپرس ، با المنتور یعنی بهترین صفحه ساز وردپرس قابل تغییر است، در این نسخه از قالب آسترا که توسط آموزشگاه علمینه طراحی شده المنتور پرو با لایسنس اصلی نیز به صورت رایگان روی قالب نصب می‌باشد پس با خیال راحت دانلود کنید، البته نسخه های جدیدتر المنتور را نیز می توانید از سایت علمینه دانلود کنید.</h2>		\n			<h2>برخی<strong style=\"font-weight: bold;\"> از </strong> امکانات آسترا پرو</h2>		\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-social-icons.elementor-grid-0 .elementor-widget-container,.elementor-widget-social-icons.elementor-grid-mobile-0 .elementor-widget-container,.elementor-widget-social-icons.elementor-grid-tablet-0 .elementor-widget-container{line-height:1;font-size:0}.elementor-widget-social-icons:not(.elementor-grid-0):not(.elementor-grid-tablet-0):not(.elementor-grid-mobile-0) .elementor-grid{display:inline-grid}.elementor-widget-social-icons .elementor-grid{grid-column-gap:var(--grid-column-gap,5px);grid-row-gap:var(--grid-row-gap,5px);grid-template-columns:var(--grid-template-columns);justify-content:var(--justify-content,center);justify-items:var(--justify-content,center)}.elementor-icon.elementor-social-icon{font-size:var(--icon-size,25px);line-height:var(--icon-size,25px);width:calc(var(--icon-size, 25px) + (2 * var(--icon-padding, .5em)));height:calc(var(--icon-size, 25px) + (2 * var(--icon-padding, .5em)))}.elementor-social-icon{--e-social-icon-icon-color:#fff;display:inline-flex;background-color:#69727d;align-items:center;justify-content:center;text-align:center;cursor:pointer}.elementor-social-icon i{color:var(--e-social-icon-icon-color)}.elementor-social-icon svg{fill:var(--e-social-icon-icon-color)}.elementor-social-icon:last-child{margin:0}.elementor-social-icon:hover{opacity:.9;color:#fff}.elementor-social-icon-android{background-color:#a4c639}.elementor-social-icon-apple{background-color:#999}.elementor-social-icon-behance{background-color:#1769ff}.elementor-social-icon-bitbucket{background-color:#205081}.elementor-social-icon-codepen{background-color:#000}.elementor-social-icon-delicious{background-color:#39f}.elementor-social-icon-deviantart{background-color:#05cc47}.elementor-social-icon-digg{background-color:#005be2}.elementor-social-icon-dribbble{background-color:#ea4c89}.elementor-social-icon-elementor{background-color:#d30c5c}.elementor-social-icon-envelope{background-color:#ea4335}.elementor-social-icon-facebook,.elementor-social-icon-facebook-f{background-color:#3b5998}.elementor-social-icon-flickr{background-color:#0063dc}.elementor-social-icon-foursquare{background-color:#2d5be3}.elementor-social-icon-free-code-camp,.elementor-social-icon-freecodecamp{background-color:#006400}.elementor-social-icon-github{background-color:#333}.elementor-social-icon-gitlab{background-color:#e24329}.elementor-social-icon-globe{background-color:#69727d}.elementor-social-icon-google-plus,.elementor-social-icon-google-plus-g{background-color:#dd4b39}.elementor-social-icon-houzz{background-color:#7ac142}.elementor-social-icon-instagram{background-color:#262626}.elementor-social-icon-jsfiddle{background-color:#487aa2}.elementor-social-icon-link{background-color:#818a91}.elementor-social-icon-linkedin,.elementor-social-icon-linkedin-in{background-color:#0077b5}.elementor-social-icon-medium{background-color:#00ab6b}.elementor-social-icon-meetup{background-color:#ec1c40}.elementor-social-icon-mixcloud{background-color:#273a4b}.elementor-social-icon-odnoklassniki{background-color:#f4731c}.elementor-social-icon-pinterest{background-color:#bd081c}.elementor-social-icon-product-hunt{background-color:#da552f}.elementor-social-icon-reddit{background-color:#ff4500}.elementor-social-icon-rss{background-color:#f26522}.elementor-social-icon-shopping-cart{background-color:#4caf50}.elementor-social-icon-skype{background-color:#00aff0}.elementor-social-icon-slideshare{background-color:#0077b5}.elementor-social-icon-snapchat{background-color:#fffc00}.elementor-social-icon-soundcloud{background-color:#f80}.elementor-social-icon-spotify{background-color:#2ebd59}.elementor-social-icon-stack-overflow{background-color:#fe7a15}.elementor-social-icon-steam{background-color:#00adee}.elementor-social-icon-stumbleupon{background-color:#eb4924}.elementor-social-icon-telegram{background-color:#2ca5e0}.elementor-social-icon-thumb-tack{background-color:#1aa1d8}.elementor-social-icon-tripadvisor{background-color:#589442}.elementor-social-icon-tumblr{background-color:#35465c}.elementor-social-icon-twitch{background-color:#6441a5}.elementor-social-icon-twitter{background-color:#1da1f2}.elementor-social-icon-viber{background-color:#665cac}.elementor-social-icon-vimeo{background-color:#1ab7ea}.elementor-social-icon-vk{background-color:#45668e}.elementor-social-icon-weibo{background-color:#dd2430}.elementor-social-icon-weixin{background-color:#31a918}.elementor-social-icon-whatsapp{background-color:#25d366}.elementor-social-icon-wordpress{background-color:#21759b}.elementor-social-icon-xing{background-color:#026466}.elementor-social-icon-yelp{background-color:#af0606}.elementor-social-icon-youtube{background-color:#cd201f}.elementor-social-icon-500px{background-color:#0099e5}.elementor-shape-rounded .elementor-icon.elementor-social-icon{border-radius:10%}.elementor-shape-circle .elementor-icon.elementor-social-icon{border-radius:50%}</style>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Elementor\n											</a>\n			<h2>المنتورپرو</h2>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Wordpress\n											</a>\n			<h2>آخرین نسخه</h2>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Erlang\n											</a>\n			<h2>فارسی سازی شده</h2>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Cloud-upload-alt\n											</a>\n			<h2>سرعت بالا</h2>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Spell-check\n											</a>\n			<h2>راستچین</h2>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Html5\n											</a>\n			<h2>کدنویسی بهینه</h2>		\n															<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2><a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">پُرفروش ترین قالب پردپرسی</a></h2>		\n			<h2>جهت دانلود کلیک کنید</h2>		\n			<a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">\n						دانلود قالب آستراپرو\n					</a>\n			<h2>رایگان<strong style=\"font-weight: bold;\"> دانلود</strong> کنید</h2>		\n			<h2>قالب آسترا پرو به همراه المنتور پرو رایگان</h2>		\n															<img width=\"849\" height=\"458\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro.jpg 849w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro-300x162.jpg 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro-768x414.jpg 768w\" sizes=\"(max-width: 849px) 100vw, 849px\" />															\n															<img width=\"512\" height=\"512\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon.png 512w, https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon-150x150.png 150w\" sizes=\"(max-width: 512px) 100vw, 512px\" />															\n			<h2>ارائه شده توسط آموزشگاه علمینه</h2>		\n			<h2>مشاوره طراحی سایت رایگان</h2>		\n			<a href=\"tel:09909365394\" target=\"_blank\" rel=\"noopener\">\n						0990-9365394\n					</a>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-07-16 04:48:51", "2023-07-16 00:18:51", "", "7", "https://test.filtersanaat.com/?p=116", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("120", "1", "2023-07-16 04:50:19", "2023-07-16 00:20:19", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>قالب <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> آسترا پرو</strong> علمینه</h2>		\n		<p style=\"text-align: justify;\">قالب آسترا همیش جزء بهترین ها در دنیای وردپرس بوده، این قالب به علت هماهنگی بالابا المنتور و سرعت بسیار باورنکردنی محبوبیت بسیار بالایی بین وردپرس کاران دارد، آموزشگاه علمینه این نسخه از قالب را به صورت اختصاصی برای کاربران سایت خود طراحی کرده.</p>		\n			<a href=\"#takhfif\">\n						مشاهده تخفیف ها\n					</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2>بهترین<strong style=\"font-weight: bold;\"> قالب</strong> شرکتی وردپرس</h2>		\n			<h2>این قالب را می‌توانید رایگان از آموزشگاه علمینه دانلود کنید</h2>		\n			<h2>قالب چند منظوره – فروشگاهی Astra ، یک قالب وردپرس رایگان برای راه اندازی یک وبسایت حرفه‌ای فروشگاهی است. قالب آسترا از سازگار ترین قالب‌های وردپرس با المنتور و جز سریع‌ترین قالب‌های وردپرس است!! این قالب، بطور کامل ترجمه، راستچین و بومی شده است و برای سایت‌های ایرانی، براحتی قابل استفاده است.بخش‌های مختلف قالب Astra خیلی راحت با سفارشی ساز وردپرس، قابل تغییر و شخصی سازی است. همچنین صفحات مختلف این قالب فروشگاهی رایگان وردپرس ، با المنتور یعنی بهترین صفحه ساز وردپرس قابل تغییر است، در این نسخه از قالب آسترا که توسط آموزشگاه علمینه طراحی شده المنتور پرو با لایسنس اصلی نیز به صورت رایگان روی قالب نصب می‌باشد پس با خیال راحت دانلود کنید، البته نسخه های جدیدتر المنتور را نیز می توانید از سایت علمینه دانلود کنید.</h2>		\n			<h2>برخی<strong style=\"font-weight: bold;\"> از </strong> امکانات آسترا پرو</h2>		\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-social-icons.elementor-grid-0 .elementor-widget-container,.elementor-widget-social-icons.elementor-grid-mobile-0 .elementor-widget-container,.elementor-widget-social-icons.elementor-grid-tablet-0 .elementor-widget-container{line-height:1;font-size:0}.elementor-widget-social-icons:not(.elementor-grid-0):not(.elementor-grid-tablet-0):not(.elementor-grid-mobile-0) .elementor-grid{display:inline-grid}.elementor-widget-social-icons .elementor-grid{grid-column-gap:var(--grid-column-gap,5px);grid-row-gap:var(--grid-row-gap,5px);grid-template-columns:var(--grid-template-columns);justify-content:var(--justify-content,center);justify-items:var(--justify-content,center)}.elementor-icon.elementor-social-icon{font-size:var(--icon-size,25px);line-height:var(--icon-size,25px);width:calc(var(--icon-size, 25px) + (2 * var(--icon-padding, .5em)));height:calc(var(--icon-size, 25px) + (2 * var(--icon-padding, .5em)))}.elementor-social-icon{--e-social-icon-icon-color:#fff;display:inline-flex;background-color:#69727d;align-items:center;justify-content:center;text-align:center;cursor:pointer}.elementor-social-icon i{color:var(--e-social-icon-icon-color)}.elementor-social-icon svg{fill:var(--e-social-icon-icon-color)}.elementor-social-icon:last-child{margin:0}.elementor-social-icon:hover{opacity:.9;color:#fff}.elementor-social-icon-android{background-color:#a4c639}.elementor-social-icon-apple{background-color:#999}.elementor-social-icon-behance{background-color:#1769ff}.elementor-social-icon-bitbucket{background-color:#205081}.elementor-social-icon-codepen{background-color:#000}.elementor-social-icon-delicious{background-color:#39f}.elementor-social-icon-deviantart{background-color:#05cc47}.elementor-social-icon-digg{background-color:#005be2}.elementor-social-icon-dribbble{background-color:#ea4c89}.elementor-social-icon-elementor{background-color:#d30c5c}.elementor-social-icon-envelope{background-color:#ea4335}.elementor-social-icon-facebook,.elementor-social-icon-facebook-f{background-color:#3b5998}.elementor-social-icon-flickr{background-color:#0063dc}.elementor-social-icon-foursquare{background-color:#2d5be3}.elementor-social-icon-free-code-camp,.elementor-social-icon-freecodecamp{background-color:#006400}.elementor-social-icon-github{background-color:#333}.elementor-social-icon-gitlab{background-color:#e24329}.elementor-social-icon-globe{background-color:#69727d}.elementor-social-icon-google-plus,.elementor-social-icon-google-plus-g{background-color:#dd4b39}.elementor-social-icon-houzz{background-color:#7ac142}.elementor-social-icon-instagram{background-color:#262626}.elementor-social-icon-jsfiddle{background-color:#487aa2}.elementor-social-icon-link{background-color:#818a91}.elementor-social-icon-linkedin,.elementor-social-icon-linkedin-in{background-color:#0077b5}.elementor-social-icon-medium{background-color:#00ab6b}.elementor-social-icon-meetup{background-color:#ec1c40}.elementor-social-icon-mixcloud{background-color:#273a4b}.elementor-social-icon-odnoklassniki{background-color:#f4731c}.elementor-social-icon-pinterest{background-color:#bd081c}.elementor-social-icon-product-hunt{background-color:#da552f}.elementor-social-icon-reddit{background-color:#ff4500}.elementor-social-icon-rss{background-color:#f26522}.elementor-social-icon-shopping-cart{background-color:#4caf50}.elementor-social-icon-skype{background-color:#00aff0}.elementor-social-icon-slideshare{background-color:#0077b5}.elementor-social-icon-snapchat{background-color:#fffc00}.elementor-social-icon-soundcloud{background-color:#f80}.elementor-social-icon-spotify{background-color:#2ebd59}.elementor-social-icon-stack-overflow{background-color:#fe7a15}.elementor-social-icon-steam{background-color:#00adee}.elementor-social-icon-stumbleupon{background-color:#eb4924}.elementor-social-icon-telegram{background-color:#2ca5e0}.elementor-social-icon-thumb-tack{background-color:#1aa1d8}.elementor-social-icon-tripadvisor{background-color:#589442}.elementor-social-icon-tumblr{background-color:#35465c}.elementor-social-icon-twitch{background-color:#6441a5}.elementor-social-icon-twitter{background-color:#1da1f2}.elementor-social-icon-viber{background-color:#665cac}.elementor-social-icon-vimeo{background-color:#1ab7ea}.elementor-social-icon-vk{background-color:#45668e}.elementor-social-icon-weibo{background-color:#dd2430}.elementor-social-icon-weixin{background-color:#31a918}.elementor-social-icon-whatsapp{background-color:#25d366}.elementor-social-icon-wordpress{background-color:#21759b}.elementor-social-icon-xing{background-color:#026466}.elementor-social-icon-yelp{background-color:#af0606}.elementor-social-icon-youtube{background-color:#cd201f}.elementor-social-icon-500px{background-color:#0099e5}.elementor-shape-rounded .elementor-icon.elementor-social-icon{border-radius:10%}.elementor-shape-circle .elementor-icon.elementor-social-icon{border-radius:50%}</style>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Elementor\n											</a>\n			<h2>المنتورپرو</h2>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Wordpress\n											</a>\n			<h2>آخرین نسخه</h2>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Erlang\n											</a>\n			<h2>فارسی سازی شده</h2>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Cloud-upload-alt\n											</a>\n			<h2>سرعت بالا</h2>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Spell-check\n											</a>\n			<h2>راستچین</h2>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Html5\n											</a>\n			<h2>کدنویسی بهینه</h2>		\n															<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2><a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">پُرفروش ترین قالب وردپرسی</a></h2>		\n			<h2>جهت دانلود کلیک کنید</h2>		\n			<a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">\n						دانلود قالب آستراپرو\n					</a>\n			<h2>رایگان<strong style=\"font-weight: bold;\"> دانلود</strong> کنید</h2>		\n			<h2>قالب آسترا پرو به همراه المنتور پرو رایگان</h2>		\n															<img width=\"849\" height=\"458\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro.jpg 849w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro-300x162.jpg 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro-768x414.jpg 768w\" sizes=\"(max-width: 849px) 100vw, 849px\" />															\n															<img width=\"512\" height=\"512\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon.png 512w, https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon-150x150.png 150w\" sizes=\"(max-width: 512px) 100vw, 512px\" />															\n			<h2>ارائه شده توسط آموزشگاه علمینه</h2>		\n			<h2>مشاوره طراحی سایت رایگان</h2>		\n			<a href=\"tel:09909365394\" target=\"_blank\" rel=\"noopener\">\n						0990-9365394\n					</a>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-07-16 04:50:19", "2023-07-16 00:20:19", "", "7", "https://test.filtersanaat.com/?p=120", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("118", "1", "2023-07-16 04:50:18", "2023-07-16 00:20:18", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>قالب <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> آسترا پرو</strong> علمینه</h2>		\n		<p style=\"text-align: justify;\">قالب آسترا همیش جزء بهترین ها در دنیای وردپرس بوده، این قالب به علت هماهنگی بالابا المنتور و سرعت بسیار باورنکردنی محبوبیت بسیار بالایی بین وردپرس کاران دارد، آموزشگاه علمینه این نسخه از قالب را به صورت اختصاصی برای کاربران سایت خود طراحی کرده.</p>		\n			<a href=\"#takhfif\">\n						مشاهده تخفیف ها\n					</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2>بهترین<strong style=\"font-weight: bold;\"> قالب</strong> شرکتی وردپرس</h2>		\n			<h2>این قالب را می‌توانید رایگان از آموزشگاه علمینه دانلود کنید</h2>		\n			<h2>قالب چند منظوره – فروشگاهی Astra ، یک قالب وردپرس رایگان برای راه اندازی یک وبسایت حرفه‌ای فروشگاهی است. قالب آسترا از سازگار ترین قالب‌های وردپرس با المنتور و جز سریع‌ترین قالب‌های وردپرس است!! این قالب، بطور کامل ترجمه، راستچین و بومی شده است و برای سایت‌های ایرانی، براحتی قابل استفاده است.بخش‌های مختلف قالب Astra خیلی راحت با سفارشی ساز وردپرس، قابل تغییر و شخصی سازی است. همچنین صفحات مختلف این قالب فروشگاهی رایگان وردپرس ، با المنتور یعنی بهترین صفحه ساز وردپرس قابل تغییر است، در این نسخه از قالب آسترا که توسط آموزشگاه علمینه طراحی شده المنتور پرو با لایسنس اصلی نیز به صورت رایگان روی قالب نصب می‌باشد پس با خیال راحت دانلود کنید، البته نسخه های جدیدتر المنتور را نیز می توانید از سایت علمینه دانلود کنید.</h2>		\n			<h2>برخی<strong style=\"font-weight: bold;\"> از </strong> امکانات آسترا پرو</h2>		\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-social-icons.elementor-grid-0 .elementor-widget-container,.elementor-widget-social-icons.elementor-grid-mobile-0 .elementor-widget-container,.elementor-widget-social-icons.elementor-grid-tablet-0 .elementor-widget-container{line-height:1;font-size:0}.elementor-widget-social-icons:not(.elementor-grid-0):not(.elementor-grid-tablet-0):not(.elementor-grid-mobile-0) .elementor-grid{display:inline-grid}.elementor-widget-social-icons .elementor-grid{grid-column-gap:var(--grid-column-gap,5px);grid-row-gap:var(--grid-row-gap,5px);grid-template-columns:var(--grid-template-columns);justify-content:var(--justify-content,center);justify-items:var(--justify-content,center)}.elementor-icon.elementor-social-icon{font-size:var(--icon-size,25px);line-height:var(--icon-size,25px);width:calc(var(--icon-size, 25px) + (2 * var(--icon-padding, .5em)));height:calc(var(--icon-size, 25px) + (2 * var(--icon-padding, .5em)))}.elementor-social-icon{--e-social-icon-icon-color:#fff;display:inline-flex;background-color:#69727d;align-items:center;justify-content:center;text-align:center;cursor:pointer}.elementor-social-icon i{color:var(--e-social-icon-icon-color)}.elementor-social-icon svg{fill:var(--e-social-icon-icon-color)}.elementor-social-icon:last-child{margin:0}.elementor-social-icon:hover{opacity:.9;color:#fff}.elementor-social-icon-android{background-color:#a4c639}.elementor-social-icon-apple{background-color:#999}.elementor-social-icon-behance{background-color:#1769ff}.elementor-social-icon-bitbucket{background-color:#205081}.elementor-social-icon-codepen{background-color:#000}.elementor-social-icon-delicious{background-color:#39f}.elementor-social-icon-deviantart{background-color:#05cc47}.elementor-social-icon-digg{background-color:#005be2}.elementor-social-icon-dribbble{background-color:#ea4c89}.elementor-social-icon-elementor{background-color:#d30c5c}.elementor-social-icon-envelope{background-color:#ea4335}.elementor-social-icon-facebook,.elementor-social-icon-facebook-f{background-color:#3b5998}.elementor-social-icon-flickr{background-color:#0063dc}.elementor-social-icon-foursquare{background-color:#2d5be3}.elementor-social-icon-free-code-camp,.elementor-social-icon-freecodecamp{background-color:#006400}.elementor-social-icon-github{background-color:#333}.elementor-social-icon-gitlab{background-color:#e24329}.elementor-social-icon-globe{background-color:#69727d}.elementor-social-icon-google-plus,.elementor-social-icon-google-plus-g{background-color:#dd4b39}.elementor-social-icon-houzz{background-color:#7ac142}.elementor-social-icon-instagram{background-color:#262626}.elementor-social-icon-jsfiddle{background-color:#487aa2}.elementor-social-icon-link{background-color:#818a91}.elementor-social-icon-linkedin,.elementor-social-icon-linkedin-in{background-color:#0077b5}.elementor-social-icon-medium{background-color:#00ab6b}.elementor-social-icon-meetup{background-color:#ec1c40}.elementor-social-icon-mixcloud{background-color:#273a4b}.elementor-social-icon-odnoklassniki{background-color:#f4731c}.elementor-social-icon-pinterest{background-color:#bd081c}.elementor-social-icon-product-hunt{background-color:#da552f}.elementor-social-icon-reddit{background-color:#ff4500}.elementor-social-icon-rss{background-color:#f26522}.elementor-social-icon-shopping-cart{background-color:#4caf50}.elementor-social-icon-skype{background-color:#00aff0}.elementor-social-icon-slideshare{background-color:#0077b5}.elementor-social-icon-snapchat{background-color:#fffc00}.elementor-social-icon-soundcloud{background-color:#f80}.elementor-social-icon-spotify{background-color:#2ebd59}.elementor-social-icon-stack-overflow{background-color:#fe7a15}.elementor-social-icon-steam{background-color:#00adee}.elementor-social-icon-stumbleupon{background-color:#eb4924}.elementor-social-icon-telegram{background-color:#2ca5e0}.elementor-social-icon-thumb-tack{background-color:#1aa1d8}.elementor-social-icon-tripadvisor{background-color:#589442}.elementor-social-icon-tumblr{background-color:#35465c}.elementor-social-icon-twitch{background-color:#6441a5}.elementor-social-icon-twitter{background-color:#1da1f2}.elementor-social-icon-viber{background-color:#665cac}.elementor-social-icon-vimeo{background-color:#1ab7ea}.elementor-social-icon-vk{background-color:#45668e}.elementor-social-icon-weibo{background-color:#dd2430}.elementor-social-icon-weixin{background-color:#31a918}.elementor-social-icon-whatsapp{background-color:#25d366}.elementor-social-icon-wordpress{background-color:#21759b}.elementor-social-icon-xing{background-color:#026466}.elementor-social-icon-yelp{background-color:#af0606}.elementor-social-icon-youtube{background-color:#cd201f}.elementor-social-icon-500px{background-color:#0099e5}.elementor-shape-rounded .elementor-icon.elementor-social-icon{border-radius:10%}.elementor-shape-circle .elementor-icon.elementor-social-icon{border-radius:50%}</style>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Elementor\n											</a>\n			<h2>المنتورپرو</h2>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Wordpress\n											</a>\n			<h2>آخرین نسخه</h2>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Erlang\n											</a>\n			<h2>فارسی سازی شده</h2>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Cloud-upload-alt\n											</a>\n			<h2>سرعت بالا</h2>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Spell-check\n											</a>\n			<h2>راستچین</h2>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Html5\n											</a>\n			<h2>کدنویسی بهینه</h2>		\n															<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2><a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">پُرفروش ترین قالب پردپرسی</a></h2>		\n			<h2>جهت دانلود کلیک کنید</h2>		\n			<a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">\n						دانلود قالب آستراپرو\n					</a>\n			<h2>رایگان<strong style=\"font-weight: bold;\"> دانلود</strong> کنید</h2>		\n			<h2>قالب آسترا پرو به همراه المنتور پرو رایگان</h2>		\n															<img width=\"849\" height=\"458\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro.jpg 849w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro-300x162.jpg 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro-768x414.jpg 768w\" sizes=\"(max-width: 849px) 100vw, 849px\" />															\n															<img width=\"512\" height=\"512\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon.png 512w, https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon-150x150.png 150w\" sizes=\"(max-width: 512px) 100vw, 512px\" />															\n			<h2>ارائه شده توسط آموزشگاه علمینه</h2>		\n			<h2>مشاوره طراحی سایت رایگان</h2>		\n			<a href=\"tel:09909365394\" target=\"_blank\" rel=\"noopener\">\n						0990-9365394\n					</a>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-07-16 04:50:18", "2023-07-16 00:20:18", "", "7", "https://test.filtersanaat.com/?p=118", "0", "revision", "", "0");
INSERT INTO `wp_posts` VALUES("119", "1", "2023-07-16 04:50:19", "2023-07-16 00:20:19", "<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>قالب <strong style=\"font-size: 40px;color: #FBEC08;font-weight: bold;\"> آسترا پرو</strong> علمینه</h2>		\n		<p style=\"text-align: justify;\">قالب آسترا همیش جزء بهترین ها در دنیای وردپرس بوده، این قالب به علت هماهنگی بالابا المنتور و سرعت بسیار باورنکردنی محبوبیت بسیار بالایی بین وردپرس کاران دارد، آموزشگاه علمینه این نسخه از قالب را به صورت اختصاصی برای کاربران سایت خود طراحی کرده.</p>		\n			<a href=\"#takhfif\">\n						مشاهده تخفیف ها\n					</a>\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2>بهترین<strong style=\"font-weight: bold;\"> قالب</strong> شرکتی وردپرس</h2>		\n			<h2>این قالب را می‌توانید رایگان از آموزشگاه علمینه دانلود کنید</h2>		\n			<h2>قالب چند منظوره – فروشگاهی Astra ، یک قالب وردپرس رایگان برای راه اندازی یک وبسایت حرفه‌ای فروشگاهی است. قالب آسترا از سازگار ترین قالب‌های وردپرس با المنتور و جز سریع‌ترین قالب‌های وردپرس است!! این قالب، بطور کامل ترجمه، راستچین و بومی شده است و برای سایت‌های ایرانی، براحتی قابل استفاده است.بخش‌های مختلف قالب Astra خیلی راحت با سفارشی ساز وردپرس، قابل تغییر و شخصی سازی است. همچنین صفحات مختلف این قالب فروشگاهی رایگان وردپرس ، با المنتور یعنی بهترین صفحه ساز وردپرس قابل تغییر است، در این نسخه از قالب آسترا که توسط آموزشگاه علمینه طراحی شده المنتور پرو با لایسنس اصلی نیز به صورت رایگان روی قالب نصب می‌باشد پس با خیال راحت دانلود کنید، البته نسخه های جدیدتر المنتور را نیز می توانید از سایت علمینه دانلود کنید.</h2>		\n			<h2>برخی<strong style=\"font-weight: bold;\"> از </strong> امکانات آسترا پرو</h2>		\n			<style>/*! elementor - v3.14.0 - 26-06-2023 */\n.elementor-widget-social-icons.elementor-grid-0 .elementor-widget-container,.elementor-widget-social-icons.elementor-grid-mobile-0 .elementor-widget-container,.elementor-widget-social-icons.elementor-grid-tablet-0 .elementor-widget-container{line-height:1;font-size:0}.elementor-widget-social-icons:not(.elementor-grid-0):not(.elementor-grid-tablet-0):not(.elementor-grid-mobile-0) .elementor-grid{display:inline-grid}.elementor-widget-social-icons .elementor-grid{grid-column-gap:var(--grid-column-gap,5px);grid-row-gap:var(--grid-row-gap,5px);grid-template-columns:var(--grid-template-columns);justify-content:var(--justify-content,center);justify-items:var(--justify-content,center)}.elementor-icon.elementor-social-icon{font-size:var(--icon-size,25px);line-height:var(--icon-size,25px);width:calc(var(--icon-size, 25px) + (2 * var(--icon-padding, .5em)));height:calc(var(--icon-size, 25px) + (2 * var(--icon-padding, .5em)))}.elementor-social-icon{--e-social-icon-icon-color:#fff;display:inline-flex;background-color:#69727d;align-items:center;justify-content:center;text-align:center;cursor:pointer}.elementor-social-icon i{color:var(--e-social-icon-icon-color)}.elementor-social-icon svg{fill:var(--e-social-icon-icon-color)}.elementor-social-icon:last-child{margin:0}.elementor-social-icon:hover{opacity:.9;color:#fff}.elementor-social-icon-android{background-color:#a4c639}.elementor-social-icon-apple{background-color:#999}.elementor-social-icon-behance{background-color:#1769ff}.elementor-social-icon-bitbucket{background-color:#205081}.elementor-social-icon-codepen{background-color:#000}.elementor-social-icon-delicious{background-color:#39f}.elementor-social-icon-deviantart{background-color:#05cc47}.elementor-social-icon-digg{background-color:#005be2}.elementor-social-icon-dribbble{background-color:#ea4c89}.elementor-social-icon-elementor{background-color:#d30c5c}.elementor-social-icon-envelope{background-color:#ea4335}.elementor-social-icon-facebook,.elementor-social-icon-facebook-f{background-color:#3b5998}.elementor-social-icon-flickr{background-color:#0063dc}.elementor-social-icon-foursquare{background-color:#2d5be3}.elementor-social-icon-free-code-camp,.elementor-social-icon-freecodecamp{background-color:#006400}.elementor-social-icon-github{background-color:#333}.elementor-social-icon-gitlab{background-color:#e24329}.elementor-social-icon-globe{background-color:#69727d}.elementor-social-icon-google-plus,.elementor-social-icon-google-plus-g{background-color:#dd4b39}.elementor-social-icon-houzz{background-color:#7ac142}.elementor-social-icon-instagram{background-color:#262626}.elementor-social-icon-jsfiddle{background-color:#487aa2}.elementor-social-icon-link{background-color:#818a91}.elementor-social-icon-linkedin,.elementor-social-icon-linkedin-in{background-color:#0077b5}.elementor-social-icon-medium{background-color:#00ab6b}.elementor-social-icon-meetup{background-color:#ec1c40}.elementor-social-icon-mixcloud{background-color:#273a4b}.elementor-social-icon-odnoklassniki{background-color:#f4731c}.elementor-social-icon-pinterest{background-color:#bd081c}.elementor-social-icon-product-hunt{background-color:#da552f}.elementor-social-icon-reddit{background-color:#ff4500}.elementor-social-icon-rss{background-color:#f26522}.elementor-social-icon-shopping-cart{background-color:#4caf50}.elementor-social-icon-skype{background-color:#00aff0}.elementor-social-icon-slideshare{background-color:#0077b5}.elementor-social-icon-snapchat{background-color:#fffc00}.elementor-social-icon-soundcloud{background-color:#f80}.elementor-social-icon-spotify{background-color:#2ebd59}.elementor-social-icon-stack-overflow{background-color:#fe7a15}.elementor-social-icon-steam{background-color:#00adee}.elementor-social-icon-stumbleupon{background-color:#eb4924}.elementor-social-icon-telegram{background-color:#2ca5e0}.elementor-social-icon-thumb-tack{background-color:#1aa1d8}.elementor-social-icon-tripadvisor{background-color:#589442}.elementor-social-icon-tumblr{background-color:#35465c}.elementor-social-icon-twitch{background-color:#6441a5}.elementor-social-icon-twitter{background-color:#1da1f2}.elementor-social-icon-viber{background-color:#665cac}.elementor-social-icon-vimeo{background-color:#1ab7ea}.elementor-social-icon-vk{background-color:#45668e}.elementor-social-icon-weibo{background-color:#dd2430}.elementor-social-icon-weixin{background-color:#31a918}.elementor-social-icon-whatsapp{background-color:#25d366}.elementor-social-icon-wordpress{background-color:#21759b}.elementor-social-icon-xing{background-color:#026466}.elementor-social-icon-yelp{background-color:#af0606}.elementor-social-icon-youtube{background-color:#cd201f}.elementor-social-icon-500px{background-color:#0099e5}.elementor-shape-rounded .elementor-icon.elementor-social-icon{border-radius:10%}.elementor-shape-circle .elementor-icon.elementor-social-icon{border-radius:50%}</style>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Elementor\n											</a>\n			<h2>المنتورپرو</h2>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Wordpress\n											</a>\n			<h2>آخرین نسخه</h2>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Erlang\n											</a>\n			<h2>فارسی سازی شده</h2>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Cloud-upload-alt\n											</a>\n			<h2>سرعت بالا</h2>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Spell-check\n											</a>\n			<h2>راستچین</h2>		\n					<a target=\"_blank\" rel=\"noopener\">\n						Html5\n											</a>\n			<h2>کدنویسی بهینه</h2>		\n															<img width=\"327\" height=\"327\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo.png 327w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astra-logo-150x150.png 150w\" sizes=\"(max-width: 327px) 100vw, 327px\" />															\n			<h2><a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">پُرفروش ترین قالب پردپرسی</a></h2>		\n			<h2>جهت دانلود کلیک کنید</h2>		\n			<a href=\"https://elmineh.com/?p=10473\" target=\"_blank\" rel=\"noopener\">\n						دانلود قالب آستراپرو\n					</a>\n			<h2>رایگان<strong style=\"font-weight: bold;\"> دانلود</strong> کنید</h2>		\n			<h2>قالب آسترا پرو به همراه المنتور پرو رایگان</h2>		\n															<img width=\"849\" height=\"458\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro.jpg\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro.jpg 849w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro-300x162.jpg 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/astrapro-768x414.jpg 768w\" sizes=\"(max-width: 849px) 100vw, 849px\" />															\n															<img width=\"512\" height=\"512\" src=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon.png\" alt=\"\" loading=\"lazy\" srcset=\"https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon.png 512w, https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon-300x300.png 300w, https://test.filtersanaat.com/wp-content/uploads/2023/07/favicon-150x150.png 150w\" sizes=\"(max-width: 512px) 100vw, 512px\" />															\n			<h2>ارائه شده توسط آموزشگاه علمینه</h2>		\n			<h2>مشاوره طراحی سایت رایگان</h2>		\n			<a href=\"tel:09909365394\" target=\"_blank\" rel=\"noopener\">\n						0990-9365394\n					</a>", "صفحه اصلی", "", "inherit", "closed", "closed", "", "7-revision-v1", "", "", "2023-07-16 04:50:19", "2023-07-16 00:20:19", "", "7", "https://test.filtersanaat.com/?p=119", "0", "revision", "", "0");

/* INSERT TABLE DATA: wp_term_relationships */
INSERT INTO `wp_term_relationships` VALUES("1", "1", "0");
INSERT INTO `wp_term_relationships` VALUES("8", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("23", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("29", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("38", "6", "0");
INSERT INTO `wp_term_relationships` VALUES("40", "6", "0");

/* INSERT TABLE DATA: wp_term_taxonomy */
INSERT INTO `wp_term_taxonomy` VALUES("1", "1", "category", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("2", "2", "wp_theme", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("3", "3", "elementor_library_type", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("4", "4", "elementor_library_type", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("6", "6", "elementor_library_type", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("8", "8", "elementor_library_type", "", "0", "0");

/* INSERT TABLE DATA: wp_terms */
INSERT INTO `wp_terms` VALUES("1", "دسته‌بندی نشده", "%d8%af%d8%b3%d8%aa%d9%87%d8%a8%d9%86%d8%af%db%8c-%d9%86%d8%b4%d8%af%d9%87", "0");
INSERT INTO `wp_terms` VALUES("2", "astra", "astra", "0");
INSERT INTO `wp_terms` VALUES("3", "page", "page", "0");
INSERT INTO `wp_terms` VALUES("4", "header", "header", "0");
INSERT INTO `wp_terms` VALUES("6", "footer", "footer", "0");
INSERT INTO `wp_terms` VALUES("8", "single-page", "single-page", "0");

/* INSERT TABLE DATA: wp_usermeta */
INSERT INTO `wp_usermeta` VALUES("1", "1", "nickname", "astra");
INSERT INTO `wp_usermeta` VALUES("2", "1", "first_name", "");
INSERT INTO `wp_usermeta` VALUES("3", "1", "last_name", "");
INSERT INTO `wp_usermeta` VALUES("4", "1", "description", "");
INSERT INTO `wp_usermeta` VALUES("5", "1", "rich_editing", "true");
INSERT INTO `wp_usermeta` VALUES("6", "1", "syntax_highlighting", "true");
INSERT INTO `wp_usermeta` VALUES("7", "1", "comment_shortcuts", "false");
INSERT INTO `wp_usermeta` VALUES("8", "1", "admin_color", "fresh");
INSERT INTO `wp_usermeta` VALUES("9", "1", "use_ssl", "0");
INSERT INTO `wp_usermeta` VALUES("10", "1", "show_admin_bar_front", "true");
INSERT INTO `wp_usermeta` VALUES("11", "1", "locale", "");
INSERT INTO `wp_usermeta` VALUES("12", "1", "wp_capabilities", "a:1:{s:13:\"administrator\";b:1;}");
INSERT INTO `wp_usermeta` VALUES("13", "1", "wp_user_level", "10");
INSERT INTO `wp_usermeta` VALUES("14", "1", "dismissed_wp_pointers", "");
INSERT INTO `wp_usermeta` VALUES("15", "1", "show_welcome_panel", "1");
INSERT INTO `wp_usermeta` VALUES("27", "1", "session_tokens", "a:3:{s:64:\"b644fec5196ce523b5ebd11e64785a61cad49c111c7888fade975179b31e510a\";a:4:{s:10:\"expiration\";i:1720849948;s:2:\"ip\";s:13:\"5.113.104.147\";s:2:\"ua\";s:80:\"Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:128.0) Gecko/20100101 Firefox/128.0\";s:5:\"login\";i:1720677148;}s:64:\"77eec239567d35aa5bd80a320840cb9e941fa7c7005c678d2cd32a6befb08343\";a:4:{s:10:\"expiration\";i:1720854486;s:2:\"ip\";s:13:\"5.113.104.147\";s:2:\"ua\";s:80:\"Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:128.0) Gecko/20100101 Firefox/128.0\";s:5:\"login\";i:1720681686;}s:64:\"0c51569cbdc5784e563ff9c5af7ef86e4d4ee9836b648e1da53d2a0cca37895e\";a:4:{s:10:\"expiration\";i:1720854558;s:2:\"ip\";s:13:\"5.113.104.147\";s:2:\"ua\";s:80:\"Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:128.0) Gecko/20100101 Firefox/128.0\";s:5:\"login\";i:1720681758;}}");
INSERT INTO `wp_usermeta` VALUES("17", "1", "wp_dashboard_quick_press_last_post_id", "125");
INSERT INTO `wp_usermeta` VALUES("18", "1", "community-events-location", "a:1:{s:2:\"ip\";s:11:\"5.113.104.0\";}");
INSERT INTO `wp_usermeta` VALUES("19", "1", "wp_persisted_preferences", "a:2:{s:14:\"core/edit-post\";a:2:{s:26:\"isComplementaryAreaVisible\";b:1;s:12:\"welcomeGuide\";b:0;}s:9:\"_modified\";s:24:\"2023-07-15T19:19:40.626Z\";}");
INSERT INTO `wp_usermeta` VALUES("20", "1", "elementor_introduction", "a:3:{s:27:\"ai-get-started-announcement\";b:1;s:20:\"globals_introduction\";b:1;s:6:\"e-apps\";b:1;}");
INSERT INTO `wp_usermeta` VALUES("21", "1", "announcements_user_counter", "1");
INSERT INTO `wp_usermeta` VALUES("22", "1", "wp_user-settings", "libraryContent=browse&editor=tinymce");
INSERT INTO `wp_usermeta` VALUES("23", "1", "wp_user-settings-time", "1689449905");
INSERT INTO `wp_usermeta` VALUES("24", "1", "managenav-menuscolumnshidden", "a:5:{i:0;s:11:\"link-target\";i:1;s:11:\"css-classes\";i:2;s:3:\"xfn\";i:3;s:11:\"description\";i:4;s:15:\"title-attribute\";}");
INSERT INTO `wp_usermeta` VALUES("25", "1", "metaboxhidden_nav-menus", "a:3:{i:0;s:28:\"add-post-type-e-landing-page\";i:1;s:12:\"add-post_tag\";i:2;s:15:\"add-post_format\";}");
INSERT INTO `wp_usermeta` VALUES("26", "1", "nav_menu_recently_edited", "7");
INSERT INTO `wp_usermeta` VALUES("28", "1", "elementor_admin_notices", "a:1:{s:20:\"design_not_appearing\";a:2:{s:9:\"is_viewed\";b:0;s:4:\"meta\";a:1:{s:7:\"version\";s:6:\"3.22.3\";}}}");
INSERT INTO `wp_usermeta` VALUES("29", "2", "nickname", "omidqodsi");
INSERT INTO `wp_usermeta` VALUES("30", "2", "first_name", "سیدامید");
INSERT INTO `wp_usermeta` VALUES("31", "2", "last_name", "قدسی زاده");
INSERT INTO `wp_usermeta` VALUES("32", "2", "description", "");
INSERT INTO `wp_usermeta` VALUES("33", "2", "rich_editing", "true");
INSERT INTO `wp_usermeta` VALUES("34", "2", "syntax_highlighting", "true");
INSERT INTO `wp_usermeta` VALUES("35", "2", "comment_shortcuts", "false");
INSERT INTO `wp_usermeta` VALUES("36", "2", "admin_color", "fresh");
INSERT INTO `wp_usermeta` VALUES("37", "2", "use_ssl", "0");
INSERT INTO `wp_usermeta` VALUES("38", "2", "show_admin_bar_front", "true");
INSERT INTO `wp_usermeta` VALUES("39", "2", "locale", "");
INSERT INTO `wp_usermeta` VALUES("40", "2", "wp_capabilities", "a:1:{s:13:\"administrator\";b:1;}");
INSERT INTO `wp_usermeta` VALUES("41", "2", "wp_user_level", "10");
INSERT INTO `wp_usermeta` VALUES("42", "2", "dismissed_wp_pointers", "");

/* INSERT TABLE DATA: wp_users */
INSERT INTO `wp_users` VALUES("1", "astra", "$P$BqAmU53xwAZtJoXgCcJAPUrkRS4rlh.", "astra", "omidqodsi@gmail.com", "https://test.filtersanaat.com", "2023-07-15 19:08:43", "", "0", "astra");
INSERT INTO `wp_users` VALUES("2", "omidqodsi", "$P$ByZzqyEUn0JQew/mFfrvy8.WX4HrQ1.", "omidqodsi", "omidqodsi@yahoo.com", "http://elmineh.com", "2024-07-11 07:08:51", "1720681739:$P$BDd.aH/WiUoX9GaGnXSUyX.0HkdS2/1", "0", "سیدامید قدسی زاده");

SET FOREIGN_KEY_CHECKS = 1; 

/* Duplicator WordPress Timestamp: 2024-07-11 07:15:05*/
/* DUPLICATOR_MYSQLDUMP_EOF */
